/*

   HL7Daemon - Miscellaneous utilities for use with PrometheusDB

*/

#ifndef DBMISC_H__
#define DBMISC_H__

#include <string>

class PrometheusDB;

// Look up the county for a given zip code.
bool CountyByZip(PrometheusDB *db, const std::string &zipCode,
                 std::string &countyID);

#endif

// EOF

