/*

   HL7Daemon - Global program definitions

   Put all HL7Daemon-specific magic strings and numbers in here rather than
   hard-coding stuff in individual modules, for better maintainability.

*/

#ifndef GLOBALDEFINES_H__
#define GLOBALDEFINES_H__

// Initialization/configuration file name
#define INI_FILE_NAME "options.ini"

// Debug
#define DEBUG_LOG_NAME "hl7daemon.log"

// HL7 Matching
//   These constants define different confidence levels for matching against
//   pre-existing database records.

// Above this range is considered a perfect match
#define PERSON_THRESHOLD_PERFECT

// Above this range is considered a good match; below is poor.
#define PERSON_THRESHOLD_HIGH

#endif

// EOF

