//---------------------------------------------------------------------------

#ifndef codeCheckListDropDownH
#define codeCheckListDropDownH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include "codeBaseDropDown.h"
#include "filter.h"
#include "util.h"
//---------------------------------------------------------------------------
class PACKAGE TCheckListDropDown : public TBaseDropDown
{
__published:
        TListView *listAvailable;
private:
        classFilterObject filter_available;
        string FFieldName;
protected:
        void __fastcall virtual rubberPopIn(TObject *Sender);
        classFilterObject * __fastcall GetFilter();
        void __fastcall SetFieldName(string Value);
        //int  __fastcall GetDropDownHeight();
        //void __fastcall SetDropDownHeight(int Value);
public:
        __fastcall TCheckListDropDown(TComponent* Owner);
        __fastcall TCheckListDropDown::~TCheckListDropDown();
        void RefreshText();
        __property classFilterObject * Filter = {read = GetFilter};
        __property string DisplayFieldName = {read = FFieldName, write = SetFieldName};
        //__property int DropDownHeight = {read = GetDropDownHeight, write = SetDropDownHeight};
};
//---------------------------------------------------------------------------
#endif
