//---------------------------------------------------------------------------

#ifndef codeInlineContainerH
#define codeInlineContainerH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
enum ic_arrangements {ic_rows, ic_columns};
class PACKAGE TInlineContainer : public TCustomControl
{
private:
protected:                                                      
        ic_arrangements FArrangement;                              
        int FPrimaryPadding;                    
        int FSecondaryPadding;
        TNotifyEvent FOnArrange;

        void __fastcall Paint ();
                                          
        void __fastcall SetArrangement (ic_arrangements Value);
        void __fastcall SetPrimaryPadding (int Value);
        void __fastcall SetSecondaryPadding (int Value);
        void __fastcall HasResized(TObject* Sender);
public:                                                                          
        void Arrange ();
        __fastcall TInlineContainer(TComponent* Owner);
__published:
        __property ic_arrangements Arrangement = {read = FArrangement, write = SetArrangement, default = ic_rows};
        __property int PrimaryPadding = {read = FPrimaryPadding, write = SetPrimaryPadding, default = 0};
        __property int SecondaryPadding = {read = FSecondaryPadding, write = SetSecondaryPadding, default = 8};

        __property Align;
        __property Anchors;
        __property Color;
        __property ParentColor;
        __property Enabled;
        __property Visible;
        __property DoubleBuffered;
        __property TabOrder;
        __property TabStop;

        __property Classes::TNotifyEvent OnArrange = {read=FOnArrange, write=FOnArrange};
};
//---------------------------------------------------------------------------
#endif
 