//---------------------------------------------------------------------------


#ifndef codeQueryFileH
#define codeQueryFileH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include "filter.h"
#include "sqllib.h"
#include "x_serialization.h"
//---------------------------------------------------------------------------
enum query_file_types {qf_unknown, qf_query, qf_action, qf_taxonomy, qf_actions, qf_query_actions}; // and probably more: sets of named queries ("qf_queries"), sets of named queries plus actions ... all that shit.
class TframeQueryFile : public TFrame
{
__published:	// IDE-managed Components
        TListView *listQueries;
        TButton *buttonCancel;
        void __fastcall buttonCancelClick(TObject *Sender);
private:	// User declarations
        void FixListview();
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
protected:
        void __fastcall virtual SetSourceTableName(AnsiString Value);
        void __fastcall virtual SetType(query_file_types Value);

        classFilterObject query_filter;
        AnsiString FSourceTableName;
        query_file_types FType;
        TForm* the_form;
public:		// User declarations
        __property AnsiString SourceTableName = {read = FSourceTableName, write = SetSourceTableName};
        __property query_file_types Type = {read = FType, write = SetType};
        __fastcall TframeQueryFile(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TframeQueryFile *frameQueryFile;
//---------------------------------------------------------------------------
#endif
