//---------------------------------------------------------------------------

#ifndef codeQuery_ByResultSetH
#define codeQuery_ByResultSetH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeQueryGeneric.h"
#include <Menus.hpp>
#include "util.h"
//---------------------------------------------------------------------------
class TframeQuery_ByResultSet : public TframeQueryGeneric
{
__published:	// IDE-managed Components
        TLabel *_labelA;
        TComboBox *comboSet;
        void __fastcall comboSetKeyPress(TObject *Sender, char &Key);
private:	// User declarations
        vector<string> set_ids;
protected:
        void __fastcall virtual SetSourceTableName (AnsiString Value);
        string virtual PrepareImpl ();
public:
        bool   virtual Valid ();
        string virtual Describe (bool as_html);
        xValue virtual Save  (bool with_params);
        void   virtual Load  (xValue config, bool with_params);
        static TframeQueryGeneric* Create (TComponent* owner);
        static bool                Appropriate (string source_table_name);
public:		// User declarations
        __fastcall TframeQuery_ByResultSet(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TframeQuery_ByResultSet *frameQuery_ByResultSet;
//---------------------------------------------------------------------------
#endif
