//---------------------------------------------------------------------------

#ifndef codeQuery_CustomSqlH
#define codeQuery_CustomSqlH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeQueryGeneric.h"
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TframeQuery_CustomSql : public TframeQueryGeneric
{
__published:	// IDE-managed Components
        TMemo *editSql;
        TButton *buttonPlan;
        TCheckBox *checkCache;
        TCheckBox *checkProxy;
        TCheckBox *checkClip;
        void __fastcall buttonPlanClick(TObject *Sender);
        void __fastcall CheckboxesChanged(TObject *Sender);
private:	// User declarations
protected:
        string virtual PrepareImpl ();
        void       __fastcall virtual SetProxy   (bool Value);
        void       __fastcall virtual SetCache   (bool Value);
        void       __fastcall virtual SetClip    (bool Value);
public:
        bool   virtual Valid ();
        xValue virtual Save  (bool with_params);
        void   virtual Load  (xValue config, bool with_params);
        static TframeQueryGeneric* Create (TComponent* owner);
        static bool                Appropriate (string source_table_name);
public:		// User declarations
        __fastcall TframeQuery_CustomSql(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TframeQuery_CustomSql *frameQuery_CustomSql;
//---------------------------------------------------------------------------
#endif
