//---------------------------------------------------------------------------

#ifndef codeQuery_HasH
#define codeQuery_HasH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeQueryGeneric.h"
#include "db_hardcoded_metadata.h"
#include "codeQuery_Whole.h"
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TframeQuery_Has : public TframeQueryGeneric
{
__published:	// IDE-managed Components
        TComboBox *comboType;
        TLabel *_labelA;
        TEdit *editMin;
        TLabel *_labelB;
        TEdit *editMax;
        TLabel *_labelC;
        TLabel *labelType;
private:	// User declarations
        void __fastcall comboTypeKeyPress(TObject *Sender, char &Key);
        void __fastcall comboTypeChange(TObject *Sender);
        // vector<string> queries_to_empty;
protected:
        void __fastcall SetClip (bool Value);
        string virtual PrepareImpl ();
        // void   virtual CleanUpImpl ();

        vector<fk_info> picker_content;
        void __fastcall virtual SetSimple (bool Value);
        void __fastcall virtual ChangeHostedQuery (TframeQueryGeneric* Value);
        void __fastcall virtual SetSourceTableName (AnsiString Value);
public:
        bool   virtual Valid ();
        string virtual Describe (bool as_html);
        // bool   virtual Same  (TframeQueryGeneric* other_query);
        xValue virtual Save  (bool with_params);
        void   virtual Load  (xValue config, bool with_params);
        static TframeQueryGeneric* Create (TComponent* owner);
        static bool                Appropriate (string source_table_name);
public:		// User declarations
        __fastcall TframeQuery_Has(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TframeQuery_Has *frameQuery_Has;
//---------------------------------------------------------------------------
#endif
