//---------------------------------------------------------------------------

#ifndef codeQuery_PointsToH
#define codeQuery_PointsToH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeQueryGeneric.h"
#include "db_hardcoded_metadata.h"
#include "codeQuery_Whole.h"
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TframeQuery_PointsTo : public TframeQueryGeneric
{
__published:	// IDE-managed Components
        TComboBox *comboType;
        TLabel *_labelA;
        TLabel *_labelB;                              
        TLabel *labelType;
private:	// User declarations
        void __fastcall comboTypeKeyPress(TObject *Sender, char &Key);
        void __fastcall comboTypeChange(TObject *Sender);
protected:
        string virtual PrepareImpl ();
        // void   virtual CleanUpImpl ();

        vector<fk_info> picker_content;
        void __fastcall virtual SetSimple (bool Value);
        void __fastcall virtual ChangeHostedQuery (TframeQueryGeneric* Value);
        void __fastcall virtual SetSourceTableName (AnsiString Value);
public:
        bool   virtual Valid ();
        string virtual Describe (bool as_html);
        // bool   virtual Same  (TframeQueryGeneric* other_query);
        xValue virtual Save  (bool with_params);
        void   virtual Load  (xValue config, bool with_params);
        static TframeQueryGeneric* Create (TComponent* owner);
        static bool                Appropriate (string source_table_name);
public:		// User declarations
        __fastcall TframeQuery_PointsTo(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TframeQuery_PointsTo *frameQuery_PointsTo;
//---------------------------------------------------------------------------
#endif
