//---------------------------------------------------------------------------

#ifndef codeQuery__ObsResponseSetsByResponseH
#define codeQuery__ObsResponseSetsByResponseH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeQueryGeneric.h"
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TframeQuery__ObsResponseSetsByResponse : public TframeQueryGeneric
{
__published:	// IDE-managed Components
        TLabel *_labelD;
        TLabel *labelUnits;
        TPanel *panelVal;
        TComboBox *comboKey;
        TComboBox *comboOp;
        TEdit *editVal;
        TComboBox *comboVal;
        void __fastcall comboKeyChange(TObject *Sender);
        void __fastcall comboKeyKeyPress(TObject *Sender, char &Key);
        void __fastcall comboOpKeyPress(TObject *Sender, char &Key);
private:	// User declarations
        string q_id;
        string obs_type;
        string obs_opt;
        void RefreshObsQuestionType();
protected:
        string virtual PrepareImpl ();
        // void virtual CleanUpImpl ();
public:
        bool   virtual Valid ();
        string virtual Describe (bool as_html);
        // bool   virtual Same  (TframeQueryGeneric* other_query);
        xValue virtual Save  (bool with_params);
        void   virtual Load  (xValue config, bool with_params);
        static TframeQueryGeneric* Create (TComponent* owner);
        static bool                Appropriate (string source_table_name);
public:		// User declarations
        __fastcall TframeQuery__ObsResponseSetsByResponse(TComponent* Owner);
        __fastcall ~TframeQuery__ObsResponseSetsByResponse();
};
//---------------------------------------------------------------------------
extern PACKAGE TframeQuery__ObsResponseSetsByResponse *frameQuery__ObsResponseSetsByResponse;
//---------------------------------------------------------------------------
#endif
