//---------------------------------------------------------------------------

#ifndef codeQuery__PeopleByMeasurementImprovementH
#define codeQuery__PeopleByMeasurementImprovementH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeQueryGeneric.h"
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TframeQuery__PeopleByMeasurementImprovement : public TframeQueryGeneric
{
__published:	// IDE-managed Components
        TLabel *_labelA;
        TComboBox *comboKey;
        TLabel *_labelB;
        TEdit *editStart;
        TEdit *editStop;
        TComboBox *comboDir;
        TLabel *_labelC;
        TEdit *editMin;
        TEdit *editMax;
        TLabel *_labelD;
        TComboBox *comboBy;
        TLabel *labelUnits;
        void __fastcall comboDirKeyPress(TObject *Sender, char &Key);
        void __fastcall comboKeyChange(TObject *Sender);
        void __fastcall comboKeyKeyPress(TObject *Sender, char &Key);
        void __fastcall comboByChange(TObject *Sender);
        void __fastcall comboByKeyPress(TObject *Sender, char &Key);
private:	// User declarations
        string comp_data;

        string q_id;
        string obs_type;
        string obs_opt;
        void RefreshObsQuestionType();
protected:
        string virtual PrepareImpl ();
        // void virtual CleanUpImpl ();
public:
        void   virtual CleanUpImpl ();
        bool   virtual Valid ();
        string virtual Describe (bool as_html);
        // bool   virtual Same  (TframeQueryGeneric* other_query);
        xValue virtual Save  (bool with_params);
        void   virtual Load  (xValue config, bool with_params);
        static TframeQueryGeneric* Create (TComponent* owner);
        static bool                Appropriate (string source_table_name);
public:		// User declarations
        __fastcall TframeQuery__PeopleByMeasurementImprovement(TComponent* Owner);
        __fastcall ~TframeQuery__PeopleByMeasurementImprovement();
};
//---------------------------------------------------------------------------
extern PACKAGE TframeQuery__PeopleByMeasurementImprovement *frameQuery__PeopleByMeasurementImprovement;
//---------------------------------------------------------------------------
#endif
