//---------------------------------------------------------------------------

#ifndef codeQuery__PeopleByMetabolicGoalsReachedH
#define codeQuery__PeopleByMetabolicGoalsReachedH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeQueryGeneric.h"
#include <ComCtrls.hpp>
#include "edit_listview.h"
#include <Menus.hpp>
#include <algorithm>
//---------------------------------------------------------------------------
class TframeQuery__PeopleByMetabolicGoalsReached : public TframeQueryGeneric
{
__published:	// IDE-managed Components
        TLabel *_labelMet;
        TListView *listGoals;
        TButton *buttonGoalAdd;
        TButton *buttonGoalRemove;
        TButton *buttonGoalClear;
        TButton *buttonGoalSave;
        TEdit *editValue;
        TComboBox *comboField;
        TComboBox *comboRelation;
        TLabel *_labelGoals;
        TEdit *editMetMax;
        TLabel *Label3;
        TLabel *_labelUnmet;
        TEdit *editUnmetMin;
        TLabel *Label5;
        TDateTimePicker *dateMetMin;
        TDateTimePicker *dateUnmetMax;
        void __fastcall comboFieldKeyPress(TObject *Sender, char &Key);
        void __fastcall comboRelationKeyPress(TObject *Sender, char &Key);
        void __fastcall buttonGoalAddClick(TObject *Sender);
        void __fastcall buttonGoalRemoveClick(TObject *Sender);
        void __fastcall buttonGoalClearClick(TObject *Sender);
        void __fastcall buttonGoalSaveClick(TObject *Sender);
private:	// User declarations
        edit_listview list_goals;
        void GoalSelected ();
protected:
        string virtual PrepareImpl ();
        // void virtual CleanUpImpl ();
public:
        bool   virtual Valid ();
        // bool   virtual Same  (TframeQueryGeneric* other_query);
        xValue virtual Save  (bool with_params);
        void   virtual Load  (xValue config, bool with_params);
        static TframeQueryGeneric* Create (TComponent* owner);
        static bool                Appropriate (string source_table_name);
public:		// User declarations
        __fastcall TframeQuery__PeopleByMetabolicGoalsReached(TComponent* Owner);
        __fastcall ~TframeQuery__PeopleByMetabolicGoalsReached();
};
//---------------------------------------------------------------------------
extern PACKAGE TframeQuery__PeopleByMetabolicGoalsReached *frameQuery__PeopleByMetabolicGoalsReached;
//---------------------------------------------------------------------------
#endif
