//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "codeRelationEventTimeline.h"
#pragma link "codeRelationGeneric"
#pragma link "codeValueGeneric"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// ValidCtrCheck is used to assure that the components created do not have
// any pure virtual functions.
//

// EXPECTS:
// - category
// - id
// - name
// - single date
// - begin date
// - end date
// - note

static inline void ValidCtrCheck(TRelationEventTimeline *)
{
        new TRelationEventTimeline(NULL);
}
//---------------------------------------------------------------------------
__fastcall TRelationEventTimeline::TRelationEventTimeline(TComponent* Owner)
        : TRelationGeneric(Owner)
{
}
//---------------------------------------------------------------------------
namespace Coderelationeventtimeline
{
        void __fastcall PACKAGE Register()
        {
                 TComponentClass classes[1] = {__classid(TRelationEventTimeline)};
                 RegisterComponents("prometheus", classes, 0);
        }
}
//---------------------------------------------------------------------------
relation __fastcall TRelationEventTimeline::GetRelationValue()
{
 return FValue;
}
//---------------------------------------------------------------------------
void __fastcall TRelationEventTimeline::SetRelationValue(const relation & pValue)
{
 FValue = pValue;
 // TODO: refresh
}
//---------------------------------------------------------------------------
relation __fastcall TRelationEventTimeline::GetRelationSelection()
{
 // TODO
 return relation();
}
//---------------------------------------------------------------------------
void __fastcall TRelationEventTimeline::SetRelationSelection(const relation & pValue)
{
 // TODO
}
//---------------------------------------------------------------------------
relation __fastcall TRelationEventTimeline::GetRelationHighlight()
{
 // TODO
 return relation();
}
//---------------------------------------------------------------------------
void __fastcall TRelationEventTimeline::SetRelationHighlight(const relation & pValue)
{
 // TODO
}
//---------------------------------------------------------------------------
bool __fastcall TRelationEventTimeline::GetAllowSelection()
{
 return FAllowSelection;
}
//---------------------------------------------------------------------------
void __fastcall TRelationEventTimeline::SetAllowSelection(bool pValue)
{
 FAllowSelection = pValue;
 // TODO
}
//---------------------------------------------------------------------------
bool __fastcall TRelationEventTimeline::GetAllowMultiSelection()
{
 return FAllowMultiSelection;
}
//---------------------------------------------------------------------------
void __fastcall TRelationEventTimeline::SetAllowMultiSelection(bool pValue)
{
 FAllowMultiSelection = pValue;
 // TODO
}
//---------------------------------------------------------------------------
bool __fastcall TRelationEventTimeline::GetAllowMultiHighlight()
{
 return FAllowMultiHighlight;
}
//---------------------------------------------------------------------------
void __fastcall TRelationEventTimeline::SetAllowMultiHighlight(bool pValue)
{
 FAllowMultiHighlight = pValue;
 // TODO
}
//---------------------------------------------------------------------------
TNotifyEvent __fastcall TRelationEventTimeline::GetOnValueChange()
{
 return FOnValueChange;
}
//---------------------------------------------------------------------------
void __fastcall TRelationEventTimeline::SetOnValueChange(TNotifyEvent pValue)
{
 FOnValueChange = pValue;
}
//---------------------------------------------------------------------------
TNotifyEvent __fastcall TRelationEventTimeline::GetOnSelectionChange()
{
 return FOnSelectionChange;
}
//---------------------------------------------------------------------------
void __fastcall TRelationEventTimeline::SetOnSelectionChange(TNotifyEvent pValue)
{
 FOnSelectionChange = pValue;
}
//---------------------------------------------------------------------------
TNotifyEvent __fastcall TRelationEventTimeline::GetOnHighlightChange()
{
 return FOnHighlightChange;
}
//---------------------------------------------------------------------------
void __fastcall TRelationEventTimeline::SetOnHighlightChange(TNotifyEvent pValue)
{
 FOnHighlightChange = pValue;
}
//---------------------------------------------------------------------------
bool __fastcall TRelationEventTimeline::Valid(VGValidationMethods Method)
{
 return true;
}
//---------------------------------------------------------------------------
void __fastcall TRelationEventTimeline::Paint()
{
 TRect rectAll;
 rectAll.Top = 0;
 rectAll.Bottom = Height;
 rectAll.Left = 0;
 rectAll.Right = Width;

 HDC box_dc = GetWindowDC(this->Handle);
 DrawEdge(box_dc, &rectAll, EDGE_SUNKEN, BF_LEFT | BF_TOPLEFT | BF_BOTTOMLEFT | BF_BOTTOM | BF_BOTTOMRIGHT | BF_RIGHT | BF_TOPRIGHT | BF_TOP);
 ReleaseDC(this->Handle, box_dc);
}
//---------------------------------------------------------------------------

