//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "codeRelationObservationTimeline.h"
#pragma link "codeRelationGeneric"
#pragma link "codeValueGeneric"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// ValidCtrCheck is used to assure that the components created do not have
// any pure virtual functions.
//

// EXPECTS:
// - id
// - name
// - color?
// - single date
// - single value (response)
// - low value (response)
// - high value (response)
// - low range value (expected)
// - high range value (expected)
// - note

static inline void ValidCtrCheck(TRelationObservationTimeline *)
{
        new TRelationObservationTimeline(NULL);
}
//---------------------------------------------------------------------------
__fastcall TRelationObservationTimeline::TRelationObservationTimeline(TComponent* Owner)
        : TRelationGeneric(Owner)
{
}
//---------------------------------------------------------------------------
namespace Coderelationobservationtimeline
{
        void __fastcall PACKAGE Register()
        {
                 TComponentClass classes[1] = {__classid(TRelationObservationTimeline)};
                 RegisterComponents("prometheus", classes, 0);
        }
}
//---------------------------------------------------------------------------
relation __fastcall TRelationObservationTimeline::GetRelationValue()
{
 return FValue;
}
//---------------------------------------------------------------------------
void __fastcall TRelationObservationTimeline::SetRelationValue(const relation & pValue)
{
 FValue = pValue;
 // TODO: refresh
}
//---------------------------------------------------------------------------
relation __fastcall TRelationObservationTimeline::GetRelationSelection()
{
 // TODO
 return relation();
}
//---------------------------------------------------------------------------
void __fastcall TRelationObservationTimeline::SetRelationSelection(const relation & pValue)
{
 // TODO
}
//---------------------------------------------------------------------------
relation __fastcall TRelationObservationTimeline::GetRelationHighlight()
{
 // TODO
 return relation();
}
//---------------------------------------------------------------------------
void __fastcall TRelationObservationTimeline::SetRelationHighlight(const relation & pValue)
{
 // TODO
}
//---------------------------------------------------------------------------
bool __fastcall TRelationObservationTimeline::GetAllowSelection()
{
 return FAllowSelection;
}
//---------------------------------------------------------------------------
void __fastcall TRelationObservationTimeline::SetAllowSelection(bool pValue)
{
 FAllowSelection = pValue;
 // TODO
}
//---------------------------------------------------------------------------
bool __fastcall TRelationObservationTimeline::GetAllowMultiSelection()
{
 return FAllowMultiSelection;
}
//---------------------------------------------------------------------------
void __fastcall TRelationObservationTimeline::SetAllowMultiSelection(bool pValue)
{
 FAllowMultiSelection = pValue;
 // TODO
}
//---------------------------------------------------------------------------
bool __fastcall TRelationObservationTimeline::GetAllowMultiHighlight()
{
 return FAllowMultiHighlight;
}
//---------------------------------------------------------------------------
void __fastcall TRelationObservationTimeline::SetAllowMultiHighlight(bool pValue)
{
 FAllowMultiHighlight = pValue;
 // TODO
}
//---------------------------------------------------------------------------
TNotifyEvent __fastcall TRelationObservationTimeline::GetOnValueChange()
{
 return FOnValueChange;
}
//---------------------------------------------------------------------------
void __fastcall TRelationObservationTimeline::SetOnValueChange(TNotifyEvent pValue)
{
 FOnValueChange = pValue;
}
//---------------------------------------------------------------------------
TNotifyEvent __fastcall TRelationObservationTimeline::GetOnSelectionChange()
{
 return FOnSelectionChange;
}
//---------------------------------------------------------------------------
void __fastcall TRelationObservationTimeline::SetOnSelectionChange(TNotifyEvent pValue)
{
 FOnSelectionChange = pValue;
}
//---------------------------------------------------------------------------
TNotifyEvent __fastcall TRelationObservationTimeline::GetOnHighlightChange()
{
 return FOnHighlightChange;
}
//---------------------------------------------------------------------------
void __fastcall TRelationObservationTimeline::SetOnHighlightChange(TNotifyEvent pValue)
{
 FOnHighlightChange = pValue;
}
//---------------------------------------------------------------------------
bool __fastcall TRelationObservationTimeline::Valid(VGValidationMethods Method)
{
 return true;
}
//---------------------------------------------------------------------------
void __fastcall TRelationObservationTimeline::Paint()
{
 TRect rectAll;
 rectAll.Top = 0;
 rectAll.Bottom = Height;
 rectAll.Left = 0;
 rectAll.Right = Width;

 HDC box_dc = GetWindowDC(this->Handle);
 DrawEdge(box_dc, &rectAll, EDGE_SUNKEN, BF_LEFT | BF_TOPLEFT | BF_BOTTOMLEFT | BF_BOTTOM | BF_BOTTOMRIGHT | BF_RIGHT | BF_TOPRIGHT | BF_TOP);
 ReleaseDC(this->Handle, box_dc);
}
//---------------------------------------------------------------------------

