//---------------------------------------------------------------------------

#ifndef codeSectionsGenericH
#define codeSectionsGenericH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class PACKAGE TSectionsGeneric : public TCustomControl
{
private:
protected:
        bool reopen_when_enabled;
        bool FOpen;
        int FOpenHeight;
        AnsiString FCaption;
        // TSpeedButton * buttonArrow;
        TImage * buttonArrow;
        TLabel * labelTop;
        TPanel * panelTop; 
        Classes::TNotifyEvent FOnOpen;
        Classes::TNotifyEvent FOnShut;
                                                                
        void __fastcall Paint();                               
        Windows::TRect __fastcall GetClientRect();
        bool __fastcall CanResize(int &NewWidth, int &NewHeight);
        void __fastcall UserClick(TObject * Sender);
        void __fastcall AfterResize(TObject* Sender);

        void __fastcall virtual SetOpen(bool Value);
        void __fastcall virtual SetOpenHeight(int Value);
        void __fastcall virtual SetCaption(AnsiString Value);
        void __fastcall virtual SetEnabled(bool Value);
        void __fastcall virtual UpdateGlyph();
public:
        __fastcall TSectionsGeneric(TComponent* Owner);
__published:
        __property Classes::TNotifyEvent OnOpen = {read=FOnOpen, write=FOnOpen};
        __property Classes::TNotifyEvent OnShut = {read=FOnShut, write=FOnShut};
        __property Align;
        __property Anchors;
        __property Color;
        __property ParentColor;
        __property Enabled;
        __property Visible;                                
        __property DoubleBuffered;
        __property TabOrder;
        __property TabStop;
        __property bool Open = {read = FOpen, write = SetOpen, default = true};
        __property int OpenHeight = {read = FOpenHeight, write = SetOpenHeight};
        __property AnsiString Caption = {read = FCaption, write = SetCaption, nodefault};
};
//---------------------------------------------------------------------------
#endif
 