//---------------------------------------------------------------------------

#ifndef codeStringGenericH
#define codeStringGenericH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include "codeValueGeneric.h"
#include <string>
using namespace std;
//---------------------------------------------------------------------------
class PACKAGE TStringGeneric : public TValueGeneric
{
private:
        string     __fastcall virtual GetStringValue();
        void       __fastcall virtual SetStringValue(string pValue);
        AnsiString __fastcall virtual GetAnsiStringValue();
        void       __fastcall virtual SetAnsiStringValue(AnsiString pValue);
protected:
        string virtual GetValue(); // override me
        void virtual SetValue(string pValue); // override me
public:
        __fastcall TStringGeneric(TComponent* Owner);
        bool __fastcall virtual Valid(VGValidationMethods Method) = 0;
        __property string Value = {read = GetStringValue, write = SetStringValue}; // run-time legacy compatibility
__published:
        __property AnsiString AnsiValue = {read = GetAnsiStringValue, write = SetAnsiStringValue}; // design-time compatibility

        // inherited
        __property InputState;
        __property OnInitShow;
        __property OnValidate;
        // inherited
        __property DoubleBuffered;
        __property TabOrder;
        __property TabStop;
        __property Align;
        __property Anchors;
};
//---------------------------------------------------------------------------
#endif
