//EPIMETHEUS
#ifndef netrefresh_h
#define netrefresh_h

#include "relevant.h"
#include "messaging.h"
#include "tcpip_messaging.h"

class classNetworkRequestHandler : public classRequestHandler
{
protected:
// classMailSlot localbox;
 classTcpipMessaging *message_router;
 map<int,string> need_calling;
 set<TObject*>   caused_errors;
 string          broadcast;
public:
 classNetworkRequestHandler(classTcpipMessaging *p_message_router);
 bool IsReady ();             //check the status of localbox
 void Notify(string key, string value); //overload to send to the network now
 void Check ();               //added to check for messages in batch mode
 void virtual HandleMissingCallback (EAccessViolation & e);
 ~classNetworkRequestHandler();
};
#endif