#include "action_factories.h"

#include "codeAction__PeopleInListview.h"
#include "codeAction__PersonAudit.h"
#include "codeAction__YearlyMeasurementSummary.h"
#include "codeAction_Count.h"
#include "codeAction_ModifyResultSet.h"

void RegisterActionFactories (set_action_factory_registry & factories)
{
 factories.AddFactory("List people in a new window", "TframeAction__PeopleInListview", TframeAction__PeopleInListview::Appropriate, TframeAction__PeopleInListview::Create);
 factories.AddFactory("Audit/Descriptive report", "TframeAction__PersonAudit", TframeAction__PersonAudit::Appropriate, TframeAction__PersonAudit::Create);
 factories.AddFactory("Yearly measurement summary report", "TframeAction__YearlyMeasurementSummary", TframeAction__YearlyMeasurementSummary::Appropriate, TframeAction__YearlyMeasurementSummary::Create);
 factories.AddFactory("Count $", "TframeAction_Count", TframeAction_Count::Appropriate, TframeAction_Count::Create);
 factories.AddFactory("Add, remove, or set a result set", "TframeAction_ModifyResultSet", TframeAction_ModifyResultSet::Appropriate, TframeAction_ModifyResultSet::Create);
}
