//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "codeActionGeneric.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TframeActionGeneric *frameActionGeneric;
//---------------------------------------------------------------------------
__fastcall TframeActionGeneric::TframeActionGeneric(TComponent* Owner)
        : TFrame(Owner)
{
 // stupid tracking of unique ... blah.
 Name = Name + IntToString((unsigned int)(void*)this).c_str();
}
//---------------------------------------------------------------------------
__fastcall TframeActionGeneric::~TframeActionGeneric()
{
 Container = NULL;
}
//---------------------------------------------------------------------------
void __fastcall TframeActionGeneric::SetContainer (TframeActionContainer* Value)
{
 // TODO: yes, we should probably call functions -in- the container to have this done for us ... later. remind me.
 if (FContainer)
  FContainer->DelAction(this);

 if (Value)
  Value->AddAction(this);

 FContainer = Value;
}
//---------------------------------------------------------------------------
void __fastcall TframeActionGeneric::buttonRemoveClick(TObject *Sender)
{
 // need some way to delete 'self' --
 // magicclosable does it like this, with a custom message:
 if (FContainer)
  PostMessage(FContainer->Handle, WM_DELETE_HOSTED_ACTION, (unsigned int)(void*)(this), NULL);
}
//---------------------------------------------------------------------------
AnsiString __fastcall TframeActionGeneric::GetSourceTableName ()
{
 return FSourceTableName.c_str();
}
//---------------------------------------------------------------------------
void __fastcall TframeActionGeneric::SetSourceTableName (AnsiString Value)
{
 FSourceTableName = Value.c_str();
}
//---------------------------------------------------------------------------
TframeActionGeneric* TframeActionGeneric::Create (TComponent* owner)
{
 TframeActionGeneric* temp;
 FORM_TRY
  temp = new TframeActionGeneric(owner);
 FORM_CATCH
 return temp;
}
//---------------------------------------------------------------------------
bool TframeActionGeneric::Appropriate (string source_table_name)
{
 return false;
}
//---------------------------------------------------------------------------
bool TframeActionGeneric::Execute (TIBTransaction* dbTransaction, string source_view_name)
{
 return true;
}
//---------------------------------------------------------------------------
bool TframeActionGeneric::Valid ()
{
 return true;
}
//---------------------------------------------------------------------------
xValue TframeActionGeneric::Save (bool with_params)
{
 // for future implementation
 return xVal("null", "");
}
//---------------------------------------------------------------------------
void TframeActionGeneric::Load (xValue config, bool with_params)
{
 // for future implementation
}
//---------------------------------------------------------------------------
void __fastcall TframeActionGeneric::FrameResize(TObject *Sender)
{
 // 'cause ... stuff. a bunch. yup.
 if (FContainer)
  FContainer->ReArrange();
}
//---------------------------------------------------------------------------
string TframeActionGeneric::GetTag ()
{
 // try to figure out how we were created, derive tag from this (in the db) ... return the tag (for use when saving?)
 a_factory_info temp_factory = action_factories.GetFactoryByTag(action_factories.GetTagByFactory (HowCreate));
 if (temp_factory.create_pointer)
  return temp_factory.serialization_tag;
 else
  return "";
}
//---------------------------------------------------------------------------

