//---------------------------------------------------------------------------

#ifndef codeAction_ModifyResultSetH
#define codeAction_ModifyResultSetH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeActionGeneric.h"
#include <Buttons.hpp>
#include "util.h"
//---------------------------------------------------------------------------
class TframeAction_ModifyResultSet : public TframeActionGeneric
{
__published:	// IDE-managed Components
        TLabel *Label1;
        TComboBox *comboAction;
        TComboBox *comboSet;
        TEdit *editSet;
        TRadioButton *radioExisting;
        TRadioButton *radioCreate;
        void __fastcall comboActionKeyPress(TObject *Sender, char &Key);
        void __fastcall comboSetKeyPress(TObject *Sender, char &Key);
private:	// User declarations
        vector<string> set_ids;
protected:
        void __fastcall virtual SetSourceTableName (AnsiString Value);
public:		// User declarations
        bool virtual Execute (TIBTransaction* dbTransaction, string source_view_name);
        bool virtual Valid ();
        static TframeActionGeneric* Create      (TComponent* owner);
        static bool                 Appropriate (string source_table_name);

        __fastcall TframeAction_ModifyResultSet(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TframeAction_ModifyResultSet *frameAction_ModifyResultSet;
//---------------------------------------------------------------------------
#endif
