//---------------------------------------------------------------------------

#ifndef codeAction__YearlyMeasurementSummaryH
#define codeAction__YearlyMeasurementSummaryH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeActionGeneric.h"
#include <Buttons.hpp>
#include "codeRubberContainer.h"
#include <ComCtrls.hpp>
#include "Filter.h"
//---------------------------------------------------------------------------
class TframeAction__YearlyMeasurementSummary : public TframeActionGeneric
{
__published:	// IDE-managed Components
        TLabel *_labelSettings;
        TButton *buttonSettingsLoad;
        TButton *buttonSettingsSave;
        TEdit *editStart;
        TLabel *_labelD;
        TEdit *editStop;
        TLabel *_labelC;
        TRubberContainer *RubberContainer1;
        TListView *listQuestions;
        TLabel *_labelA;
        TLabel *_labelB;
        TComboBox *comboCalcMethod;
        void __fastcall buttonSettingsLoadClick(TObject *Sender);
        void __fastcall buttonSettingsSaveClick(TObject *Sender);
        void __fastcall comboCalcMethodKeyPress(TObject *Sender,
          char &Key);
private:	// User declarations
        classFilterObject question_filter;
public:		// User declarations
        xValue virtual Save (bool with_params);
        void   virtual Load (xValue config, bool with_params);
        bool virtual Execute (TIBTransaction* dbTransaction, string source_view_name);
        bool virtual Valid ();
        static TframeActionGeneric* Create      (TComponent* owner);
        static bool                 Appropriate (string source_table_name);

        __fastcall TframeAction__YearlyMeasurementSummary(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TframeAction__YearlyMeasurementSummary *frameAction__YearlyMeasurementSummary;
//---------------------------------------------------------------------------
#endif
