//---------------------------------------------------------------------------

#ifndef codeDrawerDataQueryH
#define codeDrawerDataQueryH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeDrawerGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformDrawerDataQuery : public TformDrawerGeneric
{
__published:	// IDE-managed Components
        TPageControl *pageGroups;
        TTabSheet *sheetTables;
        TListView *listTables;
        TTabSheet *sheetViews;
        TListView *listViews;
        TTabSheet *sheetIndexes;
        TListView *listIndexes;
        TTabSheet *sheetStoredProcedures;
        TListView *listStoredProcedures;
        TTabSheet *sheetGenerators;
        TListView *listGenerators;
        TTabSheet *sheetDomains;
        TListView *listDomains;
        TPopupMenu *popupLists;
        TMenuItem *popupListsRefresh;
        TPopupMenu *popupGroups;
        TMenuItem *popupGroupsDomains;
        TMenuItem *popupGroupsTables;
        TMenuItem *popupGroupsViews;
        TMenuItem *popupGroupsIndexes;
        TMenuItem *popupGroupsStoredProcedures;
        TMenuItem *popupGroupsGenerators;
        TMenuItem *menuShowRDB;
        TToolButton *btnGroup;
        TToolButton *btnVisible;
        TMenuItem *menuShowTemp;
        void __fastcall popupGroupsDomainsClick(TObject *Sender);
        void __fastcall popupGroupsTablesClick(TObject *Sender);
        void __fastcall popupGroupsViewsClick(TObject *Sender);
        void __fastcall popupGroupsIndexesClick(TObject *Sender);
        void __fastcall popupGroupsStoredProceduresClick(TObject *Sender);
        void __fastcall popupGroupsGeneratorsClick(TObject *Sender);
        void __fastcall popupListsRefreshClick(TObject *Sender);
        void __fastcall sheetDomainsShow(TObject *Sender);
        void __fastcall sheetTablesShow(TObject *Sender);
        void __fastcall sheetViewsShow(TObject *Sender);
        void __fastcall sheetIndexesShow(TObject *Sender);
        void __fastcall sheetStoredProceduresShow(TObject *Sender);
        void __fastcall sheetGeneratorsShow(TObject *Sender);
        void __fastcall menuShowRDBClick(TObject *Sender);
        void __fastcall menuShowTempClick(TObject *Sender);
private:	// User declarations
        bool RefreshDomains();
        bool RefreshTables();
        bool RefreshViews();
        bool RefreshIndexes();
        bool RefreshStoredProcedures();
        bool RefreshGenerators();
        bool domains_loaded;
        bool tables_loaded;
        bool views_loaded;
        bool indexes_loaded;
        bool stored_procedures_loaded;
        bool generators_loaded;
public:		// User declarations
        __fastcall TformDrawerDataQuery(TComponent* Owner);
        TListView *TformDrawerDataQuery::GetActiveList();
};
//---------------------------------------------------------------------------
extern PACKAGE TformDrawerDataQuery *formDrawerDataQuery;
//---------------------------------------------------------------------------
#endif
