//---------------------------------------------------------------------------

#ifndef codeDrawerSearchFavoritesH
#define codeDrawerSearchFavoritesH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeDrawerGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformDrawerSearchFavorites : public TformDrawerGeneric
{
__published:	// IDE-managed Components
        TToolButton *buttonAdd;
        TToolButton *buttonRemove;
        TToolButton *buttonClear;
        TPanel *panelFavorites;
        TListView *listFavorites;
        void __fastcall buttonAddClick(TObject *Sender);
        void __fastcall buttonRemoveClick(TObject *Sender);
        void __fastcall buttonClearClick(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
        void __fastcall listFavoritesKeyPress(TObject *Sender, char &Key);
private:	// User declarations
        void RefreshFavorites();
        set<string> FavoritesToSet();
        void SetToFavorites(set<string> new_favorites);
        void FavoriteZoomed();
public:		// User declarations
        edit_listview list_favorites;
        __fastcall TformDrawerSearchFavorites(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformDrawerSearchFavorites *formDrawerSearchFavorites;
//---------------------------------------------------------------------------
#endif
