inherited formEnrollmentDiabRegistry: TformEnrollmentDiabRegistry
  Top = 412
  Caption = 'Diabetes Registry'
  PixelsPerInch = 96
  TextHeight = 13
  inherited toolsStandard: TToolBar
    inherited btnRefreshAll: TToolButton
      OnClick = btnRefreshAllClick
    end
  end
  inherited scrollStandard: TScrollBox
    inherited pageEnrollment: TPageControl
      ActivePage = sheetWelcome
      OnChange = pageEnrollmentChange
      object sheetWelcome: TTabSheet [0]
        Caption = 'Welcome'
        object padWelcome: TPaddedBox
          Left = 0
          Top = 0
          Width = 686
          Height = 334
          PadLeft = 5
          PadTop = 5
          PadRight = 5
          PadBottom = 5
          Edge = False
          InnerColor = clBtnFace
          Align = alClient
          TabOrder = 0
          object richWelcome: TRichEdit
            Left = 5
            Top = 5
            Width = 676
            Height = 324
            Align = alClient
            BorderStyle = bsNone
            Lines.Strings = (
              
                'The diabetes registry is a maintained list of patients with type' +
                ' 1 and type 2 Diabetes.  The purpose of this screen is to allow ' +
                'regular updates '
              'to the registry.'
              ' '
              
                'The "Registry" tab shows you the people currently on the registr' +
                'y, their status, and the suggested status.  You can optionally c' +
                'hoose to only '
              
                'show people with suggested status changes.  To change a single e' +
                'nrollment record, double click the row and make changes on the s' +
                'creen '
              'that pops up.'
              ' '
              
                'To change the status of multiple people at once, check the boxes' +
                ' on all of the rows you wish to change.  Remember that if you ri' +
                'ght click, '
              
                'then go to "Checkboxes", there are options to "Check all", "Unch' +
                'eck all", and "Flip all" (invert all checkboxes).  Then ... (to ' +
                'be continued)'
              ' '
              'Status summary:'
              ' '
              
                'Active:  Patient who has a diagnosis of diabetes and has been se' +
                'en at least once in the past year for diabetes care.'
              ' '
              
                'Inactive:  Patient who used to get his/her primary care at your ' +
                'facility but has transferred care to another site, moved, or has' +
                ' not returned for '
              
                'routine care at least once in the past year.  There should be do' +
                'cumented evidence that three attempts to contact them for follow' +
                '-up have '
              
                'been made within the past twelve months for an inactive status t' +
                'o be assigned.'
              ' '
              
                'Transient:  Patient who receives diabetes care at another facili' +
                'ty but who received specialty or acute care, e.g. optometry or r' +
                'adiology at '
              
                'your facility.  It should be documented where they are receiving' +
                ' their primary care in the "Provider" field of their Diabetes Re' +
                'gistry enrollment '
              'record.  '
              ' '
              
                'Lost to Follow-Up:  Patients who have not had a diabetes visit i' +
                'n the past year.  The status should be changed to "Inactive" whe' +
                'n it '
              
                'has been documented (see "Inactive" above) that the patient has ' +
                'moved or identified another primary care provider.'
              ' '
              
                'Un-Reviewed:  Temporary status used when initially populating th' +
                'e registry, to be used only until each patient can be reviewed t' +
                'o determine '
              'the patient'#39's true status.'
              ' '
              'Deceased'
              ' '
              
                '>no PCP assigned<:  Suggested status cannot be determined becaus' +
                'e the person'#39's enrollment does not include a PCP.  Double click ' +
                'the '
              
                'row, unlock the enrollment record, search for a PCP, and save it' +
                '.'
              ' '
              
                '>indeterminate<:  Suggested status cannot be determined for an u' +
                'ndefined reason.  You might point these out to a programmer so a' +
                ' more '
              'specific error message can be displayed.'
              ' '
              
                'The next tab, "New Diabetics" lists all people with diabetes not' +
                ' already on the diabetes registry.  Optioally, it can show you o' +
                'nly those with '
              
                'at least one visit in the past year.  To add a single person to ' +
                'the registry, double click the row.  This brings up a "new" enro' +
                'llment record '
              
                'which, when saved, will add that person to the list on the "Regi' +
                'stry" tab.'
              ' '
              
                'To add multiple new diabetics to the registry at once, check the' +
                ' boxes on all of the rows you wish to add.  Remember that if you' +
                ' right click, '
              
                'then go to Checkboxes, there are options to "Check all", "Unchec' +
                'k all", and "Flip all" (invert all checkboxes).  Then ... (to be' +
                ' continued)'
              ' '
              
                'The last tab, "At Risk" lists all of the people not on the diabe' +
                'tes registry who do not have diabetes but have one or more risk ' +
                'factors for '
              
                'diabetes.  All of the same rules and information for the "New Di' +
                'abetics" tab (above) apply here.')
            ParentColor = True
            ReadOnly = True
            ScrollBars = ssVertical
            TabOrder = 0
          end
        end
      end
      inherited sheetMembers: TTabSheet
        ImageIndex = 1
        inherited rubberMembers: TRubberContainer
          Height = 282
          inherited listMembers: TListView
            Height = 282
          end
        end
        object panelRegistryControls: TPanel
          Left = 0
          Top = 282
          Width = 686
          Height = 26
          Align = alBottom
          BevelOuter = bvNone
          TabOrder = 1
          object checkRegistryChanges: TCheckBox
            Left = 432
            Top = 6
            Width = 254
            Height = 17
            Caption = 'Show only people with suggested status change'
            TabOrder = 0
            OnClick = checkRegistryChangesClick
          end
        end
        object panelRegistry: TPanel
          Left = 0
          Top = 308
          Width = 686
          Height = 26
          Align = alBottom
          BevelOuter = bvNone
          Color = clAqua
          TabOrder = 2
          Visible = False
          object lblRefreshRegistry: TLabel
            Left = 8
            Top = 8
            Width = 182
            Height = 13
            Caption = 'Some of the data above has changed.'
          end
          object btnRefreshRegistry: TButton
            Left = 200
            Top = 4
            Width = 57
            Height = 21
            Caption = 'Refresh'
            TabOrder = 0
            OnClick = btnRefreshRegistryClick
          end
        end
      end
      object sheetNewDiabetics: TTabSheet
        Caption = 'New Diabetics'
        ImageIndex = 2
        object rubberNewDiabetics: TRubberContainer
          Left = 0
          Top = 0
          Width = 686
          Height = 282
          Align = alClient
          TabOrder = 0
          RightMargin = 2
          BottomMargin = 2
          object listNewDiabetics: TListView
            Left = 0
            Top = 0
            Width = 686
            Height = 282
            Align = alClient
            Columns = <>
            TabOrder = 1
          end
        end
        object panelNewDiabetics: TPanel
          Left = 0
          Top = 308
          Width = 686
          Height = 26
          Align = alBottom
          BevelOuter = bvNone
          Color = clAqua
          TabOrder = 1
          Visible = False
          object lblRefreshNewDiabetics: TLabel
            Left = 8
            Top = 8
            Width = 211
            Height = 13
            Caption = 'Some of the data above may have changed.'
          end
          object btnRefreshNewDiabetics: TButton
            Left = 232
            Top = 4
            Width = 57
            Height = 21
            Caption = 'Refresh'
            TabOrder = 0
            OnClick = btnRefreshNewDiabeticsClick
          end
        end
        object panelNewDiabeticControls: TPanel
          Left = 0
          Top = 282
          Width = 686
          Height = 26
          Align = alBottom
          BevelOuter = bvNone
          TabOrder = 2
          Visible = False
          object checkNewDiabeticVisits: TCheckBox
            Left = 429
            Top = 6
            Width = 257
            Height = 17
            Caption = 'Show only people with suggested status change'
            Checked = True
            State = cbChecked
            TabOrder = 0
            OnClick = checkNewDiabeticVisitsClick
          end
        end
      end
      object sheetAtRisk: TTabSheet
        Caption = 'At Risk'
        ImageIndex = 3
        object panelAtRisk: TPanel
          Left = 0
          Top = 308
          Width = 686
          Height = 26
          Align = alBottom
          BevelOuter = bvNone
          Color = clAqua
          TabOrder = 0
          Visible = False
          object lblRefreshAtRisk: TLabel
            Left = 8
            Top = 8
            Width = 211
            Height = 13
            Caption = 'Some of the data above may have changed.'
          end
          object btnRefreshAtRisk: TButton
            Left = 232
            Top = 4
            Width = 57
            Height = 21
            Caption = 'Refresh'
            TabOrder = 0
            OnClick = btnRefreshAtRiskClick
          end
        end
        object panelAtRiskControls: TPanel
          Left = 0
          Top = 282
          Width = 686
          Height = 26
          Align = alBottom
          BevelOuter = bvNone
          TabOrder = 1
          Visible = False
          object checkAtRiskVisits: TCheckBox
            Left = 429
            Top = 6
            Width = 257
            Height = 17
            Caption = 'Show only people with suggested status change'
            Checked = True
            State = cbChecked
            TabOrder = 0
            OnClick = checkAtRiskVisitsClick
          end
        end
        object rubberAtRisk: TRubberContainer
          Left = 0
          Top = 0
          Width = 686
          Height = 282
          Align = alClient
          TabOrder = 2
          RightMargin = 2
          BottomMargin = 2
          object listAtRisk: TListView
            Left = 0
            Top = 0
            Width = 686
            Height = 282
            Align = alClient
            Columns = <>
            TabOrder = 1
          end
        end
      end
    end
  end
end
