//---------------------------------------------------------------------------

#ifndef codeFilterPreferencesH
#define codeFilterPreferencesH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformFilterPreferences : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *buttonOk;
        TToolButton *buttonCancel;
        TGroupBox *groupCurrent;
        TGroupBox *groupColumns;
        TListView *listCurrent;
        TListView *listColumns;
        TCheckBox *checkHeaders;
        TToolButton *buttonReset;
        void __fastcall buttonOkClick(TObject *Sender);
        void __fastcall buttonCancelClick(TObject *Sender);
        void __fastcall buttonResetClick(TObject *Sender);
private:	// User declarations
        TListView  * listSearchResults;
        TImageList * imageCurrentID;
        classFilterObject * FilterObj;
        void Refetch();
        string prev_pref;
public:		// User declarations
        __fastcall TformFilterPreferences(TComponent* Owner, classFilterObject *);
};
//---------------------------------------------------------------------------
extern PACKAGE TformFilterPreferences *formFilterPreferences;
//---------------------------------------------------------------------------
#endif
