//---------------------------------------------------------------------------

#ifndef codeFrameAssessmentFallRisksH
#define codeFrameAssessmentFallRisksH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeFrameAssessmentGeneric.h"
#include <ComCtrls.hpp>
#include <ImgList.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TframeAssessmentFallRisks : public TframeAssessmentGeneric
{
__published:	// IDE-managed Components
        TPanel *panelFallRisks;
        TLabel *lblTitle;
        TLabel *lblQuestion1;
        TLabel *lblQuestion2;
        TLabel *lblQuestion3;
        TLabel *lblQuestion4;
        TLabel *lblQuestion5;
        TLabel *lblQuestion6;
        TComboBox *cboQuestion1;
        TComboBox *cboQuestion2;
        TComboBox *cboQuestion3;
        TComboBox *cboQuestion4;
        TComboBox *cboQuestion5;
        TComboBox *cboQuestion6;
        TLabel *lblRiskPoints;
        TLabel *lblAssessment;
        TEdit *editRiskPoints;
        TEdit *editMorseAssessment;
        TButton *btnUpdate;
        void __fastcall btnUpdateClick(TObject *Sender);
        void __fastcall cboQuestion1Change(TObject *Sender);
private:	// User declarations
        pmapstrs morse_fall_data; // most recent data put on screen
        string   editing_id;      // ID of record being unlocked
        pmapstrs editing_risk;    // full risk record being edited
        pmapstrs ending_state;
        
        void GetMorseAnswerSets(string &question, TComboBox *cboBox);
        bool Initialize();
        void Lock();
        void CalculateRiskPoints();
        void PopulateComboBox(TComboBox *cboBox, pmapstrs &datamap, const char *id);
        void DoFullUpdate(pmapstrs &datamap);
        void TaskIdChanging(const string &new_id);
        bool LockRecords();
        bool CanUnlock(bool &creating_new);
        void UpdateForEdit();
        bool SavingNew();
        bool IsValidOnScreen();
        bool DoSaveData();
        void SetViewMode();
        void SetEditMode();
        void SendAtlas();
        bool WriteReport(TComponent *compositeReportCtrl);

public:		// User declarations
        __fastcall TframeAssessmentFallRisks(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TframeAssessmentFallRisks *frameAssessmentFallRisks;
//---------------------------------------------------------------------------
#endif
