//---------------------------------------------------------------------------

#ifndef codeFrameAssessmentMedicationsH
#define codeFrameAssessmentMedicationsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeFrameAssessmentGeneric.h"
#include <ComCtrls.hpp>
#include <ImgList.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include "codeHalfButton.h"
#include "Filter.h"
//---------------------------------------------------------------------------
class TframeAssessmentMedications : public TframeAssessmentGeneric
{
__published:	// IDE-managed Components
        TToolButton *sepThree;
        TToolButton *btnAdd;
        TListView *listMeds;
        TPanel *panelMed;
        TSplitter *Splitter1;
        TLabel *lblOrderDate;
        TLabel *lblDiscontinueDate;
        TLabel *lblMedication;
        TEdit *editMedication;
        TLabel *lblMedType;
        TComboBox *cboMedicationType;
        TLabel *lblDose;
        TEdit *editDose;
        TLabel *lblFrequency;
        TComboBox *cboFrequency;
        TLabel *lblRxNumber;
        TEdit *editRxNumber;
        TLabel *lblStatus;
        TComboBox *cboStatus;
        TLabel *lblPurpose;
        TEdit *editPurpose;
        TLabel *lblNotes;
        TRichEdit *editNotes;
        TEdit *editDateOrdered;
        TEdit *editDateDiscontinued;
        THalfButton *hbtnSearchFDA;
        TToolButton *sepFour;
        TToolButton *btnLookUpMed;
        void __fastcall btnAddClick(TObject *Sender);
        void __fastcall hbtnSearchFDAClick(TObject *Sender);
        void __fastcall btnLookUpMedClick(TObject *Sender);
private:	// User declarations
        classFilterObject meds_filter;
        pmapstrs editing_med;
        pmapstrs ending_state; // for remembering what was saved
        int meds_request;
        string editing_id;

        bool Initialize();
        void Lock();
        void TaskIdChanging(const string &new_id);
        bool LockRecords();
        bool CanUnlock(bool &creating_new);
        void UpdateForEdit();
        bool SavingNew();
        bool DoSaveData();
        void SetViewMode();
        void SetEditMode();
        void FilterAddMed();
        void FilterEditMed();
        bool AtlasNotify(int request_num, string matched_value);
        void SendAtlas();
        bool IsValidOnScreen();
        bool WriteReport(TComponent *compositeReportCtrl);

public:		// User declarations
        __fastcall TframeAssessmentMedications(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TframeAssessmentMedications *frameAssessmentMedications;
//---------------------------------------------------------------------------
#endif
