//---------------------------------------------------------------------------


#ifndef codeFrameCodeTaxonomyH
#define codeFrameCodeTaxonomyH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include "util.h"
#include "x_serialization.h"
//---------------------------------------------------------------------------
enum taxonomy_types {txn_condition, txn_procedure};
class TframeCodeTaxonomy : public TFrame
{
__published:	// IDE-managed Components
        TRichEdit *editCodes;
        TButton *buttonLoadTaxonomy;
        TBitBtn *buttonActions;
        TButton *buttonInstructions;
        TPopupMenu *popupTaxonomyActions;
        TMenuItem *menuLoadTaxonomy;
        TMenuItem *menuSaveTaxonomy;
        TMenuItem *N1;
        TMenuItem *menuAddCodes;
        void __fastcall buttonActionsClick(TObject *Sender);
        void __fastcall menuLoadTaxonomyClick(TObject *Sender);
        void __fastcall menuSaveTaxonomyClick(TObject *Sender);
        void __fastcall buttonLoadTaxonomyClick(TObject *Sender);
        void __fastcall buttonInstructionsClick(TObject *Sender);
        void __fastcall menuAddCodesClick(TObject *Sender);
private:	// User declarations
        taxonomy_types FType;

        bool   __fastcall IsValid();
        string __fastcall GetSQL();
        taxonomy_types __fastcall GetType();
        void   __fastcall SetType(taxonomy_types Value);
        xValue __fastcall GetDescription();
        void   __fastcall SetDescription(xValue Value);
        string __fastcall GetText();
        void   __fastcall SetText(string Value);
        void   __fastcall SetBoxColor(TColor Value);
public:		// User declarations
        __property bool Valid = {read = IsValid};
        __property string SQL = {read = GetSQL};
        __property taxonomy_types Type = {read = GetType, write = SetType};
        __property xValue xCodeDescription = {read = GetDescription, write = SetDescription};
        __property string Text = {read = GetText, write = SetText};
        __property TColor BoxColor = {write = SetBoxColor};
        __fastcall TframeCodeTaxonomy(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TframeCodeTaxonomy *frameCodeTaxonomy;
//---------------------------------------------------------------------------
#endif
