//---------------------------------------------------------------------------

#ifndef codeFrameSearchTaskCOBVisitH
#define codeFrameSearchTaskCOBVisitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeFrameSearchTaskGeneric.h"
//---------------------------------------------------------------------------
class TframeSearchTaskCOBVisit : public TframeSearchTaskGeneric
{
__published:	// IDE-managed Components
        TLabel *lblService;
        TEdit *editTaxEntity;
        TLabel *lblCobNumber;
        TEdit *editCobNumber;
        TLabel *lblReason;
        TEdit *editReason;
        TLabel *lblDiagnosis;
        TEdit *editDiagnosis;
        TLabel *lblProcedure;
        TEdit *editProcedure;
        TLabel *lblPrNumber;
        TEdit *editPrNumber;
        TLabel *lblCheckNumber;
        TEdit *editCheckNumber;
private:	// User declarations
        void RegisterControls(TformSearchTask *task_form);
        void AddFilterColumnSpecs(classFilterObject *cfoTaskFilter);
        void SetFilterPreferences(classFilterObject *cfoTaskFilter);
        string GetSelectSQL();
        string GetFromSQL();
        vector<string> GetGroups();
public:		// User declarations
        __fastcall TframeSearchTaskCOBVisit(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TframeSearchTaskCOBVisit *frameSearchTaskCOBVisit;
//---------------------------------------------------------------------------
#endif
