//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "codeFrameSearchTaskGeneric.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TframeSearchTaskGeneric *frameSearchTaskGeneric;
//---------------------------------------------------------------------------
__fastcall TframeSearchTaskGeneric::TframeSearchTaskGeneric(TComponent* Owner)
        : TFrame(Owner)
{
}
//---------------------------------------------------------------------------
// Called from TformSearchTask::ScreenStart. Set the filter security.
void TframeSearchTaskGeneric::SetFilterSecurity(classFilterObject *cfoTaskFilter)
{
  // The default permission is just "tasks" - override only if you need a more specific permission for the group.
  cfoTaskFilter->SetSecurity("tasks");
}
//---------------------------------------------------------------------------
// Called from TformSearchTask::Search. Should return a string containing a comma-separated set of task fields in the
// order they want to appear in the filter. The main task record is referred to with alias 'T'.
string TframeSearchTaskGeneric::GetSelectSQL()
{
  // override me.
  return "";
}
//---------------------------------------------------------------------------
// Called from TformSearchTask::Search. Should return a string containing left and/or inner joins required for the
// task search.
string TframeSearchTaskGeneric::GetFromSQL()
{
  // override me.
  return "";
}
//---------------------------------------------------------------------------
// Called from TformSearchTask::Search. Should return a comma-separated set of the groups that tasks are allowed to be
// in for this particular type of task search.
vector<string> TframeSearchTaskGeneric::GetGroups()
{
  // override me.
  vector<string> groups;
  groups.push_back("");
  return groups;
}
//---------------------------------------------------------------------------

