//---------------------------------------------------------------------------

#ifndef codeFrameTinyRecord_AffiliationH
#define codeFrameTinyRecord_AffiliationH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeFrameTinyRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include "codePaddedBox.h"
#include "codeInlineContainer.h"
//---------------------------------------------------------------------------
class TframeTinyRecord_Affiliation : public TframeTinyRecordGeneric
{
__published:	// IDE-managed Components
        TInlineContainer *inlineAffiliation;
        TPanel *panelCDIB;
        TLabel *_labelCDIB;
        TEdit *editCDIB;
        TPanel *panelTribe;
        TLabel *_labelTribe;
        TComboBox *comboTribe;
        TPanel *panelJoin;
        TLabel *_labelJoin;
        TEdit *editJoin;
        TPanel *panelRelinquish;
        TLabel *_labelLeave;
        TEdit *editLeave;
        void __fastcall inlineAffiliationArrange(TObject *Sender);
        void __fastcall panelButtonsResize(TObject *Sender);
        void __fastcall editAnyChange(TObject *Sender);
        void __fastcall editAnyExit(TObject *Sender);
private:	// User declarations
        bool should_send_change;
        string FPersonId;
protected:
        void virtual __fastcall SetExpanded (bool Value);
        void virtual __fastcall SetId (string Value);
        string virtual __fastcall GetSourceTableName ();
public:		// User declarations
        bool virtual Valid ();
        bool virtual Save (TIBTransaction * dbTransaction);
        __fastcall TframeTinyRecord_Affiliation(TComponent* Owner);
        __fastcall ~TframeTinyRecord_Affiliation();
        static TframeTinyRecordGeneric* Create(TComponent* Owner);
        __property string PersonId = {read = FPersonId, write = FPersonId};
};
//---------------------------------------------------------------------------
extern PACKAGE TframeTinyRecord_Affiliation *frameTinyRecord_Affiliation;
//---------------------------------------------------------------------------
#endif
