//---------------------------------------------------------------------------

#ifndef codeFrameTinyRecord_ChartH
#define codeFrameTinyRecord_ChartH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeFrameTinyRecordGeneric.h"
#include "codeInlineContainer.h"
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TframeTinyRecord_Chart : public TframeTinyRecordGeneric
{
__published:	// IDE-managed Components
        TInlineContainer *inlineChart;
        TPanel *panelNumber;
        TLabel *_labelNumber;
        TEdit *editNumber;
        TPanel *panelLocation;
        TLabel *_labelLocation;
        TComboBox *comboLocation;
        void __fastcall inlineChartArrange(TObject *Sender);
        void __fastcall panelButtonsResize(TObject *Sender);
        void __fastcall editAnyExit(TObject *Sender);
        void __fastcall editAnyChange(TObject *Sender);
private:	// User declarations
        bool should_send_change;
        string FPersonId;
        bool _CanView();
        bool _CanUpdate();
        bool _CanInsert();
        string GroupShortItem();
protected:
        void virtual __fastcall SetId (string Value);
        string virtual __fastcall GetSourceTableName ();
public:		// User declarations
        bool virtual Valid ();
        bool virtual Save (TIBTransaction * dbTransaction);
        __fastcall TframeTinyRecord_Chart(TComponent* Owner);
        __fastcall ~TframeTinyRecord_Chart();
        static TframeTinyRecordGeneric* Create(TComponent* Owner);
        __property string PersonId = {read = FPersonId, write = FPersonId};
};
//---------------------------------------------------------------------------
extern PACKAGE TframeTinyRecord_Chart *frameTinyRecord_Chart;
//---------------------------------------------------------------------------
#endif
