//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "codeFrameTinyRecord_InsuranceBenefit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "codeFrameTinyRecordGeneric"
#pragma link "codeFrameTinyRecord_TaxEntity"
#pragma link "codeFrameTinyRecordMagic"
#pragma resource "*.dfm"
TframeTinyRecord_InsuranceBenefit *frameTinyRecord_InsuranceBenefit;
//---------------------------------------------------------------------------
__fastcall TframeTinyRecord_InsuranceBenefit::TframeTinyRecord_InsuranceBenefit(TComponent* Owner)
        : TframeTinyRecordGeneric(Owner)
{
 CanExpand = true;
 panelResize(NULL);
 Expanded = false;

 frameCarrier->Id = "0";
 frameCarrier->Magic = trm_existing;
 frameCarrier->Label = "Insurance Carrier";

 // jhaley 20110824: Everything from here down seems to be in a severe state of non-functionality. o_O

 //frameBenefit->OnFieldChange = BenefitChanged;
}
//---------------------------------------------------------------------------
TframeTinyRecordGeneric* TframeTinyRecord_InsuranceBenefit::Create(TComponent* Owner)
{
 TframeTinyRecordGeneric * z = NULL;
 FORM_TRY
  z = new TframeTinyRecord_InsuranceBenefit(Owner);                 
 FORM_CATCH
 return z;
}
//---------------------------------------------------------------------------
void __fastcall TframeTinyRecord_InsuranceBenefit::FrameResize(TObject *Sender)
{
// frameBenefit->Width = Width - frameBenefit->Left;
 frameCarrier->Width = Width - frameCarrier->Left;
}
//---------------------------------------------------------------------------
void __fastcall TframeTinyRecord_InsuranceBenefit::panelResize(TObject *Sender)
{
/*
 Height = panelDetails->Height
        + (panelCoverage->Visible ? panelCoverage->Height : 0)
        + (panelBottom->Visible ? panelBottom->Height : 0);
 ArrangeByTabOrder(this, true);
*/
}
//---------------------------------------------------------------------------
void __fastcall TframeTinyRecord_InsuranceBenefit::panelButtonsResize(TObject *Sender)
{
// labelDescription->Left = ((panelButtons->Width + 8) / 8) * 8;
/* was already commented out
 panelCoverage->Left = ((panelButtons->Width + 8) / 8) * 8; // next multiple of 8, but not touching? (i hope)

 frameBenefit->Left  = panelCoverage->Left;
 frameCarrier->Left     = panelCoverage->Left;
 _labelBenefit->Left = frameBenefit->Left - 48;
 _labelCarrier->Left    = frameCarrier->Left - 48;
*/
}
//---------------------------------------------------------------------------
void __fastcall TframeTinyRecord_InsuranceBenefit::SetExpanded (bool Value)
{
 TframeTinyRecordGeneric::SetExpanded(Value);
// panelCoverage->Visible = Expanded;
// panelBottom->Visible = Expanded;
 panelResize(NULL);
// if (Value && frameBenefit->WillHaveId)
//  frameBenefit->Expanded = Value;
/* example
 if (Value)
  inlineAddress->Height = 120;

 panelAddress->Visible = Value;
 panelZip->Visible     = Value;
 panelCity->Visible    = Value;
 panelCounty->Visible  = Value;
 panelState->Visible   = Value;
 panelCountry->Visible = Value;

 if (!Value)
  inlineAddress->Height = 24;

 inlineAddress->Arrange();

 TframeTinyRecordGeneric::SetExpanded(Value);
*/
}
//---------------------------------------------------------------------------
string __fastcall TframeTinyRecord_InsuranceBenefit::GetSourceTableName ()
{
 return "insurance_coverage";
}
//---------------------------------------------------------------------------
void __fastcall TframeTinyRecord_InsuranceBenefit::SetConcentrator (tr_magic_concentrator * Value)
{
 TframeTinyRecordGeneric::SetConcentrator(Value); // just stores it.
// frameBenefit->Concentrator = Value;
 frameCarrier->Concentrator = Value;
}
//---------------------------------------------------------------------------
void __fastcall TframeTinyRecord_InsuranceBenefit::SetId (string Value)
{
 // TODO: clear local fields
/*
 editName->Text           = "";
 editEffectiveDate->Text  = "";
 editTerminatedDate->Text = "";
 editPersonCode->Text     = "";

 bool can_change = ((!IsBlankOrZero(Value) && optionsPermissions["table." + SourceTableName]["update"] == "true") ||
                    ( IsBlankOrZero(Value) && optionsPermissions["table." + SourceTableName]["insert"] == "true"));
 frameBenefit->AllowSourceChange = can_change;
 frameCarrier->AllowSourceChange    = can_change;
 panelCoverage->Enabled         = can_change;

 if (IsBlankOrZero(Value))
 {
  FCurrentId = "4";
  TframeTinyRecordGeneric::SetId(Value);
  frameBenefit->Id = "0";
  frameBenefit->Magic = trm_existing;
  frameCarrier->Id = "0";
  frameCarrier->Magic = trm_existing;
 } else
 {
  map<string, string> t;

  if (SqlToMap(dbDatabase, "select tax_entity_id, name_on_card, insurance_benefit_id, person_code, start_date, stop_date, person_id, current_id from insurance_coverage where id = " + Value, t))
  {
   FCurrentId = t["current_id"];

   // set local fields
   editName->Text           = PrettyString(t["name_on_card"]).c_str();
   editEffectiveDate->Text  = t["start_date"].c_str();
   editTerminatedDate->Text = t["stop_date"].c_str();
   editPersonCode->Text     = t["person_code"].c_str();

   // set id on child frames
   frameBenefit->Magic    = trm_existing;
   frameBenefit->Id       = t["insurance_benefit_id"];
   frameBenefit->Expanded = false;

   if (!IsBlankOrZero(t["tax_entity_id"]))
   {
    frameCarrier->Magic     = trm_existing;
    frameCarrier->Id        = t["tax_entity_id"];
    frameCarrier->Expanded  = false;
   } else
   {
    frameCarrier->Magic = trm_none;
   }

   TframeTinyRecordGeneric::SetId(Value);
   Expanded = true;
  } else
   PSay("Failed to load a plausible record number", m_database_error, MB_OK, Value);
 }
*/
}
//---------------------------------------------------------------------------
bool TframeTinyRecord_InsuranceBenefit::Save (TIBTransaction * dbTransaction)
{
/*
 string curr_time = RightNow(); // jhaley: call only once for consistency

 AtlasBeforeSave(dbTransaction);

 map<string, string> row;
 if (!HasId)
 {
  CreateInsertMap (dbTransaction, SourceTableName, row);
  row["id"] = GetNextId(dbTransaction, SourceTableName);
  // jhaley: need to populate creation_stamp and created_by from here
  row["creation_stamp"] = curr_time;
  row["created_by"] = current_userid;
 } else
  row["id"] = Id;

 // weird: this is done out of order so the benefit record can, upon ::Save(),
 // try to modify this one coverage when it's trying to terminate them all
 // (because this one gets saved after the benefit, overwriting any changes it might have made to 'all coverages' --
 // for that matter, this coverage could be new, so the benefit wouldn't be able to modify it directly in the db)
 // so ... yeah. save the benefit before pulling any fields from the record, so they can be modified.
 bool success = true;

 if (success)
  success = frameBenefit->Save(dbTransaction);
 frameBenefit->AtlasGet(pending_atlas_notifications);
 row["insurance_benefit_id"] = frameBenefit->Id;

 row["name_on_card"] = editName->Text.c_str();
 if (editEffectiveDate->Text != "")
  row["start_date"] = Pdate(editEffectiveDate->Text.c_str(), global_mode).OutDate(global_mode).c_str();
 else
  row["start_date"] = "";
 if (editTerminatedDate->Text != "")
  row["stop_date"] = Pdate(editTerminatedDate->Text.c_str(), global_mode).OutDate(global_mode).c_str();
 else
  row["stop_date"] = "";
 row["person_code"] = editPersonCode->Text.c_str();

 row["current_id"]        = CurrentId;
 row["last_update_stamp"] = curr_time;
 row["last_updated_by"]   = current_userid;

 if (success)
  success = frameCarrier->Save(dbTransaction);
 frameCarrier->AtlasGet(pending_atlas_notifications);
 row["tax_entity_id"] = frameCarrier->Id;

 if (success)
  if (!HasId && (optionsPermissions["table." + SourceTableName]["insert"] == "true"))
   success = ExecuteInsertStatement(dbTransaction, SourceTableName, row);
  else if (HasId && (optionsPermissions["table." + SourceTableName]["update"] == "true"))
   if (WorthSaving(dbTransaction, row))
    success = ExecuteUpdateStatement(dbTransaction, SourceTableName, row);

 if (success)
  FId = row["id"];

 AtlasAfterSave(dbTransaction);

 return success;
*/
  return true; // Nothing to save yet???
}
//---------------------------------------------------------------------------
bool TframeTinyRecord_InsuranceBenefit::Valid ()
{
/*
 if((editPersonCode->Text != "") && (! IsInt(editPersonCode->Text.c_str())))
 {
  PSay("Please enter a valid person code (it must be a number.)", m_invalid_data, MB_OK);
  if (IsVisible(editPersonCode)) editPersonCode->SetFocus();
  return false;
 }
 else if(!frameBenefit->WillHaveId)
 {
  PSay("Please select a benefit", m_missing_data, MB_OK);
  return false;
 }
 else if (!Pdate (editEffectiveDate->Text.c_str(), mdy | yy).IsValidDate() && !(editEffectiveDate->Text == ""))
 {
  PSay("Please enter a valid effective date.", m_invalid_data, MB_OK);
  if (IsVisible(editEffectiveDate)) editEffectiveDate->SetFocus();
  return false;
 }
 else if (!Pdate (editTerminatedDate->Text.c_str(), mdy | yy).IsValidDate() && !(editTerminatedDate->Text == ""))
 {
  PSay("Please enter a valid terminated date.", m_invalid_data, MB_OK);
  if (IsVisible(editTerminatedDate)) editTerminatedDate->SetFocus();
  return false;
 }
 else if (editPersonCode->Text != "" && IsInt(editPersonCode->Text.c_str()) && frameBenefit->HasId && StringToInt(GetOneField(dbDatabase, "select count(*) from insurance_coverage where insurance_benefit_id = " + frameBenefit->Id + (HasId ? string(" and id != " + Id) : string("")))) > 1)
 {
  if (IDNO == PSay("Another insurance coverage for this same insurance benefit already has this 'Person Code'.\nAre you sure you want to continue?", m_invalid_data, MB_YESNO))
  {
   if (IsVisible(editPersonCode)) editPersonCode->SetFocus();
   return false;
  }
 }

 bool success = true;
 success = success && frameBenefit->Valid();
 success = success && frameCarrier->Valid();
 return success;

*/
  return true; // nothing to validate yet???
}
//---------------------------------------------------------------------------
void __fastcall TframeTinyRecord_InsuranceBenefit::BenefitChanged(TObject *Sender)
{
/*
 if (frameBenefit->WillHaveId)
 {
  if (editEffectiveDate->Text == "" && frameBenefit->editEffectiveDate->Text != "")
   editEffectiveDate->Text = frameBenefit->editEffectiveDate->Text;
  if (editTerminatedDate->Text == "" && frameBenefit->editTerminatedDate->Text != "")
   editTerminatedDate->Text = frameBenefit->editTerminatedDate->Text;
 }
 labelDescription->Caption = frameBenefit->Desc.c_str();
*/
}
//---------------------------------------------------------------------------
