//---------------------------------------------------------------------------

#ifndef codeFrameTinyRecord_InsuranceBenefitH
#define codeFrameTinyRecord_InsuranceBenefitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeFrameTinyRecordGeneric.h"
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include "codeFrameTinyRecord_TaxEntity.h"
#include "codeFrameTinyRecordMagic.h"
//---------------------------------------------------------------------------
class TframeTinyRecord_InsuranceBenefit : public TframeTinyRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelCarrier;
        TLabel *_labelCarrier;
        TframeTinyRecord_TaxEntity *frameCarrier;
        TPanel *panelDetails;
        TLabel *labelDescription;
        void __fastcall panelResize(TObject *Sender);
        void __fastcall FrameResize(TObject *Sender);
        void __fastcall panelButtonsResize(TObject *Sender);
private:	// User declarations
protected:
        void __fastcall virtual SetExpanded (bool Value);
        string __fastcall virtual GetSourceTableName ();
        void __fastcall virtual SetConcentrator (tr_magic_concentrator * Value);
        void __fastcall virtual SetId (string Value);
        void __fastcall BenefitChanged(TObject *Sender);
public:		// User declarations
        bool virtual Valid ();
        bool virtual Save (TIBTransaction * dbTransaction);
        __fastcall TframeTinyRecord_InsuranceBenefit(TComponent* Owner);
        static TframeTinyRecordGeneric* Create(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TframeTinyRecord_InsuranceBenefit *frameTinyRecord_InsuranceBenefit;
//---------------------------------------------------------------------------
#endif
