//---------------------------------------------------------------------------

#ifndef codeFrameTinyRecord_TaxEntityH
#define codeFrameTinyRecord_TaxEntityH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeFrameTinyRecordMagic.h"
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include "codeInlineContainer.h"
#include "codePaddedBox.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include "codeFrameTinyRecordContainer.h"
#include "codeHalfButton.h"
//---------------------------------------------------------------------------
class TframeTinyRecord_TaxEntity : public TframeTinyRecordMagic
{
__published:	// IDE-managed Components
        TPanel *panelTaxEntityTop;
        TPanel *panelTaxEntityBottom;
        TPopupMenu *popupActions;
        TMenuItem *menuAdd;
        TMenuItem *menuShow;
        TMenuItem *menuHide;
        TPaddedBox *paddedAddresses;
        TframeTinyRecordContainer *frameAddresses;
        TPanel *panelTaxEntityBar;
        TToolBar *barTaxEntity;
        TToolButton *buttonAddresses;
        TPanel *panelTaxEntity;
        TPanel *panelName;
        TLabel *_labelName;
        TEdit *editName;
        TPanel *panelType;
        TLabel *_labelType;
        TComboBox *comboType;
        void __fastcall buttonAddressesClick(TObject *Sender);
        void __fastcall FrameResize(TObject *Sender);
        void __fastcall panelTaxEntityBottomResize(TObject *Sender);
        void __fastcall frameAddressesChange(TObject *Sender);
        void __fastcall frameAddressesAdd(TObject *Sender);
        void __fastcall buttonSearchClick(TObject *Sender);
        void __fastcall staticMatchesClick(TObject *Sender);
private:	// User declarations
        bool done_search; // jhaley 20110829: True if user has searched
protected:
        void   __fastcall virtual SetExpanded (bool Value);
        void   __fastcall virtual SetParent (TWinControl * AParent);
        string __fastcall virtual GetSourceTableName ();
        void   __fastcall virtual MatchesRefresh(TObject *Sender);
        string __fastcall virtual GetDesc ();
        void   __fastcall virtual SetId (string Value);
        void   __fastcall virtual SetMagic(tr_magic_types Value);

        bool virtual MagicSave (TIBTransaction * dbTransaction);
        bool virtual MagicValid ();
public:		// User declarations

        void __fastcall virtual ShortCut(TWMKey &Msg, bool &Handled);
        static TframeTinyRecordGeneric* Create(TComponent* Owner);
        __fastcall TframeTinyRecord_TaxEntity(TComponent* Owner);
        __fastcall ~TframeTinyRecord_TaxEntity();
};
//---------------------------------------------------------------------------
extern PACKAGE TframeTinyRecord_TaxEntity *frameTinyRecord_TaxEntity;
//---------------------------------------------------------------------------
#endif
