//---------------------------------------------------------------------------

#ifndef codeFrameWorkflowERClaimReceivedByBillingH
#define codeFrameWorkflowERClaimReceivedByBillingH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeFrameWorkflowGeneric.h"
#include "codeRubberContainer.h"
#include "codeSectionsGeneric.h"
#include "codeSoftDropShadow.h"
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TframeWorkflowERClaimReceivedByBilling : public TframeWorkflowGeneric
{
__published:	// IDE-managed Components
        TLabel *lblClientLabel;
        TLabel *lblTriages;
        TLabel *lblERNotifications;
        TLabel *lblERNotifications2;
        TLabel *Label1;
        TLabel *Label2;
        TLabel *lblERReport;
        TLabel *lblHospital;
        TLabel *lblDOS;
        TLabel *lblTime;
        TLabel *lblComplaint;
        TLabel *lblSymptoms;
        TLabel *lblDiagnosis;
        TLabel *lblAmount;
        TLabel *Label3;
        TLabel *Label4;
        TLabel *lblNewClaimNotes;
        TBitBtn *btnPersonSearch;
        TRubberContainer *rubberTriages;
        TListView *listTriages;
        TRubberContainer *rubberERNotifications;
        TListView *listERNotifications;
        TBitBtn *btnHospitalSearch;
        TEdit *editDOS;
        TEdit *editTime;
        TComboBox *editComplaint;
        TEdit *editSymptoms;
        TEdit *editDiagnosis;
        TEdit *editAmount;
        TCheckBox *checkAmbulance;
        TCheckBox *checkERReport;
        TRubberContainer *rubberNewClaimNotes;
        TRichEdit *editNewClaimNotes;
        TStaticText *txtClient;
        TStaticText *txtHospital;
        TStaticText *txtEnterTriage;
        TStaticText *txtEnterERNotification;
        TStaticText *txtDenyNoForms;
        TStaticText *txtWaitForERReport;
        TStaticText *txtSendToResources;
private:	// User declarations
public:		// User declarations
        __fastcall TframeWorkflowERClaimReceivedByBilling(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TframeWorkflowERClaimReceivedByBilling *frameWorkflowERClaimReceivedByBilling;
//---------------------------------------------------------------------------
#endif
