//---------------------------------------------------------------------------


#ifndef codeFrameWorkflowGenericH
#define codeFrameWorkflowGenericH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include "codeRubberContainer.h"
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include "codePaddedBox.h"
#include "codeSectionsGeneric.h"
#include "codeSoftDropShadow.h"
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TframeWorkflowGeneric : public TFrame
{
__published:	// IDE-managed Components
        TSectionsGeneric *sectionWorkflow;
        TSoftDropShadow *shadowInsideSection;
        TPanel *panelInsideSectionEntire;
        TPanel *panelInsideSectionLeft;
        TScrollBox *scrollLeft;
        TPanel *panelInsideSectionRight;
        TScrollBox *scrollRight;
        TToolBar *toolsSection;
        TToolButton *sepSection1;
        TToolButton *btnFingerpointing;
        TToolButton *sepSection2;
        TToolButton *btnSaveSection;
        TToolButton *btnUndoSection;
private:	// User declarations
public:		// User declarations
        __fastcall TframeWorkflowGeneric(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TframeWorkflowGeneric *frameWorkflowGeneric;
//---------------------------------------------------------------------------
#endif
