//---------------------------------------------------------------------------

#ifndef codeMessagingH
#define codeMessagingH
//---------------------------------------------------------------------------
#include "messaging.h"
#include <Classes.hpp>
#include <ComCtrls.hpp>
#include <Controls.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <StdCtrls.hpp>
#include <map>
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ImgList.hpp>
//---------------------------------------------------------------------------
struct spy_type
{
   string aChannel;
   TTabSheet* aTab;
   TListView* aList;
   TLabel* aLabel;
   TEdit* keepOnly;
};
class KGB_type
{
private:
   map<string, spy_type> spies;
   map<string, spy_type>::iterator map_itr;
   //map<string, spy_type>::iterator map_itr;

   TPageControl* page_control;
   TPopupMenu* popup_clear;
   TListView* box_list;
   string defaultKeepOnly;
public:
   KGB_type(TPageControl*, TPopupMenu*, TListView*);
   bool addSpy(string);
   bool deleteSpy(string);
   void getMessages();
   void clearMessages(string name);
   void clearSpies();
   void populateList();
   string getActivePageName();
   string getActiveTabName();
};
//---------------------------------------------------------------------------
class TformMessaging : public TForm
{
__published:	// IDE-managed Components
        TTimer *timerPollMessages;
        TGroupBox *groupSend;
        TLabel *lblTo;
        TLabel *labelMessage;
        TButton *buttonSend;
        TGroupBox *groupReceive;
        TPopupMenu *popupChannels;
        TSplitter *splitterMessaging;
        TGroupBox *groupBoxes;
        TListView *listBoxes;
        TPanel *panelBoxMod;
        TButton *buttonAdd;
        TButton *buttonDel;
        TEdit *editNewBoxName;
        TLabel *labelBoxName;
        TPopupMenu *popupCommands;
        TMenuItem *menuCmdDie;
        TMenuItem *menuCmdDiagnose;
        TMenuItem *menuCmdPing;
        TMenuItem *menuGet;
        TMenuItem *menuSet;
        TMenuItem *menuRun;
        TMenuItem *menuSay;
        TMenuItem *menuAck;
        TMenuItem *menuCmdClose;
        TMenuItem *menuCmdSave;
        TPageControl *mainPageControl;
        TPopupMenu *popupClear;
        TMenuItem *menuClear;
        TComboBox *cboToType;
        TComboBox *cboMessage;
        TMenuItem *menuCommandsSeparator;
        TMenuItem *menuCommandsClear;
        TMenuItem *menuDestinationsSeparator;
        TMenuItem *menuChannelsClear;
        TPopupMenu *popupKillTab;
        TMenuItem *menuKillTab;
        TMenuItem *menuPrometheusCommand;
        TMenuItem *menuMb;
        TComboBox *cboToValue;
        TLabel *lblArrow;
        TLabel *lblChannel;
        TComboBox *cboChannel;
        void __fastcall timerPollMessagesTimer(TObject *Sender);
        void __fastcall buttonSendClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall buttonAddClick(TObject *Sender);
        void __fastcall buttonDelClick(TObject *Sender);
//        void __fastcall buttonResetMessagesClick(TObject *Sender);
        void __fastcall buttonCloseClick(TObject *Sender);
        void __fastcall buttonClearClick(TObject *Sender);
        void __fastcall menuCmdDieClick(TObject *Sender);
        void __fastcall menuCmdDiagnoseClick(TObject *Sender);
        void __fastcall menuCmdPingClick(TObject *Sender);
        void __fastcall menuCmdCloseClick(TObject *Sender);
        void __fastcall menuCmdSaveClick(TObject *Sender);
        void __fastcall menuGetClick(TObject *Sender);
        void __fastcall menuSetClick(TObject *Sender);
        void __fastcall menuRunClick(TObject *Sender);
        void __fastcall menuSayClick(TObject *Sender);
        void __fastcall menuAckClick(TObject *Sender);
        void __fastcall menuClearClick(TObject *Sender);
        void __fastcall menuChannelsClearClick(TObject *Sender);
        void __fastcall menuCommandsClearClick(TObject *Sender);
        void __fastcall menuKillTabClick(TObject *Sender);
        void __fastcall popupKillTabPopup(TObject *Sender);
        void __fastcall FormResize(TObject *Sender);
        void __fastcall menuPrometheusCommandClick(TObject *Sender);
        void __fastcall menuMbClick(TObject *Sender);
        void __fastcall cboToTypeChange(TObject *Sender);
        void __fastcall editNewBoxNameKeyPress(TObject *Sender, char &Key);
private:	// User declarations
        KGB_type KGB;
        // map<string, map<string,string> > optionsIni;
public:		// User declarations
        __fastcall TformMessaging(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformMessaging *formMessaging;
//---------------------------------------------------------------------------
#endif
