//---------------------------------------------------------------------------

#ifndef codeRecordActivityH
#define codeRecordActivityH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Chart.hpp>
#include <DBChart.hpp>
#include <QrTee.hpp>
#include <QuickRpt.hpp>
#include <TeEngine.hpp>
#include <TeeProcs.hpp>
#include <Menus.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TformRecordActivity : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroupBox;
        TStaticText *txtPerson;
        TLabel *lblName;
        TDateTimePicker *dateActivity;
        TLabel *lblDate;
        TLabel *lblActivity;
        TComboBox *cboActivity;
        TEdit *editTime;
        TLabel *lblIntensity;
        TComboBox *cboIntensity;
        TLabel *lblTime;
        TLabel *lblDistance;
        TEdit *editDistance;
        TEdit *editSteps;
        TLabel *lblSteps;
        TStaticText *txtLogsheet_ID;
        TLabel *lblLogsheet;
        TBitBtn *btnLogsheetSearch;
        void __fastcall btnLogsheetSearchClick(TObject *Sender);
        void __fastcall buttonAClick(TObject *Sender);

private:	// User declarations
        string current_logsheet_person_id;
        string current_person_id;
        string current_event_activity_id;
        bool can_modify;
public:		// User declarations
        __fastcall TformRecordActivity(TComponent* Owner, map<string,string> & p_parameters);
        bool IsValidOnScreen ();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordActivity *formRecordActivity;
//---------------------------------------------------------------------------
#endif
