//---------------------------------------------------------------------------

#ifndef codeRecordBehOutsideTreatmentH
#define codeRecordBehOutsideTreatmentH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordBehOutsideTreatment : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblClientLabel;
        TLabel *lblFacilityLabel;
        TBitBtn *btnFacilitySearch;
        TStaticText *txtFacility;
        TLabel *lblPatient;
        TLabel *lblBeginDate;
        TLabel *lblEndDate;
        TLabel *lblName;
        TStaticText *txtClient;
        TLabel *lblMedications;
        TLabel *lblComments;
        TComboBox *cboPatientType;
        TEdit *editBeginDate;
        TEdit *editEndDate;
        TEdit *editDoctor;
        TRichEdit *editMedications;
        TRichEdit *editNotes;
        void __fastcall btnFacilitySearchClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TformRecordBehOutsideTreatment(TComponent* Owner, map<string,string> & p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordBehOutsideTreatment *formRecordBehOutsideTreatment;
//---------------------------------------------------------------------------
#endif
