//---------------------------------------------------------------------------

#ifndef codeRecordCaseNotesH
#define codeRecordCaseNotesH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformRecordCaseNotes : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblNameLabel;
        TLabel *lblNote;
        TStaticText *txtPerson;
        TRichEdit *editNote;
        TStaticText *txtPrint;
        void __fastcall txtPrintClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TformRecordCaseNotes(TComponent* Owner, map<string,string> p_parameters);
        bool IsNewAgain();
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordCaseNotes *formRecordCaseNotes;
//---------------------------------------------------------------------------
#endif
