//---------------------------------------------------------------------------

#ifndef codeRecordCobRequestH
#define codeRecordCobRequestH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordCobRequest : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblPerson;
        TStaticText *txtPerson;
        TLabel *lblDiagnosis;
        TLabel *lblService;
        TLabel *lblRequested;
        TLabel *lblLevel;
        TComboBox *cboLevel;
        TCheckBox *checkCreated;
        TBitBtn *btnPersonSearch;
        TLabel *lblReferrer;
        TListView *listReferringPhysicians;
        TRichEdit *editDiagnosis;
        TRichEdit *editService;
        void __fastcall btnPersonSearchClick(TObject *Sender);
private:	// User declarations
        classFilterObject referrer_filter;
public:		// User declarations
        __fastcall TformRecordCobRequest(TComponent* Owner, map<string,string> & p_parameters);
        bool IsValidOnScreen ();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordCobRequest *formRecordCobRequest;
//---------------------------------------------------------------------------
#endif
