//---------------------------------------------------------------------------

#ifndef codeRecordConsentH
#define codeRecordConsentH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordConsent : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblNameLabel;
        TStaticText *txtPerson;
        TLabel *lblDate;
        TLabel *lblType;
        TComboBox *cboType;
        TLabel *lblNote;
        TDateTimePicker *dateSignature;
        TLabel *lblEvent;
        TStaticText *txtParticipation;
        TRichEdit *editNote;
        TPanel *panelSelectArea;
        TStaticText *staticHeaderInformation;
private:	// User declarations
public:		// User declarations
        __fastcall TformRecordConsent(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordConsent *formRecordConsent;
//---------------------------------------------------------------------------
#endif
