//---------------------------------------------------------------------------

#ifndef codeRecordDiabScoreH
#define codeRecordDiabScoreH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformRecordDiabScore : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblTopic;
        TComboBox *cboTopic;
        TLabel *lblPreTestDate;
        TEdit *editPreTestDate;
        TEdit *editPreScore;
        TLabel *lblPreScore;
        TLabel *lblPostTestDate;
        TEdit *editPostTestDate;
        TEdit *editPostScore;
        TLabel *lblPostScore;
        TListView *listTasks;
        TLabel *lblTasks;
        TStaticText *txtPerson;
        TLabel *lblName;
        TLabel *lblNotes;
        TRichEdit *editNote;
private:	// User declarations
        classFilterObject task_filter;
        int task_request;
public:		// User declarations
        __fastcall TformRecordDiabScore(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        bool NotNewAnymore();
        bool IsNewAgain();
        void RefreshListView(int request_num, string matched_value);
        void AddTask();
        void EditTask();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordDiabScore *formRecordDiabScore;
//---------------------------------------------------------------------------
#endif
