//---------------------------------------------------------------------------

#ifndef codeRecordEventRollSheetH
#define codeRecordEventRollSheetH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformRecordEventRollSheet : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TStaticText *txtEventName;
        TLabel *lblEvent;
        TLabel *lblParticipants;
        TRubberContainer *RubberContainer1;
        TListView *listEventRollItems;
        TLabel *lblPrintRollSheet;
        void __fastcall FormShow(TObject *Sender);
        void __fastcall lblPrintRollSheetClick(TObject *Sender);
private:	// User declarations
        string event_id;
        classFilterObject roll_entry_filter;
        int roll_entry_request;
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool NotNewAnymore();
        bool IsNewAgain();
        bool AtlasRefresh(int request_num, string matched_value);
        void AddEntry();
        void EditEntry();
public:		// User declarations
        __fastcall TformRecordEventRollSheet(TComponent* Owner, map<string, string> &p_parameters, string p_event_id);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordEventRollSheet *formRecordEventRollSheet;
//---------------------------------------------------------------------------
#endif
