//---------------------------------------------------------------------------

#ifndef codeRecordFitnessAttendanceH
#define codeRecordFitnessAttendanceH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordFitnessAttendance : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblNameLabel;
        TLabel *lblDate;
        TDateTimePicker *dateAttendance;
        TLabel *lblFacility;
        TStaticText *txtFacility;
        TStaticText *txtPerson;
        TLabel *Label1;
        TDateTimePicker *timeInAttendance;
        TDateTimePicker *timeOutAttendance;
        TLabel *lblTimeIn;
        TLabel *lblTimeOut;
private:	// User declarations
public:		// User declarations
        __fastcall TformRecordFitnessAttendance(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        bool CheckForUselessRecord();
        bool BeforeSave();       
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordFitnessAttendance *formRecordFitnessAttendance;
//---------------------------------------------------------------------------
#endif
