//---------------------------------------------------------------------------

#ifndef codeRecordFitnessMembershipH
#define codeRecordFitnessMembershipH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Menus.hpp>
#include "codeHalfButton.h"
//---------------------------------------------------------------------------
class TformRecordFitnessMembership : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblFacility;
        TLabel *lblComments;
        TComboBox *cboFacility;
        TRadioButton *radioWaiting;
        TRadioButton *radioMember;
        TPanel *panelWaiting;
        TLabel *lblWaitingDate;
        TEdit *editWaiting;
        TPanel *panelMember;
        TLabel *lblBeginDate;
        TEdit *editBegin;
        TEdit *editCancel;
        TLabel *lblEndDate;
        TLabel *lblPeople;
        TListView *listPeople;
        TLabel *lblWarning;
        TListView *listWarning;
        TListView *listCancellation;
        TLabel *lblLetters;
        TLabel *lblLetters2;
        TLabel *lblCancellation;
        TRichEdit *editComments;
        TLabel *Label1;
        TEdit *editMemberNumber;
        THalfButton *buttonGetNextMembershipNumber;
        void __fastcall radioClick(TObject *Sender);
        void __fastcall buttonGetNextMembershipNumberClick(TObject *Sender);
private:	// User declarations
        classFilterObject people_filter;
        int people_request;
        classFilterObject warning_filter;
        int warning_request;
        classFilterObject cancellation_filter;
        int cancellation_request;
public:		// User declarations
        __fastcall TformRecordFitnessMembership(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        bool NotNewAnymore();
        bool IsNewAgain();
        bool RefreshListView(int request_num, string matched_value);
        void AddPerson();
        void EditPerson();
        void AddWarning();
        void EditWarning();
        void AddCancellation();
        void EditCancellation();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordFitnessMembership *formRecordFitnessMembership;
//---------------------------------------------------------------------------
#endif
