//---------------------------------------------------------------------------

#ifndef codeRecordFitnessPersonH
#define codeRecordFitnessPersonH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordFitnessPerson : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TStaticText *txtFacility;
        TLabel *lblNameLabel;
        TStaticText *txtPerson;
        TLabel *lblDoctor;
        TLabel *lblPrimary;
        TLabel *lblNeedsRelease;
        TLabel *lblSentLetter;
        TCheckBox *checkPrimary;
        TCheckBox *checkNeedsRelease;
        TCheckBox *checkSentLetter;
        TBitBtn *btnPersonSearch;
        TEdit *editDoctor;
        TLabel *lblFacility;
        TLabel *lblAttendance;
        TListView *listAttendance;
        void __fastcall btnPersonSearchClick(TObject *Sender);
private:	// User declarations
        classFilterObject fitness_attendance_filter;
        int fitness_attendance_request;
public:		// User declarations
        __fastcall TformRecordFitnessPerson(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        bool NotNewAnymore();
        bool IsNewAgain();
        void AtlasRefreshListView(int request_num, string matched_value);
        void AddAttendance();
        void EditAttendance();
        bool FksAreSet();
        bool CheckForUselessRecord();
        bool AskUser();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordFitnessPerson *formRecordFitnessPerson;
//---------------------------------------------------------------------------
#endif
