//---------------------------------------------------------------------------

#ifndef codeRecordGoalH
#define codeRecordGoalH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordGoal : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblName;
        TLabel *lblCurrentActivityLevel;
        TLabel *lblFrequency;
        TLabel *lblLength;
        TComboBox *cboLevel;
        TComboBox *cboFrequency;
        TComboBox *cboLength;
        TLabel *lblActivityGoal;
        TLabel *lblTimesGoal;
        TLabel *lblAmountGoal;
        TStaticText *txtPerson;
        TLabel *lblDate;
        TDateTimePicker *dateEntered;
        TRichEdit *editActivityGoal;
        TRichEdit *editTimesGoal;
        TRichEdit *editAmountGoal;
private:	// User declarations
public:		// User declarations
        __fastcall TformRecordGoal(TComponent* Owner, map<string,string> & p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordGoal *formRecordGoal;
//---------------------------------------------------------------------------
#endif
