//---------------------------------------------------------------------------

#ifndef codeRecordInsuranceApplicationH
#define codeRecordInsuranceApplicationH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TformRecordInsuranceApplication : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TBevel *bevelSep;
        TLabel *lblNotes;
        TComboBox *cboApplications;
        TCheckBox *checkCompleted;
        TCheckBox *checkMailed;
        TCheckBox *checkFaxed;
        TRichEdit *editNotes;
        TLabel *lblApplication;
        TStaticText *txtFaxedTo;
        TStaticText *txtPerson;
        TLabel *lblPerson;
        TCheckBox *checkReceived;
        TBevel *Bevel1;
        TPanel *panelMailed;
        TEdit *editDateMailed;
        TLabel *lblMailedBy;
        TComboBox *cboMailedBy;
        TPanel *panelCompleted;
        TComboBox *cboCompletedBy;
        TPanel *panelFaxed;
        TLabel *lblFaxedOn;
        TEdit *editDateFaxed;
        TLabel *lblFaxedBy;
        TComboBox *cboFaxedBy;
        TBitBtn *btnFaxedToSearch;
        TPanel *panelReceived;
        TLabel *lblCompletedAt;
        TEdit *editDateReceived;
        TComboBox *cboReceivedAt;
        TCheckBox *checkApproved;
        TCheckBox *checkDenied;
        TStaticText *txtPolicy;
        TPanel *panelApproved;
        TLabel *Label1;
        TBitBtn *btnPolicySearch;
        TPanel *panelDenied;
        TComboBox *cboDenied;
        void __fastcall btnFaxedToSearchClick(TObject *Sender);
        void __fastcall checkChanged(TObject *Sender);
        void __fastcall btnPolicySearchClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TformRecordInsuranceApplication(TComponent* Owner, map<string, string> & p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        bool CheckForUselessRecord();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordInsuranceApplication *formRecordInsuranceApplication;
//---------------------------------------------------------------------------
#endif
