//---------------------------------------------------------------------------

#ifndef codeRecordLabH
#define codeRecordLabH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordLab : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblNameLabel;
        TLabel *lblTask;
        TLabel *lblDate;
        TDateTimePicker *dateMeasurement;
        TStaticText *txtN;
        TStaticText *txtAlb;
        TStaticText *txtTbili;
        TStaticText *txtAlt;
        TStaticText *txtAst;
        TStaticText *txtAlk_p;
        TStaticText *txtCA;
        TStaticText *txtCREAT;
        TStaticText *txtBUN;
        TStaticText *txtGlu;
        TStaticText *txtCo2;
        TStaticText *txtCl;
        TStaticText *txtK;
        TEdit *editN;
        TEdit *editK;
        TEdit *editCl;
        TEdit *editCo2;
        TEdit *editGlu;
        TEdit *editBun;
        TEdit *editCreat;
        TEdit *editCa;
        TEdit *editAlk_p;
        TEdit *editAst;
        TEdit *editAlt;
        TEdit *editTbili;
        TEdit *editAlb;
        TStaticText *txtTp;
        TStaticText *txtChol;
        TStaticText *txtTrig;
        TStaticText *txtHdl_c;
        TStaticText *txtLdl_c;
        TStaticText *txtCh_hdl;
        TStaticText *txtVldl;
        TStaticText *txtHac1;
        TStaticText *txtM_glu;
        TStaticText *txtM_alb;
        TStaticText *txtU_cr;
        TStaticText *txtA_c;
        TEdit *editTp;
        TEdit *editChol;
        TEdit *editTrig;
        TEdit *editHdlc;
        TEdit *editLdlc;
        TEdit *editChhdl;
        TEdit *editVldl;
        TEdit *editHa1c;
        TEdit *editMglu;
        TEdit *editMalb;
        TEdit *editUcr;
        TEdit *editAc;
        TStaticText *txtTask;
        TStaticText *txtPerson;
        TCheckBox *checkMono;
        TCheckBox *checkStrep;
        TCheckBox *checkHcg;
        TCheckBox *checkFlu;
        TCheckBox *checkHpylori;
        TCheckBox *checkRf;
        TStaticText *txtViewExpectedValues;
        TStaticText *txtPrintLab;
        TEdit *editDpstkua;
        TStaticText *txtDpstkua;
        void __fastcall editNKeyPress(TObject *Sender, char &Key);
        void __fastcall txtViewExpectedValuesClick(TObject *Sender);
        void __fastcall txtPrintLabClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TformRecordLab(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        bool NotNewAnymore();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordLab *formRecordLab;
//---------------------------------------------------------------------------
#endif
