//---------------------------------------------------------------------------

#ifndef codeRecordMessageBoxLogH
#define codeRecordMessageBoxLogH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformRecordMessageBoxLog : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TComboBox *cboUser;
        TComboBox *cboType;
        TComboBox *cboResponse;
        TLabel *lblUser;
        TLabel *lblDate;
        TLabel *lblTime;
        TLabel *lblForm;
        TDateTimePicker *dateMessage;
        TDateTimePicker *timeMessage;
        TEdit *editForm;
        TLabel *lblType;
        TLabel *lblResponse;
        TLabel *lblResponseTime;
        TEdit *editResponseTime;
        TLabel *lblMessage;
        TLabel *lblOtherInfo;
        TRubberContainer *RubberContainer1;
        TRubberContainer *RubberContainer2;
        TRichEdit *editMessage;
        TRichEdit *editOtherInfo;
private:	// User declarations
        bool ScreenStart();
        bool ScreenStop();
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenLock();
        bool ScreenUnlock();
        bool CanUpdate();
        bool CanInsert();
        bool UpdateCurrent();
public:		// User declarations
        __fastcall TformRecordMessageBoxLog(TComponent* Owner, map<string,string> p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordMessageBoxLog *formRecordMessageBoxLog;
//---------------------------------------------------------------------------
#endif
