//---------------------------------------------------------------------------

#ifndef codeRecordMetricUnitH
#define codeRecordMetricUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include "codeSectionsGeneric.h"
//---------------------------------------------------------------------------
class TformRecordMetricUnit : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TComboBox *comboDimension;
        TLabel *_labelDimension;
        TLabel *_labelItem;
        TEdit *editItem;
        TEdit *editRatio;
        TLabel *_labelRatio;
        TLabel *_labelOffset;
        TEdit *editOffset;
        TLabel *_labelFormulaBody;
        TLabel *_labelFormulaIntro;
        TLabel *_labelBaseUnit;
        TLabel *Label1;
        TCheckBox *checkValid;
private:	// User declarations
public:		// User declarations
        __fastcall TformRecordMetricUnit(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordMetricUnit *formRecordMetricUnit;
//---------------------------------------------------------------------------
#endif
