//---------------------------------------------------------------------------

#ifndef codeRecordObsExpectedRangeH
#define codeRecordObsExpectedRangeH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformRecordObsExpectedRange : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *_labelGender;
        TComboBox *comboGender;
        TLabel *_labelQuestion;
        TComboBox *comboQuestion;
        TLabel *_labelLower;
        TLabel *_labelUpper;
        TEdit *editLower;
        TEdit *editUpper;
        TLabel *labelLowerUnit;
        TLabel *labelUpperUnit;
        TComboBox *comboLower;
        TComboBox *comboUpper;
        void __fastcall comboQuestionChange(TObject *Sender);
private:	// User declarations
        string last_type;
public:		// User declarations
        __fastcall TformRecordObsExpectedRange(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordObsExpectedRange *formRecordObsExpectedRange;
//---------------------------------------------------------------------------
#endif
