//---------------------------------------------------------------------------

#ifndef codeRecordPersonNotesH
#define codeRecordPersonNotesH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordPersonNotes : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TStaticText *txtPerson;
        TLabel *lblNameLabel;
        TLabel *lblNote;
        TRichEdit *editNote;
        TLabel *_labelWarning;
        TComboBox *comboWarning;
        TLabel *_labelWarningNote;
        void __fastcall FormShow(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TformRecordPersonNotes(TComponent* Owner, map<string,string> p_parameters);
        bool IsNewAgain();
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordPersonNotes *formRecordPersonNotes;
//---------------------------------------------------------------------------
#endif
