//---------------------------------------------------------------------------

#ifndef codeRecordProcedureH
#define codeRecordProcedureH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include "codeHalfButton.h"
//---------------------------------------------------------------------------
class TformRecordProcedure : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblTask;
        TStaticText *txtTask;
        TLabel *lblStartDate;
        TEdit *editStartDate;
        TEdit *editStopDate;
        TLabel *lblStopDate;
        TLabel *lblPlace;
        TEdit *editPlace;
        TLabel *lblType;
        TEdit *editType;
        TLabel *lblCode;
        TEdit *editCode;
        TLabel *lblModifier;
        TEdit *editModifier;
        TLabel *lblCharges;
        TEdit *editCharges;
        TLabel *lblDaysUnits;
        TEdit *editDaysUnits;
        TLabel *lblEpsdt;
        TEdit *editEpsdt;
        TLabel *lblEmg;
        TEdit *editEmg;
        TLabel *lblCob;
        TEdit *editCob;
        TLabel *lblLocalUse;
        TEdit *editLocalUse;
        TLabel *lblDiagnosis;
        TListView *listConditions;
        TLabel *_labelPayments;
        TPanel *panelTooth;
        TLabel *lblToothPosition;
        TLabel *lblToothSurface;
        TEdit *editToothPosition;
        TEdit *editToothSurface;
        TListView *listPayments;
        THalfButton *btnCodeSearch;
        THalfButton *btnExpandCode;
        void __fastcall listConditionsChanging(TObject *Sender,
          TListItem *Item, TItemChange Change, bool &AllowChange);
        void __fastcall buttonExpandCodeClick(TObject *Sender);
        void __fastcall btnCodeSearchClick(TObject *Sender);
private:	// User declarations
        classFilterObject conditions_filter;
        classFilterObject payments_filter;
        int condition_request;
        int procedure_reason_request;
        int payment_request;
public:		// User declarations
        __fastcall TformRecordProcedure(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        void DownloadConditions();
        void CheckConditions();
        bool IsNewAgain();
        bool NotNewAnymore();
        void AtlasRefreshListView(int request_num, string matched_value);
        bool BeforeSave();
        void AddCondition();
        void EditCondition();
        void AddPayment();
        void EditPayment();
        bool CheckCondition(const map<string, string> & row_data);
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordProcedure *formRecordProcedure;
//---------------------------------------------------------------------------
#endif
