//---------------------------------------------------------------------------

#ifndef codeRecordReferralH
#define codeRecordReferralH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include <Menus.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformRecordReferral : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblDate;
        TEdit *editDate;
        TLabel *lblClientLabel;
        TStaticText *txtPerson;
        TStaticText *txtToFacility;
        TGroupBox *groupReferredTo;
        TLabel *lblToFacility;
        TBitBtn *btnToFacilitySearch;
        TLabel *lblToProvider;
        TStaticText *txtToProvider;
        TBitBtn *btnToProviderSearch;
        TGroupBox *groupReferredBy;
        TLabel *lblByFacility;
        TLabel *lblByProvider;
        TBitBtn *btnByFacilitySearch;
        TBitBtn *btnByProviderSearch;
        TStaticText *txtByFacility;
        TStaticText *txtByProvider;
        TLabel *lblTask;
        TStaticText *txtTask;
        TLabel *lblStatus;
        TComboBox *cboStatus;
        TPanel *panelReason;
        TComboBox *cboReason;
        TLabel *lblReason;
        TRubberContainer *rubberNotes;
        TListView *listNotes;
        TStaticText *txtPolicy;
        TBitBtn *btnPolicySearch;
        TLabel *lblPolicy;
        void __fastcall btnToFacilitySearchClick(TObject *Sender);
        void __fastcall btnToProviderSearchClick(TObject *Sender);
        void __fastcall btnByProviderSearchClick(TObject *Sender);
        void __fastcall btnByFacilitySearchClick(TObject *Sender);
        void __fastcall btnPolicySearchClick(TObject *Sender);
private:	// User declarations
        classFilterObject notes_filter;
        int notes_request;
public:		// User declarations
        __fastcall TformRecordReferral(TComponent* Owner, map<string,string> & p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        bool CheckForUselessRecord();
        bool NotNewAnymore();
        bool IsNewAgain();
        bool AtlasRefreshListViews(int request_num, string matched_value);
        void AddNote();
        void EditNote();
        bool SendAtlas();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordReferral *formRecordReferral;
//---------------------------------------------------------------------------
#endif
