//---------------------------------------------------------------------------

#ifndef codeRecordRelationshipH
#define codeRecordRelationshipH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordRelationship : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TStaticText *labelNameA;
        TStaticText *labelNameB;
        TPanel *panelGroup;
        TLabel *labelNameALabel;
        TLabel *labelNameBLabel;
        TBitBtn *btnPersonBSearch;
        TComboBox *comboAtoB;
        TLabel *labelRelationshipOfAtoB;
        TLabel *labelAChecks;
        TCheckBox *checkA_is_emergency_for_B;
        TCheckBox *checkA_is_responsible_for_B;
        TCheckBox *checkA_is_banned_from_B;
        TLabel *labelRelationshipOfBtoA;
        TComboBox *comboBtoA;
        TLabel *labelBChecks;
        TCheckBox *checkB_is_emergency_for_A;
        TCheckBox *checkB_is_responsible_for_A;
        TCheckBox *checkB_is_banned_from_A;
        TCheckBox *checkA_and_B_in_same_household;
        void __fastcall btnPersonBSearchClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TformRecordRelationship(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        void SetupNamedLabels();
        bool BeforeSave();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordRelationship *formRecordRelationship;
//---------------------------------------------------------------------------
#endif
