//---------------------------------------------------------------------------

#ifndef codeRecordSurveyQuestionH
#define codeRecordSurveyQuestionH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformRecordSurveyQuestion : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblQuestion;
        TLabel *lblNumber;
        TEdit *editQuestionNumber;
        TLabel *lblResponses;
        TListView *listResponses;
        TRadioButton *radioNumeric;
        TRadioButton *radioText;
        TPanel *panelNumeric;
        TLabel *lblMinValue;
        TEdit *editMinValue;
        TEdit *editMaxValue;
        TLabel *lblMaxValue;
        TRadioButton *radioDropdown;
        TStaticText *txtEditPossibleResponses;
        TRichEdit *editQuestion;
        void __fastcall radioNumericClick(TObject *Sender);
        void __fastcall txtEditPossibleResponsesClick(TObject *Sender);
private:	// User declarations
        bool IsValidOnScreen ();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        bool IsNewAgain();
        bool NotNewAnymore();
        bool AtlasRefreshListViews(int request_num, string matched_value);
        classFilterObject response_filter;
        int response_request;
        void EnableNumeric(bool enable);
public:		// User declarations
        __fastcall TformRecordSurveyQuestion(TComponent* Owner, map<string, string> & p_parameters);
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordSurveyQuestion *formRecordSurveyQuestion;
//---------------------------------------------------------------------------
#endif
