//---------------------------------------------------------------------------

#ifndef codeRecordTaskBehH
#define codeRecordTaskBehH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include <Menus.hpp>
#include "codeRubberContainer.h"
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformRecordTaskBeh : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TToolButton *ToolButton1;
        TPageControl *pagesTask;
        TTabSheet *sheetTaskVisit;
        TGroupBox *taskInfoGroup;
        TLabel *lblStaff;
        TLabel *lblEventLabel;
        TLabel *lblClientLabel;
        TLabel *lblDate;
        TLabel *lblTimeSpent;
        TLabel *lblMileage;
        TLabel *lblTime;
        TLabel *lblMethod;
        TLabel *lblClassification;
        TLabel *lblMeeting;
        TLabel *lblActivity;
        TLabel *lblDirection;
        TLabel *lblComments;
        TComboBox *cboStaff;
        TDateTimePicker *dateTask;
        TEdit *editTimeSpent;
        TEdit *editMileage;
        TComboBox *cboMethod;
        TComboBox *cboClassification;
        TComboBox *cboMeeting;
        TComboBox *cboActivity;
        TComboBox *cboDirection;
        TBitBtn *btnEventSearch;
        TBitBtn *btnPersonSearch;
        TDateTimePicker *timeTask;
        TGroupBox *visitInfoGroup;
        TLabel *lblVisitType;
        TLabel *lblLocation;
        TLabel *lblPatientTime;
        TLabel *lblReferrals;
        TLabel *lblVisitComments;
        TLabel *lblOutcome;
        TLabel *lblNewClient;
        TLabel *lblCity;
        TLabel *lblApptType;
        TLabel *lblServiceType;
        TComboBox *cboVisitType;
        TComboBox *cboLocation;
        TEdit *editVisitTime;
        TComboBox *cboOutcome;
        TCheckBox *checkNew;
        TComboBox *cboCity;
        TComboBox *cboApptType;
        TComboBox *cboService;
        TRichEdit *editTaskComments;
        TRichEdit *editVisitComments;
        TTabSheet *sheetProcedures;
        TRubberContainer *rubberProcedure;
        TListView *listProcedures;
        TRubberContainer *rubberConditions;
        TListView *listConditions;
        TLabel *lblConditions;
        TLabel *lblProcedures;
        TRubberContainer *rubberReferrals;
        TListView *listReferrals;
        TStaticText *txtEvent;
        TStaticText *txtPerson;
        TComboBox *cboProgramType;
        TLabel *lblProgramType;
        TComboBox *cboTaskType;
        TLabel *lblTaskType;
        void __fastcall btnPersonSearchClick(TObject *Sender);
        void __fastcall btnEventSearchClick(TObject *Sender);
private:	// User declarations
        classFilterObject referrals_filter;
        int referrals_request;
        classFilterObject conditions_filter;
        int conditions_request;
        classFilterObject procedures_filter;
        int procedures_request;
        string appointment_to_attach;
public:		// User declarations
        __fastcall TformRecordTaskBeh(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        bool NotNewAnymore();
        bool IsNewAgain();
        bool AtlasRefreshListViews(int request_num, string matched_value);
        void AddReferral();
        void EditReferral();
        void AddCondition();
        void EditCondition();
        void AddProcedure();
        void EditProcedure();
        bool BeforeSave();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordTaskBeh *formRecordTaskBeh;
//---------------------------------------------------------------------------
#endif
