//---------------------------------------------------------------------------

#ifndef codeRecordTaskCobVisitH
#define codeRecordTaskCobVisitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformRecordTaskCobVisit : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TStaticText *txtPerson;
        TStaticText *txtCob;
        TPanel *panelGroup;
        TLabel *lblCob;
        TLabel *lblPerson;
        TLabel *lblTaxEntity;
        TStaticText *txtTaxEntity;
        TBitBtn *btnTaxEntitySearch;
        TDateTimePicker *timeTask;
        TLabel *lblTime;
        TDateTimePicker *dateTask;
        TLabel *lblDate;
        TLabel *lblReason;
        TLabel *lblDiagnosis;
        TLabel *lblDiagnosisCodes;
        TLabel *lblProcedure;
        TLabel *lblProcedureCodes;
        TLabel *lblBills;
        TEdit *editPatientControlNumber;
        TLabel *labelPatientControlNumber;
        TRichEdit *editReason;
        TRubberContainer *rubberDiagnosis;
        TListView *listDiagnosis;
        TRubberContainer *rubberProcedure;
        TListView *listProcedures;
        TRubberContainer *rubberBills;
        TListView *listBills;
        void __fastcall btnTaxEntitySearchClick(TObject *Sender);
private:	// User declarations
        classFilterObject procedures_filter;
        int procedures_request;
        classFilterObject conditions_filter;
        int conditions_request;
        classFilterObject bills_filter;
        int bills_request;
        string original_tax_id;
public:		// User declarations
        __fastcall TformRecordTaskCobVisit(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        bool NotNewAnymore();
        bool IsNewAgain();
        bool AtlasRefreshListViews(int request_num, string matched_value);
        void AddCondition();
        void EditCondition();
        void AddProcedure();
        void EditProcedure();
        void EditBill();
        bool BeforeSave(); // was After          
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordTaskCobVisit *formRecordTaskCobVisit;
//---------------------------------------------------------------------------
#endif
