//---------------------------------------------------------------------------

#ifndef codeRecordTaskComH
#define codeRecordTaskComH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformRecordTaskCom : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TLabel *lblStaff;
        TComboBox *cboStaff;
        TBitBtn *btnEventSearch;
        TLabel *lblEvent;
        TLabel *lblClient;
        TDateTimePicker *dateTask;
        TLabel *lblDate;
        TDateTimePicker *timeTask;
        TLabel *lblTime;
        TLabel *lblTimeSpent;
        TEdit *editTimeSpent;
        TPanel *panelGroup;
        TEdit *editMileage;
        TLabel *lblMileage;
        TLabel *lblMethodContact;
        TComboBox *cboMethod;
        TLabel *lblInOut;
        TComboBox *cboInOut;
        TLabel *lblClassification;
        TComboBox *cboClassification;
        TLabel *lblMeetingType;
        TComboBox *cboMeetingType;
        TLabel *lblActivity;
        TComboBox *cboActivityType;
        TLabel *lblComments;
        TStaticText *txtEvent;
        TStaticText *txtPerson;
        TBitBtn *btnPersonSearch;
        TRichEdit *editComments;
        TComboBox *cboTaskType;
        TLabel *lblTaskType;
        //TDateTimePicker *DateTimePicker;
        //TDateTimePicker *cboTime;
       // void __fastcall cboStaffKeyPress(TObject *Sender, char &Key);
       // void __fastcall cboMethodKeyPress(TObject *Sender, char &Key);
       // void __fastcall cboInOutKeyPress(TObject *Sender, char &Key);
       // void __fastcall cboClassificationKeyPress(TObject *Sender,
       //   char &Key);
       // void __fastcall cboMeetingTypeKeyPress(TObject *Sender, char &Key);
       // void __fastcall cboActivityTypeKeyPress(TObject *Sender,
       //   char &Key);
       // void __fastcall cboVisitTypeKeyPress(TObject *Sender, char &Key);
       // void __fastcall cboLocationKeyPress(TObject *Sender, char &Key);
       // void __fastcall cboOutcomeKeyPress(TObject *Sender, char &Key);
       // void __fastcall linkEventClick(TObject *Sender);
       // void __fastcall linkClientClick(TObject *Sender);

        void __fastcall btnPersonSearchClick(TObject *Sender);
        void __fastcall btnEventSearchClick(TObject *Sender);
       /*
        TEdit *editTaskComments;
        TComboBox *cboActivityType;
        TComboBox *cboMeetingType;
        TComboBox *cboClassification;
        TComboBox *cboInOut;
        TComboBox *cboMethod;
        TComboBox *cboStaff;
        TDateTimePicker *DateTimePicker;
        TDateTimePicker *cboTime;
        TEdit *editTimeSpent;
        TLabel *lblMileage;
        TLabel *lblTimeSpent;
        TLabel *lblTime;
        TLabel *lblDate;
        TLabel *lblClient;
        TLabel *lblEvent;
        TLabel *lblStaff;
        TBitBtn *btnEventSearch;
        TBitBtn *btnPersonSearch;
        TLabel *lblComments;
        TLabel *lblActivity;
        TLabel *lblMeetingType;
        TLabel *lblClassification;
        TLabel *lblInOut;
        TLabel *lblMethodContact;
        TStaticText *txtEvent;
        TStaticText *txtPerson;
        void __fastcall btnPersonSearchClick(TObject *Sender);
        void __fastcall btnEventSearchClick(TObject *Sender);
       */
private:	// User declarations
        classFilterObject filter;
        string appointment_to_attach;
public:		// User declarations
        __fastcall TformRecordTaskCom(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        bool BeforeSave();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordTaskCom *formRecordTaskCom;
//---------------------------------------------------------------------------
#endif
