//---------------------------------------------------------------------------

#ifndef codeRecordTaxAddressH
#define codeRecordTaxAddressH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include "codeHalfButton.h"
//---------------------------------------------------------------------------
class TformRecordTaxAddress : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TComboBox *cboType;
        TLabel *lblPlace;
        TLabel *lblAddressLine1;
        TEdit *editLine1;
        TEdit *editLine2;
        TLabel *lblNameLabel;
        TLabel *lblCity;
        TComboBox *cboState;
        TEdit *editZip;
        TComboBox *cboCountry;
        TLabel *lblCountry;
        TLabel *lblZip;
        TLabel *lblState;
        TLabel *lblPhoneNumber;
        TEdit *editPhone;
        TEdit *editFax;
        TLabel *lblFax;
        TLabel *lblNotes;
        TStaticText *txtTaxEntity;
        TLabel *lblEmail;
        TEdit *editEmail;
        TRichEdit *editNotes;
        TLabel *lblCounty;
        TComboBox *cboCounty;
        TComboBox *cboCity;
        TLabel *lblWebsite;
        TEdit *editWebsite;
        THalfButton *btnZipLookup;
        THalfButton *btnWebsite;
        THalfButton *btnEmail;
        void __fastcall btnZipLookupClick(TObject *Sender);
        void __fastcall cboStateChange(TObject *Sender);
        void __fastcall cboStateExit(TObject *Sender);
        void __fastcall editZipKeyPress(TObject *Sender, char &Key);
        void __fastcall btnWebsiteClick(TObject *Sender);
        void __fastcall btnEmailClick(TObject *Sender);
        void __fastcall editWebsiteKeyPress(TObject *Sender, char &Key);
        void __fastcall editEmailKeyPress(TObject *Sender, char &Key);
private:	// User declarations
//        void CountyLookup();
public:		// User declarations
        __fastcall TformRecordTaxAddress(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordTaxAddress *formRecordTaxAddress;
//---------------------------------------------------------------------------
#endif
