//---------------------------------------------------------------------------

#ifndef codeRecordTransactionH
#define codeRecordTransactionH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordTransaction : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *_labelEffectiveDate;
        TEdit *editEffectiveDate;
        TLabel *_labelTaxEntity;
        TLabel *_labelAccount;
        TLabel *_labelBill;
        TLabel *_labelTask;
        TLabel *_labelCreditAmount;
        TLabel *_labelDebitAmount;
        TLabel *_labelNote;
        TLabel *_labelTransactionNumber;
        TStaticText *txtAccount;
        TStaticText *txtTaxEntity;
        TStaticText *txtBill;
        TStaticText *txtTask;
        TEdit *editCreditAmount;
        TEdit *editDebitAmount;
        TLabel *_labelFiscalDate;
        TEdit *editFiscalDate;
        TRichEdit *editNote;
        TEdit *editTransactionNumber;
        TListView *listOtherTransactions;
        TLabel *_labelOtherTransactions;
private:	// User declarations
        classFilterObject transactions_filter;
        int transactions_request;
public:		// User declarations
        __fastcall TformRecordTransaction(TComponent* Owner, map<string,string> &p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        bool IsNewAgain();
        void EditTransaction();
        void AtlasRefreshListView(int request_num, string matched_value);
        bool NotNewAnymore();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordTransaction *formRecordTransaction;
//---------------------------------------------------------------------------
#endif
