//---------------------------------------------------------------------------

#ifndef codeRecordWaiverH
#define codeRecordWaiverH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordWaiver : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblNameLabel;
        TStaticText *txtPerson;
        TLabel *lblStartDate;
        TLabel *lblStopDate;
        TLabel *lblNotes;
        TEdit *editStartDate;
        TEdit *editStopDate;
        TRichEdit *editNotes;
private:	// User declarations
public:		// User declarations
        __fastcall TformRecordWaiver(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordWaiver *formRecordWaiver;
//---------------------------------------------------------------------------
#endif
