//---------------------------------------------------------------------------

#ifndef codeSearchAccountH
#define codeSearchAccountH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Mask.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchAccount : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TComboBox *comboAccountType;
        TCheckBox *checkIsBudget;
        TCheckBox *checkIsClosed;
        TCheckBox *checkIsYearly;
        TLabel *labelAccountType;
        TCheckBox *checkIsExactMatch;
        TRadioButton *radioByMask;
        TEdit *maskAccount;
        TRadioButton *radioByCombo;
        TComboBox *comboOne;
        TComboBox *comboTwo;
        TComboBox *comboThree;
        TComboBox *comboFour;
        TLabel *labelBillCycle;
        TComboBox *comboBillCycle;
        TLabel *labelAccountNumber;
        TLabel *labelLevelOne;
        TLabel *labelLevelTwo;
        TLabel *labelLevelThree;
        TLabel *labelLevelFour;
private:	// User declarations
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();
public:		// User declarations
        __fastcall TformSearchAccount(TComponent* Owner, vector<string> * p_return_vector);
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);
        static vector<string> Do(TformSpecialGeneric * p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchAccount *formSearchAccount;
//---------------------------------------------------------------------------
#endif
