//---------------------------------------------------------------------------

#ifndef codeSearchActivityH
#define codeSearchActivityH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchActivity : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblBeginDate;
        TEdit *editBeginDate;
        TLabel *lblEndDate;
        TEdit *editEndDate;
        TLabel *lblActivity;
        TComboBox *cboActivity;
        TLabel *lblIntensity;
        TComboBox *cboIntensity;
        TLabel *lblMinTime;
        TEdit *editMinTime;
        TEdit *editMaxTime;
        TLabel *lblMaxTime;
        TEdit *editMaxDistance;
        TLabel *lblMinDistance;
        TLabel *lblMaxDistance;
        TEdit *editMinDistance;
        TLabel *lblMaxSteps;
        TLabel *lblMinSteps;
        TEdit *editMinSteps;
        TEdit *editMaxSteps;
        TEdit *editLastName;
        TLabel *lblLastName;
        TEdit *editFirstName;
        TLabel *lblFirstName;
        TCheckBox *checkShowOnlyUnattachedActivities;
private:	// User declarations
public:		// User declarations
        __fastcall TformSearchActivity(TComponent* Owner, vector<string> * p_return_vector);
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);
        static vector<string> Do(TformSpecialGeneric * p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchActivity *formSearchActivity;
//---------------------------------------------------------------------------
#endif
