//---------------------------------------------------------------------------

#ifndef codeSearchAppointmentH
#define codeSearchAppointmentH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
#include "codeBaseDropDown.h"
#include "codeCheckListDropDown.h"
//---------------------------------------------------------------------------
class TformSearchAppointment : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblEndDate;
        TLabel *lblBeginDate;
        TLabel *lblFor;
        TComboBox *cboFor;
        TComboBox *cboBy;
        TLabel *lblBy;
        TLabel *lblOutcome;
        TLabel *lblDescription;
        TEdit *editDescription;
        TCheckBox *checkNoTask;
        TDateTimePicker *dateBegin;
        TDateTimePicker *dateEnd;
        TComboBox *cboReason;
        TLabel *lblReason;
        TComboBox *cboLocation;
        TLabel *lblLocation;
        TCheckBox *check24Hours;
        TLabel *lblDepartment;
        TComboBox *cboDepartment;
        TCheckListDropDown *cbddOutcome;
        TCheckBox *checkNoBlocks;
private:	// User declarations
        TIBTransaction *dbTransaction;
public:		// User declarations
        __fastcall TformSearchAppointment(TComponent* Owner, vector<string> * p_return_vector);
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);        
        static vector<string> Do(TformSpecialGeneric * p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchAppointment *formSearchAppointment;
//---------------------------------------------------------------------------
#endif
