//---------------------------------------------------------------------------

#ifndef codeSearchBillH
#define codeSearchBillH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchBill : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *_labelBeginBillDate;
        TLabel *_labelEndBillDate;
        TLabel *_labelBeginServiceDate;
        TLabel *_labelEndServiceDate;
        TLabel *_labelMinTotalCharge;
        TLabel *_labelMaxTotalCharge;
        TLabel *_labelMaxInvoiceAmount;
        TLabel *_labelMinInvoiceAmount;
        TLabel *_labelCheckNumber;
        TLabel *_labelPrNumber;
        TEdit *editBeginBillDate;
        TEdit *editEndBillDate;
        TEdit *editBeginServiceDate;
        TEdit *editEndServiceDate;
        TEdit *editMinTotalCharge;
        TEdit *editMaxTotalCharge;
        TEdit *editMinInvoiceAmount;
        TEdit *editMaxInvoiceAmount;
        TEdit *editCheckNumber;
        TEdit *editPrNumber;
        TLabel *lblTaxEntity;
        TLabel *_labelInvoiceNumber;
        TEdit *editInvoiceNumber;
        TEdit *editTaxEntityName;
        TLabel *_labelBillType;
        TComboBox *comboBillType;
private:	// User declarations
        string bill_id;
        string tax_entity_id;
public:		// User declarations
        __fastcall TformSearchBill(TComponent* Owner, vector<string> * p_return_vector, string p_bill_id);
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();        
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);        
        static vector<string> Do(TformSpecialGeneric * p_parent);
        static vector<string> Do(TformSpecialGeneric * p_parent, string p_bill_id);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchBill *formSearchBill;
//---------------------------------------------------------------------------
#endif
