//---------------------------------------------------------------------------

#ifndef codeSearchCallLogH
#define codeSearchCallLogH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchCallLog : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *Label1;
        TLabel *Label2;
        TLabel *labelCallerName;
        TLabel *labelStartStamp;
        TLabel *labelStopStamp;
        TEdit *editCallerName;
        TComboBox *comboReceptionist;
        TComboBox *comboEmployee;
        TEdit *editStartStamp;
        TEdit *editStopStamp;
        TLabel *lblNote;
        TEdit *editNote;
private:	// User declarations
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();
public:		// User declarations
        __fastcall TformSearchCallLog(TComponent* Owner, vector<string> * p_return_vector);
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);
        static vector<string> Do(TformSpecialGeneric * p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchCallLog *formSearchCallLog;
//---------------------------------------------------------------------------
#endif
