//---------------------------------------------------------------------------

#ifndef codeSearchCheckH
#define codeSearchCheckH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchCheck : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblCheckNumber;
        TEdit *editCheckNumber;
        TEdit *editPrNumber;
        TLabel *lblPrNumber;
        TEdit *editBeginDate;
        TEdit *editEndDate;
        TLabel *lblEndDate;
        TLabel *lblBeginDate;
private:	// User declarations
public:		// User declarations
        __fastcall TformSearchCheck(TComponent* Owner, vector<string> * p_return_vector);
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();        
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);
        static vector<string> Do(TformSpecialGeneric * p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchCheck *formSearchCheck;
//---------------------------------------------------------------------------
#endif
