//---------------------------------------------------------------------------

#ifndef codeSearchDiabEducationH
#define codeSearchDiabEducationH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchDiabEducation : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblTopic;
        TComboBox *cboTopic;
        TLabel *lblLastName;
        TLabel *lblBeginDate;
        TEdit *editBeginDate;
        TLabel *lblEndDate;
        TEdit *editEndDate;
        TEdit *editMinPreScore;
        TEdit *editMaxPreScore;
        TLabel *lblMaxPreScore;
        TLabel *lblMinPreScore;
        TLabel *lblMaxPostScore;
        TEdit *editMaxPostScore;
        TLabel *lblMinPostScore;
        TEdit *editMinPostScore;
        TEdit *editLastName;
        TEdit *editFirstName;
        TLabel *lblFirstName;
private:	// User declarations
        string person_id;
public:		// User declarations
        __fastcall TformSearchDiabEducation(TComponent* Owner, vector<string> * p_return_vector, string p_person_id);
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);        
        static vector<string> Do(TformSpecialGeneric * p_parent);
        static vector<string> Do(TformSpecialGeneric * p_parent, string p_person_id);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchDiabEducation *formSearchDiabEducation;
//---------------------------------------------------------------------------
#endif
