//---------------------------------------------------------------------------

#ifndef codeSearchEventH
#define codeSearchEventH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
#include "codeBaseDropDown.h"
#include "codeCheckListDropDown.h"
//---------------------------------------------------------------------------
class TformSearchEvent : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblName;
        TLabel *lblBeginDate;
        TEdit *editBeginDate;
        TLabel *lblEndDate;
        TEdit *editEndDate;
        TLabel *lblEventType;
        TComboBox *cboEventType;
        TLabel *lblLocation;
        TLabel *lblMinAttendance;
        TEdit *editMinAttendance;
        TEdit *editMaxAttendance;
        TLabel *lblMaxAttendance;
        TRadioButton *radioWithActivities;
        TRadioButton *radioWithoutActivities;
        TRadioButton *radioAll;
        TComboBox *cboEventName;
        TCheckListDropDown *cbddLocation;
        TComboBox *cboProgramType;
        TLabel *lblProgramType;
        void __fastcall cbddLocationDown(TObject *Sender);
private:	// User declarations
        string group_id;
public:		// User declarations
        __fastcall TformSearchEvent(TComponent* Owner, vector<string> * p_return_vector, string id);
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);                
        static vector<string> Do(TformSpecialGeneric * p_parent);
        static vector<string> Do(TformSpecialGeneric * p_parent, string group_id);
        static void DoMedical(TForm *parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchEvent *formSearchEvent;
//---------------------------------------------------------------------------
#endif
