//---------------------------------------------------------------------------

#ifndef codeSearchFDADrugH
#define codeSearchFDADrugH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRubberContainer.h"
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Db.hpp>
#include <IBDatabase.hpp>
//---------------------------------------------------------------------------
class TformSearchFDADrug : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblName;
        TEdit *editName;
        TLabel *lblManufacturer;
        TEdit *editManufacturer;
        TLabel *lblFDAid;
        TLabel *lblStrength;
        TLabel *lblRxOTC;
        TLabel *lblFDACode;
        TLabel *lblInUnits;
        TLabel *lblDEASchedule;
        TEdit *editFDAid;
        TEdit *editFDACode;
        TEdit *editStrength;
        TEdit *editUnits;
        TEdit *editRxOTC;
        TEdit *editDEASchedule;
        TEdit *editDoseForm;
        TEdit *editPkgType;
        TEdit *editRoute;
        TEdit *editIngredient;
        TLabel *lblDoseForm;
        TLabel *lblPkgType;
        TLabel *lblAdminRoute;
        TLabel *lblIngredient;
        TIBDatabase *dbFDADatabase;
        void __fastcall buttonSelectClick(TObject *Sender);
private:	// User declarations
        TIBTransaction *dbTransaction;
        bool Initialize();
        bool IsValidOnScreen();
        bool Search();
        bool ScreenStart();
        bool Zoom(const string &p_id);
        pvecstr *name_return_vec; // for when user wants names of drugs
public:		// User declarations
        __fastcall TformSearchFDADrug(TComponent* Owner, pvecstr *p_return_vector);
        __fastcall TformSearchFDADrug(TComponent* Owner, pvecstr *p_id_return_vec,
                                      pvecstr *p_name_return_vec);

        static pvecstr Do(TformSpecialGeneric *p_parent);
        static void    Do(string init_id, string init_name);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchFDADrug *formSearchFDADrug;
//---------------------------------------------------------------------------
#endif
