//---------------------------------------------------------------------------

#ifndef codeSearchFeeScheduleH
#define codeSearchFeeScheduleH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchFeeSchedule : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblCode;
        TEdit *editCode;
        TLabel *lblDescription;
        TEdit *editDescription;
        TLabel *lblMinFee;
        TLabel *lblMaxFee;
        TEdit *editMinFee;
        TEdit *editMaxFee;
private:	// User declarations
public:		// User declarations
        __fastcall TformSearchFeeSchedule(TComponent* Owner, vector<string> * p_return_vector);
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool Search();
        bool Zoom(const string & p_id);
        bool Create();
        static vector<string> Do(TformSpecialGeneric * p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchFeeSchedule *formSearchFeeSchedule;
//---------------------------------------------------------------------------
#endif
