//---------------------------------------------------------------------------

#ifndef codeSearchInsurancePolicyH
#define codeSearchInsurancePolicyH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchInsurancePolicy : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblCompany;
        TLabel *lblPolicyNumber;
        TEdit *editPolicyNumber;
        TLabel *lblGroupNumber;
        TEdit *editGroupNumber;
        TLabel *lblBeginDate;
        TEdit *editBeginDate;
        TLabel *lblEndDate;
        TEdit *editEndDate;
        TEdit *editName;
        TLabel *lblCoverage;
        TLabel *lblSource;
        TLabel *lblName;
        TComboBox *cboSource;
        TComboBox *cboCoverage;
        TLabel *lblServices;
        TEdit *editCompany;
        TListView *listBenefits;
        TLabel *lblInsurance;
        TComboBox *cboInsurance;
private:	// User declarations
        string company_id;
        classFilterObject benefits_filter;
public:		// User declarations
        __fastcall TformSearchInsurancePolicy(TComponent* Owner, vector<string> * p_return_vector);
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);
        static vector<string> Do(TformSpecialGeneric * p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchInsurancePolicy *formSearchInsurancePolicy;
//---------------------------------------------------------------------------
#endif
