//---------------------------------------------------------------------------

#ifndef codeSearchLogsheetsH
#define codeSearchLogsheetsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchLogsheet : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblLastName;
        TEdit *editLastName;
        TEdit *editFirstName;
        TLabel *lblFirstName;
        TLabel *lblBeginDate;
        TEdit *editBeginDate;
        TLabel *lblEndDate;
        TEdit *editEndDate;
        TLabel *lblDateTurnedIn;
        TEdit *editDateTurnedIn;
private:	// User declarations
        string  person_id;
public:		// User declarations
        __fastcall TformSearchLogsheet(TComponent* Owner, vector<string> * p_return_vector, string activity_person_id = "" );
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);
        static vector<string> Do(TformSpecialGeneric * p_parent);
        static vector<string> Do(TformSpecialGeneric * p_parent, string p_person_id);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchLogsheet *formSearchLogsheet;
//---------------------------------------------------------------------------
#endif
