//---------------------------------------------------------------------------

#ifndef codeSearchMessageBoxLogH
#define codeSearchMessageBoxLogH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Graphics.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchMessageBoxLog : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblBeginDate;
        TEdit *editBeginDate;
        TEdit *editEndDate;
        TLabel *lblEndDate;
        TLabel *lblUser;
        TComboBox *cboUser;
        TComboBox *cboType;
        TLabel *lblType;
        TLabel *lblFormName;
        TEdit *editFormName;
        TLabel *lblMessage;
        TEdit *editMessage;
        TLabel *lblResponse;
        TComboBox *cboResponse;
        TLabel *lblOther;
        TEdit *editOther;
        TImage *Image3;
        TImage *Image1;
        TImage *Image2;
        TImage *Image4;
        TImage *Image5;
        TImage *Image6;
        TImage *Image7;
        TImage *Image8;
private:	// User declarations
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);
public:		// User declarations
        __fastcall TformSearchMessageBoxLog(TComponent* Owner, vector<string> * p_return_vector);
        static vector<string> Do(TformSpecialGeneric * p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchMessageBoxLog *formSearchMessageBoxLog;
//---------------------------------------------------------------------------
#endif
