//---------------------------------------------------------------------------

#ifndef codeSearchObsResponseSetH
#define codeSearchObsResponseSetH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeQuery__ObsResponseSetsByResponse.h"
#include "codeQueryGeneric.h"
#include "codeRubberContainer.h"
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeFrameObservationList.h"
//---------------------------------------------------------------------------
class TformSearchObsResponseSet : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *_labelQuestionSet;
        TLabel *_labelDateMin;
        TEdit *editDateMin;
        TComboBox *comboQuestionSet;
        TLabel *_labelGroup;
        TComboBox *comboGroup;
        TLabel *_labelDateMax;
        TEdit *editDateMax;
        TLabel *_labelSteps;
        TRadioButton *radioStepsYes;
        TRadioButton *radioStepsNo;
        TRadioButton *radioStepsEither;
        TScrollBox *scrollQuery;
        TframeQuery__ObsResponseSetsByResponse *frameQueryResponse;
        TLabel *_labelResponse;
        TframeObservationList *frameResults;
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();
        query_context * context;
protected:
        void virtual SqlModified();
public:		// User declarations
        virtual classFilterObject * GetFilter();
        virtual TListView * GetListSearchResults();

        bool Search();
        bool Create();
        bool Zoom(const string & p_id);
        static vector<string> Do(TformSpecialGeneric * p_parent);
        static void Do();
public:		// User declarations
        __fastcall TformSearchObsResponseSet(TComponent* Owner, vector<string> * p_return_vector);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchObsResponseSet *formSearchObsResponseSet;
//---------------------------------------------------------------------------
#endif
