//---------------------------------------------------------------------------

#ifndef codeSearchServiceProvidedH
#define codeSearchServiceProvidedH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchServiceProvided : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TComboBox *cboArea;
        TLabel *lblArea;
        TLabel *lblService;
        TComboBox *cboService;
        TLabel *lblProvider;
        TBitBtn *btnProviderSearch;
        TStaticText *txtProvider;
        void __fastcall btnProviderSearchClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TformSearchServiceProvided(TComponent* Owner, vector<string> * p_return_vector);
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();        
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);
        static vector<string> Do(TformSpecialGeneric * p_parent);
        static vector<string> Do(TformSpecialGeneric * p_parent, string entity_id);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchServiceProvided *formSearchServiceProvided;
//---------------------------------------------------------------------------
#endif
