//---------------------------------------------------------------------------

#ifndef codeSearchSurveyH
#define codeSearchSurveyH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchSurvey : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblName;
        TEdit *editName;
        TLabel *lblQuestion;
        TEdit *editQuestion;
private:	// User declarations
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);
        string group_id;
public:		// User declarations
        __fastcall TformSearchSurvey(TComponent* Owner, vector<string> * p_return_vector, string p_group_id);
        static vector<string> Do(TformSpecialGeneric * p_parent);
        static vector<string> Do(TformSpecialGeneric * p_parent, string group_id);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchSurvey *formSearchSurvey;
//---------------------------------------------------------------------------
#endif
