//---------------------------------------------------------------------------

#ifndef codeSearchTaskBehH
#define codeSearchTaskBehH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchTaskBeh : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblStaff;
        TComboBox *cboStaff;
        TLabel *lblEventLabel;
        TLabel *lblBeginDate;
        TLabel *lblEndDate;
        TLabel *lblTimeSpent;
        TEdit *editMinTime;
        TLabel *lblMaxTime;
        TEdit *editMaxTime;
        TLabel *lblMethod;
        TComboBox *cboMethod;
        TLabel *lblActivity;
        TComboBox *cboActivity;
        TLabel *lblVisitType;
        TComboBox *cboVisitType;
        TLabel *lblLocation;
        TComboBox *cboLocation;
        TComboBox *cboService;
        TLabel *lblDirection;
        TComboBox *cboDirection;
        TLabel *lblMinMileage;
        TEdit *editMinMileage;
        TEdit *editMaxMileage;
        TLabel *lblMaxMileage;
        TLabel *lblMeeting;
        TComboBox *cboMeeting;
        TLabel *lblNewClient;
        TCheckBox *checkNew;
        TDateTimePicker *dateBegin;
        TDateTimePicker *dateEnd;
        TLabel *Label1;
        TLabel *lblService;
        TComboBox *cboEventName;
        TComboBox *cboProgramType;
        TLabel *lblProgramType;
        TComboBox *cboTaskType;
        TLabel *lblTaskType;
private:	// User declarations
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();
        string event_id;
public:		// User declarations
        __fastcall TformSearchTaskBeh(TComponent* Owner, vector<string> * p_return_vector);
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);                
        static vector<string> Do(TformSpecialGeneric * p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchTaskBeh *formSearchTaskBeh;
//---------------------------------------------------------------------------
#endif
