//---------------------------------------------------------------------------

#ifndef codeSearchTaskCobH
#define codeSearchTaskCobH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchTaskCob : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblBeginDate;
        TLabel *lblEndDate;
        TLabel *lblReason;
        TEdit *editBeginDate;
        TEdit *editEndDate;
        TEdit *editReason;
        TLabel *lblLimits;
        TEdit *editLimits;
        TLabel *lblPreconditions;
        TEdit *editPreconditions;
        TLabel *lblMinAmount;
        TLabel *lblMaxAmount;
        TEdit *editMinAmount;
        TEdit *editMaxAmount;
        TLabel *lblCobNumber;
        TEdit *editCobNumber;
        TLabel *lblService;
        TComboBox *cboService;
        TLabel *lblArea;
        TComboBox *cboArea;
        TLabel *lblOutcome;
        TComboBox *cboOutcome;
        TLabel *Label1;
        TEdit *editTaxEntity;
        TLabel *lblType;
        TComboBox *cboType;
private:	// User declarations
        string tax_entity_id;
public:		// User declarations
        __fastcall TformSearchTaskCob(TComponent* Owner, vector<string> * p_return_vector);
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();        
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);
        static vector<string> Do(TformSpecialGeneric * p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchTaskCob *formSearchTaskCob;
//---------------------------------------------------------------------------
#endif
