//---------------------------------------------------------------------------

#ifndef codeSearchTaskLacH
#define codeSearchTaskLacH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchTaskLac : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblBeginDate;
        TLabel *lblEndDate;
        TLabel *lblMaxTimeSpent;
        TEdit *editMinTime;
        TLabel *lblMinTime;
        TEdit *editMaxTime;
        TLabel *Label1;
        TEdit *editDiagnosis;
        TLabel *Label2;
        TEdit *editProcedure;
        TLabel *lblProvider;
        TCheckBox *checkNewPatient;
        TLabel *Label4;
        TDateTimePicker *dateBegin;
        TDateTimePicker *dateEnd;
        TEdit *editProvider;
        TComboBox *cboClinic;
        TLabel *lblClinic;
        TComboBox *cboTaskType;
        TLabel *lblTaskType;
        TLabel *lblEventLabel;
        TComboBox *cboEventName;
private:	// User declarations
        string provider_id;
        string clinic_id;
public:		// User declarations
        __fastcall TformSearchTaskLac(TComponent* Owner, vector<string> * p_return_vector);
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();        
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);
        static vector<string> Do(TformSpecialGeneric * p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchTaskLac *formSearchTaskLac;
//---------------------------------------------------------------------------
#endif
