//---------------------------------------------------------------------------

#ifndef codeSearchTaskPubH
#define codeSearchTaskPubH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchTaskPub : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblStaff;
        TComboBox *cboStaff;
        TLabel *lblEventLabel;
        TLabel *lblBeginDate;
        TLabel *lblEndDate;
        TLabel *lblTimeSpent;
        TEdit *editMinTime;
        TEdit *editMaxTime;
        TLabel *lblMaxTime;
        TLabel *lblNewClient;
        TCheckBox *checkNew;
        TComboBox *cboOutcome;
        TLabel *lblOutcome;
        TLabel *lblVisitType;
        TComboBox *cboVisitType;
        TComboBox *cboLocation;
        TLabel *lblClassification;
        TDateTimePicker *dateBegin;
        TDateTimePicker *dateEnd;
        TComboBox *cboEventName;
        TLabel *lblTaskType;
        TComboBox *cboTaskType;
private:	// User declarations
        string event_id;
        classFilterObject results_filter;
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();
public:		// User declarations
        __fastcall TformSearchTaskPub(TComponent* Owner, vector<string> * p_return_vector);
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);
        static vector<string> Do(TformSpecialGeneric * p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchTaskPub *formSearchTaskPub;
//---------------------------------------------------------------------------
#endif
