//---------------------------------------------------------------------------

#ifndef codeSearchTaskTransH
#define codeSearchTaskTransH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchTaskTrans : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblStaff;
        TComboBox *cboStaff;
        TLabel *lblBeginDate;
        TDateTimePicker *dateBegin;
        TDateTimePicker *dateEnd;
        TLabel *lblEndDate;
        TLabel *lblTimeSpent;
        TEdit *editMinTime;
        TEdit *editMaxTime;
        TLabel *lblMaxTime;
        TLabel *lblMinMileage;
        TEdit *editMinMileage;
        TEdit *editMaxMileage;
        TLabel *lblMaxMileage;
        TLabel *lblComment;
        TEdit *editComment;
private:	// User declarations
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();
public:		// User declarations
        __fastcall TformSearchTaskTrans(TComponent* Owner, vector<string> * p_return_vector);
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);        
        static vector<string> Do(TformSpecialGeneric * p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchTaskTrans *formSearchTaskTrans;
//---------------------------------------------------------------------------
#endif
