//---------------------------------------------------------------------------

#ifndef codeSpecialActionH
#define codeSpecialActionH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeActionContainer.h"
#include "codeSpecialGeneric.h"
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformSpecialAction : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TLabel *labelAbout;
        TPanel *panelActions;
        TToolButton *buttonRun;
        TToolButton *buttonCancel;
        void __fastcall buttonRunClick(TObject *Sender);
        void __fastcall buttonCancelClick(TObject *Sender);
private:	// User declarations
        vector<string> id_vec;
        TframeActionContainer* action_container;
public:		// User declarations
        __fastcall TformSpecialAction(TComponent* Owner, string source_table_name, a_factory_create chosen_action, const vector<string> & ids);
        static TformSpecialAction* __fastcall Do(const string & source_table_name, const string & id);
        static TformSpecialAction* __fastcall Do(const string & source_table_name, const vector<string> & ids);
        static TformSpecialAction* __fastcall Do(const string & source_table_name, a_factory_create chosen_action, const string & id);
        static TformSpecialAction* __fastcall Do(const string & source_table_name, a_factory_create chosen_action, const vector<string> & ids);
        static bool FillActionMenu(TMenuItem *Parent, string source_table_name);
        static bool FillActionMenu(TMenuItem *Parent, string source_table_name, TformRecordGeneric* record_form);
        static TNotifyEvent action_click;
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialAction *formSpecialAction;
//---------------------------------------------------------------------------
#endif
