//---------------------------------------------------------------------------

#ifndef codeSpecialAddValuesH
#define codeSpecialAddValuesH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformSpecialAddValues : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnAdd;
        TToolButton *btnClose;
        TLabel *lblCurrent;
        TListView *listCurrentValues;
        TLabel *lblNew;
        TEdit *editNewValue;
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnAddClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
private:	// User declarations
        map<string, string> parameters;
        TComboBox* custom_box;
public:		// User declarations
        __fastcall TformSpecialAddValues(TComponent* Owner, map<string, string> params, TComboBox *custom_box = NULL);
        void RefreshCurrentList();
        void AtlasRefresh(int request_num, string matched_value);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialAddValues *formSpecialAddValues;
//---------------------------------------------------------------------------
#endif
