//---------------------------------------------------------------------------

#ifndef codeSpecialAppointmentRemindersH
#define codeSpecialAppointmentRemindersH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformSpecialAppointmentReminders : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TLabel *lblBeginDate;
        TLabel *lblEndDate;
        TLabel *lblFor;
        TComboBox *cboFor;
        TDateTimePicker *dateBegin;
        TDateTimePicker *dateEnd;
        TLabel *lblBy;
        TComboBox *cboBy;
        TLabel *lblDescription;
        TEdit *editDescription;
        TListView *listResults;
        TToolButton *btnSelectAll;
        TToolButton *btnUnselectAll;
        TButton *btnSearch;
        TToolButton *btnPrint;
        TToolButton *ToolButton4;
        TToolButton *btnClose;
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnSearchClick(TObject *Sender);
        void __fastcall btnSelectAllClick(TObject *Sender);
        void __fastcall btnUnselectAllClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
        void __fastcall btnPrintClick(TObject *Sender);
private:	// User declarations
        classFilterObject result_filter;
        TIBTransaction *dbTransaction;
public:		// User declarations
        __fastcall TformSpecialAppointmentReminders(TComponent* Owner);
        bool IsValidOnScreen();
        bool Search();
        void EditAppointment();              
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialAppointmentReminders *formSpecialAppointmentReminders;
//---------------------------------------------------------------------------
#endif
