//---------------------------------------------------------------------------

#ifndef codeSpecialAppointmentToTaskAttacherH
#define codeSpecialAppointmentToTaskAttacherH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformSpecialAppointmentToTaskAttacher : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnSave;
        TToolButton *btnClose;
        TListView *listAppointments;
        TLabel *lblDirections;
        TTimer *timerClose;
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnSaveClick(TObject *Sender);
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
        void __fastcall timerCloseTimer(TObject *Sender);
private:	// User declarations
        TIBTransaction *dbTransaction;
        classFilterObject Filter;
        string task_id;
        string person_id;
        vector<string> *return_id_vec;
        string sql;
public:		// User declarations
        __fastcall TformSpecialAppointmentToTaskAttacher(TComponent* Owner, string p_task_id,
         string p_person_id, TIBTransaction* p_transaction, vector<string>* p_return_id_vec = NULL, bool allow_auto_close = false);
        void EditAppointment();
        bool CheckAppointment(const map<string, string> &row);

};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialAppointmentToTaskAttacher *formSpecialAppointmentToTaskAttacher;
//---------------------------------------------------------------------------
#endif
