//---------------------------------------------------------------------------

#ifndef codeSpecialCaregiverLimitsH
#define codeSpecialCaregiverLimitsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformSpecialCaregiverLimits : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnClose;
        TToolButton *btnUseless;
        TLabel *labelPerson;
        TStaticText *staticPerson;
        TPanel *panelMoneySummary;
        TLabel *labelMoneyAllowed;
        TLabel *labelMoneyRemaining;
        TLabel *labelMoneyPeriod;
        TLabel *lblPeriod;
        TLabel *labelMoneyPaid;
        TLabel *lblPaid;
        TLabel *lblCaregiver;
        TLabel *lblAllowed;
        TLabel *lblRemaining;
        TLabel *labelPeriod;
        TEdit *editPeriod;
        TUpDown *selectPeriod;
        TComboBox *cmbQuarter;
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall editPeriodChange(TObject *Sender);
        void __fastcall cmbQuarterChange(TObject *Sender);
private:	// User declarations
        string person_id;
        financial quarterly_limit;
        void RefreshAmounts();
public:		// User declarations
        __fastcall TformSpecialCaregiverLimits(TComponent* Owner, map<string, string> p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialCaregiverLimits *formSpecialCaregiverLimits;
//---------------------------------------------------------------------------
#endif
