//---------------------------------------------------------------------------

#ifndef codeSpecialChangePasswordH
#define codeSpecialChangePasswordH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformSpecialChangePassword : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnSave;
        TToolButton *btnClose;
        TLabel *lblUserLabel;
        TLabel *lblOld;
        TLabel *lblNew;
        TLabel *lblNewRepeat;
        TEdit *editOld;
        TEdit *editNew;
        TEdit *editRepeatNew;
        TLabel *lblUser;
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnSaveClick(TObject *Sender);
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
private:	// User declarations
        TIBTransaction * dbTransaction;
        bool disable_close;
        bool properly_closing;
public:		// User declarations
        __fastcall TformSpecialChangePassword(TComponent* Owner, bool disable_close);
        static bool PasswordMeetsComplexityRequirements(string p_pass = "");
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialChangePassword *formSpecialChangePassword;
//---------------------------------------------------------------------------
#endif
