//---------------------------------------------------------------------------

#ifndef codeSpecialCheckSentNotificationH
#define codeSpecialCheckSentNotificationH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformSpecialCheckSent : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *buttonBack;
        TToolButton *buttonNext;
        TToolButton *sep1;
        TToolButton *buttonCancel;
        TPanel *panelSelectArea;
        TStaticText *staticHeader;
        TToolButton *buttonClose;
        TToolButton *sep2;
        TPageControl *pageCheckSentNotification;
        TTabSheet *sheetSelectPurchaseReqs;
        TLabel *labelPRInstructions;
        TLabel *labelCheckNumber;
        TLabel *labelCheckSent;
        TListView *listPR;
        TEdit *editCheckNumber;
        TDateTimePicker *dateCheckSent;
        TTabSheet *sheetFinal;
        TLabel *labelTransactionNumber;
        TLabel *labelFinalInstructions;
        TLabel *labelOverallTransNumber;
        void __fastcall buttonBackClick(TObject *Sender);
        void __fastcall buttonNextClick(TObject *Sender);
        void __fastcall buttonCancelClick(TObject *Sender);
        void __fastcall buttonCloseClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
        void Start();
        void Stop();
        void ResetFirstPage();
        void ResetSecondPage();
        void GotoFirstPage();
        void GotoSecondPage();

        vector<string> purchase_reqs_grouped;
        string         only_tax_id;
        string         in_purchase_request;

        classFilterObject purchase_req_filter;
        int purchase_req_filter_request;
        bool AtlasScreen (int req_num);

        void EditPurchaseReq();
public:		// User declarations
        __fastcall TformSpecialCheckSent(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialCheckSent *formSpecialCheckSent;
//---------------------------------------------------------------------------
#endif
