//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "codeSpecialComTaskForm.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "codeSpecialGeneric"
#pragma resource "*.dfm"
TformSpecialComTaskForm *formSpecialComTaskForm;
//---------------------------------------------------------------------------
__fastcall TformSpecialComTaskForm::TformSpecialComTaskForm(TComponent* Owner)
        : TformSpecialGeneric(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TformSpecialComTaskForm::page1AfterPreview(TObject *Sender)
{
  Close();
}
//---------------------------------------------------------------------------
// jhaley 20110125: Moved here from TformPrometheusMenu
void TformSpecialComTaskForm::Do()
{
  Screen->Cursor = crHourGlass;
  TformSpecialComTaskForm *activity_form = NULL;
  FORM_TRY
    activity_form = new TformSpecialComTaskForm(NULL);
  FORM_CATCH
  activity_form->page1->Prepare();
  string file_name = PMakeTempFilePath("page1.qrp");
  activity_form->page1->QRPrinter->Save(file_name.c_str());
  activity_form->CloseNow();
  TQRPageList *source = new TQRPageList();
  TQRPageList *destination = new TQRPageList();
  destination->Stream = new TQRStream(100000);
  // add page 1
  source->Clear();
  source->LoadFromFile(file_name.c_str());
  destination->AddPage(source->GetPage(1));
  destination->Finish();
  string temp_filepath = PMakeTempFilePath("complete.qrp");
  destination->SaveToFile(temp_filepath.c_str());
  // load combined report and preview
  TQRPrinter *printer_thing = InitTQRPrinter();
  printer_thing->Load(temp_filepath.c_str());
  Screen->Cursor = crDefault;
  printer_thing->PreviewModal();
  delete printer_thing;
  delete source;
  delete destination;
}
//---------------------------------------------------------------------------
