inherited formSpecialDiabRegistry: TformSpecialDiabRegistry
  Left = 2285
  Top = 847
  Width = 800
  Height = 350
  Caption = 'Diabetes Registry'
  Constraints.MinHeight = 200
  Constraints.MinWidth = 350
  OldCreateOrder = True
  PixelsPerInch = 96
  TextHeight = 13
  inherited bevelStandardB: TBevel
    Top = 300
    Width = 792
    Shape = bsSpacer
  end
  inherited toolsStandard: TToolBar
    Top = 302
    Width = 792
    ButtonHeight = 21
    ButtonWidth = 64
    object btnRefreshAll: TToolButton
      Left = 8
      Top = 0
      Cursor = crHandPoint
      AutoSize = True
      Caption = 'Refresh &All'
      OnClick = btnRefreshAllClick
    end
    object btnCantSeeMe: TToolButton
      Left = 70
      Top = 0
      Cursor = crHandPoint
      Caption = 'Invisible'
      Enabled = False
      ImageIndex = 0
      Visible = False
    end
  end
  inherited scrollStandard: TScrollBox
    Width = 792
    Height = 300
    object padEverything: TPaddedBox
      Left = 0
      Top = 0
      Width = 792
      Height = 300
      PadLeft = 1
      PadTop = 5
      PadRight = 1
      PadBottom = 1
      Edge = False
      InnerColor = clBtnFace
      Align = alClient
      TabOrder = 0
      object pageRegistry: TPageControl
        Left = 1
        Top = 5
        Width = 790
        Height = 294
        ActivePage = sheetWelcome
        Align = alClient
        TabOrder = 0
        OnChange = pageRegistryChange
        object sheetWelcome: TTabSheet
          Caption = 'Welcome'
          ImageIndex = 3
          object padWelcome: TPaddedBox
            Left = 0
            Top = 0
            Width = 782
            Height = 266
            PadLeft = 5
            PadTop = 5
            PadRight = 5
            PadBottom = 5
            Edge = False
            InnerColor = clBtnFace
            Align = alClient
            TabOrder = 0
            object richWelcome: TRichEdit
              Left = 5
              Top = 5
              Width = 772
              Height = 256
              Align = alClient
              BorderStyle = bsNone
              Lines.Strings = (
                
                  'The diabetes registry is a maintained list of patients with type' +
                  ' 1 and type 2 Diabetes.  The purpose of this screen is to allow ' +
                  'regular updates to the registry.'
                ' '
                
                  'The "Registry" tab shows you the people currently on the registr' +
                  'y, their status, and the suggested status.  You can optionally c' +
                  'hoose to only show people with '
                
                  'suggested status changes.  To change a single enrollment record,' +
                  ' double click the row and make changes on the screen that pops u' +
                  'p.'
                ' '
                
                  'To change the status of multiple people at once, check the boxes' +
                  ' on all of the rows you wish to change.  Remember that if you ri' +
                  'ght click, then go to '
                
                  '"Checkboxes", there are options to "Check all", "Uncheck all", a' +
                  'nd "Flip all" (invert all checkboxes).  Then ... (to be continue' +
                  'd)'
                ' '
                'Status summary:'
                ' '
                
                  'Active:  Patient who has a diagnosis of diabetes and has been se' +
                  'en at least once in the past year for diabetes care.'
                ' '
                
                  'Inactive:  Patient who used to get his/her primary care at your ' +
                  'facility but has transferred care to another site, moved, or has' +
                  ' not returned for routine care at least '
                
                  'once in the past year.  There should be documented evidence that' +
                  ' three attempts to contact them for follow-up have been made wit' +
                  'hin the past twelve months '
                'for an inactive status to be assigned.'
                ' '
                
                  'Transient:  Patient who receives diabetes care at another facili' +
                  'ty but who received specialty or acute care, e.g. optometry or r' +
                  'adiology at your facility.  It should '
                
                  'be documented where they are receiving their primary care in the' +
                  ' "Provider" field of their Diabetes Registry enrollment record. ' +
                  ' Lost to Follow-Up:  Patients who '
                
                  'have not had a diabetes visit in the past year.  The status shou' +
                  'ld be changed to "Inactive" when it has been documented (see "In' +
                  'active" above) that the '
                'patient has moved or identified another primary care provider.'
                ' '
                
                  'Un-Reviewed:  Temporary status used when initially populating th' +
                  'e registry, to be used only until each patient can be reviewed t' +
                  'o determine the patient'#39's true '
                'status.'
                ' '
                'Deceased'
                ' '
                
                  '>no PCP assigned<:  Suggested status cannot be determined becaus' +
                  'e the person'#39's enrollment does not include a PCP.  Double click ' +
                  'the row, unlock the '
                'enrollment record, search for a PCP, and save it.'
                ' '
                
                  '>indeterminate<:  Suggested status cannot be determined for an u' +
                  'ndefined reason.  You might point these out to a programmer so a' +
                  ' more specific error message '
                'can be displayed.'
                ' '
                
                  'The next tab, "New Diabetics" lists all people with diabetes not' +
                  ' already on the diabetes registry.  Optioally, it can show you o' +
                  'nly those with at least one visit in '
                
                  'the past year.  To add a single person to the registry, double c' +
                  'lick the row.  This brings up a "new" enrollment record which, w' +
                  'hen saved, will add that person to '
                'the list on the "Registry" tab.'
                ' '
                
                  'To add multiple new diabetics to the registry at once, check the' +
                  ' boxes on all of the rows you wish to add.  Remember that if you' +
                  ' right click, then go to '
                
                  'Checkboxes, there are options to "Check all", "Uncheck all", and' +
                  ' "Flip all" (invert all checkboxes).  Then ... (to be continued)'
                ' '
                
                  'The last tab, "At Risk" lists all of the people not on the diabe' +
                  'tes registry who do not have diabetes but have one or more risk ' +
                  'factors for diabetes.  All of the same '
                
                  'rules and information for the "New Diabetics" tab (above) apply ' +
                  'here.')
              ParentColor = True
              ReadOnly = True
              ScrollBars = ssVertical
              TabOrder = 0
            end
          end
        end
        object sheetRegistry: TTabSheet
          Caption = 'Registry'
          object rubberRegistry: TRubberContainer
            Left = 0
            Top = 0
            Width = 782
            Height = 214
            Align = alClient
            TabOrder = 0
            RightMargin = 2
            BottomMargin = 2
            object listRegistry: TListView
              Left = 0
              Top = 0
              Width = 782
              Height = 214
              Align = alClient
              Columns = <>
              TabOrder = 1
            end
          end
          object panelRegistry: TPanel
            Left = 0
            Top = 240
            Width = 782
            Height = 26
            Align = alBottom
            BevelOuter = bvNone
            Color = clAqua
            TabOrder = 1
            Visible = False
            object lblRefreshRegistry: TLabel
              Left = 8
              Top = 8
              Width = 182
              Height = 13
              Caption = 'Some of the data above has changed.'
            end
            object btnRefreshRegistry: TButton
              Left = 200
              Top = 4
              Width = 57
              Height = 21
              Caption = 'Refresh'
              TabOrder = 0
              OnClick = btnRefreshRegistryClick
            end
          end
          object panelRegistryControls: TPanel
            Left = 0
            Top = 214
            Width = 782
            Height = 26
            Align = alBottom
            BevelOuter = bvNone
            TabOrder = 2
            object checkRegistryChanges: TCheckBox
              Left = 525
              Top = 6
              Width = 257
              Height = 17
              Caption = 'Show only people with suggested status change'
              TabOrder = 0
              OnClick = checkRegistryChangesClick
            end
          end
        end
        object sheetNewDiabetics: TTabSheet
          Tag = 1
          Caption = 'New Diabetics'
          ImageIndex = 1
          object rubberNewDiabetics: TRubberContainer
            Left = 0
            Top = 0
            Width = 782
            Height = 214
            Align = alClient
            TabOrder = 0
            RightMargin = 2
            BottomMargin = 2
            object listNewDiabetics: TListView
              Left = 0
              Top = 0
              Width = 782
              Height = 214
              Align = alClient
              Columns = <>
              TabOrder = 1
            end
          end
          object panelNewDiabetics: TPanel
            Left = 0
            Top = 240
            Width = 782
            Height = 26
            Align = alBottom
            BevelOuter = bvNone
            Color = clAqua
            TabOrder = 1
            Visible = False
            object lblRefreshNewDiabetics: TLabel
              Left = 8
              Top = 8
              Width = 211
              Height = 13
              Caption = 'Some of the data above may have changed.'
            end
            object btnRefreshNewDiabetics: TButton
              Left = 232
              Top = 4
              Width = 57
              Height = 21
              Caption = 'Refresh'
              TabOrder = 0
              OnClick = btnRefreshNewDiabeticsClick
            end
          end
          object panelNewDiabeticControls: TPanel
            Left = 0
            Top = 214
            Width = 782
            Height = 26
            Align = alBottom
            BevelOuter = bvNone
            TabOrder = 2
            Visible = False
            object checkNewDiabeticVisits: TCheckBox
              Left = 525
              Top = 6
              Width = 257
              Height = 17
              Caption = 'Show only people with suggested status change'
              Checked = True
              State = cbChecked
              TabOrder = 0
              OnClick = checkNewDiabeticVisitsClick
            end
          end
        end
        object sheetAtRisk: TTabSheet
          Tag = 2
          Caption = 'At Risk'
          ImageIndex = 2
          object rubberAtRisk: TRubberContainer
            Left = 0
            Top = 0
            Width = 782
            Height = 214
            Align = alClient
            TabOrder = 0
            RightMargin = 2
            BottomMargin = 2
            object listAtRisk: TListView
              Left = 0
              Top = 0
              Width = 782
              Height = 214
              Align = alClient
              Columns = <>
              TabOrder = 1
            end
          end
          object panelAtRisk: TPanel
            Left = 0
            Top = 240
            Width = 782
            Height = 26
            Align = alBottom
            BevelOuter = bvNone
            Color = clAqua
            TabOrder = 1
            Visible = False
            object lblRefreshAtRisk: TLabel
              Left = 8
              Top = 8
              Width = 211
              Height = 13
              Caption = 'Some of the data above may have changed.'
            end
            object btnRefreshAtRisk: TButton
              Left = 232
              Top = 4
              Width = 57
              Height = 21
              Caption = 'Refresh'
              TabOrder = 0
              OnClick = btnRefreshAtRiskClick
            end
          end
          object panelAtRiskControls: TPanel
            Left = 0
            Top = 214
            Width = 782
            Height = 26
            Align = alBottom
            BevelOuter = bvNone
            TabOrder = 2
            Visible = False
            object checkAtRiskVisits: TCheckBox
              Left = 525
              Top = 6
              Width = 257
              Height = 17
              Caption = 'Show only people with suggested status change'
              Checked = True
              State = cbChecked
              TabOrder = 0
              OnClick = checkAtRiskVisitsClick
            end
          end
        end
      end
    end
  end
  inherited panelInfoBar: TPanel
    Width = 792
  end
end
