inherited formSpecialExportHL7ForIHS: TformSpecialExportHL7ForIHS
  Left = 306
  Top = 204
  Width = 560
  Height = 455
  Caption = 'Export HL7 For IHS / National DataWarehouse'
  Constraints.MaxHeight = 455
  Constraints.MaxWidth = 560
  Constraints.MinHeight = 455
  Constraints.MinWidth = 560
  OldCreateOrder = True
  PixelsPerInch = 96
  TextHeight = 13
  inherited bevelStandardB: TBevel
    Top = 405
    Width = 552
  end
  inherited toolsStandard: TToolBar
    Top = 407
    Width = 552
    ButtonHeight = 21
    ButtonWidth = 33
    object buttonRun: TToolButton
      Left = 8
      Top = 0
      Cursor = crHandPoint
      AutoSize = True
      Caption = 'Run'
      OnClick = buttonRunClick
    end
    object buttonClose: TToolButton
      Left = 39
      Top = 0
      Cursor = crHandPoint
      AutoSize = True
      Caption = 'Close'
      OnClick = buttonCloseClick
    end
  end
  inherited scrollStandard: TScrollBox
    Width = 552
    Height = 405
    object labelCurrentState: TLabel
      Left = 8
      Top = 391
      Width = 3
      Height = 13
    end
    object groupDataOptions: TGroupBox
      Left = 8
      Top = 8
      Width = 265
      Height = 257
      Caption = 'Data Options'
      TabOrder = 0
      object _labelVisitStart: TLabel
        Left = 8
        Top = 16
        Width = 68
        Height = 13
        Caption = 'Visits between'
      end
      object _labelVisitStop: TLabel
        Left = 160
        Top = 16
        Width = 18
        Height = 13
        Caption = 'and'
      end
      object _labelAboutNDW: TLabel
        Left = 24
        Top = 128
        Width = 233
        Height = 52
        AutoSize = False
        Caption = 
          'Also resends anything that has changed since the last export, bu' +
          't avoids sending anything that has not changed since the last ex' +
          'port (even visits that fall in the date range.)'
        WordWrap = True
      end
      object _labelAboutNPIRS: TLabel
        Left = 24
        Top = 64
        Width = 233
        Height = 26
        AutoSize = False
        Caption = 'Sends visits in this date range, as well as any relevant people.'
        WordWrap = True
      end
      object bevelData: TBevel
        Left = 1
        Top = 189
        Width = 262
        Height = 10
        Anchors = [akLeft, akTop, akRight]
        Shape = bsTopLine
      end
      object radioNPIRS: TRadioButton
        Left = 8
        Top = 40
        Width = 209
        Height = 17
        Caption = 'NPIRS rules'
        TabOrder = 0
        OnClick = radioDataOptionsClick
      end
      object radioNDW: TRadioButton
        Left = 8
        Top = 104
        Width = 209
        Height = 17
        Caption = 'NDW rules'
        Checked = True
        TabOrder = 1
        TabStop = True
        OnClick = radioDataOptionsClick
      end
      object editVisitStart: TEdit
        Left = 80
        Top = 16
        Width = 73
        Height = 21
        TabOrder = 2
      end
      object editVisitStop: TEdit
        Left = 184
        Top = 16
        Width = 73
        Height = 21
        TabOrder = 3
      end
      object checkPharmacy: TCheckBox
        Left = 8
        Top = 200
        Width = 249
        Height = 17
        Caption = 'Include data from temporary pharmacy tables'
        Checked = True
        State = cbChecked
        TabOrder = 4
      end
      object checkNoExportTags: TCheckBox
        Left = 8
        Top = 224
        Width = 249
        Height = 17
        Caption = 'Do not tag people and visits with export dates'
        TabOrder = 5
      end
    end
    object groupFileOptions: TGroupBox
      Left = 280
      Top = 8
      Width = 265
      Height = 145
      Caption = 'File Options'
      TabOrder = 1
      object _labelCombinedFile: TLabel
        Left = 24
        Top = 40
        Width = 35
        Height = 13
        Caption = 'File (all)'
      end
      object _labelPeopleFile: TLabel
        Left = 24
        Top = 88
        Width = 57
        Height = 13
        Caption = 'File (people)'
      end
      object _labelVisitsFile: TLabel
        Left = 24
        Top = 112
        Width = 48
        Height = 13
        Caption = 'File (visits)'
      end
      object radioCombined: TRadioButton
        Left = 8
        Top = 16
        Width = 249
        Height = 17
        Caption = 'Combined'
        TabOrder = 0
        OnClick = radioFileOptionsClick
      end
      object radioSeparated: TRadioButton
        Left = 8
        Top = 64
        Width = 249
        Height = 17
        Caption = 'Separated (mostly for debug)'
        Checked = True
        TabOrder = 1
        TabStop = True
        OnClick = radioFileOptionsClick
      end
      object editPeopleFile: TEdit
        Left = 88
        Top = 88
        Width = 121
        Height = 21
        TabOrder = 3
      end
      object editVisitsFile: TEdit
        Left = 88
        Top = 112
        Width = 121
        Height = 21
        TabOrder = 4
      end
      object editCombinedFile: TEdit
        Left = 88
        Top = 40
        Width = 121
        Height = 21
        TabOrder = 2
      end
      object buttonCombinedFile: TBitBtn
        Left = 216
        Top = 40
        Width = 19
        Height = 21
        Cursor = crHandPoint
        Hint = 'Select file location'
        Anchors = [akRight, akBottom]
        ParentShowHint = False
        ShowHint = True
        TabOrder = 5
        OnClick = buttonCombinedFileClick
        Glyph.Data = {
          F6000000424DF60000000000000076000000280000000E000000100000000100
          04000000000080000000620B0000620B00001000000010000000000000000000
          800000800000008080008000000080008000808000007F7F7F00BFBFBF000000
          FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00333333333333
          3300333333333333330033333333333333003333333333300300333333333300
          0300333333333000330033300000000333003300333000333300300333330033
          3300303333333033330030333333303333003033333330333300300333330033
          3300330033300333330033300000333333003333333333333300}
        Margin = 1
      end
      object buttonPeopleFile: TBitBtn
        Left = 216
        Top = 88
        Width = 19
        Height = 21
        Cursor = crHandPoint
        Hint = 'Select file location'
        Anchors = [akRight, akBottom]
        ParentShowHint = False
        ShowHint = True
        TabOrder = 6
        OnClick = buttonPeopleFileClick
        Glyph.Data = {
          F6000000424DF60000000000000076000000280000000E000000100000000100
          04000000000080000000620B0000620B00001000000010000000000000000000
          800000800000008080008000000080008000808000007F7F7F00BFBFBF000000
          FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00333333333333
          3300333333333333330033333333333333003333333333300300333333333300
          0300333333333000330033300000000333003300333000333300300333330033
          3300303333333033330030333333303333003033333330333300300333330033
          3300330033300333330033300000333333003333333333333300}
        Margin = 1
      end
      object buttonVisitsFile: TBitBtn
        Left = 216
        Top = 112
        Width = 19
        Height = 21
        Cursor = crHandPoint
        Hint = 'Select file location'
        Anchors = [akRight, akBottom]
        ParentShowHint = False
        ShowHint = True
        TabOrder = 7
        OnClick = buttonVisitsFileClick
        Glyph.Data = {
          F6000000424DF60000000000000076000000280000000E000000100000000100
          04000000000080000000620B0000620B00001000000010000000000000000000
          800000800000008080008000000080008000808000007F7F7F00BFBFBF000000
          FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00333333333333
          3300333333333333330033333333333333003333333333300300333333333300
          0300333333333000330033300000000333003300333000333300300333330033
          3300303333333033330030333333303333003033333330333300300333330033
          3300330033300333330033300000333333003333333333333300}
        Margin = 1
      end
      object buttonCombinedSettings: TBitBtn
        Left = 240
        Top = 40
        Width = 19
        Height = 21
        Cursor = crHandPoint
        Hint = 'Set file format options'
        Anchors = [akRight, akBottom]
        ParentShowHint = False
        ShowHint = True
        TabOrder = 8
        OnClick = buttonCombinedSettingsClick
        Glyph.Data = {
          F6020000424DF60200000000000036000000280000000E000000100000000100
          180000000000C0020000230B0000230B00000000000000000000008080008080
          0080800080800080800080800080800080800080800080800080800080800080
          8000808000000080800080800080800080800080800080800080800080800080
          8000808000808000808000808000808000000080800080800080800080800080
          8000808000808000808000808000808000808000808000808000808000000080
          8000808000808000808000000000000000000000000000000000808000808000
          8080008080008080000000808000808000808000000000808000808000808000
          8080008080000000000000008080008080008080000000808000808000000000
          8080008080008080008080000000000000008080008080000000008080008080
          0000008080000000008080008080008080008080008080000000000000008080
          0080800000000080800080800000008080000000008080000000000000008080
          0080800080800080800000000000000080800000000080800000008080000000
          0000000080800080800000000080800080800080800000000000000080800000
          0000808000000080800080800000000080800080800000000080800080800080
          8000808000808000808000000000808000000080800080800080800000000000
          0000808000808000808000808000000000000000808000000000808000000080
          8000808000808000808000808000000000808000000000000000000000000000
          8080000000008080000000808000808000808000808000808000000000808000
          0000000000008080008080000000008080008080000000808000808000808000
          8080008080000000008080008080008080008080000000000000008080008080
          0000008080008080008080008080008080008080000000000000000000000000
          0080800080800080800080800000008080008080008080008080008080008080
          0080800080800080800080800080800080800080800080800000}
        Margin = 1
      end
      object buttonPeopleSettings: TBitBtn
        Left = 240
        Top = 88
        Width = 19
        Height = 21
        Cursor = crHandPoint
        Hint = 'Set file format options'
        Anchors = [akRight, akBottom]
        ParentShowHint = False
        ShowHint = True
        TabOrder = 9
        OnClick = buttonPeopleSettingsClick
        Glyph.Data = {
          F6020000424DF60200000000000036000000280000000E000000100000000100
          180000000000C0020000230B0000230B00000000000000000000008080008080
          0080800080800080800080800080800080800080800080800080800080800080
          8000808000000080800080800080800080800080800080800080800080800080
          8000808000808000808000808000808000000080800080800080800080800080
          8000808000808000808000808000808000808000808000808000808000000080
          8000808000808000808000000000000000000000000000000000808000808000
          8080008080008080000000808000808000808000000000808000808000808000
          8080008080000000000000008080008080008080000000808000808000000000
          8080008080008080008080000000000000008080008080000000008080008080
          0000008080000000008080008080008080008080008080000000000000008080
          0080800000000080800080800000008080000000008080000000000000008080
          0080800080800080800000000000000080800000000080800000008080000000
          0000000080800080800000000080800080800080800000000000000080800000
          0000808000000080800080800000000080800080800000000080800080800080
          8000808000808000808000000000808000000080800080800080800000000000
          0000808000808000808000808000000000000000808000000000808000000080
          8000808000808000808000808000000000808000000000000000000000000000
          8080000000008080000000808000808000808000808000808000000000808000
          0000000000008080008080000000008080008080000000808000808000808000
          8080008080000000008080008080008080008080000000000000008080008080
          0000008080008080008080008080008080008080000000000000000000000000
          0080800080800080800080800000008080008080008080008080008080008080
          0080800080800080800080800080800080800080800080800000}
        Margin = 1
      end
      object buttonVisitsSettings: TBitBtn
        Left = 240
        Top = 112
        Width = 19
        Height = 21
        Cursor = crHandPoint
        Hint = 'Set file format options'
        Anchors = [akRight, akBottom]
        ParentShowHint = False
        ShowHint = True
        TabOrder = 10
        OnClick = buttonVisitsSettingsClick
        Glyph.Data = {
          F6020000424DF60200000000000036000000280000000E000000100000000100
          180000000000C0020000230B0000230B00000000000000000000008080008080
          0080800080800080800080800080800080800080800080800080800080800080
          8000808000000080800080800080800080800080800080800080800080800080
          8000808000808000808000808000808000000080800080800080800080800080
          8000808000808000808000808000808000808000808000808000808000000080
          8000808000808000808000000000000000000000000000000000808000808000
          8080008080008080000000808000808000808000000000808000808000808000
          8080008080000000000000008080008080008080000000808000808000000000
          8080008080008080008080000000000000008080008080000000008080008080
          0000008080000000008080008080008080008080008080000000000000008080
          0080800000000080800080800000008080000000008080000000000000008080
          0080800080800080800000000000000080800000000080800000008080000000
          0000000080800080800000000080800080800080800000000000000080800000
          0000808000000080800080800000000080800080800000000080800080800080
          8000808000808000808000000000808000000080800080800080800000000000
          0000808000808000808000808000000000000000808000000000808000000080
          8000808000808000808000808000000000808000000000000000000000000000
          8080000000008080000000808000808000808000808000808000000000808000
          0000000000008080008080000000008080008080000000808000808000808000
          8080008080000000008080008080008080008080000000000000008080008080
          0000008080008080008080008080008080008080000000000000000000000000
          0080800080800080800080800000008080008080008080008080008080008080
          0080800080800080800080800080800080800080800080800000}
        Margin = 1
      end
    end
    object groupDebugOptions: TGroupBox
      Left = 280
      Top = 160
      Width = 265
      Height = 73
      Caption = 'Debug Options'
      TabOrder = 2
      object checkLimitPeople: TCheckBox
        Left = 8
        Top = 16
        Width = 169
        Height = 17
        Caption = 'Only send this many people'
        TabOrder = 0
      end
      object editLimitPeople: TEdit
        Left = 184
        Top = 16
        Width = 73
        Height = 21
        TabOrder = 1
        Text = '50'
      end
      object editLimitVisits: TEdit
        Left = 184
        Top = 40
        Width = 73
        Height = 21
        TabOrder = 2
        Text = '200'
      end
      object checkLimitVisits: TCheckBox
        Left = 8
        Top = 40
        Width = 169
        Height = 17
        Caption = 'Only send this many visits'
        TabOrder = 3
      end
    end
    object groupProgress: TGroupBox
      Left = 8
      Top = 272
      Width = 265
      Height = 121
      Caption = 'Progress'
      TabOrder = 3
      object _labelProgressPeople: TLabel
        Left = 8
        Top = 16
        Width = 33
        Height = 13
        Caption = 'People'
      end
      object _labelProgressVisits: TLabel
        Left = 8
        Top = 64
        Width = 24
        Height = 13
        Caption = 'Visits'
      end
      object _labelProgressVisitPeople: TLabel
        Left = 8
        Top = 40
        Width = 81
        Height = 13
        Caption = 'People (w/ visits)'
      end
      object _labelPharmacyVisits: TLabel
        Left = 8
        Top = 88
        Width = 73
        Height = 13
        Caption = 'Pharmacy visits'
      end
      object labelProgressPeople: TLabel
        Left = 104
        Top = 16
        Width = 73
        Height = 13
        Alignment = taRightJustify
        AutoSize = False
        Caption = '0'
      end
      object labelProgressVisitPeople: TLabel
        Left = 104
        Top = 40
        Width = 73
        Height = 13
        Alignment = taRightJustify
        AutoSize = False
        Caption = '0'
      end
      object labelProgressVisits: TLabel
        Left = 104
        Top = 64
        Width = 73
        Height = 13
        Alignment = taRightJustify
        AutoSize = False
        Caption = '0'
      end
      object labelProgressPharmacyVisits: TLabel
        Left = 104
        Top = 88
        Width = 73
        Height = 13
        Alignment = taRightJustify
        AutoSize = False
        Caption = '0'
      end
      object labelProgressTotalPeople: TLabel
        Left = 184
        Top = 16
        Width = 73
        Height = 13
        Alignment = taRightJustify
        AutoSize = False
        Caption = '0'
      end
      object labelProgressTotalVisitPeople: TLabel
        Left = 184
        Top = 40
        Width = 73
        Height = 13
        Alignment = taRightJustify
        AutoSize = False
        Caption = '0'
      end
      object labelProgressTotalVisits: TLabel
        Left = 184
        Top = 64
        Width = 73
        Height = 13
        Alignment = taRightJustify
        AutoSize = False
        Caption = '0'
      end
      object labelProgressTotalPharmacyVisits: TLabel
        Left = 184
        Top = 88
        Width = 73
        Height = 13
        Alignment = taRightJustify
        AutoSize = False
        Caption = '0'
      end
    end
    object GroupBox1: TGroupBox
      Left = 280
      Top = 240
      Width = 265
      Height = 153
      Caption = 'Progress'
      TabOrder = 4
      object RubberContainer1: TRubberContainer
        Left = 8
        Top = 16
        Width = 249
        Height = 129
        TabOrder = 0
        RightMargin = 2
        BottomMargin = 2
        object richDebug: TRichEdit
          Left = 0
          Top = 0
          Width = 249
          Height = 129
          Align = alClient
          HideSelection = False
          PlainText = True
          ScrollBars = ssVertical
          TabOrder = 1
        end
      end
    end
  end
  inherited panelInfoBar: TPanel
    Width = 552
  end
  object dialogSave: TSaveDialog
    DefaultExt = 'hl7'
    Filter = 'HL7 File|*.hl7|Text File|*.txt'
    Options = [ofOverwritePrompt, ofHideReadOnly, ofExtensionDifferent, ofPathMustExist, ofShareAware, ofNoReadOnlyReturn, ofEnableSizing]
    Title = 'Save HL7 data as...'
    Left = 504
    Top = 8
  end
end
