//---------------------------------------------------------------------------

#ifndef codeSpecialExportHL7ForIHSH
#define codeSpecialExportHL7ForIHSH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include "hl7.h"
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSpecialExportHL7ForIHS : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *buttonRun;
        TToolButton *buttonClose;
        TGroupBox *groupDataOptions;
        TRadioButton *radioNPIRS;
        TRadioButton *radioNDW;
        TEdit *editVisitStart;
        TEdit *editVisitStop;
        TLabel *_labelVisitStart;
        TLabel *_labelVisitStop;
        TGroupBox *groupFileOptions;
        TLabel *_labelCombinedFile;
        TLabel *_labelPeopleFile;
        TRadioButton *radioCombined;
        TRadioButton *radioSeparated;
        TEdit *editPeopleFile;
        TEdit *editVisitsFile;
        TEdit *editCombinedFile;
        TGroupBox *groupDebugOptions;
        TCheckBox *checkLimitPeople;
        TEdit *editLimitPeople;
        TEdit *editLimitVisits;
        TCheckBox *checkLimitVisits;
        TLabel *_labelAboutNDW;
        TLabel *_labelAboutNPIRS;
        TCheckBox *checkPharmacy;
        TBevel *bevelData;
        TBitBtn *buttonCombinedFile;
        TBitBtn *buttonPeopleFile;
        TBitBtn *buttonVisitsFile;
        TBitBtn *buttonCombinedSettings;
        TBitBtn *buttonPeopleSettings;
        TBitBtn *buttonVisitsSettings;
        TCheckBox *checkNoExportTags;
        TSaveDialog *dialogSave;
        TLabel *_labelVisitsFile;
        TGroupBox *groupProgress;
        TLabel *_labelProgressPeople;
        TLabel *_labelProgressVisits;
        TLabel *_labelProgressVisitPeople;
        TLabel *_labelPharmacyVisits;
        TLabel *labelProgressPeople;
        TLabel *labelProgressVisitPeople;
        TLabel *labelProgressVisits;
        TLabel *labelProgressPharmacyVisits;
        TLabel *labelProgressTotalPeople;
        TLabel *labelProgressTotalVisitPeople;
        TLabel *labelProgressTotalVisits;
        TLabel *labelProgressTotalPharmacyVisits;
        TGroupBox *GroupBox1;
        TRubberContainer *RubberContainer1;
        TRichEdit *richDebug;
        TLabel *labelCurrentState;
        void __fastcall buttonRunClick(TObject *Sender);
        void __fastcall buttonCloseClick(TObject *Sender);
        void __fastcall radioFileOptionsClick(TObject *Sender);
        void __fastcall buttonCombinedFileClick(TObject *Sender);
        void __fastcall buttonPeopleFileClick(TObject *Sender);
        void __fastcall buttonVisitsFileClick(TObject *Sender);
        void __fastcall buttonCombinedSettingsClick(TObject *Sender);
        void __fastcall buttonPeopleSettingsClick(TObject *Sender);
        void __fastcall buttonVisitsSettingsClick(TObject *Sender);
        void __fastcall radioDataOptionsClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
        hl7_batch combined_batch;
        hl7_batch people_batch;
        hl7_batch visits_batch;
        void UpdateFilenames();
        TForm * floating_log_window;
        TRichEdit * editLog;
        void Log(string message, bool update_caption = false);
        Pstamp last_message_stamp;
        fstream log_file;
public:		// User declarations
        __fastcall TformSpecialExportHL7ForIHS(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialExportHL7ForIHS *formSpecialExportHL7ForIHS;
//---------------------------------------------------------------------------
#endif
