//---------------------------------------------------------------------------

#ifndef codeSpecialHouseholdModH
#define codeSpecialHouseholdModH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformSpecialHouseholdMod : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *buttonSave;
        TToolButton *buttonCancel;
        TListView *listMembers;
        TLabel *labelScreenExplanation;
        void __fastcall buttonSaveClick(TObject *Sender);
        void __fastcall buttonCancelClick(TObject *Sender);
private:	// User declarations
        TIBTransaction * dbTransaction;
        classFilterObject household_filter;
        string household_id;
public:		// User declarations
        __fastcall TformSpecialHouseholdMod(TComponent* Owner, string p_household_id, TIBTransaction * p_dbTransaction);
        void EditPerson();
        static bool FindHousehold(TIBTransaction * p_dbTransaction, set<string> & p_people);
        static bool FindHousehold(TIBDatabase * p_dbDatabase, set<string> & p_people);
        static bool FindRelations(TIBTransaction * p_dbTransaction, vector<string> & p_people, bool put_in_temp_table = false);
        static bool FindRelations(TIBDatabase * p_dbDatabase, vector<string> & p_people);
        static bool ResolveHouseholdInformation(TIBTransaction * p_dbTransaction, set<string> p_people);
        static bool ResolveHouseholdInformation(TIBDatabase * p_dbDatabase, set<string> p_people);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialHouseholdMod *formSpecialHouseholdMod;
//---------------------------------------------------------------------------
#endif
