//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "codeSpecialListview.h"
#include "codePrometheus.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "codeSpecialGeneric"
#pragma resource "*.dfm"
TformSpecialListview *formSpecialListview;
//---------------------------------------------------------------------------
__fastcall TformSpecialListview::TformSpecialListview(TComponent* Owner)
        : TformSpecialGeneric(Owner)
{
 filter_stuff.SetListViewHandle(listStuff);
 filter_stuff.SetSecurity("");
 filter_stuff.SetAddEdit(this, AddRecord(NULL), EditRecord(&(TformSpecialListview::Zoom)));
}
//---------------------------------------------------------------------------
void __fastcall TformSpecialListview::buttonCloseClick(TObject *Sender)
{
 Close();
}
//---------------------------------------------------------------------------
classFilterObject* __fastcall TformSpecialListview::GetFilterPointer()
{
 return &filter_stuff;
}
//---------------------------------------------------------------------------
void TformSpecialListview::Execute(TIBTransaction* dbTransaction, string sql_statement)
{
 if (dbTransaction)
  filter_stuff.SetTransaction(dbTransaction);
 filter_stuff.SetSQLStatement(sql_statement);
 filter_stuff.ForceRefreshDataSet();
 this->Caption = string("Listview - " + IntToString(filter_stuff.GetResultSize()) + " entries").c_str();
 this->Show();
}
//---------------------------------------------------------------------------
bool TformSpecialListview::Zoom(const string & p_id)
{
 DefaultAction(p_id, SourceTableName.c_str());
 return true;
}
//---------------------------------------------------------------------------

