//---------------------------------------------------------------------------

#ifndef codeSpecialListviewH
#define codeSpecialListviewH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformSpecialListview : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *buttonClose;
        TToolButton *buttonUseless;
        TListView *listStuff;
        void __fastcall buttonCloseClick(TObject *Sender);
private:	// User declarations
protected:
        AnsiString FSourceTableName;
        classFilterObject filter_stuff;
        classFilterObject* __fastcall GetFilterPointer();
        bool Zoom(const string & p_id);
public:		// User declarations
        __property classFilterObject* Filter = {read = GetFilterPointer};
        __property AnsiString SourceTableName = {read = FSourceTableName, write = FSourceTableName};
        void virtual Execute (TIBTransaction* dbTransaction, string sql_statement);
        
        __fastcall TformSpecialListview(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialListview *formSpecialListview;
//---------------------------------------------------------------------------
#endif
