//---------------------------------------------------------------------------

#ifndef codeSpecialLookupTableInfoH
#define codeSpecialLookupTableInfoH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformSpecialLookupTableInfo : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnSave;
        TToolButton *btnClose;
        TLabel *lblTableName;
        TEdit *editTableName;
        TLabel *lblDisplay;
        TComboBox *cboDisplay;
        TLabel *lblValid;
        TLabel *lblCanAdd;
        TCheckBox *checkCanAdd;
        TCheckBox *checkShowInvalid;
        TLabel *lblAutoload;
        TCheckBox *checkAutoload;
        void __fastcall cboDisplayKeyPress(TObject *Sender, char &Key);
        void __fastcall cboShowInvalidKeyPress(TObject *Sender, char &Key);
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnSaveClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
        map<string, string> parameters;
        TIBTransaction * dbTransaction;
        TIBDataSet * dbDataSet;
public:		// User declarations
        __fastcall TformSpecialLookupTableInfo(TComponent* Owner, map<string, string> params);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialLookupTableInfo *formSpecialLookupTableInfo;
//---------------------------------------------------------------------------
#endif
