//---------------------------------------------------------------------------

#ifndef codeSpecialMessageBoxH
#define codeSpecialMessageBoxH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>

//---------------------------------------------------------------------------
class TformSpecialMessageBox : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *buttonOk;
        TToolButton *buttonYes;
        TToolButton *buttonNo;
        TToolButton *buttonCancel;
        TToolButton *buttonAbort;
        TToolButton *buttonRetry;
        TToolButton *buttonIgnore;
        TToolButton *buttonAllYes;
        TToolButton *buttonAllNo;
        TToolButton *buttonAll;
        TPopupMenu *popupMain;
        TMenuItem *menuCopy;
        TPanel *panelBottom;
        TPanel *panelOuter;
        TLabel *lblMessage;
        void __fastcall buttonOkClick(TObject *Sender);
        void __fastcall buttonYesClick(TObject *Sender);
        void __fastcall buttonNoClick(TObject *Sender);
        void __fastcall buttonCancelClick(TObject *Sender);
        void __fastcall buttonAbortClick(TObject *Sender);
        void __fastcall buttonRetryClick(TObject *Sender);
        void __fastcall buttonIgnoreClick(TObject *Sender);
        void __fastcall buttonAllYesClick(TObject *Sender);
        void __fastcall buttonAllNoClick(TObject *Sender);
        void __fastcall buttonAllClick(TObject *Sender);
        void __fastcall menuCopyClick(TObject *Sender);
private:	// User declarations
        int* button_clicked;
public:		// User declarations
        __fastcall TformSpecialMessageBox(TComponent* Owner, string p_message, string p_caption, int p_buttons, int *p_button_clicked);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialMessageBox *formSpecialMessageBox;
//---------------------------------------------------------------------------
#endif
