//---------------------------------------------------------------------------

#ifndef codeSpecialModifyCashAccountH
#define codeSpecialModifyCashAccountH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <Mask.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformSpecialModifyCashAccount : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnFinish;
        TToolButton *btnClose;
        TListView *listBills;
        TListView *listPayments;
        TEdit *editAmount;
        TButton *buttonSavePayment;
        TButton *buttonDeletePayment;
        TLabel *labelBillTotal;
        TLabel *labelCheckTotal;
        TLabel *labelDollar6;
        TLabel *labelDollar2;
        TLabel *lblCheckTotal;
        TLabel *lblBillTotal;
        TLabel *labelBills;
        TLabel *labelAccounts;
        TToolButton *ToolButton1;
        TMaskEdit *editAccount;
        void __fastcall buttonDeletePaymentClick(TObject *Sender);
        void __fastcall buttonSavePaymentClick(TObject *Sender);
        void __fastcall listPaymentsSelectItem(TObject *Sender,
          TListItem *Item, bool Selected);
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall listBillsClick(TObject *Sender);
        void __fastcall btnFinishClick(TObject *Sender);
        void __fastcall editAccountKeyPress(TObject *Sender, char &Key);
private:	// User declarations
        classFilterObject bills_filter;
        string check_id;
        string bill_id;
        int check_request;
        int acceptable_payments;
        bool is_expense;
        bool is_receivable;
        void SetupAmountInfo();
        void RefreshAmountInfo(bool refresh_check);

       // store changes the user has made in map<string, map<string,     string> >
       //                                        bill_id,    account_id, amount
        map<string, map<string, string> > changed_amounts;

        // all of the original bill id's and amounts
        vector<map<string, string> > bill_ids;

public:		// User declarations
        __fastcall TformSpecialModifyCashAccount(TComponent* Owner, string incoming_check_id, string type);

        void EditBill();
        bool AtlasRefreshListView(int request_num, string matched_value);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialModifyCashAccount *formSpecialModifyCashAccount;
//---------------------------------------------------------------------------
#endif
