//---------------------------------------------------------------------------

#ifndef codeSpecialNewBudgetModH
#define codeSpecialNewBudgetModH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Mask.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformSpecialNewBudgetMod : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TPanel *panelSelectArea;
        TStaticText *staticHeader;
        TToolButton *buttonBack;
        TToolButton *buttonNext;
        TToolButton *buttonCancel;
        TToolButton *sep1;
        TPageControl *pageBudgetMod;
        TTabSheet *sheetAccounts;
        TTabSheet *sheetFinal;
        TListView *listFromAccounts;
        TEdit *editFromAccount;
        TLabel *labelDollar1;
        TEdit *editFromAmount;
        TButton *buttonAddFrom;
        TButton *buttonDelFrom;
        TLabel *labelFromInstructions;
        TLabel *labelToInstructions;
        TListView *listToAccounts;
        TEdit *editToAccount;
        TLabel *labelDollar2;
        TEdit *editToAmount;
        TButton *buttonAddTo;
        TButton *buttonDelTo;
        TLabel *labelEffectiveInstructions;
        TToolButton *buttonClosed;
        TLabel *labelBudgetTypeInstructions;
        TRadioButton *radioExpenseBudget;
        TRadioButton *radioRevenueBudget;
        TDateTimePicker *dateEffective;
        TEdit *editReason;
        TLabel *labelTransactionNumber;
        TLabel *labelReasonInstructions;
        TLabel *labelTransactionIntructions;
        TToolButton *sep2;
        void __fastcall buttonBackClick(TObject *Sender);
        void __fastcall buttonNextClick(TObject *Sender);
        void __fastcall buttonCancelClick(TObject *Sender);
        void __fastcall buttonAddFromClick(TObject *Sender);
        void __fastcall buttonDelFromClick(TObject *Sender);
        void __fastcall buttonAddToClick(TObject *Sender);
        void __fastcall buttonDelToClick(TObject *Sender);
        void __fastcall RadioBudgetTypeClick(TObject *Sender);
        void __fastcall buttonClosedClick(TObject *Sender);
        void __fastcall listFromAccountsSelectItem(TObject *Sender,
          TListItem *Item, bool Selected);
        void __fastcall listToAccountsSelectItem(TObject *Sender,
          TListItem *Item, bool Selected);
private:	// User declarations
        int accept_accounts_from;
        int accept_accounts_to;
        void ResetAll();
public:		// User declarations
        __fastcall TformSpecialNewBudgetMod(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialNewBudgetMod *formSpecialNewBudgetMod;
//---------------------------------------------------------------------------
#endif
