//---------------------------------------------------------------------------

#ifndef codeSpecialNewERH
#define codeSpecialNewERH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TformSpecialNewER : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *buttonBack;
        TToolButton *buttonNext;
        TToolButton *sep1;
        TToolButton *buttonCancel;
        TPanel *panelSelectArea;
        TStaticText *staticHeader;
        TPageControl *pageER;
        TTabSheet *sheetProvider;
        TLabel *labelPatientInstructions;
        TLabel *llabelPatient;
        TStaticText *staticPatient;
        TBitBtn *buttonPatientSearch;
        TLabel *labelProviderInstructions;
        TLabel *labelProvider;
        TStaticText *staticProvider;
        TBitBtn *buttonProviderSearch;
        TListView *listServicesProvided;
        TTabSheet *sheetER;
        TLabel *labelReason;
        TRichEdit *editReason;
        TLabel *labelSecondPageInstructions;
        TCheckBox *checkWasHosp;
        TCheckBox *checkWasRoom;
        TLabel *labelReportedBy;
        TEdit *editReportedBy;
        TLabel *labelPreCond;
        TRichEdit *editPreCond;
        TLabel *labelDateTimeInstructions;
        TLabel *labelDateTime;
        TDateTimePicker *editDateService;
        TLabel *labelAt;
        TDateTimePicker *editTimeService;
        TLabel *labelFollowup;
        TRichEdit *editFollowup;
        TToolButton *sep2;
        TToolButton *buttonClose;
        void __fastcall buttonPatientSearchClick(TObject *Sender);
        void __fastcall buttonProviderSearchClick(TObject *Sender);
        void __fastcall buttonBackClick(TObject *Sender);
        void __fastcall buttonNextClick(TObject *Sender);
        void __fastcall buttonCancelClick(TObject *Sender);
        void __fastcall buttonCloseClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall listServicesProvidedSelectItem(TObject *Sender,
          TListItem *Item, bool Selected);
private:	// User declarations
        classFilterObject services_filter;
        int services_request;

        string first_patient_id;
        string second_patient_id;
        string first_service_id;
        string second_service_id;
        string first_provider_id;

        bool AtlasScreen(int request_num);

        void GotoFirstPage();
        void GotoSecondPage();
        void ResetFirstPage();
        void ResetSecondPage();
        void ResetServices(string given_id);
        void Start();
        void Stop();
public:		// User declarations
        __fastcall TformSpecialNewER(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialNewER *formSpecialNewER;
//---------------------------------------------------------------------------
#endif
