//---------------------------------------------------------------------------

#ifndef codeSpecialNewInterofficeReferralH
#define codeSpecialNewInterofficeReferralH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformSpecialNewInterofficeReferral : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnSave;
        TToolButton *btnCancel;
        TStaticText *txtPerson;
        TLabel *lblClientLabel;
        TLabel *lblReferredTo;
        TLabel *lblDate;
        TDateTimePicker *dateReferral;
        TComboBox *cboTo;
        TLabel *lblNote;
        TRichEdit *editNote;
        TBitBtn *btnPersonSearch;
        TLabel *lblReferredFrom;
        TComboBox *cboFrom;
        TToolButton *btnSaveAndAddAnother;
        TPanel *panelBehReason;
        TLabel *lblReason;
        TComboBox *cboReason;
        void __fastcall btnPersonSearchClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall btnCancelClick(TObject *Sender);
        void __fastcall btnSaveClick(TObject *Sender);
        void __fastcall btnSaveAndAddAnotherClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TformSpecialNewInterofficeReferral(TComponent* Owner, string p_person_id = "");
        bool IsValidOnScreen();
        bool Save();
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialNewInterofficeReferral *formSpecialNewInterofficeReferral;
//---------------------------------------------------------------------------
#endif
