//---------------------------------------------------------------------------

#ifndef codeSpecialNewProviderBillH
#define codeSpecialNewProviderBillH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Mask.hpp>
//---------------------------------------------------------------------------
class TformSpecialNewProviderBill : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *buttonBack;
        TToolButton *buttonCancel;
        TToolButton *buttonNext;
        TPanel *panelSelectArea;
        TStaticText *staticHeader;
        TPageControl *pageBill;
        TTabSheet *sheetReferral;
        TTabSheet *sheetNonReferral;
        TTabSheet *sheetVisit;
        TTabSheet *sheetTaxEntities;
        TTabSheet *sheetHCFA1500;
        TTabSheet *sheetPayment;
        TTabSheet *sheetFinal;
        TLabel *labelReferralInstructions;
        TRadioButton *checkHaveCOB;
        TRadioButton *checkCreateCOB;
        TEdit *editKnownCOBNumber;
        TLabel *labelSearchCOB;
        TLabel *labelPatientInstructions;
        TLabel *llabelPatient;
        TStaticText *staticPatient;
        TBitBtn *buttonPatientSearch;
        TLabel *labelProviderInstructions;
        TLabel *labelProvider;
        TStaticText *staticProvider;
        TBitBtn *buttonProviderSearch;
        TListView *listServicesProvided;
        TLabel *labelReferringPhysicianInstructions;
        TListView *listReferringPhysicians;
        TTabSheet *sheetMoneys;
        TToolButton *sep1;
        TLabel *labelDateTimeInstructions;
        TDateTimePicker *editDateService;
        TDateTimePicker *editTimeService;
        TLabel *labelDateTime;
        TLabel *labelAt;
        TLabel *labelReasonInstructions;
        TLabel *labelReason;
        TRichEdit *editReason;
        TLabel *labelInsuranceMoneyInstructions;
        TListView *listInsurance;
        TLabel *labelTaxEntitiesInstructions;
        TLabel *labelFormTypeInstructions;
        TLabel *labelHCFAConditionsInstructions;
        TEdit *editHCFACondition;
        TButton *buttonHCFAAddCondition;
        TListView *listHCFAConditions;
        TButton *buttonHCFADeleteCondition;
        TLabel *labelHCFAProceduresInstructions;
        TListView *listHCFAProcedures;
        TButton *buttonHCFADeleteProcedure;
        TEdit *editHCFAFrom;
        TButton *buttonHCFAAddProcedure;
        TEdit *editHCFATo;
        TEdit *editHCFAPOS;
        TEdit *editHCFATOS;
        TEdit *editHCFACode;
        TEdit *editHCFAMOD;
        TEdit *editHCFAConditionLink;
        TEdit *editHCFACharges;
        TEdit *editHCFAUnits;
        TEdit *editHCFAFamilyPlan;
        TEdit *editHCFAEMG;
        TEdit *editHCFACOB;
        TEdit *editHCFAReserved;
        TButton *buttonDeletePayment;
        TListView *listPayments;
        TEdit *editAmount;
        TMaskEdit *editAccount;
        TLabel *labelDollar1;
        TButton *buttonAddPayment;
        TLabel *labelPaymentInstructions;
        TLabel *labelChargesInstructions;
        TLabel *labelPayment;
        TLabel *labelDollar2;
        TLabel *labelAmountPayment;
        TLabel *labelOriginalCharges;
        TEdit *editOriginalCharges;
        TEdit *editResidualCharges;
        TLabel *labelResidualCharges;
        TLabel *labelControlNumber;
        TEdit *editControlNumber;
        TLabel *labelControlNumberInstructions;
        TTabSheet *sheetUB92;
        TLabel *labelUBConditionsInstructions;
        TListView *listUBConditions;
        TButton *buttonUBDeleteCondition;
        TEdit *editUBCondition;
        TButton *buttonUBAddCondition;
        TLabel *labelUBProceduresInstructions;
        TListView *listUBProcedures;
        TButton *buttonUBDeleteProcedure;
        TEdit *editUBDate;
        TEdit *editUBCode;
        TEdit *editUBCharges;
        TEdit *editUBUnits;
        TEdit *editUBDescription;
        TButton *buttonUBAddProcedure;
        TLabel *labelFinalInstructions;
        TLabel *labelPayTo;
        TLabel *labelWithTaxID;
        TLabel *labelSumOf;
        TLabel *labelDollar3;
        TLabel *labelFinalPaymentAmount;
        TLabel *labelActualTaxID;
        TLabel *labelActualTaxEntity;
        TCheckBox *checkDoNotCancelObligated;
        TStaticText *staticPersonLimits;
        TToolButton *sep2;
        TToolButton *buttonClose;
        TEdit *editHCFAConditionPosition;
        TLabel *labelHCFAProceduresFieldsOne;
        TLabel *labelHCFAProceduresFieldsTwo;
        TLabel *labelHCFAConditionsFields;
        TLabel *labelUBProceduresFields;
        TLabel *labelUBConditionsFields;
        TPanel *Panel1;
        TRadioButton *checkIsUB92;
        TRadioButton *checkIsHCFA;
        TPanel *Panel2;
        TRadioButton *checkPayProvider;
        TLabel *labelTaxProvider;
        TStaticText *staticTaxProvider;
        TLabel *labelProviderTaxID;
        TBitBtn *buttonTaxProviderSearch;
        TRadioButton *checkPayFacility;
        TLabel *labelTaxFacility;
        TStaticText *staticTaxFacility;
        TLabel *labelFacilityTaxID;
        TBitBtn *buttonTaxFacilitySearch;
        TRadioButton *checkPayGroup;
        TLabel *labelTaxGroup;
        TStaticText *staticTaxGroup;
        TLabel *labelGroupTaxID;
        TBitBtn *buttonTaxGroupSearch;
        TEdit *editHCFAPayment;
        TLabel *lblPaymentTotal;
        TEdit *editUBPayment;
        TLabel *lblDescription;
        TPanel *panelPaymentTotal;
        TEdit *editPaymentTotal;
        TLabel *lblUBPayTotal;
        TLabel *lblUBPaymentTotal;
        TLabel *lblHCFAPayTotal;
        TLabel *lblHCFAPaymentTotal;
        TLabel *lblDOS;
        TDateTimePicker *editCOBDOS;
        TStaticText *txtPerson;
        TLabel *lblName;
        void __fastcall buttonBackClick(TObject *Sender);
        void __fastcall buttonNextClick(TObject *Sender);
        void __fastcall buttonCancelClick(TObject *Sender);
        void __fastcall buttonCloseClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall buttonPatientSearchClick(TObject *Sender);
        void __fastcall buttonProviderSearchClick(TObject *Sender);
        void __fastcall staticPersonLimitsClick(TObject *Sender);
        void __fastcall buttonTaxProviderSearchClick(TObject *Sender);
        void __fastcall buttonTaxFacilitySearchClick(TObject *Sender);
        void __fastcall buttonTaxGroupSearchClick(TObject *Sender);
        void __fastcall buttonHCFADeleteConditionClick(TObject *Sender);
        void __fastcall buttonHCFAAddConditionClick(TObject *Sender);
        void __fastcall buttonHCFADeleteProcedureClick(TObject *Sender);
        void __fastcall buttonHCFAAddProcedureClick(TObject *Sender);
        void __fastcall buttonUBDeleteConditionClick(TObject *Sender);
        void __fastcall buttonUBAddConditionClick(TObject *Sender);
        void __fastcall buttonUBDeleteProcedureClick(TObject *Sender);
        void __fastcall buttonUBAddProcedureClick(TObject *Sender);
        void __fastcall buttonDeletePaymentClick(TObject *Sender);
        void __fastcall buttonAddPaymentClick(TObject *Sender);
        void __fastcall OnChangeCOBNumber(TObject *Sender);
        void __fastcall listServicesProvidedSelectItem(TObject *Sender,
          TListItem *Item, bool Selected);
        void __fastcall listReferringPhysiciansSelectItem(TObject *Sender,
          TListItem *Item, bool Selected);
        void __fastcall listHCFAConditionsSelectItem(TObject *Sender,
          TListItem *Item, bool Selected);
        void __fastcall listHCFAProceduresSelectItem(TObject *Sender,
          TListItem *Item, bool Selected);
        void __fastcall listUBConditionsSelectItem(TObject *Sender,
          TListItem *Item, bool Selected);
        void __fastcall listUBProceduresSelectItem(TObject *Sender,
          TListItem *Item, bool Selected);
        void __fastcall listPaymentsSelectItem(TObject *Sender,
          TListItem *Item, bool Selected);
        void __fastcall editHCFAFromKeyPress(TObject *Sender, char &Key);
private:	// User declarations
        void ResetFirstPage();
        void ResetSecondPage();
        void ResetThirdPage();
        void ResetFourthPage();
        void ResetFifthPage();
        void ResetSixthPage();
        void ResetSeventhPage();
        void ResetEighthPage();
        void ResetNinthPage();

        void GotoFirstPage();
        void GotoSecondPage();
        void GotoThirdPage();
        void GotoFourthPage();
        void GotoFifthPage();
        void GotoSixthPage();
        void GotoSeventhPage();
        void GotoEighthPage();
        void GotoNinthPage();

        classFilterObject services_filter;
        classFilterObject referrer_filter;
        classFilterObject insurance_filter;

        void Start();
        void Stop();
        void RefreshBudgetInfo();
        void ResetServices();
        void ResetInsurance();

        int services_request;
        int insurance_request;

        int acceptable_payments;

        bool AtlasScreen (int request_num);

        bool is_new_cob;
        bool is_hcfa;

        bool possible_dup_non_referal;        

        string cob_id;
        string patient_id;
        string provider_id;
        string service_id;
        string referring_id;

        string tax_provider_id;
        string tax_facility_id;
        string tax_group_id;
        string tax_actual_id;

        void AddInsurance();
        void EditInsurance();
        void AddServiceProvided();
        void EditServiceProvided();

        void SetHCFACondition(TListItem * based_on);
        void SetUBCondition(TListItem * based_on);
        void SetHCFAProcedure(TListItem * based_on);
        void SetUBProcedure(TListItem * based_on);

        void RedrawTaxProvider();
        void RedrawTaxFacility();
        void RedrawTaxGroup();

public:		// User declarations
        __fastcall TformSpecialNewProviderBill(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialNewProviderBill *formSpecialNewProviderBill;
//---------------------------------------------------------------------------
#endif
