//---------------------------------------------------------------------------

#ifndef codeSpecialNewVendorBillH
#define codeSpecialNewVendorBillH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Mask.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformSpecialNewVendorBill : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *buttonBack;
        TToolButton *buttonNext;
        TToolButton *buttonCancel;
        TPageControl *pageVendorWizard;
        TTabSheet *sheetVendor;
        TTabSheet *sheetPayment;
        TTabSheet *sheetFinal;
        TLabel *labelVendorInstructions;
        TLabel *labelSelectedVendor;
        TStaticText *staticVendor;
        TPanel *panelSelectArea;
        TStaticText *staticHeader;
        TLabel *labelPaymentInstructions;
        TListView *listPayments;
        TButton *buttonDeletePayment;
        TEdit *editAmount;
        TButton *buttonSavePayment;
        TMaskEdit *editAccount;
        TLabel *labelDollar1;
        TLabel *labelBudgeted;
        TLabel *labelExpenses;
        TLabel *labelRemaining;
        TLabel *labelAmountBudgeted;
        TLabel *labelDollar3;
        TLabel *labelDollar4;
        TLabel *labelDollar5;
        TLabel *labelAmountExpensed;
        TLabel *labelAmountRemaining;
        TLabel *labelPayment;
        TLabel *labelDollar2;
        TLabel *labelAmountPayment;
        TLabel *labelFinalInstructions;
        TLabel *labelFinalPayTo;
        TLabel *labelFinalWithTaxID;
        TLabel *labelFinalTaxID;
        TEdit *editInvoiceAmount;
        TLabel *labelInvoice;
        TLabel *labelReason;
        TComboBox *comboUser;
        TLabel *labelUserInstructions;
        TBitBtn *buttonSearchVendor;
        TToolButton *sep1;
        TLabel *labelAccountSummaryNumber;
        TLabel *labelTaxVendor;
        TLabel *labelVendorTaxID;
        TEdit *editReason;
        TEdit *editInvoiceNumber;
        TLabel *labelDollarInvoiceAmount;
        TToolButton *sep2;
        TToolButton *buttonClose;
        TLabel *labelCharges;
        TLabel *labelDollar6;
        TLabel *labelAmountCharges;
        TStaticText *staticFinalVendor;
        TStaticText *staticForAccountNumber;
        TRadioButton *radioUser;
        TRadioButton *radioGroup;
        TPopupMenu *popupGroups;
        TMenuItem *menuAddByGroups;
        TTabSheet *sheetEmpPayment;
        TCheckBox *cboEmpPay;
        TListView *listARPayments;
        TLabel *labelARPaymentInstructions;
        TButton *buttonDeleteARPayment;
        TButton *buttonSaveARPayment;
        TEdit *editARAmount;
        TLabel *Label2;
        TMaskEdit *editARAccount;
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label5;
        TLabel *Label6;
        TLabel *labelARAmountPayment;
        TLabel *labelARAmountCharges;
        TBitBtn *buttonSearchIndividual;
        TStaticText *staticIndividual;
        TLabel *labelEmpTaxID;
        TPanel *no_emp_pay_label_panel;
        TLabel *labelFinalSumOf;
        TLabel *labelDollarSumBeingPaid;
        TLabel *labelSumBeingCharged;
        TLabel *labelSumBeingPaid;
        TLabel *dollarSumBeingCharge;
        TLabel *labelFinalForInvoiceOf;
        TPanel *emp_pay_label_panel;
        TLabel *Label1;
        TLabel *Label7;
        TLabel *labelSumBeingChargedEmp;
        TLabel *labelSumBeingPaidNonEmp;
        TLabel *Label11;
        TLabel *Label10;
        TLabel *Label12;
        TLabel *Label13;
        TLabel *labelSumBeingPaidEmp;
        TCheckBox *cboDirectWithdrawal;
        TDateTimePicker *dateInvoiceDate;
        TLabel *labelInvoiceAmount;
        TLabel *labelInvoiceDate;
        TLabel *labelInvoiceInfoExtra;
        TLabel *Label8;
        TPanel *panelDeprecated;
        void __fastcall buttonBackClick(TObject *Sender);
        void __fastcall buttonNextClick(TObject *Sender);
        void __fastcall buttonCancelClick(TObject *Sender);
        void __fastcall buttonCloseClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall editAccountExit(TObject *Sender);
        void __fastcall buttonSearchVendorClick(TObject *Sender);
        void __fastcall buttonSavePaymentClick(TObject *Sender);
        void __fastcall buttonDeletePaymentClick(TObject *Sender);
        void __fastcall listPaymentsSelectItem(TObject *Sender, TListItem *Item, bool Selected);
        void __fastcall menuAddByGroupsClick(TObject *Sender);
        void __fastcall radioClick(TObject *Sender);
        void __fastcall buttonDeleteARPaymentClick(TObject *Sender);
        void __fastcall buttonSaveARPaymentClick(TObject *Sender);
        void __fastcall buttonSearchIndividualClick(TObject *Sender);
        void __fastcall listARPaymentsSelectItem(TObject *Sender,
          TListItem *Item, bool Selected);
private:	// User declarations
        void Start();
        void Stop();
        void ResetFirstPage();
        void ResetSecondPage();
        void ResetThirdPage();
        void ResetFourthPage();
        void GotoFirstPage();
        void GotoSecondPage();
        void GotoThirdPage();   
        void GotoFourthPage();
        void RefreshBudgetInfo();
        void RefreshARLableInfo();
        int  acceptable_payments;
        int  acceptable_payments_for_emp;
        string         pay_tax_id;
        // place to hold tax id after user clicks search to select individual and before the user adds it to the list
        string         current_individual_tax_id;
        // account id points to a map of amounts that points to tax_entity id's
        multimap<string, map<string, string> > individual_tax_id;
        int lastRadioChecked;
        bool emp_pay;
public:		// User declarations
        __fastcall TformSpecialNewVendorBill(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialNewVendorBill *formSpecialNewVendorBill;
//---------------------------------------------------------------------------
#endif
