//---------------------------------------------------------------------------

#ifndef codeSpecialObsExpectedRangesH
#define codeSpecialObsExpectedRangesH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformSpecialObsExpectedRanges : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *buttonClose;
        TToolButton *buttonUseless;
        TComboBox *comboGender;
        TComboBox *comboObsQuestionSet;
        TListView *listRanges;
        TLabel *Label1;
        TLabel *Label2;
        void __fastcall buttonCloseClick(TObject *Sender);
        void __fastcall comboObsQuestionSetChange(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
        classFilterObject ranges_filter;
        int ranges_request;
        void AtlasRefreshListView(int request_num, string matched_value);
        void EditQuestion();
        void AddQuestion();
public:		// User declarations
        __fastcall TformSpecialObsExpectedRanges(TComponent* Owner);
        static void Do(string gender_id, string obs_question_set_id);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialObsExpectedRanges *formSpecialObsExpectedRanges;
//---------------------------------------------------------------------------
#endif
