//---------------------------------------------------------------------------

#ifndef codeSpecialPermissionsH
#define codeSpecialPermissionsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <Menus.hpp>
#include <ImgList.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
struct user_permissions
{
  string id;
  string user_id;
  string table_name;
  string permission;
  string value;
};
//---------------------------------------------------------------------------
class TformSpecialPermissions : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnMakeAll;
        TPopupMenu *popupAddTable;
        TMenuItem *menuAddTable;
        TPopupMenu *dropdownPopup;
        TMenuItem *menuNone;
        TMenuItem *menuView;
        TMenuItem *menuViewUpdate;
        TMenuItem *menuAll;
        TImageList *imageList;
        TToolButton *btnSave;
        TToolButton *btnClose;
        TMenuItem *N2;
        TMenuItem *menuEnabled;
        TMenuItem *menuDisabled;
        TPanel *panel3;
        TListView *listUsers;
        TSplitter *splitterVertical;
        TPanel *panel2;
        TListView *listTablePermissions;
        TSplitter *splitterHorizontal;
        TListView *listSinglePermissions;
        TToolButton *ToolButton1;
        TToolButton *btnMakeLike;
        TToolButton *btnMakeInvalid;
        TToolButton *ToolButton4;
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnSaveClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall listTablePermissionsMouseMove(TObject *Sender,
          TShiftState Shift, int X, int Y);
        void __fastcall listTablePermissionsClick(TObject *Sender);
        void __fastcall menuAddTableClick(TObject *Sender);
        void __fastcall menuNoneClick(TObject *Sender);
        void __fastcall menuViewClick(TObject *Sender);
        void __fastcall menuViewUpdateClick(TObject *Sender);
        void __fastcall menuAllClick(TObject *Sender);
        void __fastcall menuDisabledClick(TObject *Sender);
        void __fastcall menuEnabledClick(TObject *Sender);
        void __fastcall listSinglePermissionsClick(TObject *Sender);
        void __fastcall btnMakeLikeClick(TObject *Sender);
        void __fastcall btnMakeInvalidClick(TObject *Sender);
        void __fastcall dropdownPopupPopup(TObject *Sender);
        void __fastcall listUsersSelectItem(TObject *Sender,
          TListItem *Item, bool Selected);
private:	// User declarations
//        TIBDataSet * dbDataSet;
        TIBTransaction * dbTransaction;
        void DisplayAllPermissions();
//        void DisplayAllUsers();
        void DownloadUserPermissions(string user_id);
        void DisplayUserPermissions(string user_id);
        void AddUser();
        void EditUser();
        bool AtlasRefresh(int request_num, string matched_value);        
//        vector<string> user_vec;
        classFilterObject user_filter;
        int user_request;
        vector<string> table_permissions_vec;
        vector<string> other_permissions_vec;
        vector<string> all_permissions_vec;
        string user_id;
        map<string, map<string, string> > permission_map;
        int x_pos;
        int possible_permissions_request;
public:		// User declarations
        __fastcall TformSpecialPermissions(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialPermissions *formSpecialPermissions;
//---------------------------------------------------------------------------
#endif
