//---------------------------------------------------------------------------

#ifndef codeSpecialPermissionsToUsersH
#define codeSpecialPermissionsToUsersH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ImgList.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <algorithm>
//---------------------------------------------------------------------------
class TformSpecialPermissionsToUsers : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnClose;
        TToolButton *btnSearch;
        TToolButton *btnUpdate;
        TToolButton *ToolButton3;
        TImageList *imageList;
        TPanel *panel3;
        TListView *listUsers;
        TSplitter *splitterVertical;
        TPanel *panel2;
        TListView *listSinglePermissions;
        TSplitter *splitterHorizontal;
        TListView *listTablePermissions;
        TPopupMenu *popupAddTable;
        TMenuItem *menuAddTable;
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnSearchClick(TObject *Sender);
        void __fastcall listTablePermissionsClick(TObject *Sender);
        void __fastcall listSinglePermissionsClick(TObject *Sender);
        void __fastcall listTablePermissionsMouseMove(TObject *Sender,
          TShiftState Shift, int X, int Y);
        void __fastcall btnUpdateClick(TObject *Sender);
        void __fastcall menuAddTableClick(TObject *Sender);
private:	// User declarations
        void DisplayAllPermissions();
        vector<string> table_permissions_vec;
        vector<string> other_permissions_vec;
        vector<string> all_permissions_vec;
        vector<string> user_vec;
        classFilterObject user_filter;
        set<string> to_check_id;
        int x_pos;
        int possible_permissions_request;
        int user_request;
        bool CheckEachRecord (map<string, string> & row_data);
        void AtlasRefresh(int request_num, string matched_value);
        void AddUser();
        void EditUser();
        string BuildPermissionsQuery(int);
public:		// User declarations
        __fastcall TformSpecialPermissionsToUsers(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialPermissionsToUsers *formSpecialPermissionsToUsers;
//---------------------------------------------------------------------------
#endif
