//---------------------------------------------------------------------------

#ifndef codeSpecialPreparePurchaseReqsH
#define codeSpecialPreparePurchaseReqsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformSpecialPreparePurchaseReqs : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *buttonBack;
        TToolButton *buttonNext;
        TPanel *panelSelectArea;
        TStaticText *staticHeader;
        TPageControl *pagePreparePurchaseReqs;
        TTabSheet *sheetSelectTaxEntity;
        TToolButton *sep1;
        TToolButton *buttonCancel;
        TTabSheet *sheetSelectBills;
        TTabSheet *sheetFinal;
        TLabel *labelInitialInstructions;
        TListView *listTaxEntities;
        TLabel *labelBillSelectionInstructions;
        TListView *listBills;
        TLabel *labelPRNumberInstructions;
        TComboBox *comboTaxEntityType;
        TLabel *labelSearchParamInstructions;
        TLabel *labelFinalInstructions;
        TToolButton *buttonClose;
        TToolButton *sep2;
        TLabel *labelPRDateInstructions;
        TDateTimePicker *datePRDate;
        TPanel *prPanel;
        TEdit *editPRNumber;
        void __fastcall buttonBackClick(TObject *Sender);
        void __fastcall buttonNextClick(TObject *Sender);
        void __fastcall buttonCancelClick(TObject *Sender);
        void __fastcall buttonCloseClick(TObject *Sender);
        void __fastcall comboTaxEntityTypeChange(TObject *Sender);
        void __fastcall listTaxEntitiesSelectItem(TObject *Sender,
          TListItem *Item, bool Selected);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
        void ResetFirstPage();
        void ResetSecondPage();
        void ResetThirdPage();
        void GotoFirstPage();
        void GotoSecondPage();
        void GotoThirdPage();
        void Start();
        void Stop();
        classFilterObject tax_entities_filter;
        int tax_filter_request;
        classFilterObject bills_filter;
        int bill_filter_request;
        string first_current_tax_id;
        string second_current_tax_id;
        vector<string> second_bills_to_pay;
        vector<string> third_bills_to_pay;
        string auto_gen_PR_number;
        void EditTaxEntity();
        void EditBill();
        bool AtlasScreen (int req_num, string matched_value);
public:		// User declarations
        __fastcall TformSpecialPreparePurchaseReqs(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialPreparePurchaseReqs *formSpecialPreparePurchaseReqs;
//---------------------------------------------------------------------------
#endif
