//---------------------------------------------------------------------------

#ifndef codeSpecialQueryH
#define codeSpecialQueryH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeActionContainer.h"
#include "codeQueryContainer.h"
//---------------------------------------------------------------------------
class TformSpecialQuery : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TPanel *panelAll;
        TSplitter *splitMiddle;
        TToolButton *buttonRun;
        TToolButton *buttonClose;
        TPanel *panelQueryOuter;
        TPanel *panelActionsOuter;
        TLabel *_labelSource;
        TLabel *_labelActions;
        TPanel *panelQuery;
        TPanel *panelActionsInner;
        TPanel *panelActions;
        TToolButton *buttonDescribe;
        TPanel *panelStatus;
        TLabel *labelStats;
        TRichEdit *editLog;
        TPanel *panelSpacer;
        TToolButton *sepB;
        TToolButton *sepA;
        TToolButton *buttonSaveAll;
        TToolButton *buttonLoadAll;
        void __fastcall buttonCloseClick(TObject *Sender);
        void __fastcall buttonRunClick(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
        void __fastcall buttonDescribeClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall buttonSaveAllClick(TObject *Sender);
        void __fastcall buttonLoadAllClick(TObject *Sender);
private:	// User declarations
        string FSourceTableName;
        TForm * floating_log_window;
        TframeActionContainer* action_container;
        TframeQueryContainer*  query_container;
        query_context *        context;
public:		// User declarations
        __fastcall TformSpecialQuery(TComponent* Owner, string source_table_name);
        __fastcall ~TformSpecialQuery();
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialQuery *formSpecialQuery;
//---------------------------------------------------------------------------
#endif
