//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "codeSpecialSelectListview.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "codeSpecialListview"
#pragma resource "*.dfm"
TformSpecialSelectListview *formSpecialSelectListview;
//---------------------------------------------------------------------------
__fastcall TformSpecialSelectListview::TformSpecialSelectListview(TComponent* Owner, string * answer)
        : TformSpecialListview(Owner)
{
 FAnswer = answer;
 buttonSelect->Left = 4; // re-org, 'cause ... dfm. stupid.
}
//---------------------------------------------------------------------------
void __fastcall TformSpecialSelectListview::buttonSelectClick(TObject *Sender)
{
 vector<string> t = filter_stuff.GetMultiID();
 if (t.empty())
  return;
 if (FAnswer)
  *FAnswer = t[0];
 Close();
}
//---------------------------------------------------------------------------
void TformSpecialSelectListview::Execute (TIBTransaction * dbTransaction, string sql_statement)
{
 if (dbTransaction)
  filter_stuff.SetTransaction(dbTransaction);
 filter_stuff.SetSQLStatement(sql_statement);
 filter_stuff.ForceRefreshDataSet();
 this->Caption = string("Listview - " + IntToString(filter_stuff.GetResultSize()) + " entries").c_str();

 listStuff->SetFocus();
 if(listStuff->Items->Count > 0 && listStuff->SelCount == 0)
   listStuff->Items->Item[0]->Selected = true; // not that it really matters, this list ain't randomly refreshing.

 // don't show! let someone else do that. we want them to call ShowTaskModal(), actually. but don't call Show() here. nor the other thing. (need to do things in-between, plus, we'd -like- a form pointer if possible. and ... stuff.)
}
//---------------------------------------------------------------------------
void __fastcall TformSpecialSelectListview::buttonCloseClick(TObject *Sender)
{
 if (FAnswer)
  *FAnswer = "";
 Close();
}
//---------------------------------------------------------------------------
void __fastcall TformSpecialSelectListview::FormShortCut(TWMKey &Msg,
      bool &Handled)
{
 if((Msg.CharCode == VK_RETURN) && (listStuff->Focused()))
 {
  buttonSelectClick(buttonSelect);
  Handled = true;
 }
 TformSpecialGeneric::FormShortCut(Msg, Handled);
}
//---------------------------------------------------------------------------

