//---------------------------------------------------------------------------

#ifndef codeSpecialSettingsH
#define codeSpecialSettingsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <Mask.hpp>
#include <ImgList.hpp>
#include <Buttons.hpp>
#include "codeFrameTreeDropDown.h"
typedef void (__closure *preferences_changed_closure)();
//---------------------------------------------------------------------------
class TformSpecialSettings : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TColorDialog *linkColorDialog;
        TToolButton *btnSave;
        TToolButton *btnClose;
        TColorDialog *barColorDialog;
        TGroupBox *groupColorOptions;
        TLabel *lblLink;
        TLabel *lblSample;
        TLabel *lblTitleColor;
        TPanel *panelTitleBar;
        TLabel *lblSampleText;
        TGroupBox *groupBoolOptions;
        TCheckBox *checkSplash;
        TCheckBox *checkReminders;
        TCheckBox *checkTaskbar;
        TCheckBox *checkChat;
        TCheckBox *checkHints;
        TCheckBox *checkIcons;
        TCheckBox *checkAutosizeColumns;
        TCheckBox *checkAutoOpenFavorites;
        TCheckBox *checkAutoOpenPageList;
        TCheckBox *checkAutoOpenHelp;
        TCheckBox *checkAutoUnlockRecords;
        TBevel *bevelBilled;
        TLabel *_labelBilledTo;
        TGroupBox *groupAccounting;
        TEdit *maskDefaultAccount;
        TLabel *_labelDefaultAccount;
        TGroupBox *groupQuick;
        TTimer *timerShowTree;
        TListView *listQuickMenus;
        TButton *buttonMoveUp;
        TButton *buttonMoveDown;
        TButton *buttonAdd;
        TButton *buttonRemove;
        TframeTreeDropDown *treedropQuickMenus;
        TButton *buttonClear;
        TGroupBox *groupAdmin;
        TCheckBox *checkGlass;
        TCheckBox *checkPRPrint;
        void __fastcall lblSampleClick(TObject *Sender);
        void __fastcall panelTitleBarClick(TObject *Sender);
        void __fastcall btnSaveClick(TObject *Sender);
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall timerShowTreeTimer(TObject *Sender);
        void __fastcall buttonAddClick(TObject *Sender);
        void __fastcall buttonRemoveClick(TObject *Sender);
        void __fastcall buttonMoveUpClick(TObject *Sender);
        void __fastcall buttonMoveDownClick(TObject *Sender);
        void __fastcall buttonClearClick(TObject *Sender);
private:	// User declarations
        TColor temp_link_color;
        TColor temp_bar_color;

        // quick-menus-related
        vector<string> original_menu_object_names;
        void RecurseMenuItem(TMenuItem *menu_item, TTreeNode *tree_node, unsigned int & k);
public:		// User declarations
        __fastcall TformSpecialSettings(TComponent* Owner);
        static preferences_changed_closure preferences_changed;
        static TMainMenu* prometheus_menu;
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialSettings *formSpecialSettings;
//---------------------------------------------------------------------------
#endif
