//---------------------------------------------------------------------------
#ifndef codeSpecialTerminateInsurancePolicyH
#define codeSpecialTerminateInsurancePolicyH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSpecialTerminateInsurancePolicy : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TPanel *panelTermination;
        TToolButton *btnSave;
        TToolButton *btnCancel;
        TPanel *panelInstructions;
        TPanel *panelTop;
        TLabel *lblDynamic2;
        TLabel *Label3;
        TRubberContainer *rubberCoverages;
        TListView *listCoverages;
        TPanel *panelTopPadding;
        TPanel *panelTopInfo;
        TLabel *lblDynamic1;
        TPanel *panelTopCompany;
        TStaticText *txtCompany;
        TPanel *panelBottomQuestionAndPadding;
        TLabel *Label5;
        TPanel *panelBottomWarning;
        TLabel *lblDynamic3;
        TPanel *panelBottomDate;
        TLabel *lblTerminated;
        TDateTimePicker *dateTerminated;
        void __fastcall btnCancelClick(TObject *Sender);
        void __fastcall btnSaveClick(TObject *Sender);
        void __fastcall FormResize(TObject *Sender);
        void __fastcall FormCanResize(TObject *Sender, int &NewWidth,
          int &NewHeight, bool &Resize);
private:	// User declarations
        vector<map<string, string> > people_vecmap;
        string policy_id;
        classFilterObject coverage_filter;
        int coverage_request;
        void EditCoverage();
        bool AtlasRefreshListViews(int request_num, string matched_value);
public:		// User declarations
        __fastcall TformSpecialTerminateInsurancePolicy(TComponent* Owner, string id, const set<string> &coverage_ids);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialTerminateInsurancePolicy *formSpecialTerminateInsurancePolicy;
//---------------------------------------------------------------------------
#endif
