//---------------------------------------------------------------------------

#ifndef codeSpecialTransactionDetailsH
#define codeSpecialTransactionDetailsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialListview.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformSpecialTransactionDetails : public TformSpecialListview
{
__published:	// IDE-managed Components
private:	// User declarations
        TIBTransaction *dbTransaction; // database transaction
        string parent_record_id;       // id of parent record that opened this form
        string refresh_foreign_key;    // foreign key on which to register Atlash Refresh handling
        int    transactions_request;   // Atlas request ID

        void AtlasRefreshListView(int request_num, string matched_value);
protected:
        virtual void Execute(TIBTransaction* dbTransaction, string sql_statement);
public:		// User declarations
        __fastcall TformSpecialTransactionDetails(TComponent* Owner, const string &p_parent_record_id, const string &p_refresh_foreign_key);
        __fastcall virtual ~TformSpecialTransactionDetails();
        virtual void Execute(string sql_statement);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialTransactionDetails *formSpecialTransactionDetails;
//---------------------------------------------------------------------------
#endif
