//---------------------------------------------------------------------------

#ifndef codeSpecialUploadVersionH
#define codeSpecialUploadVersionH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <Db.hpp>
#include <IBDatabase.hpp>
//---------------------------------------------------------------------------
class TformSpecialUploadVersion : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TLabel *lblFileName;
        TEdit *editFileName;
        TLabel *lblVersion;
        TEdit *editVersion;
        TLabel *lblCurrentLabel;
        TLabel *lblCurrent;
        TLabel *lblChanges;
        TRichEdit *editChanges;
        TToolButton *btnUpload;
        TToolButton *btnClose;
        TOpenDialog *openDialog;
        TLabel *lblByteExe;
        TGroupBox *groupDatabases;
        TIBDatabase *GdbUploadDatabase;
        TScrollBox *scrollDatabases;
        TCheckBox *checkPrimary;
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall editFileNameDblClick(TObject *Sender);
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnUploadClick(TObject *Sender);
private:	// User declarations
        TIBDatabase * dbUploadDatabase;
        TIBTransaction * dbUploadTransaction;
        TIBDataSet * dbUploadDataSet;
        TIBSQL * dbUploadSQL;
        string file_name;
        vector<pair<string, TCheckBox*> > upload_databases;
        void UpdateDatabase(string database);
        bool LogIt(AnsiString log_name, AnsiString message);
public:		// User declarations
        __fastcall TformSpecialUploadVersion(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialUploadVersion *formSpecialUploadVersion;
//---------------------------------------------------------------------------
#endif
