//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "codeSpecialViewCode.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "codeSpecialGeneric"
#pragma resource "*.dfm"
TformSpecialViewCode *formSpecialViewCode;
//---------------------------------------------------------------------------
__fastcall TformSpecialViewCode::TformSpecialViewCode(TComponent* Owner, string id)
        : TformSpecialGeneric(Owner)
{
  // create database objects to be used on form
  TIBTransaction * dbTransaction = new TIBTransaction(NULL);
  TIBDataSet * dbDataSet = new TIBDataSet(NULL);
  try
  {
    // set up the objects... the database pointer is a global from the main form
    StdTransaction(dbTransaction, dbDatabase);
    dbDataSet->Database = dbDatabase;
    dbDataSet->Transaction = dbTransaction;
    dbDataSet->UniDirectional = false;

    string sql = "select code_types.item code_type, codes.code, codes.description "
                 "from codes, code_types "
                 "where codes.code_id = code_types.id and "
                 "codes.id = " + id;

    dbDataSet->SelectSQL->Add(sql.c_str());
    dbDataSet->Open();
    dbDataSet->First();
    if (! dbDataSet->Eof)
    {
      cboCode->Text = PrettyString(dbDataSet->FieldByName("code_type")->AsString.c_str()).c_str();
      editCode->Text = dbDataSet->FieldByName("code")->AsString.c_str();
      editDescription->Text = SentenceString(dbDataSet->FieldByName("description")->AsString.c_str()).c_str();
    }
    dbDataSet->Close();
    dbTransaction->Commit();
  }
  catch(...)
  {
    if (dbTransaction->Active)
      dbTransaction->Rollback();
  }
  delete dbDataSet;
  delete dbTransaction;
}
//---------------------------------------------------------------------------
void __fastcall TformSpecialViewCode::btnCloseClick(TObject *Sender)
{
  Close();        
}
//---------------------------------------------------------------------------
