//---------------------------------------------------------------------------

#ifndef codeWizardAccountAdjustmentsH
#define codeWizardAccountAdjustmentsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeWizardGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeSpecialTransactionEntry.h"
#include <ImgList.hpp>

//---------------------------------------------------------------------------
class TformWizardAccountAdjustments : public TformWizardGeneric
{
__published:	// IDE-managed Components
        TTabSheet *sheetTransactions;
        TGroupBox *groupTransactions;
        TLabel *_labelSplitInformationBy;
        TLabel *_labelTransactionNote;
        TListView *listAfter;
        TButton *buttonChange;
        TCheckBox *checkAfterShowAccount;
        TEdit *editTransactionNote;
        TLabel *Label1;
        TDateTimePicker *dateEffectiveDate;
        void __fastcall checkAfterShowAccountClick(TObject *Sender);
        void __fastcall buttonChangeClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
        edit_listview edit_after;
        transaction_summary before_changes;
        transaction_summary after_changes;
        bool IsValidPage (int page_index);           // true/false: this page is without errors
         int WhereNext   (int page_index);           // page_index of the next page to visit, based on current page number
        bool ProcessPage (int page_index);           // actually go from A to B, ... no reset, no messing with other stuff?
        void SetupPage   (int page_index);           // make this page ready to be shown based on other data
        bool FinishWizard ();                        // actually save data here, rather than in ProcessPage()
        void PageLockStatus (int page_index, bool locked);
public:		// User declarations
        __fastcall TformWizardAccountAdjustments(TComponent* Owner);
        static void Do();
};
//---------------------------------------------------------------------------
extern PACKAGE TformWizardAccountAdjustments *formWizardAccountAdjustments;
//---------------------------------------------------------------------------
#endif
