inherited formWizardAccountCloseEquity: TformWizardAccountCloseEquity
  Left = 295
  Top = 223
  Height = 485
  Caption = 'Close Accounts into Equity'
  Constraints.MaxHeight = 485
  Constraints.MinHeight = 485
  PixelsPerInch = 96
  TextHeight = 13
  inherited toolsStandard: TToolBar
    Top = 433
  end
  inherited scrollStandard: TScrollBox
    Height = 433
    inherited pageStandard: TPageControl
      Height = 407
      ActivePage = sheetA
      object sheetA: TTabSheet
        Caption = 'Select account categories to close'
        TabVisible = False
        object groupAccountPeriod: TGroupBox
          Left = 8
          Top = 8
          Width = 369
          Height = 97
          Anchors = [akLeft, akTop, akRight]
          Caption = 'Budgetting period selection'
          TabOrder = 0
          object panelYearlyBudgets: TPanel
            Left = 16
            Top = 56
            Width = 345
            Height = 33
            BevelOuter = bvNone
            TabOrder = 2
            object labelYearlyDates: TLabel
              Left = 8
              Top = 8
              Width = 141
              Height = 13
              Caption = 'Period beginning on the 1st of'
            end
            object comboYearlyCycle: TComboBox
              Left = 160
              Top = 8
              Width = 145
              Height = 21
              ItemHeight = 13
              TabOrder = 0
              Text = 'January'
            end
          end
          object radioYearlyBudgets: TRadioButton
            Left = 8
            Top = 40
            Width = 345
            Height = 17
            Caption = 'Close yearly accounts, with ...'
            Checked = True
            TabOrder = 1
            TabStop = True
            OnClick = radioPeriodBudgetsClick
          end
          object radioNonYearlyBudgets: TRadioButton
            Left = 8
            Top = 16
            Width = 345
            Height = 17
            Caption = 'Close non-yearly accounts'
            TabOrder = 0
            OnClick = radioPeriodBudgetsClick
          end
        end
        object groupAccountType: TGroupBox
          Left = 8
          Top = 112
          Width = 369
          Height = 89
          Anchors = [akLeft, akTop, akRight]
          Caption = 'Account type selection'
          TabOrder = 1
          object checkClosedBudgets: TCheckBox
            Left = 8
            Top = 64
            Width = 353
            Height = 17
            Caption = 
              'Include closed accounts (that is, not normally allowing transact' +
              'ions)'
            TabOrder = 2
          end
          object radioExpenseBudgets: TRadioButton
            Left = 8
            Top = 16
            Width = 177
            Height = 17
            Caption = 'Expense accounts'
            Checked = True
            TabOrder = 0
            TabStop = True
          end
          object radioRevenueBudgets: TRadioButton
            Left = 8
            Top = 40
            Width = 177
            Height = 17
            Caption = 'Revenue accounts'
            TabOrder = 1
          end
        end
        object groupActionDate: TGroupBox
          Left = 8
          Top = 208
          Width = 369
          Height = 185
          Caption = 'Effective date'
          TabOrder = 2
          object labelAboutEffectiveDate: TLabel
            Left = 8
            Top = 16
            Width = 353
            Height = 57
            AutoSize = False
            Caption = 
              'All expenses or revenues that were effective before or on the da' +
              'te specified below will be moved to equity on that same date. Th' +
              'is process may be repeated during the year to close previous yea' +
              'rs'#39' expenses or revenues as they come in, but not recommended.'
            WordWrap = True
          end
          object labelEffectiveDate: TLabel
            Left = 24
            Top = 128
            Width = 142
            Height = 13
            Caption = 'Close accounts to equity as of'
          end
          object labelRecommendedEffective: TLabel
            Left = 8
            Top = 80
            Width = 353
            Height = 41
            AutoSize = False
            Caption = 
              'The recommended effective date is always one day before the next' +
              ' renewal date. In most cases, that will be December 31st of the ' +
              'previous year. The renewal date will become the new minimum fisc' +
              'al date.'
            WordWrap = True
          end
          object labelCreationDate: TLabel
            Left = 24
            Top = 152
            Width = 149
            Height = 13
            Caption = 'Ignore transactions posted after'
          end
          object dateActionEffective: TDateTimePicker
            Left = 176
            Top = 128
            Width = 145
            Height = 21
            CalAlignment = dtaLeft
            Date = 37621.8693215046
            Time = 37621.8693215046
            DateFormat = dfShort
            DateMode = dmComboBox
            Kind = dtkDate
            ParseInput = False
            TabOrder = 0
          end
          object dateLastTransaction: TDateTimePicker
            Left = 176
            Top = 152
            Width = 145
            Height = 21
            CalAlignment = dtaLeft
            Date = 37652.8693215046
            Time = 37652.8693215046
            DateFormat = dfShort
            DateMode = dmComboBox
            Kind = dtkDate
            ParseInput = False
            TabOrder = 1
          end
        end
      end
      object sheetB: TTabSheet
        Caption = 'Select specific accounts to close'
        ImageIndex = 1
        TabVisible = False
        object groupAccounts: TGroupBox
          Left = 8
          Top = 8
          Width = 369
          Height = 385
          Anchors = [akLeft, akTop, akRight, akBottom]
          Caption = 'Accounts to close'
          TabOrder = 0
          object listAccounts: TListView
            Left = 8
            Top = 16
            Width = 353
            Height = 361
            Anchors = [akLeft, akTop, akRight, akBottom]
            Checkboxes = True
            Columns = <>
            ReadOnly = True
            RowSelect = True
            TabOrder = 0
            OnChanging = listAccountsChanging
          end
        end
      end
    end
  end
end
