//---------------------------------------------------------------------------

#ifndef codeWizardAccountCloseEquityH
#define codeWizardAccountCloseEquityH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeWizardGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <ImgList.hpp>
//---------------------------------------------------------------------------
class TformWizardAccountCloseEquity : public TformWizardGeneric
{
__published:	// IDE-managed Components
        TTabSheet *sheetA;
        TGroupBox *groupAccountPeriod;
        TPanel *panelYearlyBudgets;
        TLabel *labelYearlyDates;
        TComboBox *comboYearlyCycle;
        TRadioButton *radioYearlyBudgets;
        TRadioButton *radioNonYearlyBudgets;
        TGroupBox *groupAccountType;
        TCheckBox *checkClosedBudgets;
        TRadioButton *radioExpenseBudgets;
        TRadioButton *radioRevenueBudgets;
        TGroupBox *groupActionDate;
        TLabel *labelAboutEffectiveDate;
        TLabel *labelEffectiveDate;
        TDateTimePicker *dateActionEffective;
        TLabel *labelRecommendedEffective;
        TDateTimePicker *dateLastTransaction;
        TLabel *labelCreationDate;
        TTabSheet *sheetB;
        TGroupBox *groupAccounts;
        TListView *listAccounts;
        void __fastcall radioPeriodBudgetsClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall listAccountsChanging(TObject *Sender,
          TListItem *Item, TItemChange Change, bool &AllowChange);
private:	// User declarations
        vector<string> selected_accounts;
        Pdate           default_effective_date;
        classFilterObject filter_accounts;
        bool virtual IsValidPage (int page_index);           // true/false: this page is without errors
         int virtual WhereNext   (int page_index);           // page_index of the next page to visit, based on current page number
        bool virtual ProcessPage (int page_index);           // actually go from A to B, ... no reset, no messing with other stuff?
        void virtual SetupPage   (int page_index);           // make this page ready to be shown based on other data
        bool virtual FinishWizard ();                        // actually save data here, rather than in ProcessPage()
        void PageLockStatus (int page_index, bool locked);
public:		// User declarations
        __fastcall TformWizardAccountCloseEquity(TComponent* Owner);
        static void Do();
};
//---------------------------------------------------------------------------
extern PACKAGE TformWizardAccountCloseEquity *formWizardAccountCloseEquity;
//---------------------------------------------------------------------------
#endif
