//---------------------------------------------------------------------------

#ifndef codeWizardNewBudgetH
#define codeWizardNewBudgetH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeWizardGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <ImgList.hpp>
//---------------------------------------------------------------------------
class TformWizardNewBudgetEntry : public TformWizardGeneric
{
__published:	// IDE-managed Components
        TTabSheet *sheetA;
        TStaticText *staticBudgetModInstead;
        TTabSheet *sheetB;
        TListView *listAccountBudgets;
        TGroupBox *groupBudgetChange;
        TRadioButton *radioChangeNone;
        TRadioButton *radioChangeAdd;
        TRadioButton *radioChangeReplace;
        TButton *buttonSaveBudgetChange;
        TPanel *panelBudgetAdd;
        TLabel *labelAddAsOf;
        TDateTimePicker *dateAddAsOf;
        TLabel *labelAddDollar;
        TEdit *editAddAmount;
        TPanel *panelBudgetReplace;
        TLabel *labelReplaceAsOf;
        TDateTimePicker *dateReplaceAsOf;
        TLabel *labelReplaceDollar;
        TEdit *editReplaceAmount;
        TGroupBox *groupAccountType;
        TCheckBox *checkClosedBudgets;
        TRadioButton *radioExpenseBudgets;
        TRadioButton *radioRevenueBudgets;
        TGroupBox *groupAccountPeriod;
        TPanel *panelYearlyBudgets;
        TLabel *labelYearlyDates;
        TComboBox *comboYearlyCycle;
        TRadioButton *radioYearlyBudgets;
        TRadioButton *radioNonYearlyBudgets;
        TEdit *editNote;
        TLabel *_labelNote;
        void __fastcall radioBudgetActionClick(TObject *Sender);
        void __fastcall radioBudgetChangeClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall buttonSaveBudgetChangeClick(TObject *Sender);
        void __fastcall staticBudgetModInsteadClick(TObject *Sender);
        void __fastcall editAmountKeyPress(TObject *Sender, char &Key);
        void __fastcall listAccountBudgetsChanging(TObject *Sender,
          TListItem *Item, TItemChange Change, bool &AllowChange);
private:	// User declarations
        edit_listview * budget_listview;
        Pdate           default_effective_date;
        bool virtual IsValidPage (int page_index);           // true/false: this page is without errors
         int virtual WhereNext   (int page_index);           // page_index of the next page to visit, based on current page number
        bool virtual ProcessPage (int page_index);           // actually go from A to B, ... no reset, no messing with other stuff?
        void virtual SetupPage   (int page_index);           // make this page ready to be shown based on other data
        bool virtual FinishWizard ();                        // actually save data here, rather than in ProcessPage()
        void PageLockStatus (int page_index, bool locked);
        void accountselected     ();
        void accountzoomed       ();
public:		// User declarations
        __fastcall TformWizardNewBudgetEntry(TComponent* Owner);
        static void Do();
};
//---------------------------------------------------------------------------
extern PACKAGE TformWizardNewBudgetEntry *formWizardNewBudgetEntry;
//---------------------------------------------------------------------------
#endif
