//---------------------------------------------------------------------------

#ifndef codeWizardNewCheckH
#define codeWizardNewCheckH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeWizardGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <ImgList.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformWizardNewCheck : public TformWizardGeneric
{
__published:	// IDE-managed Components
        TTabSheet *sheetTaxEntity;
        TTabSheet *sheetPurchaseReqs;
        TGroupBox *groupTaxEntity;
        TListView *listTaxEntities;
        TGroupBox *groupPurchaseRequests;
        TGroupBox *groupPurchaseReq;
        TLabel *labelCheckNumber;
        TLabel *labelCheckSent;
        TEdit *editCheckNumber;
        TDateTimePicker *dateCheckDate;
        TRubberContainer *rubberPurchaseReqs;
        TListView *listPurchaseReqs;
        TGroupBox *groupTaxEntityInfo;
        TLabel *lblNavisionIDLabel;
        TLabel *lblNavisionID;
        TLabel *lblTaxEntityID;
        TLabel *lblTaxEntityIDLabel;
        TEdit *editNavisionID;
        TEdit *editTaxEntityID;
        void __fastcall listTaxEntitiesChanging(TObject *Sender,
          TListItem *Item, TItemChange Change, bool &AllowChange);
        void __fastcall listPurchaseReqsChanging(TObject *Sender,
          TListItem *Item, TItemChange Change, bool &AllowChange);
private:	// User declarations
        classFilterObject tax_entities_filter;
        classFilterObject pr_filter;

        string chosen_tax_entity_id;
        vector<string> chosen_pr_id;
        Pdate chosen_date;
        string chosen_number;
        //string existing_finance_id;
        //string chosen_finance_id;
        string existing_tax_id;
        string chosen_tax_id;

        int tax_request_any;
        int tx_request_any;
        int pr_request_any;

        int tax_request_specific;
        int tx_request_specific;
        int pr_request_specific;

        void EditTaxEntity();
        void EditPurchaseReq();
        void AtlasScreen (int request_num, string matched_value);
protected:
        bool IsValidPage (int page_index);
         int WhereNext   (int page_index);
        bool ProcessPage (int page_index);
        void SetupPage   (int page_index);
        bool FinishWizard ();                        
        void PageLockStatus (int page_index, bool locked);
public:		// User declarations
        __fastcall TformWizardNewCheck(TComponent* Owner);
        static void Do();
};
//---------------------------------------------------------------------------
extern PACKAGE TformWizardNewCheck *formWizardNewCheck;
//---------------------------------------------------------------------------
#endif
