//---------------------------------------------------------------------------

#ifndef codeWizardNewReferralH
#define codeWizardNewReferralH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeWizardGeneric.h"
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformWizardNewReferral : public TformWizardGeneric
{
__published:	// IDE-managed Components
        TTabSheet *sheetBeginPage;
        TRadioGroup *radioGroupType;
        TTabSheet *sheetPersonVisit;
        TStaticText *txtPerson;
        TLabel *lblChoosePerson;
        TBitBtn *btnPersonSearch;
        TBevel *Bevel1;
        TLabel *lblOr;
        TLabel *Label1;
        TStaticText *txtVisit;
        TBitBtn *btnVisitSearch;
        void __fastcall btnPersonSearchClick(TObject *Sender);
        void __fastcall btnVisitSearchClick(TObject *Sender);
private:	// User declarations
        int    chosen_referral_type;
        string chosen_person_id;
        string chosen_visit_id;
        bool IsValidPage(int page_index);
        bool ProcessPage(int page_index);
        void SetupPage(int page_index);
        void PageLockStatus(int page_index, bool locked);
        bool FinishWizard();
public:		// User declarations
        __fastcall TformWizardNewReferral(TComponent* Owner);

        static void Do();
};
//---------------------------------------------------------------------------
extern PACKAGE TformWizardNewReferral *formWizardNewReferral;
//---------------------------------------------------------------------------
#endif
