//---------------------------------------------------------------------------

#ifndef codeRecordDenialDOSH
#define codeRecordDenialDOSH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformRecordDenialDOS : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblDenialLetter;
        TLabel *lblDOS;
        TLabel *lblDOS2;
        TLabel *lblBilledAmount;
        TEdit *editBilledAmount;
        TDateTimePicker *dateEnd;
        TDateTimePicker *dateBegin;
        TStaticText *txtLetter;
        TEdit *editPatient;
        TLabel *lblPatient;
        TLabel *lblPayableAmount;
        TEdit *editPayableAmount;
        void __fastcall editBilledAmountExit(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
private:	// User declarations
        string last_billed_amount;
        string oldLetterInfoText;
public:		// User declarations
        __fastcall TformRecordDenialDOS(TComponent* Owner, map<string,string> p_parameters);
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenLock();
        bool ScreenUnlock();
        bool IsValidOnScreen();
        bool BeforeSave();
        bool AfterSave();
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordDenialDOS *formRecordDenialDOS;
//---------------------------------------------------------------------------
#endif
