//---------------------------------------------------------------------------

#ifndef codeRecordParticipationsBehH
#define codeRecordParticipationsBehH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordParticipationsBeh : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblNameLabel;
        TLabel *lblEventLabel;
        TBitBtn *btnPersonSearch;
        TBitBtn *btnEventSearch;
        TStaticText *txtPerson;
        TStaticText *txtEvent;
        void __fastcall btnPersonSearchClick(TObject *Sender);
        void __fastcall btnEventSearchClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TformRecordParticipationsBeh(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        bool CheckForUselessRecord();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordParticipationsBeh *formRecordParticipationsBeh;
//---------------------------------------------------------------------------
#endif
