//---------------------------------------------------------------------------

#ifndef launchDiabEventReportH
#define launchDiabEventReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformLaunchDiabEventReport : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnRun;
        TToolButton *btnClose;
        TLabel *lblBegin;
        TDateTimePicker *dateBegin;
        TDateTimePicker *dateEnd;
        TLabel *lblEndDate;
        TRubberContainer *rubberEvents;
        TListView *listEvents;
        TLabel *lblForEvents;
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnRunClick(TObject *Sender);
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
private:	// User declarations
        classFilterObject event_filter;
public:		// User declarations
        __fastcall TformLaunchDiabEventReport(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchDiabEventReport *formLaunchDiabEventReport;
//---------------------------------------------------------------------------
#endif
