//---------------------------------------------------------------------------

#ifndef reportDiabClientEventH
#define reportDiabClientEventH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportDiabClientEvent : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *eventReport;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRBand *pageHeaderBand;
        TQRSysData *sysDateTime;
        TQRSysData *sysPageNumber;
        TQRBand *columnHeaderBand;
        TQRLabel *lblDate;
        TQRBand *detailBand;
        TQRDBText *txtDate;
        TQRBand *summaryBand;
        TQRLabel *lblTotal;
        TQRSysData *sysCount;
        TQRLabel *lblEventName;
        TQRLabel *lblEventType;
        TQRLabel *lblEventLocation;
        TQRDBText *txtEventName;
        TQRDBText *txtEventType;
        TQRDBText *txtEventLocation;
        TQRBand *pageFooterBand;
        TQRLabel *lblUser;
        void __fastcall txtEventNamePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtEventTypePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtEventLocationPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall eventReportAfterPreview(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportDiabClientEvent(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportDiabClientEvent *formReportDiabClientEvent;
//---------------------------------------------------------------------------
#endif
