#ifndef html_reporting_h
#define html_reporting_h

#include <iostream>
#include <fstream>
#include "util.h"

void htmlStart(ostream & o, string title, string subtitle = "", bool show_time = true, bool show_user = true);
void htmlStop(ostream & o);
void htmlSectionStart(ostream & o, bool new_page);
void htmlSectionContinue(ostream & o);
void htmlSectionStop(ostream & o);
void htmlPrettyBar(ostream & o, string t);

class classFilterObject; // avoid extra #include
bool htmlAutoGenerateFilterReport(classFilterObject * filter, string desc);

#endif