//---------------------------------------------------------------------------

#ifndef launchBehWorkloadReportH
#define launchBehWorkloadReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "launchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformLaunchBehWorkloadReport : public TformLaunchGeneric
{
__published:	// IDE-managed Components
        TDateTimePicker *dateBegin;
        TDateTimePicker *dateEnd;
        TLabel *lblDateBegin;
        TLabel *lblDateEnd;
        TLabel *lblEventTypes;
        TRubberContainer *rubberEventTypes;
        TListView *listEventTypes;
        void __fastcall FormShow(TObject *Sender);
private:	// User declarations
        classFilterObject event_filter;
        TIBDataSet *dbDataset;
        bool IsValidOnScreen();
        bool BeforeRunReport();
        bool RunReport();
public:		// User declarations
        __fastcall TformLaunchBehWorkloadReport(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchBehWorkloadReport *formLaunchBehWorkloadReport;
//---------------------------------------------------------------------------
#endif
