//---------------------------------------------------------------------------

#ifndef launchClinicPatientListReportH
#define launchClinicPatientListReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformLaunchClinicPatientListReport : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnRun;
        TToolButton *btnClose;
        TGroupBox *groupPeople;
        TRadioButton *radioSome;
        TRadioButton *radioAll;
        TPanel *panelSome;
        TLabel *lblAtLeast;
        TLabel *lblVisits;
        TLabel *lblBegin;
        TLabel *lblEndDate;
        TEdit *editMinVisits;
        TDateTimePicker *dateBegin;
        TDateTimePicker *dateEnd;
        TRadioButton *radioInactive;
        TPanel *panelInactive;
        TLabel *lblInactiveBegin;
        TLabel *lblInactiveEnd;
        TDateTimePicker *dateInactiveBegin;
        TDateTimePicker *dateInactiveEnd;
        TBevel *Bevel1;
        TLabel *lblClinic;
        TPanel *panelCharts;
        TRadioButton *radioAllCharts;
        TRadioButton *radioActiveCharts;
        TRadioButton *radioInactiveCharts;
        TComboBox *cboClinic;
        TBevel *Bevel2;
        TLabel *lblCharts;
        TBevel *Bevel3;
        TLabel *lblAffiliations;
        TPanel *panelAffiliations;
        TRadioButton *radioAffiliationsEveryone;
        TRadioButton *radioAffiliationsAST;
        TRadioButton *radioAffiliationsNonAST;
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnRunClick(TObject *Sender);
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall radioClick(TObject *Sender);
private:	// User declarations
        bool IsValidOnScreen();
        string clinic_id;
public:		// User declarations
        __fastcall TformLaunchClinicPatientListReport(TComponent* Owner, string p_id);
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchClinicPatientListReport *formLaunchClinicPatientListReport;
//---------------------------------------------------------------------------
#endif
