//---------------------------------------------------------------------------

#ifndef launchComWorkloadReportH
#define launchComWorkloadReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <QuickRpt.hpp>
#include "reportComWorkload.h"
#include "reportComWorkloadTasks.h"
#include "reportComWorkloadVisit.h"
#include "reportComWorkloadTopic.h"
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformComWorkloadReport : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TLabel *lblBegin;
        TDateTimePicker *dateBegin;
        TLabel *lblEndDate;
        TDateTimePicker *dateEnd;
        TToolButton *btnRun;
        TToolButton *btnClose;
        TQRCompositeReport *compositeReport;
        void __fastcall compositeReportAdd(TObject *Sender);
        void __fastcall compositeReportFinished(TObject *Sender);
        void __fastcall btnRunClick(TObject *Sender);
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
private:	// User declarations
        TformReportComWorkload *      workloadReport;
        TformReportComWorkloadVisit * workloadVisitreport;
        TformComWorkloadTask *        workloadTaskreport;
        TformComWorkloadTopic *       workloadTopicreport;
        TIBTransaction * dbTransaction;
        TIBDataSet * dbVisitDataSet;
        TIBDataSet * dbTypesDataSet;
        TIBDataSet * dbTopicsDataSet;
        TIBDataSet * dbTotalsDataSet;
public:		// User declarations
        __fastcall TformComWorkloadReport(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformComWorkloadReport *formComWorkloadReport;
//---------------------------------------------------------------------------
#endif
