//---------------------------------------------------------------------------

#ifndef launchDiabClientReportH
#define launchDiabClientReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include "codeBaseDropDown.h"
#include "codeCheckListDropDown.h"
//---------------------------------------------------------------------------
class TformLaunchDiabClientReport : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnRun;
        TToolButton *btnClose;
        TCheckBox *checkDiagnosis;
        TCheckBox *checkFitness;
        TCheckBox *checkAges;
        TCheckBox *checkHave;
        TCheckBox *checkASCDiabetes;
        TCheckBox *checkLACDiabetes;
        TCheckBox *checkNeitherDiabetes;
        TCheckBox *checkTribe;
        TCheckBox *checkZip;
        TPanel *panelAges;
        TEdit *editAge1;
        TLabel *lblAnd;
        TEdit *editAge2;
        TPanel *panelDiagnosis;
        TEdit *editDiagnosis;
        TPanel *panelHave;
        TCheckBox *checkMyTasks;
        TCheckBox *checkTasks;
        TCheckBox *checkParticipations;
        TCheckBox *checkMyParticipations;
        TCheckBox *checkMyMeasurements;
        TCheckBox *checkMeasurements;
        TCheckBox *checkAppointments;
        TCheckBox *checkReferrals;
        TEdit *editBeginDate;
        TEdit *editEndDate;
        TLabel *lblEndDate;
        TLabel *lblSince;
        TPanel *panelTribe;
        TComboBox *cboTribe;
        TCheckBox *checkAll;
        TCheckBox *checkAdmitted;
        TCheckBox *checkBlankName;
        TCheckBox *checkBlankAddress;
        TRadioButton *radioReport;
        TRadioButton *radioLabels;
        TPanel *panelTask;
        TComboBox *cboEmployee;
        TLabel *lblEmployee;
        TRichEdit *editTaskNote;
        TLabel *lblComment;
        TComboBox *cboActivity;
        TLabel *lblActivity;
        TComboBox *cboProgram;
        TLabel *lblProgram;
        TDateTimePicker *dateTask;
        TLabel *lblDate;
        TCheckBox *checkCreateTask;
        TCheckBox *checkBirthday;
        TPanel *panelBirthday;
        TComboBox *cboMonth;
        TCheckBox *checkShoes;
        TPanel *panelShoes;
        TDateTimePicker *dateShoesOrdered;
        TCheckBox *checkCreateNote;
        TPanel *panelNote;
        TRichEdit *editPersonNote;
        TCheckBox *checkNone;
        TCheckBox *checkOneAddress;
        TCheckBox *checkExact;
        TPanel *panelNoDiagnosis;
        TEdit *editNoDiagnosis;
        TCheckBox *checkExact2;
        TCheckBox *checkNoDiagnosis;
        TCheckBox *checkPrimary;
        TCheckBox *checkProvider;
        TPanel *panelProvider;
        TBitBtn *btnProviderSearch;
        TStaticText *txtProvider;
        TRadioButton *radioPreview;
        TBevel *bevelTop;
        TLabel *lblPrintOnly;
        TCheckBox *checkDeceased;
        TPanel *panelGender;
        TComboBox *cboGender;
        TCheckBox *checkGender;
        TCheckListDropDown *cbddEnrollments;
        TLabel *lblEnrollments;
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnRunClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall checkAgesClick(TObject *Sender);
        void __fastcall checkDiagnosisClick(TObject *Sender);
        void __fastcall checkHaveClick(TObject *Sender);
        void __fastcall checkTribeClick(TObject *Sender);
        void __fastcall checkGenderClick(TObject *Sender);
        void __fastcall checkTasksClick(TObject *Sender);
        void __fastcall checkParticipationsClick(TObject *Sender);
        void __fastcall checkMeasurementsClick(TObject *Sender);
        void __fastcall checkClientTypeClick(TObject *Sender);
        void __fastcall checkBirthdayClick(TObject *Sender);
        void __fastcall checkShoesClick(TObject *Sender);
        void __fastcall checkCreateTaskClick(TObject *Sender);
        void __fastcall checkCreateNoteClick(TObject *Sender);
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
        void __fastcall checkNoDiagnosisClick(TObject *Sender);
        void __fastcall btnProviderSearchClick(TObject *Sender);
        void __fastcall checkProviderClick(TObject *Sender);
        void __fastcall cbddEnrollmentsDown(TObject *Sender);
private:	// User declarations
        string provider_id;
public:		// User declarations
        __fastcall TformLaunchDiabClientReport(TComponent* Owner);
        bool IsValidOnScreen();
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchDiabClientReport *formLaunchDiabClientReport;
//---------------------------------------------------------------------------
#endif
