//---------------------------------------------------------------------------

#ifndef launchDiabMeasurementComparisonReportH
#define launchDiabMeasurementComparisonReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformLaunchDiabMeasurementComparisonReport : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnRun;
        TToolButton *btnClose;
        TGroupBox *groupCriteria1;
        TCheckBox *checkDateRange1;
        TPanel *panelDateRange1;
        TEdit *editDateBegin1;
        TLabel *lblBegin1;
        TLabel *lblEndDate1;
        TEdit *editDateEnd1;
        TGroupBox *groupCriteria2;
        TCheckBox *checkDateRange2;
        TPanel *panelDateRange2;
        TLabel *lblBegin2;
        TLabel *lblEnd2;
        TEdit *editDateBegin2;
        TEdit *editDateEnd2;
        TGroupBox *groupPeople;
        TRadioButton *radioMeasurementNumber1;
        TRadioButton *radioNoMeasurementNumber1;
        TPanel *panelNoMeasurementNumber1;
        TRadioButton *radioFirstMeasurement1;
        TRadioButton *radioLastMeasurement1;
        TRadioButton *radioAllMeasurements1;
        TPanel *panelNoMeasurementNumber2;
        TRadioButton *radioFirstMeasurement2;
        TRadioButton *radioLastMeasurement2;
        TRadioButton *radioAllMeasurements2;
        TRadioButton *radioNoMeasurementNumber2;
        TRadioButton *radioMeasurementNumber2;
        TGroupBox *groupGrouping;
        TPanel *panelMeasurementNumber1;
        TPanel *panelMeasurementNumber2;
        TEdit *editMeasurementNumber2;
        TLabel *lblMeasurementNumber2;
        TPanel *panelGroupAges;
        TEdit *editAges;
        TPanel *panelGroupImprovement;
        TEdit *editImprovement;
        TGroupBox *groupMeasurements;
        TLabel *lblDepartments;
        TLabel *lblEvent;
        TComboBox *cboEventType;
        TCheckBox *checkStepsMeasurements;
        TListView *listDepartments;
        TCheckBox *checkDiabClients;
        TCheckBox *checkStepsParticipants;
        TCheckBox *checkFitnessMembers;
        TCheckBox *checkStarParticipants;
        TCheckBox *checkFitness;
        TCheckBox *checkAges;
        TCheckBox *checkImprovement;
        TEdit *editSessionMax;
        TLabel *lblMeasurementNumber1;
        TEdit *editMeasurementNumber1;
        TCheckBox *checkSessionsMax;
        TCheckBox *checkSessionsMin;
        TEdit *editSessionMin;
        TLabel *lblType;
        TComboBox *cboType;
        TComboBox *cboEventName;
        TLabel *lblEventType;
        TCheckBox *checkCVD;
        TCheckBox *checkDiabetic;
        TCheckBox *checkNot;
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
        void __fastcall btnRunClick(TObject *Sender);
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall CriteriaChange(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
        string FormatDateLabel(string date1, string date2);
        classFilterObject department_filter;
        bool IsValidOnScreen();
public:		// User declarations
        __fastcall TformLaunchDiabMeasurementComparisonReport(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchDiabMeasurementComparisonReport *formLaunchDiabMeasurementComparisonReport;
//---------------------------------------------------------------------------
#endif
