//---------------------------------------------------------------------------

#ifndef launchDiabRegistryReportH
#define launchDiabRegistryReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>

struct appt_report_struct
{
  string id;
  string current_id;
  string appt_date;
  string appt_time;
  string duration;
  string duration_id;
  string person_id;
  string visit_outcome_id;
  string tax_entity_id;
  string created_for;
  string created_by;
  string description;
  string diab_activity_id;
};
//---------------------------------------------------------------------------
class TformLaunchDiabRegistryReport : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnRun;
        TToolButton *btnClose;
        TCheckBox *checkDates;
        TLabel *lblBeginDate;
        TLabel *lblEndDate;
        TDateTimePicker *dateBegin;
        TDateTimePicker *dateEnd;
        TCheckBox *checkLacDiab;
        TCheckBox *checkStar;
        TLabel *lblWithAtLeast;
        TLabel *lblVisits;
        TEdit *editMinVisits;
        TCheckBox *checkAnderson;
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall checkDatesClick(TObject *Sender);
        void __fastcall btnRunClick(TObject *Sender);
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
private:	// User declarations
public:		// User declarations
        __fastcall TformLaunchDiabRegistryReport(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchDiabRegistryReport *formLaunchDiabRegistryReport;
//---------------------------------------------------------------------------
#endif
