//---------------------------------------------------------------------------

#ifndef launchInsuranceChargeAnalysisReportH
#define launchInsuranceChargeAnalysisReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "launchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "reportInsuranceChargeAnalysis.h"
//---------------------------------------------------------------------------
class TformLaunchInsuranceChargeAnalysisReport : public TformLaunchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblBeginDate;
        TDateTimePicker *dateBegin;
        TLabel *lblEndDate;
        TDateTimePicker *dateEnd;
        TComboBox *cboDepartment;
        TLabel *lblDepartment;
private:	// User declarations
        TIBDataSet *dbDataset;
        bool IsValidOnScreen();
        bool BeforeRunReport();
        bool RunReport();
        bool AfterRunReport();
        void PutNewLabel(TQRBand *parent_band, TQRDBText *make_like, int top, string caption);
public:		// User declarations
        __fastcall TformLaunchInsuranceChargeAnalysisReport(TComponent* Owner);
        __fastcall virtual ~TformLaunchInsuranceChargeAnalysisReport();
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchInsuranceChargeAnalysisReport *formLaunchInsuranceChargeAnalysisReport;
//---------------------------------------------------------------------------
#endif
