//---------------------------------------------------------------------------

#ifndef launchIntakeFormReportH
#define launchIntakeFormReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include <QuickRpt.hpp>
#include <ExtCtrls.hpp>
class TformIntakeReport;
//---------------------------------------------------------------------------
class TformLaunchIntakeFormReport : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnRun;
        TToolButton *btnClose;
        TLabel *lblClientLabel;
        TBitBtn *btnPersonSearch;
        TQRCompositeReport *compositeReport;
        TCheckBox *cboOnlyEmpAndEmer;
        TStaticText *txtName;
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnRunClick(TObject *Sender);
        void __fastcall btnPersonSearchClick(TObject *Sender);
        void __fastcall compositeReportAddReports(TObject *Sender);
        void __fastcall lblNameClick(TObject *Sender);
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
private:	// User declarations
        vector<string> person_ids;
        string current_person_id;
        //string selected_person_id;
        bool restrict_relationships;
        bool hide_signature;

        TIBTransaction * dbTransaction;
        TIBDataSet *dataSetPerson;
        TIBDataSet *dataSetAddresses;
        TIBDataSet *dataSetRelationships;
        TIBDataSet *dataSetInsurance;
        TIBDataSet *dataSetExtraInsurance;
        TformIntakeReport * personIntakeForm;

        void __fastcall SetSelectedPersonId(string Value);
        string __fastcall GetSelectedPersonId(); // jhaley 20101028: necessitated by link changes
public:		// User declarations
        __fastcall TformLaunchIntakeFormReport(TComponent* Owner);
        __property string SelectedPersonId = {read = GetSelectedPersonId, write = SetSelectedPersonId};
        void __fastcall Run();
        void static DoSilent(TComponent * _modal_parent, string _person_id, bool _restrict_relationships = true, bool _hide_signature = false);
        void static DoSilent(TComponent * _modal_parent, vector<string> _person_ids, bool _restrict_relationships = true, bool _hide_signature = false);
        void static DoSilent(TComponent * _modal_parent, string _person_id, string blah, bool _restrict_relationships = true, bool _hide_signature = false);
        void static DoSilent(TComponent * _modal_parent, vector<string> _person_ids, string blah, bool _restrict_relationships = true, bool _hide_signature = false);
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchIntakeFormReport *formLaunchIntakeFormReport;
//---------------------------------------------------------------------------
#endif
