//---------------------------------------------------------------------------

#ifndef launchMailingLabelsH
#define launchMailingLabelsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "launchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformLaunchMailingLabels : public TformLaunchGeneric
{
__published:	// IDE-managed Components
        TEdit *editFirst;
        TEdit *editLast;
        TButton *btnSearch;
        TButton *btnRight;
        TButton *btnLeft;
        TButton *btnClear;
        TEdit *editChartNo;
        TLabel *lblFirst;
        TLabel *lblLast;
        TLabel *lblChartNo;
        TLabel *lblChartDept;
        TComboBox *cboDepartment;
        TRubberContainer *rubberLeft;
        TListView *listPersonMiniSearch;
        TRubberContainer *rubberRight;
        TListView *listPeopleToPrint;
        void __fastcall btnRightClick(TObject *Sender);
        void __fastcall btnLeftClick(TObject *Sender);
        void __fastcall btnClearClick(TObject *Sender);
        void __fastcall btnSearchClick(TObject *Sender);
private:	// User declarations
        classFilterObject person_search_filter;
        classFilterObject person_select_filter;

        set<string> person_id_set;

        TIBDataSet *dbDataset;

        void doRefreshSelect(const string &group_id);

        bool IsValidOnScreen();
        bool BeforeRunReport();
        bool RunReport();
        bool Zoom(const string & p_id);

public:		// User declarations
        __fastcall TformLaunchMailingLabels(TComponent* Owner);
        __fastcall ~TformLaunchMailingLabels();
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchMailingLabels *formLaunchMailingLabels;
//---------------------------------------------------------------------------
#endif
