//---------------------------------------------------------------------------

#ifndef launchMailingLabelsWithTasksReportH
#define launchMailingLabelsWithTasksReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformLaunchMailingLabelsWithTasksReport : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnRun;
        TToolButton *btnClose;
        TListView *listPeople;
        TCheckBox *checkTasks;
        TPanel *panelTask;
        TLabel *lblEmployee;
        TComboBox *cboEmployee;
        TDateTimePicker *dateTask;
        TEdit *editTimeSpent;
        TComboBox *cboActivity;
        TLabel *lblActivity;
        TLabel *lblTimeSpent;
        TLabel *lblDate;
        TLabel *lblMethod;
        TComboBox *cboMethod;
        TLabel *lblDirection;
        TComboBox *cboDirection;
        TLabel *lblNotes;
        TToolButton *sep2;
        TToolButton *btnCheckAll;
        TToolButton *btnUncheckAll;
        TRichEdit *editNotes;
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall checkTasksClick(TObject *Sender);
        void __fastcall btnCheckAllClick(TObject *Sender);
        void __fastcall btnUncheckAllClick(TObject *Sender);
        void __fastcall btnRunClick(TObject *Sender);
        void __fastcall btnCloseClick(TObject *Sender);
private:	// User declarations
        map<string, string> task_map;
        vector<string> id_vec;
        classFilterObject person_filter;
        string activities_table_name;
        string activities_id_name;
        string group_id;
        void EditPerson();
        bool IsValidOnScreen();        
public:		// User declarations
        __fastcall TformLaunchMailingLabelsWithTasksReport(TComponent* Owner, map<string, string> &p_task_map, vector<string> &p_ids_to_print);
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchMailingLabelsWithTasksReport *formLaunchMailingLabelsWithTasksReport;
//---------------------------------------------------------------------------
#endif
