//---------------------------------------------------------------------------

#ifndef launchPRReportH
#define launchPRReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <QuickRpt.hpp>
#include "reportPR.h"
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
enum pr_types {provider, vendor};
class page_class
{
  public:
    string name;
    int copies;                                                  
};

class TformLaunchPRReport : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnRun;
        TToolButton *btnClose;
        TLabel *lblPages;
        TStaticText *txtPrNumber;
        TQRCompositeReport *compositeReport;
        TLabel *_labelOriginal;
        TEdit *editOriginal;
        TUpDown *spinOriginal;
        TLabel *_labelReturnToOriginator;
        TLabel *_labelProcurement;
        TLabel *_labelCopyForOriginator;
        TEdit *editReturnToOriginator;
        TUpDown *spinReturnToOriginator;
        TEdit *editProcurement;
        TUpDown *spinProcurement;
        TEdit *editCopyForOriginator;
        TUpDown *spinCopyForOriginator;
        TUpDown *spinJustificationProcedures;
        TEdit *editJustificationProcedures;
        TLabel *_labelJustificationProcedures;
        TLabel *_labelEOB;
        TEdit *editEOB;
        TUpDown *spinEOB;
        TLabel *_labelJustificationNoProcedures;
        TEdit *editJustificationNoProcedures;
        TUpDown *spinJustificationNoProcedures;
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnRunClick(TObject *Sender);
        void __fastcall compositeReportAddReports(TObject *Sender);
private:	// User declarations
        string id;
        bool transactions_modified;
        string current_pr_type;
        TformReportPR * pr_report;
        pr_types pr_type;
        TIBTransaction * dbTransaction;
        TIBDataSet * accountsDataset;
        TIBDataSet * prDataset;
        TIBDataSet * justificationDataset;     
        TIBDataSet * nojustificationDataset;     
        TIBDataSet * eobDataset;
        map<string, string> bill_to;
        
        bool IsValidOnScreen();
public:		// User declarations
        __fastcall TformLaunchPRReport(TComponent* Owner, string p_id);
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchPRReport *formLaunchPRReport;
//---------------------------------------------------------------------------
#endif
