//---------------------------------------------------------------------------

#ifndef launchPatientDemographicsReportH
#define launchPatientDemographicsReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformLaunchPatientDemographicsReport : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TCheckBox *checkSuperbill;
        TCheckBox *checkLabels;
        TPanel *panelCorners1;
        TImage *imageReport1;
        TRadioButton *radioUL1;
        TRadioButton *radioLL1;
        TRadioButton *radioUR1;
        TRadioButton *radioLR1;
        TCheckBox *checkProviderNotes;
        TPanel *panelCorners2;
        TImage *imageReport2;
        TRadioButton *radioUL2;
        TRadioButton *radioLL2;
        TRadioButton *radioUR2;
        TRadioButton *radioLR2;
        TEdit *editLabelsPerPerson;
        TEdit *editStartingLabel;
        TStaticText *txtPrint;
        TStaticText *txtLabelsPerPatient;
        TStaticText *txtStartingLabel;
        TToolButton *btnRun;
        TToolButton *btnClose;
        TCheckBox *checkShowDateTime;
        TPanel *panelLabels;
        TComboBox *cboLocation;
        TStaticText *txtClinic;
        TRadioButton *radioSheetLabels;
        TRadioButton *radioSpooledLabels;
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnRunClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall radioLabelTypeClick(TObject *Sender);
private:	// User declarations
        bool IsValidOnScreen();
        string source_table;
        string source_id;
public:		// User declarations
        __fastcall TformLaunchPatientDemographicsReport(TComponent* Owner, string p_source_table, string p_source_id, string p_group_id);
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchPatientDemographicsReport *formLaunchPatientDemographicsReport;
//---------------------------------------------------------------------------
#endif
