//---------------------------------------------------------------------------

#ifndef launchProviderLabelsH
#define launchProviderLabelsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include "codeBaseDropDown.h"
#include "codeCheckListDropDown.h"
//---------------------------------------------------------------------------
class TformLaunchProviderLabels : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnRun;
        TToolButton *btnClose;
        TGroupBox *groupWhat;
        TRadioButton *radioPrintAll;
        TRadioButton *radioPrintOnly;
        TCheckBox *checkProviders;
        TCheckBox *checkVendors;
        TCheckBox *checkInsuranceCompanies;
        TCheckBox *checkBillDates;
        TLabel *lblBeginDate;
        TDateTimePicker *dateBegin;
        TLabel *lblEndDate;
        TDateTimePicker *dateEnd;
        TGroupBox *groupHow;
        TRadioButton *radioMailing;
        TRadioButton *radioFile;
        TRadioButton *radioReport;
        TCheckBox *checkGroupByServices;
        TCheckBox *checkExcludeInvalidAddresses;
        TGroupBox *groupOptions;
        TRadioButton *radioBilling;
        TRadioButton *radioPhysical;
        TLabel *lblTaxEntityTypes;
        TCheckListDropDown *cbddTaxEntityTypes;
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnRunClick(TObject *Sender);
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
        void __fastcall checkBillDatesClick(TObject *Sender);
        void __fastcall radioPrintOnlyClick(TObject *Sender);
        void __fastcall changeHowToPrint(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TformLaunchProviderLabels(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchProviderLabels *formLaunchProviderLabels;
//---------------------------------------------------------------------------
#endif
