//---------------------------------------------------------------------------

#ifndef launchRollSheetReportH
#define launchRollSheetReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "launchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TformLaunchRollSheetReport : public TformLaunchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblEvent;
        TStaticText *txtEventName;
        TBitBtn *btnEventSearch;
        void __fastcall btnEventSearchClick(TObject *Sender);
private:	// User declarations
        string event_id;
        string group_id;
        TIBDataSet *dbDataset;
        bool IsValidOnScreen();
        bool BeforeRunReport();
        bool RunReport();
public:		// User declarations
        __fastcall TformLaunchRollSheetReport(TComponent* Owner, string &p_event_id, string &p_group_id);
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchRollSheetReport *formLaunchRollSheetReport;
//---------------------------------------------------------------------------
#endif
