//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "reportAmountsByProviderService.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "codeSpecialGeneric"
#pragma resource "*.dfm"
TformReportAmountsByProviderService *formReportAmountsByProviderService;
//---------------------------------------------------------------------------
__fastcall TformReportAmountsByProviderService::TformReportAmountsByProviderService(TComponent* Ownerint)
        : TformSpecialGeneric(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TformReportAmountsByProviderService::bandGroupAfterPrint(
      TQRCustomBand *Sender, bool BandPrinted)
{
  current_total_visits  = 0;
  current_total_members = 0;
  current_total_paid    = 0.00;
}
//---------------------------------------------------------------------------
void __fastcall TformReportAmountsByProviderService::txtVisitsPrint(
      TObject *sender, AnsiString &Value)
{
  current_total_visits += StringToInt(Value.c_str());
}
//---------------------------------------------------------------------------
void __fastcall TformReportAmountsByProviderService::bandGroupFooterBeforePrint(
      TQRCustomBand *Sender, bool &PrintBand)
{
  lblTotalVisits->Caption = IntToString(current_total_visits).c_str();
  lblTotalMembers->Caption = IntToString(current_total_members).c_str();
  string temp = FinancialToString(current_total_paid, true);
  lblTotalPaid->Caption = string("$" + StripLeading(temp, " ")).c_str();
  financial avg_visit = current_total_paid / current_total_visits;
  financial avg_member = current_total_paid / current_total_visits;
  temp = FinancialToString(avg_visit, true);
  lblAvgPerVisit->Caption = string("$" + temp).c_str();
  temp = FinancialToString(avg_member, true);
  lblAvgPerMember->Caption = string("$" + temp).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformReportAmountsByProviderService::txtMembersPrint(
      TObject *sender, AnsiString &Value)
{
  current_total_members += StringToInt(Value.c_str());        
}
//---------------------------------------------------------------------------
void __fastcall TformReportAmountsByProviderService::exprPaidPrint(TObject *sender, AnsiString &Value)
{
  current_total_paid += StringToFinancial(Value.c_str());
}
//---------------------------------------------------------------------------
void __fastcall TformReportAmountsByProviderService::reportAfterPrint(TObject *Sender)
{
  Close();        
}
//---------------------------------------------------------------------------

