//---------------------------------------------------------------------------

#ifndef reportAppointmentListingH
#define reportAppointmentListingH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportAppointmentListing : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TPageControl *PageControl1;
        TTabSheet *sheetOld;
        TTabSheet *sheetSimple;
        TScrollBox *scrollOld;
        TQuickRep *report;
        TQRBand *pageHeaderBand;
        TQRSysData *sysTime;
        TQRSysData *sysPage;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRBand *detailBand;
        TQRDBText *txtDate;
        TQRDBText *txtTime;
        TQRDBText *txtFor;
        TQRDBText *txtBy;
        TQRDBText *txtDuration;
        TQRDBText *txtPerson;
        TQRDBText *txtDescription;
        TQRDBText *txtOutcome;
        TQRBand *columnHeaderBand;
        TQRLabel *lblDate;
        TQRLabel *lblTime;
        TQRLabel *lblCreatedFor;
        TQRLabel *lblCreatedBy;
        TQRLabel *lblPerson;
        TQRLabel *lblDescription;
        TQRLabel *lblDuration;
        TQRLabel *lblOutcome;
        TQRBand *summaryBand;
        TQRLabel *lblTotal;
        TQRSysData *sysCount;
        TQRBand *pageFooterBand;
        TQRLabel *lblUser;
        TScrollBox *scrollSimple;
        TQuickRep *reportSimple;
        TQRBand *bandSimplePageHeader;
        TQRSysData *systemSimpleDate;
        TQRSysData *systemSimplePage;
        TQRBand *bandSimpleReportHeader;
        TQRLabel *_labelSimpleTitle;
        TQRLabel *labelSimpleRange;
        TQRBand *bandSimpleAppointment;
        TQRDBText *textSimpleEmployee;
        TQRDBText *textSimpleDescription;
        TQRBand *bandSimplePageFooter;
        TQRLabel *labelSimpleUser;
        TQRGroup *bandSimpleDate;
        TQRDBText *textSimpleDate;
        TQRLabel *labelSimpleTime;
        TQRDBText *textSimplePerson;
        TQRLabel *labelSimpleDayName;
        void __fastcall reportAfterPreview(TObject *Sender);
        void __fastcall txtForPrint(TObject *sender, AnsiString &Value);
        void __fastcall txtPersonPrint(TObject *sender, AnsiString &Value);
        void __fastcall txtDescriptionPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtDurationPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall bandSimpleAppointmentBeforePrint(
          TQRCustomBand *Sender, bool &PrintBand);
        void __fastcall bandSimpleDateBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportAppointmentListing(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportAppointmentListing *formReportAppointmentListing;
//---------------------------------------------------------------------------
#endif
