//---------------------------------------------------------------------------

#ifndef reportBehOutsideTreatmentH
#define reportBehOutsideTreatmentH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportBehOutsideTreatment : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *treatmentReport;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRBand *pageHeaderBand;
        TQRSysData *sysDateTime;
        TQRSysData *sysPageNumber;
        TQRBand *columnHeaderBand;
        TQRLabel *lblBeginDate;
        TQRLabel *lblEndDate;
        TQRLabel *lblFacility;
        TQRLabel *lblDoctor;
        TQRLabel *lblPatient;
        TQRLabel *lblMedications;
        TQRBand *detailBand;
        TQRDBText *txtBeginDate;
        TQRDBText *txtEndDate;
        TQRDBText *txtFacility;
        TQRDBText *txtPatient;
        TQRBand *summaryBand;
        TQRLabel *lblTotal;
        TQRSysData *sysCount;
        TQRBand *pageFooterBand;
        TQRLabel *lblUser;
        TQRDBText *txtDoctor;
        TQRDBText *txtMedications;
        void __fastcall treatmentReportAfterPreview(TObject *Sender);
        void __fastcall txtPatientPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtDoctorPrint(TObject *sender, AnsiString &Value);
        void __fastcall txtMedicationsPrint(TObject *sender,
          AnsiString &Value);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportBehOutsideTreatment(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportBehOutsideTreatment *formReportBehOutsideTreatment;
//---------------------------------------------------------------------------
#endif
