//---------------------------------------------------------------------------

#ifndef reportBudgetH
#define reportBudgetH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <QuickRpt.hpp>
#include <ToolWin.hpp>
#include <Qrctrls.hpp>
#include <Db.hpp>
#include <DBTables.hpp>
#include <IBCustomDataSet.hpp>
#include <IBTable.hpp>
#include <IBDatabase.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportBudget : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *reportBudget;
        TQRBand *PageHeaderBand;
        TQRBand *TitleBand;
        TQRBand *ColumnHeaderBand;
        TQRBand *DetailBand;
        TQRBand *PageFooterBand;
        TQRGroup *GroupHeaderBand;
        TQRBand *GroupFooterBand;
        TQRSysData *sysPage;
        TQRSysData *sysDateTimeStamp;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRLabel *lblUser;
        TQRChildBand *GroupChild;
        TQRLabel *lblPRNumber;
        TQRLabel *lblEntityName;
        TQRLabel *lblInvoiceAmount;
        TQRLabel *lblCheckNumber;
        TQRGroup *GroupHeaderBand2;
        TQRBand *GroupFooterBand2;
        TQRDBText *txtLineItem;
        TQRShape *QRShape3;
        TQRExpr *GroupTitle;
        TQRLabel *lblLineItem;
        TQRLabel *lblBudgetAmount;
        TQRLabel *lblAmountSpent;
        TQRLabel *lblAmountRemaining;
        TQRLabel *lblPercentSpent;
        TQRExpr *exprAmountRemaining;
        TQRExpr *exprAmountSpent;
        TQRLabel *lblTotal;
        TQRLabel *lblTotalAmountSpent;
        TQRExpr *exprPRNumber;
        TQRExpr *exprInvoiceAmount;
        TQRExpr *exprCheckNumber;
        TQRExpr *exprBudgetAmount;
        TQRShape *QRShape1;
        TQRShape *QRShape2;
        TQRLabel *lblDate;
        TQRExpr *exprDate;
        TQRLabel *lblTotalBudgetAmount;
        TQRLabel *lblTotalAmountRemaining;
        TQRLabel *lblTotalPercentSpent;
        TQRLabel *lblBillNumber;
        TQRExpr *exprBillNumber;
        TQRLabel *lblAdjustingEntry;
        TQRDBText *textEntityName;
        TQRLabel *labelOnACheck;
        TQRLabel *labelOnABill;
        TQRLabel *labelOnAPurchaseReq;
        TQRLabel *labelOnNothing;
        TQRLabel *labelTotalCheck;
        TQRLabel *labelTotalPurchaseReq;
        TQRLabel *labelTotalBill;
        TQRLabel *labelTotalOther;
        TQRLabel *labelPercentSpent;
        void __fastcall GroupChildBeforePrint(TQRCustomBand *Sender, bool &PrintBand);
        void __fastcall DetailBandBeforePrint(TQRCustomBand *Sender,bool &PrintBand);
        void __fastcall GroupFooterBand2BeforePrint(TQRCustomBand *Sender, bool &PrintBand);
        void __fastcall GroupFooterBandBeforePrint(TQRCustomBand *Sender, bool &PrintBand);
        void __fastcall exprAmountSpentPrint(TObject *sender, AnsiString &Value);
        void __fastcall GroupFooterBandAfterPrint(TQRCustomBand *Sender, bool BandPrinted);
        void __fastcall GroupHeaderBand2BeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall exprCheckNumberPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall reportBudgetAfterPreview(TObject *Sender);
        void __fastcall lblTitlePrint(TObject *sender, AnsiString &Value);
        void __fastcall reportBudgetBeforePrint(TCustomQuickRep *Sender,
          bool &PrintReport);
        void __fastcall textEntityNamePrint(TObject *sender, AnsiString &Value);
        void __fastcall exprBudgetAmountPrint(TObject *sender, AnsiString &Value);
        void __fastcall exprAmountRemainingPrint(TObject *sender, AnsiString &Value);
        void __fastcall GroupFooterBand2AfterPrint(TQRCustomBand *Sender,
          bool BandPrinted);
        void __fastcall exprInvoiceAmountPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall labelPercentSpentPrint(TObject *sender,
          AnsiString &Value);
public:		// User declarations
        __fastcall TformReportBudget(TComponent* Owner);
        bool is_summary;
        financial last_budget_amount;
        financial last_spent_amount;
        // bool is_budget_adjustment;
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportBudget *formReportBudget;
//---------------------------------------------------------------------------
#endif
