//---------------------------------------------------------------------------

#ifndef reportBudgetModsH
#define reportBudgetModsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <ToolWin.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportBudgetMods : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *reportBudgetMods;
        TQRBand *bandPageHeader;
        TQRSysData *sysPage;
        TQRSysData *sysDateTimeStamp;
        TQRBand *bandReportTitle;
        TQRLabel *_labelTitle;
        TQRLabel *_labelTitleDate;
        TQRBand *bandColumnHeaders;
        TQRBand *bandTransaction;
        TQRBand *bandPageFooter;
        TQRLabel *_labelUser;
        TQRGroup *bandGroupInfo;
        TQRDBText *txtDetailInfo;
        TQRDBText *txtGroupInfo;
        TQRDBText *txtNote;
        TQRLabel *_labelGroupDetail;
        TQRLabel *_labelNote;
        TQRLabel *_labelPreviousBudget;
        TQRLabel *_labelMod;
        TQRLabel *_labelNewBudget;
        TQRLabel *labelPreviousBudget;
        TQRLabel *labelMod;
        TQRLabel *labelNewBudget;
        TQRGroup *bandNumber;
        TQRDBText *txtTxNum;
        TQRLabel *QRLabel1;
        void __fastcall reportBudgetModsAfterPreview(TObject *Sender);
        void __fastcall bandTransactionBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall txtNotePrint(TObject *sender, AnsiString &Value);
        void __fastcall bandNumberBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall bandGroupInfoAfterPrint(TQRCustomBand *Sender,
          bool BandPrinted);
private:	// User declarations
        map<string, vector<financial> > * extra_data;
        string previous_note;
        bool   reprint_note;
public:		// User declarations
        __fastcall TformReportBudgetMods(TComponent* Owner, map<string, vector<financial> > * p_extra_data);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportBudgetMods *formReportBudgetMods;
//---------------------------------------------------------------------------
#endif
