//---------------------------------------------------------------------------

#ifndef reportBulkEOBH
#define reportBulkEOBH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <ToolWin.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportBulkEOB : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TPageControl *PageControl1;
        TTabSheet *TabSheet1;
        TTabSheet *TabSheet2;
        TScrollBox *ScrollBox1;
        TScrollBox *ScrollBox2;
        TQuickRep *qpBulkEOB;
        TQRBand *bandHeader;
        TQRSysData *QRSysData1;
        TQRSysData *QRSysData2;                                      
        TQRLabel *_labelEOB;
        TQRLabel *_labelProviderPaid;
        TQRLabel *qrpProviderName;
        TQRLabel *_labelPRNumber;
        TQRLabel *qrpPR;
        TQRBand *bandDetail;
        TQRDBText *qrpDate;
        TQRDBText *qrpProcedure;
        TQRLabel *qrpBilled;
        TQRLabel *qrpAllowed;
        TQRLabel *qrpWriteOff;
        TQRLabel *qrpPaid;
        TQRLabel *qrpCharged;
        TQRGroup *bandGroup;
        TQRDBText *qrpCDIB;
        TQRDBText *qrpName;
        TQRDBText *qrpPatientAccountNum;
        TQRLabel *_labelCDIB;
        TQRLabel *_labelAccountNumber;
        TQRLabel *_labelName;
        TQRLabel *_labelDate;
        TQRLabel *_labelProcedure;
        TQRLabel *_labelBilled;
        TQRLabel *_labelAllowed;
        TQRLabel *_labelWriteOff;
        TQRLabel *_labelPaid;
        TQRLabel *QRLabel1;
        TQRBand *bandFooter;
        TQRLabel *lblUser;
        TQRBand *bandtotals;
        TQRLabel *qrpTotalCharged;
        TQRLabel *qrpTotalBilled;
        TQRLabel *qrpTotalAllowed;
        TQRLabel *qrpTotalWriteOff;
        TQRLabel *qrpTotalPaid;
        TQuickRep *reportJustification;
        TQRBand *QRBand1;
        TQRSysData *QRSysData3;
        TQRSysData *QRSysData4;
        TQRLabel *QRLabel2;
        TQRLabel *QRLabel3;
        TQRLabel *textProvider;
        TQRLabel *QRLabel5;
        TQRLabel *numPR;
        TQRBand *bandPatientDetail;
        TQRDBText *textDOS;
        TQRDBText *textProc;
        TQRLabel *numAllowed;
        TQRLabel *numPaid;
        TQRLabel *numCharged;
        TQRGroup *bandPatientHeader;
        TQRBand *QRBand3;
        TQRLabel *labelUser;
        TQRBand *bandPatientFooter;
        TQRLabel *totCharged;
        TQRLabel *totAllowed;
        TQRLabel *totPaid;
        TQRDBText *textPOS;
        TQRBand *QRBand2;
        TQRLabel *_labelPersonName;
        TQRLabel *_labelAccount;
        TQRLabel *_labelDOS;
        TQRLabel *_labelPOS;
        TQRLabel *_labelProc;
        TQRLabel *QRLabel21;
        TQRLabel *QRLabel18;
        TQRLabel *QRLabel20;
        TQRLabel *textName;
        TQRLabel *textAccount;
        TQRLabel *totTotals;
        TQRBand *QRBand4;
        TQRLabel *sumTotals;
        TQRLabel *sumCharged;
        TQRLabel *sumAllowed;
        TQRLabel *sumPaid;
        void __fastcall bandGroupBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall w(TObject *sender, AnsiString &Value);
        void __fastcall bandDetailBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall bandtotalsBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall QRBand4BeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
private:	// User declarations
        bool      is_t_charged;
        bool      is_t_billed;
        bool      is_t_allowed;
        bool      is_t_paid;

        financial t_charged;
        financial t_billed;
        financial t_allowed;
        financial t_paid;

        financial z_charged;
        financial z_billed;
        financial z_allowed;
        financial z_paid;

        string prev_id;

        TQuickRep * R_report;
        TQRLabel * D_charged;
        TQRLabel * D_billed;
        TQRLabel * D_allowed;
        TQRLabel * D_writeoff;
        TQRLabel * D_paid;
        TQRLabel * T_charged;
        TQRLabel * T_billed;
        TQRLabel * T_allowed;
        TQRLabel * T_writeoff;
        TQRLabel * T_paid;
public:		// User declarations
        __fastcall TformReportBulkEOB(TComponent* Owner, bool is_justification = false);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportBulkEOB *formReportBulkEOB;
//---------------------------------------------------------------------------
#endif
