//---------------------------------------------------------------------------

#ifndef reportCHSBillingDenialLetterH
#define reportCHSBillingDenialLetterH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <QRCtrls.hpp>
#include <QuickRpt.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformReportCHSBillingDenialLetter : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *report;
        TQRBand *bandDetail;
        TQRDBText *txtReason;
        TQRBand *bandTitle;
        TQRBand *bandSummary;
        TQRMemo *memoParagraph2;
        TQRSysData *sysDate;
        TQRDBText *txtPerson;
        TQRDBText *txtProvider;
        TQRLabel *lblDatesOfService;
        TQRLabel *lblAmount;
        TQRDBText *txtDatesOfService;
        TQRExpr *exprAmount;
        TQRLabel *lblRegarding;
        TQRDBText *txtGreeting;
        TQRLabel *lblParagraph1;
        TQRChildBand *bandSummaryChild;
        TQRLabel *lblParagarph3;
        TQRLabel *lblRespectfully;
        TQRMemo *memoSignature;
        TQRLabel *lblHealthPrograms;
        TQRLabel *lblcc;
        TQRLabel *lblencl;
        TQRDBText *txtDateProcessed;
        void __fastcall reportAfterPreview(TObject *Sender);
        void __fastcall sysDatePrint(TObject *sender, AnsiString &Value);
        void __fastcall txtPersonPrint(TObject *sender, AnsiString &Value);
        void __fastcall txtProviderPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtDatesOfServicePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtReasonPrint(TObject *sender, AnsiString &Value);
        void __fastcall txtGreetingPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall lblDatesOfServicePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtDateProcessedPrint(TObject *sender,
          AnsiString &Value);
private:	// User declarations
        map<string, string> vars;
public:		// User declarations
        __fastcall TformReportCHSBillingDenialLetter(TComponent* Owner, map<string,string> &p_vars);
        static void Do(string denial_letter_id);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportCHSBillingDenialLetter *formReportCHSBillingDenialLetter;
//---------------------------------------------------------------------------
#endif
