//---------------------------------------------------------------------------

#ifndef reportCHSBillingWorkloadH
#define reportCHSBillingWorkloadH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <QRCtrls.hpp>
#include <QuickRpt.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformReportCHSBillingWorkload : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *report;
        TQRBand *bandDetail;
        TQRBand *bandPageFooter;
        TQRBand *bandPageHeader;
        TQRBand *bandTitle;
        TQRLabel *lblTitle;
        TQRSysData *sysDateTime;
        TQRSysData *sysPageNumber;
        TQRLabel *lblUser;
        TQRLabel *lblDateTitle;
        TQRGroup *bandGroupHeader;
        TQRDBText *txtBills;
        TQRExpr *exprPaid;
        TQRBand *bandGroupFooter2;
        TQRGroup *bandGroupHeader2;
        TQRDBText *txtBillType;
        TQRChildBand *ChildBand1;
        TQRDBText *txtServiceArea;
        TQRLabel *lblTaxEntity;
        TQRDBText *txtTaxEntity;
        TQRLabel *lblTaxID;
        TQRDBText *txtTaxID;
        TQRLabel *lblBills;
        TQRLabel *lblPRs;
        TQRDBText *txtPRs;
        TQRLabel *lblPaid;
        TQRLabel *lblServiceTotalLabel;
        TQRExpr *exprPaidServiceTotal;
        TQRLabel *lblStaff;
        TQRMemo *memoEmployees;
        TQRBand *bandGroupFooter;
        TQRLabel *lblBillTypeTotalLabel;
        TQRExpr *exprPaidBillTypeTotal;
        TQRExpr *exprBillsServiceTotal;
        TQRExpr *exprPRsServiceTotal;
        TQRExpr *exprBillsBillTypeTotal;
        TQRExpr *exprPRsBillTypeTotal;
        TQRShape *QRShape1;
        TQRBand *bandSummary;
        TQRLabel *lblDenialLetters;
        TQRMemo *memoLetterType;
        TQRMemo *memoLetterCount;
        TQRChildBand *bandSummaryChild;
        TQRLabel *lblLetterTotalLabel;
        TQRLabel *lblLetterTotal;
        TQRLabel *lblPRNum;
        TQRDBText *txtPRNum;
        TQRLabel *lblSignature;
        TQRShape *shapeSigLine;
        TQRLabel *lblSigDate;
        TQRShape *QRShape3;
        TQRLabel *lblSignature2;
        TQRShape *shapeSigLine2;
        TQRLabel *lblSigDate2;
        TQRShape *QRShape5;
        TQRLabel *lblAccount;
        void __fastcall reportAfterPreview(TObject *Sender);
        void __fastcall lblServiceTotalLabelPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall lblBillTypeTotalLabelPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtServiceAreaPrint(TObject *sender,
          AnsiString &Value);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportCHSBillingWorkload(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportCHSBillingWorkload *formReportCHSBillingWorkload;
//---------------------------------------------------------------------------
#endif
