//---------------------------------------------------------------------------

#ifndef reportCHSServiceAreaBreakdownH
#define reportCHSServiceAreaBreakdownH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <QRCtrls.hpp>
#include <QuickRpt.hpp>
//---------------------------------------------------------------------------
class TformReportCHSServiceAreaBreakdown : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *reportBreakdown;
        TQRBand *bandPageHeader;
        TQRBand *bandPageFooter;
        TQRBand *bandColumnHeader;
        TQRBand *TitleBand1;
        TQRBand *bandSummary;
        TQRBand *bandDetail;
        TQRSysData *sysTime;
        TQRSysData *sysPage;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRLabel *lblEmployeeMonth;
        TQRLabel *lblDental;
        TQRLabel *lblHearing;
        TQRLabel *lblMedical;
        TQRLabel *lblOrthodontics;
        TQRLabel *lblVision;
        TQRLabel *lblColumnTotals;
        TQRShape *QRShape1;
        TQRGroup *bandGroupHeader;
        TQRExpr *exprMonth;
        TQRLabel *lblUser;
        TQRBand *bandGroupFooter;
        TQRLabel *lblMonthTotals;
        TQRLabel *lblGrandTotals;
        TQRShape *QRShape2;
        TQRDBText *txtDetailEmployee;
        TQRDBText *txtDetailDental;
        TQRDBText *txtDetailHearing;
        TQRDBText *txtDetailMedical;
        TQRDBText *txtDetailOrtho;
        TQRDBText *txtDetailVision;
        TQRDBText *txtDetailTotal;
        TQRExpr *exprGroupDental;
        TQRExpr *exprGroupHearing;
        TQRExpr *exprGroupMedical;
        TQRExpr *exprGroupOrtho;
        TQRExpr *exprGroupVision;
        TQRExpr *exprGroupTotal;
        TQRExpr *exprSummaryDental;
        TQRExpr *exprSummaryHearing;
        TQRExpr *exprSummaryMedical;
        TQRExpr *exprSummaryOrtho;
        TQRExpr *exprSummaryVision;
        TQRExpr *exprSummaryGrandTotal;
        TQRLabel *lblTitleServiceArea;
        TQRChildBand *bandSummaryChild;
        TQRLabel *lblDenialLetters;
        TQRMemo *memoLetterType;
        TQRMemo *memoLetterCount;
        TQRLabel *lblLetterTotalLabel;
        TQRLabel *lblLetterTotal;
        TQRLabel *lblPrescription;
        TQRLabel *lblPsychInpatient;
        TQRLabel *lblOutOfNetwork;
        TQRDBText *txtDetailPrescription;
        TQRDBText *txtDetailPsychInpatient;
        TQRDBText *txtDetailOutOfNetwork;
        TQRExpr *exprGroupPrescription;
        TQRExpr *exprGroupPsychInpatient;
        TQRExpr *exprGroupOutOfNetwork;
        TQRExpr *exprSummaryPrescription;
        TQRExpr *exprSummaryPsychInpatient;
        TQRExpr *exprSummaryOutOfNetwork;
        void __fastcall reportBreakdownAfterPreview(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportCHSServiceAreaBreakdown(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportCHSServiceAreaBreakdown *formReportCHSServiceAreaBreakdown;
//---------------------------------------------------------------------------
#endif
