//---------------------------------------------------------------------------

#ifndef reportClinicAppointmentsH
#define reportClinicAppointmentsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportClinicAppointments : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *report;
        TQRBand *pageHeaderBand;
        TQRSysData *sysTime;
        TQRSysData *sysPage;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRBand *detailBand;
        TQRDBText *txtDate;
        TQRBand *columnHeaderBand;
        TQRLabel *lblDate;
        TQRBand *summaryBand;
        TQRLabel *lblTotal;
        TQRBand *pageFooterBand;
        TQRLabel *lblUser;
        TQRLabel *lblTime;
        TQRDBText *txtTime;
        TQRLabel *lblPatient;
        TQRDBText *txtPatient;
        TQRLabel *lblChart;
        TQRDBText *txtChart;
        TQRLabel *lblReason;
        TQRDBText *txtReason;
        TQRLabel *lblHomePhone;
        TQRDBText *txtHomePhone;
        TQRLabel *lblWorkPhone;
        TQRDBText *txtWorkPhone;
        TQRSysData *sysCount;
        TQRLabel *lblDuration;
        TQRDBText *txtDuration;
        TQRLabel *QRLabel1;
        TQRDBText *txtProvider;
        TQRLabel *QRLabel2;
        TQRExpr *exprConsent;
        TQRLabel *lblMedicare;
        TQRLabel *lblMedicaid;
        TQRLabel *lblPrivateInsurance;
        TQRDBText *txtMedicaid;
        TQRLabel *lblMedicareValue;
        TQRLabel *lblPrivateInsuranceValue;
        TQRLabel *lblTribalCode;
        TQRDBText *txtTribalCode;
        TQRMemo *memoType;
        TQRMemo *memoTypeCount;
        TQRChildBand *summaryBandChild;
        TQRLabel *lblLetterTotalLabel;
        TQRLabel *lblLetterTotal;
        TQRDBText *txtDOB;
        TQRLabel *lblDOB;
        void __fastcall reportAfterPreview(TObject *Sender);
        void __fastcall txtPatientPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtReasonPrint(TObject *sender, AnsiString &Value);
        void __fastcall txtHomePhonePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtWorkPhonePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtDurationPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtProviderPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtTimePrint(TObject *sender, AnsiString &Value);
        void __fastcall detailBandAfterPrint(TQRCustomBand *Sender,
          bool BandPrinted);
        void __fastcall reportBeforePrint(TCustomQuickRep *Sender,
          bool &PrintReport);
        void __fastcall summaryBandBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
private:	// User declarations
        map<AnsiString, unsigned int> summary_map;
        vector<map<string, string> > ins;
        AnsiString summary_field;
        string pri_ins_type;
public:		// User declarations
        __fastcall TformReportClinicAppointments(TComponent* Owner, TIBDataSet* dbDataSet, AnsiString p_summary_field = "", string p_pri_ins_type = "");
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportClinicAppointments *formReportClinicAppointments;
//---------------------------------------------------------------------------
#endif
