//---------------------------------------------------------------------------

#ifndef reportClinicPatientLabelsH
#define reportClinicPatientLabelsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
enum print_label_method {print_label_sheets, print_label_spooled};

class TformReportClinicPatientLabels : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TPageControl *pageReports;
        TTabSheet *sheetSheetLabels;
        TTabSheet *sheetSpooledLabels;
        TQuickRep *reportSheetLabels;
        TQRBand *infoBandSheet;
        TQuickRep *reportSpooledLabels;
        TQRBand *infoBandSpooled;
        TQRDBText *txtChartSpooled;
        TQRDBText *txtNameSpooled;
        TQRDBText *txtDobSpooled;
        TQRDBText *txtCodeSpooled;
        TQRDBText *txtSsnSpooled;
        TQRLabel *lblDateTimeSpooled;
        TQRDBText *txtInsuranceSpooled;
        TQRDBText *txtAddress1Spooled;
        TQRDBText *txtAddress2Spooled;
        TQRDBText *txtPhoneSpooled;
        TQRDBText *txtGenderSpooled;
        TQRDBText *txtChartSheet;
        TQRDBText *txtNameSheet;
        TQRDBText *txtDobSheet;
        TQRDBText *txtCodeSheet;
        TQRDBText *txtSsnSheet;
        TQRLabel *lblDateTimeSheet;
        TQRDBText *txtInsuranceSheet;
        TQRDBText *txtAddress1Sheet;
        TQRDBText *txtAddress2Sheet;
        TQRDBText *txtPhoneSheet;
        TQRDBText *txtGenderSheet;
        void __fastcall reportSheetLabelsAfterPreview(TObject *Sender);
        void __fastcall txtSsnPrint(TObject *sender, AnsiString &Value);
        void __fastcall txtTimePrint(TObject *sender, AnsiString &Value);
        void __fastcall reportSheetLabelsBeforePrint(TCustomQuickRep *Sender,
          bool &PrintReport);
        void __fastcall infoBandAfterPrint(TQRCustomBand *Sender,
          bool BandPrinted);
        void __fastcall infoBandBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall OnLabelsPrint(TObject *sender, AnsiString &Value);
        void __fastcall lblDateTimePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtAddress1Print(TObject *sender,
          AnsiString &Value);
        void __fastcall txtAddress2Print(TObject *sender,
          AnsiString &Value);
        void __fastcall txtPhonePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtSsnSpooledPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall OnChartNumberPrint(TObject *sender,
          AnsiString &Value);
private:	// User declarations
        print_label_method how;
        int label_number;
        int num_label_repetitions;
        int num_of_blanks;
        bool is_priming_pump;
        bool is_shooting_blanks;
        bool print_top_row;
        bool print_date_time_stamp;
public:		// User declarations
        __fastcall TformReportClinicPatientLabels(TComponent* Owner, int p_labels_per_person = 1, int p_num_of_blanks = 0, bool p_print_top_row = true, bool p_print_date_time_stamp = true, print_label_method how = print_label_sheets);
        static void Execute(TformSpecialGeneric *calling_form, TDataSet * dbDataSet, int lpp, int nob, bool print_chart_and_code = true, bool p_print_date_time_stamp = true, print_label_method how = print_label_sheets);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportClinicPatientLabels *formReportClinicPatientLabels;
//---------------------------------------------------------------------------
#endif
