//---------------------------------------------------------------------------

#ifndef reportDentalBillingDataH
#define reportDentalBillingDataH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <QRCtrls.hpp>
#include <QuickRpt.hpp>
//---------------------------------------------------------------------------
class TformReportDentalBillingData : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *billReport;
        TQRBand *bandPageHeader;
        TQRBand *bandTitle;
        TQRSysData *sysPageNumber;
        TQRSysData *sysDateTime;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRBand *bandColumnHeader;
        TQRBand *bandDetail;
        TQRGroup *bandGroupHeader;
        TQRBand *bandPageFooter;
        TQRBand *bandSummary;
        TQRBand *bandGroupFooter;
        TQRLabel *lblUser;
        TQRLabel *lblDOS;
        TQRLabel *lblName;
        TQRLabel *lblOnBill;
        TQRLabel *lblPxCode;
        TQRLabel *lblCharges;
        TQRLabel *lblInsurance;
        TQRDBText *txtDOS;
        TQRDBText *txtName;
        TQRDBText *txtOnBill;
        TQRDBText *txtPxCode;
        TQRDBText *txtInsurance;
        TQRExpr *exprChargesPerMonth;
        TQRLabel *lblTotalChargesPerMonth;
        TQRLabel *lblTotalBillsPerMonth;
        TQRLabel *lblTotalBills;
        TQRLabel *lblTotalCharges;
        TQRExpr *exprTotalCharges;
        TQRShape *shapeSummaryLine;
        TQRExpr *exprMonth;
        TQRExpr *exprCharges;
        TQRLabel *lblTotalBillsMonthDisplay;
        TQRLabel *lblTotalBillsDisplay;
        TQRShape *QRShape1;
        TQRLabel *lblInsured;
        TQRDBText *txtInsured;
        TQRLabel *lblMonthTotals;
        TQRLabel *lblGrandTotals;
        void __fastcall billReportAfterPreview(
          TObject *Sender);
        void __fastcall bandGroupHeaderBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall bandDetailAfterPrint(TQRCustomBand *Sender,
          bool BandPrinted);
        void __fastcall lblTotalBillsMonthDisplayPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall lblTotalBillsDisplayPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall exprMonthPrint(TObject *sender, AnsiString &Value);
        void __fastcall txtNamePrint(TObject *sender, AnsiString &Value);
        void __fastcall lblMonthTotalsPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall billReportBeforePrint(TCustomQuickRep *Sender,
          bool &PrintReport);
private:	// User declarations
        int group_bill_count;
        int total_bill_count;
        int last_total_bill_count;
public:		// User declarations
        __fastcall TformReportDentalBillingData(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportDentalBillingData *formReportDentalBillingData;
//---------------------------------------------------------------------------
#endif
