//---------------------------------------------------------------------------

#ifndef reportDepartmentCallLogH
#define reportDepartmentCallLogH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportDepartmentCallLog : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *departmentLogReport;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRBand *headerBand;
        TQRLabel *lblCallDate;
        TQRLabel *lblCallTime;
        TQRLabel *lblCaller;
        TQRLabel *lblReceptionist;
        TQRBand *detailBand;
        TQRDBText *txtDate;
        TQRDBText *txtTime;
        TQRDBText *txtCaller;
        TQRDBText *txtReceptionist;
        TQRBand *pageHeaderBand;
        TQRSysData *sysDateTimeStamp;
        TQRSysData *sysPage;
        TQRBand *pageFooterBand;
        TQRLabel *lblUser;
        TQRBand *summaryBand;
        TQRLabel *lblTotalCalls;
        TQRSysData *sysTotal;
        TQRDBText *txtEmployee;
        TQRLabel *lblEmployee;
        TQRDBText *txtNote;
        TQRLabel *lblNotes;
        void __fastcall departmentLogReportAfterPreview(TObject *Sender);
        void __fastcall txtCallerPrint(TObject *sender, AnsiString &Value);
        void __fastcall txtEmployeePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtReceptionistPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtNotePrint(TObject *sender, AnsiString &Value);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportDepartmentCallLog(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportDepartmentCallLog *formReportDepartmentCallLog;
//---------------------------------------------------------------------------
#endif
