//---------------------------------------------------------------------------

#ifndef reportDiabActivitiesByOutcomeH
#define reportDiabActivitiesByOutcomeH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <QuickRpt.hpp>
#include <Qrctrls.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportDiabActivitiesByOutcome : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *report;
        TQRBand *bandPageHeader;
        TQRBand *bandPageFooter;
        TQRBand *bandDetail;
        TQRBand *bandTitle;
        TQRSysData *sysDateTime;
        TQRSysData *sysPageNumber;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRLabel *lblUser;
        TQRDBText *txtOutcome;
        TQRDBText *txtCount;
        TQRBand *bandColumnHeader;
        TQRLabel *lblReason;
        TQRLabel *lblOutcome;
        TQRGroup *bandGroup;
        TQRDBText *txtReason;
        TQRLabel *lblAppointments;
        TQRBand *bandSummary;
        TQRLabel *lblTotal;
        TQRExpr *exprTotal;
        TQRBand *bandGroupFooter;
        TQRLabel *lblCurrentTotal;
        TQRShape *shapeDashedLine;
        TQRShape *shapeSummaryLine;
        TQRLabel *lblSubTotal;
        void __fastcall txtReasonPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtOutcomePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall reportAfterPreview(TObject *Sender);
        void __fastcall bandGroupAfterPrint(TQRCustomBand *Sender,
          bool BandPrinted);
        void __fastcall txtCountPrint(TObject *sender, AnsiString &Value);
        void __fastcall lblCurrentTotalPrint(TObject *sender,
          AnsiString &Value);
private:	// User declarations
        int current_total;
public:		// User declarations
        __fastcall TformReportDiabActivitiesByOutcome(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportDiabActivitiesByOutcome *formReportDiabActivitiesByOutcome;
//---------------------------------------------------------------------------
#endif
