//---------------------------------------------------------------------------

#ifndef reportDiabActivitySummaryH
#define reportDiabActivitySummaryH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <ToolWin.hpp>
#include <QRExport.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportDiabActivitySummary : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *activityReport;
        TQRBand *pageHeaderBand;
        TQRSysData *sysTime;
        TQRSysData *sysPage;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRBand *detailBand;
        TQRDBText *txtName;
        TQRDBText *txtDate;
        TQRBand *columnHeaderBand;
        TQRLabel *lblName;
        TQRLabel *a;
        TQRBand *summaryBand;
        TQRLabel *lblTotal;
        TQRSysData *sysTotal;
        TQRBand *pageFooterBand;
        TQRLabel *lblUser;
        TQRLabel *lblActivity;
        TQRLabel *lblIntensity;
        TQRLabel *lblTime;
        TQRLabel *lblDistance;
        TQRLabel *lblSteps;
        TQRDBText *txtActivity;
        TQRDBText *txtIntensity;
        TQRExpr *exprTime;
        TQRExpr *exprDistance;
        TQRExpr *exprSteps;
        void __fastcall activityReportAfterPreview(TObject *Sender);
        void __fastcall txtNamePrint(TObject *sender, AnsiString &Value);
        void __fastcall txtActivityPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtIntensityPrint(TObject *sender,
          AnsiString &Value);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportDiabActivitySummary(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportDiabActivitySummary *formReportDiabActivitySummary;
//---------------------------------------------------------------------------
#endif
