//---------------------------------------------------------------------------

#ifndef reportDiabAppointmentLetterH
#define reportDiabAppointmentLetterH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <ToolWin.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportDiabAppointmentLetter : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *report;
        TQRBand *bandHeading;
        TQRBand *PageFooterBand1;
        TQRLabel *lblTribe;
        TQRLabel *lblDepartment;
        TQRRichText *txtAstInfo;
        TQRSysData *sysDate;
        TQRLabel *lblHeader;
        TQRShape *QRShape1;
        TQRDBText *txtPerson;
        TQRDBText *txtLine1;
        TQRDBText *txtLine2;
        TQRMemo *memoEmployees;
        TQRDBText *txtDate;
        TQRDBText *txtDuration;
        TQRDBText *txtTime;
        TQRDBText *txtGreeting;
        TQRLabel *lblContact;
        TQRLabel *QRLabel5;
        TQRLabel *lblStaff;
        TQRChildBand *bandNotes;
        TQRMemo *memoNotes;
        TQRExpr *exprLine1;
        TQRChildBand *bandReason;
        TQRChildBand *bandLocation;
        TQRLabel *QRLabel3;
        TQRDBText *txtReason;
        TQRLabel *QRLabel7;
        TQRDBText *txtLocation;
        void __fastcall txtPersonPrint(TObject *sender, AnsiString &Value);
        void __fastcall txtTimePrint(TObject *sender, AnsiString &Value);
        void __fastcall txtDurationPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtGreetingPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall reportAfterPreview(TObject *Sender);
        void __fastcall txtDes(TObject *sender,
          AnsiString &Value);
        void __fastcall txtLocationPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtAddressPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall lblDepartmentPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall lblHeaderPrint(TObject *sender, AnsiString &Value);
        void __fastcall bandReasonBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall bandLocationBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportDiabAppointmentLetter(TComponent* Owner);
        static void Do(vector<string> appointment_ids, string group_id, bool order_by_name = false,
          bool print_mailing_labels = false, int starting_label = 1);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportDiabAppointmentLetter *formReportDiabAppointmentLetter;
//---------------------------------------------------------------------------
#endif
