//---------------------------------------------------------------------------

#ifndef reportDiabCareSummaryH
#define reportDiabCareSummaryH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <QRCtrls.hpp>
#include <QuickRpt.hpp>
//---------------------------------------------------------------------------
class TformDiabetesCareSummaryReport : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TPageControl *pagesReports;
        TTabSheet *sheetDiabCareSummary;
        TScrollBox *scrollObsQuestionSet;
        TQuickRep *reportDiabCareSummary;
        TQRBand *bandPageHeader;
        TQRSysData *sysDateTime;
        TQRSysData *sysPageNumber;
        TQRBand *bandTitle;
        TQRLabel *labelTitle;
        TQRLabel *lblPatient;
        TQRBand *bandDetail;
        TQRLabel *lblDOB;
        TQRLabel *lblAge;
        TQRLabel *lblSex;
        TQRLabel *lblTribe;
        TQRLabel *lblChart;
        TCheckBox *checkSmokes;
        TCheckBox *checkSmokingReferralYes;
        TCheckBox *checkSmokingReferralNo;
        TCheckBox *checkSmokingReferralRefused;
        TQRLabel *lblDMDx;
        TQRLabel *lblMBSDx;
        TQRLabel *lblHTNDx;
        TQRLabel *lblGDMDx;
        TQRLabel *lblDMType;
        TCheckBox *checkDM1;
        TCheckBox *checkDM2;
        TCheckBox *checkDMG;
        TQRShape *grpMedications;
        TCheckBox *checkDietExercise;
        TCheckBox *checkInsulin;
        TCheckBox *checkSulfonylurea;
        TCheckBox *checkMetformin;
        TCheckBox *checkAcarbose;
        TCheckBox *checkGlitazone;
        TCheckBox *checkIncretinMimetics;
        TCheckBox *checkDPP4;
        TCheckBox *checkAmylinAnalogues;
        TCheckBox *checkDMControlUnknownRefuse;
        TCheckBox *checkDMControlled;
        TQRLabel *lblRecentObs;
        TQRLabel *lblHeight;
        TQRLabel *lblWeight;
        TQRLabel *lblBMI;
        TQRLabel *lblBP;
        TQRLabel *lblHip;
        TQRLabel *lblWaist;
        TQRLabel *lblWHR;
        TQRLabel *lblChol;
        TQRLabel *lblHDL;
        TQRLabel *lblLDL;
        TQRLabel *lblTrig;
        TQRLabel *lblHA1c;
        TQRLabel *lblCreat;
        TQRLabel *lblProtein;
        TQRLabel *lblMicoalbumin;
        TQRShape *grpRecentObservations;
        TQRLabel *lblHeightValue1;
        TQRLabel *lblWeightValue1;
        TQRLabel *lblBMIValue1;
        TQRLabel *lblBPValue1;
        TQRLabel *lblHipValue1;
        TQRLabel *lblWaistValue1;
        TQRLabel *lblWHRValue1;
        TQRLabel *lblCholValue1;
        TQRLabel *lblHDLValue1;
        TQRLabel *lblLDLValue1;
        TQRLabel *lblTrigValue1;
        TQRLabel *lblHA1cValue1;
        TQRLabel *lblCreatValue1;
        TQRLabel *lblProteinValue1;
        TQRLabel *lblMicoalbuminValue1;
        TQRLabel *lblHeightDate1;
        TQRLabel *lblWeightDate1;
        TQRLabel *lblBMIDate1;
        TQRLabel *lblBPDate1;
        TQRLabel *lblHipDate1;
        TQRLabel *lblWaistDate1;
        TQRLabel *lblWHRDate1;
        TQRLabel *lblCholDate1;
        TQRLabel *lblHDLDate1;
        TQRLabel *lblLDLDate1;
        TQRLabel *lblTrigDate1;
        TQRLabel *lblHA1cDate1;
        TQRLabel *lblCreatDate1;
        TQRLabel *lblProteinDate1;
        TQRLabel *lblMicoalbuminDate1;
        TQRLabel *lblHeightValue3;
        TQRLabel *lblWeightValue3;
        TQRLabel *lblBMIValue3;
        TQRLabel *lblBPValue3;
        TQRLabel *lblHipValue3;
        TQRLabel *lblWaistValue3;
        TQRLabel *lblWHRValue3;
        TQRLabel *lblCholValue3;
        TQRLabel *lblHDLValue3;
        TQRLabel *lblLDLValue3;
        TQRLabel *lblTrigValue3;
        TQRLabel *lblHA1cValue3;
        TQRLabel *lblCreatValue3;
        TQRLabel *lblProteinValue3;
        TQRLabel *lblMicoalbuminValue3;
        TQRLabel *lblHeightDate3;
        TQRLabel *lblWeightDate3;
        TQRLabel *lblBMIDate3;
        TQRLabel *lblBPDate3;
        TQRLabel *lblHipDate3;
        TQRLabel *lblWaistDate3;
        TQRLabel *lblWHRDate3;
        TQRLabel *lblCholDate3;
        TQRLabel *lblHDLDate3;
        TQRLabel *lblLDLDate3;
        TQRLabel *lblTrigDate3;
        TQRLabel *lblHA1cDate3;
        TQRLabel *lblCreatDate3;
        TQRLabel *lblProteinDate3;
        TQRLabel *lblMicoalbuminDate3;
        TQRShape *grpMedications2;
        TCheckBox *checkACEYes;
        TCheckBox *checkACENo;
        TCheckBox *checkACERefused;
        TQRLabel *lblACE;
        TCheckBox *checkAspirinRefused;
        TCheckBox *checkAspirinNo;
        TCheckBox *checkAspirinYes;
        TQRLabel *lblAspirin;
        TQRLabel *lblLLA;
        TCheckBox *checkLLAYes;
        TCheckBox *checkLLANo;
        TCheckBox *checkLLARefused;
        TQRLabel *lblOtherMedication;
        TQRLabel *lblVaccinations;
        TQRLabel *lblPneumovax;
        TCheckBox *checkPneumovaxYes;
        TCheckBox *checkPneumovaxNo;
        TCheckBox *checkPneumovaxRefused;
        TQRLabel *lblTetanus;
        TCheckBox *checkTetanusYes;
        TCheckBox *checkTetanusNo;
        TCheckBox *checkTetanusRefused;
        TQRLabel *lblTB;
        TCheckBox *checkTBPos;
        TCheckBox *checkTBNeg;
        TCheckBox *checkTBRefused;
        TCheckBox *checkTBUnknown;
        TQRLabel *lblINH;
        TCheckBox *checkINHYes;
        TCheckBox *checkINHNo;
        TCheckBox *checkINHRefused;
        TCheckBox *checkINHUnknown;
        TQRLabel *lblSMBG;
        TCheckBox *checkSMBG1Day;
        TCheckBox *checkSMBGMultiDay;
        TCheckBox *checkSMBG1Week;
        TCheckBox *checkSMBGMultiWeek;
        TQRShape *grpVaccinations;
        TQRLabel *lblRiskFactors;
        TQRShape *grpSelfMonitoring;
        TCheckBox *checkSMBP;
        TCheckBox *CheckBox1;
        TCheckBox *checkSMBGNever;
        TCheckBox *checkDMRelative;
        TCheckBox *checkUnderWtBaby;
        TCheckBox *CheckBox2;
        TCheckBox *checkPCOS;
        TQRLabel *lblWomen;
        TQRLabel *lblDMControl1;
        TQRShape *grpDateOfLast;
        TQRLabel *lblLastFootExam;
        TQRLabel *lblDMControl2;
        TQRLabel *lblSelfMonitoring;
        TQRLabel *lblLastEyeExam;
        TQRLabel *lblLastDentalExam;
        TQRLabel *lblLastEKG;
        TQRLabel *lblFluVacc;
        TCheckBox *checkDepressed;
        TCheckBox *checkDepressedYes;
        TCheckBox *checkDepressedNo;
        TCheckBox *checkDepressedRefused;
        TQRShape *grpNutrition;
        TQRLabel *lblNutrition;
        TQRLabel *lblNutritionGoals;
        TCheckBox *checkNutritionGoalsYes;
        TCheckBox *checkNutritionGoalsNo;
        TQRShape *grpRiskFactors;
        TQRLabel *lblNutritionBarriers;
        TQRLabel *lblNewNutritionGoal;
        TQRShape *grpExercise;
        TQRLabel *lblExercise;
        TQRLabel *lblExerciseGoals;
        TCheckBox *checkExerciseGoalsPersonal;
        TCheckBox *checkExerciseGoalsProgram;
        TQRLabel *lblExerciseBarriers;
        TQRLabel *lblNewExerciseGoal;
        TCheckBox *checkExerciseGoalsNeither;
        TQRLabel *lblExercisePerWeek;
        TQRLabel *lblLabHospClinic;
        TQRLabel *lblHeightValue2;
        TQRLabel *lblWeightValue2;
        TQRLabel *lblBMIValue2;
        TQRLabel *lblBPValue2;
        TQRLabel *lblHipValue2;
        TQRLabel *lblWaistValue2;
        TQRLabel *lblWHRValue2;
        TQRLabel *lblCholValue2;
        TQRLabel *lblHDLValue2;
        TQRLabel *lblLDLValue2;
        TQRLabel *lblTrigValue2;
        TQRLabel *lblHA1cValue2;
        TQRLabel *lblCreatValue2;
        TQRLabel *lblProteinValue2;
        TQRLabel *lblMicoalbuminValue2;
        TQRLabel *lblHeightDate2;
        TQRLabel *lblWeightDate2;
        TQRLabel *lblBMIDate2;
        TQRLabel *lblBPDate2;
        TQRLabel *lblHipDate2;
        TQRLabel *lblWaistDate2;
        TQRLabel *lblWHRDate2;
        TQRLabel *lblCholDate2;
        TQRLabel *lblHDLDate2;
        TQRLabel *lblLDLDate2;
        TQRLabel *lblTrigDate2;
        TQRLabel *lblHA1cDate2;
        TQRLabel *lblCreatDate2;
        TQRLabel *lblProteinDate2;
        TQRLabel *lblMicoalbuminDate2;
        TQRLabel *lblNutritionEducation;
        TCheckBox *checkNutritionEducationRD;
        TCheckBox *checkNutritionEducationOther;
        TCheckBox *checkNutritionEducationBoth;
        TCheckBox *checkNutritionEducationNone;
        TQRLabel *lblExerciseEducation;
        TCheckBox *checkExerciseEducationYes;
        TCheckBox *checkExerciseEducationNo;
private:	// User declarations
public:		// User declarations
        __fastcall TformDiabetesCareSummaryReport(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformDiabetesCareSummaryReport *formDiabetesCareSummaryReport;
//---------------------------------------------------------------------------
#endif
