//---------------------------------------------------------------------------

#ifndef reportDiabClientH
#define reportDiabClientH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportDiabClient : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *clientReport;
        TQRBand *pageHeaderBand;
        TQRSysData *sysTime;
        TQRSysData *sysPage;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRBand *detailBand;
        TQRBand *columnHeaderBand;
        TQRBand *summaryBand;
        TQRLabel *lblTotal;
        TQRSysData *sysTotal;
        TQRBand *pageFooterBand;
        TQRLabel *lblUser;
        TQRDBText *txtName;
        TQRDBText *txtSSN;
        TQRDBText *txtDOB;
        TQRDBText *txtCDIB;
        TQRDBText *txtTribe;
        TQRDBText *txtAddress;
        TQRLabel *lblAddress;
        TQRLabel *lblTribe;
        TQRLabel *lblCDIB;
        TQRLabel *lblDOB;
        TQRLabel *lblSSN;
        TQRLabel *lblName;
        TQRLabel *lblPhone;
        TQRDBText *txtPhone;
        TQRLabel *lblChart;
        TQRDBText *txtChart;
        void __fastcall clientReportAfterPreview(TObject *Sender);
        void __fastcall txtNamePrint(TObject *sender, AnsiString &Value);
        void __fastcall txtSSNPrint(TObject *sender, AnsiString &Value);
        void __fastcall txtTribePrint(TObject *sender, AnsiString &Value);
        void __fastcall txtAddressPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtPhonePrint(TObject *sender, AnsiString &Value);
        void __fastcall txtCDIBPrint(TObject *sender, AnsiString &Value);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportDiabClient(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportDiabClient *formReportDiabClient;
//---------------------------------------------------------------------------
#endif
