//---------------------------------------------------------------------------

#ifndef reportDiabLogsheetSummaryH
#define reportDiabLogsheetSummaryH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <ToolWin.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportDiabLogsheetSummary : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *logsheetReport;
        TQRBand *pageHeaderBand;
        TQRSysData *sysTime;
        TQRSysData *sysPage;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRBand *detailBand;
        TQRDBText *txtName;
        TQRDBText *txtDateTurnedIn;
        TQRDBText *txtBeginDate;
        TQRDBText *txtEndDate;
        TQRBand *columnHeaderBand;
        TQRLabel *lblName;
        TQRLabel *lblDateTurnedIn;
        TQRLabel *lblBeginDate;
        TQRLabel *lblIntensity;
        TQRLabel *lblTime;
        TQRBand *summaryBand;
        TQRSysData *sysTotalLogsheets;
        TQRBand *pageFooterBand;
        TQRLabel *lblUser;
        TQRDBText *txtTotalActivities;
        TQRLabel *lblTotalActivities;
        TQRExpr *exprTotalActivities;
        TQRLabel *lblTotalLogsheets;
        TQRLabel *lblTotalClients;
        TQRLabel *lblTotalNumberOfClients;
        void __fastcall activityReportAfterPreview(TObject *Sender);
        void __fastcall txtNamePrint(TObject *sender, AnsiString &Value);
        void __fastcall detailBandBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall summaryBandBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall logsheetReportBeforePrint(TCustomQuickRep *Sender,
          bool &PrintReport);
private:	// User declarations
        set<AnsiString> unique_people;
public:		// User declarations
        __fastcall TformReportDiabLogsheetSummary(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportDiabLogsheetSummary *formReportDiabLogsheetSummary;
//---------------------------------------------------------------------------
#endif
