//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "reportDiabMeasureLabSummary.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "codeSpecialGeneric"
#pragma resource "*.dfm"
TformReportDiabMeasureLabSummary *formReportDiabMeasureLabSummary;
//---------------------------------------------------------------------------
__fastcall TformReportDiabMeasureLabSummary::TformReportDiabMeasureLabSummary(TComponent* Owner, set<string> & to_exclude)
        : TformSpecialGeneric(Owner)
{
 person_id_to_exclude = to_exclude;
 shown_row_count = 0;
}
//---------------------------------------------------------------------------
void __fastcall TformReportDiabMeasureLabSummary::measureReportAfterPreview(
      TObject *Sender)
{
  Close();
}
//---------------------------------------------------------------------------
void __fastcall TformReportDiabMeasureLabSummary::txtNamePrint(
      TObject *sender, AnsiString &Value)
{
  Value = PrettyString(Value.c_str()).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformReportDiabMeasureLabSummary::detailBandBeforePrint(
      TQRCustomBand *Sender, bool &PrintBand)
{
 if (!measureReport->DataSet->IsEmpty())
 {
  if (person_id_to_exclude.find(measureReport->DataSet->FieldByName("person_id")->AsString.c_str()) != person_id_to_exclude.end())
   PrintBand = false;
  else
   PrintBand = true;
 }
}
//---------------------------------------------------------------------------
void __fastcall TformReportDiabMeasureLabSummary::lblShownMeasPrint(
      TObject *sender, AnsiString &Value)
{
 Value = IntToString(shown_row_count).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformReportDiabMeasureLabSummary::detailBandAfterPrint(
      TQRCustomBand *Sender, bool BandPrinted)
{
 if (!measureReport->DataSet->IsEmpty())
  if (person_id_to_exclude.find(measureReport->DataSet->FieldByName("person_id")->AsString.c_str()) == person_id_to_exclude.end())
  {
   // unique_people.insert(StringToInt(AnsiString(measureReport->DataSet->FieldValues["person_id"]).c_str()));
   shown_row_count++;
  }
}
//---------------------------------------------------------------------------

