//---------------------------------------------------------------------------

#ifndef reportDiabMeasurementH
#define reportDiabMeasurementH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportDiabMeasurement : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *measurementReport;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRBand *pageHeaderBand;
        TQRSysData *sysDateTime;
        TQRSysData *sysPageNumber;
        TQRBand *columnHeaderBand;
        TQRLabel *lblDate;
        TQRBand *detailBand;
        TQRDBText *txtDate;
        TQRBand *summaryBand;
        TQRLabel *lblTotal;
        TQRSysData *sysCount;
        TQRLabel *lblHeight;
        TQRLabel *lblWeight;
        TQRLabel *lblWaist;
        TQRLabel *lblHip;
        TQRLabel *lblTricep;
        TQRLabel *lblCalf;
        TQRExpr *exprHeight;
        TQRExpr *exprWeight;
        TQRExpr *exprWaist;
        TQRExpr *exprHip;
        TQRExpr *exprTricep;
        TQRExpr *exprCalf;
        TQRBand *pageFooterBand;
        TQRLabel *lblUser;
        TQRLabel *lblBMI;
        TQRExpr *exprBMI;
        void __fastcall measurementReportAfterPreview(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportDiabMeasurement(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportDiabMeasurement *formReportDiabMeasurement;
//---------------------------------------------------------------------------
#endif
