//---------------------------------------------------------------------------

#ifndef reportDiabMeasurementComparisonH
#define reportDiabMeasurementComparisonH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <QuickRpt.hpp>
#include <Qrctrls.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportDiabMeasurementComparison : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *report;
        TQRBand *ColumnHeaderBand;
        TQRBand *DetailBand;
        TQRBand *PageHeaderBand;
        TQRBand *SummaryBand;
        TQRBand *TitleBand;
        TQRSysData *sysTime;
        TQRSysData *sysPage;
        TQRLabel *lblTitle;
        TQRLabel *lblInfoTitle;
        TQRGroup *GroupHeaderBand;
        TQRBand *GroupFooterBand;
        TQRBand *PageFooterBand1;
        TQRLabel *lblUser;
        TQRLabel *lblName;
        TQRLabel *lblDOB;
        TQRLabel *lblDate1;
        TQRLabel *lblMType1;
        TQRLabel *lblDate2;
        TQRLabel *lblMType2;
        TQRLabel *lblMeasurement1;
        TQRLabel *lblMeasurement2;
        TQRLabel *lblImprovement;
        TQRLabel *lblAverages;
        TQRLabel *lblTotalPeople;
        TQRLabel *txtTotalPeople;
        TQRExpr *exprImprovement;
        TQRLabel *lblSummaryAverages;
        TQRLabel *lblSummaryTotalPeople;
        TQRSysData *sysTotal;
        TQRDBText *txtName;
        TQRDBText *txtDOB;
        TQRDBText *txtDate1;
        TQRDBText *txtMType1;
        TQRDBText *txtDate2;
        TQRDBText *txtMType2;
        TQRExpr *exprAvgMType2;
        TQRExpr *exprAvgMType1;
        TQRExpr *exprAvgImprovement;
        TQRExpr *exprSummaryAvgMType1;
        TQRExpr *exprSummaryAvgMType2;
        TQRExpr *exprSummaryAvgImprovement;
        TQRLabel *lblSummaryAvgMType1;
        TQRLabel *lblSummaryAvgMType2;
        TQRLabel *lblSummaryAvgImprovement;
        TQRLabel *lblDateRange1;
        TQRLabel *lblDateRange2;
        TQRDBText *txtImprovement;
        TQRDBText *txtGroupTitle;
        TQRDBText *txtGroupExpr;
        void __fastcall reportAfterPreview(TObject *Sender);
        void __fastcall txtNamePrint(TObject *sender, AnsiString &Value);
        void __fastcall DetailBandAfterPrint(TQRCustomBand *Sender,
          bool BandPrinted);
        void __fastcall GroupHeaderBandAfterPrint(TQRCustomBand *Sender,
          bool BandPrinted);
        void __fastcall txtTotalPeoplePrint(TObject *sender,
          AnsiString &Value);
private:	// User declarations
        int people_per_group;
public:		// User declarations
        __fastcall TformReportDiabMeasurementComparison(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportDiabMeasurementComparison *formReportDiabMeasurementComparison;
//---------------------------------------------------------------------------
#endif
