//---------------------------------------------------------------------------

#ifndef reportDiabTaskH
#define reportDiabTaskH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <ToolWin.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportDiabTask : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *taskReport;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRBand *pageHeaderBand;
        TQRSysData *sysDateTime;
        TQRSysData *sysPageNumber;
        TQRBand *summaryBand;
        TQRLabel *lblTotal;
        TQRSysData *sysCount;
        TQRBand *columnHeaderBand;
        TQRBand *detailBand;
        TQRLabel *lblDate;
        TQRLabel *lblStaff;
        TQRLabel *lblTimeSpent;
        TQRLabel *lblMethod;
        TQRLabel *lblDirection;
        TQRLabel *lblProgram;
        TQRLabel *lblTaskType;
        TQRLabel *lblActivityType;
        TQRDBText *txtStaff;
        TQRExpr *exprTime;
        TQRDBText *txtMethod;
        TQRDBText *txtDirection;
        TQRDBText *txtProgram;
        TQRDBText *txtTaskType;
        TQRDBText *txtActivityType;
        TQRDBText *txtDate;
        TQRBand *pageFooterBand;
        TQRLabel *lblUser;
        void __fastcall txtStaffPrint(TObject *sender, AnsiString &Value);
        void __fastcall txtMethodPrint(TObject *sender, AnsiString &Value);
        void __fastcall txtDirectionPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtProgramPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtTaskTypePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtActivityTypePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall taskReportAfterPreview(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportDiabTask(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportDiabTask *formReportDiabTask;
//---------------------------------------------------------------------------
#endif
