//---------------------------------------------------------------------------

#ifndef reportDollarsWithProceduresSummaryH
#define reportDollarsWithProceduresSummaryH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <QRCtrls.hpp>
#include <QuickRpt.hpp>
//---------------------------------------------------------------------------
class TformReportDollarsWithProceduresSummary : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *reportSummary;
        TQRBand *bandTitle;
        TQRBand *bandDetail;
        TQRBand *bandPageFooter;
        TQRBand *bandPageHeader;
        TQRBand *bandSummary;
        TQRLabel *lblTitleTop;
        TQRLabel *lblTitleBottom;
        TQRLabel *lblDateTitle;
        TQRLabel *lblChargesNote;
        TQRShape *shapeSummaryLine;
        TQRLabel *lblGrandTotal;
        TQRExpr *exprGrandTotal;
        TQRGroup *bandGroupHeader;
        TQRBand *bandColumnHeader;
        TQRLabel *lblDepartment;
        TQRShape *QRShape1;
        TQRLabel *lblYearMo;
        TQRLabel *lblIncoming;
        TQRBand *bandGroupFooter;
        TQRShape *QRShape2;
        TQRShape *QRShape3;
        TQRExpr *exprDeptTotal;
        TQRSysData *sysDateTime;
        TQRSysData *sysPageNumber;
        TQRLabel *lblUser;
        TQRDBText *txtDepartment;
        TQRDBText *txtYearMo;
        TQRExpr *exprIncoming;
        TQRLabel *lblVisits;
        TQRLabel *QRLabel1;
        TQRLabel *lblClaims;
        TQRExpr *exprBilled;
        TQRDBText *txtVisits;
        TQRDBText *txtClaims;
        TQRExpr *exprDeptVisits;
        TQRExpr *exprDeptBilled;
        TQRExpr *exprDeptClaims;
        void __fastcall txtDepartmentPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall bandGroupHeaderBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
private:	// User declarations
        bool first_page_printed;
public:		// User declarations
        __fastcall TformReportDollarsWithProceduresSummary(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportDollarsWithProceduresSummary *formReportDollarsWithProceduresSummary;
//---------------------------------------------------------------------------
#endif
