//---------------------------------------------------------------------------

#ifndef reportFitnessAttendanceH
#define reportFitnessAttendanceH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportFitnessAttendance : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *attendanceReport;
        TQRBand *pageHeaderBand;
        TQRSysData *sysTime;
        TQRSysData *sysPage;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRBand *detailBand;
        TQRBand *pageFooterBand;
        TQRLabel *lblUser;
        TQRGroup *groupBand;
        TQRDBText *txtFacility;
        TQRDBText *txtSignUp;
        TQRShape *QRShape1;
        TQRDBText *txtName;
        TQRDBText *txtDate;
        TQRExpr *exprPrimary;
        TQRBand *SummaryBand1;
        TQRLabel *lblPerson;
        TQRLabel *lblMemberhsips;
        TQRLabel *lblTotalClients;
        TQRLabel *lblTotalMemberships;
        TQRLabel *lblUniquePeople;
        TQRLabel *lblTotalUniquePeople;
        TQRLabel *lblTotalSignIns;
        TQRLabel *lblSignIns;
        void __fastcall attendanceReportAfterPreview(TObject *Sender);
        void __fastcall txtFacilityPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtNamePrint(TObject *sender, AnsiString &Value);
        void __fastcall detailBandAfterPrint(TQRCustomBand *Sender,
          bool BandPrinted);
        void __fastcall attendanceReportBeforePrint(
          TCustomQuickRep *Sender, bool &PrintReport);
        void __fastcall lblTotalUniquePeoplePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtDatePrint(TObject *sender, AnsiString &Value);
        void __fastcall lblTotalSignInsPrint(TObject *sender,
          AnsiString &Value);
private:	// User declarations
        set<int> unique_people;
        int sign_ins;
public:		// User declarations
        __fastcall TformReportFitnessAttendance(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportFitnessAttendance *formReportFitnessAttendance;
//---------------------------------------------------------------------------
#endif
