//---------------------------------------------------------------------------

#ifndef reportInsuranceChargeAnalysisH
#define reportInsuranceChargeAnalysisH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportInsuranceChargeAnalysis : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *analysisReport;
        TQRBand *bandTitle;
        TQRBand *bandSummary;
        TQRBand *bandColumnHeader;
        TQRBand *bandDetail;
        TQRBand *bandPageHeader;
        TQRBand *bandPageFooter;
        TQRSysData *sysTime;
        TQRSysData *sysPage;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRLabel *lblDepartmentTitle;
        TQRLabel *lblUser;
        TQRLabel *lblInsuranceType;
        TQRLabel *lblDollarsBilledDept;
        TQRLabel *lblPercentBilledDept;
        TQRLabel *lblNoClaimsDept;
        TQRLabel *lblPercentClaimsDept;
        TQRChildBand *bandSummaryChild;
        TQRLabel *lblProvider;
        TQRLabel *lblDollarsBilledProvider;
        TQRLabel *lblPercentBilledProvider;
        TQRLabel *lblNumClaimsProvider;
        TQRLabel *lblPercentClaimsProvider;
        TQRLabel *lblTotals;
        TQRLabel *lblDollarsBilledSummary;
        TQRLabel *lblPercentBilledSummary;
        TQRLabel *lblNumClaimsSummary;
        TQRLabel *lblPercentClaimsSummary;
        TQRShape *QRShape1;
        TQRShape *QRShape2;
        TQRShape *QRShape3;
        TQRShape *QRShape4;
        TQRShape *QRShape6;
        TQRShape *QRShape7;
        TQRShape *QRShape8;
        TQRShape *QRShape9;
        TQRShape *QRShape10;
        TQRShape *QRShape11;
        TQRShape *QRShape12;
        TQRShape *QRShape13;
        TQRShape *QRShape14;
        TQRShape *QRShape15;
        TQRLabel *lblTotalPercentBilled;
        TQRLabel *QRLabel1;
        TQRDBText *txtDetailInsurance;
        TQRDBText *txtDetailDollarsBilled;
        TQRDBText *txtDetailPercentBilled;
        TQRDBText *txtDetailNumClaims;
        TQRDBText *txtDetailPercentClaims;
        TQRLabel *lblSummaryChildDollarsBilled;
        TQRLabel *lblSummaryChildNumClaims;
        void __fastcall analysisReportAfterPreview(TObject *Sender);
        void __fastcall txtDetailInsurancePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtDetailDollarsBilledPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtDetailPercentBilledPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtDetailPercentClaimsPrint(TObject *sender,
          AnsiString &Value);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportInsuranceChargeAnalysis(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportInsuranceChargeAnalysis *formReportInsuranceChargeAnalysis;
//---------------------------------------------------------------------------
#endif
