//---------------------------------------------------------------------------

#ifndef reportMailingLabelsH
#define reportMailingLabelsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <ToolWin.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportMailingLabels : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *labelReport;
        TQRBand *infoBand;
        TQRDBText *txtName;
        TQRDBText *txtAddress1;
        TQRLabel *lblAddress2;
        TQRLabel *lblCity;
        void __fastcall txtNamePrint(TObject *sender, AnsiString &Value);
        void __fastcall labelReportAfterPreview(TObject *Sender);
        void __fastcall infoBandBeforePrint(TQRCustomBand *Sender, bool &PrintBand);
        void __fastcall txtAddress1Print(TObject *sender,AnsiString &Value);
        void __fastcall labelReportBeforePrint(TCustomQuickRep *Sender,bool &PrintReport);
        void __fastcall infoBandAfterPrint(TQRCustomBand *Sender,bool BandPrinted);
        void __fastcall otherPrint(TObject *sender, AnsiString &Value);
private:	// User declarations
        int label_number;
        int num_of_blanks;
        bool is_priming_pump;
        bool is_shooting_blanks;
public:		// User declarations
        __fastcall TformReportMailingLabels(TComponent* Owner, string p_num_of_blanks = "0");
        bool print_raw_names;
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportMailingLabels *formReportMailingLabels;
//---------------------------------------------------------------------------
#endif
