//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "reportObligatedAndExpensed.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "codeSpecialGeneric"
#pragma resource "*.dfm"
TformReportObligatedAndExpensed *formReportObligatedAndExpensed;
//---------------------------------------------------------------------------
__fastcall TformReportObligatedAndExpensed::TformReportObligatedAndExpensed(TComponent* Owner)
        : TformSpecialGeneric(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TformReportObligatedAndExpensed::reportByProviderServiceAfterPreview(TObject *Sender)
{
  Close();
}
//---------------------------------------------------------------------------
void __fastcall TformReportObligatedAndExpensed::PrettyAmountsPrint(TObject *sender, AnsiString &Value)
{
  Value = PrettyAmountString(Value.c_str()).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformReportObligatedAndExpensed::reportByProviderServiceBeforePrint(TCustomQuickRep *Sender, bool &PrintReport)
{
  total_cob_visits = 0;
  total_unpaid_visits = 0;
  total_paid_visits = 0;
  // nope
  //total_cob_people = 0;
  //total_unpaid_people = 0;
  //total_paid_people = 0;
  total_cob_expense = 0;
  total_unpaid_expense = 0;
  total_paid_expense = 0;
}
//---------------------------------------------------------------------------
void __fastcall TformReportObligatedAndExpensed::txtCobVisitsPrint(TObject *sender, AnsiString &Value)
{
  total_cob_visits += StringToInt(Value.c_str());
}
//---------------------------------------------------------------------------
void __fastcall TformReportObligatedAndExpensed::txtCobPeoplePrint(TObject *sender, AnsiString &Value)
{
  //total_cob_people += StringToInt(Value.c_str());
}
//---------------------------------------------------------------------------
void __fastcall TformReportObligatedAndExpensed::txtUnpaidVisitsPrint(TObject *sender, AnsiString &Value)
{
  total_unpaid_visits += StringToInt(Value.c_str());
}
//---------------------------------------------------------------------------
void __fastcall TformReportObligatedAndExpensed::txtUnpaidPeoplePrint(TObject *sender, AnsiString &Value)
{
  //total_unpaid_people += StringToInt(Value.c_str());
}
//---------------------------------------------------------------------------
void __fastcall TformReportObligatedAndExpensed::txtPaidVisitsPrint(TObject *sender, AnsiString &Value)
{
  total_paid_visits += StringToInt(Value.c_str());
}
//---------------------------------------------------------------------------
void __fastcall TformReportObligatedAndExpensed::txtPaidPeoplePrint(TObject *sender, AnsiString &Value)
{
  //total_paid_people += StringToInt(Value.c_str());
}
//---------------------------------------------------------------------------
void __fastcall TformReportObligatedAndExpensed::QRBand4BeforePrint(TQRCustomBand *Sender, bool &PrintBand)
{
  lblTotalCobVisits->Caption = IntToString(total_cob_visits).c_str();
  lblTotalUnpaidVisits->Caption = IntToString(total_unpaid_visits).c_str();
  lblTotalPaidVisits->Caption = IntToString(total_paid_visits).c_str();
  // uh ... no.
  //lblTotalCobPeople->Caption = IntToString(total_cob_people).c_str();
  //lblTotalUnpaidPeople->Caption = IntToString(total_unpaid_people).c_str();
  //lblTotalPaidPeople->Caption = IntToString(total_paid_people).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformReportObligatedAndExpensed::exprCobAmountPrint(TObject *sender, AnsiString &Value)
{
  total_cob_expense += StringToFinancial(Value.c_str());
}
//---------------------------------------------------------------------------
void __fastcall TformReportObligatedAndExpensed::exprUnpaidAmountPrint(TObject *sender, AnsiString &Value)
{
  total_unpaid_expense += StringToFinancial(Value.c_str());
}
//---------------------------------------------------------------------------
void __fastcall TformReportObligatedAndExpensed::exprPaidAmountPrint(TObject *sender, AnsiString &Value)
{
  total_paid_expense += StringToFinancial(Value.c_str());
}
//---------------------------------------------------------------------------
void __fastcall TformReportObligatedAndExpensed::lblTotalCobExpensePrint(TObject *sender, AnsiString &Value)
{
  Value = ("$" + FinancialToString(total_cob_expense, true, 2)).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformReportObligatedAndExpensed::lblTotalUnpaidExpensePrint(TObject *sender, AnsiString &Value)
{
  Value = ("$" + FinancialToString(total_unpaid_expense, true, 2)).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformReportObligatedAndExpensed::lblTotalPaidExpensePrint(TObject *sender, AnsiString &Value)
{
  Value = ("$" + FinancialToString(total_paid_expense, true, 2)).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformReportObligatedAndExpensed::txtPrettyStringPrint(TObject *sender, AnsiString &Value)
{
  Value = PrettyString(Value.c_str()).c_str();
}
//---------------------------------------------------------------------------


