//---------------------------------------------------------------------------

#ifndef reportObligatedAndExpensedH
#define reportObligatedAndExpensedH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <QRCtrls.hpp>
#include <QuickRpt.hpp>
//---------------------------------------------------------------------------
class TformReportObligatedAndExpensed : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TPageControl *pageReports;
        TTabSheet *sheetProvider;
        TTabSheet *sheetAccounts;
        TScrollBox *scrollProvider;
        TScrollBox *scrollAccounts;
        TQuickRep *reportByAccount;
        TQRBand *pageHeaderBand;
        TQRSysData *sysDateTime2;
        TQRSysData *sysPage2;
        TQRBand *titleBand;
        TQRLabel *lblTitle2;
        TQRLabel *lblGrr;
        TQRBand *detailBand;
        TQRExpr *exprPaidAmount2;
        TQRExpr *exprObligatedAmount;
        TQRExpr *exprBudgetAmount;
        TQRExpr *exprFund;
        TQRExpr *exprDept;
        TQRExpr *exprSubDept;
        TQRExpr *exprLineItem;
        TQRBand *SummaryBand1;
        TQRExpr *exprTotalObligatedAmount;
        TQRExpr *exprTotalPaidAmount2;
        TQRLabel *lblTotal;
        TQRGroup *groupFund;
        TQRGroup *groupDept;
        TQRGroup *groupSubDept;
        TQRGroup *groupLineItem;
        TQRBand *ColumnHeaderBand1;
        TQRLabel *lblFund;
        TQRLabel *lblBudget;
        TQRLabel *lblObligated;
        TQRLabel *lblPaid;
        TQRLabel *lblRemaining;
        TQRLabel *lblExpensed;
        TQRLabel *lblDept;
        TQRLabel *lblSubDept;
        TQRLabel *lblLineItem;
        TQRBand *groupFundFooter;
        TQRExpr *exprExpensedAmount;
        TQRExpr *exprRemainingAmount;
        TQRLabel *lblFundFooter;
        TQRBand *bandStupid;
        TQRLabel *lblGoAway;
        TQuickRep *reportByProviderService;
        TQRBand *bandPageHeader;
        TQRSysData *sysDateTime;
        TQRSysData *sysPage;
        TQRBand *bandTitle;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRBand *bandColumnHeaders;
        TQRLabel *lblService;
        TQRLabel *lblCobVisits;
        TQRLabel *lblCobPeople;
        TQRLabel *lblObligatedAmount;
        TQRLabel *lblPaidVisits;
        TQRLabel *lblPaidPeople;
        TQRLabel *lblPaidAmount;
        TQRLabel *lblProvider;
        TQRShape *shapeLine;
        TQRBand *bandDetail;
        TQRBand *QRBand4;
        TQRExpr *exprTotalCobVisits;
        TQRExpr *exprTotalCobPeople;
        TQRExpr *exprTotalCobAmount;
        TQRExpr *exprTotalPaidVisits;
        TQRExpr *exprTotalPaidPeople;
        TQRExpr *exprTotalPaidAmount;
        TQRLabel *QRLabel3;
        TQRBand *bandPageFooter;
        TQRLabel *lblUser;
        TQRLabel *lblCobHeading;
        TQRLabel *lblPaidHeading;
        TQRLabel *lblUnpaidHeading;
        TQRLabel *lblUnpaidVisits;
        TQRLabel *lblUnpaidPeople;
        TQRLabel *lblUnpaidAmount;
        TQRExpr *exprTotalUnpaidVisits;
        TQRExpr *exprTotalUnpaidPeople;
        TQRExpr *exprTotalUnpaidAmount;
        TQRGroup *bandGroupHeader;
        TQRDBText *txtPersonName;
        TQRDBText *txtCobDate;
        TQRDBText *txtCobExpense;
        TQRDBText *txtUnpaidExpense;
        TQRDBText *txtUnpaidVisitDate;
        TQRDBText *txtUnpaidBillDate;
        TQRDBText *txtUnpaidPrDate;
        TQRDBText *txtUnpaidPrNumber;
        TQRDBText *txtPaidExpense;
        TQRDBText *txtPaidVisitDate;
        TQRDBText *txtPaidBillDate;
        TQRDBText *txtPaidPrDate;
        TQRDBText *txtPaidPrNumber;
        TQRDBText *txtPaidCheckNumber;
        TQRDBText *txtPaidCheckDate;
        TQRDBText *txtCobNumber;
        TQRDBText *txtProvider;
        TQRDBText *txtService;
        TQRExpr *exprCobAmount;
        TQRExpr *exprPaidAmount;
        TQRDBText *txtPaidVisits;
        TQRDBText *txtPaidPeople;
        TQRDBText *txtCobPeople;
        TQRDBText *txtCobVisits;
        TQRDBText *txtUnpaidVisits;
        TQRDBText *txtUnpaidPeople;
        TQRExpr *exprUnpaidAmount;
        TQRChildBand *bandChild;
        TQRLabel *lblPersonName;
        TQRLabel *lblCobDate;
        TQRLabel *lblCobNumber;
        TQRLabel *lblCobExpense;
        TQRLabel *lblUnpaidVisitDate;
        TQRLabel *lblUnpaidPrNumber;
        TQRLabel *lblUnpaidExpense;
        TQRLabel *lblUnpaidBillDate;
        TQRLabel *lblUnpaidPrDate;
        TQRLabel *lblPaidVisitDate;
        TQRLabel *lblPaidBillDate;
        TQRLabel *lblPaidPrDate;
        TQRLabel *lblPaidPrNumber;
        TQRLabel *lblPaidExpense;
        TQRLabel *lblPaidCheckDate;
        TQRLabel *lblPaidCheckNumber;
        TQRDBText *txtDetailProvider;
        TQRLabel *lblTotalCobVisits;
        TQRLabel *lblTotalCobPeople;
        TQRLabel *lblTotalUnpaidVisits;
        TQRLabel *lblTotalUnpaidPeople;
        TQRLabel *lblTotalPaidVisits;
        TQRLabel *lblTotalPaidPeople;
        TQRLabel *lblTotalCobExpense;
        TQRLabel *lblTotalUnpaidExpense;
        TQRLabel *lblTotalPaidExpense;
        void __fastcall reportByProviderServiceAfterPreview(
          TObject *Sender);
        void __fastcall PrettyAmountsPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall reportByProviderServiceBeforePrint(
          TCustomQuickRep *Sender, bool &PrintReport);
        void __fastcall txtCobVisitsPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtCobPeoplePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtUnpaidVisitsPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtUnpaidPeoplePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtPaidVisitsPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtPaidPeoplePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall QRBand4BeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall exprCobAmountPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall exprUnpaidAmountPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall exprPaidAmountPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall lblTotalCobExpensePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall lblTotalUnpaidExpensePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall lblTotalPaidExpensePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtPrettyStringPrint(TObject *sender,
          AnsiString &Value);
private:	// User declarations
        int total_cob_visits;
        int total_unpaid_visits;
        int total_paid_visits;
        //int total_paid_people;
        //int total_cob_people;
        //int total_unpaid_people;
        financial total_cob_expense;
        financial total_unpaid_expense;
        financial total_paid_expense;
public:		// User declarations
        __fastcall TformReportObligatedAndExpensed(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportObligatedAndExpensed *formReportObligatedAndExpensed;
//---------------------------------------------------------------------------
#endif
