//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "reportPersonProviderInfo.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "codeSpecialGeneric"
#pragma resource "*.dfm"
TformReportPersonProviderInfo *formReportPersonProviderInfo;
//---------------------------------------------------------------------------
__fastcall TformReportPersonProviderInfo::TformReportPersonProviderInfo(TComponent* Owner)
        : TformSpecialGeneric(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TformReportPersonProviderInfo::qrpPrettyPrint(TObject *sender, AnsiString &Value)
{
 //prettyString
 Value = PrettyString(StripLeading(Value.c_str(), " ")).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformReportPersonProviderInfo::qrpPhonePrint(TObject *sender, AnsiString &Value)
{
 //FormatPhoneNumber
 Value = FormatPhoneNumber(Value.c_str()).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformReportPersonProviderInfo::qrpSSNPrint(TObject *sender, AnsiString &Value)
{
 // PrettySSN
 Value = PrettySSN(Value.c_str()).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformReportPersonProviderInfo::qrpLowerPrint(TObject *sender, AnsiString &Value)
{
 // lowercasestring
 Value = LowercaseString(StripLeading(Value.c_str(), " ")).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformReportPersonProviderInfo::qrpDatePrint(TObject *sender, AnsiString &Value)
{
 // two-digit dates
 Value = Pdate(Value.c_str(), global_mode).OutDate(mdy | yyyy | left_zeros).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformReportPersonProviderInfo::bandInsuranceDetailBeforePrint(TQRCustomBand *Sender, bool &PrintBand)
{
 // don't print top bar if first item?
 bandInsuranceDetail->Frame->DrawTop = !(reportInsurance->DataSet->Bof);
}
//---------------------------------------------------------------------------
void __fastcall TformReportPersonProviderInfo::bandContactDetailBeforePrint(TQRCustomBand *Sender, bool &PrintBand)
{
 // don't print top bar if first item?
 bandContactDetail->Frame->DrawTop = !(reportContact->DataSet->Bof);
}
//---------------------------------------------------------------------------
void __fastcall TformReportPersonProviderInfo::qrpInsPersonCodePrint(TObject *sender, AnsiString &Value)
{
 // make it be 01, 02, etc.
 if (IsInt(Value.c_str()))
  Value = twodigit(StringToInt(Value.c_str())).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformReportPersonProviderInfo::qrpTaxEntityPrint(TObject *sender, AnsiString &Value)
{
  Value = StripLeading(Value.c_str(), " ").c_str();
}
//---------------------------------------------------------------------------

