//---------------------------------------------------------------------------

#ifndef reportProceduresWithoutChargesH
#define reportProceduresWithoutChargesH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <QRCtrls.hpp>
#include <QuickRpt.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformReportProceduresWithoutCharges : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *reportProcedures;
        TQRBand *PageFooterBand1;
        TQRBand *PageHeaderBand1;
        TQRBand *SummaryBand1;
        TQRBand *TitleBand1;
        TQRBand *DetailBand1;
        TQRBand *ColumnHeaderBand1;
        TQRSysData *sysDateTime;
        TQRSysData *sysPageNumber;
        TQRLabel *lblTitleTop;
        TQRLabel *lblDateTitle;
        TQRLabel *lblDepartment;
        TQRLabel *lblYearMo;
        TQRLabel *lblPxCode;
        TQRShape *QRShape1;
        TQRLabel *lblUser;
        TQRGroup *bandGroupDept;
        TQRGroup *bandGroupYearMo;
        TQRDBText *txtDepartment;
        TQRDBText *txtYearMo;
        TQRDBText *txtPxCode;
        TQRLabel *lblScheduledFee;
        TQRLabel *lblNumProcedures;
        TQRDBText *txtNumProcedures;
        TQRLabel *lblPotentialRevenue;
        TQRLabel *lblDetailPotential;
        TQRBand *bandGroupFooterDept;
        TQRBand *bandGroupFooterMonth;
        TQRExpr *exprMonthProcedures;
        TQRExpr *exprMonthFee;
        TQRLabel *lblMonthPotential;
        TQRShape *QRShape2;
        TQRExpr *exprDeptProcedures;
        TQRExpr *exprDeptFee;
        TQRLabel *lblDeptPotential;
        TQRShape *QRShape4;
        TQRExpr *exprSummaryProcedures;
        TQRExpr *exprSummaryFee;
        TQRLabel *lblSummaryPotential;
        TQRLabel *lblTotalForMonth;
        TQRLabel *lblTotalForDept;
        TQRLabel *lblGrandTotal;
        TQRExpr *exprDetailFee;
        TQRExpr *exprGroupDept;
        TQRExpr *exprGroupMonth;
        void __fastcall reportProceduresAfterPreview(TObject *Sender);
        void __fastcall reportProceduresBeforePrint(
          TCustomQuickRep *Sender, bool &PrintReport);
        void __fastcall lblDetailPotentialPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall bandGroupYearMoBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall lblMonthPotentialPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall lblDeptPotentialPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall lblSummaryPotentialPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtDepartmentPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall exprGroupDeptPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall lblTotalForMonthPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall lblTotalForDeptPrint(TObject *sender,
          AnsiString &Value);
private:	// User declarations
        float grand_total_revenue;
        float month_total_revenue;
        float group_total_revenue;
public:		// User declarations
        __fastcall TformReportProceduresWithoutCharges(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportProceduresWithoutCharges *formReportProceduresWithoutCharges;
//---------------------------------------------------------------------------
#endif
