//---------------------------------------------------------------------------

#ifndef reportProcsByProviderH
#define reportProcsByProviderH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportProcsByProvider : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *reportProcs;
        TQRBand *bandPageHeader;
        TQRBand *bandPageFooter;
        TQRBand *bandDetail;
        TQRBand *bandColumnHeader;
        TQRBand *bandTitle;
        TQRBand *bandSummary;
        TQRSysData *sysDateTime;
        TQRSysData *sysPageNo;
        TQRLabel *lblUser;
        TQRLabel *lblTitle;
        TQRLabel *lblTitleProvider;
        TQRLabel *lblDateRange;
        TQRLabel *lblColProcedure;
        TQRLabel *lblColNumProcs;
        TQRLabel *lblColNumDM;
        TQRLabel *lblColNumNonDM;
        TQRLabel *lblColCharges;
        TQRDBText *txtProcedure;
        TQRDBText *txtNumProcs;
        TQRDBText *txtNumDM;
        TQRDBText *txtNumNonDM;
        TQRDBText *txtCharges;
        TQRShape *QRShape1;
        TQRLabel *lblSummary;
        TQRExpr *exprTotalNum;
        TQRExpr *exprTotalDM;
        TQRExpr *exprTotalNonDM;
        TQRExpr *exprTotalCharges;
        void __fastcall reportProcsAfterPreview(TObject *Sender);
        void __fastcall txtChargesPrint(TObject *sender,
          AnsiString &Value);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportProcsByProvider(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportProcsByProvider *formReportProcsByProvider;
//---------------------------------------------------------------------------
#endif
