//---------------------------------------------------------------------------

#ifndef reportPublicEventH
#define reportPublicEventH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <ToolWin.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportPublicEvent : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *eventReport;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRBand *pageHeaderBand;
        TQRSysData *sysDateTime;
        TQRSysData *sysPageNumber;
        TQRBand *columnHeaderBand;
        TQRLabel *lblDate;
        TQRLabel *lblEventName;
        TQRLabel *lblEventType;
        TQRLabel *lblEventLocation;
        TQRBand *detailBand;
        TQRDBText *txtDate;
        TQRDBText *txtEventLocation;
        TQRDBText *txtEventName;
        TQRDBText *txtEventType;
        TQRBand *summaryBand;
        TQRLabel *lblTotal;
        TQRSysData *sysCount;
        TQRBand *pageFooterBand;
        TQRLabel *lblUser;
        void __fastcall txtEventNameOnPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtEventTypeOnPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtEventLocationOnPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall eventReportAfterPreview(TObject *Sender);
       
private:	// User declarations
public:		// User declarations
        __fastcall TformReportPublicEvent(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportPublicEvent *formReportPublicEvent;
//---------------------------------------------------------------------------
#endif
