//---------------------------------------------------------------------------

#ifndef reportRollSheetH
#define reportRollSheetH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <QRCtrls.hpp>
#include <QuickRpt.hpp>
//---------------------------------------------------------------------------
class TformReportRollSheet : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *reportRoll;
        TQRBand *bandPageHeader;
        TQRBand *bandPageFooter;
        TQRBand *bandTitle;
        TQRBand *bandDetail;
        TQRSysData *sysTime;
        TQRSysData *sysPage;
        TQRLabel *lblUser;
        TQRLabel *lblTitleRollFor;
        TQRLabel *lblTitleEventName;
        TQRLabel *lblTitleDate;
        TQRLabel *lblTitleLocation;
        TQRLabel *lblTitleType;
        TQRLabel *lblAttendance;
        TQRLabel *lblTitleAttendance;
        TQRBand *ColumnHeaderBand1;
        TQRLabel *lblHeaderName;
        TQRLabel *lblHeaderAge;
        TQRLabel *lblHeaderGender;
        TQRShape *QRShape1;
        TQRDBText *txtName;
        TQRDBText *txtAge;
        TQRDBText *txtGender;
        TQRLabel *lblDate;
        TQRLabel *lblLocation;
        TQRLabel *lblType;
        void __fastcall reportRollAfterPreview(TObject *Sender);
        void __fastcall txtNamePrint(TObject *sender, AnsiString &Value);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportRollSheet(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportRollSheet *formReportRollSheet;
//---------------------------------------------------------------------------
#endif
