//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "reportTaxEntityListing.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "codeSpecialGeneric"
#pragma resource "*.dfm"
TformReportTaxEntityListing *formReportTaxEntityListing;
//---------------------------------------------------------------------------
__fastcall TformReportTaxEntityListing::TformReportTaxEntityListing(TComponent* Owner)
        : TformSpecialGeneric(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TformReportTaxEntityListing::txtPhonePrint(TObject *sender,AnsiString &Value)
{
  if(Value != "")
    Value = ("Phone:  " + FormatPhoneNumber(Value.c_str())).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformReportTaxEntityListing::txtFaxPrint(TObject *sender,AnsiString &Value)
{
  if(Value != "")
    Value = ("Fax:  " + FormatPhoneNumber(Value.c_str())).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformReportTaxEntityListing::txtEmailPrint(TObject *sender,AnsiString &Value)
{
  if(Value != "")
    Value = ("Email:  " + PrettyString(Value.c_str())).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformReportTaxEntityListing::detailBandBeforePrint(TQRCustomBand *Sender, bool &PrintBand)
{
  string name     = report->DataSet->Fields->FieldByName("name")->AsString.c_str();
  string address1 = report->DataSet->Fields->FieldByName("line1")->AsString.c_str();
  string address2 = report->DataSet->Fields->FieldByName("line2")->AsString.c_str();
  string city     = report->DataSet->Fields->FieldByName("city")->AsString.c_str();

  memoLeft->Lines->Clear();
  if(name != "")
    memoLeft->Lines->Add(name.c_str());
  if(address1 != "")
    memoLeft->Lines->Add((FormatAddress(address1)).c_str());
  if(address2 != "")
    memoLeft->Lines->Add((FormatAddress(address2)).c_str());
  if(city != "")
    memoLeft->Lines->Add((PrettyString(city)).c_str());

  string phone   = report->DataSet->Fields->FieldByName("phone_number")->AsString.c_str();
  string fax     = report->DataSet->Fields->FieldByName("fax_number")->AsString.c_str();
  string website = report->DataSet->Fields->FieldByName("website")->AsString.c_str();
  string email   = report->DataSet->Fields->FieldByName("email_address")->AsString.c_str();

  memoRight->Lines->Clear();
  if(phone != "")
    memoRight->Lines->Add(("Phone:  " + FormatPhoneNumber(phone)).c_str());
  if(fax != "")
    memoRight->Lines->Add(("Fax:  " + FormatPhoneNumber(fax)).c_str());
  if(website != "")
    memoRight->Lines->Add(("Website:  " + LowercaseString(website)).c_str());
  if(website != "")
    memoRight->Lines->Add(("E-mail:  " + LowercaseString(email)).c_str());

  int max = memoLeft->Height;
  if (memoRight->Height > max) max = memoRight->Height;
  detailBand->Height = max + 16;
}
//---------------------------------------------------------------------------
void __fastcall TformReportTaxEntityListing::txtNamePrint(TObject *sender,AnsiString &Value)
{
  Value = PrettyString(Value.c_str()).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformReportTaxEntityListing::txtAddress1Print(TObject *sender, AnsiString &Value)
{
  Value = PrettyString(Value.c_str()).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformReportTaxEntityListing::exprGroupPrint(TObject *sender, AnsiString &Value)
{
  Value = PrettyString(Value.c_str()).c_str();
}
//---------------------------------------------------------------------------


