/*

  Prometheus Stub Launcher

  Version Token File Processing

*/

#ifndef VERSIONTOKEN_H__
#define VERSIONTOKEN_H__

#include <string>

namespace Version
{
   extern std::string localVersion;
   extern std::string remoteVersion;

   enum
   {
      LOCAL,
      REMOTE
   };

   void ReadVersion(const char *filename, int versionType);
   void WriteVersion(const char *filename);
}

#endif

// EOF

