/*

   HL7Daemon - Command-line argument management

*/

#ifndef ARGVS_H__
#define ARGVS_H__

class ArgumentManager
{
protected:
   // passed in from main:
   const int argc;
   const char *const *const argv;

public:
   ArgumentManager(int pArgc, const char *const *pArgv)
      : argc(pArgc), argv(pArgv)
   {
   }

   bool checkParam(const char *param) const;
   const char *getParamTo(const char *param) const;
};

extern ArgumentManager *globalArgMgr;

#endif

// EOF

