//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "codeCheckListDropDown.h"
#pragma link "codeBaseDropDown"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// ValidCtrCheck is used to assure that the components created do not have
// any pure virtual functions.
//

static inline void ValidCtrCheck(TCheckListDropDown *)
{
        new TCheckListDropDown(NULL);
}
//---------------------------------------------------------------------------
namespace Codechecklistdropdown
{
        void __fastcall PACKAGE Register()
        {
                 TComponentClass classes[1] = {__classid(TCheckListDropDown)};
                 RegisterComponents("prometheus", classes, 0);
        }
}
//---------------------------------------------------------------------------
__fastcall TCheckListDropDown::TCheckListDropDown(TComponent* Owner)
        : TBaseDropDown(Owner)
{
  listAvailable = new TListView(this);
  listAvailable->Parent = this->Container;
  listAvailable->Align   = alClient;
  listAvailable->SendToBack();
  //listAvailable->Visible = false;

  filter_available.SetListViewHandle(listAvailable);
  filter_available.SetCompress(false);
  filter_available.SetIconStatus(false);
  filter_available.SetHeader(false);
  filter_available.SetCheck(true);
}
//---------------------------------------------------------------------------
__fastcall TCheckListDropDown::~TCheckListDropDown()
{
  listAvailable->Parent = this;
}
//---------------------------------------------------------------------------
void __fastcall TCheckListDropDown::rubberPopIn(TObject *Sender)
{
 RefreshText();
 SelectNext(this, true, false); // for some reason, if we do "true, true", it ... goes and selects the PREVIOUS control? i don't get it.
 // if (comboWhatever->CanFocus())
 //  comboWhatever->SetFocus();
 TBaseDropDown::rubberPopIn(Sender);
}
//---------------------------------------------------------------------------
classFilterObject * __fastcall TCheckListDropDown::GetFilter()
{
 return &filter_available;
}
//---------------------------------------------------------------------------
void __fastcall TCheckListDropDown::SetFieldName(string Value)
{
 FFieldName = Value;
 RefreshText();
}
//---------------------------------------------------------------------------
void TCheckListDropDown::RefreshText()
{
 vector<map<string, string> > all_selected_data = filter_available.GetAllData (false, true);
 set<string> all_selected_strings;
 for (vector<map<string, string> >::iterator i = all_selected_data.begin(); i != all_selected_data.end(); i++)
 {
  string t = (*i)[FFieldName];
  if (t.empty())
   t = "<blank>";
  all_selected_strings.insert(t);
 }
 this->Text = SetToCommaString(all_selected_strings).c_str();
}
//---------------------------------------------------------------------------
/*
int __fastcall TCheckListDropDown::GetDropDownHeight()
{
 return this->DropDownHeight;
}
//---------------------------------------------------------------------------
void __fastcall TCheckListDropDown::SetDropDownHeight(int Value)
{
 this->DropDownHeight = Value;
}
//---------------------------------------------------------------------------
*/
