//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "codeListBoxDropDown.h"
#pragma link "codeBaseDropDown"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// ValidCtrCheck is used to assure that the components created do not have
// any pure virtual functions.
//

static inline void ValidCtrCheck(TListBoxDropDown *)
{
        new TListBoxDropDown(NULL);
}
//---------------------------------------------------------------------------
namespace Codelistboxdropdown
{
        void __fastcall PACKAGE Register()
        {
                 TComponentClass classes[1] = {__classid(TListBoxDropDown)};
                 RegisterComponents("prometheus", classes, 0);
        }
}
//---------------------------------------------------------------------------
__fastcall TListBoxDropDown::TListBoxDropDown(TComponent* Owner)
        : TBaseDropDown(Owner)
{
  listAvailable = new TListBox(this);
  listAvailable->Parent = this->Container;
  listAvailable->Align   = alClient;
  listAvailable->SendToBack();
  listAvailable->OnClick = ListBoxClick;

  //listAvailable->Visible = false;
}
//---------------------------------------------------------------------------
__fastcall TListBoxDropDown::~TListBoxDropDown()
{
  listAvailable->Parent = this;
}
//---------------------------------------------------------------------------
void __fastcall TListBoxDropDown::rubberPopIn(TObject *Sender)
{
 RefreshText();
 SelectNext(this, true, false); // for some reason, if we do "true, true", it ... goes and selects the PREVIOUS control? i don't get it.
 // if (comboWhatever->CanFocus())
 //  comboWhatever->SetFocus();
 TBaseDropDown::rubberPopIn(Sender);
}
//---------------------------------------------------------------------------
TListBox * __fastcall TListBoxDropDown::GetListBox()
{
 return listAvailable;
}
//---------------------------------------------------------------------------
void TListBoxDropDown::RefreshText()
{
 this->Text = "";
 for (int i=0; i<listAvailable->Items->Count; i++)
   if (listAvailable->Selected[i])
   {
     this->Text = listAvailable->Items->Strings[i];
     break;
   }
}
//---------------------------------------------------------------------------
void __fastcall TListBoxDropDown::ListBoxClick(TObject* Sender)
{
  rubberPopIn(NULL);
}
//---------------------------------------------------------------------------
/*
int __fastcall TListBoxDropDown::GetDropDownHeight()
{
 return this->DropDownHeight;
}
//---------------------------------------------------------------------------
void __fastcall TListBoxDropDown::SetDropDownHeight(int Value)
{
 this->DropDownHeight = Value;
}
//---------------------------------------------------------------------------
*/
