//---------------------------------------------------------------------------


#ifndef codeQueryContainerH
#define codeQueryContainerH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "query_context.h"
#include "codeQueryMagic.h"
//---------------------------------------------------------------------------
class TframeQueryContainer : public TFrame
{
__published:	// IDE-managed Components
        TScrollBox *scrollQuery;
        void __fastcall scrollQueryMouseWheelDown(TObject *Sender,
          TShiftState Shift, TPoint &MousePos, bool &Handled);
        void __fastcall scrollQueryMouseWheelUp(TObject *Sender,
          TShiftState Shift, TPoint &MousePos, bool &Handled);
private:	// User declarations
protected:
        void __fastcall virtual SetProxy   (bool Value);
        void __fastcall virtual SetCache   (bool Value);
        void __fastcall virtual SetSimple  (bool Value);
        void __fastcall virtual SetClip    (bool Value);
        bool __fastcall virtual GetProxy   ();
        bool __fastcall virtual GetCache   ();
        bool __fastcall virtual GetSimple  ();
        bool __fastcall virtual GetClip    ();

        AnsiString FSourceTableName;
        query_context* FContext;
        TframeQueryMagic* FQuery;
        void __fastcall SetContext(query_context* Value);
        void __fastcall SetSourceTableName(AnsiString Value);
public:		// User declarations
        string Prepare ();
        void   CleanUp ();
        bool   Valid   ();
        void   Describe (bool as_html);
        xValue Save (bool with_params);
        void   Load (xValue config, bool with_params);
        __property bool Proxy  = {read = GetProxy, write = SetProxy};
        __property bool Cache  = {read = GetCache, write = SetCache};
        __property bool Simple = {read = GetSimple, write = SetSimple};
        __property bool Clip   = {read = GetClip, write = SetClip};
        __property query_context* Context = {read = FContext, write = SetContext};
        __property AnsiString SourceTableName = {read = FSourceTableName, write = SetSourceTableName};
        __fastcall TframeQueryContainer(TComponent* Owner);
        __fastcall ~TframeQueryContainer();
};
//---------------------------------------------------------------------------
extern PACKAGE TframeQueryContainer *frameQueryContainer;
//---------------------------------------------------------------------------
#endif
