//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "codeQueryFile.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TframeQueryFile *frameQueryFile;
//---------------------------------------------------------------------------
__fastcall TframeQueryFile::TframeQueryFile(TComponent* Owner)
        : TFrame(Owner)
{
 the_form = NULL;
 FORM_TRY
  the_form = new TForm((TComponent*)NULL);
  the_form->OnClose     = FormClose;
  the_form->BorderStyle = bsSizeable;
  the_form->FormStyle   = fsNormal;
  the_form->Position    = poScreenCenter;
  the_form->AutoSize    = false;
  the_form->Width       = 575;
  the_form->Height      = 350;
  the_form->Constraints->MinWidth = the_form->Width;
  the_form->Constraints->MinHeight = the_form->Height;
  Parent = the_form;
  this->Align = alClient;
 FORM_CATCH

 FType = qf_unknown;

 // TODO: security, could use actual ... security fields? and stuff? requires permissions to be defined in the db though.
 query_filter.SetListViewHandle(listQueries);
 query_filter.SetSecurity("");
 query_filter.AddColumnSpec("Description", "", as_text, true,  375, rawString);
 query_filter.AddColumnSpec("User",        "", as_text, true,  80,  prettyString);
 query_filter.AddColumnSpec("Date/Time",   "", as_stamp, true, 120);
 query_filter.AddColumnSpec("Current Id",  "current_id",   as_int,  false, 80);
 query_filter.AddColumnSpec("Internal Id", "internal_id",  as_int,  false, 80);
 query_filter.FetchPreferences("queryfile.query_filter");
 query_filter.SetSQLStatement("");
 query_filter.RefreshDataSet();
}
//---------------------------------------------------------------------------
void __fastcall TframeQueryFile::FormClose(TObject *Sender,
      TCloseAction &Action)
{
 Action = caFree;
}
//---------------------------------------------------------------------------
void __fastcall TframeQueryFile::SetSourceTableName(AnsiString Value)
{
 // set up the listview and all that, eh?
 FSourceTableName = Value;
 FixListview();
}
//---------------------------------------------------------------------------
void __fastcall TframeQueryFile::buttonCancelClick(TObject *Sender)
{
 the_form->ModalResult = mrCancel;
}
//---------------------------------------------------------------------------
void TframeQueryFile::FixListview()
{
 if (Type != qf_unknown && SourceTableName != "")
 {
  query_filter.SetSQLStatement("select user_queries.description, users.item, user_queries.last_update_stamp, user_queries.current_id, user_queries.id "
                               "from user_queries left join users on users.id = user_queries.last_updated_by where "
                               "user_queries.source_table_name = '" + string(SourceTableName.c_str()) + "' "
                               "and user_queries.class_type = '" + IntToString(Type) + "'");
  query_filter.RefreshDataSet();
 }
}
//---------------------------------------------------------------------------
void __fastcall TframeQueryFile::SetType(query_file_types Value)
{
 // set up the listview and all that, eh?
 FType = Value;
 FixListview();
}
//---------------------------------------------------------------------------

