//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "codeQueryMagicClosable.h"
#include "util.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "codeQueryMagic"
#pragma link "codeHalfButton"
#pragma link "codeRubberContainer"
#pragma resource "*.dfm"
TframeQueryMagicClosable *frameQueryMagicClosable;
//---------------------------------------------------------------------------
__fastcall TframeQueryMagicClosable::TframeQueryMagicClosable(TComponent* Owner)
        : TframeQueryMagic(Owner)
{
 FHowAppropriate = Appropriate;
 FHowCreate = Create;
}
//---------------------------------------------------------------------------
void __fastcall TframeQueryMagicClosable::ChangeHostedQuery (TframeQueryGeneric* Value)
{
 TframeQueryMagic::ChangeHostedQuery(Value);
 if (FHostedQueries.size())
  FHostedQueries[0]->Indent = 24;
}
//---------------------------------------------------------------------------
TframeQueryGeneric* TframeQueryMagicClosable::Create (TComponent* owner)
{
 TframeQueryGeneric* temp;
 FORM_TRY
  temp = new TframeQueryMagicClosable(owner);
 FORM_CATCH
 return temp;
}
//---------------------------------------------------------------------------
bool TframeQueryMagicClosable::Appropriate (string source_table_name)
{
 return true;
}
//---------------------------------------------------------------------------
void __fastcall TframeQueryMagicClosable::buttonRemoveClick(TObject *Sender)
{
 // can't delete self for some reason (av's), this worked with previous solution, re-using here ...
 // "beg" the host to delete us. it will. when we go kaboom, we remove ourselves from its list. all works out in the end.
 if (FHostQuery)
  PostMessage(FHostQuery->Handle, WM_DELETE_HOSTED_QUERY, (unsigned int)((void*)(((TWinControl*)Sender)->Parent)), NULL);
}
//---------------------------------------------------------------------------
void __fastcall TframeQueryMagicClosable::SetSimple (bool Value)
{
 TframeQueryMagic::SetSimple(Value);
 buttonRemove->Enabled = !Simple;
}
//---------------------------------------------------------------------------

