//---------------------------------------------------------------------------

#ifndef codeQueryOperatorH
#define codeQueryOperatorH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeQueryGeneric.h"
#include <Buttons.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TframeQueryOperator : public TframeQueryGeneric
{
__published:	// IDE-managed Components
        TSpeedButton *buttonAdd;
        void __fastcall buttonAddClick(TObject *Sender);
private:	// User declarations
protected:
        string virtual PrepareImpl ();
        void  __fastcall virtual SetSimple (bool Value);
        void  __fastcall virtual SetSourceTableName (AnsiString Value);

        void ProxyMultiChildren (); // if we have several children, make them all be proxied, otherwise don't. call from Prepare() in derivatives
public:
        __fastcall TframeQueryOperator(TComponent* Owner);
public:
        bool   virtual Valid ();
        string virtual Describe (bool as_html);
        // bool   virtual Same  (TframeQueryGeneric* other_query);
        static TframeQueryGeneric* Create (TComponent* owner);
        static bool                Appropriate (string source_table_name);
__published:
        __property SourceTableName;
        __property Indent;
        __property HeightHint;
        __property HostQuery;
};
//---------------------------------------------------------------------------
extern PACKAGE TframeQueryOperator *frameQueryOperator;
//---------------------------------------------------------------------------
#endif
