//---------------------------------------------------------------------------

#ifndef codeQuery_RandomH
#define codeQuery_RandomH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeQueryGeneric.h"
#include "codeQuery_Whole.h"
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TframeQuery_Random : public TframeQueryGeneric
{
__published:	// IDE-managed Components
        TEdit *editNumber;
        TComboBox *comboType;
        TLabel *_labelA;
        TLabel *_labelB;
private:	// User declarations
        set<string> id_queries;
protected:
        void __fastcall SetClip (bool Value);
        void __fastcall SetCache (bool Value);
        string virtual PrepareImpl ();
        void   virtual CleanUpImpl ();
        void __fastcall  virtual ChangeHostedQuery (TframeQueryGeneric* Value);
        void __fastcall  virtual SetSourceTableName (AnsiString Value);
public:
        bool   virtual Valid ();
        string virtual Describe (bool as_html);
        // bool   virtual Same  (TframeQueryGeneric* other_query);
        xValue virtual Save  (bool with_params);
        void   virtual Load  (xValue config, bool with_params);
        static TframeQueryGeneric* Create (TComponent* owner);
        static bool                Appropriate (string source_table_name);
public:		// User declarations
        __fastcall TframeQuery_Random(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TframeQuery_Random *frameQuery_Random;
//---------------------------------------------------------------------------
#endif
