//---------------------------------------------------------------------------

#ifndef codeQuery_SomeH
#define codeQuery_SomeH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include "codeQueryOperator.h"
#include "codeQuery_Whole.h"
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TframeQuery_Some : public TframeQueryOperator
{
__published:	// IDE-managed Components
        TLabel *_labelA;
        TEdit *editMin;
        TLabel *_labelB;
        TEdit *editMax;
        TUpDown *spinMin;
        TUpDown *spinMax;
        TLabel *_labelC;
        void __fastcall spinMaxChangingEx(TObject *Sender,
          bool &AllowChange, short NewValue, TUpDownDirection Direction);
        void __fastcall spinMinChangingEx(TObject *Sender,
          bool &AllowChange, short NewValue, TUpDownDirection Direction);
private:	// User declarations
        set<string> id_queries;
        TframeQuery_Whole * FQueryWhole;
protected:
        string virtual PrepareImpl ();
        void   virtual CleanUpImpl ();
        void __fastcall virtual SetSimple (bool Value);
        void __fastcall virtual ChangeHostedQuery (TframeQueryGeneric* Value);
public:
        bool   virtual Valid ();
        string virtual Describe (bool as_html);
        xValue virtual Save  (bool with_params);
        void   virtual Load  (xValue config, bool with_params);
        static TframeQueryGeneric* Create (TComponent* owner);
        // static bool                Appropriate (string source_table_name);
public:		// User declarations
        __fastcall TframeQuery_Some(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TframeQuery_Some *frameQuery_Some;
//---------------------------------------------------------------------------
#endif
