//---------------------------------------------------------------------------

#ifndef codeQuery__ByGroupH
#define codeQuery__ByGroupH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeQueryGeneric.h"
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <algorithm>
#include "filter.h"
//---------------------------------------------------------------------------
class TframeQuery__ByGroup : public TframeQueryGeneric
{
__published:	// IDE-managed Components
        TLabel *_labelA;
        TListView *listGroups;
private:	// User declarations
        classFilterObject group_filter;
protected:
        string virtual PrepareImpl ();
public:
        bool   virtual Valid ();
        xValue virtual Save  (bool with_params);
        void   virtual Load  (xValue config, bool with_params);
        static TframeQueryGeneric* Create (TComponent* owner);
        static bool                Appropriate (string source_table_name);
public:		// User declarations
        __fastcall TframeQuery__ByGroup(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TframeQuery__ByGroup *frameQuery__ByGroup;
//---------------------------------------------------------------------------
#endif
