//---------------------------------------------------------------------------

#ifndef codeQuery__ConditionsByCodeH
#define codeQuery__ConditionsByCodeH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeQueryGeneric.h"
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include "codeFrameCodeTaxonomy.h"
//---------------------------------------------------------------------------
class TframeQuery__ConditionsByCode : public TframeQueryGeneric
{
__published:	// IDE-managed Components
        TLabel *_labelA;
        TframeCodeTaxonomy *codeCodes;
private:	// User declarations
protected:
        string virtual PrepareImpl ();
        // void   virtual CleanUpImpl ();
public:
        bool   virtual Valid ();
        string virtual Describe (bool as_html);
        xValue virtual Save  (bool with_params);
        void   virtual Load  (xValue config, bool with_params);
        static TframeQueryGeneric* Create (TComponent* owner);
        static bool                Appropriate (string source_table_name);
public:		// User declarations
        __fastcall TframeQuery__ConditionsByCode(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TframeQuery__ConditionsByCode *frameQuery__ConditionsByCode;
//---------------------------------------------------------------------------
#endif
