//---------------------------------------------------------------------------

#ifndef codeQuery__PeopleByAffiliationH
#define codeQuery__PeopleByAffiliationH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeQueryGeneric.h"
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include "filter.h"
#include "codeRubberContainer.h"
#include <Buttons.hpp>
#include <algorithm>
//---------------------------------------------------------------------------
class TframeQuery__PeopleByAffiliation : public TframeQueryGeneric
{
__published:	// IDE-managed Components
        TLabel *lblTribe;
        TDateTimePicker *dateEnrolledOn;
        TRubberContainer *rubberTribes;
        TListView *listTribes;
        TCheckBox *checkRequireCDIB;
        TBitBtn *buttonCheckVerifiableTribes;
        void __fastcall buttonCheckVerifiableTribesClick(TObject *Sender);
private:	// User declarations
        classFilterObject tribe_filter;
protected:
        string virtual PrepareImpl ();
        // void   virtual CleanUpImpl ();
public:
        bool   virtual Valid ();
        string virtual Describe (bool as_html);
        xValue virtual Save  (bool with_params);
        void   virtual Load  (xValue config, bool with_params);
        static TframeQueryGeneric* Create (TComponent* owner);
        static bool                Appropriate (string source_table_name);
public:		// User declarations
        __fastcall TframeQuery__PeopleByAffiliation(TComponent* Owner);
        __fastcall ~TframeQuery__PeopleByAffiliation();
};
//---------------------------------------------------------------------------
extern PACKAGE TframeQuery__PeopleByAffiliation *frameQuery__PeopleByAffiliation;
//---------------------------------------------------------------------------
#endif
