//---------------------------------------------------------------------------

#ifndef codeQuery__PeopleByFirstProceduredH
#define codeQuery__PeopleByFirstProceduredH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeQueryGeneric.h"
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include "codeFrameCodeTaxonomy.h"
//---------------------------------------------------------------------------
class TframeQuery__PeopleByFirstProcedured : public TframeQueryGeneric
{
__published:	// IDE-managed Components
        TLabel *_labelA;
        TLabel *_labelC;
        TEdit *editStartDate;
        TLabel *_labelB;
        TEdit *editStopDate;
        TframeCodeTaxonomy *codeCodes;
private:	// User declarations
protected:
        string virtual PrepareImpl ();
public:
        bool   virtual Valid ();
        string virtual Describe (bool as_html);
        xValue virtual Save  (bool with_params);
        void   virtual Load  (xValue config, bool with_params);
        static TframeQueryGeneric* Create (TComponent* owner);
        static bool                Appropriate (string source_table_name);
public:		// User declarations
        __fastcall TframeQuery__PeopleByFirstProcedured(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TframeQuery__PeopleByFirstProcedured *frameQuery__PeopleByFirstProcedured;
//---------------------------------------------------------------------------
#endif
