//---------------------------------------------------------------------------

#ifndef codeQuery__PeopleByGenderH
#define codeQuery__PeopleByGenderH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeHalfButton.h"
#include "codeQueryGeneric.h"
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <algorithm>
#include "filter.h"
//---------------------------------------------------------------------------
class TframeQuery__PeopleByGender : public TframeQueryGeneric
{
__published:	// IDE-managed Components
        TLabel *_labelA;
        TListView *listGenders;
        THalfButton *buttonListExpand;
        void __fastcall buttonListExpandClick(TObject *Sender);
private:	// User declarations
        bool FListExpanded;
        void __fastcall virtual SetListExpanded(bool Value);
        classFilterObject gender_filter;
protected:
        string virtual PrepareImpl ();
public:
        bool   virtual Valid ();
        xValue virtual Save  (bool with_params);
        void   virtual Load  (xValue config, bool with_params);
        static TframeQueryGeneric* Create (TComponent* owner);
        static bool                Appropriate (string source_table_name);
public:		// User declarations
        __property bool ListExpanded = {read = FListExpanded, write = SetListExpanded};
        __fastcall TframeQuery__PeopleByGender(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TframeQuery__PeopleByGender *frameQuery__PeopleByGender;
//---------------------------------------------------------------------------
#endif
