//---------------------------------------------------------------------------

#ifndef codeQuery__PeopleByLatestMeasurementH
#define codeQuery__PeopleByLatestMeasurementH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeQueryGeneric.h"
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TframeQuery__PeopleByLatestMeasurement : public TframeQueryGeneric
{
__published:	// IDE-managed Components
        TComboBox *comboKey;
        TLabel *_labelD;
        TComboBox *comboOp;
        TEdit *editVal;
        TComboBox *comboVal;
        TPanel *panelVal;
        TLabel *labelUnits;
        TLabel *_labelB;
        TEdit *editStart;
        TEdit *editStop;
        TLabel *_labelC;
        TComboBox *comboAggregate;
        TEdit *editN;
        TLabel *Label1;
        void __fastcall comboOpKeyPress(TObject *Sender, char &Key);
        void __fastcall comboKeyChange(TObject *Sender);
        void __fastcall comboKeyKeyPress(TObject *Sender, char &Key);
        void __fastcall comboAggregateChange(TObject *Sender);
private:	// User declarations
        string q_id;
        string obs_type;
        string obs_opt;
        void RefreshObsQuestionType();
protected:
        string virtual PrepareImpl ();
        // void virtual CleanUpImpl ();
public:
        bool   virtual Valid ();
        string virtual Describe (bool as_html);
        // bool   virtual Same  (TframeQueryGeneric* other_query);
        xValue virtual Save  (bool with_params);
        void   virtual Load  (xValue config, bool with_params);
        static TframeQueryGeneric* Create (TComponent* owner);
        static bool                Appropriate (string source_table_name);
public:		// User declarations
        __fastcall TframeQuery__PeopleByLatestMeasurement(TComponent* Owner);
        __fastcall ~TframeQuery__PeopleByLatestMeasurement();
};
//---------------------------------------------------------------------------
extern PACKAGE TframeQuery__PeopleByLatestMeasurement *frameQuery__PeopleByLatestMeasurement;
//---------------------------------------------------------------------------
#endif
