//PANDORA
#ifndef pandorafunctions
#define pandorafunctions

#include <fstream>
#include <string>
#include <map>

using namespace std;

bool LoadOptionsFromFile(string filename,
                         map<string, map<string, string> > & pandora);
bool SaveOptionsToFile(string filename,
                         map<string, map<string, string> > & pandora);
string StripFirst (string incoming);
string StripLast (string incoming);
bool SplitKeyValue (string incoming, string &key, string &value);
bool IsBracketed (string incoming);

#endif