#ifndef UTILITYHEADERS_H
#define UTILITYHEADERS_H

#ifdef use_tcpip_messaging
#include "tcpip_messaging.h"      // TCP/IP message router
#endif
#ifdef use_prometheus_util
#include "prometheus_util.h"      // stuff that was in util, etc. that's prometheus-specific
#endif
#include "inifile.h"              // ini file loader, uses a map<string, map<string, string> >
#include "lookUpTableClass.h"     // individual lookup table class (combo boxes)
#include "lookUpTableWrapper.h"   // the wrapper for lookup tables (one per project)
#include "lookuptables.h"         // some names of tables, avoid typos
#include "relevant.h"             // message passing and refreshing (one per project)
#include "sqlLib.h"               // sql simplification (atomic database actions)
#include "util.h"                 // string manipulation, Pdate, Ptime, Pstamp, sql-related...
#include "messaging.h"            // mailslot communications
#include "netrefresh.h"           // network version of relevant
#include "filter.h"               // janet's work, revised by philip
#include "repeating.h"            // repeat_spec, date_range, etc.
#include "edit_listview.h"        // filter-ish stuff
//not yet
//#include "temp_files.h"           // track temp files, handle file access permissions, cleanup
#endif
