//---------------------------------------------------------------------------


#ifndef codeActionGenericH
#define codeActionGenericH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include "util.h"
#include "x_serialization.h"
#include "codeActionContainer.h"
#include "query_action_utils.h"
//---------------------------------------------------------------------------
class TframeActionGeneric : public TFrame
{
__published:	// IDE-managed Components
        TSpeedButton *buttonRemove;
        TLabel *_labelDescription;
        void __fastcall buttonRemoveClick(TObject *Sender);
        void __fastcall FrameResize(TObject *Sender);
private:	// User declarations
protected:
        a_factory_appropriate FHowAppropriate;
        a_factory_create      FHowCreate;
        AnsiString FSourceTableName;
        AnsiString __fastcall virtual GetSourceTableName ();
        void       __fastcall virtual SetSourceTableName (AnsiString Value);
        TframeActionContainer* FContainer;
        void       __fastcall SetContainer (TframeActionContainer* Value);
public:
        __fastcall TframeActionGeneric(TComponent* Owner);
        __fastcall virtual ~TframeActionGeneric();

        string virtual GetTag ();
        bool virtual Execute (TIBTransaction* dbTransaction, string source_view_name);
        bool virtual Valid ();
        xValue virtual Save (bool with_params);
        void   virtual Load (xValue config, bool with_params);

        static TframeActionGeneric* Create      (TComponent* owner);
        static bool                 Appropriate (string source_table_name);
        __property a_factory_appropriate HowAppropriate = {read = FHowAppropriate};
        __property a_factory_create      HowCreate      = {read = FHowCreate};
        __property TframeActionContainer* Container = {read = FContainer, write = SetContainer};
__published:
        __property AnsiString SourceTableName = {read = GetSourceTableName, write = SetSourceTableName};
};
//---------------------------------------------------------------------------
extern PACKAGE TframeActionGeneric *frameActionGeneric;
//---------------------------------------------------------------------------
#endif
