//---------------------------------------------------------------------------

#ifndef codeAction__PersonAuditH
#define codeAction__PersonAuditH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeActionGeneric.h"
#include "codeSectionsGeneric.h"
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include "codeFrameCodeTaxonomy.h"
#include "edit_listview.h"
#include <Menus.hpp>
#include "codeSoftDropShadow.h"
//---------------------------------------------------------------------------
class TframeAction__PersonAudit : public TframeActionGeneric
{
__published:	// IDE-managed Components
        TButton *buttonSettingsLoad;
        TButton *buttonSettingsSave;
        TLabel *_labelSettings;
        TPageControl *PageControl1;
        TTabSheet *sheetPerson;
        TTabSheet *sheetConditions;
        TTabSheet *sheetProcedures;
        TTabSheet *sheetObservations;
        TLabel *_labelPersonChartLocation;
        TComboBox *comboPersonChartLocation;
        TLabel *_labelConditionCategory;
        TLabel *_labelConditionCodes;
        TLabel *_labelConditionSubset;
        TListView *listConditions;
        TButton *buttonConditionAdd;
        TEdit *editConditionCategory;
        TButton *buttonConditionRemove;
        TButton *buttonConditionClear;
        TframeCodeTaxonomy *taxonomyConditionCodes;
        TButton *buttonConditionSave;
        TEdit *editConditionCount;
        TComboBox *comboConditionSubset;
        TLabel *_labelProcedureCategory;
        TLabel *_labelProcedureCodes;
        TLabel *_labelProcedureSubset;
        TListView *listProcedures;
        TButton *buttonProcedureAdd;
        TEdit *editProcedureCategory;
        TButton *buttonProcedureRemove;
        TButton *buttonProcedureClear;
        TframeCodeTaxonomy *taxonomyProcedureCodes;
        TButton *buttonProcedureSave;
        TEdit *editProcedureCount;
        TComboBox *comboProcedureSubset;
        TLabel *_labelMeasurementSubset;
        TLabel *_labelNoteToSelf;
        TListView *listMeasurements;
        TButton *buttonMeasurementSave;
        TEdit *editMeasurementCount;
        TComboBox *comboMeasurementSubset;
        void __fastcall buttonSettingsLoadClick(TObject *Sender);
        void __fastcall buttonSettingsSaveClick(TObject *Sender);
        void __fastcall comboConditionSubsetChange(TObject *Sender);
        void __fastcall comboProcedureSubsetChange(TObject *Sender);
        void __fastcall comboMeasurementSubsetChange(TObject *Sender);
        void __fastcall buttonConditionAddClick(TObject *Sender);
        void __fastcall buttonConditionRemoveClick(TObject *Sender);
        void __fastcall buttonConditionClearClick(TObject *Sender);
        void __fastcall buttonConditionSaveClick(TObject *Sender);
        void __fastcall comboConditionSubsetKeyPress(TObject *Sender,
          char &Key);
        void __fastcall comboProcedureSubsetKeyPress(TObject *Sender,
          char &Key);
        void __fastcall comboMeasurementSubsetKeyPress(TObject *Sender,
          char &Key);
        void __fastcall buttonProcedureAddClick(TObject *Sender);
        void __fastcall buttonProcedureRemoveClick(TObject *Sender);
        void __fastcall buttonProcedureClearClick(TObject *Sender);
        void __fastcall buttonProcedureSaveClick(TObject *Sender);
        void __fastcall buttonMeasurementSaveClick(TObject *Sender);
        void __fastcall sheetObservationsShow(TObject *Sender);
private:	// User declarations
        edit_listview list_conditions;
        edit_listview list_procedures;
        edit_listview list_measurements;
        void ConditionSelected ();
        void ProcedureSelected ();
        void MeasurementSelected ();
public:		// User declarations
        xValue virtual Save (bool with_params);
        void   virtual Load (xValue config, bool with_params);
        bool virtual Execute (TIBTransaction* dbTransaction, string source_view_name);
        bool virtual Valid ();
        static TframeActionGeneric* Create      (TComponent* owner);
        static bool                 Appropriate (string source_table_name);

        __fastcall TframeAction__PersonAudit(TComponent* Owner);
        __fastcall ~TframeAction__PersonAudit();
};
//---------------------------------------------------------------------------
extern PACKAGE TframeAction__PersonAudit *frameAction__PersonAudit;
//---------------------------------------------------------------------------
#endif
