//---------------------------------------------------------------------------

#ifndef codeDrawerGenericH
#define codeDrawerGenericH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include <Menus.hpp>
#include <ImgList.hpp>
//---------------------------------------------------------------------------
class TformDrawerGeneric : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TPanel *panelDrawerName;
        TLabel *labelDrawerName;
        TPopupMenu *popupDrawerOptions;
        TMenuItem *menuTop;
        TMenuItem *menuRight;
        TMenuItem *menuBottom;
        TMenuItem *menuLeft;
        TToolBar *toolsDrawer;
        TToolButton *buttonDrawerOptions;
        TImageList *imagesDrawerOptions;
        TToolButton *buttonDrawerAttachment;
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall CreateParams(TCreateParams &Params);
        void __fastcall buttonDrawerOptionsClick(TObject *Sender);
        void __fastcall menuDrawerPositionClick(TObject *Sender);
        void __fastcall popupDrawerOptionsPopup(TObject *Sender);
        void __fastcall buttonDrawerAttachmentClick(TObject *Sender);
        void __fastcall panelDrawerNameMouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
        void __fastcall panelDrawerNameMouseMove(TObject *Sender,
          TShiftState Shift, int X, int Y);
        void __fastcall panelDrawerNameMouseUp(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
        void __fastcall FormDestroy(TObject *Sender);
private:	// User declarations
        TWinControl * kidnapped_control;
        TWinControl * kidnapped_control_parent;

        bool dragging_caption;
        int  dragging_x;
        int  dragging_y;
protected:
        void __fastcall virtual SetDrawerAttached (bool Value);
public:		// User declarations
        __fastcall TformDrawerGeneric(TComponent* Owner);
        void KidnapControl (TWinControl * to_kidnap);
        void UnkidnapControl ();
};
//---------------------------------------------------------------------------
extern PACKAGE TformDrawerGeneric *formDrawerGeneric;
//---------------------------------------------------------------------------
#endif
