//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "codeDrawerHelp.h"
// #include "derivedheaders.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "codeDrawerGeneric"
#pragma link "SHDocVw_OCX"
#pragma resource "*.dfm"
TformDrawerHelp *formDrawerHelp;
//---------------------------------------------------------------------------
__fastcall TformDrawerHelp::TformDrawerHelp(TComponent* Owner)
        : TformDrawerGeneric(Owner)
{
 browserTopic->Navigate(WideString("about:blank"));
 buttonHome->Left = 0;
}
//---------------------------------------------------------------------------
void TformDrawerHelp::SetSourceForm(TObject * Source)
{
 // dynamically determine what form types are appropriate, refresh combo box with list of thingies, and get ready to roll! </enthusiasm>
 // form_names.clear();
 relevant_ids = "";

 // adapted from builder's help file example for ClassParent (TMetaClass not very well described)
 TClass ClassRef;
 string ClassName;
 for (ClassRef = Source->ClassType(); ClassRef != NULL; ClassRef = ClassRef->ClassParent())
 {
  ClassName = AnsiString(String(ClassRef->ClassName())).c_str();
  // form_names.push_back(ClassName);
  if (!relevant_ids.empty())
   relevant_ids += ",";
  relevant_ids += lookupTables->IdOf("help_form_types", ClassName);
  if (ClassName == "TformSpecialGeneric")
   break; // stop here, because the rest is pointless.
 }

 /*
 // fix them up!
 for (vector<string>::iterator i = form_names.begin(); i != form_names.end(); i++)
  *i = "'" + SafeSQLString(*i) + "'";
 */

 buttonHome->Click(); 
}
//---------------------------------------------------------------------------
void __fastcall TformDrawerHelp::browserTopicTitleChange(TObject *Sender,
      BSTR URL)
{
 // in case we want it, AnsiString(WideString(URL)) is the new name (<title></title>) of the page
}
//---------------------------------------------------------------------------
/*
void TformDrawerHelp::AtlasRefresh (int request_number)
{
 string safe_form_names = VecToCommaString(form_names);
 vector<string> relevant_topics;
 // TODO: currently ignoring help_topics.valid (based on permissions, usually)
 string sql = "select help_topics.item from help_topics inner join help_forms_to_topics on help_topics.id = help_forms_to_topics.help_topic_id inner join help_form_types on help_form_types.id = help_forms_to_topics.help_form_id where upper(help_form_types.item) in (" + safe_form_names + ")";
 if (!SqlToVec(dbDatabase, sql, relevant_topics))
  PSay("Error retrieving the list of relevant help topics. Please inform a programmer.", m_database_error, MB_OK);
}
*/
//---------------------------------------------------------------------------

void __fastcall TformDrawerHelp::FormClose(TObject *Sender,
      TCloseAction &Action)
{
 atlas->CancelRequestFrom(this);
 TformDrawerGeneric::FormClose(Sender, Action);
}
//---------------------------------------------------------------------------

void __fastcall TformDrawerHelp::buttonHomeClick(TObject *Sender)
{
 // go home.
  string topic_url = optionsIni["server"]["base_help_url"] + "form_topics.php?forms=" + relevant_ids;
  browserTopic->Navigate(WideString(topic_url.c_str()));
}
//---------------------------------------------------------------------------

void __fastcall TformDrawerHelp::browserTopicProgressChange(
      TObject *Sender, long Progress, long ProgressMax)
{
 // progress bar or somesuch? i hate progress bars. but something. hmmm.
 if (Progress < ProgressMax)
  labelDrawerName->Caption = "Help (Loading...)";
 else
  labelDrawerName->Caption = "Help";
}
//---------------------------------------------------------------------------

