//---------------------------------------------------------------------------

#ifndef codeFrameAssessmentDMEH
#define codeFrameAssessmentDMEH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeFrameAssessmentGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <ToolWin.hpp>
#include "Filter.h"
//---------------------------------------------------------------------------
class TframeAssessmentDME : public TframeAssessmentGeneric
{
__published:	// IDE-managed Components
        TListView *listDME;
        TPanel *panelDME;
        TSplitter *Splitter1;
        TListView *listDMEChecks;
        TLabel *Label1;
        TLabel *lblOther;
        TEdit *editOther;
        void __fastcall listDMEChecksClick(TObject *Sender);
private:	// User declarations
        classFilterObject dme_filter;
        classFilterObject checks_filter;
        int dme_request;
        pvecmap editing_dme_items;
        pvecmap final_ending_state;

        bool Initialize();
        void Lock();
        void TaskIdChanging(const string &new_id);
        void UpdateForEdit();
        bool LockRecords();
        bool DoSaveData();
        void SetViewMode();
        void SetEditMode();
        void FilterAddDME();
        void FilterEditDME();
        bool AtlasNotify(int request_num, string matched_value);
        void SendAtlas();
        bool IsValidOnScreen();
        bool WriteReport(TComponent *compositeReportCtrl);

        void PutUpEquipmentItems(pvecmap &dme_items);
        bool UpdateDMEItem(int record_index, string comment);
        bool InsertDMEItem(string equipment_id, string comment);
        bool DeleteDMEItem(int record_index);

public:		// User declarations
        __fastcall TframeAssessmentDME(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TframeAssessmentDME *frameAssessmentDME;
//---------------------------------------------------------------------------
#endif
