//---------------------------------------------------------------------------

#ifndef codeFrameAssessmentEduH
#define codeFrameAssessmentEduH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeFrameAssessmentGeneric.h"
#include <ComCtrls.hpp>
#include <ImgList.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include "Filter.h"
//---------------------------------------------------------------------------
class TframeAssessmentEdu : public TframeAssessmentGeneric
{
__published:	// IDE-managed Components
        TToolButton *sepThree;
        TToolButton *btnAdd;
        TToolButton *sepFour;
        TToolButton *btnReferral;
        TListView *listEdu;
        TPanel *panelEdu;
        TSplitter *Splitter1;
        TLabel *lblTopic;
        TComboBox *cboTopic;
        TLabel *lblLearner;
        TComboBox *cboLearner;
        TLabel *lblMethod;
        TComboBox *cboMethod;
        TLabel *lblEvaluation;
        TComboBox *cboEvaluation;
        void __fastcall btnAddClick(TObject *Sender);
        void __fastcall btnReferralClick(TObject *Sender);
private:	// User declarations
        classFilterObject edu_filter;
        pmapstrs editing_edu;
        pmapstrs ending_state; // for remembering what was saved
        int edu_request;
        string editing_id;

        bool Initialize();
        void Lock();
        void TaskIdChanging(const string &new_id);
        bool LockRecords();
        bool CanUnlock(bool &creating_new);
        void UpdateForEdit();
        bool SavingNew();
        bool DoSaveData();
        void SetViewMode();
        void SetEditMode();
        void FilterAddEdu();
        void FilterEditEdu();
        bool AtlasNotify(int request_num, string matched_value);
        void SendAtlas();
        bool IsValidOnScreen();
        bool WriteReport(TComponent *compositeReportCtrl);

public:		// User declarations
        __fastcall TframeAssessmentEdu(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TframeAssessmentEdu *frameAssessmentEdu;
//---------------------------------------------------------------------------
#endif
