//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "codeFrameCheckListDropDown.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "codeHalfButton"
#pragma link "codeBaseDropDown"
#pragma resource "*.dfm"
TframeCheckListDropDown *frameCheckListDropDown;
//---------------------------------------------------------------------------
__fastcall TframeCheckListDropDown::TframeCheckListDropDown(TComponent* Owner)
        : TFrame(Owner)
{
 listAvailable->Parent  = comboWhatever->Container;
 listAvailable->Align   = alClient;
 listAvailable->SendToBack();

 filter_available.SetListViewHandle(listAvailable);
 filter_available.SetCompress(false);
 filter_available.SetIconStatus(false);
 filter_available.SetHeader(false);
 filter_available.SetCheck(true);
}
//---------------------------------------------------------------------------
__fastcall TframeCheckListDropDown::~TframeCheckListDropDown()
{
 listAvailable->Parent = this;
}
//---------------------------------------------------------------------------
classFilterObject * __fastcall TframeCheckListDropDown::GetFilter()
{
 return &filter_available;
}
//---------------------------------------------------------------------------
void __fastcall TframeCheckListDropDown::SetFieldName(string Value)
{
 FFieldName = Value;
 RefreshText();
}
//---------------------------------------------------------------------------
void TframeCheckListDropDown::RefreshText()
{
 vector<map<string, string> > all_selected_data = filter_available.GetAllData (false, true);
 set<string> all_selected_strings;
 for (vector<map<string, string> >::iterator i = all_selected_data.begin(); i != all_selected_data.end(); i++)
 {
  string t = (*i)[FFieldName];
  if (t.empty())
   t = "<blank>";
  all_selected_strings.insert(t);
 }
 comboWhatever->Text = SetToCommaString(all_selected_strings).c_str();
}
//---------------------------------------------------------------------------
int __fastcall TframeCheckListDropDown::GetDropDownHeight()
{
 return comboWhatever->DropDownHeight;
}
//---------------------------------------------------------------------------
void __fastcall TframeCheckListDropDown::SetDropDownHeight(int Value)
{
 comboWhatever->DropDownHeight = Value;
}
//---------------------------------------------------------------------------
void __fastcall TframeCheckListDropDown::comboWhateverUp(TObject *Sender)
{
 RefreshText();
 SelectNext(this, true, false); // for some reason, if we do "true, true", it ... goes and selects the PREVIOUS control? i don't get it.
// if (comboWhatever->CanFocus())
//  comboWhatever->SetFocus();
}
//---------------------------------------------------------------------------

