//---------------------------------------------------------------------------
#ifndef codeFrameCheckListDropDownH
#define codeFrameCheckListDropDownH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <ComCtrls.hpp>
#include <Forms.hpp>
#include "utilityheaders.h"
#include "baseheaders.h"
#include "components.h"
#include "codeHalfButton.h"
#include "codeBaseDropDown.h"
//---------------------------------------------------------------------------
class TframeCheckListDropDown : public TFrame
{
__published:	// IDE-managed Components
        TListView *listAvailable;
        TBaseDropDown *comboWhatever;
        void __fastcall comboWhateverUp(TObject *Sender);
private:	// User declarations
        classFilterObject filter_available;
        string FFieldName;
protected:
        classFilterObject * __fastcall GetFilter();
        void __fastcall SetFieldName(string Value);
        int  __fastcall GetDropDownHeight();
        void __fastcall SetDropDownHeight(int Value);
public:		// User declarations
        void RefreshText();
        __fastcall TframeCheckListDropDown(TComponent* Owner);
        __fastcall ~TframeCheckListDropDown();
        __property classFilterObject * Filter = {read = GetFilter};
        __property string DisplayFieldName = {read = FFieldName, write = SetFieldName};
        __property int DropDownHeight = {read = GetDropDownHeight, write = SetDropDownHeight};
};
//---------------------------------------------------------------------------
extern PACKAGE TframeCheckListDropDown *frameCheckListDropDown;
//---------------------------------------------------------------------------
#endif
