//---------------------------------------------------------------------------


#ifndef codeFrameFilterBarH
#define codeFrameFilterBarH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ImgList.hpp>
#include <ToolWin.hpp>
#include "Filter.h"
class TformSpecialGeneric;
//---------------------------------------------------------------------------
class TframeFilterBar : public TFrame
{
__published:	// IDE-managed Components
        TToolBar *tbFilterBar;
        TToolButton *btnEdit;
        TToolButton *sepOne;
        TToolButton *btnAdd;
        TToolButton *sepTwo;
        TToolButton *btnCopy;
        TToolButton *btnDownload;
        TToolButton *btnExport;
        TToolButton *sepThree;
        TToolButton *btnColumns;
        TToolButton *btnHeaders;
        TToolButton *btnPrefs;
        TToolButton *btnRefresh;
        TToolButton *btnModifySQL;
        TToolButton *sepFour;
        TImageList *ilFilterPics;
        TToolButton *btnCheck;
        TToolButton *btnUncheck;
        TToolButton *btnFlipCheck;
        TToolButton *sepFive;
        void __fastcall btnEditClick(TObject *Sender);
        void __fastcall btnAddClick(TObject *Sender);
        void __fastcall btnCopyClick(TObject *Sender);
        void __fastcall btnDownloadClick(TObject *Sender);
        void __fastcall btnExportClick(TObject *Sender);
        void __fastcall btnColumnsClick(TObject *Sender);
        void __fastcall btnHeadersClick(TObject *Sender);
        void __fastcall btnPrefsClick(TObject *Sender);
        void __fastcall btnRefreshClick(TObject *Sender);
        void __fastcall btnModifySQLClick(TObject *Sender);
        void __fastcall btnCheckClick(TObject *Sender);
        void __fastcall btnUncheckClick(TObject *Sender);
        void __fastcall btnFlipCheckClick(TObject *Sender);
private:	// User declarations
        classFilterObject   *filter;
        TformSpecialGeneric *parent_form;

        bool PtrCheck();
public:		// User declarations
        __fastcall TframeFilterBar(TComponent* Owner);
        void SetHandles(TformSpecialGeneric *p_parent_form, classFilterObject *p_filter);
        void SetButtonsStatus();
        void SetEditEnabled(bool enabled);
        void SetAddEnabled(bool enabled);
};
//---------------------------------------------------------------------------
extern PACKAGE TframeFilterBar *frameFilterBar;
//---------------------------------------------------------------------------
#endif
