//---------------------------------------------------------------------------

#ifndef codeFrameSearchTaskBehH
#define codeFrameSearchTaskBehH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeFrameSearchTaskGeneric.h"
//---------------------------------------------------------------------------
class TframeSearchTaskBeh : public TframeSearchTaskGeneric
{
__published:	// IDE-managed Components
        TLabel *lblStaff;
        TComboBox *cboStaff;
        TLabel *lblEventLabel;
        TComboBox *cboEventName;
        TLabel *lblTimeSpent;
        TEdit *editMinTime;
        TLabel *lblMaxTime;
        TEdit *editMaxTime;
        TLabel *lblMinMileage;
        TEdit *editMinMileage;
        TLabel *lblMaxMileage;
        TEdit *editMaxMileage;
        TLabel *lblTaskType;
        TComboBox *cboTaskType;
        TLabel *lblMethod;
        TComboBox *cboMethod;
        TLabel *lblDirection;
        TComboBox *cboDirection;
        TLabel *lblMeeting;
        TComboBox *cboMeeting;
        TLabel *lblActivity;
        TComboBox *cboActivity;
        TLabel *lblVisitType;
        TComboBox *cboVisitType;
        TLabel *lblLocation;
        TComboBox *cboLocation;
        TLabel *lblService;
        TComboBox *cboService;
        TLabel *lblProgramType;
        TComboBox *cboProgramType;
        TLabel *lblNewClient;
        TCheckBox *checkNew;
private:	// User declarations
        void RegisterControls(TformSearchTask *task_form);
        void SetFilterSecurity(classFilterObject *cfoTaskFilter);
        void AddFilterColumnSpecs(classFilterObject *cfoTaskFilter);
        void SetFilterPreferences(classFilterObject *cfoTaskFilter);
        string GetSelectSQL();
        string GetFromSQL();
        vector<string> GetGroups();
public:		// User declarations
        __fastcall TframeSearchTaskBeh(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TframeSearchTaskBeh *frameSearchTaskBeh;
//---------------------------------------------------------------------------
#endif
