//---------------------------------------------------------------------------

#ifndef codeFrameTinyRecord_AddressH
#define codeFrameTinyRecord_AddressH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeFrameTinyRecordGeneric.h"
#include "codeHalfButton.h"
#include "codeInlineContainer.h"
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TframeTinyRecord_Address : public TframeTinyRecordGeneric
{
__published:	// IDE-managed Components
        TInlineContainer *inlineAddress;
        TPanel *panelPhone;
        TLabel *lblPhoneNumber;
        TEdit *editPhone;
        TPanel *panelAddress;
        TLabel *lblAddressLine1;
        TEdit *editLine1;
        TEdit *editLine2;
        TPanel *panelZip;
        TLabel *lblZip;
        TEdit *editZip;
        THalfButton *buttonZipLookup;
        TPanel *panelCity;
        TLabel *lblCity;
        TComboBox *comboCity;
        TPanel *panelState;
        TLabel *lblState;
        TComboBox *comboState;
        TPanel *panelCounty;
        TLabel *lblCounty;
        TComboBox *comboCounty;
        TPanel *panelCountry;
        TLabel *lblCountry;
        TComboBox *comboCountry;
        void __fastcall inlineAddressArrange(TObject *Sender);
        void __fastcall panelButtonsResize(TObject *Sender);
        void __fastcall buttonZipLookupClick(TObject *Sender);
        void __fastcall comboStateChange(TObject *Sender);
        void __fastcall comboStateExit(TObject *Sender);
        void __fastcall editZipKeyPress(TObject *Sender, char &Key);
private:	// User declarations
protected:
        void virtual __fastcall SetExpanded (bool Value);
public:		// User declarations
        bool virtual Valid ();
        __fastcall TframeTinyRecord_Address(TComponent* Owner);
        __fastcall ~TframeTinyRecord_Address();
};
//---------------------------------------------------------------------------
extern PACKAGE TframeTinyRecord_Address *frameTinyRecord_Address;
//---------------------------------------------------------------------------
#endif
