//---------------------------------------------------------------------------

#ifndef codeFrameTinyRecord_InsuranceCoverageH
#define codeFrameTinyRecord_InsuranceCoverageH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeFrameTinyRecordGeneric.h"
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include "codeInlineContainer.h"
#include "codeFrameTinyRecord_TaxEntity.h"
#include "codeFrameTinyRecordMagic.h"
#include "codeFrameTinyRecord_InsurancePolicy.h"
#include "codePaddedBox.h"
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TframeTinyRecord_InsuranceCoverage : public TframeTinyRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelDetails;
        TPanel *panelBottom;
        TPanel *panelPolicy;
        TLabel *_labelPolicy;
        TframeTinyRecord_InsurancePolicy *framePolicy;
        TPanel *panelPCP;
        TLabel *_labelPCP;
        TframeTinyRecord_TaxEntity *framePCP;
        TLabel *labelDescription;
        TPanel *panelCoverage;
        TPanel *panelName;
        TLabel *lblName;
        TEdit *editName;
        TPanel *panelCode;
        TLabel *lblPersonCode;
        TEdit *editPersonCode;
        TPanel *panelDates;
        TLabel *lblEffectiveDate;
        TLabel *lblTerminated;
        TEdit *editEffectiveDate;
        TEdit *editTerminatedDate;
        TPanel *panelArrow;
        TImage *imageArrow;
        TPaddedBox *paddedSuggestions;
        TLabel *labelSuggestions;
        void __fastcall FrameResize(TObject *Sender);
        void __fastcall panelResize(TObject *Sender);
        void __fastcall panelButtonsResize(TObject *Sender);
private:	// User declarations
        string FPersonId;
protected:
        void __fastcall virtual SetExpanded (bool Value);
        string __fastcall virtual GetSourceTableName ();
        void __fastcall virtual SetConcentrator (tr_magic_concentrator * Value);
        void __fastcall virtual SetId (string Value);
        void __fastcall PolicyChanged(TObject *Sender);
public:		// User declarations
        bool virtual Valid ();
        bool virtual Save (TIBTransaction * dbTransaction);
        __fastcall TframeTinyRecord_InsuranceCoverage(TComponent* Owner);
        static TframeTinyRecordGeneric* Create(TComponent* Owner);
        __property string PersonId = {read = FPersonId, write = FPersonId};
};
//---------------------------------------------------------------------------
extern PACKAGE TframeTinyRecord_InsuranceCoverage *frameTinyRecord_InsuranceCoverage;
//---------------------------------------------------------------------------
#endif
