//---------------------------------------------------------------------------

#ifndef codeFrameTinyRecord_PersonAddressH
#define codeFrameTinyRecord_PersonAddressH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeFrameTinyRecord_Address.h"
#include "codeHalfButton.h"
#include "codeInlineContainer.h"
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TframeTinyRecord_PersonAddress : public TframeTinyRecord_Address
{
__published:	// IDE-managed Components
        TPanel *panelType;
        TLabel *_labelType;
        TComboBox *comboType;
private:	// User declarations
        string FPersonId;
protected:
        void virtual __fastcall SetId (string Value);
        string virtual __fastcall GetSourceTableName ();
public:		// User declarations
        bool virtual Valid ();
        bool virtual Save (TIBTransaction * dbTransaction);

        __fastcall TframeTinyRecord_PersonAddress(TComponent* Owner);
        __fastcall ~TframeTinyRecord_PersonAddress();
        static TframeTinyRecordGeneric* Create(TComponent* Owner);
        __property string PersonId = {read = FPersonId, write = FPersonId};
};
//---------------------------------------------------------------------------
extern PACKAGE TframeTinyRecord_PersonAddress *frameTinyRecord_PersonAddress;
//---------------------------------------------------------------------------
#endif
