//---------------------------------------------------------------------------

#ifndef codeFrameTinyRecord_PersonNameH
#define codeFrameTinyRecord_PersonNameH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeFrameTinyRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include "codeInlineContainer.h"
//---------------------------------------------------------------------------
class TframeTinyRecord_PersonName : public TframeTinyRecordGeneric
{
__published:	// IDE-managed Components
        TInlineContainer *inlineName;
        TPanel *panelFirst;
        TLabel *_labelFirst;
        TEdit *editFirst;
        TPanel *panelMiddle;
        TLabel *_labelMiddle;
        TEdit *editMiddle;
        TPanel *panelLast;
        TLabel *_labelLast;
        TEdit *editLast;
        TPanel *panelPrefix;
        TLabel *_labelPrefix;
        TEdit *editPrefix;
        TPanel *panelSuffix;
        TLabel *_labelSuffix;
        TEdit *editSuffix;
        void __fastcall inlineNameResize(TObject *Sender);
        void __fastcall buttonBusinessClick(TObject *Sender);
        void __fastcall panelButtonsResize(TObject *Sender);
        void __fastcall editAnyExit(TObject *Sender);
        void __fastcall editAnyChange(TObject *Sender);
private:	// User declarations
        bool should_send_change;
        bool FBusiness;
        string FPersonId;
protected:
        void virtual __fastcall SetBusiness (bool Value);
        void virtual __fastcall SetExpanded (bool Value);
        void __fastcall SetId (string Value);
        string __fastcall virtual GetSourceTableName ();
public:		// User declarations
        bool virtual Valid ();
        bool virtual Save (TIBTransaction * dbTransaction);

        __property bool Business = {read = FBusiness, write = SetBusiness};

        static TframeTinyRecordGeneric* Create(TComponent* Owner);
        __fastcall TframeTinyRecord_PersonName(TComponent* Owner);
        __property string PersonId = {read = FPersonId, write = FPersonId};
};
//---------------------------------------------------------------------------
extern PACKAGE TframeTinyRecord_PersonName *frameTinyRecord_PersonName;
//---------------------------------------------------------------------------
#endif
