//---------------------------------------------------------------------------

#ifndef codeFrameTinyRecord_RelationshipH
#define codeFrameTinyRecord_RelationshipH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeFrameTinyRecord_Person.h"
#include "codeFrameTinyRecordGeneric.h"
#include "codeFrameTinyRecordMagic.h"
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include "codeFrameCheckListDropDown.h"
//---------------------------------------------------------------------------
class TframeTinyRecord_Relationship : public TframeTinyRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelTop;
        TPanel *panelBottom;
        TframeTinyRecord_Person *framePerson;
        TPanel *panelRel;
        TLabel *labelPersonA;
        TLabel *labelPersonB;
        TComboBox *comboRelA;
        TComboBox *comboRelB;
        TLabel *_labelAndA;
        TLabel *_labelAndB;
        TPanel *panelDesc;
        TLabel *labelDesc;
        TCheckBox *checkHousehold;
        TframeCheckListDropDown *checkExtraA;
        TframeCheckListDropDown *checkExtraB;
        void __fastcall panelBottomResize(TObject *Sender);
        void __fastcall FrameResize(TObject *Sender);
        void __fastcall panelButtonsResize(TObject *Sender);
        void __fastcall framePersonChanged(TObject *Sender);
        void __fastcall comboRelChange(TObject *Sender);
        void __fastcall comboRelExit(TObject *Sender);
private:	// User declarations
        TframeTinyRecord_Person *FParentPerson;
protected:
        void virtual __fastcall SetExpanded (bool Value);
        string __fastcall virtual GetSourceTableName ();
        void __fastcall virtual SetId (string Value);
        void virtual __fastcall SetConcentrator (tr_magic_concentrator * Value);
        void __fastcall SetParentPerson (TframeTinyRecord_Person* Value);
public:		// User declarations
        bool virtual Valid ();
        bool virtual Save (TIBTransaction * dbTransaction);

        static TframeTinyRecordGeneric* Create(TComponent* Owner);
        __fastcall TframeTinyRecord_Relationship(TComponent* Owner);
        __fastcall ~TframeTinyRecord_Relationship();
        __property TframeTinyRecord_Person* ParentPerson = {read = FParentPerson, write = SetParentPerson};
};
//---------------------------------------------------------------------------
extern PACKAGE TframeTinyRecord_Relationship *frameTinyRecord_Relationship;
//---------------------------------------------------------------------------
#endif
