//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "codeFrameTreeDropDown.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TframeTreeDropDown *frameTreeDropDown;
//---------------------------------------------------------------------------
__fastcall TframeTreeDropDown::TframeTreeDropDown(TComponent* Owner)
        : TFrame(Owner)
{
 buttonDropDown->Left = this->Width - buttonDropDown->Width;
 labelSelection->Caption = "";

 t = new TForm((TComponent*)NULL);
 t->Height       = 320;
 t->BorderStyle  = bsNone;
 t->BorderWidth  = 1;
 t->Color        = clBlack;
 t->OnDeactivate = this->FrameExit;
 // TODO: try OnHide to make focus go back? not necessary anymore? seems to work. try if other things fail.
 // TODO: add a resize grip handle thing to the bottom-right, as per IE's auto-complete drop-down (drawing code, at least, is in specialgeneric)

 // t->FormStyle   = fsStayOnTop;
 treeValues->Parent  = t;
 treeValues->Visible = true;
 treeValues->Align   = alClient;
}
//---------------------------------------------------------------------------
__fastcall TframeTreeDropDown::~TframeTreeDropDown()
{
 treeValues->Visible = false;
 treeValues->Parent = this;
 delete t;
}
//---------------------------------------------------------------------------
void __fastcall TframeTreeDropDown::buttonDropDownClick(TObject *Sender)
{
 // drop-down
 last_active = Screen->ActiveForm;

 TPoint b;
 b.x = 0; // this->Left;
 b.y = 0; // this->Top;
 b = this->ClientToScreen(b);
 t->Left    = b.x;
 t->Top     = b.y + this->Height; // would be this - 2 if it were IE's auto-complete, but normal drop-downs are flush, not overlapping
 t->Width   = max(60, this->Width);
 t->Visible = true; // t->Show(); // Modal();
 t->SetFocus();
 this->Enabled = false;
}
//---------------------------------------------------------------------------
void __fastcall TframeTreeDropDown::FrameExit(TObject *Sender)
{
 t->Visible = false;
 this->Enabled = true;
}
//---------------------------------------------------------------------------
void __fastcall TframeTreeDropDown::FrameResize(TObject *Sender)
{
 // shouldn't be necessary? but had some problems. better safe than not.
 buttonDropDown->Left = this->Width - buttonDropDown->Width;
}
//---------------------------------------------------------------------------
void __fastcall TframeTreeDropDown::treeValuesChange(TObject *Sender,
      TTreeNode *Node)
{
 // was something selected, maybe?
 if (treeValues->Selected)
 {
  FrameExit(Sender);
  // debug
  // last_active = (TForm*)ValidParentForm(this);
  // if (last_active && last_active->Visible)
   // last_active->SetFocus();
  // TODO: something recursive, showing all parent folder names too? "Alpha\Beta\Item" ?
  labelSelection->Caption = treeValues->Selected->Text;
 }
}
//---------------------------------------------------------------------------
