//---------------------------------------------------------------------------

#ifndef codeLoginBoxH
#define codeLoginBoxH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>

#include "utilityheaders.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformLoginBox : public TForm
{
__published:	// IDE-managed Components
        TGroupBox *groupLogin;
        TPanel *panelTop;
        TLabel *labelWarning;
        TLabel *labelPassword;
        TLabel *labelUsername;
        TButton *buttonCancel;
        TButton *buttonLogin;
        TEdit *editPassword;
        TEdit *editUsername;
        TPanel *panelBottom;
        TLabel *lblDatabases;
        TLabel *lblDatabases2;
        TListView *listDatabases;
        TBevel *bevelDatabases;
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall FormShow(TObject *Sender);
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall FormPaint(TObject *Sender);
private:	// User declarations
        bool must_choose_database;
        string *db_override_section;
        edit_listview* DatabasesListview;
        string * username;
        string * password;
        void dbselected ();
public:		// User declarations
        __fastcall TformLoginBox(TComponent* Owner, string * p_username, string * p_password, bool do_database_prompt, string *p_db_override_section);
};
//---------------------------------------------------------------------------
extern PACKAGE TformLoginBox *formLoginBox;
//---------------------------------------------------------------------------
#endif
