//---------------------------------------------------------------------------

#ifndef codeRecordAffiliationsH
#define codeRecordAffiliationsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRecordGeneric.h"
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordAffiliation : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblNameLabel;
        TLabel *lblCDIB;
        TEdit *editCDIB;
        TLabel *lblTribe;
        TComboBox *cboTribe;
        TLabel *lblJoinDate;
        TEdit *editJoin;
        TLabel *lblRelDate;
        TEdit *editRel;
        TStaticText *lblName;
        TPanel *panelSelectArea;
        TStaticText *staticHeaderInformation;
private:	// User declarations
public:		// User declarations
        __fastcall TformRecordAffiliation(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordAffiliation *formRecordAffiliation;
//---------------------------------------------------------------------------
#endif
