//---------------------------------------------------------------------------

#ifndef codeRecordBugH
#define codeRecordBugH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformRecordBug : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblCreatedBy;
        TLabel *lblReportedBy;
        TLabel *lblClaimedBy;
        TLabel *lblFixedBy;
        TLabel *lblPriority;
        TLabel *lblNotes;
        TComboBox *cboPriority;
        TComboBox *cboFixedBy;
        TComboBox *cboClaimedBy;
        TComboBox *cboReportedBy;
        TLabel *lblCreatedOn;
        TLabel *lblReportedOn;
        TLabel *lblClaimedOn;
        TLabel *lblFixedOn;
        TLabel *lblStatus;
        TComboBox *cboStatus;
        TEdit *editFixedOn;
        TEdit *editClaimedOn;
        TEdit *editReportedOn;
        TLabel *lblCreatedByUser;
        TEdit *editDueOn;
        TLabel *lblDueOn;
        TLabel *lblType;
        TComboBox *cboType;
        TLabel *lblCreatedFor;
        TComboBox *cboCreatedFor;
        TLabel *lblCreatedForLabel;
        TRadioButton *radioGroup;
        TRadioButton *radioUser;
        TPanel *panelSelectArea;
        TStaticText *staticHeaderInformation;
        TLabel *lblCreatedOnDate;
        TPanel *panelNotes;
        TPanel *panelNotesTop;
        TPanel *panelNotesBottom;
        TSplitter *splitNotes;
        TMemo *memoNote;
        TRubberContainer *rubberNotes;
        TListView *listNotes;
        void __fastcall radioClick(TObject *Sender);
        void __fastcall listNotesSelectItem(TObject *Sender,
          TListItem *Item, bool Selected);
private:	// User declarations
        int lastRadioChecked;
        classFilterObject notes_filter;
        int notes_request;
public:		// User declarations
        __fastcall TformRecordBug(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        bool CheckForUselessRecord();
        bool NotNewAnymore();
        bool IsNewAgain();
        bool AtlasRefreshListViews(int request_num, string matched_value);
        void AddNote();
        void EditNote();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordBug *formRecordBug;
//---------------------------------------------------------------------------
#endif
