//---------------------------------------------------------------------------

#ifndef codeRecordBugNotesH
#define codeRecordBugNotesH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformRecordBugNotes : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblNote;
        TComboBox *cboType;
        TLabel *lblType;
        TLabel *lblDateOfPost;
        TLabel *lblCreationDate;
        TLabel *lblBug;
        TStaticText *txtBug;
        TRichEdit *editNote;
        TLabel *lblPostedBy;
        TLabel *lblCreatedBy;
        TLabel *lblStatusLabel;
        TLabel *lblStatus;
private:	// User declarations
public:		// User declarations
        __fastcall TformRecordBugNotes(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordBugNotes *formRecordBugNotes;
//---------------------------------------------------------------------------
#endif
