//---------------------------------------------------------------------------

#ifndef codeRecordCallLogH
#define codeRecordCallLogH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordCallLog : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblCallerName;
        TLabel *lblEmployee;
        TComboBox *cboEmployee;
        TEdit *editCallerName;
        TLabel *lblNotes;
        TRichEdit *editNotes;
private:	// User declarations
public:		// User declarations
        __fastcall TformRecordCallLog(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordCallLog *formRecordCallLog;
//---------------------------------------------------------------------------
#endif
