//---------------------------------------------------------------------------

#ifndef codeRecordChartH
#define codeRecordChartH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordChart : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblNameLabel;
        TLabel *lblLocation;
        TLabel *lblChartNumber;
        TComboBox *cboLocation;
        TEdit *editChartNumber;
        TStaticText *txtPerson;
private:	// User declarations
        string GroupShortItem();
        bool _CanView();
        bool _CanUpdate();
        bool _CanInsert();
public:		// User declarations
        __fastcall TformRecordChart(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordChart *formRecordChart;
//---------------------------------------------------------------------------
#endif
