//---------------------------------------------------------------------------

#ifndef codeRecordCheckH
#define codeRecordCheckH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordCheck : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TListView *listPRs;
        TPanel *panelGroup;
        TLabel *lblCheckNum;
        TLabel *lblDateSent;
        TDateTimePicker *dateSent;
        TEdit *editCheckNumber;
        TLabel *lblPRs;
        TStaticText *txtTaxEntity;
        TStaticText *staticVoidCheck;
        TStaticText *txtPrintCheckJustification;
        TStaticText *staticBetaModifyTransactions;
        TStaticText *staticTransactionSummary;
        void __fastcall txtPrintCheckJustificationClick(TObject *Sender);
        void __fastcall staticVoidCheckClick(TObject *Sender);
        void __fastcall staticModifyCheckClick(TObject *Sender);
        void __fastcall staticBetaModifyTransactionsClick(TObject *Sender);
        void __fastcall staticTransactionSummaryClick(TObject *Sender);
private:	// User declarations
        classFilterObject purchase_reqs_filter;
        int purchase_reqs_request;
public:		// User declarations
        __fastcall TformRecordCheck(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        bool NotNewAnymore();
        bool IsNewAgain();
        bool AtlasRefreshListView(int request_num, string matched_value);
        void EditPR();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordCheck *formRecordCheck;
//---------------------------------------------------------------------------
#endif
