//---------------------------------------------------------------------------

#ifndef codeRecordComDrugH
#define codeRecordComDrugH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include <Menus.hpp>
#include "codeHalfButton.h"
//---------------------------------------------------------------------------
class TformRecordComDrug : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblRxNumber;
        TLabel *lblFrequency;
        TLabel *lblDose;
        TLabel *lblMedType;
        TLabel *lblDiscontinueDate;
        TLabel *lblOrderDate;
        TLabel *lblStatus;
        TComboBox *cboStatus;
        TComboBox *cboMedicationType;
        TEdit *editDose;
        TComboBox *cboFrequency;
        TEdit *editRxNumber;
        TEdit *editDateOrdered;
        TEdit *editDateDiscont;
        TLabel *lblPurpose;
        TEdit *editPurpose;
        TLabel *lblNotes;
        TRichEdit *editNotes;
        TLabel *lblName;
        TStaticText *staticName;
        TBitBtn *btnPatientSearch;
        TLabel *lblMedication;
        TEdit *editMedication;
        THalfButton *hbtnSearchFDA;
        THalfButton *hbtnLookupFDA;
       // void __fastcall cboMedicationTypeOnKeyPress(TObject *Sender,
       //   char &Key);
       // void __fastcall cboFrequencyOnKeyPress(TObject *Sender, char &Key);
       // void __fastcall cboStatusOnKeyPress(TObject *Sender, char &Key);
        void __fastcall btnPatientSearchClick(TObject *Sender);
       // void __fastcall staticNameClick(TObject *Sender);
        void __fastcall txtTaskClick(TObject *Sender);
        void __fastcall hbtnSearchFDAClick(TObject *Sender);
        void __fastcall hbtnLookupFDAClick(TObject *Sender);

private:	// User declarations
public:		// User declarations
        __fastcall TformRecordComDrug(TComponent* Owner, map<string,string> temp_map);
         bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordComDrug *formRecordComDrug;
//---------------------------------------------------------------------------
#endif
