//---------------------------------------------------------------------------

#ifndef codeRecordComHealthH
#define codeRecordComHealthH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordComHealth : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelEducation;
        TLabel *lblTopic;
        TLabel *lblLearner;
        TLabel *lblMethod;
        TLabel *lblEvaluation;
        TComboBox *cboTopic;
        TComboBox *cboLearner;
        TComboBox *cboMethod;
        TComboBox *cboEvaluation;
        TStaticText *lblVisit;
        TLabel *lblTask;
        TStaticText *txtPerson;
        TBitBtn *btnVisitSearch;
        TLabel *lblName;
        void __fastcall btnVisitSearchClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        
private:	// User declarations
        TIBTransaction * dbTransaction;
        string person;
public:		// User declarations
        __fastcall TformRecordComHealth(TComponent* Owner,map<string,string> temp_map);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordComHealth *formRecordComHealth;
//---------------------------------------------------------------------------
#endif
