//---------------------------------------------------------------------------

#ifndef codeRecordContactInfoH
#define codeRecordContactInfoH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Menus.hpp>
#include <Buttons.hpp>
#include "codeHalfButton.h"
//---------------------------------------------------------------------------
class TformRecordContactInfo : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblNameLabel;
        TStaticText *txtPerson;
        TLabel *lblAddressLine1;
        TEdit *editLine1;
        TEdit *editLine2;
        TLabel *lblCity;
        TLabel *lblState;
        TComboBox *cboState;
        TLabel *lblZip;
        TEdit *editZip;
        TLabel *lblResidenceType;
        TComboBox *cboResidence;
        TLabel *lblTrustLands;
        TCheckBox *checkTrust;
        TLabel *lblNotes;
        TLabel *lblPhoneNumber;
        TEdit *editPhone;
        TLabel *lblPlace;
        TComboBox *cboLocation;
        TLabel *lblEmail;
        TEdit *editEmail;
        TLabel *lblCountry;
        TComboBox *cboCountry;
        TRichEdit *editNotes;
        TLabel *lblCounty;
        TComboBox *cboCounty;
        TComboBox *cboCity;
        THalfButton *btnZipLookup;
        THalfButton *btnEmail;
        void __fastcall btnZipLookupClick(TObject *Sender);
        void __fastcall cboStateChange(TObject *Sender);
        void __fastcall cboStateExit(TObject *Sender);
        void __fastcall editZipKeyPress(TObject *Sender, char &Key);
        void __fastcall editEmailKeyPress(TObject *Sender, char &Key);
        void __fastcall btnEmailClick(TObject *Sender);
private:	// User declarations
//        void CountyLookup();
public:		// User declarations
        __fastcall TformRecordContactInfo(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordContactInfo *formRecordContactInfo;
//---------------------------------------------------------------------------
#endif
