//---------------------------------------------------------------------------

#ifndef codeRecordDeferredCOBH
#define codeRecordDeferredCOBH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TformRecordDeferredCOB : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TLabel *lblPerson;
        TLabel *lblReferredBy;
        TLabel *lblService;
        TStaticText *txtReferredBy;
        TStaticText *txtPerson;
        TStaticText *txtService;
        TPanel *panelSearchBtns;
        TBitBtn *btnPersonSearch;
        TBitBtn *btnReferredSearch;
        TBitBtn *btnServiceSearch;
        TPanel *panelReason;
        TLabel *lblReason;
        TLabel *lblStatus;
        TComboBox *cboReason;
        TComboBox *cboStatus;
        TPanel *panelDate;
        TDateTimePicker *dateDeferred;
        TLabel *lblDate;
        TCheckBox *checkApproved;
        TLabel *lblCOB;
        TLabel *lblDenial;
        TStaticText *txtCOB;
        TStaticText *txtDenial;
        TPanel *panelSearch2;
        TBitBtn *btnCOBSearch;
        TBitBtn *btnDenialSearch;
        TStaticText *txtPrintLetter;
        TPanel *panelComments;
        TLabel *lblComments;
        TMemo *memoComments;
        void __fastcall btnPersonSearchClick(TObject *Sender);
        void __fastcall btnReferredSearchClick(TObject *Sender);
        void __fastcall btnServiceSearchClick(TObject *Sender);
        void __fastcall btnCOBSearchClick(TObject *Sender);
        void __fastcall btnDenialSearchClick(TObject *Sender);
        void __fastcall txtPrintLetterClick(TObject *Sender);
private:	// User declarations
        bool ScreenStart();
        bool ScreenStop();
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenLock();
        bool ScreenUnlock();
        bool IsNewAgain();
        bool NotNewAnymore();
        
public:		// User declarations
        __fastcall TformRecordDeferredCOB(TComponent* Owner, map<string,string> p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordDeferredCOB *formRecordDeferredCOB;
//---------------------------------------------------------------------------
#endif
