//---------------------------------------------------------------------------

#ifndef codeRecordDenialH
#define codeRecordDenialH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
#include <Buttons.hpp>
#include "codeFrameFilterBar.h"
//---------------------------------------------------------------------------
class TformRecordDenial : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TStaticText *txtPerson;
        TStaticText *txtService;
        TPanel *panelGroup;
        TLabel *lblPerson;
        TLabel *lblService;
        TLabel *lblLetters;
        TBitBtn *btnPersonSearch;
        TBitBtn *btnServiceSearch;
        TRubberContainer *rubberReasons;
        TListView *listLetters;
        TframeFilterBar *frameFilterBar;
        void __fastcall btnPersonSearchClick(TObject *Sender);
        void __fastcall btnServiceSearchClick(TObject *Sender);
private:	// User declarations
        string tax_entity_id;
        classFilterObject letters_filter;
        int letters_request;
public:		// User declarations
        __fastcall TformRecordDenial(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenLock();
        bool ScreenUnlock();
        bool NotNewAnymore();
        bool IsNewAgain();
        bool AfterSave();
        bool BeforeSave();
        bool AtlasRefresh(int request_num, string matched_value);
        void AddLetter();
        void EditLetter();
        //bool CheckForUselessRecord();
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordDenial *formRecordDenial;
//---------------------------------------------------------------------------
#endif
