//---------------------------------------------------------------------------

#ifndef codeRecordEnrollmentH
#define codeRecordEnrollmentH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRecordGeneric.h"
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <Buttons.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformRecordEnrollment : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblNameLabel;
        TLabel *lblStatus;
        TComboBox *cboStatus;
        TStaticText *lblName;
        TComboBox *cboType;
        TLabel *lblType;
        TLabel *lblTypeValue;
        TLabel *lblPCP;
        TBitBtn *btnPCPSearch;
        TStaticText *txtPCP;
        TLabel *lblLastPCP;
        TStaticText *txtLastPCP;
        TGroupBox *groupChange;
        TComboBox *cboChange;
        TButton *btnChange;
        TRubberContainer *rubberChanges;
        TListView *listChanges;
        TLabel *lblEnrollmentNumber;
        TLabel *lblJoinDate;
        TLabel *lblRelDate;
        TEdit *editEnrollmentNumber;
        TEdit *editAdmit;
        TEdit *editRemit;
        TButton *btnGenerate;
        TTimer *timerReset;
        void __fastcall cboTypeChange(TObject *Sender);
        void __fastcall btnPCPSearchClick(TObject *Sender);
        void __fastcall btnChangeClick(TObject *Sender);
        void __fastcall btnGenerateClick(TObject *Sender);
        void __fastcall timerResetTimer(TObject *Sender);
private:	// User declarations
        bool ConflictsWithExistingRecord();
        void UpdateEnrollmentStatus();
        string last_provider_id;
        //string provider_id;
        string generator_name;
public:		// User declarations
        __fastcall TformRecordEnrollment(TComponent* Owner, map<string,string> p_parameters);
        void RefreshListView(int request_num, string matched_value);
        bool IsValidOnScreen();
        bool IsNewAgain();
        bool NotNewAnymore();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        bool BeforeSave();
        bool DeleteRecord();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordEnrollment *formRecordEnrollment;
//---------------------------------------------------------------------------
#endif
