//---------------------------------------------------------------------------

#ifndef codeRecordEntityIDsH
#define codeRecordEntityIDsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformRecordEntityIDs : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblTaxEntity;
        TLabel *lblIDType;
        TLabel *lblIDValue;
        TComboBox *cboIDType;
        TStaticText *txtTaxEntity;
        TEdit *editIDValue;
private:	// User declarations
        bool ConflictsWithExistingRecord();
public:		// User declarations
        __fastcall TformRecordEntityIDs(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordEntityIDs *formRecordEntityIDs;
//---------------------------------------------------------------------------
#endif
