//---------------------------------------------------------------------------

#ifndef codeRecordEventActivityH
#define codeRecordEventActivityH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformRecordEventActivity : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroupBox;
        TLabel *lblDate;
        TDateTimePicker *dateActivity;
        TLabel *lblTime;
        TEdit *editTime;
        TEdit *editDistance;
        TLabel *lblDistance;
        TComboBox *cboActivity;
        TLabel *lblActivity;
        TLabel *lblIntensity;
        TComboBox *cboIntensity;
        TLabel *lblSteps;
        TEdit *editSteps;
private:	// User declarations
        string event_id;
public:		// User declarations
        __fastcall TformRecordEventActivity(TComponent* Owner, map<string,string> & p_parameters);
        bool IsValidOnScreen ();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        bool BeforeSave();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordEventActivity *formRecordEventActivity;
//---------------------------------------------------------------------------
#endif
