//---------------------------------------------------------------------------

#ifndef codeRecordEventRollItemH
#define codeRecordEventRollItemH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TformRecordEventRollItem : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TLabel *lblRollSheet;
        TStaticText *txtRollSheet;
        TGroupBox *groupPerson;
        TBevel *Bevel1;
        TLabel *lblPerson;
        TLabel *lblNoPerson;
        TStaticText *txtPerson;
        TBitBtn *btnPersonSearch;
        TPanel *panelGroup;
        TLabel *lblPrefix;
        TEdit *editPrefix;
        TLabel *lblFirstName;
        TEdit *editFirstName;
        TLabel *lblMiddleName;
        TEdit *editMiddleName;
        TLabel *lblLastName;
        TEdit *editLastName;
        TLabel *lblSuffix;
        TEdit *editSuffix;
        TLabel *lblAge;
        TEdit *editAge;
        TLabel *lblGender;
        TComboBox *cboGender;
        void __fastcall btnPersonSearchClick(TObject *Sender);
        void __fastcall txtRollSheetClick(TObject *Sender);
private:	// User declarations
        bool ScreenStart();
        bool ScreenStop();
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool BeforeSave();
        bool ScreenLock();
        bool ScreenUnlock();
        bool AfterSave();
public:		// User declarations
        __fastcall TformRecordEventRollItem(TComponent* Owner, map<string, string> &p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordEventRollItem *formRecordEventRollItem;
//---------------------------------------------------------------------------
#endif
