//---------------------------------------------------------------------------

#ifndef codeRecordFeeScheduleH
#define codeRecordFeeScheduleH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordFeeSchedule : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblCreatedByUser;
        TLabel *lblCodeName;
        TPanel *panelDisabled;
        TLabel *Label3;
        TLabel *lblCode;
        TEdit *editCode;
        TLabel *lblDescription;
        TEdit *editClinicFee;
        TEdit *editMedicareFee;
        TLabel *lblClinicFee;
        TLabel *lblMedicareFee;
        TLabel *lblMedicaidFee;
        TEdit *editMedicaidFee;
        TRichEdit *editDescription;
private:	// User declarations
public:		// User declarations
        __fastcall TformRecordFeeSchedule(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordFeeSchedule *formRecordFeeSchedule;
//---------------------------------------------------------------------------
#endif
