//---------------------------------------------------------------------------

#ifndef codeRecordFormH
#define codeRecordFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformRecordForm : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TRichEdit *editNote;
        TPanel *panelGroup;
        TLabel *lblNameLabel;
        TLabel *lblDate;
        TLabel *lblType;
        TLabel *lblNote;
        TComboBox *cboType;
        TDateTimePicker *dateSignature;
        TStaticText *txtPerson;
        TLabel *lblDepartment;
        TComboBox *cboDepartment;
        void __fastcall cboDepartmentChange(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TformRecordForm(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordForm *formRecordForm;
//---------------------------------------------------------------------------
#endif
