//---------------------------------------------------------------------------

#ifndef codeRecordInsuranceCoverageH
#define codeRecordInsuranceCoverageH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordInsuranceCoverage : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblPerson;
        TLabel *lblPolicy;
        TLabel *lblPCP;
        TLabel *lblPersonCode;
        TLabel *lblName;
        TStaticText *txtPerson;
        TStaticText *txtPolicy;
        TStaticText *txtPcp;
        TBitBtn *btnPcpSearch;
        TBitBtn *btnPersonSearch;
        TBitBtn *btnPolicySearch;
        TEdit *editPersonCode;
        TEdit *editName;
        TLabel *lblCoveredBetween;
        TLabel *lblEffectiveDate;
        TLabel *lblTerminated;
        TEdit *editEffectiveDate;
        TEdit *editTerminatedDate;
        TStaticText *txtTerminateCoverage;
        TLabel *lblPolicyHolderRelationship;
        TStaticText *txtPolicyholder;
        TLabel *lblPolicyholderInfo;
        void __fastcall btnPcpSearchClick(TObject *Sender);
        void __fastcall btnPolicySearchClick(TObject *Sender);
        void __fastcall btnPersonSearchClick(TObject *Sender);
        void __fastcall txtTerminateCoverageClick(TObject *Sender);
        void __fastcall AddRelationship(TObject *Sender);
        void __fastcall ChangeRelationship(TObject *Sender);
private:	// User declarations
        string policyholder_id;
        string relationship_id;
        void UpdatePolicyholderInfo();
public:		// User declarations
        __fastcall TformRecordInsuranceCoverage(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool NotNewAnymore();        
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();        
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordInsuranceCoverage *formRecordInsuranceCoverage;
//---------------------------------------------------------------------------
#endif
