//---------------------------------------------------------------------------

#ifndef codeRecordLogsheetH
#define codeRecordLogsheetH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TformRecordLogsheet : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TStaticText *txtPerson;
        TListView *listDiabActivities;
        TLabel *lblActivities;
        TPanel *panelGroupBox;
        TLabel *lblName;
        TLabel *lblDate_Turned_In;
        TEdit *txtDate_Turned_In;
        TDateTimePicker *dateBeginDate;
        TLabel *lblBegin_Date;
        TLabel *lblEnd_Date;
        TDateTimePicker *dateEndDate;
        TBitBtn *btnPersonSearch;
        TStaticText *txtPrintLogsheet;
        void __fastcall btnPersonSearchClick(TObject *Sender);
        void __fastcall buttonAClick(TObject *Sender);
        void __fastcall txtPrintLogsheetClick(TObject *Sender);
private:	// User declarations
        //string current_person_id;
        classFilterObject diab_activity_filter;
        int diab_activity_request;
        classFilterObject names_filter;
        int names_request;
public:		// User declarations
        __fastcall TformRecordLogsheet(TComponent* Owner, map<string,string> & p_parameters);
        bool AtlasRefreshListViews(int request_num, string matched_value);
        bool IsValidOnScreen ();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        void AddDiabActivity();
        void EditDiabActivity();
        void AddDiabLogsheet();
        void EditDiabLogsheet();
        bool NotNewAnymore();
        bool IsNewAgain();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordLogsheet *formRecordLogsheet;
//---------------------------------------------------------------------------
#endif
