//---------------------------------------------------------------------------

#ifndef codeRecordMeasurementH
#define codeRecordMeasurementH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordMeasurement : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TStaticText *txtPerson;
        TStaticText *txtTask;
        TStaticText *txtParticipation;
        TPanel *panelGroup;
        TLabel *lblTask;
        TLabel *lblNameLabel;
        TLabel *lblDate;
        TLabel *lblEvent;
        TLabel *lblBMILabel;
        TLabel *lblHeight;
        TLabel *lblWeight;
        TLabel *lblWaist;
        TLabel *lblHip;
        TLabel *lblTricep;
        TLabel *lblCalf;
        TLabel *lblFOC;
        TLabel *lblTemp;
        TLabel *lblSPO2;
        TLabel *lblFBS;
        TLabel *lblBloodSugar;
        TLabel *lblPressureSys;
        TLabel *lblRespirations;
        TLabel *lblPulse;
        TLabel *lblSteps;
        TDateTimePicker *dateMeasurement;
        TEdit *editFoc;
        TEdit *editCalf;
        TEdit *editTricep;
        TEdit *editHip;
        TEdit *editWaist;
        TEdit *editWeight;
        TEdit *editHeight;
        TEdit *editTemperature;
        TEdit *editPulse;
        TEdit *editResiprations;
        TEdit *editSpo2;
        TEdit *editFastingBloodSugar;
        TEdit *editBloodSugar;
        TEdit *editBloodPressureHi;
        TCheckBox *checkSteps;
        TLabel *lblBMI;
        TLabel *lblPressureDia;
        TEdit *editBloodPressureLow;
        TLabel *lblCardioEndurance;
        TComboBox *cboCardioEndurance;
        TLabel *lblMuscEndurance;
        TComboBox *cboMuscEndurance;
        TLabel *lblMuscleStrength;
        TLabel *lblFlexability;
        TLabel *lblBodyComposition;
        TComboBox *cboMuscleStrength;
        TComboBox *cboFlexability;
        TComboBox *cboBodyComposition;
        TLabel *labelNoZeroValues;
private:	// User declarations
public:		// User declarations
        __fastcall TformRecordMeasurement(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordMeasurement *formRecordMeasurement;
//---------------------------------------------------------------------------
#endif
