//---------------------------------------------------------------------------

#ifndef codeRecordNameH
#define codeRecordNameH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRecordGeneric.h"
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordName : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblNameLabel;
        TLabel *lblPrefix;
        TEdit *editPrefix;
        TLabel *lblFirstName;
        TEdit *editFirstName;
        TLabel *lblMiddleName;
        TEdit *editMiddleName;
        TLabel *lblLastName;
        TEdit *editLastName;
        TEdit *editSuffix;
        TLabel *lblSuffix;
        TStaticText *txtPerson;
        TLabel *Label1;
        TLabel *Label2;
        TLabel *Label3;
private:	// User declarations
public:		// User declarations
        __fastcall TformRecordName(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordName *formRecordName;
//---------------------------------------------------------------------------
#endif
