//---------------------------------------------------------------------------

#ifndef codeRecordParticipationsDiabH
#define codeRecordParticipationsDiabH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include "codeFrameObservationList.h"
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformRecordParticipationsDiab : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblNameLabel;
        TLabel *lblEventLabel;
        TLabel *lblSpecial;
        TBitBtn *btnEventSearch;
        TStaticText *txtPerson;
        TStaticText *txtEvent;
        TBitBtn *btnPersonSearch;
        TComboBox *cboSpecial;
        TRichEdit *editNote;
        TRubberContainer *rubberMeasurements;
        TframeObservationList *frameObs;
        TRubberContainer *RubberContainer1;
        TListView *listConsents;
        TLabel *lblConsents;
        TLabel *lblMetrics;
        TLabel *lblNote;
        void __fastcall btnPersonSearchClick(TObject *Sender);
        void __fastcall btnEventSearchClick(TObject *Sender);
        void __fastcall cboSpecialKeyPress(TObject *Sender, char &Key);
private:	// User declarations
/*
        classFilterObject measure_filter;
        int measure_request;
*/
        classFilterObject consents_filter;
        int consents_request;
public:		// User declarations
        __fastcall TformRecordParticipationsDiab(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        bool NotNewAnymore();
        bool AtlasRefreshListView(int request_num, string matched_value);
/*
        void AddMeasurement();
        void EditMeasurement();
*/
        void AddConsent();
        void EditConsent();
        bool IsNewAgain();
        bool CheckForUselessRecord();
        bool BeforeSave();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordParticipationsDiab *formRecordParticipationsDiab;
//---------------------------------------------------------------------------
#endif
