//---------------------------------------------------------------------------

#ifndef codeRecordProcedurePaymentH
#define codeRecordProcedurePaymentH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformRecordProcedurePayment : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *_labelBill;
        TLabel *_labelProcedure;
        TLabel *_labelCharged;
        TLabel *_labelPaid;
        TEdit *editCharged;
        TStaticText *staticProcedure;
        TStaticText *staticBill;
        TEdit *editPaid;
        TLabel *_labelAllowed;
        TEdit *editAllowed;
private:	// User declarations
public:		// User declarations
        __fastcall TformRecordProcedurePayment(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordProcedurePayment *formRecordProcedurePayment;
//---------------------------------------------------------------------------
#endif
