//---------------------------------------------------------------------------

#ifndef codeRecordPurchaseReqH
#define codeRecordPurchaseReqH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordPurchaseReq : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblTaxEntity;
        TLabel *lblCheck;
        TLabel *lblPR;
        TLabel *lblDateSent;
        TPanel *panelPR;
        TEdit *editPrNumber;
        TDateTimePicker *dateSent;
        TStaticText *txtCheck;
        TStaticText *txtTaxEntity;
        TListView *listBills;
        TStaticText *txtPrintPR;
        TStaticText *staticVoidPurchaseReq;
        TStaticText *staticBetaModifyTransactions;
        TLabel *lblBills;
        TStaticText *textPrintChanges;
        TStaticText *staticTransactionSummary;
        TEdit *editExpReason;
        TLabel *_labelExpReason;
        void __fastcall txtPrintPRClick(TObject *Sender);
        void __fastcall staticVoidPurchaseReqClick(TObject *Sender);
        void __fastcall staticBetaModifyTransactionsClick(TObject *Sender);
        void __fastcall textPrintChangesClick(TObject *Sender);
        void __fastcall staticTransactionSummaryClick(TObject *Sender);
private:	// User declarations
        classFilterObject bills_filter;
        int bills_request;
public:		// User declarations
        __fastcall TformRecordPurchaseReq(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        bool NotNewAnymore();
        bool IsNewAgain();
        bool AtlasRefreshListView(int request_num, string matched_value);
        void EditBill();                                
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordPurchaseReq *formRecordPurchaseReq;
//---------------------------------------------------------------------------
#endif
