//---------------------------------------------------------------------------

#ifndef codeRecordServiceProvidedH
#define codeRecordServiceProvidedH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordServiceProvided : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TStaticText *txtTaxEntity;
        TLabel *lblTaxEntity;
        TLabel *lblService;
        TComboBox *cboService;
        TComboBox *cboArea;
        TLabel *lblArea;
private:	// User declarations
public:		// User declarations
        __fastcall TformRecordServiceProvided(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();        
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordServiceProvided *formRecordServiceProvided;
//---------------------------------------------------------------------------
#endif
