//---------------------------------------------------------------------------

#ifndef codeRecordSurveyH
#define codeRecordSurveyH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformRecordSurvey : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblName;
        TEdit *editName;
        TPanel *panelSizing;
        TSplitter *splitterSizing;
        TPanel *panelSurveys;
        TListView *listTaken;
        TLabel *lblSurveys;
        TLabel *lblTaken;
        TPanel *panelQuestions;
        TListView *listQuestions;
        TLabel *lblQuestions;
private:	// User declarations
        bool IsValidOnScreen ();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        bool NotNewAnymore();
        bool IsNewAgain();
        bool AtlasRefreshListViews(int request_num, string matched_value);
        void AddQuestion();
        void EditQuestion();
        classFilterObject question_filter;
        int question_request;
        classFilterObject taken_filter;
        int taken_request;
        void AddTaken();
        void EditTaken();    
public:		// User declarations
        __fastcall TformRecordSurvey(TComponent* Owner, map<string, string> & p_parameters);
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordSurvey *formRecordSurvey;
//---------------------------------------------------------------------------
#endif
