//---------------------------------------------------------------------------

#ifndef codeRecordTaskCareH
#define codeRecordTaskCareH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformRecordTaskCare : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblMileage;
        TLabel *lblTimeSpent;
        TLabel *lblTime;
        TLabel *lblDate;
        TLabel *lblClient;
        TLabel *lblEvent;
        TLabel *lblStaff;
        TLabel *lblActivity;
        TLabel *lblMeetingType;
        TLabel *lblClassification;
        TLabel *lblInOut;
        TLabel *lblMethodContact;
        TEdit *editMileage;
        TComboBox *cboActivityType;
        TComboBox *cboMeetingType;
        TComboBox *cboClassification;
        TComboBox *cboInOut;
        TComboBox *cboMethod;
        TComboBox *cboStaff;
        TDateTimePicker *dateTask;
        TDateTimePicker *timeTask;
        TEdit *editTimeSpent;
        TBitBtn *btnEventSearch;
        TBitBtn *btnPersonSearch;
        TStaticText *txtEvent;
        TStaticText *txtPerson;
        TLabel *lblService;
        TListView *listServices;
        TPanel *panelBottom;
        TLabel *lblComments;
        TStaticText *lblEducation;
        TRubberContainer *rubberEducation;
        TListView *listComEducation;
        TRichEdit *editComments;
        TComboBox *cboTaskType;
        TLabel *lblTaskType;
        void __fastcall btnEventSearchClick(TObject *Sender);
        void __fastcall btnPersonSearchClick(TObject *Sender);
private:	// User declarations

        classFilterObject education_filter;
        int community_edu_request;
        string appointment_to_attach;
        bool DisplayServiceTypes();
        void HighlightServiceTypes();
public:		// User declarations
        __fastcall TformRecordTaskCare(TComponent* Owner, map<string,string> p_parameters);

        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        bool NotNewAnymore();
        bool IsNewAgain();
        void EditEdu();
        void AddEdu();
        bool AtlasRefreshListViews(int request_num, string matched_value);
        bool BeforeSave();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordTaskCare *formRecordTaskCare;
//---------------------------------------------------------------------------
#endif
