//---------------------------------------------------------------------------

#ifndef codeRecordTaskNotesH
#define codeRecordTaskNotesH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordTaskNotes : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblTask;
        TLabel *lblNote;
        TBitBtn *btnVisitSearch;
        TStaticText *txtTask;
        TRichEdit *editNote;
        void __fastcall btnVisitSearchClick(TObject *Sender);
private:	// User declarations
        // string person;
public:		// User declarations
        __fastcall TformRecordTaskNotes(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordTaskNotes *formRecordTaskNotes;
//---------------------------------------------------------------------------
#endif
