//---------------------------------------------------------------------------

#ifndef codeRecordTaskTransH
#define codeRecordTaskTransH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformRecordTaskTrans : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *Label1;
        TComboBox *cboStaff;
        TLabel *lblClientLabel;
        TStaticText *txtPerson;
        TLabel *lblDate;
        TDateTimePicker *dateTask;
        TLabel *lblTimeSpent;
        TEdit *editTimeSpent;
        TEdit *editMileage;
        TLabel *lblMileage;
        TLabel *lblComments;
        TLabel *lblAppointments;
        TRichEdit *editComments;
        TRubberContainer *RubberContainer1;
        TListView *listAppointments;
        TBitBtn *buttonSearchPerson;
        TComboBox *comboTranspAction;
        TLabel *labelTransportationAction;
        TLabel *Label2;
        TDateTimePicker *timeTask;
        void __fastcall btnPersonSearchClick(TObject *Sender);
private:	// User declarations
        classFilterObject appointments_filter;
        int appointments_request;
        string appointment_to_attach;
public:		// User declarations
        __fastcall TformRecordTaskTrans(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        bool NotNewAnymore();
        bool AtlasRefreshListViews(int request_num, string matched_value);
        bool IsNewAgain();
        void AddAppointment();
        void EditAppointment();
        bool BeforeSave();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordTaskTrans *formRecordTaskTrans;
//---------------------------------------------------------------------------
#endif
