//---------------------------------------------------------------------------

#ifndef codeRecordToDoH
#define codeRecordToDoH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordToDo : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblItem;
        TLabel *Label1;
        TLabel *Label2;
        TComboBox *cboStatus;
        TLabel *Label3;
        TComboBox *cboPriority;
        TEdit *editDate;
        TRichEdit *editItem;
private:	// User declarations
public:		// User declarations
        __fastcall TformRecordToDo(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();        
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordToDo *formRecordToDo;
//---------------------------------------------------------------------------
#endif
