//---------------------------------------------------------------------------

#ifndef codeRecordTreatmentBehH
#define codeRecordTreatmentBehH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRecordGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformRecordTreatmentBeh : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelGroup;
        TLabel *lblNameLabel;
        TLabel *lblAdmit;
        TLabel *lblDischarge;
        TLabel *lblComments;
        TStaticText *txtPerson;
        TEdit *editAdmitDate;
        TEdit *editDischargeDate;
        TLabel *lblReason;
        TComboBox *cboDischarge;
        TRichEdit *editNotes;
private:	// User declarations
public:		// User declarations
        __fastcall TformRecordTreatmentBeh(TComponent* Owner, map<string,string> p_parameters);
        bool IsValidOnScreen();
        bool PutDataOnScreen();
        bool GetDataFromScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool ScreenLock();
        bool ScreenUnlock();
        static void Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformRecordTreatmentBeh *formRecordTreatmentBeh;
//---------------------------------------------------------------------------
#endif
