//---------------------------------------------------------------------------

#ifndef codeSearchBugLogH
#define codeSearchBugLogH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchBugLog : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblCreatedBy;
        TLabel *lblReportedBy;
        TLabel *lblClaimedBy;
        TLabel *lblFixedBy;
        TLabel *lblPriority;
        TLabel *lblBugStatus;
        TLabel *lblForUser;
        TLabel *lblCreatedOn;
        TLabel *lblReportedOn;
        TLabel *lblClaimedOn;
        TLabel *lblFixedOn;
        TLabel *lblDueOn;
        TLabel *lblType;
        TLabel *lblNote;
        TEdit *editNote;
        TEdit *editCreatedBetweenStart;
        TLabel *lblAnd1;
        TEdit *editCreatedBetweenEnd;
        TEdit *editReportedBetweenStart;
        TLabel *lblAnd2;
        TEdit *editReportedBetweenEnd;
        TEdit *editClaimedBetweenStart;
        TLabel *lblAnd3;
        TEdit *editClaimedBetweenEnd;
        TEdit *editFixedBetweenStart;
        TLabel *lblAnd4;
        TEdit *editFixedBetweenEnd;
        TEdit *editDueBetweenStart;
        TLabel *lblAnd5;
        TEdit *editDueBetweenEnd;
        TComboBox *cboPriority;
        TComboBox *cboBugStatus;
        TComboBox *cboBugType;
        TComboBox *cboCreatedBy;
        TComboBox *cboReportedBy;
        TComboBox *cboClaimedBy;
        TComboBox *cboFixedBy;
        TComboBox *cboForUser;
        TComboBox *cboForGroup;
        TLabel *lblForGroup;
        TLabel *lblNoteType;
        TComboBox *cboNoteType;
        TBevel *bevelThing;
        TLabel *lblPostedOn;
        TEdit *editPostedBetweenStart;
        TLabel *lblAnd6;
        TEdit *editPostedBetweenEnd;
        TLabel *lblPostedBy;
        TComboBox *cboPostedBy;
        TComboBox *cboNoteStatus;
        TLabel *lblNoteStatus;
        TLabel *lblStatusOn;
        TEdit *editStatusBetweenStart;
        TLabel *lblAnd7;
        TEdit *editStatusBetweenEnd;
private:	// User declarations
public:		// User declarations
        __fastcall TformSearchBugLog(TComponent* Owner, vector<string> * p_return_vector);
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);
        static vector<string> Do(TformSpecialGeneric * p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchBugLog *formSearchBugLog;
//---------------------------------------------------------------------------
#endif
