//---------------------------------------------------------------------------

#ifndef codeSearchCodeH
#define codeSearchCodeH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchCode : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblCodeType;
        TComboBox *cboCode;
        TLabel *lblDescription;
        TEdit *editCode;
        TLabel *lblCode;
        TEdit *editDescription;
private:	// User declarations
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();
public:		// User declarations
        __fastcall TformSearchCode(TComponent* Owner, vector<string> * p_return_vector);
        bool Search();
        bool Zoom(const string & p_id);
        bool Create();
        static vector<string> Do(TformSpecialGeneric * p_parent);
        static vector<string> Do(TformSpecialGeneric * p_parent, string code_type_id);
        static void Do(string code_type_id, string code_value);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchCode *formSearchCode;
//---------------------------------------------------------------------------
#endif
