//---------------------------------------------------------------------------

#ifndef codeSearchCrashLogH
#define codeSearchCrashLogH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRubberContainer.h"
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformSearchCrashLog : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblAssignedTo;
        TComboBox *cboAssignedTo;
        TLabel *lblBugStatus;
        TComboBox *cboBugStatus;
        TLabel *lblUploadDate1;
        TDateTimePicker *dateUploadedMin;
        TLabel *lblUploadUser;
        TComboBox *cboUploadUser;
        TLabel *lblErrorDate1;
        TDateTimePicker *dateOccurredMin;
        TLabel *lblRunBy;
        TEdit *editRunBy;
        TLabel *lblCode;
        TLabel *lblSegment;
        TLabel *Label1;
        TLabel *lblEip;
        TLabel *lblAVAddress;
        TEdit *editCode;
        TEdit *editSegment;
        TEdit *editOffset;
        TEdit *editEip;
        TEdit *editAVAddress;
        TLabel *lblVersion;
        TEdit *editVersionMajor;
        TEdit *editVersionMinor;
        TEdit *editVersionBuild;
        TLabel *Label2;
        TLabel *Label3;
        TLabel *lblUploadDate2;
        TDateTimePicker *dateUploadedMax;
        TLabel *lblErrorDate2;
        TDateTimePicker *dateOccurredMax;
        TLabel *lblBugPriority;
        TComboBox *cboBugPriority;
        TCheckBox *checkAddlOccs;
private:	// User declarations
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool Create();
        bool Search();
        bool Zoom(const string & p_id);
public:		// User declarations
        __fastcall TformSearchCrashLog(TComponent* Owner, vector<string> *p_return_vector);

        static vector<string> Do(TformSpecialGeneric *p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchCrashLog *formSearchCrashLog;
//---------------------------------------------------------------------------
#endif
