//---------------------------------------------------------------------------

#ifndef codeSearchDeferredCOBH
#define codeSearchDeferredCOBH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRubberContainer.h"
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeBaseDropDown.h"
#include "codeCheckListDropDown.h"
//---------------------------------------------------------------------------
class TformSearchDeferredCOB : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblLastName;
        TEdit *editLastName;
        TLabel *lblFirstName;
        TEdit *editFirstName;
        TLabel *lblChartNo;
        TEdit *editChartNo;
        TLabel *lblTaxEntity;
        TEdit *editProvider;
        TLabel *lblService;
        TCheckListDropDown *cbddService;
        TLabel *lblArea;
        TCheckListDropDown *cbddArea;
        TLabel *lblReferredBy;
        TEdit *editReferredBy;
        TLabel *lblDate;
        TLabel *lblReason;
        TLabel *lblStatus;
        TLabel *lblCOBNum;
        TRadioGroup *groupApproved;
        TEdit *editBeginDate;
        TCheckListDropDown *cbddReason;
        TCheckListDropDown *cbddStatus;
        TEdit *editCOBNum;
        TLabel *Label1;
        TEdit *editEndDate;
        void __fastcall cbddServiceDown(TObject *Sender);
        void __fastcall cbddAreaDown(TObject *Sender);
        void __fastcall cbddReasonDown(TObject *Sender);
        void __fastcall cbddStatusDown(TObject *Sender);
private:	// User declarations
        bool IsValidOnScreen();
        bool Search();
        bool ScreenStart();
        bool Create();
        bool Zoom(const string &p_id);

public:		// User declarations
        __fastcall TformSearchDeferredCOB(TComponent* Owner, vector<string> *p_return_vector);

        static vector<string> Do(TformSpecialGeneric *p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchDeferredCOB *formSearchDeferredCOB;
//---------------------------------------------------------------------------
#endif
