//---------------------------------------------------------------------------

#ifndef codeSearchDenialH
#define codeSearchDenialH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRubberContainer.h"
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeBaseDropDown.h"
#include "codeCheckListDropDown.h"
//---------------------------------------------------------------------------
class TformSearchDenial : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblLastName;
        TLabel *lblFirstName;
        TLabel *lblChartNo;
        TLabel *lblTaxEntity;
        TLabel *lblService;
        TLabel *lblArea;
        TLabel *lblAuthority;
        TLabel *lblStatus;
        TLabel *lblDateProcessed;
        TLabel *lblEffective;
        TEdit *editLastName;
        TEdit *editFirstName;
        TEdit *editChartNo;
        TEdit *editTaxEntity;
        TEdit *editProcessed;
        TEdit *editEffective;
        TCheckListDropDown *cbddService;
        TCheckListDropDown *cbddArea;
        TCheckListDropDown *cbddAuthority;
        TCheckListDropDown *cbddStatus;
        void __fastcall cbddServiceDown(TObject *Sender);
        void __fastcall cbddAreaDown(TObject *Sender);
        void __fastcall cbddAuthorityDown(TObject *Sender);
        void __fastcall cbddStatusDown(TObject *Sender);
private:	// User declarations
        bool IsValidOnScreen();
        bool Search();
        bool ScreenStart();
        bool ScreenStop();
        bool Create();
        bool Zoom(const string &p_id);

public:		// User declarations
        __fastcall TformSearchDenial(TComponent* Owner, vector<string> *p_return_vector);

        static vector<string> Do(TformSpecialGeneric *p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchDenial *formSearchDenial;
//---------------------------------------------------------------------------
#endif
