//---------------------------------------------------------------------------

#ifndef codeSearchDenialLetterH
#define codeSearchDenialLetterH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeRubberContainer.h"
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformSearchDenialLetter : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblLastName;
        TLabel *lblEffective;
        TLabel *lblEffectiveBegin;
        TLabel *lblEffectiveEnd;
        TLabel *lblDateProcessed;
        TLabel *lblProcessedBegin;
        TLabel *lblProcessedEnd;
        TLabel *lblDatesofService;
        TLabel *lblDOSBegin;
        TLabel *lblDOSEnd;
        TEdit *editLastName;
        TEdit *editEffectiveBeginDate;
        TEdit *editEffectiveEndDate;
        TEdit *editProcessedBeginDate;
        TEdit *editProcessedEndDate;
        TEdit *editDOSBeginDate;
        TEdit *editDOSEndDate;
        TLabel *lblAuthority;
        TLabel *lblStatus;
        TLabel *lblReason;
        TLabel *lblMinAmount;
        TLabel *lblMaxAmount;
        TLabel *lblMinOwed;
        TLabel *lblMaxOwed;
        TComboBox *cboAuthority;
        TComboBox *cboStatus;
        TComboBox *cboReason;
        TEdit *editMinAmount;
        TEdit *editMaxAmount;
        TEdit *editMinOwed;
        TEdit *editMaxOwed;
        TEdit *editServiceProvider;
        TLabel *lblServiceProvider;
        TLabel *lblServiceType;
        TComboBox *cboServiceType;
        TLabel *lblFirstName;
        TEdit *editFirstName;
        TEdit *editMinPayable;
        TEdit *editMaxPayable;
        TLabel *lblMinPayable;
        TLabel *lblMaxPayable;
private:	// User declarations
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();
public:		// User declarations
        __fastcall TformSearchDenialLetter(TComponent* Owner, vector<string> * p_return_vector);
        bool Search();
        bool Create();
        bool Zoom(const string &p_id);
        static vector<string> Do(TformSpecialGeneric *p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchDenialLetter *formSearchDenialLetter;
//---------------------------------------------------------------------------
#endif
