//---------------------------------------------------------------------------

#ifndef codeSearchFitnessMembershipH
#define codeSearchFitnessMembershipH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchFitnessMembership : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblFacility;
        TComboBox *cboFacility;
        TLabel *lblLastName;
        TEdit *editLastName;
        TEdit *editFirstName;
        TLabel *lblFirstName;
        TRadioButton *radioMembership;
        TRadioButton *radioWaiting;
        TLabel *lblCdib;
        TEdit *editCdib;
        TRadioButton *radioEither;
        TPanel *panelMembership;
        TLabel *lblLastWarning;
        TLabel *lblJoinDate;
        TLabel *lblCancelDate;
        TLabel *_labelJoinAnd;
        TLabel *_labelCancelAnd;
        TLabel *_labelWarningAnd;
        TLabel *Label5;
        TEdit *editBeginJoinDate;
        TEdit *editEndJoinDate;
        TEdit *editBeginWarningDate;
        TEdit *editEndWarningDate;
        TEdit *editBeginCancelDate;
        TEdit *editEndCancelDate;
        TEdit *editMembershipNumber;
        TPanel *panelWaiting;
        TLabel *lblWaitingDate;
        TLabel *_labelWaitingAnd;
        TEdit *editBeginWaitingDate;
        TEdit *editEndWaitingDate;
        void __fastcall radioMembershipClick(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
private:	// User declarations
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();
public:		// User declarations
        __fastcall TformSearchFitnessMembership(TComponent* Owner, vector<string> * p_return_vector);
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);
        static vector<string> Do(TformSpecialGeneric * p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchFitnessMembership *formSearchFitnessMembership;
//---------------------------------------------------------------------------
#endif
