//---------------------------------------------------------------------------

#ifndef codeSearchPersonH
#define codeSearchPersonH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeSearchGeneric.h"
#include "codeRubberContainer.h"
#include "codeBaseDropDown.h"
#include "codeCheckListDropDown.h"
//---------------------------------------------------------------------------
class TformSearchPerson : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblLastName;
        TEdit *editLastName;
        TLabel *lblFirstName;
        TEdit *editFirstName;
        TLabel *lblCDIB;
        TEdit *editCDIB;
        TLabel *lblTribe;
        TComboBox *cboTribe;
        TLabel *lblSSN;
        TEdit *editSSN;
        TLabel *lblDOB;
        TEdit *editDOB;
        TLabel *lblChartNumber;
        TEdit *editChartNumber;
        TLabel *lblCity;
        TEdit *editCity;
        TLabel *lblState;
        TLabel *lblZip;
        TEdit *editZip;
        TComboBox *cboState;
        TLabel *lblGender;
        TComboBox *cboGender;
        TLabel *lblCode;
        TEdit *editCode;
        TCheckBox *checkFitness;
        TCheckBox *checkDeceased;
        TCheckListDropDown *cbddEnrollments;
        TLabel *lblEnrollments;
        void __fastcall cbddEnrollmentsDown(TObject *Sender);
private:	// User declarations
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();
public:		// User declarations
        __fastcall TformSearchPerson(TComponent* Owner, vector<string> * p_return_vector);
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);
        static vector<string> Do(TformSpecialGeneric * p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchPerson *formSearchPerson;
//---------------------------------------------------------------------------
#endif
