//---------------------------------------------------------------------------

#ifndef codeSearchPubTaskH
#define codeSearchPubTaskH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchPubTask : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblStaff;
        TComboBox *cboStaff;
        TLabel *lblEventLabel;
        TEdit *editBeginDate;
        TLabel *lblBeginDate;
        TLabel *lblEndDate;
        TEdit *editEndDate;
        TEdit *editMinTime;
        TLabel *lblTimeSpent;
        TLabel *lblMaxTime;
        TEdit *editMaxTime;
        TLabel *lblActivity;
        TComboBox *cboActivity;
        TComboBox *cboMeeting;
        TLabel *lblMeeting;
        TLabel *Label1;
        TComboBox *cboClassification;
        TComboBox *cboDirection;
        TLabel *lblDirection;
        TLabel *lblMethod;
        TComboBox *cboMethod;
        TComboBox *cboEventName;
        TComboBox *cboTaskType;
        TLabel *lblTaskType;
private:	// User declarations
        string event_id;
        classFilterObject results_filter;
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();
public:		// User declarations
        __fastcall TformSearchPubTask(TComponent* Owner, vector<string> * p_return_vector);
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);
        static vector<string> Do(TformSpecialGeneric * p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchPubTask *formSearchPubTask;
//---------------------------------------------------------------------------
#endif
