//---------------------------------------------------------------------------

#ifndef codeSearchTaskCareH
#define codeSearchTaskCareH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchTaskCare : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblStaff;
        TComboBox *cboStaff;
        TLabel *lblEventLabel;
        TLabel *lblDirection;
        TComboBox *cboDirection;
        TLabel *lblBeginDate;
        TLabel *lblEndDate;
        TLabel *lblTimeSpent;
        TEdit *editMinTime;
        TLabel *lblMaxTime;
        TEdit *editMaxTime;
        TLabel *lblMethod;
        TComboBox *cboMethod;
        TLabel *lblMeeting;
        TComboBox *cboMeeting;
        TLabel *lblActivity;
        TComboBox *cboActivity;
        TDateTimePicker *dateBegin;
        TDateTimePicker *dateEnd;
        TLabel *lblClassification;
        TComboBox *cboClassification;
        TLabel *lblService;
        TComboBox *cboServiceType;
        TEdit *editComments;
        TLabel *lblComments;
        TLabel *lblClient;
        TEdit *editPerson;
        TComboBox *cboEventName;
        TComboBox *cboTaskType;
        TLabel *lblTaskType;
private:	// User declarations
        string event_id;
        string person_id;
        classFilterObject results_filter;
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();
public:		// User declarations
        __fastcall TformSearchTaskCare(TComponent* Owner, vector<string> * p_return_vector);
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);
        static vector<string> Do(TformSpecialGeneric * p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchTaskCare *formSearchTaskCare;
//---------------------------------------------------------------------------
#endif
