//---------------------------------------------------------------------------

#ifndef codeSearchTaskCobVisitH
#define codeSearchTaskCobVisitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchTaskCobVisit : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblService;
        TLabel *lblBeginDate;
        TEdit *editBeginDate;
        TEdit *editEndDate;
        TLabel *lblEndDate;
        TLabel *lblCobNumber;
        TEdit *editCobNumber;
        TEdit *editReason;
        TLabel *lblReason;
        TLabel *lblDiagnosis;
        TEdit *editDiagnosis;
        TEdit *editProcedure;
        TLabel *lblPrNumber;
        TEdit *editPrNumber;
        TLabel *lblProcedure;
        TLabel *lblCheckNumber;
        TEdit *editCheckNumber;
        TEdit *editTaxEntity;
private:	// User declarations
        string tax_entity_id;
public:		// User declarations
        __fastcall TformSearchTaskCobVisit(TComponent* Owner, vector<string> * p_return_vector);
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();        
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);        
        static vector<string> Do(TformSpecialGeneric * p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchTaskCobVisit *formSearchTaskCobVisit;
//---------------------------------------------------------------------------
#endif
