//---------------------------------------------------------------------------

#ifndef codeSearchTaskDiabH
#define codeSearchTaskDiabH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchTaskDiab : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblStaff;
        TComboBox *cboStaff;
        TLabel *lblEventLabel;
        TLabel *lblBeginDate;
        TLabel *lblEndDate;
        TLabel *lblTimeSpent;
        TEdit *editMinTime;
        TEdit *editMaxTime;
        TLabel *lblMaxTime;
        TLabel *lblMethod;
        TComboBox *cboMethod;
        TLabel *lblContactType;
        TComboBox *cboContactType;
        TLabel *lblDirection;
        TComboBox *cboDirection;
        TLabel *lblProgram;
        TLabel *lblTaskType;
        TLabel *lblClassification;
        TComboBox *cboClassification;
        TComboBox *cboTaskType;
        TComboBox *cboProgram;
        TLabel *lblActivity;
        TComboBox *cboActivity;
        TLabel *lblMeeting;
        TComboBox *cboMeeting;
        TLabel *lblEducational;
        TCheckBox *checkEducational;
        TLabel *lblPersonal;
        TCheckBox *checkPersonal;
        TDateTimePicker *dateBegin;
        TDateTimePicker *dateEnd;
        TLabel *lblLocation;
        TComboBox *cboLocation;
        TComboBox *cboEventName;
private:	// User declarations
        string event_id;
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();
public:		// User declarations
        __fastcall TformSearchTaskDiab(TComponent* Owner, vector<string> * p_return_vector);
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);                
        static vector<string> Do(TformSpecialGeneric * p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchTaskDiab *formSearchTaskDiab;
//---------------------------------------------------------------------------
#endif
