//---------------------------------------------------------------------------

#ifndef codeSearchTaxEntityH
#define codeSearchTaxEntityH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchTaxEntity : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TEdit *editProvider;
        TLabel *lblName;
        TLabel *lblCity;
        TEdit *editCity;
        TLabel *lblState;
        TComboBox *cboState;
        TLabel *lblZip;
        TEdit *editZip;
        TLabel *lblSpecialty;
        TEdit *editSpecialty;
        TLabel *lblTaxid;
        TEdit *editTaxid;
        TLabel *lblPhone;
        TEdit *editPhone;
        TLabel *lblInsurance;
        TComboBox *cboInsurance;
        TLabel *lblCare;
        TComboBox *cboCare;
        TLabel *lblServed;
        TComboBox *cboServed;
        TLabel *lblAgency;
        TComboBox *cboAgency;
        TEdit *editAccount;
        TLabel *lblAccount;
        TLabel *lblType;
        TComboBox *cboType;
private:	// User declarations
        set<string> tax_entities_user_can_see;
        set<string> tax_entities_user_can_create;
public:		// User declarations
        __fastcall TformSearchTaxEntity(TComponent* Owner, vector<string> * p_return_vector);
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);
        static vector<string> Do(TformSpecialGeneric * p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchTaxEntity *formSearchTaxEntity;
//---------------------------------------------------------------------------
#endif
