//---------------------------------------------------------------------------

#ifndef codeSearchTransactionH
#define codeSearchTransactionH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSearchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSearchTransaction : public TformSearchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblEffectiveBeginDate;
        TEdit *editEffectiveBeginDate;
        TEdit *editEffectiveEndDate;
        TLabel *lblEffectiveEndDate;
        TLabel *lblAccount;
        TComboBox *cboAccount;
        TLabel *lblMinAmount;
        TEdit *editMinAmount;
        TEdit *editMaxAmount;
        TLabel *lblMaxAmount;
        TLabel *lblTransactionNum;
        TEdit *editTransactionNum;
        TEdit *editPrNumber;
        TLabel *lblPrNumber;
        TEdit *editCheckNumber;
        TLabel *lblCheckNumber;
        TLabel *lblTaxEntity;
        TLabel *lblNote;
        TEdit *editNote;
        TEdit *editTaxEntity;
        TLabel *labelFiscalBeginDate;
        TLabel *labelFiscalEndDate;
        TEdit *editFiscalBeginDate;
        TEdit *editFiscalEndDate;
        TLabel *Label1;
        TLabel *Label2;
private:	// User declarations
        string tax_entity_id;
public:		// User declarations
        __fastcall TformSearchTransaction(TComponent* Owner, vector<string> * p_return_vector);
        bool IsValidOnScreen();
        bool ScreenStart();
        bool ScreenStop();        
        bool Search();
        bool Create();
        bool Zoom(const string & p_id);
        static vector<string> Do(TformSpecialGeneric * p_parent);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSearchTransaction *formSearchTransaction;
//---------------------------------------------------------------------------
#endif
