//---------------------------------------------------------------------------

#ifndef codeSpecialAddEventTaskContactsH
#define codeSpecialAddEventTaskContactsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ImgList.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformSpecialAddEventTaskContacts : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TListView *listTableTaskContacts;
        TImageList *imageList;
        TToolButton *btnSave;
        TToolButton *btnClose;
        TToolButton *btnCheckAll;
        TToolButton *ToolButton2;
        void __fastcall listTableTaskContactsMouseMove(TObject *Sender,
          TShiftState Shift, int X, int Y);
        void __fastcall listTableTaskContactsClick(TObject *Sender);
        void __fastcall btnCheckAllClick(TObject *Sender);
        void __fastcall btnSaveClick(TObject *Sender);
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
       // void __fastcall btnSaveClick(TObject *Sender);
private:	// User declarations
        TIBTransaction * dbTransaction;
        map<string,string> current_event_state;
        int x_pos;
        struct column_with_id
        {
                string id;
                TListColumn* column_name;
        };
        struct item_with_id
        {
                string id;
                string participations_id;
                TListItem* row_name;
        };
        vector<column_with_id> list_columns;
        vector<item_with_id> list_items;
        map<string, map<string, string> > employee_tasks; // map<user_id, map<tasks_field, tasks_field_value> > == employee -> task_map
        TStaticText * listview_label;
        bool all_checked;
public:		// User declarations
        __fastcall TformSpecialAddEventTaskContacts(TComponent* Owner, map<string,string> event_state );
        __fastcall virtual ~TformSpecialAddEventTaskContacts();
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialAddEventTaskContacts *formSpecialAddEventTaskContacts;
//---------------------------------------------------------------------------
#endif
