//---------------------------------------------------------------------------

#ifndef codeSpecialAddUserH
#define codeSpecialAddUserH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformSpecialAddUser : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TLabel *lblUserName;
        TEdit *editUserName;
        TLabel *lblPassword;
        TEdit *editPassword;
        TLabel *lblFullName;
        TEdit *editFullName;
        TLabel *lblContact;
        TEdit *editContact;
        TLabel *lblGroup;
        TComboBox *cboGroup;
        TToolButton *btnSave;
        TToolButton *btnClose;
        TLabel *lblUser;
        TLabel *lblId;
        TLabel *lblTitle;
        TEdit *editTitle;
        TLabel *lblProvider;
        TStaticText *txtProvider;
        TBitBtn *btnProviderSearch;
        TCheckBox *checkPassword;
        TTrackBar *trackBar;
        TLabel *lblPerson;
        TStaticText *txtPerson;
        TBitBtn *btnPersonSearch;
        TLabel *lblEmployeeNum;
        TEdit *editEmployeeNum;
        TLabel *lblAppointments;
        TCheckBox *checkValid;
        TLabel *lblPosition;
        TComboBox *cboPosition;
        TPageControl *PageControl1;
        TTabSheet *sheetLog;
        TTabSheet *sheetUsage;
        TListView *listLog;
        TListView *listUsage;
        TTabSheet *sheetNothing;
        TPanel *panelNothing;
        TCheckBox *checkRole;
        TComboBox *cboDiscipline;
        TLabel *lblDiscipline;
        TCheckBox *checkCanLogIn;
        TLabel *lblExternalScheduler;
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnSaveClick(TObject *Sender);
        void __fastcall btnProviderSearchClick(TObject *Sender);
        void __fastcall btnPersonSearchClick(TObject *Sender);
        void __fastcall lblAppointmentsClick(TObject *Sender);
        void __fastcall lblExternalSchedulerClick(TObject *Sender);
private:	// User declarations
        map<string, string> incoming_values;
        vector<string> * return_vec;
        TIBTransaction * dbTransaction;
        classFilterObject log_filter;
        int log_request;
        classFilterObject usage_filter;
        int usage_request;
public:		// User declarations
        __fastcall TformSpecialAddUser(TComponent* Owner, map<string,string> p_parameters, vector<string> * p_return_vec);
        void AtlasRefreshListView(int request_num, string matched_value);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialAddUser *formSpecialAddUser;
//---------------------------------------------------------------------------
#endif
