//---------------------------------------------------------------------------

#ifndef codeSpecialBugsH
#define codeSpecialBugsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSpecialBugs : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnViewStatus;
        TToolButton *btnViewClaimed;
        TPopupMenu *popupViewStatus;
        TPopupMenu *popupViewClaimed;
        TMenuItem *menuClaimsMine;
        TMenuItem *menuClaimsNotMine;
        TMenuItem *menuUnclaimed;
        TMenuItem *menuClaimsAll;
        TMenuItem *menuStatusAll;
        TToolButton *btnClose;
        TMenuItem *menuAllClaimed;
        TToolButton *JoeSeparator;
        TMenuItem *menuStatusAllIncomplete;
        TMenuItem *menuStatusSeparator;
        TMenuItem *menuClaimsSeparator;
        TPanel *panelView;
        TToolButton *btnViewReportedBy;
        TPopupMenu *popupViewCreatedFor;
        TMenuItem *menuAll;
        TMenuItem *menuMe;
        TMenuItem *menuMyDepartment;
        TMenuItem *menuSeparator;
        TPopupMenu *popupViewReportedBy;
        TMenuItem *MenuItem1;
        TMenuItem *MenuItem2;
        TMenuItem *MenuItem3;
        TMenuItem *MenuItem4;
        TToolButton *btnViewCreatedFor;
        TMenuItem *menuStatusCustom;
        TMenuItem *menuStatusNone;
        TRubberContainer *rubberBugs;
        TListView *listBugs;
        TMenuItem *menuStatusAllPending;
        void __fastcall menuClick(TObject *Sender);
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall btnClick(TObject *Sender);
        void __fastcall btnDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
private:	// User declarations
        classFilterObject bugs_filter;
        int bugs_request;
        string basesql, statussql, claimedsql, reportedsql, createdforsql;
        void DoFilterStuff ();
        string myDepartment;
        void MakeButtonsGo ();
        int custom_status_start;
public:		// User declarations
        __fastcall TformSpecialBugs(TComponent* Owner);
        void EditBug();
        void AddBug();
        void AtlasRefreshListView(int request_num, string matched_value);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialBugs *formSpecialBugs;
//---------------------------------------------------------------------------
#endif
