//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "codeSpecialComForm.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "codeSpecialGeneric"
#pragma resource "*.dfm"
TformSpecialAdultVisit *formSpecialAdultVisit;
//---------------------------------------------------------------------------
__fastcall TformSpecialAdultVisit::TformSpecialAdultVisit(TComponent* Owner)
        : TformSpecialGeneric(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TformSpecialAdultVisit::page1AfterPreview(TObject *Sender)
{
  Close();
}
//---------------------------------------------------------------------------
void __fastcall TformSpecialAdultVisit::page2AfterPreview(TObject *Sender)
{
  Close();
}
//---------------------------------------------------------------------------
void __fastcall TformSpecialAdultVisit::page3AfterPreview(TObject *Sender)
{
  Close();
}
//---------------------------------------------------------------------------
// jhaley 20110125: Moved here from TformPrometheusMenu
void TformSpecialAdultVisit::Do()
{
  Screen->Cursor = crHourGlass;
  TformSpecialAdultVisit *com_form = NULL;
  FORM_TRY
    com_form = new TformSpecialAdultVisit(NULL);
  FORM_CATCH
  string page1_name = PMakeTempFilePath("page1.qrp");
  string page2_name = PMakeTempFilePath("page2.qrp");
  string page3_name = PMakeTempFilePath("page3.qrp");
  com_form->page1->Prepare();
  com_form->page1->QRPrinter->Save(page1_name.c_str());
  com_form->page2->Prepare();
  com_form->page2->QRPrinter->Save(page2_name.c_str());
  com_form->page3->Prepare();
  com_form->page3->QRPrinter->Save(page3_name.c_str());
  com_form->CloseNow();
  TQRPageList *source = new TQRPageList();
  TQRPageList *destination = new TQRPageList();
  destination->Stream = new TQRStream(100000);
  // add page 1
  source->Clear();
  source->LoadFromFile(page2_name.c_str()); // jhaley: page2 is first? I didn't change it ;)
  destination->AddPage(source->GetPage(1));
  // add page 2
  source->Clear();
  source->LoadFromFile(page1_name.c_str());
  destination->AddPage(source->GetPage(1));
  // add page 3
  source->Clear();
  source->LoadFromFile(page3_name.c_str());
  destination->AddPage(source->GetPage(1));
  // save all files together
  destination->Finish();
  string temp_filepath = PMakeTempFilePath("complete.qrp");
  destination->SaveToFile(temp_filepath.c_str());
  // load combined report and preview
  TQRPrinter *printer_thing = InitTQRPrinter();
  printer_thing->Load(temp_filepath.c_str());
  Screen->Cursor = crDefault;
  printer_thing->PreviewModal();
  delete printer_thing;
  delete source;
  delete destination;
}
//---------------------------------------------------------------------------
