//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "codeSpecialComPostpartumForm.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "codeSpecialGeneric"
#pragma resource "*.dfm"
TformSpecialComPostpartumForm *formSpecialComPostpartumForm;
//---------------------------------------------------------------------------
__fastcall TformSpecialComPostpartumForm::TformSpecialComPostpartumForm(TComponent* Owner)
        : TformSpecialGeneric(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TformSpecialComPostpartumForm::page1AfterPreview(
      TObject *Sender)
{
  Close();
}
//---------------------------------------------------------------------------
void __fastcall TformSpecialComPostpartumForm::page2AfterPreview(
      TObject *Sender)
{
  Close();
}
//---------------------------------------------------------------------------
// jhaley 20110125: Moved here from TformPrometheusMenu
void TformSpecialComPostpartumForm::Do()
{
  Screen->Cursor = crHourGlass;
  TformSpecialComPostpartumForm *com_form = NULL;
  FORM_TRY
    com_form = new TformSpecialComPostpartumForm(NULL);
  FORM_CATCH
  com_form->page1->Prepare();
  com_form->page1->QRPrinter->Save(PMakeTempFilePath("page1.qrp").c_str());
  com_form->page2->Prepare();
  com_form->page2->QRPrinter->Save(PMakeTempFilePath("page2.qrp").c_str());
  com_form->CloseNow();
  TQRPageList *source = new TQRPageList();
  TQRPageList *destination = new TQRPageList();
  destination->Stream = new TQRStream(100000);
  string file_name;
  // add pages
  for (int i = 1; i <= 2; i++)
  {
    file_name = PMakeTempFilePath(string("page") + IntToString(i) + ".qrp");
    source->Clear();
    source->LoadFromFile(file_name.c_str());
    destination->AddPage(source->GetPage(1));
  }
  // save all files together
  destination->Finish();
  string temp_filepath = PMakeTempFilePath("complete.qrp");
  destination->SaveToFile(temp_filepath.c_str());
  // load combined report and preview
  TQRPrinter *printer_thing = InitTQRPrinter();
  printer_thing->Load(temp_filepath.c_str());
  Screen->Cursor = crDefault;
  printer_thing->PreviewModal();
  delete printer_thing;
  delete source;
  delete destination;
}
//---------------------------------------------------------------------------

