//---------------------------------------------------------------------------

#ifndef codeSpecialDataMergeH
#define codeSpecialDataMergeH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
// need link_direction enum and node_data_type class
#include "codeSpecialDataNavigate.h"
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TformSpecialDataMerge : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TPanel *panelTop;
        TSplitter *splitHoriz;
        TPanel *panelLeft;
        TTreeView *treeMerge;
        TProgressBar *progressMajor;
        TProgressBar *progressMinor;
        TPanel *panelRight;
        TPanel *panelTable;
        TLabel *lblPkValue1;
        TLabel *lblTable;
        TLabel *lblPK;
        TEdit *editPkValue1;
        TComboBox *cboTable;
        TButton *btnGo;
        TEdit *editPk;
        TLabel *lblPkValue2;
        TEdit *editPkValue2;
        TToolButton *btnMerge;
        TToolButton *btnDataFormatByType;
        TPopupMenu *popupTree;
        TMenuItem *menuTreeExpand;
        TPanel *panelList1;
        TListView *listMerge1;
        TPanel *panelList2;
        TListView *listMerge2;
        TImageList *imageArrows;
        TSplitter *splitVert;
        TPaintBox *pbCaution;
        void __fastcall btnGoClick(TObject *Sender);
        void __fastcall menuTreeExpandClick(TObject *Sender);
        void __fastcall treeMergeChange(TObject *Sender, TTreeNode *Node);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall cboTableKeyPress(TObject *Sender, char &Key);
        void __fastcall cboTableChange(TObject *Sender);
        void __fastcall btnMergeClick(TObject *Sender);
        void __fastcall pbCautionPaint(TObject *Sender);
        void __fastcall treeMergeMouseMove(TObject *Sender,
          TShiftState Shift, int X, int Y);
        void __fastcall treeMergeMouseUp(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
private:	// User declarations
        bool RefreshTables();
        string lastSelectedTable;
        string lastTable;
        vector<node_data_type *> link_data;
        void PopulateLinks(string, string, string, vector<node_data_type *>&, TTreeNode*);
        classFilterObject DataFilter1, DataFilter2;
        TTreeNode* Merge1Root;
        TTreeNode* Merge2Root;
        set<pair<string, string> > fks_to_merge;
        TForm * floating_log_window;
        TRichEdit * editLog;
        void Log(string message);
        Pstamp last_message_stamp;
public:		// User declarations
        __fastcall TformSpecialDataMerge(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialDataMerge *formSpecialDataMerge;
//---------------------------------------------------------------------------
#endif
