//---------------------------------------------------------------------------

#ifndef codeSpecialDataMergePromptH
#define codeSpecialDataMergePromptH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <DBCGrids.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class merge_from_type
{
public:
   merge_from_type (TRadioButton* pRadio, string pKey, string pValue) { radio = pRadio; key = pKey; value = pValue; };
   TRadioButton* radio;
   string key;
   string value;
};

class TformSpecialDataMergePrompt : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TGroupBox *groupMain;
        TPanel *panelInstructions;
        TLabel *lblInstructions;
        TToolButton *btnFinish;
        TToolButton *btnCancel;
        TScrollBox *scrollValues;
        TPanel *panelValues;
        TLabel *lblValue1;
        TLabel *lblValue2;
        TPanel *panelKeys;
        TLabel *lblKey;
        TPaintBox *pbCaution2;
        TPaintBox *pbCaution1;
        TBevel *bevelStandardC;
        void __fastcall FormShow(TObject *Sender);
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall btnFinishClick(TObject *Sender);
        void __fastcall btnCancelClick(TObject *Sender);
        void __fastcall CautionPaint(TObject *Sender);
private:	// User declarations
        vector<map<string, string> > from_rec;
        vector<map<string, string> > to_rec;
        vector<string> table_fields;
        void DoStuff();
        string merge_table;
        string merge_pk;
        string merge_pk_value1;
        string merge_pk_value2;
        // associate "from" radio button with field name (key) and "from" field value
        vector<merge_from_type> merge_from_fields;
        bool allow_close; 
        TIBTransaction* merge_transaction;
public:		// User declarations
        __fastcall TformSpecialDataMergePrompt(TComponent* Owner, string table, string pk, string value1, string value2, TIBTransaction* tx);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialDataMergePrompt *formSpecialDataMergePrompt;
//---------------------------------------------------------------------------
#endif
