//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "codeSpecialDebug.h"
#include "codeWizardNewPerson.h"
#include "codeSpecialGPRA.h"
#include "launchClientReport.h"
#include "codeWorkflowERClaim.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "codeSpecialGeneric"
#pragma link "codeQueryMagic"
#pragma link "codeRubberContainer"
#pragma link "codeFrameObservationList"
#pragma link "codeSectionsGeneric"
#pragma link "codeHalfButton"
#pragma link "codeFrameCheckListDropDown"
#pragma link "codeBaseDropDown"
#pragma link "codeListBoxDropDown"
#pragma resource "*.dfm"
TformSpecialDebug *formSpecialDebug;
//---------------------------------------------------------------------------
__fastcall TformSpecialDebug::TformSpecialDebug(TComponent* Owner)
        : TformSpecialGeneric(Owner)
{
 b = false;
 r.push_back(new date_random_range());
 for (int i = 0; i < 60; i++)
  r.push_back(new float_random_range());

 frameObservations->SetSource(obs_list_person, "10389");
 Bob->ListBox->Items->Add("Test1");
 Bob->ListBox->Items->Add("Test Two");
 Bob->ListBox->Items->Add("Test Threesabunch");
 Bob->ListBox->Items->Add("Test Foooooooooooooooooour!");
 Bob->DropDownWidth = 200;
}
//---------------------------------------------------------------------------
__fastcall TformSpecialDebug::~TformSpecialDebug()
{
}
//---------------------------------------------------------------------------
void __fastcall TformSpecialDebug::buttonCloseClick(TObject *Sender)
{
 Close();
}
//---------------------------------------------------------------------------
void __fastcall TformSpecialDebug::buttonInvisibleClick(TObject *Sender)
{
 int l = 0;
 for (unsigned int i = 0; i < min((int)(r.size()), frameObservations->listObservations->Columns->Count); i++)
 {
  r[i]->Clear();
  for (int j = 0; j < frameObservations->listObservations->Items->Count; j++)
  {
   if (!i)
    r[i]->ConsiderValue(frameObservations->listObservations->Items->Item[j]->Caption.c_str());
   else
    r[i]->ConsiderValue(frameObservations->listObservations->Items->Item[j]->SubItems->Strings[i-1].c_str());
  }
  r[i]->w = frameObservations->listObservations->Columns->Items[i]->Width;
  r[i]->l = l;
  l += r[i]->w;
 }
 b = true;
}
//---------------------------------------------------------------------------

/* CustomDrawItem
 if (!b)
  return;

 Windows::TRect a = Item->DisplayRect(drBounds);
 if (!r.empty())
 {
  float z = r[0]->CalcValue(Item->Caption.c_str());
  z = 0.50;

  TColor old_color = Sender->Canvas->Brush->Color;
  TBrushStyle old_style = Sender->Canvas->Brush->Style;
  Sender->Canvas->Brush->Color = 0x00D6B4B8;
  Sender->Canvas->Brush->Style = bsSolid;
  Sender->Canvas->Pen->Color = clBlue;
  Sender->Canvas->FillRect(Rect(r[0]->l, a.Top, r[0]->l + (r[0]->w * z), a.Bottom));
  Sender->Canvas->Brush->Color = old_color;
  Sender->Canvas->Brush->Style = old_style;
 }
*/

void __fastcall TformSpecialDebug::TframeObservationslistObservationsAdvancedCustomDrawSubItem(
      TCustomListView *Sender, TListItem *Item, int SubItem,
      TCustomDrawState State, TCustomDrawStage Stage, bool &DefaultDraw)
{
// if (Stage != cdPostErase)
//  return;

 if (!b)
  return;

 Windows::TRect a = Item->DisplayRect(drBounds);
 int i = SubItem + 1;

 if (i >= frameObservations->listObservations->Columns->Count - 1)
  return;

 if ((size_t)i < r.size())
 {
  float z = r[i]->CalcValue(Item->SubItems->Strings[SubItem].c_str());

  TColor old_color = Sender->Canvas->Brush->Color;
  Sender->Canvas->Brush->Color = 0x00D6B4B8;
  Sender->Canvas->Brush->Style = bsSolid;
  Sender->Canvas->FillRect(Rect(r[i]->l - 5, a.Top, r[i]->l + (r[i]->w * z) - 5, a.Bottom));
  Sender->Canvas->Brush->Style = bsClear;
  Sender->Canvas->Brush->Color = old_color;
 }
}
//---------------------------------------------------------------------------
void __fastcall TformSpecialDebug::editAddressClick(TObject *Sender)
{
  if (editAddress->Text == "enter an address")
    editAddress->Text = "";
}
//---------------------------------------------------------------------------
void __fastcall TformSpecialDebug::editAddressChange(TObject *Sender)
{
 lblFormattedAddress->Caption = FormatAddress(editAddress->Text.c_str()).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformSpecialDebug::buttonIntakeWizardClick(TObject *Sender)
{
 FORM_TRY
  TformWizardNewPerson * z = new TformWizardNewPerson(NULL);
  z->Show();
 FORM_CATCH
}
//---------------------------------------------------------------------------
void __fastcall TformSpecialDebug::btnClientReport2Click(TObject *Sender)
{
 FORM_TRY
  TformLaunchClientReport * z = new TformLaunchClientReport(NULL);
  z->Show();
 FORM_CATCH
}
//---------------------------------------------------------------------------
void __fastcall TformSpecialDebug::btnFormatAllAddressesClick(TObject *Sender)
{
  Processing(true);
  string fetch_sql, update_sql;
  vector<map<string, string> > addresses;
  addresses.clear();
  fetch_sql = "select id, line1, line2 from person_contact_info where id > 0";
  SqlToVecMap(dbDatabase, fetch_sql, addresses);
  for (size_t i=0; i<addresses.size(); i++)
  {
    update_sql = "update person_contact_info set formatted_line1 = '" + FormatAddress(SafeSQLString(addresses[i]["line1"])) + "', "
                 "formatted_line2 = '" + FormatAddress(SafeSQLString(addresses[i]["line2"])) + "' where id = '" + addresses[i]["id"] + "'";
    //PSay("Updating address " + PrettyString(addresses[i]["line1"]) + " / " + PrettyString(addresses[i]["line2"]) + "\n\n" + update_sql, m_message, MB_OK);
    ExecuteStatement(dbDatabase, update_sql);
  }
  addresses.clear();
  fetch_sql = "select id, line1, line2 from tax_addresses where id > 0";
  SqlToVecMap(dbDatabase, fetch_sql, addresses);
  for (size_t i=0; i<addresses.size(); i++)
  {
    update_sql = "update tax_addresses set formatted_line1 = '" + FormatAddress(SafeSQLString(addresses[i]["line1"])) + "', "
                 "formatted_line2 = '" + FormatAddress(SafeSQLString(addresses[i]["line2"])) + "' where id = '" + addresses[i]["id"] + "'";
    //PSay("Updating address " + PrettyString(addresses[i]["line1"]) + " / " + PrettyString(addresses[i]["line2"]) + "\n\n" + update_sql, m_message, MB_OK);
    ExecuteStatement(dbDatabase, update_sql);
  }
  Processing(false);
}
//---------------------------------------------------------------------------
void __fastcall TformSpecialDebug::buttonGPRAClick(TObject *Sender)
{
 FORM_TRY
  TformSpecialGPRA * z = new TformSpecialGPRA(NULL, "people");
  z->Show();
 FORM_CATCH
}
//---------------------------------------------------------------------------
void __fastcall TformSpecialDebug::btnWorkflowClick(TObject *Sender)
{
 map<string,string> temp;
 temp["id"] = "new";
 temp["wf_document_id"] = lookupTables->IdOf("wf_document_types", "ER Claim");
 FORM_TRY
  TformWorkflowERClaim * z = new TformWorkflowERClaim(NULL, temp);
  z->Show();
 FORM_CATCH
}
//---------------------------------------------------------------------------
void __fastcall TformSpecialDebug::btnToHexClick(TObject *Sender)
{
  editHex->Text = IntToHexString(StringToInt(editDec->Text.c_str())).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformSpecialDebug::btnToDecClick(TObject *Sender)
{
  editDec->Text = IntToString(HexStringToInt(editHex->Text.c_str())).c_str();
}
//---------------------------------------------------------------------------
// jhaley 20101006: Temporary test for new task search form
#include "codeSearchTask.h"
void __fastcall TformSpecialDebug::btnNewTaskSearchClick(TObject *Sender)
{
  static int times = 0;
  string group_id;
  bool is_visit = false;
  switch(times)
  {
  case 0:
    group_id = lookupTables->IdOf("groups", "Behavioral Health");
    ++times;
    break;
  case 1:
    group_id = lookupTables->IdOf("groups", "Contract Health");
    is_visit = true;
    times = 0;
    break;
  default:
    return; // ??
  }
  FORM_TRY
    TformSearchTask *task_form = new TformSearchTask(NULL, NULL, group_id, is_visit);
    task_form->Show();
  FORM_CATCH
}
//---------------------------------------------------------------------------
// jhaley 20110301: Temporary test for Cached File Manager
#include "codeSpecialCachedFiles.h"
void __fastcall TformSpecialDebug::btnOutcomeReportClick(TObject *Sender)
{
  FORM_TRY
    TformSpecialCachedFiles *launchForm = new TformSpecialCachedFiles(NULL);
    launchForm->Show();
  FORM_CATCH
}
//---------------------------------------------------------------------------
// jhaley 20110420: Temporary test for Patient Assessment form
#include "codeRecordPatientAssessment.h"
void __fastcall TformSpecialDebug::btnAssessmentClick(TObject *Sender)
{
  map<string, string> field_map;
  field_map["id"] = "new";
  FORM_TRY
    TformRecordPatientAssessment *assmtForm = new TformRecordPatientAssessment(NULL, field_map);
    assmtForm->Show();
  FORM_CATCH
}
//---------------------------------------------------------------------------
// jhaley 20110421: Temporary test for Patient Assessment form
void __fastcall TformSpecialDebug::btnAssess2Click(TObject *Sender)
{
  map<string, string> field_map;
  field_map["id"] = "1";
  FORM_TRY
    TformRecordPatientAssessment *assmtForm = new TformRecordPatientAssessment(NULL, field_map);
    assmtForm->Show();
  FORM_CATCH
}
//---------------------------------------------------------------------------
// jhaley - Test exception throwing mechanism
void __fastcall TformSpecialDebug::btnThrowExceptionClick(TObject *Sender)
{
  try
  {
    throw Exception("Generic exception test");
  }
  catch(Exception &ex)
  {
    PSay(ex.Message.c_str(), m_debug, MB_OK);
  }
}
//---------------------------------------------------------------------------
// jhaley - Test illegal operation mechanism
void __fastcall TformSpecialDebug::btnCrashClick(TObject *Sender)
{
  try
  {
    *((int *)NULL) = 0;
  }
  catch(EAccessViolation &av)
  {
    PSay(av.Message.c_str(), m_debug, MB_OK);
  }
}
//---------------------------------------------------------------------------
// jhaley - Convert a physical address into a logical address
void __fastcall TformSpecialDebug::Button1Click(TObject *Sender)
{
  string physical_addr_str = editPhysAddr->Text.c_str();
  int    phys_addr_int     = HexStringToInt(physical_addr_str);
  PVOID  phys_addr         = (PVOID)phys_addr_int;
  DWORD  segment;
  DWORD  offset;

  if(GetLogicalAddress(phys_addr, segment, offset))
    editLogicalAddr->Text = (IntToHexString(segment) + ":" + IntToHexString(offset)).c_str();
  else
    PSay("Not a valid address in this program", m_message, MB_OK);
}
//---------------------------------------------------------------------------

