//---------------------------------------------------------------------------

#ifndef codeSpecialDiabWarningLetterH
#define codeSpecialDiabWarningLetterH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformSpecialDiabWarningLetter : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnPrintWarningLetters;
        TToolButton *btnCancelMemberships;
        TToolButton *btnSelectAll;
        TToolButton *btnUnselectAll;
        TListView *listMemberships;
        TLabel *lblMonth;
        TComboBox *cboMonth;
        TLabel *lblYear;
        TEdit *editYear;
        TUpDown *upDownYear;
        TButton *btnDisplay;
        TToolButton *ToolButton1;
        TToolButton *btnClose;
        TToolButton *ToolButton3;
        TCheckBox *checkTasks;
        TCheckBox *checkCancellation;
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall btnSelectAllClick(TObject *Sender);
        void __fastcall btnUnselectAllClick(TObject *Sender);
        void __fastcall btnDisplayClick(TObject *Sender);
        void __fastcall btnPrintWarningLettersClick(TObject *Sender);
        void __fastcall btnCancelMembershipsClick(TObject *Sender);
        void __fastcall btnCloseClick(TObject *Sender);
private:	// User declarations
        classFilterObject memberships_filter;
public:		// User declarations
        __fastcall TformSpecialDiabWarningLetter(TComponent* Owner);
        void ViewRecord();
        bool IsValidOnScreen();
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialDiabWarningLetter *formSpecialDiabWarningLetter;
//---------------------------------------------------------------------------
#endif
