//---------------------------------------------------------------------------

#ifndef codeSpecialDisambiguateH
#define codeSpecialDisambiguateH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformSpecialDisambiguate : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnOk;
        TToolButton *ToolButton2;
        TListView *listItems;
        void __fastcall btnOkClick(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall listItemsSelectItem(TObject *Sender,
          TListItem *Item, bool Selected);
private:	// User declarations
        string *selected_id;
        map<string, string> value_to_id;
        string instructions;
        bool ok_to_close;
public:		// User declarations
        __fastcall TformSpecialDisambiguate(TComponent* Owner, string instructions, string table, string sql, set<string> ids, string *result, TransformString how_to_format = RawString);
        static string Disambiguate(TObject *Owner, string perm_prefix, string perm_suffix, string perm_key, string perm_value, string instructions, TransformString how_to_format, set<string> &to_include, set<string> &to_exclude, string table, string sql);
        static string Disambiguate(TObject *Owner, map<string, string> &params, TransformString how_to_format);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialDisambiguate *formSpecialDisambiguate;
//---------------------------------------------------------------------------
#endif
