//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "codeSpecialDoctorStatementForm.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "codeSpecialGeneric"
#pragma resource "*.dfm"
TformSpecialDoctorStatementForm *formSpecialDoctorStatementForm;
//---------------------------------------------------------------------------
__fastcall TformSpecialDoctorStatementForm::TformSpecialDoctorStatementForm(TComponent* Owner)
        : TformSpecialGeneric(Owner)
{
}
//---------------------------------------------------------------------------
// jhaley 20110125: Moved here from TformPrometheusMenu
void TformSpecialDoctorStatementForm::Do()
{
  Screen->Cursor = crHourGlass;
  TformSpecialDoctorStatementForm *form = NULL;
  FORM_TRY
    form = new TformSpecialDoctorStatementForm(NULL);
  FORM_CATCH
  form->page1->Prepare();
  string file_name = PMakeTempFilePath("page1.qrp");
  form->page1->QRPrinter->Save(file_name.c_str());
  form->CloseNow();
  TQRPageList *source = new TQRPageList();
  TQRPageList *destination = new TQRPageList();
  destination->Stream = new TQRStream(100000);
  // add page 1
  source->Clear();
  source->LoadFromFile(file_name.c_str());
  destination->AddPage(source->GetPage(1));
  destination->Finish();
  string temp_filepath = PMakeTempFilePath("complete.qrp");
  destination->SaveToFile(temp_filepath.c_str());
  // load combined report and preview
  TQRPrinter *printer_thing = InitTQRPrinter();
  printer_thing->Load(temp_filepath.c_str());
  Screen->Cursor = crDefault;
  printer_thing->PreviewModal();
  delete printer_thing;
  delete source;
  delete destination;
}
//---------------------------------------------------------------------------
