//---------------------------------------------------------------------------

#ifndef codeSpecialExportListviewH
#define codeSpecialExportListviewH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <Dialogs.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include "filter_export.h"
#include <Menus.hpp>

//---------------------------------------------------------------------------
class TformSpecialExportListview : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *buttonExport;
        TToolButton *buttonClose;
        TSaveDialog *dialogSaveData;
        TGroupBox *groupFormatOptions;
        TRadioButton *radioComma;
        TRadioButton *radioFixed;
        TGroupBox *groupColumnOrder;
        TGroupBox *groupSortingOrder;
        TListView *listShow;
        TListView *listSort;
        TBitBtn *buttonShowUp;
        TBitBtn *buttonShowDown;
        TBitBtn *buttonSortUp;
        TBitBtn *buttonSortDown;
        TGroupBox *groupExtraOptions;
        TCheckBox *checkHeaders;
        TCheckBox *checkOpenFile;
        TGroupBox *groupColumnOptions;
        TListView *listList;
        TCheckBox *checkShowColumn;
        TCheckBox *checkSortColumn;
        TPanel *panelShowColumn;
        TPanel *panelSortColumn;
        TComboBox *comboShowStyle;
        TLabel *labelColumnStyle;
        TLabel *labelSortStyle;
        TComboBox *comboSortStyle;
        TRadioButton *radioSortAsc;
        TRadioButton *radioSortDesc;
        TGroupBox *groupCurrent;
        TListView *listCurrent;
        TCheckBox *checkSaveSql;
        TPopupMenu *popupColumns;
        TMenuItem *menuCSVall;
        TMenuItem *menuCSVselected;
        void __fastcall buttonCloseClick(TObject *Sender);
        void __fastcall buttonExportClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall buttonShowUpClick(TObject *Sender);
        void __fastcall buttonShowDownClick(TObject *Sender);
        void __fastcall buttonSortUpClick(TObject *Sender);
        void __fastcall buttonSortDownClick(TObject *Sender);
        void __fastcall checkShowColumnClick(TObject *Sender);
        void __fastcall checkSortColumnClick(TObject *Sender);
        void __fastcall radioSortClick(TObject *Sender);
        void __fastcall comboShowStyleChange(TObject *Sender);
        void __fastcall comboSortStyleChange(TObject *Sender);
        void __fastcall listShowSelectItem(TObject *Sender,
          TListItem *Item, bool Selected);
        void __fastcall listSortSelectItem(TObject *Sender,
          TListItem *Item, bool Selected);
        void __fastcall FormShow(TObject *Sender);
        void __fastcall menuCSVallClick(TObject *Sender);
        void __fastcall menuCSVselectedClick(TObject *Sender);
private:	// User declarations
        edit_listview * column_list;
        bool is_selecting;
        bool is_closing;
        string filter_sql;
        column_descriptions * export_data;
        classFilterObject * filter_object;
        void ListSelect ();
public:		// User declarations
        __fastcall TformSpecialExportListview(TComponent* Owner, classFilterObject * p_filter);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialExportListview *formSpecialExportListview;
//---------------------------------------------------------------------------
#endif
