//---------------------------------------------------------------------------

#ifndef codeSpecialFDADrugH
#define codeSpecialFDADrugH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
#include <Db.hpp>
#include <IBDatabase.hpp>
//---------------------------------------------------------------------------
class TformSpecialFDADrug : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnClose;
        TToolButton *btnHidden;
        TIBDatabase *dbFDADatabase;
        TLabel *lblName;
        TLabel *lblManufacturer;
        TLabel *lblFDAid;
        TEdit *editName;
        TEdit *editManufacturer;
        TEdit *editFDAid;
        TEdit *editFDACode;
        TLabel *lblFDACode;
        TLabel *lblStrength;
        TEdit *editStrength;
        TLabel *lblInUnits;
        TEdit *editUnits;
        TLabel *lblRxOTC;
        TEdit *editRxOTC;
        TLabel *lblDEASchedule;
        TEdit *editDEASchedule;
        TLabel *lblStdDoseForms;
        TLabel *lblStdDoseRoutes;
        TRubberContainer *rubberDoseForms;
        TRubberContainer *rubberDoseRoutes;
        TListView *listDoseForms;
        TListView *listDoseRoutes;
        TLabel *lblStdPackaging;
        TRubberContainer *rubberPackaging;
        TListView *listPackaging;
        TLabel *lblFormulation;
        TRubberContainer *rubberFormulation;
        TListView *listFormulation;
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
private:	// User declarations
        string listing_id;
        void PutDataOnScreen();
public:		// User declarations
        __fastcall TformSpecialFDADrug(TComponent* Owner, const string &p_listing_id);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialFDADrug *formSpecialFDADrug;
//---------------------------------------------------------------------------
#endif
