//---------------------------------------------------------------------------

#ifndef codeSpecialGPRAH
#define codeSpecialGPRAH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformSpecialGPRA : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TPageControl *pageGPRA;
        TTabSheet *sheetQueries;
        TTabSheet *sheetParameters;
        TPanel *panelParameterList;
        TSplitter *splitterParameters;
        TPanel *panelParameter;
        TTabSheet *sheetOutput;
        TPanel *panelQueryList;
        TListView *listQueries;
        TButton *buttonRemoveQuery;
        TButton *buttonAddQuery;
        TSplitter *splitterQueries;
        TPanel *panelQuery;
        TButton *buttonClearQuery;
        TListView *listParameters;
        TButton *buttonRemoveParameter;
        TButton *buttonClearParameter;
        TButton *buttonAddParameter;
        TPanel *panelQueryName;
        TEdit *editQueryName;
        TButton *buttonSaveQuery;
        TLabel *_labelQueryName;
        TPanel *panelParameterName;
        TLabel *_labelParameterName;
        TEdit *editParameterName;
        TButton *buttonSaveParameter;
        TRadioButton *radioSimpleOutput;
        TRadioButton *radioComplexOutput;
        TLabel *_labelSimpleOutput;
        TLabel *_labelComplexOutput;
        TPanel *panelIndicators;
        TListView *listIndicators;
        TButton *buttonRemoveIndicator;
        TButton *buttonClearIndicator;
        TButton *buttonSaveIndicator;
        TEdit *editIndicatorName;
        TLabel *_labelIndicatorName;
        TRadioButton *radioCountIndicator;
        TComboBox *comboIndicatorCount;
        TRadioButton *radioRatioIndicator;
        TComboBox *comboIndicatorNumerator;
        TComboBox *comboIndicatorDenominator;
        TLabel *_labelRatioIndicator;
        TPanel *panelQueryDefinition;
        TPanel *panelParameterDefinition;
        TButton *buttonAddIndicator;
        TToolButton *buttonClose;
        TToolButton *buttonRun;
        void __fastcall buttonAddQueryClick(TObject *Sender);
        void __fastcall buttonAddParameterClick(TObject *Sender);
        void __fastcall buttonAddIndicatorClick(TObject *Sender);
        void __fastcall buttonRemoveQueryClick(TObject *Sender);
        void __fastcall buttonRemoveParameterClick(TObject *Sender);
        void __fastcall buttonRemoveIndicatorClick(TObject *Sender);
        void __fastcall buttonClearQueryClick(TObject *Sender);
        void __fastcall buttonClearParameterClick(TObject *Sender);
        void __fastcall buttonClearIndicatorClick(TObject *Sender);
        void __fastcall buttonSaveQueryClick(TObject *Sender);
private:	// User declarations
        edit_listview list_queries;
        edit_listview list_parameters;
        edit_listview list_indicators;
        void QuerySelected ();
        void ParameterSelected ();
        void IndicatorSelected ();
        string FSourceTableName;
public:		// User declarations
        __fastcall TformSpecialGPRA(TComponent* Owner, string source_table_name);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialGPRA *formSpecialGPRA;
//---------------------------------------------------------------------------
#endif
