//---------------------------------------------------------------------------

#ifndef codeSpecialGeneralJournalH
#define codeSpecialGeneralJournalH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <Mask.hpp>
//---------------------------------------------------------------------------
class TformSpecialGeneralJournal : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TLabel *lblAccount;
        TEdit *editDebitAmount;
        TEdit *editAccount;
        TLabel *labelDollar1;
        TEdit *editCreditAmount;
        TLabel *Label2;
        TLabel *lblDebitAmount;
        TLabel *lblCreditAmount;
        TLabel *lblType;
        TToolButton *brnFinish;
        TToolButton *btnCancel;
        TPanel *offsetAccountPanel;
        TLabel *Label12;
        TLabel *Label13;
        TLabel *Label14;
        TEdit *editOffsetAccount;
        TEdit *editOffsetDebitAmount;
        TEdit *editOffsetCreditAmount;
        TEdit *editReason;
        TLabel *Label15;
        TListView *listAmounts;
        TButton *buttonDeletePayment;
        TButton *buttonAddPayment;
        TButton *btnSetOffset;
        TToolButton *ToolButton1;
        TCheckBox *cbIsBudget;
        TPanel *typePanel;
        TComboBox *cboType;
        void __fastcall buttonAddPaymentClick(TObject *Sender);
        void __fastcall buttonDeletePaymentClick(TObject *Sender);
        void __fastcall listAmountsSelectItem(TObject *Sender,
          TListItem *Item, bool Selected);
        void __fastcall btnSetOffsetClick(TObject *Sender);
        void __fastcall btnCancelClick(TObject *Sender);
        void __fastcall brnFinishClick(TObject *Sender);
        void __fastcall cbIsBudgetClick(TObject *Sender);
private:	// User declarations

        int acceptable_payments;
        int acceptable_offset_payments;
        bool is_budget;
public:		// User declarations
        __fastcall TformSpecialGeneralJournal(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialGeneralJournal *formSpecialGeneralJournal;
//---------------------------------------------------------------------------
#endif
