//---------------------------------------------------------------------------

#ifndef codeSpecialHL7SettingsH
#define codeSpecialHL7SettingsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include "hl7.h"
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformSpecialHL7Settings : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *buttonSave;
        TToolButton *buttonCancel;
        TGroupBox *groupControlCharacters;
        TEdit *editElementCharacter;
        TLabel *_labelElementCharacter;
        TLabel *_labelComponentCharacter;
        TEdit *editComponentCharacter;
        TLabel *_labelRepetitionCharacter;
        TEdit *editRepetitionCharacter;
        TLabel *_labelSubComponentCharacter;
        TEdit *editSubComponentCharacter;
        TLabel *_labelEscapeCharacter;
        TEdit *editEscapeCharacter;
        TGroupBox *groupBatch;
        TLabel *_labelResendBatchNumber;
        TEdit *editResendBatchNumber;
        TLabel *_labelSendingApplication;
        TEdit *editSendingApplication;
        TLabel *_labelSendingFacility;
        TEdit *editSendingFacility;
        TLabel *_labelReceivingApplication;
        TEdit *editReceivingApplication;
        TLabel *_labelReceivingFacility;
        TEdit *editReceivingFacility;
        TLabel *_labelBatchNumber;
        TEdit *editBatchNumber;
        TLabel *_labelComment;
        TEdit *editComment;
        TComboBox *comboStatus;
        TLabel *_labelStatus;
        TLabel *_labelVersion;
        TBitBtn *buttonFetchBatchNumber;
        TToolButton *buttonDefaults;
        TEdit *editVersion;
        TLabel *_labelSendingFacilityId;
        TEdit *editSendingFacilityId;
        void __fastcall buttonSaveClick(TObject *Sender);
        void __fastcall buttonFetchBatchNumberClick(TObject *Sender);
        void __fastcall buttonCancelClick(TObject *Sender);
        void __fastcall buttonDefaultsClick(TObject *Sender);
private:	// User declarations
        hl7_batch & batch;
        void batch_to_screen (hl7_batch b);
        bool screen_to_batch (hl7_batch & b);
public:		// User declarations
        __fastcall TformSpecialHL7Settings(TComponent* Owner, hl7_batch & _batch);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialHL7Settings *formSpecialHL7Settings;
//---------------------------------------------------------------------------
#endif
