//---------------------------------------------------------------------------

#ifndef codeSpecialHtmlPreviewH
#define codeSpecialHtmlPreviewH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include "SHDocVw_OCX.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <OleCtrls.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformSpecialHtmlPreview : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *buttonClose;
        TToolButton *buttonPreview;
        TPanel *panelPreview;
        TCppWebBrowser *webPreview;
        TTimer *timerClose;
        void __fastcall buttonCloseClick(TObject *Sender);
        void __fastcall buttonPreviewClick(TObject *Sender);
        void __fastcall timerCloseTimer(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall webPreviewDocumentComplete(TObject *Sender,
          LPDISPATCH pDisp, TVariant *URL);
private:	// User declarations
        void __fastcall virtual SetURL (string Value);
        int close_count;

        bool please_restore;
        char previous_header[1024];
        unsigned long header_size;
        char previous_footer[1024];
        unsigned long footer_size;
        char previous_background[1024];
        unsigned long background_size;
        
        void GrabHeaderFooterSettings();
        void RestoreHeaderFooterSettings();
        void SetHeaderFooterSettings();
public:		// User declarations
        __fastcall TformSpecialHtmlPreview(TComponent* Owner);
        __property string URL = {write = SetURL};
        void PrintPreview();
        static void Do(string URL);
        static void DoPrintPreview(string URL);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialHtmlPreview *formSpecialHtmlPreview;
//---------------------------------------------------------------------------
#endif
