//---------------------------------------------------------------------------

#ifndef codeSpecialIdleWarningH
#define codeSpecialIdleWarningH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TformSpecialIdleWarning : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnCancel;
        TToolButton *ToolButton2;
        TGroupBox *groupIcon;
        TImage *imageTimeUp;
        TLabel *lblIdleText;
        TLabel *lblSeconds;
        TLabel *lblCancelText;
        TTimer *timerText;
        void __fastcall timerTextTimer(TObject *Sender);
        void __fastcall scrollStandardClick(TObject *Sender);
        void __fastcall btnCancelClick(TObject *Sender);
private:	// User declarations
        int timerAmount;
        int lockState;

public:		// User declarations
        __fastcall TformSpecialIdleWarning(TComponent* Owner);
        __fastcall ~TformSpecialIdleWarning();

        void SetTimerAmount(int seconds);

        enum
        {
          STATE_COUNTDOWN, // counting down
          STATE_LOCKED,    // locked user's machine
          STATE_WAITING    // waiting for unlock
        };

        int GetLockState() const { return lockState; }
        void __fastcall CreateParams(Controls::TCreateParams &Params);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialIdleWarning *formSpecialIdleWarning;
//---------------------------------------------------------------------------
#endif
