//---------------------------------------------------------------------------

#ifndef codeSpecialLatestInsuranceH
#define codeSpecialLatestInsuranceH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformSpecialLatestInsurance : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *buttonClose;
        TToolButton *buttonPrint;
        TPanel *panelOuter;
        TPanel *panelLeft;
        TSplitter *splitterMiddle;
        TListView *listInsuranceTypes;
        TPanel *panelRight;
        TListView *listInsurance;
        TLabel *_labelType;
        TLabel *_labelResults;
        TRadioButton *radioOne;
        TRadioButton *radioSome;
        TRadioButton *radioAll;
        TLabel *_labelWhat;
        TButton *buttonRefresh;
        void __fastcall buttonCloseClick(TObject *Sender);
        void __fastcall buttonRefreshClick(TObject *Sender);
        void __fastcall buttonPrintClick(TObject *Sender);
private:	// User declarations
        void EditPerson();
        void RefreshSome();
        classFilterObject list_insurance;
        classFilterObject list_insurance_types;
public:		// User declarations
        __fastcall TformSpecialLatestInsurance(TComponent* Owner);
        void static Do();
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialLatestInsurance *formSpecialLatestInsurance;
//---------------------------------------------------------------------------
#endif
