//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "codeSpecialMessageBox.h"
#include "Clipbrd.hpp"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "codeSpecialGeneric"
#pragma resource "*.dfm"
TformSpecialMessageBox *formSpecialMessageBox;
//---------------------------------------------------------------------------
__fastcall TformSpecialMessageBox::TformSpecialMessageBox(TComponent* Owner, string p_message, string p_caption, int p_buttons, int *p_button_clicked)
        : TformSpecialGeneric(Owner)
{
  button_clicked = p_button_clicked;
  // bool GetTextExtent(TWinControl* WinControl, TFont* Font, string Text, int& Width, int& Height)
  int text_width;
  //if(GetTextExtent(
  //else
  text_width = this->Canvas->TextWidth(p_message.c_str());
  if (p_buttons & mb_ok) buttonOk->Visible = true;
  lblMessage->Width = text_width;
  this->Width = text_width + 24;
  this->Constraints->MaxWidth = text_width + 24;
  this->Constraints->MinWidth = text_width + 24;
  this->Constraints->MaxHeight = this->Height;
  this->Constraints->MinHeight = this->Height;
  lblMessage->Caption = p_message.c_str();
  this->Caption = p_caption.c_str();

/*
   editMessage = NULL;
   button_clicked = &bc;
   (*button_clicked) = 0;
   query_response = NULL;
   if (flags & mb_ok) buttonOk->Visible = true;
   if (flags & mb_yes) buttonYes->Visible = true;
   if (flags & mb_no) buttonNo->Visible = true;
   if (flags & mb_cancel) buttonCancel->Visible = true;
   if (flags & mb_abort) buttonAbort->Visible = true;
   if (flags & mb_retry) buttonRetry->Visible = true;
   if (flags & mb_ignore) buttonIgnore->Visible = true;
   if (flags & mb_allyes) buttonAllYes->Visible = true;
   if (flags & mb_allno) buttonAllNo->Visible = true;
   if (flags & mb_all) buttonAll->Visible = true;

   this->Caption = title.c_str();

   float ratio;
   do
   {
      lblMessage->Caption = message.c_str();
      ratio = float(lblMessage->Height) / float(lblMessage->Width);
      if (ratio > 1)
      {
         lblMessage->Constraints->MinWidth = lblMessage->Width * ratio;
         lblMessage->Caption = "";
      }
   }
   while (ratio > 1);

   if (flags & mb_query)
   {
     TAnchors stupid;
     stupid << akLeft << akTop << akRight;
     editMessage = new TEdit(panelOuter);
     editMessage->Anchors = stupid;
     editMessage->Left = 8;
     editMessage->Top = lblMessage->Top + lblMessage->Height + 5;
     editMessage->Width = panelOuter->Width - 16;
     editMessage->Height = 21;
     editMessage->Text = "";
     editMessage->Visible = true;
     editMessage->Enabled = true;
     editMessage->Parent = panelOuter;
     query_response = query;
   }

   this->ClientWidth = lblMessage->Width + 24;
   if (editMessage)
      this->ClientHeight = lblMessage->Height + editMessage->Height + toolsStandard->Height + 24;
   else
      this->ClientHeight = lblMessage->Height + toolsStandard->Height + 16;
*/
}
//---------------------------------------------------------------------------

void __fastcall TformSpecialMessageBox::buttonOkClick(TObject *Sender)
{
   (*button_clicked) = idok;
   Close();
}
//---------------------------------------------------------------------------

void __fastcall TformSpecialMessageBox::buttonYesClick(TObject *Sender)
{
   (*button_clicked) = idyes;
   Close();
}
//---------------------------------------------------------------------------

void __fastcall TformSpecialMessageBox::buttonNoClick(TObject *Sender)
{
   (*button_clicked) = idno;
   Close();
}
//---------------------------------------------------------------------------

void __fastcall TformSpecialMessageBox::buttonCancelClick(TObject *Sender)
{
   (*button_clicked) = idcancel;
   Close();
}
//---------------------------------------------------------------------------

void __fastcall TformSpecialMessageBox::buttonAbortClick(TObject *Sender)
{
   (*button_clicked) = idabort;
   Close();
}
//---------------------------------------------------------------------------

void __fastcall TformSpecialMessageBox::buttonRetryClick(TObject *Sender)
{
   (*button_clicked) = idretry;
   Close();
}
//---------------------------------------------------------------------------

void __fastcall TformSpecialMessageBox::buttonIgnoreClick(TObject *Sender)
{
   (*button_clicked) = idignore;
   Close();
}
//---------------------------------------------------------------------------

void __fastcall TformSpecialMessageBox::buttonAllYesClick(TObject *Sender)
{
   (*button_clicked) = idallyes;
   Close();
}
//---------------------------------------------------------------------------

void __fastcall TformSpecialMessageBox::buttonAllNoClick(TObject *Sender)
{
   (*button_clicked) = idallno;
   Close();
}
//---------------------------------------------------------------------------

void __fastcall TformSpecialMessageBox::buttonAllClick(TObject *Sender)
{
   (*button_clicked) = idall;
   Close();
}
//---------------------------------------------------------------------------
void __fastcall TformSpecialMessageBox::menuCopyClick(TObject *Sender)
{
  Clipboard()->AsText = this->Caption + ";  " + lblMessage->Caption;
}
//---------------------------------------------------------------------------


