//---------------------------------------------------------------------------

#ifndef codeSpecialModifyPayableH
#define codeSpecialModifyPayableH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Mask.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformSpecialModifyPayable : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TPanel *panelSelectArea;
        TStaticText *staticHeader;
        TToolButton *buttonFinish;
        TToolButton *buttonClose;
        TToolButton *sep2;
        TListView *listPayments;
        TButton *buttonDeletePayment;
        TButton *buttonAddPayment;
        TEdit *editAmount;
        TLabel *labelDollar1;
        TEdit *editAccount;
        TLabel *labelOldInstructions;
        void __fastcall buttonAddPaymentClick(TObject *Sender);
        void __fastcall buttonDeletePaymentClick(TObject *Sender);
        void __fastcall listPaymentsSelectItem(TObject *Sender,
          TListItem *Item, bool Selected);
        void __fastcall buttonFinishClick(TObject *Sender);
        void __fastcall buttonCloseClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall editAmountKeyPress(TObject *Sender, char &Key);
private:	// User declarations
        string bill_id;
        string task_id;
        bool is_for_bill;

        // check for a purchase request -- if true then they can modify the account, but not the amount
        bool bill_is_on_purchase_req;

        // check to see if the pr is on a check.  if true then do not allow them to modify account or amount
        bool bill_is_on_purchase_req_on_check;

        vector<map<string, string> > expenses_so_far;

        int acceptable_payments;
public:		// User declarations
        __fastcall TformSpecialModifyPayable(TComponent* Owner, string bill_number, string task_number);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialModifyPayable *formSpecialModifyPayable;
//---------------------------------------------------------------------------
#endif
