//---------------------------------------------------------------------------

#ifndef codeSpecialNewCOBH
#define codeSpecialNewCOBH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include <Mask.hpp>
//---------------------------------------------------------------------------
class TformSpecialNewCOB : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TPanel *panelSelectArea;
        TStaticText *staticHeader;
        TToolButton *buttonBack;
        TToolButton *buttonCancel;
        TToolButton *buttonNext;
        TPageControl *pageCOB;
        TTabSheet *sheetProvider;
        TToolButton *sep1;
        TLabel *labelPatientInstructions;
        TLabel *llabelPatient;
        TStaticText *staticPatient;
        TBitBtn *buttonPatientSearch;
        TLabel *labelProviderInstructions;
        TLabel *labelProvider;
        TStaticText *staticProvider;
        TBitBtn *buttonProviderSearch;
        TListView *listServicesProvided;
        TTabSheet *sheetVisit;
        TLabel *labelDateTimeInstructions;
        TLabel *labelDateTime;
        TDateTimePicker *editDateService;
        TLabel *labelAt;
        TDateTimePicker *editTimeService;
        TLabel *labelReasonInstructions;
        TLabel *labelReason;
        TRichEdit *editReason;
        TTabSheet *sheetMoneys;
        TLabel *labelInsuranceMoneyInstructions;
        TListView *listInsurance;
        TTabSheet *sheetPayment;
        TLabel *labelPaymentInstructions;
        TListView *listPayments;
        TButton *buttonDeleteAmount;
        TMaskEdit *editAccount;
        TLabel *labelDollar1;
        TEdit *editAmount;
        TButton *buttonAddAmount;
        TLabel *labelPayment;
        TLabel *labelDollar2;
        TLabel *labelAmountPayment;
        TLabel *labelUsageInstructions;
        TRichEdit *editUsage;
        TToolButton *sep2;
        TToolButton *buttonClose;
        TStaticText *staticUsualDental;
        TStaticText *staticUsualOrtho;
        TStaticText *staticUsualVision;
        TStaticText *staticUsualMedical;
        TStaticText *staticUsualHearing;
        TLabel *labelLinkInstructions;
        TStaticText *staticPersonLimits;
        TStaticText *staticInsuredMedical;
        TLabel *labelOutsideReferal;
        TStaticText *staticReferringProvider;
        TBitBtn *ReferringProviderSearch;
        TCheckBox *cboOutsideReferral;
        TPanel *referralPanel;
        TListView *listReferringPhysicians;
        TStaticText *staticUsualCaregiver;
        TRadioButton *rboReferringPhysicianInstructions;
        TRadioButton *rboOutsideReferral;
        void __fastcall buttonPatientSearchClick(TObject *Sender);
        void __fastcall buttonProviderSearchClick(TObject *Sender);
        void __fastcall listServicesProvidedSelectItem(TObject *Sender,
          TListItem *Item, bool Selected);
        void __fastcall listReferringPhysiciansSelectItem(TObject *Sender,
          TListItem *Item, bool Selected);
        void __fastcall buttonAddAmountClick(TObject *Sender);
        void __fastcall buttonDeleteAmountClick(TObject *Sender);
        void __fastcall buttonBackClick(TObject *Sender);
        void __fastcall buttonNextClick(TObject *Sender);
        void __fastcall buttonCancelClick(TObject *Sender);
        void __fastcall buttonCloseClick(TObject *Sender);
        void __fastcall staticUsualDentalClick(TObject *Sender);
        void __fastcall staticUsualOrthoClick(TObject *Sender);
        void __fastcall staticUsualVisionClick(TObject *Sender);
        void __fastcall staticUsualMedicalClick(TObject *Sender);
        void __fastcall staticUsualHearingClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall staticPersonLimitsClick(TObject *Sender);
        void __fastcall listPaymentsSelectItem(TObject *Sender,
          TListItem *Item, bool Selected);
        void __fastcall staticInsuredMedicalClick(TObject *Sender);
        void __fastcall ReferringProviderSearchClick(TObject *Sender);
        void __fastcall staticUsualCaregiverClick(TObject *Sender);
        void __fastcall rboOutsideReferralClick(TObject *Sender);
        void __fastcall rboReferringPhysicianInstructionsClick(
          TObject *Sender);
private:	// User declarations
        string first_patient_id;
        string first_provider_id;
        string first_service_id;
        string first_referring_id;
        string second_patient_id;
        string second_service_id;

        classFilterObject referrer_filter;
        classFilterObject services_filter;
        classFilterObject insurance_filter;
        int services_request;
        int insurance_request;

        int acceptable_payments;

        void Start();
        void Stop();
        void RefreshBudgetInfo();
        void ResetServices(string p_provider_id);
        void ResetFirstPage();
        void ResetSecondPage();
        void ResetThirdPage();
        void ResetFourthPage();
        void GotoFirstPage();
        void GotoSecondPage();
        void GotoThirdPage();
        void GotoFourthPage();
        bool AtlasScreen(int request_number);
        void AddInsurance();
        void EditInsurance();
        void AddServiceProvided();
        void EditServiceProvided();
public:		// User declarations
        __fastcall TformSpecialNewCOB(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialNewCOB *formSpecialNewCOB;
//---------------------------------------------------------------------------
#endif
