//---------------------------------------------------------------------------

#ifndef codeSpecialObservationQuestionSetEditorH
#define codeSpecialObservationQuestionSetEditorH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeHalfButton.h"
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformSpecialObservationQuestionSetEditor : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *buttonClose;
        TComboBox *comboQuestionSet;
        TListView *listQuestionSetQuestions;
        TListView *listQuestions;
        TLabel *_labelQuestions;
        TButton *buttonMoveUp;
        TButton *buttonMoveDown;
        TButton *buttonAddQuestion;
        TButton *buttonRemoveQuestion;
        TLabel *_labelQuestionSet;
        TToolButton *buttonUseless;
        TButton *buttonSave;
        TEdit *editPermission;
        TLabel *Label1;
        void __fastcall buttonMoveUpClick(TObject *Sender);
        void __fastcall buttonMoveDownClick(TObject *Sender);
        void __fastcall buttonAddQuestionClick(TObject *Sender);
        void __fastcall buttonRemoveQuestionClick(TObject *Sender);
        void __fastcall buttonCloseClick(TObject *Sender);
        void __fastcall buttonSaveClick(TObject *Sender);
        void __fastcall comboQuestionSetChange(TObject *Sender);
private:	// User declarations
        classFilterObject list_all_questions;
        int request_all_questions;

        edit_listview list_some_questions;
        void AtlasRefreshListView(int request_num, string matched_value);
        void AddQuestion();
        void EditQuestion();
        void QuestionSelected();
        void QuestionZoomed();
        void RefreshAllQuestions();
public:		// User declarations
        __fastcall TformSpecialObservationQuestionSetEditor(TComponent* Owner);
        __fastcall ~TformSpecialObservationQuestionSetEditor();
        static void Do();
        static void Do(string obs_question_set_id);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialObservationQuestionSetEditor *formSpecialObservationQuestionSetEditor;
//---------------------------------------------------------------------------
#endif
