//---------------------------------------------------------------------------

#ifndef codeSpecialPermissionsDiffH
#define codeSpecialPermissionsDiffH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <ImgList.hpp>

//---------------------------------------------------------------------------
class TformSpecialPermissionsDiff : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TPanel *panelResizing;
        TSplitter *splitterVertical;
        TListView *listUsers;
        TImageList *imageList;
        TToolButton *buttonClose;
        TToolButton *buttonUpdate;
        TToolButton *sep1;
        TToolButton *buttonSearch;
        TListView *listPermissions;
        void __fastcall listPermissionsClick(TObject *Sender);
        void __fastcall listPermissionsMouseMove(TObject *Sender,
          TShiftState Shift, int X, int Y);
        void __fastcall buttonSearchClick(TObject *Sender);
        void __fastcall buttonUpdateClick(TObject *Sender);
        void __fastcall buttonCloseClick(TObject *Sender);
private:	// User declarations
        // atlas
        int user_request;
        void AtlasRefresh(int request_num, string matched_value);

        map<string, unsigned int> id_to_place;
        map<string, map<string, vector<bool> > > sk_v;

        classFilterObject user_filter;

        // mouse tracking
        int x_pos;

        void AddUser();
        void EditUser();
public:		// User declarations
        __fastcall TformSpecialPermissionsDiff(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialPermissionsDiff *formSpecialPermissionsDiff;
//---------------------------------------------------------------------------
#endif
