//---------------------------------------------------------------------------

#ifndef codeSpecialPersonNotesSummaryH
#define codeSpecialPersonNotesSummaryH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialListview.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformSpecialPersonNotesSummary : public TformSpecialListview
{
__published:	// IDE-managed Components
        void __fastcall FormShow(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall buttonUselessClick(TObject *Sender);
private:	// User declarations
        string person_id;
        vector<string> group_ids;
        TIBTransaction *dbTransaction;
        int &num_checks; // reference into which return value will be placed.
protected:
        void Execute(TIBTransaction* dbTransaction, string sql_statement);
        void AtlasRefreshListView(int request_num, string matched_value);
        bool Zoom(const string &p_id);
public:		// User declarations
        __fastcall TformSpecialPersonNotesSummary(TComponent* Owner, string &p_person_id, vector<string> &p_group_ids,
                                                  int &p_num_checks);
        __fastcall ~TformSpecialPersonNotesSummary();
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialPersonNotesSummary *formSpecialPersonNotesSummary;
//---------------------------------------------------------------------------
#endif
