//---------------------------------------------------------------------------

#ifndef codeSpecialPrometheusVersionLogH
#define codeSpecialPrometheusVersionLogH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformSpecialPrometheusVersionLog : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnAcknowledge;
        TToolButton *btnIgnore;
        TPanel *panelSizing;
        TSplitter *splitterSizing;
        TListView *listVersions;
        TRichEdit *editNotes;
        TToolButton *sep1;
        TToolButton *btnMisunderstood;
        TToolButton *sep2;
        void __fastcall btnAcknowledgeClick(TObject *Sender);
        void __fastcall listVersionsChange(TObject *Sender,
          TListItem *Item, TItemChange Change);
        void __fastcall btnIgnoreClick(TObject *Sender);
        void __fastcall btnMisunderstoodClick(TObject *Sender);
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall FormShow(TObject *Sender);
private:	// User declarations
        map<string, string> version_to_notes;
        void UpdateList();
        string class_name;
        bool allow_close;
        bool understands_current_release_notes;
        bool show_new_version_notification;
public:		// User declarations
        __fastcall TformSpecialPrometheusVersionLog(TComponent* Owner, bool p_show_new_version_notification = false);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialPrometheusVersionLog *formSpecialPrometheusVersionLog;
//---------------------------------------------------------------------------
#endif
