//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "codeSpecialReachContract.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "codeSpecialGeneric"
#pragma resource "*.dfm"
TformSpecialReachContract *formSpecialReachContract;
//---------------------------------------------------------------------------
__fastcall TformSpecialReachContract::TformSpecialReachContract(TComponent* Owner)
        : TformSpecialGeneric(Owner)
{
}
//---------------------------------------------------------------------------
// jhaley 20110125: Moved here from TformPrometheusMenu
void TformSpecialReachContract::Do()
{
  Screen->Cursor = crHourGlass;
  TformSpecialReachContract *contract = NULL;
  FORM_TRY
    contract = new TformSpecialReachContract(NULL);
  FORM_CATCH
  contract->page1->Prepare();
  contract->page1->QRPrinter->Save(PMakeTempFilePath("page1.qrp").c_str());
  contract->page2->Prepare();
  contract->page2->QRPrinter->Save(PMakeTempFilePath("page2.qrp").c_str());
  contract->CloseNow();
  TQRPageList *source = new TQRPageList();
  TQRPageList *destination = new TQRPageList();
  destination->Stream = new TQRStream(100000);
  string file_name;
  for(int i = 1; i <= 2; i++)
  {
    file_name = PMakeTempFilePath(string("page") + IntToString(i) + ".qrp");
    source->Clear();
    source->LoadFromFile(file_name.c_str());
    destination->AddPage(source->GetPage(1));
  }
  destination->Finish();
  string temp_filepath = PMakeTempFilePath("complete.qrp");
  destination->SaveToFile(temp_filepath.c_str());
  // load combined report and preview
  TQRPrinter *printer_thing = InitTQRPrinter();
  printer_thing->Load(temp_filepath.c_str());
  Screen->Cursor = crDefault;                                    
  printer_thing->PreviewModal();
  delete printer_thing;
  delete source;
  delete destination;
}
//---------------------------------------------------------------------------


