//---------------------------------------------------------------------------

#ifndef codeSpecialSchedule2H
#define codeSpecialSchedule2H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
#include "scheduling.h"
#include <Dialogs.hpp>
#include <Buttons.hpp>
#include "codeRubberContainer.h"
//---------------------------------------------------------------------------
class TformSpecialSchedule2 : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnToDo;
        TToolButton *sep2;
        TToolButton *btnClose;
        TPopupMenu *popupToDo;
        TMenuItem *menuViewIncomplete;
        TMenuItem *menuViewCompleted;
        TMenuItem *menuViewAll;
        TPageControl *pageViewArea;
        TTabSheet *sheetCalendar;
        TTabSheet *sheetToDo;
        TListView *listToDo;
        TToolButton *btnPrint;
        TToolButton *sep3;
        TPopupMenu *popupCalendar;
        TMenuItem *menuDay;
        TMenuItem *menuWeek;
        TMenuItem *menuMonth;
        TMenuItem *menuYear;
        TMenuItem *menuSep1;
        TMenuItem *menuDayBlock;
        TMenuItem *menuWeekBlock;
        TMenuItem *menuSep2;
        TMenuItem *menuGoToToday;
        TToolButton *btnCalendar;
        TPrintDialog *dialogPrint;
        TScrollBox *scrollCalendar;
        TPopupMenu *popupAddAppointment;
        TMenuItem *menuAddAppointment;
        TPaintBox *paintCalendar;
        TStaticText *txtNext;
        TStaticText *txtPrevious;
        TPanel *panelBig;
        TShape *shapeLine;
        TButton *btnShowTiny;
        TPanel *panelTiny;
        TButton *btnShowBigger;
        TPopupMenu *popupUsers;
        TMenuItem *menuAddByGroups;
        TMenuItem *menuCheckAllUsers;
        TMenuItem *menuUncheckAllUsers;
        TMenuItem *N1;
        TPageControl *pageOptions;
        TTabSheet *sheetPeople;
        TTabSheet *sheetView;
        TRadioButton *radioUsers;
        TListView *listUsers;
        TRadioButton *radioProvider;
        TStaticText *txtProvider;
        TBitBtn *btnProviderSearch;
        TLabel *lblOutcome;
        TLabel *lblCurrentTypes;
        TListView *listCurrentTypes;
        TMenuItem *menuLocationBlock;
        TPopupMenu *popupAppointmentTypes;
        TMenuItem *menuCheckAllAppointmentTypes;
        TMenuItem *menuUncheckAllAppointmentTypes;
        TPopupMenu *popupLocalCurrentTypes;
        TMenuItem *menuCheckAllCurrentTypes;
        TMenuItem *menuUncheckAllCurrentTypes;
        TDateTimePicker *dateJumpTo;
        TToolButton *ToolButton1;
        TPanel *panelJump;
        TMenuItem *menuReasonBlock;
        TTimer *timerStopClickStupidity;
        TPopupMenu *popupPrint;
        TMenuItem *menuPrintWhatYouSee;
        TMenuItem *menuPrintAppointmentReport;
        TMenuItem *menuOutcomeBlock;
        TMenuItem *menuProviderBlock;
        TListView *listGroups;
        TLabel *lblSchedule;
        TComboBox *cboDepartment;
        TMenuItem *menuShowInactiveUsers;
        TPopupMenu *popupGroups;
        TMenuItem *menuCheckAllGroups;
        TMenuItem *menuUncheckAllGroups;
        TMenuItem *MenuItem4;
        TMenuItem *menuHideInactiveGroups;
        TCheckBox *checkShowClocks;
        TListView *listOutcome;
        TLabel *lblOther;
        TMenuItem *menuUserPosBlock;
        TMenuItem *menuPrintDaySchedule;
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnCalendarClick(TObject *Sender);
        void __fastcall btnToDoClick(TObject *Sender);
        void __fastcall menuCalendarClick(TObject *Sender);
        void __fastcall menuViewIncompleteClick(TObject *Sender);
        void __fastcall popupCalendarPopup(TObject *Sender);
        void __fastcall popupToDoPopup(TObject *Sender);
        void __fastcall paintCalendarPaint(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall FormResize(TObject *Sender);
        void __fastcall menuGoToTodayClick(TObject *Sender);
        void __fastcall txtPreviousClick(TObject *Sender);
        void __fastcall txtNextClick(TObject *Sender);
        void __fastcall btnShowTinyClick(TObject *Sender);
        void __fastcall btnShowBiggerClick(TObject *Sender);
        void __fastcall btnProviderSearchClick(TObject *Sender);
        void __fastcall radioUsersClick(TObject *Sender);
        void __fastcall radioProviderClick(TObject *Sender);
        void __fastcall paintCalendarMouseUp(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
        void __fastcall paintCalendarMouseMove(TObject *Sender,
          TShiftState Shift, int X, int Y);
        void __fastcall menuAddAppointmentClick(TObject *Sender);
        void __fastcall FormMouseWheelDown(TObject *Sender,
          TShiftState Shift, TPoint &MousePos, bool &Handled);
        void __fastcall FormMouseWheelUp(TObject *Sender,
          TShiftState Shift, TPoint &MousePos, bool &Handled);
        void __fastcall menuAddByGroupsClick(TObject *Sender);
        void __fastcall menuCheckAllUsersClick(TObject *Sender);
        void __fastcall menuUncheckAllUsersClick(TObject *Sender);
        void __fastcall menuCheckAllAppointmentTypesClick(TObject *Sender);
        void __fastcall menuUncheckAllAppointmentTypesClick(
          TObject *Sender);
        void __fastcall menuCheckAllCurrentTypesClick(TObject *Sender);
        void __fastcall menuUncheckAllCurrentTypesClick(TObject *Sender);
        void __fastcall dateJumpToCloseUp(TObject *Sender);
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
        void __fastcall timerStopClickStupidityTimer(TObject *Sender);
        void __fastcall FormCanResize(TObject *Sender, int &NewWidth,
          int &NewHeight, bool &Resize);
        void __fastcall menuPrintWhatYouSeeClick(TObject *Sender);
        void __fastcall menuPrintAppointmentReportClick(TObject *Sender);
        void __fastcall btnPrintClick(TObject *Sender);
        void __fastcall menuShowInactiveUsersClick(TObject *Sender);
        void __fastcall menuHideInactiveGroupsClick(TObject *Sender);
        void __fastcall menuCheckAllGroupsClick(TObject *Sender);
        void __fastcall menuUncheckAllGroupsClick(TObject *Sender);
        void __fastcall listGroupsChange(TObject *Sender, TListItem *Item,
          TItemChange Change);
        void __fastcall listUsersChange(TObject *Sender, TListItem *Item,
          TItemChange Change);
        void __fastcall menuPrintDayScheduleClick(TObject *Sender);
private:	// User declarations
        vector<map<string, string> > groups_to_users;
        bool show_inactive_users;
        bool hide_inactive_groups;
        classScheduling * schedule_class;
        int current_calendar_view;
        classFilterObject todo_filter;
        int todo_request;
        string todo_sql;
        Pdate current_date;
        //string tax_entity_id;
        PApptOccurrenceMap all_appointments;
        map<string, TColor> user_color_map;
        vector<string> previous_checked_groups;
        vector<string> previous_checked_users;
        set<string> checked_groups_state;
        set<string> checked_users_state;
        vector<string> previous_checked_outcomes;
        vector<string> previous_checked_current_types;
        vector<string> saved_outcomes_state;
        int previous_calendar_view;
        string previous_tax_id;
        int previous_radio_checked;
        set<int> atlas_request_set;
        Pdate begin_download_date;
        Pdate end_download_date;
        int cur_x_pos;
        int cur_y_pos;

        void FreshenUsersAndGroups();
        void CalendarViewChanged();
        void UncheckAllItems(TPopupMenu *popup_menu);
        void AtlasRefreshUser(int request_num, string matched_value);
        void AtlasRefreshTaxEntity(int request_num, string matched_value);
        void AddToDoItem();
        void EditToDoItem();
        void DrawCalendar(classScheduling *class_to_use, bool to_printer = false);
        void ChangeCurrentDate(int amount_to_change);
        void DownloadAppointmentsFromDatabase();
        void FillListViews(bool just_groups_and_users = false);
        void CheckItems(string id_string, TListView *list_view, bool flip_to = true);
        string GetCheckedIdString(TListView *list_view);
        vector<string> GetCheckedIdVec(TListView *list_view);
        void DownloadUserColors();
        void DownloadIfNecessary();
        void DownloadIfDatesChanged();
        void SetUpAtlasRequests(vector<string> checked_user_ids);
        void GoToNext();
        void GoToPrevious();
public:		// User declarations
        __fastcall TformSpecialSchedule2(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialSchedule2 *formSpecialSchedule2;
//---------------------------------------------------------------------------
#endif
