//---------------------------------------------------------------------------

#ifndef codeSpecialSelectGroupsH
#define codeSpecialSelectGroupsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformSpecialSelectGroups : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnSelect;
        TToolButton *btnCancel;
        TListView *listGroups;
        void __fastcall btnCancelClick(TObject *Sender);
        void __fastcall btnSelectClick(TObject *Sender);
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
private:	// User declarations
        set<string> * user_set;
        set<string> * group_set;
        bool only_groups_with_users;
        bool *result_dest;
public:		// User declarations
        __fastcall TformSpecialSelectGroups(TComponent* Owner, set<string> * p_user_set, set<string> * p_group_set, bool p_ogwu = false, bool *p_result_dest = NULL);
        void DisplayGroups();
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialSelectGroups *formSpecialSelectGroups;
//---------------------------------------------------------------------------
#endif
