//---------------------------------------------------------------------------

#ifndef codeSpecialSentReferralsH
#define codeSpecialSentReferralsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformSpecialSentReferrals : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnClose;
        TToolButton *btnView;
        TPopupMenu *popupView;
        TMenuItem *All1;
        TMenuItem *menuViewAll;
        TMenuItem *menuViewAllIncomplete;
        TToolButton *ToolButton2;
        TListView *listReferrals;
        TMenuItem *menuNotBegun;
        TMenuItem *menuInProgress;
        TMenuItem *menuComplete;
        TMenuItem *menuOverdue;
        TMenuItem *menuSuspended;
        TToolButton *ToolButton1;
        TToolButton *btnCreate;
        void __fastcall menuViewAllClick(TObject *Sender);
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnCreateClick(TObject *Sender);
private:	// User declarations
        classFilterObject referrals_filter;
        int referrals_request;
        string sql;
        string temp_sql;
        string user_tax_id;
public:		// User declarations
        __fastcall TformSpecialSentReferrals(TComponent* Owner);
        void AddReferral();
        void EditReferral();
        void AtlasRefreshListView(int request_num, string matched_value);
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialSentReferrals *formSpecialSentReferrals;
//---------------------------------------------------------------------------
#endif
