//---------------------------------------------------------------------------

#ifndef codeSpecialSqlViewerH
#define codeSpecialSqlViewerH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
enum HowToLaunch {non_modal, modal, task_modal};

class TformSpecialSqlViewer : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TRichEdit *editSQL;
        TToolButton *btnOk;
        TToolButton *btnCheckSQL;
        TToolButton *ToolButton1;
        TToolButton *btnCancel;
        TToolButton *ToolButton3;
        TToolButton *sepDataQuery;
        TToolButton *btnDataQuery;
        TToolButton *ToolButton2;
        TToolButton *btnRunUnmodified;
        void __fastcall btnOkClick(TObject *Sender);
        void __fastcall btnCheckSQLClick(TObject *Sender);
        void __fastcall btnCancelClick(TObject *Sender);
        void __fastcall editSQLSelectionChange(TObject *Sender);
        void __fastcall FormResize(TObject *Sender);
        void __fastcall editSQLKeyPress(TObject *Sender, char &Key);
        void __fastcall btnDataQueryClick(TObject *Sender);
        void __fastcall btnRunUnmodifiedClick(TObject *Sender);
private:	// User declarations
        TIBTransaction *DQTransaction;
public:		// User declarations
        __fastcall TformSpecialSqlViewer(TComponent* Owner, string* sql, TIBTransaction* t = NULL);
        static TformSpecialSqlViewer *Launch(HowToLaunch launch_as, TformSpecialGeneric *modalParent, string *sql, TIBTransaction *t = NULL);
        static bool HasPermissionToExecute();
        string original_sql; // jhaley 20101007
        string * sql_string;
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialSqlViewer *formSpecialSqlViewer;
//---------------------------------------------------------------------------
#endif
