inherited formSpecialTerminateInsurancePolicy: TformSpecialTerminateInsurancePolicy
  Left = 352
  Top = 241
  Width = 408
  Height = 308
  Caption = 'Insurance Policy Termination'
  Constraints.MaxWidth = 408
  Constraints.MinHeight = 308
  Constraints.MinWidth = 408
  OldCreateOrder = True
  OnCanResize = FormCanResize
  PixelsPerInch = 96
  TextHeight = 13
  inherited bevelStandardB: TBevel
    Top = 258
    Width = 400
  end
  inherited toolsStandard: TToolBar
    Top = 260
    Width = 400
    ButtonHeight = 21
    ButtonWidth = 46
    object btnSave: TToolButton
      Left = 8
      Top = 0
      AutoSize = True
      Caption = '&Save'
      OnClick = btnSaveClick
    end
    object btnCancel: TToolButton
      Left = 44
      Top = 0
      AutoSize = True
      Caption = '&Cancel'
      ImageIndex = 0
      OnClick = btnCancelClick
    end
  end
  inherited scrollStandard: TScrollBox
    Top = 66
    Width = 400
    Height = 192
    object panelTermination: TPanel
      Left = 0
      Top = 92
      Width = 400
      Height = 100
      Align = alBottom
      AutoSize = True
      BevelOuter = bvNone
      TabOrder = 0
      object panelBottomQuestionAndPadding: TPanel
        Left = 0
        Top = 68
        Width = 400
        Height = 32
        Align = alBottom
        BevelOuter = bvNone
        ParentColor = True
        TabOrder = 0
        object Label5: TLabel
          Left = 8
          Top = 8
          Width = 238
          Height = 13
          Caption = 'If you are sure you want to continue, click "Save".'
        end
      end
      object panelBottomWarning: TPanel
        Left = 0
        Top = 28
        Width = 400
        Height = 40
        Align = alBottom
        AutoSize = True
        BevelOuter = bvNone
        ParentColor = True
        TabOrder = 1
        object lblDynamic3: TLabel
          Left = 8
          Top = 0
          Width = 384
          Height = 40
          Anchors = [akLeft, akTop, akRight]
          AutoSize = False
          Caption = 
            'Please ensure you have entered the correct termination date and ' +
            'that you'#39've marked only the people whose coverage under this pol' +
            'icy is expiring.  If this policy covers multiple people, this ch' +
            'ange can be difficult to undo.'
          WordWrap = True
        end
      end
      object panelBottomDate: TPanel
        Left = 0
        Top = 0
        Width = 400
        Height = 28
        Align = alBottom
        BevelOuter = bvNone
        ParentColor = True
        TabOrder = 2
        object lblTerminated: TLabel
          Left = 8
          Top = 4
          Width = 89
          Height = 13
          Anchors = [akLeft, akBottom]
          Caption = 'Date of termination'
        end
        object dateTerminated: TDateTimePicker
          Left = 104
          Top = 4
          Width = 137
          Height = 21
          Anchors = [akLeft, akBottom]
          CalAlignment = dtaLeft
          Date = 37174.5805219907
          Time = 37174.5805219907
          DateFormat = dfShort
          DateMode = dmComboBox
          Kind = dtkDate
          ParseInput = False
          TabOrder = 0
        end
      end
    end
    object panelInstructions: TPanel
      Left = 0
      Top = 68
      Width = 400
      Height = 24
      Align = alClient
      BevelOuter = bvNone
      TabOrder = 1
      object rubberCoverages: TRubberContainer
        Left = 8
        Top = 0
        Width = 385
        Height = 20
        Anchors = [akLeft, akTop, akRight, akBottom]
        DoubleBuffered = True
        TabOrder = 0
        RightMargin = 2
        BottomMargin = 2
        object listCoverages: TListView
          Left = 0
          Top = 0
          Width = 385
          Height = 20
          Align = alClient
          Columns = <>
          TabOrder = 1
        end
      end
    end
    object panelTop: TPanel
      Left = 0
      Top = 0
      Width = 400
      Height = 68
      Align = alTop
      BevelOuter = bvNone
      TabOrder = 2
      object lblDynamic2: TLabel
        Left = 8
        Top = 8
        Width = 385
        Height = 33
        AutoSize = False
        Caption = 
          'Please check off the individual people no longer covered under t' +
          'his policy. Marking everyone in this list will terminate the ent' +
          'ire policy as well.'
        WordWrap = True
      end
      object Label3: TLabel
        Left = 8
        Top = 48
        Width = 358
        Height = 13
        Caption = 
          'Also, you can double click a row below to bring up that insuranc' +
          'e coverage.'
      end
    end
  end
  inherited panelInfoBar: TPanel
    Width = 400
    Height = 66
    AutoSize = True
    Visible = True
    inherited lblInformation: TLabel
      Enabled = False
      Visible = False
    end
    object panelTopPadding: TPanel
      Left = 0
      Top = 0
      Width = 400
      Height = 8
      Align = alTop
      BevelOuter = bvNone
      ParentColor = True
      TabOrder = 0
      OnCanResize = panelInfoBarCanResize
      OnConstrainedResize = panelInfoBarConstrainedResize
      OnResize = panelInfoBarResize
    end
    object panelTopInfo: TPanel
      Left = 0
      Top = 8
      Width = 400
      Height = 26
      Align = alTop
      AutoSize = True
      BevelOuter = bvNone
      ParentColor = True
      TabOrder = 1
      OnCanResize = panelInfoBarCanResize
      OnConstrainedResize = panelInfoBarConstrainedResize
      OnResize = panelInfoBarResize
      object lblDynamic1: TLabel
        Left = 8
        Top = 0
        Width = 379
        Height = 26
        Anchors = [akLeft, akTop, akRight]
        AutoSize = False
        Caption = 
          'You are about to terminate coverage for one or more people on a ' +
          'policy with the following company:'
        WordWrap = True
      end
    end
    object panelTopCompany: TPanel
      Left = 0
      Top = 34
      Width = 400
      Height = 32
      Align = alTop
      BevelOuter = bvNone
      ParentColor = True
      TabOrder = 2
      OnCanResize = panelInfoBarCanResize
      OnConstrainedResize = panelInfoBarConstrainedResize
      OnResize = panelInfoBarResize
      object txtCompany: TStaticText
        Left = 8
        Top = 8
        Width = 48
        Height = 17
        Cursor = crHandPoint
        Caption = 'Company'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clNavy
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsUnderline]
        ParentFont = False
        TabOrder = 0
      end
    end
  end
end
