inherited formSpecialTransactionEntry: TformSpecialTransactionEntry
  Left = 1619
  Top = 538
  Width = 475
  Height = 400
  Caption = 'Accounting transaction entry and modification'
  Constraints.MinHeight = 400
  Constraints.MinWidth = 475
  OldCreateOrder = True
  PixelsPerInch = 96
  TextHeight = 13
  inherited bevelStandardB: TBevel
    Top = 350
    Width = 467
  end
  inherited toolsStandard: TToolBar
    Top = 352
    Width = 467
    ButtonHeight = 21
    ButtonWidth = 74
    object buttonSave: TToolButton
      Left = 8
      Top = 0
      Cursor = crHandPoint
      AutoSize = True
      Caption = '&Save'
      ImageIndex = 0
      OnClick = buttonSaveClick
    end
    object buttonCancel: TToolButton
      Left = 44
      Top = 0
      Cursor = crHandPoint
      AutoSize = True
      Caption = '&Cancel'
      ImageIndex = 1
      OnClick = buttonCancelClick
    end
    object sepB: TToolButton
      Left = 88
      Top = 0
      Width = 8
      Caption = 'sepB'
      ImageIndex = 4
      Style = tbsSeparator
      Visible = False
    end
    object buttonTransactions: TToolButton
      Left = 96
      Top = 0
      Cursor = crHandPoint
      AutoSize = True
      Caption = '&Transactions'
      Down = True
      Grouped = True
      ImageIndex = 2
      Style = tbsCheck
      Visible = False
      OnClick = buttonTransactionsClick
    end
    object buttonBudgets: TToolButton
      Left = 168
      Top = 0
      Cursor = crHandPoint
      AutoSize = True
      Caption = '&Budgets'
      Grouped = True
      ImageIndex = 3
      Style = tbsCheck
      Visible = False
      OnClick = buttonBudgetsClick
    end
  end
  inherited scrollStandard: TScrollBox
    Width = 467
    Height = 350
    object pageTransactions: TPageControl
      Left = 0
      Top = 0
      Width = 467
      Height = 350
      ActivePage = sheetTransactions
      Align = alClient
      Style = tsFlatButtons
      TabOrder = 0
      object sheetTransactions: TTabSheet
        Caption = 'sheetTransactions'
        TabVisible = False
        object groupTransactions: TGroupBox
          Left = 4
          Top = 2
          Width = 453
          Height = 327
          Anchors = [akLeft, akTop, akRight, akBottom]
          Caption = 'Transactions'
          TabOrder = 0
          object _labelAccount: TLabel
            Left = 8
            Top = 248
            Width = 40
            Height = 13
            Anchors = [akLeft, akRight, akBottom]
            Caption = 'Account'
          end
          object _labelAmount: TLabel
            Left = 8
            Top = 296
            Width = 36
            Height = 13
            Anchors = [akLeft, akRight, akBottom]
            Caption = 'Amount'
          end
          object _labelDollar0: TLabel
            Left = 56
            Top = 296
            Width = 6
            Height = 13
            Anchors = [akLeft, akRight, akBottom]
            Caption = '$'
          end
          object _labelTaxEntity: TLabel
            Left = 8
            Top = 272
            Width = 47
            Height = 13
            Anchors = [akLeft, akRight, akBottom]
            Caption = 'Tax Entity'
          end
          object labelSplitUpBy: TLabel
            Left = 8
            Top = 16
            Width = 106
            Height = 13
            Caption = 'Split information up by:'
          end
          object _labelBalance: TLabel
            Left = 368
            Top = 208
            Width = 72
            Height = 13
            Anchors = [akTop, akRight]
            Caption = 'Off-balance by:'
            Visible = False
          end
          object labelBalance: TLabel
            Left = 368
            Top = 232
            Width = 73
            Height = 13
            Alignment = taRightJustify
            Anchors = [akTop, akRight]
            AutoSize = False
            Caption = '0.00'
            Visible = False
          end
          object listTransactions: TListView
            Left = 8
            Top = 40
            Width = 353
            Height = 201
            Anchors = [akLeft, akTop, akRight, akBottom]
            Columns = <>
            ReadOnly = True
            RowSelect = True
            TabOrder = 0
          end
          object buttonTransactionsAdd: TButton
            Left = 368
            Top = 40
            Width = 73
            Height = 21
            Cursor = crHandPoint
            Hint = 'Add a new row (clears the editing area at the bottom)'
            Anchors = [akTop, akRight]
            Caption = '&Add'
            TabOrder = 1
            OnClick = buttonTransactionsAddClick
          end
          object buttonTransactionsRemove: TButton
            Left = 368
            Top = 64
            Width = 73
            Height = 21
            Cursor = crHandPoint
            Hint = 'Remove this row (and auto-balance)'
            Anchors = [akTop, akRight]
            Caption = '&Remove'
            TabOrder = 2
            OnClick = buttonTransactionsRemoveClick
          end
          object buttonTransactionsClear: TButton
            Left = 368
            Top = 88
            Width = 73
            Height = 21
            Cursor = crHandPoint
            Hint = 'Empty the list of any information (clean slate)'
            Anchors = [akTop, akRight]
            Caption = '&Clear'
            TabOrder = 3
            OnClick = buttonTransactionsClearClick
          end
          object editAccount: TEdit
            Left = 64
            Top = 248
            Width = 225
            Height = 21
            Anchors = [akLeft, akRight, akBottom]
            MaxLength = 20
            TabOrder = 5
            Text = '000-0000000-000-000'
          end
          object buttonExpandAccount: TButton
            Left = 318
            Top = 248
            Width = 19
            Height = 21
            Cursor = crHandPoint
            Hint = 'See expanded information about this account number'
            Anchors = [akRight, akBottom]
            Caption = '...'
            TabOrder = 7
            OnClick = buttonExpandAccountClick
          end
          object buttonSearchAccount: TBitBtn
            Left = 342
            Top = 248
            Width = 19
            Height = 21
            Cursor = crHandPoint
            Hint = 'Search for an account number'
            Anchors = [akRight, akBottom]
            TabOrder = 8
            OnClick = buttonSearchAccountClick
            Glyph.Data = {
              F6000000424DF60000000000000076000000280000000E000000100000000100
              04000000000080000000620B0000620B00001000000010000000000000000000
              800000800000008080008000000080008000808000007F7F7F00BFBFBF000000
              FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00333333333333
              3300333333333333330033333333333333003333333333300300333333333300
              0300333333333000330033300000000333003300333000333300300333330033
              3300303333333033330030333333303333003033333330333300300333330033
              3300330033300333330033300000333333003333333333333300}
            Margin = 1
          end
          object editAmount: TEdit
            Left = 64
            Top = 296
            Width = 225
            Height = 21
            Anchors = [akLeft, akRight, akBottom]
            TabOrder = 11
            Text = '0.00'
            OnKeyPress = editAmountKeyPress
          end
          object buttonTransactionsSave: TButton
            Left = 368
            Top = 296
            Width = 73
            Height = 21
            Cursor = crHandPoint
            Anchors = [akRight, akBottom]
            Caption = '&Save'
            TabOrder = 12
            OnClick = buttonTransactionsSaveClick
          end
          object staticTaxEntity: TStaticText
            Left = 64
            Top = 272
            Width = 273
            Height = 17
            Cursor = crHandPoint
            Hint = 'See expanded information about this tax entity'
            Anchors = [akLeft, akRight, akBottom]
            AutoSize = False
            Caption = 'Tax Entity Name'
            Font.Charset = DEFAULT_CHARSET
            Font.Color = clNavy
            Font.Height = -11
            Font.Name = 'MS Sans Serif'
            Font.Style = [fsUnderline]
            ParentFont = False
            TabOrder = 9
          end
          object buttonSearchTaxEntity: TBitBtn
            Left = 342
            Top = 272
            Width = 19
            Height = 21
            Cursor = crHandPoint
            Hint = 'Search for a tax entity'
            Anchors = [akRight, akBottom]
            TabOrder = 10
            OnClick = buttonSearchTaxEntityClick
            Glyph.Data = {
              F6000000424DF60000000000000076000000280000000E000000100000000100
              04000000000080000000620B0000620B00001000000010000000000000000000
              800000800000008080008000000080008000808000007F7F7F00BFBFBF000000
              FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00333333333333
              3300333333333333330033333333333333003333333333300300333333333300
              0300333333333000330033300000000333003300333000333300300333330033
              3300303333333033330030333333303333003033333330333300300333330033
              3300330033300333330033300000333333003333333333333300}
            Margin = 1
          end
          object buttonTransactionsRevert: TButton
            Left = 368
            Top = 112
            Width = 73
            Height = 21
            Cursor = crHandPoint
            Hint = 'Return to original information'
            Anchors = [akTop, akRight]
            Caption = '&R&evert'
            TabOrder = 4
            OnClick = buttonTransactionsRevertClick
          end
          object checkShowAccount: TCheckBox
            Left = 128
            Top = 16
            Width = 97
            Height = 17
            Caption = 'Account name'
            Checked = True
            State = cbChecked
            TabOrder = 13
            OnClick = checkShowClick
          end
          object checkShowName: TCheckBox
            Left = 256
            Top = 16
            Width = 97
            Height = 17
            Caption = 'Tax entity name'
            Checked = True
            State = cbChecked
            TabOrder = 14
            OnClick = checkShowClick
          end
          object checkDisableMagic: TCheckBox
            Left = 368
            Top = 184
            Width = 73
            Height = 17
            Hint = 
              'Disable the automatic balancing of transactions (when it gets in' +
              ' the way)'
            Anchors = [akTop, akRight]
            Caption = 'No &Magic'
            ParentShowHint = False
            ShowHint = True
            TabOrder = 15
          end
          object buttonTransactionsBalance: TButton
            Left = 368
            Top = 136
            Width = 73
            Height = 21
            Cursor = crHandPoint
            Hint = 'Apply the off-balance amount to the selected row'
            Anchors = [akTop, akRight]
            Caption = '&Balance'
            TabOrder = 16
            OnClick = buttonTransactionsBalanceClick
          end
          object buttonTransactionsConvert: TBitBtn
            Left = 368
            Top = 160
            Width = 73
            Height = 21
            Cursor = crHandPoint
            Anchors = [akTop, akRight]
            Caption = 'C&onvert'
            Enabled = False
            TabOrder = 17
            OnClick = buttonTransactionsConvertClick
            Glyph.Data = {
              A6000000424DA600000000000000760000002800000009000000060000000100
              04000000000030000000420B0000420B00001000000010000000000000000000
              800000800000008080008000000080008000808000007F7F7F00BFBFBF000000
              FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00333333333E5E
              5E00333303333060600033300033326262003300000334646400300000003666
              66003333333338686800}
            Layout = blGlyphRight
            Margin = 4
            Spacing = 5
          end
          object buttonFrequentAccounts: TBitBtn
            Left = 294
            Top = 248
            Width = 19
            Height = 21
            Cursor = crHandPoint
            Hint = 'Use and manage frequently used account numbers'
            Anchors = [akRight, akBottom]
            TabOrder = 6
            OnClick = buttonFrequentAccountsClick
            Glyph.Data = {
              A6000000424DA600000000000000760000002800000009000000060000000100
              04000000000030000000420B0000420B00001000000010000000000000000000
              800000800000008080008000000080008000808000007F7F7F00BFBFBF000000
              FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00333333333E5E
              5E00333303333060600033300033326262003300000334646400300000003666
              66003333333338686800}
          end
        end
      end
      object sheetBudgets: TTabSheet
        Caption = 'sheetBudgets'
        ImageIndex = 1
        TabVisible = False
        OnShow = sheetBudgetsShow
        object groupBudgets: TGroupBox
          Left = 4
          Top = 2
          Width = 453
          Height = 327
          Anchors = [akLeft, akTop, akRight, akBottom]
          Caption = 'Budgets'
          TabOrder = 0
          object listBudgets: TListView
            Left = 8
            Top = 16
            Width = 433
            Height = 297
            Anchors = [akLeft, akTop, akRight, akBottom]
            Columns = <>
            TabOrder = 0
          end
        end
      end
    end
  end
  inherited panelInfoBar: TPanel
    Width = 467
  end
  object popupTransactionsConvert: TPopupMenu
    TrackButton = tbLeftButton
    OnPopup = popupTransactionsConvertPopup
    Left = 424
    Top = 256
    object menuConvertToExpense: TMenuItem
      Caption = 'Expense'
      OnClick = menuConvertToAnyClick
    end
    object menuConvertToPayable: TMenuItem
      Caption = 'Payable'
      OnClick = menuConvertToAnyClick
    end
    object menuConvertToCash: TMenuItem
      Caption = 'Cash'
      OnClick = menuConvertToAnyClick
    end
    object menuConvertToReceivable: TMenuItem
      Caption = 'Receivable'
      OnClick = menuConvertToAnyClick
    end
    object menuConvertToRevenue: TMenuItem
      Caption = 'Revenue'
      OnClick = menuConvertToAnyClick
    end
    object N1: TMenuItem
      Caption = '-'
    end
    object menuConvertToAsset: TMenuItem
      Caption = 'Asset'
      Visible = False
      OnClick = menuConvertToAnyClick
    end
    object menuConvertToEquity: TMenuItem
      Caption = 'Equity'
      Visible = False
      OnClick = menuConvertToAnyClick
    end
  end
  object popupFrequentAccounts: TPopupMenu
    AutoHotkeys = maManual
    AutoLineReduction = maManual
    TrackButton = tbLeftButton
    OnPopup = popupTransactionsConvertPopup
    Left = 392
    Top = 256
    object menuAddFrequentAccount: TMenuItem
      Caption = 'Add to frequently used accounts'
      OnClick = menuAddFrequentAccountClick
    end
    object menuRemoveFrequentAccount: TMenuItem
      Caption = 'Remove from frequently used accounts'
      OnClick = menuRemoveFrequentAccountClick
    end
    object N2: TMenuItem
      Caption = '-'
    end
  end
end
