//---------------------------------------------------------------------------

#ifndef codeSpecialUserColorsH
#define codeSpecialUserColorsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TformSpecialUserColors : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnSave;
        TToolButton *btnCancel;
        TColorDialog *colorDialog;
        TToolButton *btnOptions;
        TPopupMenu *menuOptions;
        TMenuItem *menuShowHasApps;
        void __fastcall btnCancelClick(TObject *Sender);
        void __fastcall btnSaveClick(TObject *Sender);
        void __fastcall shapeClick(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
        void __fastcall editChange(TObject *Sender);
        void __fastcall menuShowHasAppsClick(TObject *Sender);
private:	// User declarations
        list<TEdit *> edit_box_list;
        map<TShape *, TEdit *> shape_map;
        map<TEdit *, TShape *> edit_map;

        typedef map<string, map<string, string> > userdatamap_t;

        userdatamap_t user_data_map;
public:		// User declarations
        __fastcall TformSpecialUserColors(TComponent* Owner);
        void DisplayUsers();
};
//---------------------------------------------------------------------------
extern PACKAGE TformSpecialUserColors *formSpecialUserColors;
//---------------------------------------------------------------------------
#endif
