inherited formWizardGeneric: TformWizardGeneric
  Caption = 'formWizardGeneric'
  Constraints.MinHeight = 300
  Constraints.MinWidth = 400
  OldCreateOrder = True
  PixelsPerInch = 96
  TextHeight = 13
  inherited toolsStandard: TToolBar
    ButtonHeight = 21
    ButtonWidth = 58
    TabOrder = 0
    object buttonBack: TToolButton
      Left = 8
      Top = 0
      Cursor = crHandPoint
      Hint = 'Move back by one page to correct errors'
      AutoSize = True
      Caption = '<< &Back'
      ImageIndex = 0
      ParentShowHint = False
      ShowHint = True
      OnClick = buttonBackClick
    end
    object buttonNext: TToolButton
      Left = 59
      Top = 0
      Cursor = crHandPoint
      Hint = 'Continue to next page or save work in progress'
      AutoSize = True
      Caption = '&Next >>'
      ImageIndex = 1
      ParentShowHint = False
      ShowHint = True
      OnClick = buttonNextClick
    end
    object sepA: TToolButton
      Left = 107
      Top = 0
      Width = 8
      Caption = 'sepA'
      ImageIndex = 2
      Style = tbsSeparator
    end
    object buttonClear: TToolButton
      Left = 115
      Top = 0
      Cursor = crHandPoint
      AutoSize = True
      Caption = 'Clear page'
      ImageIndex = 5
      OnClick = buttonClearClick
    end
    object buttonReset: TToolButton
      Left = 177
      Top = 0
      Cursor = crHandPoint
      Hint = 'Reset wizard to the first page and start from scratch'
      AutoSize = True
      Caption = 'Start over'
      ImageIndex = 2
      ParentShowHint = False
      ShowHint = True
      OnClick = buttonResetClick
    end
    object buttonClose: TToolButton
      Left = 234
      Top = 0
      Cursor = crHandPoint
      Hint = 'Close the wizard without saving - to save, '#39'finish'#39' then '#39'close'#39
      AutoSize = True
      Caption = 'Cancel'
      ImageIndex = 3
      ParentShowHint = False
      ShowHint = True
      OnClick = buttonCloseClick
    end
    object sepC: TToolButton
      Left = 278
      Top = 0
      Width = 8
      Caption = 'sepC'
      ImageIndex = 4
      Style = tbsSeparator
    end
    object buttonWizardPages: TToolButton
      Left = 286
      Top = 0
      Cursor = crHandPoint
      AutoSize = True
      Caption = 'Page list'
      ImageIndex = 4
      Style = tbsCheck
      OnClick = buttonWizardPagesClick
    end
  end
  inherited scrollStandard: TScrollBox
    TabOrder = 1
    object bevelWizard: TBevel
      Left = 0
      Top = 26
      Width = 384
      Height = 2
      Align = alTop
      Shape = bsTopLine
    end
    object listWizardPages: TListView
      Left = 8
      Top = 32
      Width = 97
      Height = 150
      Columns = <
        item
          AutoSize = True
          Caption = 'Page Name'
        end>
      HideSelection = False
      ReadOnly = True
      RowSelect = True
      ShowColumnHeaders = False
      SmallImages = imagesWizardPageList
      TabOrder = 2
      ViewStyle = vsReport
      Visible = False
      OnChanging = listWizardPagesChanging
      OnCustomDrawItem = listWizardPagesCustomDrawItem
      OnDeletion = listWizardPagesDeletion
      OnSelectItem = listWizardPagesSelectItem
    end
    object panelTitle: TPanel
      Left = 0
      Top = 0
      Width = 384
      Height = 26
      Align = alTop
      BevelOuter = bvNone
      Color = clInfoBk
      TabOrder = 0
      object labelPageTitle: TLabel
        Left = 8
        Top = 8
        Width = 321
        Height = 13
        Anchors = [akLeft, akTop, akRight, akBottom]
        AutoSize = False
        Caption = 'Title'
      end
      object labelPageNumbers: TLabel
        Left = 336
        Top = 8
        Width = 49
        Height = 13
        Alignment = taRightJustify
        Anchors = [akTop, akRight, akBottom]
        AutoSize = False
        Caption = 'x of y  '
      end
    end
    object pageStandard: TPageControl
      Left = 0
      Top = 28
      Width = 384
      Height = 211
      Align = alClient
      Style = tsFlatButtons
      TabOrder = 1
      TabStop = False
    end
  end
  object imagesWizardPageList: TImageList
    Left = 64
    Bitmap = {
      494C010101000400040010001000FFFFFFFFFF10FFFFFFFFFFFFFFFF424D3600
      0000000000003600000028000000400000001000000001002000000000000010
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000DEDEDE0000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000C6C6C600DEDEDE00000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000C6C6C600C6C6C6000000000000000000C6C6C600DEDEDE000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000C6C6C600DEDE
      DE00000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000424D3E000000000000003E000000
      2800000040000000100000000100010000000000800000000000000000000000
      000000000000000000000000FFFFFF00FFFF000000000000FFFF000000000000
      FFFF000000000000FFFF000000000000FF7F000000000000FE3F000000000000
      F81F000000000000F00F000000000000F01F000000000000F03F000000000000
      FE7F000000000000FEFF000000000000FFFF000000000000FFFF000000000000
      FFFF000000000000FFFF00000000000000000000000000000000000000000000
      000000000000}
  end
end
