//---------------------------------------------------------------------------

#ifndef codeWizardIntakeNewPersonH
#define codeWizardIntakeNewPersonH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeWizardGeneric.h"
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <ToolWin.hpp>

class ins_custom_row_container;  // declared below

class TformWizardIntakeNewPerson : public TformWizardGeneric
{
__published:	// IDE-managed Components
        TTabSheet *sheetInsurance;
        TTabSheet *sheetInsuranceExtra;
        TLabel *lblVeteransStart;
        TLabel *lblVeteransAccount;
        TLabel *lblMedicareAStart;
        TLabel *lblMedicareAAccount;
        TLabel *lblMedicareBStart;
        TLabel *lblMedicareBAccount;
        TLabel *lblConsentsSigned;
        TLabel *lblChartLocation;
        TLabel *lblNumber;
        TCheckBox *checkVeterans;
        TEdit *editVeteransStart;
        TEdit *editVeteransAccount;
        TCheckBox *checkMedicareB;
        TCheckBox *checkMedicareA;
        TEdit *editMedicareAStart;
        TEdit *editMedicareAAccount;
        TEdit *editMedicareBStart;
        TEdit *editMedicareBAccount;
        TCheckBox *checkTreatmentConsent;
        TCheckBox *checkCobConsent;
        TCheckBox *checkChart;
        TEdit *editChartNumber;
        TComboBox *cboChartLocation;
        TTabSheet *sheetMedicalHistory;
        TTabSheet *sheetDeptartmentData;
        TPanel *panelDeptDiab;
        TLabel *lblDiabClient;
        TLabel *lblMailingList;
        TLabel *lblLAC;
        TLabel *lblASC;
        TLabel *lblSteps;
        TLabel *lblDeptDiab;
        TCheckBox *checkDiabClient;
        TCheckBox *checkMailingList;
        TCheckBox *checkLAC;
        TCheckBox *checkASC;
        TCheckBox *checkSteps;
        TPanel *panelDeptBeh;
        TLabel *lblBehClient;
        TLabel *lblBehJurisdiction;
        TLabel *lblBehRefused;
        TLabel *lblPrimarySupport;
        TLabel *lblDeptBeh;
        TCheckBox *checkBehClient;
        TCheckBox *checkBehJurisdiction;
        TCheckBox *checkBehRefused;
        TCheckBox *checkPrimarySupport;
        TLabel *lblStar;
        TCheckBox *checkStar;
        TPanel *panelDeptCom;
        TLabel *lblComClient;
        TLabel *lblDeptCom;
        TCheckBox *checkComClient;
        TLabel *lblComRefused;
        TCheckBox *checkComRefused;
        TPanel *panelDeptPub;
        TLabel *lblPubClient;
        TLabel *lblDeptPub;
        TLabel *lblPubRefused;
        TCheckBox *checkPubClient;
        TCheckBox *checkPubRefused;
        TPanel *panelDeptCare;
        TLabel *lblCareClient;
        TLabel *lblDeptCare;
        TCheckBox *checkCareClient;
        TLabel *lblResourceCenter;
        TCheckBox *checkResourceCenter;
        TTabSheet *sheetGeneral;
        TGroupBox *groupGeneral;
        TLabel *lblFirstName;
        TLabel *lblMiddleName;
        TLabel *lblSuffix;
        TLabel *lblLastName;
        TLabel *lblSSN;
        TLabel *lblDOB;
        TLabel *lblGender;
        TLabel *lblOccupation;
        TLabel *lblIncome;
        TLabel *lblEducation;
        TEdit *editSuffix;
        TEdit *editLastName;
        TEdit *editMiddleName;
        TEdit *editFirstName;
        TEdit *editSsn;
        TEdit *editDob;
        TComboBox *cboGender;
        TEdit *editOccupation;
        TEdit *editIncome;
        TEdit *editEducation;
        TGroupBox *groupInsurance;
        TLabel *lblCompany;
        TLabel *lblCoverage;
        TLabel *lblSource;
        TLabel *lblPolicyNumber;
        TLabel *lblGroupNum;
        TLabel *lblEffectiveDate;
        TLabel *lblTerminatedDate;
        TLabel *lblPolicyNum;
        TLabel *lblCoverageChecks;
        TLabel *lblPolicyName;
        TEdit *editPolicyNum;
        TComboBox *cboCoverage;
        TComboBox *cboSource;
        TEdit *editGroupNum;
        TEdit *editEffectiveDate;
        TEdit *editTerminatedDate;
        TRadioButton *radioExisting;
        TRadioButton *radioNewPolicy;
        TStaticText *txtCompany;
        TBitBtn *btnCompanySearch;
        TEdit *editPolicyName;
        TListView *listBenefits;
        TListView *listInsurance;
        TButton *buttonAddInsurance;
        TButton *buttonRemoveInsurance;
        TButton *buttonClearInsurance;
        TButton *buttonSaveInsurance;
        TBitBtn *btnPolicySearch;
        TStaticText *txtPolicy;
        TBevel *bevelInsurance;
        TLabel *lblCoverageInfo;
        TLabel *lblPersonCode;
        TEdit *editPersonCode;
        TLabel *lblName;
        TEdit *editName;
        TLabel *lblPcp;
        TStaticText *txtPcp;
        TBitBtn *btnPcpSearch;
        TButton *buttonMedicareA;
        TButton *buttonMedicareB;
        TButton *buttonVeterans;
        TComboBox *cboMarital;
        TLabel *labelMarital;
        TTabSheet *sheetAddress;
        TGroupBox *groupAddress;
        TLabel *lblCity;
        TLabel *lblZip;
        TLabel *lblAddress;
        TLabel *lblState;
        TLabel *lblPhone;
        TLabel *lblAddressType;
        TLabel *lblTrust;
        TLabel *lblResidence;
        TLabel *lblAddressNote;
        TEdit *editZip;
        TComboBox *cboState;
        TEdit *editCity;
        TEdit *editAddress;
        TEdit *editPhone;
        TComboBox *cboAddressType;
        TCheckBox *checkTrust;
        TComboBox *cboResidence;
        TRichEdit *editAddressNote;
        TListView *listAddresses;
        TButton *buttonAddressAdd;
        TButton *buttonAddressRemove;
        TButton *buttonAddressClear;
        TButton *buttonAddressSave;
        TGroupBox *groupAffiliation;
        TListView *listAffiliations;
        TButton *buttonAffiliationsAdd;
        TButton *buttonAffiliationsRemove;
        TButton *buttonAffiliationsClear;
        TLabel *lblCDIB;
        TEdit *editCdib;
        TComboBox *cboTribe;
        TLabel *lblTribe;
        TButton *buttonAffiliationsSave;
        TEdit *editPrefix;
        TLabel *lblPrefix;
        TTabSheet *sheetRelations;
        TGroupBox *groupRelations;
        TListView *listRelationships;
        TButton *buttonRelationsAdd;
        TButton *buttonRelationsRemove;
        TButton *buttonRelationsClear;
        TButton *buttonRelationsSave;
        TGroupBox *groupMedicalHistory;
        TScrollBox *scrollMedicalHistory;
        TLabel *lblMedPain;
        TEdit *editMedPainDesc;
        TComboBox *cboMedPain;
        TLabel *lblMedSmoke;
        TComboBox *cboMedSmoke;
        TEdit *editMedSmokeDesc;
        TLabel *lblMedHaveSmoked;
        TComboBox *cboMedHaveSmoked;
        TEdit *editMedHaveSmoked;
        TLabel *lblMedMedicationHeading;
        TBevel *bevelMed1;
        TListView *listMedMedications;
        TButton *btnMedMedicationAdd;
        TButton *btnMedMedicationRemove;
        TButton *btnMedMedicationClear;
        TEdit *editMedMedication;
        TLabel *lblMedMedication;
        TButton *btnMedMedicationSave;
        TBevel *bevelMed2;
        TListView *listMedAllergies;
        TLabel *lblMedAllergy;
        TEdit *editMedAllergy;
        TButton *btnMedAllergiesAdd;
        TButton *btnMedAllergiesRemove;
        TButton *btnMedAllergiesClear;
        TButton *btnMedAllergiesSave;
        TTabSheet *sheetConditionHistory;
        TGroupBox *groupConditionsHistory;
        TScrollBox *scrollConditionsHistory;
        TLabel *lblSelf;
        TLabel *lblRelative;
        TLabel *lblMedPainDesc;
        TLabel *lblMedSmokeDesc;
        TLabel *lblMedHaveSmokedDesc;
        TLabel *lblMedQuestionHeading;
        TLabel *lblMedResponseHeading;
        TLabel *lblMedFurtherInfoHeading;
        TLabel *lblMedAllergiesHeading;
        TBevel *bevelMed3;
        TLabel *lblMedDoctorsCare;
        TLabel *lblMedHospitalized;
        TLabel *lblMedRadiation;
        TEdit *editMedDoctorsCareDesc;
        TComboBox *cboMedDoctorsCare;
        TComboBox *cboMedHospitalized;
        TEdit *editMedHospitalizedDesc;
        TComboBox *cboMedRadiation;
        TEdit *editMedRadiationDesc;
        TLabel *lblMedDoctorsCareDesc;
        TLabel *lblMedHospitalizedDesc;
        TLabel *lblMedRadiationDesc;
        TLabel *lblMedImmunizations;
        TComboBox *cboMedImmunizations;
        TLabel *lblMedAmputations;
        TComboBox *cboMedAmputations;
        TLabel *lblMedDialysis;
        TComboBox *cboMedDialysis;
        TLabel *lblPregnant;
        TComboBox *cboMedPregnant;
        TLabel *lblMedMammogram;
        TEdit *editMedMammogram;
        TLabel *lblMedAlcohol;
        TComboBox *cboMedAlcohol;
        TLabel *lblMedDiabetes;
        TEdit *editMedDiabetes;
        TLabel *lblMedLaserEyeSurgery;
        TComboBox *cboMedLaserEyeSurgery;
        TRadioButton *radioRelNewPerson;
        TLabel *lblRelExistingPerson;
        TStaticText *txtRelExistingPerson;
        TBitBtn *btnRelExistingPersonSearch;
        TBitBtn *btnRelUseExisting;
        TBevel *bevRelRelationshipInfo;
        TLabel *lblRelRelationshipInfo;
        TRadioButton *radioRelExistingPerson;
        TPanel *panelRelNewPerson;
        TLabel *lblRelFirstName;
        TLabel *lblRelMiddleName;
        TLabel *lblRelSuffix;
        TLabel *lblRelLastName;
        TLabel *lblRelSSN;
        TLabel *lblRelPrefix;
        TLabel *lblRelDOB;
        TLabel *lblRelGender;
        TLabel *lblRelCDIB;
        TLabel *lblRelTribe;
        TEdit *editRelSuffix;
        TEdit *editRelLastName;
        TEdit *editRelMiddleName;
        TEdit *editRelFirstName;
        TEdit *editRelSSN;
        TEdit *editRelPrefix;
        TEdit *editRelDOB;
        TComboBox *cboRelGender;
        TEdit *editRelCDIB;
        TComboBox *cboRelTribe;
        TListView *listRelationMatches;
        TPanel *panelRelRelationship;
        TLabel *lblRelRelationship;
        TLabel *lblRelEmergencyContact;
        TLabel *lblRelResponsibleParty;
        TLabel *lblRelBanned;
        TComboBox *cboRelRelationship;
        TCheckBox *checkRelEmergencyContact;
        TCheckBox *checkRelResponsibleParty;
        TCheckBox *checkRelBanned;
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall RelationshipFieldExit(TObject *Sender);
        void __fastcall RelationshipFieldEnter(TObject *Sender);
        void __fastcall btnCompanySearchClick(TObject *Sender);
        void __fastcall btnPolicySearchClick(TObject *Sender);
        void __fastcall btnPcpSearchClick(TObject *Sender);
        void __fastcall btnRelUseExistingClick(TObject *Sender);
        void __fastcall btnRelExistingPersonSearchClick(TObject *Sender);
        void __fastcall buttonRelationsSaveClick(TObject *Sender);
        void __fastcall buttonRelationsAddClick(TObject *Sender);
        void __fastcall buttonRelationsRemoveClick(TObject *Sender);
        void __fastcall buttonRelationsClearClick(TObject *Sender);
private:	// User declarations
        string company_id;
        string pcp_id;
        string policy_id;
        string rel_person_id;
        string affiliation_id;
        string address_id;
        edit_listview addresses_listview;
        edit_listview affiliations_listview;
        edit_listview insurance_listview;
        edit_listview relationships_listview;
        edit_listview medications_listview;
        edit_listview allergies_listview;
        classFilterObject benefits_filter;
        classFilterObject rel_people_filter;
        bool EditRelPeople (const string & p_id);

        // atlas refreshing stuff
        void AtlasNotification (int request_num, string matched_value);
        void RelationshipSelected();
        void InsuranceSelected();
        void AffiliationSelected();
        void AddressSelected();

        void RefreshRelPersonId ();
        void RefreshPolicyId ();

        // atlas requests
        int request_rel_person_id;
        int request_policy_id;
public:		// User declarations
        __fastcall TformWizardIntakeNewPerson(TComponent* Owner);
};


//---------------------------------------------------------------------------
struct conditions_custom_row_pointers
{
  TCheckBox * is_condition;
  TCheckBox * is_relative;
};

class conditions_custom_row_container
{
 private:
  vector<conditions_custom_row_pointers> custom_rows;
  TWinControl * current_containing_window;
 public:

  conditions_custom_row_container (TWinControl * containing_window) : current_containing_window(containing_window) {}
/*
  bool load_entries (TIBTransaction * dbTransaction)
  {
   // we hope it doesn't contain anything else of importance ... oops =)
   //current_containing_window->DestroyComponents();
   custom_rows.clear();
   vector<map<string, string> > entries_and_values;
   if (!SqlToVecMap(dbTransaction, "select ", entries_and_values))
    return false;
   else
   {
    unsigned int current_top = 1;
    for (vector<map<string, string> >::iterator i_entry = entries_and_values.begin(); i_entry != entries_and_values.end(); i_entry++)
    {
     conditions_custom_row_pointers new_row;
     new_row.is_condition = new TCheckBox(current_containing_window);
     new_row.is_relative  = new TCheckBox(current_containing_window);
     new_row.benefit_granted->Checked = ((*i_entry)["is_covered"] == "1");
     new_row.benefit_granted->Caption = PrettyString((*i_entry)["item"]).c_str();
     new_row.benefit_note->Text = SentenceString((*i_entry)["benefit_note"]).c_str();
     new_row.benefit_granted->Left    = 6;   // the scroll box eats 2 already, so to get 8, add 6 to the left side
     new_row.benefit_granted->Top     = current_top;
     new_row.benefit_granted->Width   = 97; // 214; // 222 - 8 -- (benefit_note->Left - 8)
     new_row.benefit_note->Left = 112 - 2; // 222; // 224 - 8 + 6 -- label minus other lable plus scroll box left side (8-2)
     new_row.benefit_note->Top  = current_top;
     new_row.benefit_note->Width = 367; // (257 + 80) - 16; // width of text + width of label - scroll bar area
     new_row.benefit_note->MaxLength = 250;
     new_row.benefit_granted->Visible = true;
     new_row.benefit_note->Visible = true;
     custom_rows.push_back(new_row);
     current_containing_window->InsertControl(new_row.benefit_granted);
     current_containing_window->InsertControl(new_row.benefit_note);
     current_top += 24;
    }

    // attempt to get around problems with akRight when scrollbars appear halfway through adding items to the scroll box
    for (vector<conditions_custom_row_pointers>::iterator i_row = custom_rows.begin(); i_row != custom_rows.end(); i_row++)
     i_row->benefit_note->Anchors << akRight;

    // none selected?
    if (current_top == 5)
    {
     TLabel * oops_label = new TLabel(current_containing_window);
     oops_label->Top = current_top;
     oops_label->Left = 8;
     oops_label->AutoSize = true;
     oops_label->Caption = "Nothing was found: please contact a programmer.";
     oops_label->Visible = true;
     current_containing_window->InsertControl(oops_label);
    }
   }
   return true;
  }

  bool save_entries (TIBTransaction * dbTransaction, string policy_id)
  {
   if ((current_policy_id != "" && current_policy_id != "new" && current_policy_id != "0") && policy_id != current_policy_id)
    {PSay("ID values do not match!", m_debug, MB_OK, "save_entries"); return false;}
   else
   {
    vector<string> valid_entries;
    for (vector<conditions_custom_row_pointers>::iterator i_row = custom_rows.begin(); i_row != custom_rows.end(); i_row++)
    {
     map<string, string> field_values;
     if (i_row->benefit_granted->Checked || i_row->benefit_note->Text != "")
      if (i_row->benefit_id == "")
      {
       // insert
       field_values["id"]                  = GetNextId(dbTransaction, "insurance_benefits");
       field_values["current_id"]          = "4";
       field_values["last_update_stamp"]   = RightNow();
       field_values["last_updated_by"]     = current_userid;
       field_values["area_id"]             = i_row->area_id;
       field_values["insurance_policy_id"] = policy_id;
       field_values["is_covered"]          = i_row->benefit_granted->Checked ? "1" : "0";
       field_values["note"]                = i_row->benefit_note->Text.c_str();
       valid_entries.push_back(field_values["id"]);
       if(!ExecuteInsertStatement(dbTransaction, "insurance_benefits", field_values))
        {PSay("Could not insert a row", m_debug, MB_OK, "save_entries"); return false;}
      }
      else
      {
       // update
       field_values["id"]                = i_row->benefit_id;
       field_values["last_update_stamp"] = RightNow();
       field_values["last_updated_by"]   = current_userid;
       field_values["is_covered"]        = i_row->benefit_granted->Checked ? "1" : "0";
       field_values["note"]              = i_row->benefit_note->Text.c_str();
       valid_entries.push_back(field_values["id"]);
       if (!ExecuteUpdateStatement(dbTransaction, "insurance_benefits", field_values))
        {PSay("Could not update a row", m_debug, MB_OK, "save_entries"); return false;}
      }
    }
    // delete anything not inserted or updated
    if (valid_entries.empty())
    {
     if (!ExecuteStatement(dbTransaction, "delete from insurance_benefits where insurance_policy_id = " + policy_id))
      {PSay("Could not delete all non-essential dependent rows", m_debug, MB_OK, "save_entries"); return false;}
    }
    else
    {
     if (!ExecuteStatement(dbTransaction, "delete from insurance_benefits where insurance_policy_id = " + policy_id + " and id not in (" + VecToCommaString(valid_entries) + ")"))
      {PSay("Could not delete some non-essential dependent rows", m_debug, MB_OK, "save_entries"); return false;}
    }
   }
   return true;
  }
*/
};

//---------------------------------------------------------------------------
extern PACKAGE TformWizardIntakeNewPerson *formWizardIntakeNewPerson;
//---------------------------------------------------------------------------
#endif
