inherited formWizardModifyTransactions: TformWizardModifyTransactions
  Left = 278
  Top = 241
  Height = 425
  Caption = 'Modify transactions'
  Constraints.MinHeight = 425
  PixelsPerInch = 96
  TextHeight = 13
  inherited toolsStandard: TToolBar
    Top = 373
  end
  inherited scrollStandard: TScrollBox
    Height = 373
    inherited pageStandard: TPageControl
      Height = 347
      ActivePage = sheetConfirm
      object sheetA: TTabSheet
        Caption = 'Select an item to modify'
        TabVisible = False
        object groupSelection: TGroupBox
          Left = 8
          Top = 8
          Width = 369
          Height = 137
          Anchors = [akLeft, akTop, akRight]
          Caption = 'Action selection'
          TabOrder = 0
          object panelActionSelection: TPanel
            Left = 8
            Top = 16
            Width = 353
            Height = 113
            BevelOuter = bvNone
            TabOrder = 1
            object radioModSelf: TRadioButton
              Left = 0
              Top = 0
              Width = 177
              Height = 17
              Caption = 'Modify self'
              TabOrder = 0
              OnClick = radioModAnyClick
            end
            object radioModChildIncomingBill: TRadioButton
              Tag = 1
              Left = 0
              Top = 24
              Width = 353
              Height = 17
              Caption = 'Modify an (indirectly) attached incoming vendor or provider bill'
              TabOrder = 1
              OnClick = radioModAnyClick
            end
            object radioModChildOutgoingBill: TRadioButton
              Tag = 2
              Left = 0
              Top = 48
              Width = 353
              Height = 17
              Caption = 
                'Modify an (indirectly) attached outgoing provider bill (to insur' +
                'ance)'
              TabOrder = 2
              OnClick = radioModAnyClick
            end
            object radioModChildCob: TRadioButton
              Tag = 3
              Left = 0
              Top = 72
              Width = 353
              Height = 17
              Caption = 'Modify an (indirectly) attached coordination of benefits'
              TabOrder = 3
              OnClick = radioModAnyClick
            end
            object radioModChildVisit: TRadioButton
              Tag = 4
              Left = 0
              Top = 96
              Width = 353
              Height = 17
              Caption = 'Modify an (indirectly) attached visit (medical or dental)'
              TabOrder = 4
              OnClick = radioModAnyClick
            end
          end
          object staticModSelf: TStaticText
            Left = 192
            Top = 16
            Width = 169
            Height = 17
            Cursor = crHandPoint
            Alignment = taRightJustify
            Anchors = [akTop, akRight]
            AutoSize = False
            Caption = '(none)'
            Font.Charset = DEFAULT_CHARSET
            Font.Color = clNavy
            Font.Height = -11
            Font.Name = 'MS Sans Serif'
            Font.Style = [fsUnderline]
            ParentFont = False
            TabOrder = 0
          end
        end
        object groupSelectChild: TGroupBox
          Left = 8
          Top = 152
          Width = 369
          Height = 177
          Anchors = [akLeft, akTop, akRight, akBottom]
          Caption = 'Item selection'
          TabOrder = 1
          object pageSelection: TPageControl
            Left = 8
            Top = 16
            Width = 353
            Height = 153
            ActivePage = sheetSelf
            Anchors = [akLeft, akTop, akRight, akBottom]
            Style = tsFlatButtons
            TabOrder = 0
            object sheetSelf: TTabSheet
              Caption = 'sheetSelf'
              TabVisible = False
            end
            object sheetIncomingBills: TTabSheet
              Caption = 'sheetIncomingBills'
              ImageIndex = 1
              TabVisible = False
              object listIncomingBills: TListView
                Left = 0
                Top = 0
                Width = 345
                Height = 143
                Align = alClient
                Columns = <>
                TabOrder = 0
                OnChanging = listIncomingBillsChanging
              end
            end
            object sheetOutgoingBills: TTabSheet
              Caption = 'sheetOutgoingBills'
              ImageIndex = 2
              TabVisible = False
              object listOutgoingBills: TListView
                Left = 0
                Top = 0
                Width = 345
                Height = 143
                Align = alClient
                Columns = <>
                TabOrder = 0
                OnChanging = listOutgoingBillsChanging
              end
            end
            object sheetCOBs: TTabSheet
              Caption = 'sheetCOBs'
              ImageIndex = 3
              TabVisible = False
              object listCOBs: TListView
                Left = 0
                Top = 0
                Width = 345
                Height = 143
                Align = alClient
                Columns = <>
                TabOrder = 0
                OnChanging = listCOBsChanging
              end
            end
            object sheetVisits: TTabSheet
              Caption = 'sheetVisits'
              ImageIndex = 4
              TabVisible = False
              object listVisits: TListView
                Left = 0
                Top = 0
                Width = 345
                Height = 143
                Align = alClient
                Columns = <>
                TabOrder = 0
                OnChanging = listVisitsChanging
              end
            end
          end
        end
      end
      object sheetConfirm: TTabSheet
        Caption = 'Confirm your changes'
        ImageIndex = 1
        TabVisible = False
        object groupTransactions: TGroupBox
          Left = 8
          Top = 8
          Width = 369
          Height = 321
          Anchors = [akLeft, akTop, akRight, akBottom]
          Caption = 'Summary of transactions (final, not just changes)'
          TabOrder = 0
          object _labelSplitInformationBy: TLabel
            Left = 8
            Top = 16
            Width = 106
            Height = 13
            Caption = 'Split information up by:'
          end
          object labelBetaWarning: TLabel
            Left = 8
            Top = 264
            Width = 273
            Height = 13
            Anchors = [akLeft, akBottom]
            AutoSize = False
            Caption = 'Warnings for dangerous operations are still disabled !'
            Font.Charset = DEFAULT_CHARSET
            Font.Color = clMaroon
            Font.Height = -11
            Font.Name = 'MS Sans Serif'
            Font.Style = []
            ParentFont = False
          end
          object _labelTransactionNote: TLabel
            Left = 8
            Top = 288
            Width = 37
            Height = 13
            Anchors = [akLeft, akBottom]
            Caption = 'Reason'
          end
          object listAfter: TListView
            Left = 8
            Top = 40
            Width = 353
            Height = 217
            Anchors = [akLeft, akTop, akRight, akBottom]
            Columns = <>
            TabOrder = 4
          end
          object buttonChange: TButton
            Left = 288
            Top = 264
            Width = 73
            Height = 21
            Cursor = crHandPoint
            Anchors = [akRight, akBottom]
            Caption = '&Change'
            TabOrder = 0
            OnClick = buttonChangeClick
          end
          object checkAfterShowAccount: TCheckBox
            Left = 128
            Top = 16
            Width = 97
            Height = 17
            Caption = 'Account name'
            Checked = True
            State = cbChecked
            TabOrder = 2
            OnClick = checkAfterClick
          end
          object checkAfterShowName: TCheckBox
            Left = 256
            Top = 16
            Width = 97
            Height = 17
            Caption = 'Tax entity name'
            Checked = True
            State = cbChecked
            TabOrder = 3
            OnClick = checkAfterClick
          end
          object editTransactionNote: TEdit
            Left = 64
            Top = 288
            Width = 297
            Height = 21
            Anchors = [akLeft, akRight, akBottom]
            MaxLength = 250
            TabOrder = 1
          end
        end
      end
    end
  end
end
