inherited formWizardNewAccount: TformWizardNewAccount
  Left = 2241
  Top = 556
  Height = 500
  HelpContext = 15
  Caption = 'Create a new account'
  Constraints.MaxHeight = 500
  Constraints.MinHeight = 500
  OnHelp = FormHelp
  PixelsPerInch = 96
  TextHeight = 13
  inherited bevelStandardB: TBevel
    Top = 450
  end
  inherited toolsStandard: TToolBar
    Top = 452
  end
  inherited scrollStandard: TScrollBox
    Height = 450
    inherited pageStandard: TPageControl
      Height = 422
      ActivePage = sheetA
      object sheetA: TTabSheet
        Caption = 'Select basic account options'
        TabVisible = False
        object labelPreferredOrder: TLabel
          Left = 8
          Top = 392
          Width = 374
          Height = 13
          Caption = 
            'Best order (w/ budget): equity (b), payable, receivable, revenue' +
            ' (b), expense (b)'
        end
        object groupAccountCycle: TGroupBox
          Left = 8
          Top = 288
          Width = 369
          Height = 97
          Caption = 'Yearly period'
          TabOrder = 2
          object labelBillCycle: TLabel
            Left = 8
            Top = 40
            Width = 193
            Height = 13
            Caption = 'This account'#39's period starts on the first of'
          end
          object labelMinFiscalDate: TLabel
            Left = 8
            Top = 64
            Width = 201
            Height = 13
            Caption = 'Minimum fiscal date applied to transactions'
          end
          object comboBillCycle: TComboBox
            Left = 216
            Top = 40
            Width = 145
            Height = 21
            ItemHeight = 13
            TabOrder = 1
            Text = 'comboBillCycle'
          end
          object checkIsYearly: TCheckBox
            Left = 8
            Top = 16
            Width = 201
            Height = 17
            Caption = 'This is a yearly account'
            Checked = True
            State = cbChecked
            TabOrder = 0
          end
          object editMinFiscalDate: TEdit
            Left = 216
            Top = 64
            Width = 145
            Height = 21
            TabOrder = 2
          end
        end
        object groupAccountName: TGroupBox
          Left = 8
          Top = 8
          Width = 369
          Height = 193
          Caption = 'Account identification'
          TabOrder = 0
          object labelLevelOne: TLabel
            Left = 24
            Top = 88
            Width = 24
            Height = 13
            Caption = 'Fund'
          end
          object labelLevelTwo: TLabel
            Left = 24
            Top = 112
            Width = 69
            Height = 13
            Caption = 'General ledger'
          end
          object labelLevelThree: TLabel
            Left = 24
            Top = 136
            Width = 55
            Height = 13
            Caption = 'Department'
          end
          object labelLevelFour: TLabel
            Left = 24
            Top = 160
            Width = 75
            Height = 13
            Caption = 'Sub-department'
          end
          object labelExactName: TLabel
            Left = 24
            Top = 40
            Width = 135
            Height = 13
            Caption = 'Fund - G/L - Dept - SubDept'
          end
          object comboLevelOne: TComboBox
            Left = 216
            Top = 88
            Width = 145
            Height = 21
            ItemHeight = 13
            TabOrder = 3
            Text = 'comboLevelOne'
          end
          object comboLevelTwo: TComboBox
            Left = 216
            Top = 112
            Width = 145
            Height = 21
            ItemHeight = 13
            TabOrder = 4
            Text = 'comboLevelTwo'
          end
          object comboLevelThree: TComboBox
            Left = 216
            Top = 136
            Width = 145
            Height = 21
            ItemHeight = 13
            TabOrder = 5
            Text = 'comboLevelThree'
          end
          object comboLevelFour: TComboBox
            Left = 216
            Top = 160
            Width = 145
            Height = 21
            ItemHeight = 13
            TabOrder = 6
            Text = 'comboLevelFour'
          end
          object radioJustName: TRadioButton
            Left = 8
            Top = 16
            Width = 201
            Height = 17
            Caption = 'I know the exact accout name I want'
            Checked = True
            TabOrder = 0
            TabStop = True
          end
          object radioWithHelp: TRadioButton
            Left = 8
            Top = 64
            Width = 201
            Height = 17
            Caption = 'I know what I want, but not the name'
            TabOrder = 1
          end
          object maskNewAccount: TEdit
            Left = 216
            Top = 40
            Width = 145
            Height = 21
            MaxLength = 20
            TabOrder = 2
            Text = 'maskNewAccount'
          end
        end
        object groupAccountType: TGroupBox
          Left = 8
          Top = 208
          Width = 369
          Height = 73
          Caption = 'Account type'
          TabOrder = 1
          object labelAccountType: TLabel
            Left = 8
            Top = 16
            Width = 155
            Height = 13
            Caption = 'Type of account (even if budget)'
          end
          object checkIsBudget: TCheckBox
            Left = 8
            Top = 48
            Width = 353
            Height = 17
            Hint = 
              'Budget accounts can be automatically generated for you (as an op' +
              'tion) on the following pages for expense, revenue, and equity ac' +
              'counts.'
            Caption = 'This is a budget account (not recommended, see next page)'
            ParentShowHint = False
            ShowHint = True
            TabOrder = 1
          end
          object comboAccountType: TComboBox
            Left = 216
            Top = 16
            Width = 145
            Height = 21
            ItemHeight = 13
            TabOrder = 0
            Text = 'comboAccountType'
          end
        end
      end
      object sheetB: TTabSheet
        Caption = 'Select account relationships'
        ImageIndex = 1
        TabVisible = False
        object groupAccountReferences: TGroupBox
          Left = 8
          Top = 8
          Width = 369
          Height = 169
          Caption = 'Account references'
          TabOrder = 0
          object labelBalanceAccount: TLabel
            Left = 8
            Top = 16
            Width = 118
            Height = 13
            Caption = 'Balance account (equity)'
          end
          object labelPendingAccount: TLabel
            Left = 8
            Top = 40
            Width = 191
            Height = 13
            Caption = 'Pending account (receivable or payable)'
          end
          object labelCashAccount: TLabel
            Left = 8
            Top = 64
            Width = 66
            Height = 13
            Caption = 'Cash account'
          end
          object labelBudgetAccount: TLabel
            Left = 8
            Top = 88
            Width = 76
            Height = 13
            Caption = 'Budget account'
          end
          object labelActualAccount: TLabel
            Left = 8
            Top = 112
            Width = 175
            Height = 13
            Caption = 'Actual account (expense or revenue)'
          end
          object labelRepayAccount: TLabel
            Left = 8
            Top = 136
            Width = 181
            Height = 13
            Caption = 'Repay account (employee paying bills)'
            Font.Charset = DEFAULT_CHARSET
            Font.Color = clWindowText
            Font.Height = -11
            Font.Name = 'MS Sans Serif'
            Font.Style = [fsStrikeOut]
            ParentFont = False
            Visible = False
          end
          object maskBalanceAccount: TEdit
            Left = 216
            Top = 16
            Width = 145
            Height = 21
            MaxLength = 20
            TabOrder = 0
            Text = 'maskBalanceAccount'
          end
          object maskPendingAccount: TEdit
            Left = 216
            Top = 40
            Width = 145
            Height = 21
            MaxLength = 20
            TabOrder = 1
            Text = 'maskPendingAccount'
          end
          object maskCashAccount: TEdit
            Left = 216
            Top = 64
            Width = 145
            Height = 21
            MaxLength = 20
            TabOrder = 2
            Text = 'maskCashAccount'
          end
          object maskBudgetAccount: TEdit
            Left = 216
            Top = 88
            Width = 145
            Height = 21
            MaxLength = 20
            TabOrder = 3
            Text = 'maskBudgetAccount'
          end
          object maskActualAccount: TEdit
            Left = 216
            Top = 112
            Width = 145
            Height = 21
            MaxLength = 20
            TabOrder = 4
            Text = 'maskActualAccount'
          end
          object maskRepayAccount: TEdit
            Left = 216
            Top = 136
            Width = 145
            Height = 21
            MaxLength = 20
            TabOrder = 5
            Text = 'maskRepayAccount'
            Visible = False
          end
        end
        object groupAdditionalOptions: TGroupBox
          Left = 8
          Top = 184
          Width = 369
          Height = 201
          Caption = 'Additional Options'
          TabOrder = 1
          object labelDescription: TLabel
            Left = 8
            Top = 16
            Width = 180
            Height = 13
            Caption = 'Add a short description to the account'
          end
          object labelExplainAutoCreate: TLabel
            Left = 24
            Top = 88
            Width = 337
            Height = 57
            AutoSize = False
            Caption = 
              'For this option to work, you must have not already created the b' +
              'udget account. If you enter a budget account reference above, it' +
              ' will be ignored. The wizard will create an equivalent budget ac' +
              'count, and link the two together properly.'
            WordWrap = True
          end
          object labelExplainAutoCreateAvailability: TLabel
            Left = 24
            Top = 152
            Width = 337
            Height = 41
            AutoSize = False
            Caption = 
              'This option is available only when creating non-budget revenue, ' +
              'expense, and equity accounts. (Receivable, payable, cash and ass' +
              'et accounts do not generally have budget accounts.)'
            WordWrap = True
          end
          object editDescription: TEdit
            Left = 216
            Top = 16
            Width = 145
            Height = 21
            MaxLength = 250
            TabOrder = 0
            Text = 'editDescription'
          end
          object checkIsClosed: TCheckBox
            Left = 8
            Top = 40
            Width = 353
            Height = 17
            Caption = 
              'Leave this account disabled for now (to be enabled later as need' +
              'ed)'
            TabOrder = 1
          end
          object checkAutoCreateBudget: TCheckBox
            Left = 8
            Top = 64
            Width = 353
            Height = 17
            Caption = 'Automatically create a budget account for this account'
            Checked = True
            State = cbChecked
            TabOrder = 2
          end
        end
      end
    end
  end
end
