//---------------------------------------------------------------------------

#ifndef codeWizardNewAccountH
#define codeWizardNewAccountH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeWizardGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Mask.hpp>
#include <ToolWin.hpp>
#include <ImgList.hpp>
//---------------------------------------------------------------------------
class TformWizardNewAccount : public TformWizardGeneric
{
__published:	// IDE-managed Components
        TTabSheet *sheetA;
        TGroupBox *groupAccountCycle;
        TComboBox *comboBillCycle;
        TGroupBox *groupAccountName;
        TComboBox *comboLevelOne;
        TComboBox *comboLevelTwo;
        TComboBox *comboLevelThree;
        TComboBox *comboLevelFour;
        TRadioButton *radioJustName;
        TRadioButton *radioWithHelp;
        TEdit *maskNewAccount;
        TGroupBox *groupAccountType;
        TCheckBox *checkIsBudget;
        TComboBox *comboAccountType;
        TTabSheet *sheetB;
        TGroupBox *groupAccountReferences;
        TEdit *maskBalanceAccount;
        TEdit *maskPendingAccount;
        TEdit *maskCashAccount;
        TEdit *maskBudgetAccount;
        TEdit *maskActualAccount;
        TLabel *labelLevelOne;
        TLabel *labelLevelTwo;
        TLabel *labelLevelThree;
        TLabel *labelLevelFour;
        TLabel *labelExactName;
        TLabel *labelAccountType;
        TGroupBox *groupAdditionalOptions;
        TEdit *editDescription;
        TCheckBox *checkIsClosed;
        TLabel *labelDescription;
        TLabel *labelBalanceAccount;
        TLabel *labelPendingAccount;
        TLabel *labelCashAccount;
        TLabel *labelBudgetAccount;
        TLabel *labelActualAccount;
        TCheckBox *checkAutoCreateBudget;
        TLabel *labelExplainAutoCreate;
        TLabel *labelExplainAutoCreateAvailability;
        TCheckBox *checkIsYearly;
        TLabel *labelBillCycle;
        TLabel *labelRepayAccount;
        TEdit *maskRepayAccount;
        TLabel *labelPreferredOrder;
        TEdit *editMinFiscalDate;
        TLabel *labelMinFiscalDate;
        bool __fastcall FormHelp(WORD Command, int Data, bool &CallHelp);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
        map<account_links, acc_info> account_info;

        bool virtual IsValidPage (int page_index);           // true/false: this page is without errors
         int virtual WhereNext   (int page_index);           // page_index of the next page to visit, based on current page number
        bool virtual ProcessPage (int page_index);           // actually go from A to B, ... no reset, no messing with other stuff?
        void virtual SetupPage   (int page_index);           // make this page ready to be shown based on other data
        bool virtual FinishWizard ();                        // actually save data here, rather than in ProcessPage()
        void PageLockStatus (int page_index, bool locked);
        void EnableOnlyRequiredAccountReferences (map<account_links, pair<account_types, bool> > fk_names);
        map<account_links, acc_info> GetRequiredAccountReferencesInfo (map<account_links, pair<account_types, bool> > fk_names);
        bool GetNewAccountParts(map<string, string> & new_account_parts);
        int pass;
public:		// User declarations
        __fastcall TformWizardNewAccount(TComponent* Owner);
        static void Do();
};
//---------------------------------------------------------------------------
extern PACKAGE TformWizardNewAccount *formWizardNewAccount;
//---------------------------------------------------------------------------
#endif
