//---------------------------------------------------------------------------

#ifndef codeWizardNewPersonH
#define codeWizardNewPersonH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeHalfButton.h"
#include "codeWizardGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <ToolWin.hpp>
#include "codeFrameTinyRecordContainer.h"
#include "codePaddedBox.h"
#include "codeInlineContainer.h"
#include "codeFrameTinyRecord_Person.h"
#include "codeFrameTinyRecordGeneric.h"
#include "codeFrameTinyRecordMagic.h"
class tr_magic_concentrator;
enum action_type {is_intake, is_update};
//---------------------------------------------------------------------------
class TformWizardNewPerson : public TformWizardGeneric
{
__published:	// IDE-managed Components
        TTabSheet *sheetPerson;
        TTabSheet *sheetInsurance;
        TScrollBox *scrollDemographics;
        TframeTinyRecord_Person *framePerson;
        TTabSheet *sheetRelationships;
        TTabSheet *sheetMedical1;
        TTabSheet *sheetConsents;
        TScrollBox *scrollRelationships;
        TToolBar *barRelationships;
        TToolButton *buttonRelationships;
        TPaddedBox *paddedRelationships;
        TframeTinyRecordContainer *frameRelationships;
        TScrollBox *scrollInsurance;
        TToolBar *barInsurance;
        TToolButton *buttonInsurance;
        TPaddedBox *paddedInsurance;
        TframeTinyRecordContainer *frameInsurance;
        TListView *listConsents;
        TLabel *labelConsentsSubtext;
        TScrollBox *scrollMedical1;
        TLabel *_labelPain;
        TLabel *_labelPain2;
        TLabel *_labelSmoke;
        TLabel *_labelSmoked;
        TLabel *_labelSmoked2;
        TLabel *_labelMedications;
        TLabel *_labelDrugAllergies;
        TLabel *_labelCare;
        TLabel *_labelHospitalized;
        TLabel *_labelRadiation;
        TLabel *_labelCare2;
        TLabel *_labelHospitalized2;
        TLabel *_labelRadiation2;
        TLabel *_labelImmunizations;
        TLabel *_labelAmputations;
        TLabel *_labelDialisys;
        TLabel *_labelPregnant;
        TLabel *_labelMammogram;
        TLabel *_labelAlcohol;
        TEdit *editPain;
        TEdit *editMedications;
        TEdit *editDrugAllergies;
        TEdit *editSmoked;
        TEdit *editCare;
        TEdit *editHospitalized;
        TEdit *editRadiation;
        TEdit *editMammogram;
        TLabel *_labelDiabetesDiag;
        TEdit *editDiabetesDiag;
        TTabSheet *sheetMedical2;
        TScrollBox *scrollMedical2;
        TLabel *_labelAsthma;
        TLabel *_labelSelfLeft;
        TLabel *_labelRelativeLeft;
        TLabel *_labelBleeding;
        TLabel *_labelBone;
        TLabel *_labelCancer;
        TLabel *_labelConvulsions;
        TLabel *_labelInfection;
        TLabel *_labelDiabetes;
        TLabel *_labelEye;
        TLabel *_labelEmotional;
        TLabel *_labelHeart;
        TLabel *_labelHepatitis;
        TLabel *_labelPressure;
        TLabel *_labelKidney;
        TLabel *_labelLiver;
        TLabel *_labelMouth;
        TLabel *_labelNervous;
        TLabel *_labelRheumatic;
        TLabel *_labelSTD;
        TLabel *_labelStomach;
        TLabel *_labelSurgery;
        TLabel *_labelSwollen;
        TLabel *_labelThyroid;
        TLabel *_labelTuberculosis;
        TLabel *_labelWeight;
        TLabel *_labelSelfRight;
        TLabel *_labelRelativeRight;
        TPanel *panelPain;
        TRadioButton *radioPainYes;
        TRadioButton *radioPainNo;
        TPanel *panelSmoke;
        TRadioButton *radioSmokeYes;
        TRadioButton *radioSmokeNo;
        TPanel *panelSmoked;
        TRadioButton *radioSmokedYes;
        TRadioButton *radioSmokedNo;
        TPanel *panelCare;
        TRadioButton *radioCareYes;
        TRadioButton *radioCareNo;
        TPanel *panelHospitalized;
        TRadioButton *radioHospitalizedYes;
        TRadioButton *radioHospitalizedNo;
        TPanel *panelRadiation;
        TRadioButton *radioRadiationYes;
        TRadioButton *radioRadiationNo;
        TPanel *panelImmunizations;
        TRadioButton *radioImmunizationsYes;
        TRadioButton *radioImmunizationsNo;
        TPanel *panelAmputations;
        TRadioButton *radioAmputationsYes;
        TRadioButton *radioAmputationsNo;
        TPanel *panelDialisys;
        TRadioButton *radioDialisysYes;
        TRadioButton *radioDialisysNo;
        TRadioButton *radioImmunizationsUnk;
        TPanel *panelPregnant;
        TRadioButton *radioPregnantYes;
        TRadioButton *radioPregnantNo;
        TRadioButton *radioPregnantUnk;
        TPanel *panelAlcohol;
        TRadioButton *radioAlcoholNever;
        TRadioButton *radioAlcoholRarely;
        TRadioButton *radioAlcoholModerately;
        TRadioButton *radioAlcoholFrequently;
        TRadioButton *radioAlcoholDaily;
        TRadioButton *radioAlcoholNULL;
        TRadioButton *radioSmokeNULL;
        TRadioButton *radioPainNULL;
        TRadioButton *radioPregnantNULL;
        TRadioButton *radioImmunizationsNULL;
        TRadioButton *radioAmputationsNULL;
        TRadioButton *radioDialisysNULL;
        TRadioButton *radioRadiationNULL;
        TRadioButton *radioHospitalizedNULL;
        TRadioButton *radioCareNULL;
        TRadioButton *radioSmokedNULL;
        TLabel *_labelSmoked1;
        TEdit *editSmoke;
        TLabel *_labelPapSmear;
        TEdit *editPapSmear;
        TPanel *panelPapSmear;
        TRadioButton *radioPapSmearYes;
        TRadioButton *radioPapSmearNo;
        TRadioButton *radioPapSmearNULL;
        TLabel *_labelPapSmear2;
        TLabel *labelConsents;
        TPanel *panelSettings;
        TLabel *_labelDateEverything;
        TDateTimePicker *dateEverything;
        TPanel *panelMedLeft;
        TPanel *panelMedRight;
        TCheckBox *checkAsthmaSelf;
        TCheckBox *checkAsthmaRelative;
        TCheckBox *checkBleedingSelf;
        TCheckBox *checkBleedingRelative;
        TCheckBox *checkBoneSelf;
        TCheckBox *checkBoneRelative;
        TCheckBox *checkCancerSelf;
        TCheckBox *checkCancerRelative;
        TCheckBox *checkConvulsionsSelf;
        TCheckBox *checkConvulsionsRelative;
        TCheckBox *checkInfectionSelf;
        TCheckBox *checkInfectionRelative;
        TCheckBox *checkDiabetesSelf;
        TCheckBox *checkDiabetesRelative;
        TCheckBox *checkEyeSelf;
        TCheckBox *checkEyeRelative;
        TCheckBox *checkEmotionalSelf;
        TCheckBox *checkEmotionalRelative;
        TCheckBox *checkHeartSelf;
        TCheckBox *checkHeartRelative;
        TCheckBox *checkHepatitisSelf;
        TCheckBox *checkHepatitisRelative;
        TCheckBox *checkPressureSelf;
        TCheckBox *checkPressureRelative;
        TCheckBox *checkKidneySelf;
        TCheckBox *checkKidneyRelative;
        TCheckBox *checkLiverSelf;
        TCheckBox *checkLiverRelative;
        TCheckBox *checkMouthSelf;
        TCheckBox *checkMouthRelative;
        TCheckBox *checkNervousSelf;
        TCheckBox *checkNervousRelative;
        TCheckBox *checkRheumaticSelf;
        TCheckBox *checkRheumaticRelative;
        TCheckBox *checkSTDSelf;
        TCheckBox *checkSTDRelative;
        TCheckBox *checkStomachSelf;
        TCheckBox *checkStomachRelative;
        TCheckBox *checkSurgerySelf;
        TCheckBox *checkSurgeryRelative;
        TCheckBox *checkSwollenSelf;
        TCheckBox *checkSwollenRelative;
        TCheckBox *checkThyroidSelf;
        TCheckBox *checkThyroidRelative;
        TCheckBox *checkTuberculosisSelf;
        TCheckBox *checkTuberculosisRelative;
        TCheckBox *checkWeightSelf;
        TCheckBox *checkWeightRelative;
        TLabel *_labelLasik;
        TPanel *panelLasik;
        TRadioButton *radioLasikYes;
        TRadioButton *radioLasikNo;
        TRadioButton *radioLasikNULL;
        TImageList *imagesUsabilityInitiative;
        TLabel *_labelUrgentCare;
        TPanel *panelUrgentCare;
        TRadioButton *radioUrgentYes;
        TRadioButton *radioUrgentNo;
        TRadioButton *radioUrgentNA;
        TLabel *_labelAutoAccident;
        TPanel *panelAutoAccident;
        TRadioButton *radioAutoYes;
        TRadioButton *radioAutoNo;
        TRadioButton *radioAutoNA;
        TLabel *_labelInjuryDrugs;
        TPanel *panelInjuryDrugs;
        TRadioButton *radioInjuryDrugsYes;
        TRadioButton *radioInjuryDrugsNo;
        TRadioButton *radioInjuryDrugsNA;
        TLabel *_labelAutoDrugs;
        TPanel *panelAutoDrugs;
        TRadioButton *radioAutoDrugsYes;
        TRadioButton *radioAutoDrugsNo;
        TRadioButton *radioAutoDrugsNA;
        TTabSheet *sheetOptometry;
        TScrollBox *scrollOptometry;
        TLabel *Label2;
        TLabel *Label3;
        TLabel *_labelCrossedEye;
        TLabel *_labelLazyEye;
        TLabel *_labelDroopingEyelid;
        TLabel *_labelProminentEyes;
        TLabel *_labelGlaucoma;
        TLabel *_labelCataracts;
        TLabel *_labelLupus;
        TLabel *_labelEyeInfection;
        TLabel *_labelEyeInjuries;
        TLabel *_labelBlindness;
        TLabel *_labelMD;
        TLabel *_labelRetinaDisease;
        TLabel *_labelDetachedRetina;
        TLabel *_labelOther;
        TLabel *_labelEyeExam;
        TLabel *_labelContacts;
        TLabel *_labelGlasses;
        TLabel *_labelComfy;
        TPanel *panelContacts;
        TRadioButton *radioContactsYes;
        TRadioButton *radioContactsNo;
        TRadioButton *radioContactsNA;
        TPanel *panelGlasses;
        TRadioButton *radioGlassesYes;
        TRadioButton *radioGlassesNo;
        TRadioButton *radioGlassesNA;
        TEdit *editEyeExam;
        TLabel *_labelGlassesOld;
        TEdit *editGlassesOld;
        TEdit *editContactsOld;
        TLabel *_labelContactsOld;
        TPanel *panelContactType;
        TRadioButton *radioRigidContacts;
        TRadioButton *radioSoftContacts;
        TRadioButton *radioExtendedContacts;
        TRadioButton *radioOtherContacts;
        TPanel *panelComfyContacts;
        TRadioButton *radioComfyYes;
        TRadioButton *radioComfyNo;
        TRadioButton *radioComfyNA;
        TPanel *panelOptProblems;
        TCheckBox *checkCrossedEyesSelf;
        TCheckBox *checkCrossedEyesRel;
        TCheckBox *checkLazyEyeSelf;
        TCheckBox *checkLazyEyeRel;
        TCheckBox *checkDroopingEyeSelf;
        TCheckBox *checkDroopingEyeRel;
        TCheckBox *checkProminentEyeSelf;
        TCheckBox *checkProminentEyeRel;
        TCheckBox *checkGlaucomaSelf;
        TCheckBox *checkGlaucomaRel;
        TCheckBox *checkCataractsSelf;
        TCheckBox *checkCataractsRel;
        TCheckBox *checkLupusSelf;
        TCheckBox *checkLupusRel;
        TLabel *_labelHardToDrive;
        TPanel *panelHardToDriveContacts;
        TRadioButton *radioHardToDriveYes;
        TRadioButton *radioHardToDriveNo;
        TRadioButton *radioHardToDriveNA;
        TCheckBox *checkEyeInfectionSelf;
        TCheckBox *checkEyeInfectionRel;
        TCheckBox *checkEyeInjuriesSelf;
        TCheckBox *checkEyeInjuriesRel;
        TCheckBox *checkBlindnessSelf;
        TCheckBox *checkBlindnessRel;
        TCheckBox *checkMDSelf;
        TCheckBox *checkMDRel;
        TCheckBox *checkRetinalDiseaseSelf;
        TCheckBox *checkRetinalDiseaseRel;
        TCheckBox *checkDetachedRetinaSelf;
        TCheckBox *checkDetachedRetinaRel;
        TLabel *_labelContactType;
        TRadioButton *radioContactTypeNA;
        TEdit *editOther;
        TPanel *panelOptSymptoms;
        TCheckBox *checkHeadaches;
        TCheckBox *checkMigraines;
        TCheckBox *checkSeizures;
        TCheckBox *checkVisionLoss;
        TCheckBox *checkBlurredVision;
        TCheckBox *checkDistortedVision;
        TCheckBox *checkItching;
        TCheckBox *checkBurning;
        TCheckBox *checkSties;
        TCheckBox *checkTiredEyes;
        TCheckBox *checkAllergies;
        TCheckBox *checkCongestion;
        TCheckBox *checkRunnyNose;
        TCheckBox *checkCough;
        TCheckBox *checkDryMouth;
        TCheckBox *checkWateryEyes;
        TCheckBox *checkLightSensitive;
        TCheckBox *checkFlashers;
        TCheckBox *checkPeripheralLoss;
        TCheckBox *checkDoubleVision;
        TCheckBox *checkDryEyes;
        TCheckBox *checkMucous;
        TCheckBox *checkRedness;
        TCheckBox *checkGritty;
        TCheckBox *checkForeignBody;
        TCheckBox *checkEyePain;
        TCheckBox *checkPressure;
        void __fastcall FormShow(TObject *Sender);
        void __fastcall buttonRelationshipsClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall buttonInsuranceClick(TObject *Sender);
        void __fastcall sheetRelationshipsShow(TObject *Sender);
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
        void __fastcall sheetPersonShow(TObject *Sender);
        void __fastcall scrollAnyMouseWheelDown(TObject *Sender,
          TShiftState Shift, TPoint &MousePos, bool &Handled);
        void __fastcall scrollAnyMouseWheelUp(TObject *Sender,
          TShiftState Shift, TPoint &MousePos, bool &Handled);
        void __fastcall sheetInsuranceShow(TObject *Sender);
        void __fastcall framePersoncomboSourceChange(TObject *Sender);
private:	// User declarations
        tr_magic_concentrator * magic_concentrator;
        bool refresh_relationships;
        bool refresh_insurance;
        bool refresh_consents;
        bool is_handling_shortcut;
        classFilterObject consents_filter;
        classFilterSimpleSource * consents_data;
        bool is_loading_from_db;
        // int consents_request;
        bool done_onshow_person;
        bool done_onshow_relationships;
        bool done_onshow_insurance;
        action_type current_action;
        string *return_person_id;

        void __fastcall framePersonSetId(TObject *Sender);
        void __fastcall frameRelationshipsAdd(TObject *Sender);
        void __fastcall frameRelationshipsChange(TObject *Sender);
        void __fastcall frameInsuranceAdd(TObject *Sender);
        void __fastcall frameInsuranceChange(TObject *Sender);
        void EditConsent();
        void RefreshConsents();
        void AddFromRadio(TIBTransaction * dbTransaction, TPanel * p, string q_id, pvecmap & add_to);
        void AddFromText(TEdit * e, string q_id, pvecmap & add_to);
        void AddFromDate(TEdit * e, string q_id, pvecmap & add_to);
        void AddFromCheck(TIBTransaction * dbTransaction, TCheckBox * c, string q_id, pvecmap & add_to);
        void AddFromMetric(TEdit * e, string q_id, pvecmap & add_to);
        void ResetRadio(TPanel * p);
        void ResetText(TEdit * e);
        void ResetDate(TEdit * e);
        void ResetCheck(TCheckBox * c);
        void ResetCheckboxes(TPanel * p);
protected:
        bool virtual SkipPage    (int page_index);
        bool virtual IsValidPage (int page_index);
         int virtual WhereNext   (int page_index);
        bool virtual ProcessPage (int page_index);
        void virtual SetupPage   (int page_index);
        bool virtual FinishWizard ();
        void virtual PageLockStatus (int page_index, bool locked);
public:		// User declarations
        __fastcall TformWizardNewPerson(TComponent* Owner, string* p_return_person_id = NULL);
        __fastcall ~TformWizardNewPerson();
        static void Do ();
        static void Do (string person_id);
        int last_necessary_page;
};
//---------------------------------------------------------------------------
extern PACKAGE TformWizardNewPerson *formWizardNewPerson;
//---------------------------------------------------------------------------
#endif
