inherited formWizardNewPurchaseRequest: TformWizardNewPurchaseRequest
  Left = 489
  Top = 461
  Height = 400
  Caption = 'Create a purchase request'
  Constraints.MinHeight = 400
  PixelsPerInch = 96
  TextHeight = 13
  inherited bevelStandardB: TBevel
    Top = 339
  end
  inherited toolsStandard: TToolBar
    Top = 341
  end
  inherited scrollStandard: TScrollBox
    Height = 339
    inherited pageStandard: TPageControl
      Height = 311
      ActivePage = sheetC
      object sheetA: TTabSheet
        Caption = 'Select which tax entity to pay'
        TabVisible = False
        object groupTaxEntity: TGroupBox
          Left = 8
          Top = 8
          Width = 369
          Height = 297
          Anchors = [akLeft, akTop, akRight, akBottom]
          Caption = 'Tax entity selection'
          TabOrder = 0
          object listTaxEntities: TListView
            Left = 8
            Top = 16
            Width = 353
            Height = 273
            Anchors = [akLeft, akTop, akRight, akBottom]
            Columns = <>
            TabOrder = 0
            OnChanging = listTaxEntitiesChanging
          end
        end
      end
      object sheetB: TTabSheet
        Caption = 'Select which bills will be included on this purchase request'
        ImageIndex = 1
        TabVisible = False
        object groupBills: TGroupBox
          Left = 8
          Top = 8
          Width = 369
          Height = 297
          Anchors = [akLeft, akTop, akRight, akBottom]
          Caption = 
            'Bills to be included (only ones you last modified are checked by' +
            ' default)'
          TabOrder = 0
          object listBills: TListView
            Left = 8
            Top = 16
            Width = 353
            Height = 273
            Anchors = [akLeft, akTop, akRight, akBottom]
            Columns = <>
            TabOrder = 0
            OnChanging = listBillsChanging
          end
        end
      end
      object sheetC: TTabSheet
        Caption = 'Purchase request date and number'
        ImageIndex = 2
        TabVisible = False
        object _labelPrintingInstructions: TLabel
          Left = 16
          Top = 272
          Width = 353
          Height = 33
          Anchors = [akLeft, akBottom]
          AutoSize = False
          Caption = 
            'When you press "Save," you will be given the option to print thi' +
            's purchase request and associated supporting documents.'
          WordWrap = True
        end
        object groupPurchaseReq: TGroupBox
          Left = 8
          Top = 8
          Width = 369
          Height = 257
          Anchors = [akLeft, akTop, akRight, akBottom]
          Caption = 'Purchase request information'
          TabOrder = 0
          object _labelSummaryTaxEntity: TLabel
            Left = 8
            Top = 128
            Width = 98
            Height = 13
            Caption = 'Tax entity being paid'
          end
          object _labelSummaryTaxNumber: TLabel
            Left = 8
            Top = 152
            Width = 132
            Height = 13
            Anchors = [akLeft, akBottom]
            Caption = 'Federal tax identifier number'
          end
          object labelSummaryTaxNumber: TLabel
            Left = 160
            Top = 152
            Width = 193
            Height = 13
            Alignment = taRightJustify
            Anchors = [akLeft, akBottom]
            AutoSize = False
            Caption = 'xx-xxxxxxx'
          end
          object _labelSummaryTaxEntityAddress: TLabel
            Left = 8
            Top = 176
            Width = 67
            Height = 13
            Anchors = [akLeft, akBottom]
            Caption = 'Billing address'
          end
          object labelSummaryTaxEntityAddress1: TLabel
            Left = 96
            Top = 176
            Width = 257
            Height = 13
            Alignment = taRightJustify
            Anchors = [akLeft, akBottom]
            AutoSize = False
            Caption = 'Street, first line'
          end
          object labelSummaryTaxEntityAddress2: TLabel
            Left = 96
            Top = 200
            Width = 257
            Height = 13
            Alignment = taRightJustify
            Anchors = [akLeft, akBottom]
            AutoSize = False
            Caption = 'Street, second line'
          end
          object labelSummaryTaxEntityAddress3: TLabel
            Left = 96
            Top = 224
            Width = 257
            Height = 13
            Alignment = taRightJustify
            Anchors = [akLeft, akBottom]
            AutoSize = False
            Caption = 'City, State, Zip'
          end
          object _labelPurchaseReqDate: TLabel
            Left = 8
            Top = 16
            Width = 193
            Height = 13
            AutoSize = False
            Caption = 'Date document is expected to be sent'
          end
          object _labelExpReason: TLabel
            Left = 8
            Top = 40
            Width = 193
            Height = 13
            AutoSize = False
            Caption = 'Reason for expenditure (printed on PR)'
          end
          object staticSummaryTaxEntity: TStaticText
            Left = 112
            Top = 128
            Width = 241
            Height = 13
            Cursor = crHandPoint
            Alignment = taRightJustify
            Anchors = [akLeft, akTop, akBottom]
            AutoSize = False
            Caption = 'Tax Entity Name'
            Font.Charset = DEFAULT_CHARSET
            Font.Color = clNavy
            Font.Height = -11
            Font.Name = 'MS Sans Serif'
            Font.Style = [fsUnderline]
            ParentFont = False
            TabOrder = 4
          end
          object radioUseGenerator: TRadioButton
            Left = 8
            Top = 64
            Width = 193
            Height = 17
            Caption = 'Use the next available number'
            Checked = True
            TabOrder = 1
            TabStop = True
          end
          object radioUseSpecialNumber: TRadioButton
            Left = 8
            Top = 88
            Width = 193
            Height = 17
            Caption = 'Use the following number instead'
            TabOrder = 2
          end
          object editPurchaseReqNumber: TEdit
            Left = 208
            Top = 88
            Width = 145
            Height = 21
            TabOrder = 3
          end
          object datePurchaseReqDate: TDateTimePicker
            Left = 208
            Top = 16
            Width = 145
            Height = 21
            CalAlignment = dtaLeft
            Date = 37349.7155138773
            Time = 37349.7155138773
            DateFormat = dfShort
            DateMode = dmComboBox
            Kind = dtkDate
            ParseInput = False
            TabOrder = 0
          end
          object editExpReason: TEdit
            Left = 208
            Top = 40
            Width = 145
            Height = 21
            MaxLength = 250
            TabOrder = 5
          end
        end
      end
    end
  end
end
