//---------------------------------------------------------------------------

#ifndef codeWizardNewVendorBillH
#define codeWizardNewVendorBillH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeWizardGeneric.h"
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Mask.hpp>
#include <ToolWin.hpp>
#include "codeSpecialTransactionEntry.h"
#include <ImgList.hpp>
//---------------------------------------------------------------------------
class TformWizardNewVendorBill : public TformWizardGeneric
{
__published:	// IDE-managed Components
        TTabSheet *sheetA;
        TGroupBox *groupInvoice;
        TEdit *editInvoiceAmount;
        TLabel *_labelInvoiceDollar0;
        TLabel *_labelInvoiceAmount;
        TLabel *_labelInvoiceDate;
        TDateTimePicker *dateInvoiceDate;
        TLabel *labelInvoiceDateNote;
        TLabel *labelInvoiceNumberNote;
        TEdit *editInvoiceNumber;
        TLabel *_labelInvoiceNumber;
        TLabel *_labelInvoiceDescription;
        TEdit *editInvoiceDescription;
        TLabel *_labelInvoiceTaxEntity;
        TStaticText *staticInvoiceTaxEntity;
        TBitBtn *buttonInvoiceSearchTaxEntity;
        TTabSheet *sheetC;
        TGroupBox *groupSummary;
        TLabel *_labelSummaryTaxEntity;
        TStaticText *staticSummaryTaxEntity;
        TLabel *_labelSummaryTaxNumber;
        TLabel *_labelSummaryTotalPayable;
        TLabel *_labelSummaryTotalPaid;
        TLabel *_labelSummaryTaxEntityAddress;
        TLabel *labelSummaryTaxNumber;
        TLabel *labelSummaryTaxEntityAddress1;
        TLabel *labelSummaryTaxEntityAddress2;
        TLabel *labelSummaryTaxEntityAddress3;
        TLabel *labelSummaryTotalPaid;
        TLabel *labelSummaryTotalPayable;
        TLabel *_labelSummaryTotalPayment;
        TLabel *labelSummaryTotalPayment;
        TLabel *_labelSummaryTotalInvoice;
        TLabel *labelSummaryTotalInvoice;
        TTabSheet *sheetB;
        TGroupBox *groupTransactions;
        TListView *listAfter;
        TButton *buttonChange;
        TLabel *labelSplitAfter;
        TCheckBox *checkAfterShowAccount;
        TCheckBox *checkAfterShowName;
        void __fastcall buttonInvoiceSearchTaxEntityClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall checkAfterClick(TObject *Sender);
        void __fastcall buttonChangeClick(TObject *Sender);
private:	// User declarations
        string invoice_tax_entity_id;
        // reusable_accounting_insert_parameters params;
        transaction_summary params;
        edit_listview edit_after;

        // tired of recalculating this crap
        financial f_invoice;
        financial f_payable;
        financial f_paid;
        financial f_payment;

        void DisplayTaxEntityInfo (int request_num, string matched_value);
protected:
        bool IsValidPage (int page_index);
         int WhereNext   (int page_index);
        bool ProcessPage (int page_index);
        void SetupPage   (int page_index);
        bool FinishWizard ();
        void PageLockStatus (int page_index, bool locked);
public:		// User declarations
        __fastcall TformWizardNewVendorBill(TComponent* Owner);
        static void Do();
};
//---------------------------------------------------------------------------
extern PACKAGE TformWizardNewVendorBill *formWizardNewVendorBill;
//---------------------------------------------------------------------------
#endif
