//---------------------------------------------------------------------------

#ifndef codeWorkflowGenericH
#define codeWorkflowGenericH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codePaddedBox.h"
#include "codeRecordGeneric.h"
#include "codeFrameWorkflowGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformWorkflowGeneric : public TformRecordGeneric
{
__published:	// IDE-managed Components
        TPanel *panelHeadingLeft;
        TLabel *lblHeading;
        TSplitter *splitMiddle;
        TPanel *panelHeadingRight;
        TLabel *_labelActions;
        TPaddedBox *padMain;
protected:
        vector<TframeWorkflowGeneric*> frames;
        vector<map<string, string> > state_info; 
private:	// User declarations
public:		// User declarations
        __fastcall TformWorkflowGeneric(TComponent* Owner, map<string,string> p_parameters);
        bool TformWorkflowGeneric::ScreenStart();
        bool TformWorkflowGeneric::ScreenStop();
        bool TformWorkflowGeneric::IsValidOnScreen();
        bool TformWorkflowGeneric::PutDataOnScreen();
        bool TformWorkflowGeneric::GetDataFromScreen();
        bool TformWorkflowGeneric::ScreenLock();
        bool TformWorkflowGeneric::ScreenUnlock();
        bool TformWorkflowGeneric::CheckForUselessRecord();
        bool TformWorkflowGeneric::IsNewAgain();
        bool TformWorkflowGeneric::NotNewAnymore();
        //bool TformWorkflowGeneric::AtlasRefreshListViews(int request_num, string matched_value);
        //void TformWorkflowGeneric::AddNote();
        //void TformWorkflowGeneric::EditNote();
        static void TformWorkflowGeneric::Do(map<string, string> & p_parameters);
};
//---------------------------------------------------------------------------
extern PACKAGE TformWorkflowGeneric *formWorkflowGeneric;
//---------------------------------------------------------------------------
#endif
