//---------------------------------------------------------------------------

#ifndef launchComPatientDescriptiveH
#define launchComPatientDescriptiveH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <QuickRpt.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformLaunchComPatientDescriptive : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnRun;
        TToolButton *btnClose;
        TLabel *lblBeginDate;
        TLabel *lblEndDate;
        TDateTimePicker *dateBegin;
        TDateTimePicker *dateEnd;
        TQRCompositeReport *compositeReport;
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnRunClick(TObject *Sender);
        void __fastcall compositeReportAddReport(TObject *Sender);
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
private:	// User declarations
         TIBTransaction * dbTransaction;
         TIBDataSet * dbDirectDataSet;
         TIBDataSet * dbDescriptDataSet;
         TIBDataSet * dbTotalsDataSet;
         int times_run;
public:		// User declarations
        __fastcall TformLaunchComPatientDescriptive(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchComPatientDescriptive *formLaunchComPatientDescriptive;
//---------------------------------------------------------------------------
#endif
