//---------------------------------------------------------------------------

#ifndef reportDiabEventH
#define reportDiabEventH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <QuickRpt.hpp>
#include <ToolWin.hpp>
#include <Qrctrls.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformDiabEventReport : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *eventReport;
        TQRBand *pageHeaderBand;
        TQRSysData *sysTime;
        TQRSysData *sysPage;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRBand *columnHeaderBand;
        TQRBand *detailBand;
        TQRBand *summaryBand;
        TQRLabel *lblTotal;
        TQRSysData *sysTotal;
        TQRBand *pageFooterBand;
        TQRLabel *lblUser;
        TQRLabel *lblDate;
        TQRLabel *lblName;
        TQRLabel *lblType;
        TQRLabel *lblLocation;
        TQRLabel *lblAttendance;
        TQRDBText *txtDate;
        TQRDBText *txtName;
        TQRDBText *txtEventType;
        TQRDBText *txtLocation;
        TQRDBText *txtAttendance;
        TQRLabel *lblTotAttendance;
        TQRExpr *exprTotAttendance;
        void __fastcall eventReportAfterPreview(TObject *Sender);
        void __fastcall txtNamePrint(TObject *sender, AnsiString &Value);
        void __fastcall txtEventTypePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtLocationPrint(TObject *sender,
          AnsiString &Value);
private:	// User declarations
public:		// User declarations
        __fastcall TformDiabEventReport(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformDiabEventReport *formDiabEventReport;
//---------------------------------------------------------------------------
#endif
