//---------------------------------------------------------------------------


#ifndef framePrometheusMenuH
#define framePrometheusMenuH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Menus.hpp>

class TformPrometheusMenu;
//---------------------------------------------------------------------------
class TframePrometheusMenu : public TFrame
{
__published:	// IDE-managed Components
        TControlBar *barMenu;
        TToolBar *toolsPrometheus;
        TToolButton *buttonFile;
        TToolButton *sepMenu1;
        TToolButton *buttonSearch;
        TToolButton *buttonCreate;
        TToolButton *buttonReport;
        TToolButton *sepMenu2;
        TToolButton *buttonSpecial;
        TToolButton *sepMenu3;
        TToolButton *buttonHelp;
        TMainMenu *menuPrometheusMenu;
        TMenuItem *menuFile;
        TMenuItem *menuCloseAllForms;
        TMenuItem *menuChangePassword;
        TMenuItem *menuResetDefaults;
        TMenuItem *menuSettings;
        TMenuItem *menuSwitchUsers;
        TMenuItem *menuVersionNotes;
        TMenuItem *menuSepFile1;
        TMenuItem *menuExit;
        TMenuItem *menuSearch;
        TMenuItem *subSearchAccounting;
        TMenuItem *menuSearchIncomingVendorBill;
        TMenuItem *menuSearchIncomingProviderBill;
        TMenuItem *menuSearchOutgoingProviderBill;
        TMenuItem *menuSepSearchAccounting1;
        TMenuItem *menuSearchAccount;
        TMenuItem *menuSearchCheck;
        TMenuItem *menuSearchPr;
        TMenuItem *menuSearchTransaction;
        TMenuItem *subSearchAdministration;
        TMenuItem *menuSearchBugLog;
        TMenuItem *menuSearchMessageBoxLog;
        TMenuItem *subSearchBehavioralHealth;
        TMenuItem *menuSearchEventBeh;
        TMenuItem *menuSearchTaskBeh;
        TMenuItem *subSearchCallLog;
        TMenuItem *menuSearchCallLog;
        TMenuItem *subSearchCaregiver;
        TMenuItem *menuSearchEventCare;
        TMenuItem *menuSearchTaskCare;
        TMenuItem *subSearchCommunityHealth;
        TMenuItem *menuSearchEventCom;
        TMenuItem *menuSearchTaskCom;
        TMenuItem *menuSearchVisitCom;
        TMenuItem *subSearchContractHealth;
        TMenuItem *menuSearchCob;
        TMenuItem *menuSearchCobVisit;
        TMenuItem *menuSearchReferral;
        TMenuItem *menuSearchServiceProvided;
        TMenuItem *subSearchDentalClinic;
        TMenuItem *menuSearchEventDen;
        TMenuItem *menuSearchTaskDen;
        TMenuItem *subSearchDiabetes;
        TMenuItem *menuSearchActivity;
        TMenuItem *menuSearchDiabEducation;
        TMenuItem *menuSearchEventDiab;
        TMenuItem *menuSearchFitnessMembership;
        TMenuItem *menuSearchDiabLogsheet;
        TMenuItem *menuSearchDiabSurvey;
        TMenuItem *menuSearchTaskDiab;
        TMenuItem *subSearchMedical;
        TMenuItem *menuSearchMedicalCode;
        TMenuItem *menuSearchEventMedical;
        TMenuItem *menuSearchMedicalFeeSchedule;
        TMenuItem *menuSearchMedicalVisit;
        TMenuItem *subSearchPharmacy;
        TMenuItem *subSearchPublicHealth;
        TMenuItem *menuSearchEventPub;
        TMenuItem *menuSearchTaskPub;
        TMenuItem *menuSearchVisitPub;
        TMenuItem *subSearchTransportation;
        TMenuItem *menuSearchTaskTrans;
        TMenuItem *menuSepSearch1;
        TMenuItem *menuSearchAppointment;
        TMenuItem *menuSearchDenialLetter;
        TMenuItem *menuSearchInsuranceApplication;
        TMenuItem *menuSearchInsurancePolicy;
        TMenuItem *menuSearchObsResponseSet;
        TMenuItem *menuSearchPerson;
        TMenuItem *menuSearchTaxEntity;
        TMenuItem *menuCreate;
        TMenuItem *subCreateAccounting;
        TMenuItem *menuCreateAccount;
        TMenuItem *menuCreateBudgetMod;
        TMenuItem *menuCreateCheck;
        TMenuItem *menuCreateContractHealthBill;
        TMenuItem *menuCreatePR;
        TMenuItem *menuCreateVendorBill;
        TMenuItem *subCreateAdministration;
        TMenuItem *subCreateBehavioralHealth;
        TMenuItem *menuCreateEventBeh;
        TMenuItem *menuCreateTaskBeh;
        TMenuItem *subCreateCallLog;
        TMenuItem *subCreateCaregiver;
        TMenuItem *menuCreateEventCare;
        TMenuItem *menuCreateTaskCare;
        TMenuItem *subCreateCommunityHealth;
        TMenuItem *menuCreateComAdultVisit;
        TMenuItem *menuCreateComDrugRegimen;
        TMenuItem *menuCreateEventCom;
        TMenuItem *menuCreateTaskCom;
        TMenuItem *subCreateContractHealth;
        TMenuItem *menuCreateContractHealthCOB;
        TMenuItem *subCreateDentalClinic;
        TMenuItem *menuCreateDentalClinicVisit;
        TMenuItem *subCreateDiabetes;
        TMenuItem *menuCreateDiabetesClientVisit;
        TMenuItem *menuCreateEventDiab;
        TMenuItem *menuCreateFitnessMembership;
        TMenuItem *menuCreateDiabLogsheet;
        TMenuItem *menuCreateDiabetesMailout;
        TMenuItem *menuCreateDiabetesPhoneCall;
        TMenuItem *menuCreateDiabSurvey;
        TMenuItem *menuCreateTaskDiab;
        TMenuItem *subCreateMedical;
        TMenuItem *menuCreateMedicalVisit;
        TMenuItem *menuCreateMedicalEvent;
        TMenuItem *subCreatePharmacy;
        TMenuItem *subCreatePublicHealth;
        TMenuItem *menuCreatePubAdultVisit;
        TMenuItem *menuCreateChildVisit;
        TMenuItem *menuCreateNewbornVisit;
        TMenuItem *menuCreatePostpartumVisit;
        TMenuItem *menuCreatePrenatalVisit;
        TMenuItem *menuSepCreatePub1;
        TMenuItem *menuCreatePublicDrug;
        TMenuItem *menuCreatePublicEvent;
        TMenuItem *menuCreatePublicTask;
        TMenuItem *subCreateTransportation;
        TMenuItem *menuCreateTaskTrans;
        TMenuItem *menuCreateTasksTrans;
        TMenuItem *menuSepCreate1;
        TMenuItem *menuCreateCobRequest;
        TMenuItem *menuCreateInterofficeReferral;
        TMenuItem *menuCreatePerson;
        TMenuItem *menuCreateTaxEntity;
        TMenuItem *menuReport;
        TMenuItem *subReportAccounting;
        TMenuItem *menuReportAccountingAging;
        TMenuItem *menuReportContractBudget;
        TMenuItem *menuReportBudgetMods;
        TMenuItem *subReportAdministration;
        TMenuItem *menuReportLogLog;
        TMenuItem *menuReportLogTotalsPerUser;
        TMenuItem *menuReportLogDetailPerUser;
        TMenuItem *menuSepReportAdminLogLog1;
        TMenuItem *menuReportLogAveragesAllUsers;
        TMenuItem *menuReportLogTotalsAllUsers;
        TMenuItem *menuReportLogDetailAllUsers;
        TMenuItem *menuReportPermissions;
        TMenuItem *menuReportUsageLog;
        TMenuItem *menuReportUsageLogSummaryPerUser;
        TMenuItem *menuReportUsageLogSummaryPerUserByDate;
        TMenuItem *menuSepReportAdminUsageLog1;
        TMenuItem *menuReportUsageLogSummaryAllUsers;
        TMenuItem *menuReportUsageLogSummaryAllUsersByDate;
        TMenuItem *menuReportUsageLogPerForm;
        TMenuItem *menuReportAdminContactsPerDepartment;
        TMenuItem *menuReportAdminDollarsProcedures;
        TMenuItem *menuReportAdminPatientLoadByDepartment;
        TMenuItem *menuReportAdminProceduresWithoutCharges;
        TMenuItem *subReportAppointments;
        TMenuItem *menuReportAppointment;
        TMenuItem *menuReportReminderLetters;
        TMenuItem *menuInsuranceByAppointmentReport;
        TMenuItem *menuReportAppointmentOutcomeDetails;
        TMenuItem *subReportBehavioralHealth;
        TMenuItem *menuReportBehClients;
        TMenuItem *menuReportBehConditions;
        TMenuItem *menuReportBehClientEvent;
        TMenuItem *menuReportBehLocalTreatment;
        TMenuItem *menuReportBehOutsideTreatment;
        TMenuItem *menuReportBehPatientList;
        TMenuItem *menuBehReferralsReport;
        TMenuItem *menuReportBehClientTasks;
        TMenuItem *menuReportBehActivity;
        TMenuItem *menuReportBehComment;
        TMenuItem *menuReportBehEvent;
        TMenuItem *menuReportBehMeeting;
        TMenuItem *menuReportBehProgram;
        TMenuItem *menuReportBehVisit;
        TMenuItem *subReportCallLog;
        TMenuItem *menuReportLog;
        TMenuItem *menuSepReportCallLog1;
        TMenuItem *menuReportDeptLog;
        TMenuItem *menuReportEmployeeLog;
        TMenuItem *menuReportRecepLog;
        TMenuItem *menuSepReportCallLog2;
        TMenuItem *menuReportDepartmentTotals;
        TMenuItem *menuReportEmployeeTotals;
        TMenuItem *subReportCaregiver;
        TMenuItem *menuReportCaregiverSummary;
        TMenuItem *subReportCommunityHealth;
        TMenuItem *menuReportComClient;
        TMenuItem *menuReportComClientComment;
        TMenuItem *menuReportComClientEducation;
        TMenuItem *menuReportComClientEvent;
        TMenuItem *menuReportComClientMetric;
        TMenuItem *menuReportComClientVisit;
        TMenuItem *menuReportComMonthly;
        TMenuItem *menuReportComMonthlyServices;
        TMenuItem *menuReportComMonthlyWorkload;
        TMenuItem *menuReportComVisitNurse;
        TMenuItem *menuReportComPatientList;
        TMenuItem *subReportContractHealth;
        TMenuItem *menuReportContractObligatedAndExpensedReports;
        TMenuItem *menuReportContractObligatedPaidServicesRendered;
        TMenuItem *menuReportContractObligatedPaidByProvider;
        TMenuItem *menuReportContractObligatedPaidByAccounts;
        TMenuItem *menuReportContractPaidAmountsByProviderService;
        TMenuItem *menuReportServiceProvided;
        TMenuItem *menuSepReportCont1;
        TMenuItem *menuReportContractChef;
        TMenuItem *menuReportContractHealthProductivity;
        TMenuItem *menuReportMontlyObligated;
        TMenuItem *menuReportContractPatientList;
        TMenuItem *menuReportProviderSummary;
        TMenuItem *menuReportCHSBillingWorkload;
        TMenuItem *menuReportContractVendors;
        TMenuItem *menuSepReportCont2;
        TMenuItem *menuReportARRALetter;
        TMenuItem *menuReportInsuranceStatistics;
        TMenuItem *menuReportTaxEntityLabels;
        TMenuItem *menuSepReportCont3;
        TMenuItem *menuIHSReport;
        TMenuItem *menuIHS_NDW_HL7Export;
        TMenuItem *subReportDentalClinic;
        TMenuItem *menuReportDentalApptSchedule;
        TMenuItem *menuReportDentalBillingData;
        TMenuItem *menuReportDentalPatientList;
        TMenuItem *subReportDiabetes;
        TMenuItem *menuReportDiabClient;
        TMenuItem *menuReportDiabClientActivity;
        TMenuItem *menuDiabClientEventReport;
        TMenuItem *menuReportDiabClientFitnessAttendance;
        TMenuItem *menuReportDiabClientLogsheets;
        TMenuItem *menuReportDiabClientLogsheetsPerPerson;
        TMenuItem *menuReportDiabClientMeasurement;
        TMenuItem *menuReportDiabClientTask;
        TMenuItem *menuSepReportDiabClients1;
        TMenuItem *menuReportDiabClientActivitySummary;
        TMenuItem *menuReportDiabActivitiesbyOutcome;
        TMenuItem *menuReportDiabClientComment;
        TMenuItem *menuReportDiabClientLogsheetSummary;
        TMenuItem *menuReportDiabMeasurementComparison;
        TMenuItem *menuReporDiabMeasurementLabels;
        TMenuItem *menuReportMeasurementCount;
        TMenuItem *menuReportDiabClientMeasurementsSummary;
        TMenuItem *menuReportDiabOverweightReport;
        TMenuItem *menuReportDiabParticipation;
        TMenuItem *menuReportDiabStarSession;
        TMenuItem *menuReportDiabClientTribal;
        TMenuItem *menuReportDiabEducation;
        TMenuItem *menuReportDiabAverageScores;
        TMenuItem *menuReportDiabScoreSummary;
        TMenuItem *menuReportDiabExport;
        TMenuItem *menuReportExportActivity;
        TMenuItem *menuReportExportMeasurement;
        TMenuItem *menuReportDiabFitness;
        TMenuItem *menuReportDiabClientAttendanceSummary;
        TMenuItem *menuReportFitnessMembershipsByFacility;
        TMenuItem *menuReportMembershipsSummary;
        TMenuItem *menuReportFitnessReleases;
        TMenuItem *menuReportFitnessWaitingList;
        TMenuItem *menuReportDiabNewMemberships;
        TMenuItem *menuReportDiabGraphs;
        TMenuItem *menuReportDiabTribalGraph;
        TMenuItem *menuReportDiabIncentive;
        TMenuItem *menuReportDiabCheckCount;
        TMenuItem *menuReportIncentive;
        TMenuItem *menuReportDiabPendingShoes;
        TMenuItem *menuReportDiabShoesOrdered;
        TMenuItem *menuReportStepsCheck;
        TMenuItem *menuReportDiabTask;
        TMenuItem *menuReportDiabEmpHours;
        TMenuItem *menuReportDiabMeetings;
        TMenuItem *menuReportDiabMileage;
        TMenuItem *menuReportDiabEmployeeActivity;
        TMenuItem *menuReportDiabStaffContacts;
        TMenuItem *menuReportDiabEmpTask;
        TMenuItem *menuReportDiabRegistry;
        TMenuItem *menuReportDiabEvent;
        TMenuItem *menuReportDiabPeopleNotSeen;
        TMenuItem *subReportForms;
        TMenuItem *menuReportFormIntake;
        TMenuItem *menuReportFormIntakeMedHist;
        TMenuItem *menuReportFormCom;
        TMenuItem *menuReportFormComAdult;
        TMenuItem *menuReportFormComDrug;
        TMenuItem *menuReportFormComTask;
        TMenuItem *menuReportFormDiab;
        TMenuItem *menuReportFormChildAssent;
        TMenuItem *menuReportFormDoctorStatement;
        TMenuItem *menuReportFormActivityLog;
        TMenuItem *menuReportFormParQ;
        TMenuItem *menuReportFormReachContract;
        TMenuItem *menuReportFormStepsInfo;
        TMenuItem *menuReportFormSteps;
        TMenuItem *menuReportFormStepsPacket;
        TMenuItem *menuReportFormPublic;
        TMenuItem *menuReportFormPubChild;
        TMenuItem *menuReportFormPubDrug;
        TMenuItem *menuReportFormPubNewborn;
        TMenuItem *menuReportFormPubPostpartum;
        TMenuItem *menuReportFormPubPrenatal;
        TMenuItem *subReportMedical;
        TMenuItem *menuReportMedicalPatientList;
        TMenuItem *subReportPharmacy;
        TMenuItem *menuReportUploadEckerd;
        TMenuItem *menuReportUploadWalMart;
        TMenuItem *menuReportUploadComputerRx;
        TMenuItem *menuSepReportPharm1;
        TMenuItem *menuReportEckerd;
        TMenuItem *menuReportWalState;
        TMenuItem *menuReportWalSpenders;
        TMenuItem *menuReportYearlyPharmacy;
        TMenuItem *menuSepReportPharm2;
        TMenuItem *menuReportDailyDrugSales;
        TMenuItem *menuReportMonthlyDrugSales;
        TMenuItem *menuReportYearlyDrugSales;
        TMenuItem *subReportPublicHealth;
        TMenuItem *menuReportPublicClients;
        TMenuItem *menuReportPublicClientComments;
        TMenuItem *menuReportPublicClientEdu;
        TMenuItem *menuReportPublicClientEvents;
        TMenuItem *menuReportPublicClientsMeasurement;
        TMenuItem *menuReportPublicClientVisit;
        TMenuItem *menuReportPublicHealthMonthly;
        TMenuItem *subReportTransportation;
        TMenuItem *menuReportTransportationSummary;
        TMenuItem *menuSepReport1;
        TMenuItem *subReportQueriesActions;
        TMenuItem *menuReportQueryPeople;
        TMenuItem *menuReportQueryObservations;
        TMenuItem *menuReportQueryVisits;
        TMenuItem *N1;
        TMenuItem *menuReportClient;
        TMenuItem *menuReportCobSummary;
        TMenuItem *menuReportDenialLetters;
        TMenuItem *menuSpecialEnrollment;
        TMenuItem *menuReportEventListing;
        TMenuItem *menuReportEventsByClient;
        TMenuItem *menuReportInsuranceChargeAnalysis;
        TMenuItem *menuReportTaskDemographics;
        TMenuItem *menuSpecial;
        TMenuItem *subSpecialAccounting;
        TMenuItem *menuSpecialAccountAdjustments;
        TMenuItem *menuSpecialNewBudgetEntry;
        TMenuItem *menuSpecialCloseAccounts;
        TMenuItem *menuSpecialGeneralJournal;
        TMenuItem *menuSpecialLedger;
        TMenuItem *subSpecialAdministration;
        TMenuItem *menuSpecialDataQuery;
        TMenuItem *menuSpecialDataMerge;
        TMenuItem *menuSpecialDataNavigation;
        TMenuItem *menuSepSpecialAdmin1;
        TMenuItem *menuSpecialDiffUserPermissions;
        TMenuItem *menuSpecialEditPermissions;
        TMenuItem *menuSpecialFindUsersWithPermissions;
        TMenuItem *N3;
        TMenuItem *menuSpecialEditLookup;
        TMenuItem *menuSpecialEditColors;
        TMenuItem *menuSpecialRouterAdministration;
        TMenuItem *menuSpecialUploadVersion;
        TMenuItem *menuSepSpecialAdmin2;
        TMenuItem *menuSpecialDropTempViews;
        TMenuItem *menuSpecialScreenStatistics;
        TMenuItem *menuSepSpecialAdmin4;
        TMenuItem *menuSpecialEditObservationOptionSet;
        TMenuItem *menuSpecialEditObservationQuestionSet;
        TMenuItem *menuSpecialEditObservationExpectedRanges;
        TMenuItem *menuSpecialCachedObservationStatistics;
        TMenuItem *menuSepSpecialAdmin3;
        TMenuItem *menuSpecialDebug;
        TMenuItem *N4;
        TMenuItem *menuSpecialDeletePerson;
        TMenuItem *menuSpecialMergePeople;
        TMenuItem *menuSpecialMergeTaxEntities;
        TMenuItem *subSpecialBehavioralHealth;
        TMenuItem *menuSpecialDischargeBehClients;
        TMenuItem *subSpecialCallLog;
        TMenuItem *menuSpecialCallLog;
        TMenuItem *subSpecialCaregiver;
        TMenuItem *subSpecialCommunityHealth;
        TMenuItem *subSpecialContractHealth;
        TMenuItem *menuSpecialRequestedCob;
        TMenuItem *menuSpecialMedicaidAboutToExpire;
        TMenuItem *menuSpecialLatestInsurance;
        TMenuItem *menuSpecialUpdatesNeeded;
        TMenuItem *subSpecialDentalClinic;
        TMenuItem *subSpecialDiabetes;
        TMenuItem *menuSpecialAppointmentReminders;
        TMenuItem *menuSpecialAttachActivitiesToLogsheets;
        TMenuItem *menuSpecialInactiveClients;
        TMenuItem *menuSpecialOrderShoes;
        TMenuItem *menuSpecialReceiveShoes;
        TMenuItem *menuSpecialDiabetesRegistry;
        TMenuItem *menuSpecialDiabetesSteps;
        TMenuItem *menuSpecialDiabWarningLetters;
        TMenuItem *subSpecialMedicalClinic;
        TMenuItem *subSpecialPharmacy;
        TMenuItem *subSpecialPublicHealth;
        TMenuItem *subSpecialTransportation;
        TMenuItem *menuSepSpecial1;
        TMenuItem *menuSpecialBugs;
        TMenuItem *menuSpecialChat;
        TMenuItem *menuSpecialSchedule;
        TMenuItem *menuSpecialTimesheet;
        TMenuItem *N5;
        TMenuItem *menuSpecialWaitingReferrals;
        TMenuItem *menuSpecialSentReferrals;
        TMenuItem *menuSepSpecial2;
        TMenuItem *menuSpecialMetricConversion;
        TMenuItem *menuSpecialViewReport;
        TMenuItem *menuHelp;
        TMenuItem *menuHelpPrometheus;
        TMenuItem *menuSepHelp1;
        TMenuItem *menuAbout;
        TMenuItem *menuReportBehWorkload;
        TMenuItem *menuReportOptometryAppts;
        TMenuItem *menuReportDMClientAppointments;
        TPopupMenu *menuPopup;
        TMenuItem *menuSearchFDADrugs;
        TMenuItem *menuReportProcsByProvider;
        TMenuItem *menuReportFormIntakeOpto;
        TMenuItem *menuReportUpdateFormLetters;
        TMenuItem *menuSearchCrashLog;
        TMenuItem *menuHelpLicenses;
        TMenuItem *menuReportMailingLabels;
        TMenuItem *menuReportMedicalSC;
        TMenuItem *menuCreateReferralWizard;
        TMenuItem *menuSearchDenial;
        TMenuItem *menuCreateCHSDeferredCOB;
        TMenuItem *menuSearchCHSDeferredCOB;
        TMenuItem *subReportPurchasing;
        TMenuItem *menuReportPurchasingWorkload;
        void __fastcall menuCloseAllFormsClick(TObject *Sender);
        void __fastcall menuChangePasswordClick(TObject *Sender);
        void __fastcall menuResetDefaultsClick(TObject *Sender);
        void __fastcall menuSettingsClick(TObject *Sender);
        void __fastcall menuSwitchUsersClick(TObject *Sender);
        void __fastcall menuVersionNotesClick(TObject *Sender);
        void __fastcall menuExitClick(TObject *Sender);
        void __fastcall menuSearchIncomingVendorBillClick(TObject *Sender);
        void __fastcall menuSearchIncomingProviderBillClick(
          TObject *Sender);
        void __fastcall menuSearchOutgoingProviderBillClick(
          TObject *Sender);
        void __fastcall menuSearchAccountClick(TObject *Sender);
        void __fastcall menuSearchCheckClick(TObject *Sender);
        void __fastcall menuSearchPrClick(TObject *Sender);
        void __fastcall menuSearchTransactionClick(TObject *Sender);
        void __fastcall menuSearchBugLogClick(TObject *Sender);
        void __fastcall menuSearchMessageBoxLogClick(TObject *Sender);
        void __fastcall menuSearchEventBehClick(TObject *Sender);
        void __fastcall menuSearchTaskBehClick(TObject *Sender);
        void __fastcall menuSearchCallLogClick(TObject *Sender);
        void __fastcall menuSearchEventCareClick(TObject *Sender);
        void __fastcall menuSearchTaskCareClick(TObject *Sender);
        void __fastcall menuSearchEventComClick(TObject *Sender);
        void __fastcall menuSearchTaskComClick(TObject *Sender);
        void __fastcall menuSearchVisitComClick(TObject *Sender);
        void __fastcall menuSearchCobClick(TObject *Sender);
        void __fastcall menuSearchCobVisitClick(TObject *Sender);
        void __fastcall menuSearchReferralClick(TObject *Sender);
        void __fastcall menuSearchServiceProvidedClick(TObject *Sender);
        void __fastcall menuSearchEventDenClick(TObject *Sender);
        void __fastcall menuSearchTaskDenClick(TObject *Sender);
        void __fastcall menuSearchActivityClick(TObject *Sender);
        void __fastcall menuSearchDiabEducationClick(TObject *Sender);
        void __fastcall menuSearchEventDiabClick(TObject *Sender);
        void __fastcall menuSearchFitnessMembershipClick(TObject *Sender);
        void __fastcall menuSearchDiabLogsheetClick(TObject *Sender);
        void __fastcall menuSearchDiabSurveyClick(TObject *Sender);
        void __fastcall menuSearchTaskDiabClick(TObject *Sender);
        void __fastcall menuSearchMedicalCodeClick(TObject *Sender);
        void __fastcall menuSearchEventMedicalClick(TObject *Sender);
        void __fastcall menuSearchMedicalFeeScheduleClick(TObject *Sender);
        void __fastcall menuSearchMedicalVisitClick(TObject *Sender);
        void __fastcall menuSearchEventPubClick(TObject *Sender);
        void __fastcall menuSearchTaskPubClick(TObject *Sender);
        void __fastcall menuSearchVisitPubClick(TObject *Sender);
        void __fastcall menuSearchTaskTransClick(TObject *Sender);
        void __fastcall menuSearchAppointmentClick(TObject *Sender);
        void __fastcall menuSearchDenialLetterClick(TObject *Sender);
        void __fastcall menuSearchInsuranceApplicationClick(
          TObject *Sender);
        void __fastcall menuSearchInsurancePolicyClick(TObject *Sender);
        void __fastcall menuSearchObsResponseSetClick(TObject *Sender);
        void __fastcall menuSearchPersonClick(TObject *Sender);
        void __fastcall menuSearchTaxEntityClick(TObject *Sender);
        void __fastcall menuCreateAccountClick(TObject *Sender);
        void __fastcall menuCreateBudgetModClick(TObject *Sender);
        void __fastcall menuCreateCheckClick(TObject *Sender);
        void __fastcall menuCreateContractHealthBillClick(TObject *Sender);
        void __fastcall menuCreatePRClick(TObject *Sender);
        void __fastcall menuCreateVendorBillClick(TObject *Sender);
        void __fastcall menuCreateEventBehClick(TObject *Sender);
        void __fastcall menuCreateTaskBehClick(TObject *Sender);
        void __fastcall menuCreateEventCareClick(TObject *Sender);
        void __fastcall menuCreateTaskCareClick(TObject *Sender);
        void __fastcall menuCreateComAdultVisitClick(TObject *Sender);
        void __fastcall menuCreateComDrugRegimenClick(TObject *Sender);
        void __fastcall menuCreateEventComClick(TObject *Sender);
        void __fastcall menuCreateTaskComClick(TObject *Sender);
        void __fastcall menuCreateContractHealthCOBClick(TObject *Sender);
        void __fastcall menuCreateDentalClinicVisitClick(TObject *Sender);
        void __fastcall menuCreateDiabetesClientVisitClick(
          TObject *Sender);
        void __fastcall menuCreateEventDiabClick(TObject *Sender);
        void __fastcall menuCreateFitnessMembershipClick(TObject *Sender);
        void __fastcall menuCreateDiabLogsheetClick(TObject *Sender);
        void __fastcall menuCreateDiabetesMailoutClick(TObject *Sender);
        void __fastcall menuCreateDiabetesPhoneCallClick(TObject *Sender);
        void __fastcall menuCreateDiabSurveyClick(TObject *Sender);
        void __fastcall menuCreateTaskDiabClick(TObject *Sender);
        void __fastcall menuCreateMedicalVisitClick(TObject *Sender);
        void __fastcall menuCreateMedicalEventClick(TObject *Sender);
        void __fastcall menuCreatePubAdultVisitClick(TObject *Sender);
        void __fastcall menuCreateChildVisitClick(TObject *Sender);
        void __fastcall menuCreateNewbornVisitClick(TObject *Sender);
        void __fastcall menuCreatePostpartumVisitClick(TObject *Sender);
        void __fastcall menuCreatePrenatalVisitClick(TObject *Sender);
        void __fastcall menuCreatePublicDrugClick(TObject *Sender);
        void __fastcall menuCreatePublicEventClick(TObject *Sender);
        void __fastcall menuCreatePublicTaskClick(TObject *Sender);
        void __fastcall menuCreateTaskTransClick(TObject *Sender);
        void __fastcall menuCreateTasksTransClick(TObject *Sender);
        void __fastcall menuCreateCobRequestClick(TObject *Sender);
        void __fastcall menuCreateInterofficeReferralClick(
          TObject *Sender);
        void __fastcall menuCreatePersonClick(TObject *Sender);
        void __fastcall menuCreateTaxEntityClick(TObject *Sender);
        void __fastcall menuReportAccountingAgingClick(TObject *Sender);
        void __fastcall menuReportContractBudgetClick(TObject *Sender);
        void __fastcall menuReportBudgetModsClick(TObject *Sender);
        void __fastcall menuReportLogTotalsPerUserClick(TObject *Sender);
        void __fastcall menuReportLogDetailPerUserClick(TObject *Sender);
        void __fastcall menuReportLogAveragesAllUsersClick(
          TObject *Sender);
        void __fastcall menuReportLogTotalsAllUsersClick(TObject *Sender);
        void __fastcall menuReportLogDetailAllUsersClick(TObject *Sender);
        void __fastcall menuReportUsageLogSummaryPerUserClick(
          TObject *Sender);
        void __fastcall menuReportUsageLogSummaryPerUserByDateClick(
          TObject *Sender);
        void __fastcall menuReportUsageLogSummaryAllUsersClick(
          TObject *Sender);
        void __fastcall menuReportUsageLogSummaryAllUsersByDateClick(
          TObject *Sender);
        void __fastcall menuReportUsageLogPerFormClick(TObject *Sender);
        void __fastcall menuReportAdminContactsPerDepartmentClick(
          TObject *Sender);
        void __fastcall menuReportAdminDollarsProceduresClick(
          TObject *Sender);
        void __fastcall menuReportAdminPatientLoadByDepartmentClick(
          TObject *Sender);
        void __fastcall menuReportAdminProceduresWithoutChargesClick(
          TObject *Sender);
        void __fastcall menuReportAppointmentClick(TObject *Sender);
        void __fastcall menuReportReminderLettersClick(TObject *Sender);
        void __fastcall menuInsuranceByAppointmentReportClick(
          TObject *Sender);
        void __fastcall menuReportAppointmentOutcomeDetailsClick(
          TObject *Sender);
        void __fastcall menuReportBehConditionsClick(TObject *Sender);
        void __fastcall menuReportBehClientEventClick(TObject *Sender);
        void __fastcall menuReportBehLocalTreatmentClick(TObject *Sender);
        void __fastcall menuReportBehOutsideTreatmentClick(
          TObject *Sender);
        void __fastcall menuReportBehPatientListClick(TObject *Sender);
        void __fastcall menuBehReferralsReportClick(TObject *Sender);
        void __fastcall menuReportBehClientTasksClick(TObject *Sender);
        void __fastcall menuReportBehActivityClick(TObject *Sender);
        void __fastcall menuReportBehCommentClick(TObject *Sender);
        void __fastcall menuReportBehEventClick(TObject *Sender);
        void __fastcall menuReportBehMeetingClick(TObject *Sender);
        void __fastcall menuReportBehProgramClick(TObject *Sender);
        void __fastcall menuReportBehVisitClick(TObject *Sender);
        void __fastcall menuReportLogClick(TObject *Sender);
        void __fastcall menuReportDeptLogClick(TObject *Sender);
        void __fastcall menuReportEmployeeLogClick(TObject *Sender);
        void __fastcall menuReportRecepLogClick(TObject *Sender);
        void __fastcall menuReportDepartmentTotalsClick(TObject *Sender);
        void __fastcall menuReportEmployeeTotalsClick(TObject *Sender);
        void __fastcall menuReportCaregiverSummaryClick(TObject *Sender);
        void __fastcall menuReportComClientCommentClick(TObject *Sender);
        void __fastcall menuReportComClientEducationClick(TObject *Sender);
        void __fastcall menuReportComClientEventClick(TObject *Sender);
        void __fastcall menuReportComClientMetricClick(TObject *Sender);
        void __fastcall menuReportComClientVisitClick(TObject *Sender);
        void __fastcall menuReportComMonthlyServicesClick(TObject *Sender);
        void __fastcall menuReportComMonthlyWorkloadClick(TObject *Sender);
        void __fastcall menuReportComVisitNurseClick(TObject *Sender);
        void __fastcall menuReportComPatientListClick(TObject *Sender);
        void __fastcall menuReportContractObligatedAndExpensedReportsClick(
          TObject *Sender);
        void __fastcall menuReportContractObligatedPaidServicesRenderedClick(
          TObject *Sender);
        void __fastcall menuReportContractObligatedPaidByProviderClick(
          TObject *Sender);
        void __fastcall menuReportContractObligatedPaidByAccountsClick(
          TObject *Sender);
        void __fastcall menuReportContractPaidAmountsByProviderServiceClick(
          TObject *Sender);
        void __fastcall menuReportServiceProvidedClick(TObject *Sender);
        void __fastcall menuReportContractChefClick(TObject *Sender);
        void __fastcall menuReportContractHealthProductivityClick(
          TObject *Sender);
        void __fastcall menuReportMontlyObligatedClick(TObject *Sender);
        void __fastcall menuReportContractPatientListClick(
          TObject *Sender);
        void __fastcall menuReportProviderSummaryClick(TObject *Sender);
        void __fastcall menuReportCHSBillingWorkloadClick(TObject *Sender);
        void __fastcall menuReportContractVendorsClick(TObject *Sender);
        void __fastcall menuReportARRALetterClick(TObject *Sender);
        void __fastcall menuReportInsuranceStatisticsClick(
          TObject *Sender);
        void __fastcall menuReportTaxEntityLabelsClick(TObject *Sender);
        void __fastcall menuIHSReportClick(TObject *Sender);
        void __fastcall menuIHS_NDW_HL7ExportClick(TObject *Sender);
        void __fastcall menuReportDentalApptScheduleClick(TObject *Sender);
        void __fastcall menuReportDentalBillingDataClick(TObject *Sender);
        void __fastcall menuReportDentalPatientListClick(TObject *Sender);
        void __fastcall menuReportDiabClientActivityClick(TObject *Sender);
        void __fastcall menuDiabClientEventReportClick(TObject *Sender);
        void __fastcall menuReportDiabClientFitnessAttendanceClick(
          TObject *Sender);
        void __fastcall menuReportDiabClientLogsheetsClick(
          TObject *Sender);
        void __fastcall menuReportDiabClientLogsheetsPerPersonClick(
          TObject *Sender);
        void __fastcall menuReportDiabClientMeasurementClick(
          TObject *Sender);
        void __fastcall menuReportDiabClientTaskClick(TObject *Sender);
        void __fastcall menuReportDiabClientActivitySummaryClick(
          TObject *Sender);
        void __fastcall menuReportDiabActivitiesbyOutcomeClick(
          TObject *Sender);
        void __fastcall menuReportDiabClientCommentClick(TObject *Sender);
        void __fastcall menuReportDiabClientLogsheetSummaryClick(
          TObject *Sender);
        void __fastcall menuReportDiabMeasurementComparisonClick(
          TObject *Sender);
        void __fastcall menuReporDiabMeasurementLabelsClick(
          TObject *Sender);
        void __fastcall menuReportMeasurementCountClick(TObject *Sender);
        void __fastcall menuReportDiabClientMeasurementsSummaryClick(
          TObject *Sender);
        void __fastcall menuReportDiabOverweightReportClick(
          TObject *Sender);
        void __fastcall menuReportDiabParticipationClick(TObject *Sender);
        void __fastcall menuReportDiabStarSessionClick(TObject *Sender);
        void __fastcall menuReportDiabClientTribalClick(TObject *Sender);
        void __fastcall menuReportDiabAverageScoresClick(TObject *Sender);
        void __fastcall menuReportDiabScoreSummaryClick(TObject *Sender);
        void __fastcall menuReportExportActivityClick(TObject *Sender);
        void __fastcall menuReportExportMeasurementClick(TObject *Sender);
        void __fastcall menuReportDiabClientAttendanceSummaryClick(
          TObject *Sender);
        void __fastcall menuReportFitnessMembershipsByFacilityClick(
          TObject *Sender);
        void __fastcall menuReportMembershipsSummaryClick(TObject *Sender);
        void __fastcall menuReportFitnessReleasesClick(TObject *Sender);
        void __fastcall menuReportFitnessWaitingListClick(TObject *Sender);
        void __fastcall menuReportDiabNewMembershipsClick(TObject *Sender);
        void __fastcall menuReportDiabTribalGraphClick(TObject *Sender);
        void __fastcall menuReportDiabCheckCountClick(TObject *Sender);
        void __fastcall menuReportIncentiveClick(TObject *Sender);
        void __fastcall menuReportDiabPendingShoesClick(TObject *Sender);
        void __fastcall menuReportDiabShoesOrderedClick(TObject *Sender);
        void __fastcall menuReportStepsCheckClick(TObject *Sender);
        void __fastcall menuReportDiabEmpHoursClick(TObject *Sender);
        void __fastcall menuReportDiabMeetingsClick(TObject *Sender);
        void __fastcall menuReportDiabMileageClick(TObject *Sender);
        void __fastcall menuReportDiabEmployeeActivityClick(
          TObject *Sender);
        void __fastcall menuReportDiabStaffContactsClick(TObject *Sender);
        void __fastcall menuReportDiabEmpTaskClick(TObject *Sender);
        void __fastcall menuReportDiabRegistryClick(TObject *Sender);
        void __fastcall menuReportDiabEventClick(TObject *Sender);
        void __fastcall menuReportDiabPeopleNotSeenClick(TObject *Sender);
        void __fastcall menuReportFormIntakeClick(TObject *Sender);
        void __fastcall menuReportFormIntakeMedHistClick(TObject *Sender);
        void __fastcall menuReportFormComAdultClick(TObject *Sender);
        void __fastcall menuReportFormComDrugClick(TObject *Sender);
        void __fastcall menuReportFormComTaskClick(TObject *Sender);
        void __fastcall menuReportFormChildAssentClick(TObject *Sender);
        void __fastcall menuReportFormDoctorStatementClick(TObject *Sender);
        void __fastcall menuReportFormActivityLogClick(TObject *Sender);
        void __fastcall menuReportFormParQClick(TObject *Sender);
        void __fastcall menuReportFormReachContractClick(TObject *Sender);
        void __fastcall menuReportFormStepsInfoClick(TObject *Sender);
        void __fastcall menuReportFormStepsClick(TObject *Sender);
        void __fastcall menuReportFormStepsPacketClick(TObject *Sender);
        void __fastcall menuReportFormPubChildClick(TObject *Sender);
        void __fastcall menuReportFormPubDrugClick(TObject *Sender);
        void __fastcall menuReportFormPubNewbornClick(TObject *Sender);
        void __fastcall menuReportFormPubPostpartumClick(TObject *Sender);
        void __fastcall menuReportFormPubPrenatalClick(TObject *Sender);
        void __fastcall menuReportMedicalPatientListClick(TObject *Sender);
        void __fastcall menuReportUploadEckerdClick(TObject *Sender);
        void __fastcall menuReportUploadWalMartClick(TObject *Sender);
        void __fastcall menuReportUploadComputerRxClick(TObject *Sender);
        void __fastcall menuReportEckerdClick(TObject *Sender);
        void __fastcall menuReportWalStateClick(TObject *Sender);
        void __fastcall menuReportWalSpendersClick(TObject *Sender);
        void __fastcall menuReportYearlyPharmacyClick(TObject *Sender);
        void __fastcall menuReportDailyDrugSalesClick(TObject *Sender);
        void __fastcall menuReportMonthlyDrugSalesClick(TObject *Sender);
        void __fastcall menuReportYearlyDrugSalesClick(TObject *Sender);
        void __fastcall menuReportPublicClientCommentsClick(
          TObject *Sender);
        void __fastcall menuReportPublicClientEduClick(TObject *Sender);
        void __fastcall menuReportPublicClientEventsClick(TObject *Sender);
        void __fastcall menuReportPublicClientsMeasurementClick(
          TObject *Sender);
        void __fastcall menuReportPublicClientVisitClick(TObject *Sender);
        void __fastcall menuReportPublicHealthMonthlyClick(
          TObject *Sender);
        void __fastcall menuReportTransportationSummaryClick(
          TObject *Sender);
        void __fastcall menuReportQueryPeopleClick(TObject *Sender);
        void __fastcall menuReportQueryObservationsClick(TObject *Sender);
        void __fastcall menuReportQueryVisitsClick(TObject *Sender);
        void __fastcall menuReportClientClick(TObject *Sender);
        void __fastcall menuReportCobSummaryClick(TObject *Sender);
        void __fastcall menuReportDenialLettersClick(TObject *Sender);
        void __fastcall menuSpecialEnrollmentClick(TObject *Sender);
        void __fastcall menuReportEventListingClick(TObject *Sender);
        void __fastcall menuReportEventsByClientClick(TObject *Sender);
        void __fastcall menuReportInsuranceChargeAnalysisClick(
          TObject *Sender);
        void __fastcall menuReportTaskDemographicsClick(TObject *Sender);
        void __fastcall menuSpecialAccountAdjustmentsClick(
          TObject *Sender);
        void __fastcall menuSpecialNewBudgetEntryClick(TObject *Sender);
        void __fastcall menuSpecialCloseAccountsClick(TObject *Sender);
        void __fastcall menuSpecialGeneralJournalClick(TObject *Sender);
        void __fastcall menuSpecialLedgerClick(TObject *Sender);
        void __fastcall menuSpecialDataQueryClick(TObject *Sender);
        void __fastcall menuSpecialDataMergeClick(TObject *Sender);
        void __fastcall menuSpecialDataNavigationClick(TObject *Sender);
        void __fastcall menuSpecialDiffUserPermissionsClick(
          TObject *Sender);
        void __fastcall menuSpecialEditPermissionsClick(TObject *Sender);
        void __fastcall menuSpecialFindUsersWithPermissionsClick(
          TObject *Sender);
        void __fastcall menuSpecialEditLookupClick(TObject *Sender);
        void __fastcall menuSpecialEditColorsClick(TObject *Sender);
        void __fastcall menuSpecialRouterAdministrationClick(
          TObject *Sender);
        void __fastcall menuSpecialUploadVersionClick(TObject *Sender);
        void __fastcall menuSpecialDropTempViewsClick(TObject *Sender);
        void __fastcall menuSpecialScreenStatisticsClick(TObject *Sender);
        void __fastcall menuSpecialEditObservationOptionSetClick(
          TObject *Sender);
        void __fastcall menuSpecialEditObservationQuestionSetClick(
          TObject *Sender);
        void __fastcall menuSpecialEditObservationExpectedRangesClick(
          TObject *Sender);
        void __fastcall menuSpecialCachedObservationStatisticsClick(
          TObject *Sender);
        void __fastcall menuSpecialDebugClick(TObject *Sender);
        void __fastcall menuSpecialDeletePersonClick(TObject *Sender);
        void __fastcall menuSpecialMergePeopleClick(TObject *Sender);
        void __fastcall menuSpecialMergeTaxEntitiesClick(TObject *Sender);
        void __fastcall menuSpecialDischargeBehClientsClick(
          TObject *Sender);
        void __fastcall menuSpecialCallLogClick(TObject *Sender);
        void __fastcall menuSpecialRequestedCobClick(TObject *Sender);
        void __fastcall menuSpecialMedicaidAboutToExpireClick(
          TObject *Sender);
        void __fastcall menuSpecialLatestInsuranceClick(TObject *Sender);
        void __fastcall menuSpecialUpdatesNeededClick(TObject *Sender);
        void __fastcall menuSpecialAppointmentRemindersClick(
          TObject *Sender);
        void __fastcall menuSpecialAttachActivitiesToLogsheetsClick(
          TObject *Sender);
        void __fastcall menuSpecialInactiveClientsClick(TObject *Sender);
        void __fastcall menuSpecialOrderShoesClick(TObject *Sender);
        void __fastcall menuSpecialReceiveShoesClick(TObject *Sender);
        void __fastcall menuSpecialDiabetesRegistryClick(TObject *Sender);
        void __fastcall menuSpecialDiabetesStepsClick(TObject *Sender);
        void __fastcall menuSpecialDiabWarningLettersClick(
          TObject *Sender);
        void __fastcall menuSpecialBugsClick(TObject *Sender);
        void __fastcall menuSpecialChatClick(TObject *Sender);
        void __fastcall menuSpecialScheduleClick(TObject *Sender);
        void __fastcall menuSpecialTimesheetClick(TObject *Sender);
        void __fastcall menuSpecialWaitingReferralsClick(TObject *Sender);
        void __fastcall menuSpecialSentReferralsClick(TObject *Sender);
        void __fastcall menuSpecialMetricConversionClick(TObject *Sender);
        void __fastcall menuSpecialViewReportClick(TObject *Sender);
        void __fastcall menuHelpPrometheusClick(TObject *Sender);
        void __fastcall menuAboutClick(TObject *Sender);
        void __fastcall menuReportBehWorkloadClick(TObject *Sender);
        void __fastcall menuReportOptometryApptsClick(TObject *Sender);
        void __fastcall menuReportDMClientAppointmentsClick(TObject *Sender);
        void __fastcall menuSearchFDADrugsClick(TObject *Sender);
        void __fastcall menuReportProcsByProviderClick(TObject *Sender);
        void __fastcall menuReportFormIntakeOptoClick(TObject *Sender);
        void __fastcall menuReportUpdateFormLettersClick(TObject *Sender);
        void __fastcall menuSearchCrashLogClick(TObject *Sender);
        void __fastcall menuHelpLicensesClick(TObject *Sender);
        void __fastcall menuReportMailingLabelsClick(TObject *Sender);
        void __fastcall menuReportMedicalSCClick(TObject *Sender);
        void __fastcall menuCreateReferralWizardClick(TObject *Sender);
        void __fastcall menuSearchDenialClick(TObject *Sender);
        void __fastcall menuCreateCHSDeferredCOBClick(TObject *Sender);
        void __fastcall menuSearchCHSDeferredCOBClick(TObject *Sender);
        void __fastcall menuReportPurchasingWorkloadClick(TObject *Sender);
private:	// User declarations
        TformPrometheusMenu *Form;
        void CreatePopupRecursive(TMenuItem *dst, TMenuItem *src);
        void CreatePopupMenu();
public:		// User declarations
        __fastcall TframePrometheusMenu(TComponent* Owner);

        void SetParentForm(TformPrometheusMenu *pForm);
        void EnableMenus(bool all_is_well);

        // Control accessors (preferred to direct access by name)
        TControlBar *GetControlBar();
        TToolBar    *GetToolBar();
        TMainMenu   *GetMainMenu();
        TPopupMenu  *GetTrayPopupMenu();
};
//---------------------------------------------------------------------------
extern PACKAGE TframePrometheusMenu *framePrometheusMenu;
//---------------------------------------------------------------------------
#endif
