//---------------------------------------------------------------------------

#ifndef launchApptOutcomeDetailReportH
#define launchApptOutcomeDetailReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "launchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformLaunchApptOutcomeDetailReport : public TformLaunchGeneric
{
__published:	// IDE-managed Components
        TDateTimePicker *dateBegin;
        TDateTimePicker *dateEnd;
        TLabel *lblDateBegin;
        TLabel *lblDateEnd;
        TLabel *lblDepartment;
        TComboBox *cboDepartment;
private:	// User declarations
        TIBDataSet *dbDataset;
        bool IsValidOnScreen();
        bool BeforeRunReport();
        bool RunReport();
        string GetEndocrinologyProvider();
        string GetSQLQuery(string &group_id, string &begin_date, string &end_date);
public:		// User declarations
        __fastcall TformLaunchApptOutcomeDetailReport(TComponent* Owner);
        __fastcall ~TformLaunchApptOutcomeDetailReport();
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchApptOutcomeDetailReport *formLaunchApptOutcomeDetailReport;
//---------------------------------------------------------------------------
#endif
