//---------------------------------------------------------------------------

#ifndef launchBehProgramReportH
#define launchBehProgramReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <QuickRpt.hpp>
#include "reportBehProgram.h"
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformLaunchBehProgramReport : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnRun;
        TToolButton *btnClose;
        TDateTimePicker *dateBegin;
        TLabel *lblBegin;
        TLabel *lblEndDate;
        TDateTimePicker *dateEnd;
        TQRCompositeReport *compositeReport;
        TLabel *lblAgeGroup;
        TComboBox *cboAgeGroup;
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnRunClick(TObject *Sender);
        void __fastcall compositeReportAddReports(TObject *Sender);
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
        TIBTransaction *dbTransaction;
        TIBDataSet *dbGenderDataSet;
        TIBDataSet *dbAgeDataSet;
        TIBDataSet *dbTribeDataSet;
        TIBDataSet *dbRaceDataSet;
        TformReportBehProgram *report_form;
        bool IsValidOnScreen();
public:		// User declarations
        __fastcall TformLaunchBehProgramReport(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchBehProgramReport *formLaunchBehProgramReport;
//---------------------------------------------------------------------------
#endif
