//---------------------------------------------------------------------------

#ifndef launchBehVisitReportsH
#define launchBehVisitReportsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <QuickRpt.hpp>
#include "reportBehTotalServices.h"
#include "reportBehVisitTypes.h"
#include "reportBehVisitLocations.h"
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformLaunchBehVisitReports : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnRun;
        TToolButton *btnClose;
        TLabel *lblBegin;
        TDateTimePicker *dateBegin;
        TDateTimePicker *dateEnd;
        TLabel *lblEndDate;
        TQRCompositeReport *compositeReport;
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnRunClick(TObject *Sender);
        void __fastcall compositeReportAddReports(TObject *Sender);
        void __fastcall compositeReportFinished(TObject *Sender);
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
private:	// User declarations
        TIBTransaction * dbTransaction;
        TIBDataSet * dbLocationsDataSet;
        TIBDataSet * dbTypesDataSet;
        TIBDataSet * dbTotalsDataSet;
        int times_run;
        TformReportBehTotalServices * totalsReport;
        TformReportBehVisitTypes * typesReport;
        TformReportBehVisitLocations * locationsReport;                        
public:		// User declarations
        __fastcall TformLaunchBehVisitReports(TComponent* Owner);
//        TformReportBehVisitLocations *locationsReport;
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchBehVisitReports *formLaunchBehVisitReports;
//---------------------------------------------------------------------------
#endif
