//---------------------------------------------------------------------------

#ifndef launchBudgetModsReportH
#define launchBudgetModsReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformLaunchBudgetModsReport : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *buttonRun;
        TToolButton *buttonClose;
        TGroupBox *groupArrangement;
        TRadioButton *radioArrangeByAccount;
        TRadioButton *radioArrangeByDate;
        TGroupBox *groupRanges;
        TLabel *_labelBeginDate;
        TLabel *_labelEndDate;
        TDateTimePicker *dateBeginDate;
        TDateTimePicker *dateEndDate;
        TListView *listAccountOrder;
        TBitBtn *buttonAccountUp;
        TBitBtn *buttonAccountReset;
        TBitBtn *buttonAccountDown;
        TBevel *bevelDates;
        void __fastcall buttonRunClick(TObject *Sender);
        void __fastcall buttonCloseClick(TObject *Sender);
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
        void __fastcall buttonAccountUpClick(TObject *Sender);
        void __fastcall buttonAccountResetClick(TObject *Sender);
        void __fastcall buttonAccountDownClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TformLaunchBudgetModsReport(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchBudgetModsReport *formLaunchBudgetModsReport;
//---------------------------------------------------------------------------
#endif
