//---------------------------------------------------------------------------

#ifndef launchCHSBillingWorkloadReportH
#define launchCHSBillingWorkloadReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "launchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeBaseDropDown.h"
#include "codeCheckListDropDown.h"
//---------------------------------------------------------------------------
class TformLaunchCHSBillingWorkloadReport : public TformLaunchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblBegin;
        TLabel *lblEndDate;
        TDateTimePicker *dateBegin;
        TDateTimePicker *dateEnd;
        TLabel *lblBillType;
        TCheckListDropDown *cbddBillTypes;
        TComboBox *cboAccount;
        TLabel *Label1;
        TToolButton *btnRunBatch;
        TToolButton *ToolButton1;
        void __fastcall btnRunBatchClick(TObject *Sender);
        void __fastcall cbddBillTypesDown(TObject *Sender);
private:	// User declarations
        TIBDataSet *dbDataset;
        string running_group_id;
protected:
        bool RunReport();
        bool BeforeRunReport();
        bool AfterRunReport();
        bool suppress_header;
        bool suppress_footer;
        bool running_batch;
public:		// User declarations
        __fastcall TformLaunchCHSBillingWorkloadReport(TComponent* Owner, const string &p_group_id);
        __fastcall ~TformLaunchCHSBillingWorkloadReport();
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchCHSBillingWorkloadReport *formLaunchCHSBillingWorkloadReport;
//---------------------------------------------------------------------------
#endif
