//---------------------------------------------------------------------------

#ifndef launchComPublicHealthReportH
#define launchComPublicHealthReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <QuickRpt.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformComPublicHealthReport : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TLabel *lblBegin;
        TDateTimePicker *dateBegin;
        TLabel *lblEndDate;
        TDateTimePicker *dateEnd;
        TToolButton *btnRun;
        TToolButton *btnClose;
        TQRCompositeReport *compositeReport;
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnRunClick(TObject *Sender);
        void __fastcall compositeReportAddReport(TObject *Sender);
        void __fastcall compositeReportFinished(TObject *Sender);
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
private:	// User declarations
        TIBTransaction * dbTransaction;
        TIBDataSet * dbVisitDataSet;
        TIBDataSet * dbTypesDataSet;
        TIBDataSet * dbTotalsDataSet;
public:		// User declarations
        __fastcall TformComPublicHealthReport(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformComPublicHealthReport *formComPublicHealthReport;
//---------------------------------------------------------------------------
#endif
