//---------------------------------------------------------------------------

#ifndef launchComServicesReportH
#define launchComServicesReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <QuickRpt.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformLaunchComServicesReport : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TLabel *lblBeginDate;
        TLabel *lblEndDate;
        TDateTimePicker *dateBegin;
        TDateTimePicker *dateEnd;
        TQRCompositeReport *compositeReport;
        TToolButton *btnRun;
        TToolButton *btnClose;
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnRunClick(TObject *Sender);
        void __fastcall compositeReportAddReport(TObject *Sender);
        void __fastcall compositeReportFinished(TObject *Sender);
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
private:	// User declarations
        TIBTransaction * dbTransaction;
        TIBDataSet * dbLocationsDataSet;
        TIBDataSet * dbTypesDataSet;
        TIBDataSet * dbTotalsDataSet;
        int times_run;
public:		// User declarations
        __fastcall TformLaunchComServicesReport(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchComServicesReport *formLaunchComServicesReport;
//---------------------------------------------------------------------------
#endif
