//---------------------------------------------------------------------------

#ifndef launchDentalAppointmentReportH
#define launchDentalAppointmentReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include "scheduling.h"
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformLaunchDentalApptReport : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnRun;
        TToolButton *btnClose;
        TLabel *lblForDate;
        TDateTimePicker *dateFor;
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnRunClick(TObject *Sender);
private:	// User declarations
        TIBTransaction * dbTransaction;
        PApptOccurrenceMap all_appointments;
        map<string, TColor> user_color_map;
        classScheduling * schedule_class;
        void DownloadUserColors();
        void DownloadAppointmentsFromDatabase();
public:		// User declarations
        __fastcall TformLaunchDentalApptReport(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchDentalApptReport *formLaunchDentalApptReport;
//---------------------------------------------------------------------------
#endif
