//---------------------------------------------------------------------------

#ifndef launchDentalBillingDataReportH
#define launchDentalBillingDataReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "launchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformLaunchDentalBillingDataReport : public TformLaunchGeneric
{
__published:	// IDE-managed Components
        TDateTimePicker *dateBegin;
        TDateTimePicker *dateEnd;
        TLabel *lblBeginDate;
        TLabel *lblEndDate;
        TRadioButton *radioAll;
        TRadioButton *radioInsured;
        TRadioButton *radioUninsured;
private:	// User declarations
        TIBDataSet *dbDataset;
        bool IsValidOnScreen();
        bool BeforeRunReport();
        bool RunReport();
        bool AfterRunReport();
public:		// User declarations
        __fastcall TformLaunchDentalBillingDataReport(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchDentalBillingDataReport *formLaunchDentalBillingDataReport;
//---------------------------------------------------------------------------
#endif
