//---------------------------------------------------------------------------

#ifndef launchDiabReminderLettersReportH
#define launchDiabReminderLettersReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
#include "Filter.h"
//---------------------------------------------------------------------------
class TformLaunchDiabReminderLettersReport : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnRun;
        TToolButton *btnClose;
        TLabel *lblBegin;
        TDateTimePicker *dateBegin;
        TDateTimePicker *dateEnd;
        TLabel *lblEndDate;
        TPopupMenu *popupGroups;
        TMenuItem *menuSelectGroups;
        TCheckBox *checkTasks;
        TGroupBox *groupSelectAppts;
        TListView *listUsers;
        TComboBox *cboDepartment;
        TRadioButton *radioByEmployee;
        TRadioButton *radioByDept;
        TButton *buttonModeChange;
        TButton *buttonClear;
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall menuSelectGroupsClick(TObject *Sender);
        void __fastcall btnRunClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall cboDepartmentChange(TObject *Sender);
        void __fastcall buttonModeChangeClick(TObject *Sender);
        void __fastcall buttonClearClick(TObject *Sender);
private:	// User declarations
        classFilterObject user_filter;
        void FillListView();
        vector<string> GetCheckedUsers();
public:		// User declarations
        __fastcall TformLaunchDiabReminderLettersReport(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchDiabReminderLettersReport *formLaunchDiabReminderLettersReport;
//---------------------------------------------------------------------------
#endif
