//---------------------------------------------------------------------------

#ifndef launchEnrollmentH
#define launchEnrollmentH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "launchGeneric.h"
#include "codeFrameCheckListDropDown.h"
//---------------------------------------------------------------------------
class TformLaunchEnrollmentReport : public TformLaunchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblType;
        TComboBox *cboType;
        TLabel *lblStatus;
        TframeCheckListDropDown *cbddStatus;
        TGroupBox *groupDate;
        TRadioButton *radioAll;
        TRadioButton *radioAdmitted;
        TRadioButton *radioRemitted;
        TRadioButton *radioOverlap;
        TRadioButton *radioContains;
        TGroupBox *groupSort;
        TRadioButton *radioPerson;
        TRadioButton *radioStatus;
        TRadioButton *radioEnrolled;
        TRadioButton *radioUnenrolled;
        TRadioButton *radioEnrollmentNumber;
        TRadioButton *radioPCP;
        TLabel *lblJoinDate;
        TLabel *lblRelDate;
        TEdit *editAdmit;
        TEdit *editRemit;
        void __fastcall cboTypeChange(TObject *Sender);
protected:
        bool virtual IsValidOnScreen();
        bool virtual BeforeRunReport();
        bool virtual RunReport();
        bool virtual AfterRunReport();
private:	// User declarations
        TIBDataSet * dbDataSet;
public:		// User declarations
        __fastcall TformLaunchEnrollmentReport(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchEnrollmentReport *formLaunchEnrollmentReport;
//---------------------------------------------------------------------------
#endif
