//---------------------------------------------------------------------------

#ifndef launchEventListingReportH
#define launchEventListingReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include "codeRubberContainer.h"
#include <ExtCtrls.hpp>
#include "codeBaseDropDown.h"
#include "codeCheckListDropDown.h"
//---------------------------------------------------------------------------
class TformLaunchEventListingReport : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnRun;
        TToolButton *btnClose;
        TLabel *lblForEvents;
        TRubberContainer *rubberEvents;
        TListView *listEvents;
        TLabel *lblBegin;
        TDateTimePicker *dateBegin;
        TLabel *lblEndDate;
        TDateTimePicker *dateEnd;
        TLabel *lblGroups;
        TCheckListDropDown *cbddGroups;
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnRunClick(TObject *Sender);
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
private:	// User declarations
        classFilterObject event_filter;
public:		// User declarations
        __fastcall TformLaunchEventListingReport(TComponent* Owner, string group_id = "");
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchEventListingReport *formLaunchEventListingReport;
//---------------------------------------------------------------------------
#endif
