//---------------------------------------------------------------------------

#ifndef launchFormLetterH
#define launchFormLetterH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "launchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TformLaunchFormLetter : public TformLaunchGeneric
{
__published:	// IDE-managed Components
        TDateTimePicker *dateLetter;
        TLabel *lblDate;
        TLabel *lblPerson;
        TStaticText *txtPerson;
        TBitBtn *btnPersonSearch;
        TComboBox *cboLetterType;
        TLabel *lblLetterType;
        void __fastcall btnPersonSearchClick(TObject *Sender);
private:	// User declarations
        bool IsValidOnScreen();
        bool RunReport();
        bool BeforeRunReport();

        TIBDataSet *dbLetterItemsSet;
        pmapstrs    variables;        // composite set of variables.
        pmapstrs    passed_variables; // variables passed in from where this form was invoked

public:		// User declarations
        __fastcall TformLaunchFormLetter(TComponent* Owner, string person_id, pmapstrs *pvariables = NULL);
        __fastcall ~TformLaunchFormLetter();
        string DoVariableSubstitutions(const string &input);
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchFormLetter *formLaunchFormLetter;
//---------------------------------------------------------------------------
#endif
