//---------------------------------------------------------------------------

#ifndef launchObligatedAndExpensedReportsH
#define launchObligatedAndExpensedReportsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "launchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeFrameCheckListDropDown.h"
//---------------------------------------------------------------------------
enum obpd_rep_type { by_service, by_provider_service, by_service_area, by_account };

class TformLaunchObligatedAndExpensedReports : public TformLaunchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblServices;
        TGroupBox *groupCriteria;
        TLabel *lblBeginDate;
        TLabel *lblEndDate;
        TLabel *lblServicesHeading;
        TDateTimePicker *dateBegin;
        TDateTimePicker *dateEnd;
        TListView *listServices;
        TGroupBox *groupWhat;
        TLabel *lblRunLike;
        TCheckBox *checkByProviderService;
        TCheckBox *checkByService;
        TCheckBox *checkByAccount;
        TGroupBox *groupHow;
        TRadioButton *radioSummary;
        TRadioButton *radioDetail;
        TLabel *lblSummary;
        TLabel *lblDetail;
        TCheckBox *checkByServiceArea;
        TframeCheckListDropDown *cbddServiceArea;
        TLabel *lblServiceAreaHeading;
        TGroupBox *groupPeople;
        TRadioButton *radioAllPeople;
        TRadioButton *radioCatchment;
        TComboBox *cboCatchment;
        TLabel *lblCatchment;
        TRadioButton *radioState;
        TComboBox *cboState;
        TLabel *lblState;
private:	// User declarations
        TIBDataSet *dbDataset;
        classFilterObject services_filter;
        void RunReport(obpd_rep_type how_to_run);
        vector<string> service_ids;
        vector<string> service_area_ids;
protected:
        bool RunReport();
        bool BeforeRunReport();
        bool AfterRunReport();
public:		// User declarations
        __fastcall TformLaunchObligatedAndExpensedReports(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchObligatedAndExpensedReports *formLaunchObligatedAndExpensedReports;
//---------------------------------------------------------------------------
#endif
