inherited formLaunchPendingAccountsReport: TformLaunchPendingAccountsReport
  Left = 264
  Top = 198
  Width = 705
  Height = 500
  Caption = 'Pending Accounts Aging Report'
  Constraints.MaxHeight = 0
  Constraints.MaxWidth = 0
  Constraints.MinHeight = 500
  Constraints.MinWidth = 705
  OldCreateOrder = True
  PixelsPerInch = 96
  TextHeight = 13
  inherited toolsStandard: TToolBar
    Top = 448
    Width = 697
    ButtonHeight = 21
    ButtonWidth = 33
    object buttonRun: TToolButton
      Left = 8
      Top = 0
      Cursor = crHandPoint
      AutoSize = True
      Caption = 'Run'
      ImageIndex = 0
      OnClick = buttonRunClick
    end
    object buttonClose: TToolButton
      Left = 39
      Top = 0
      Cursor = crHandPoint
      AutoSize = True
      Caption = 'Close'
      ImageIndex = 1
      OnClick = buttonCloseClick
    end
  end
  inherited scrollStandard: TScrollBox
    Width = 697
    Height = 448
    object groupType: TGroupBox
      Left = 8
      Top = 8
      Width = 337
      Height = 433
      Anchors = [akLeft, akTop, akRight, akBottom]
      Caption = 'Date-period-categorized account information ("items")'
      TabOrder = 0
      object _labelAccountType: TLabel
        Left = 16
        Top = 16
        Width = 63
        Height = 13
        Caption = 'Account type'
      end
      object comboAccountType: TComboBox
        Left = 96
        Top = 16
        Width = 145
        Height = 21
        Anchors = [akLeft, akTop, akRight]
        ItemHeight = 13
        TabOrder = 0
      end
      object groupSources: TGroupBox
        Left = 8
        Top = 184
        Width = 321
        Height = 241
        Anchors = [akLeft, akTop, akRight, akBottom]
        Caption = 'Data sources (what to itemize, duplicated items will be ignored)'
        TabOrder = 2
        object _labelParent: TLabel
          Left = 8
          Top = 96
          Width = 76
          Height = 13
          Anchors = [akLeft, akBottom]
          Caption = 'Transactions on'
        end
        object groupBills: TGroupBox
          Left = 8
          Top = 120
          Width = 225
          Height = 113
          Anchors = [akLeft, akRight, akBottom]
          Caption = 'which are ...'
          TabOrder = 4
          object checkBillsVisits: TCheckBox
            Left = 8
            Top = 16
            Width = 177
            Height = 17
            AllowGrayed = True
            Caption = 'on a visit'
            State = cbGrayed
            TabOrder = 0
          end
          object checkBillsCoords: TCheckBox
            Left = 24
            Top = 40
            Width = 161
            Height = 17
            AllowGrayed = True
            Caption = 'on a coordination of benefits'
            State = cbGrayed
            TabOrder = 1
          end
          object checkBillsPurchaseReqs: TCheckBox
            Left = 8
            Top = 64
            Width = 177
            Height = 17
            AllowGrayed = True
            Caption = 'on a purchase request'
            State = cbGrayed
            TabOrder = 2
          end
          object checkBillsChecks: TCheckBox
            Left = 24
            Top = 88
            Width = 161
            Height = 17
            AllowGrayed = True
            Caption = 'on a check'
            State = cbGrayed
            TabOrder = 3
          end
        end
        object groupVisits: TGroupBox
          Left = 8
          Top = 120
          Width = 225
          Height = 113
          Anchors = [akLeft, akRight, akBottom]
          Caption = 'which are ...'
          TabOrder = 3
          object checkVisitsCoords: TCheckBox
            Left = 8
            Top = 16
            Width = 177
            Height = 17
            AllowGrayed = True
            Caption = 'on a coordination of benefits'
            State = cbGrayed
            TabOrder = 0
          end
          object checkVisitsBills: TCheckBox
            Left = 8
            Top = 40
            Width = 177
            Height = 17
            AllowGrayed = True
            Caption = 'with bills'
            State = cbGrayed
            TabOrder = 1
          end
          object checkVisitsPurchaseReqs: TCheckBox
            Left = 24
            Top = 64
            Width = 161
            Height = 17
            AllowGrayed = True
            BiDiMode = bdRightToLeftNoAlign
            Caption = 'on a purchase request'
            ParentBiDiMode = False
            State = cbGrayed
            TabOrder = 2
          end
          object checkVisitsChecks: TCheckBox
            Left = 40
            Top = 88
            Width = 145
            Height = 17
            AllowGrayed = True
            Caption = 'on a check'
            State = cbGrayed
            TabOrder = 3
          end
        end
        object groupNone: TGroupBox
          Left = 8
          Top = 120
          Width = 225
          Height = 113
          Anchors = [akLeft, akRight, akBottom]
          Caption = 'which are ...'
          TabOrder = 1
        end
        object listSources: TListView
          Left = 8
          Top = 16
          Width = 225
          Height = 73
          Anchors = [akLeft, akTop, akRight, akBottom]
          Columns = <>
          TabOrder = 6
        end
        object buttonSourcesAdd: TButton
          Left = 240
          Top = 16
          Width = 73
          Height = 21
          Cursor = crHandPoint
          Anchors = [akTop, akRight]
          Caption = '&Add'
          TabOrder = 7
          OnClick = buttonSourcesAddClick
        end
        object buttonSourcesRemove: TButton
          Left = 240
          Top = 40
          Width = 73
          Height = 21
          Cursor = crHandPoint
          Anchors = [akTop, akRight]
          Caption = '&Remove'
          TabOrder = 8
          OnClick = buttonSourcesRemoveClick
        end
        object buttonSourcesClear: TButton
          Left = 240
          Top = 64
          Width = 73
          Height = 21
          Cursor = crHandPoint
          Anchors = [akTop, akRight]
          Caption = '&Clear'
          TabOrder = 9
          OnClick = buttonSourcesClearClick
        end
        object buttonSourcesSave: TButton
          Left = 240
          Top = 208
          Width = 73
          Height = 21
          Cursor = crHandPoint
          Anchors = [akRight, akBottom]
          Caption = '&Save'
          TabOrder = 5
          OnClick = buttonSourcesSaveClick
        end
        object comboParent: TComboBox
          Left = 88
          Top = 96
          Width = 145
          Height = 21
          Style = csDropDownList
          Anchors = [akLeft, akRight, akBottom]
          ItemHeight = 13
          TabOrder = 0
          OnChange = comboParentChange
          Items.Strings = (
            'coord. of benefits'
            'visits'
            'bills')
        end
        object groupCoords: TGroupBox
          Left = 8
          Top = 120
          Width = 225
          Height = 113
          Anchors = [akLeft, akRight, akBottom]
          Caption = 'which are ...'
          TabOrder = 2
          object checkCoordsVisits: TCheckBox
            Left = 8
            Top = 16
            Width = 177
            Height = 17
            AllowGrayed = True
            Caption = 'with visits'
            State = cbGrayed
            TabOrder = 0
          end
          object checkCoordsBills: TCheckBox
            Left = 24
            Top = 40
            Width = 161
            Height = 17
            AllowGrayed = True
            Caption = 'with bills'
            State = cbGrayed
            TabOrder = 1
          end
          object checkCoordsPurchaseReqs: TCheckBox
            Left = 40
            Top = 64
            Width = 145
            Height = 17
            AllowGrayed = True
            Caption = 'on a purchase request'
            State = cbGrayed
            TabOrder = 2
          end
          object checkCoordsChecks: TCheckBox
            Left = 56
            Top = 88
            Width = 129
            Height = 17
            AllowGrayed = True
            Caption = 'on a check'
            State = cbGrayed
            TabOrder = 3
          end
        end
      end
      object groupDays: TGroupBox
        Left = 8
        Top = 40
        Width = 321
        Height = 137
        Anchors = [akLeft, akTop, akRight]
        Caption = 'Columns of date periods to show'
        TabOrder = 1
        object _labelDay: TLabel
          Left = 8
          Top = 104
          Width = 117
          Height = 13
          Anchors = [akLeft, akBottom]
          Caption = 'Separate columns at day'
        end
        object listDays: TListView
          Left = 8
          Top = 16
          Width = 225
          Height = 81
          Anchors = [akLeft, akTop, akRight, akBottom]
          Columns = <>
          TabOrder = 2
        end
        object buttonDaysAdd: TButton
          Left = 240
          Top = 16
          Width = 73
          Height = 21
          Cursor = crHandPoint
          Anchors = [akTop, akRight]
          Caption = '&Add'
          TabOrder = 3
          OnClick = buttonDaysAddClick
        end
        object buttonDaysRemove: TButton
          Left = 240
          Top = 40
          Width = 73
          Height = 21
          Cursor = crHandPoint
          Anchors = [akTop, akRight]
          Caption = '&Remove'
          TabOrder = 4
          OnClick = buttonDaysRemoveClick
        end
        object buttonDaysClear: TButton
          Left = 240
          Top = 64
          Width = 73
          Height = 21
          Cursor = crHandPoint
          Anchors = [akTop, akRight]
          Caption = '&Clear'
          TabOrder = 5
          OnClick = buttonDaysClearClick
        end
        object buttonDaysSave: TButton
          Left = 240
          Top = 104
          Width = 73
          Height = 21
          Cursor = crHandPoint
          Anchors = [akRight, akBottom]
          Caption = '&Save'
          TabOrder = 1
          OnClick = buttonDaysSaveClick
        end
        object editDayNumber: TEdit
          Left = 184
          Top = 104
          Width = 49
          Height = 21
          Anchors = [akRight, akBottom]
          TabOrder = 0
          Text = '30'
        end
      end
    end
    object groupMisc: TGroupBox
      Left = 352
      Top = 8
      Width = 337
      Height = 433
      Anchors = [akTop, akRight, akBottom]
      Caption = 'Additional columns, totals, and options'
      TabOrder = 1
      object _labelAccountTypeTotals: TLabel
        Left = 8
        Top = 64
        Width = 315
        Height = 13
        Caption = 
          'Show absolute totals of the following account types for each ent' +
          'ity:'
      end
      object checkShowItems: TCheckBox
        Left = 8
        Top = 16
        Width = 321
        Height = 17
        Caption = 'Show a detailed list of items for each entity'
        Checked = True
        State = cbChecked
        TabOrder = 0
      end
      object checkShowItemTotal: TCheckBox
        Left = 8
        Top = 40
        Width = 321
        Height = 17
        Caption = 'Show a total of the item values for each entity'
        Checked = True
        State = cbChecked
        TabOrder = 1
      end
      object radioShowByItems: TRadioButton
        Left = 8
        Top = 336
        Width = 321
        Height = 17
        Anchors = [akLeft, akBottom]
        Caption = 'Show entities only if they have items'
        Checked = True
        TabOrder = 3
        TabStop = True
      end
      object radioShowByTotals: TRadioButton
        Left = 8
        Top = 360
        Width = 321
        Height = 17
        Anchors = [akLeft, akBottom]
        Caption = 
          'Show entities only if they have at least one non-zero total valu' +
          'e'
        TabOrder = 4
      end
      object radioShowByEither: TRadioButton
        Left = 8
        Top = 384
        Width = 321
        Height = 17
        Anchors = [akLeft, akBottom]
        Caption = 'Show entities if they have either items or non-zero totals'
        TabOrder = 5
      end
      object listAccountTypes: TListView
        Left = 8
        Top = 80
        Width = 321
        Height = 249
        Anchors = [akLeft, akTop, akBottom]
        Columns = <>
        TabOrder = 2
      end
      object radioShowByBoth: TRadioButton
        Left = 8
        Top = 408
        Width = 321
        Height = 17
        Anchors = [akLeft, akBottom]
        Caption = 'Show entities if they have both items and non-zero totals'
        TabOrder = 6
      end
    end
  end
end
