//---------------------------------------------------------------------------

#ifndef launchPrintCobReportH
#define launchPrintCobReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <QuickRpt.hpp>
#include "reportPrintCob.h"
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformLaunchPrintCobReport : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnRun;
        TToolButton *btnClose;
        TLabel *lblCob;
        TStaticText *txtCob;
        TQRCompositeReport *compositeReport;
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnRunClick(TObject *Sender);
        void __fastcall compositeReportAddReports(TObject *Sender);
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
private:	// User declarations
        TformReportPrintCob * report_form;
        TIBDataSet * dbApptDataSet;
        TIBDataSet * dbTransDataSet;
        TIBDataSet * dbReferralDataSet;
        TIBDataSet * dbInsuranceDataSet;
        TIBDataSet * dbLetterDataSet; // jhaley 20111007: data set for letter
        TIBTransaction * dbTransaction;
        string id;
public:		// User declarations
        void static Do(string p_id, TformSpecialGeneric * parent_form);
        void static DoSilently(string p_id);
        __fastcall TformLaunchPrintCobReport(TComponent* Owner, string p_id);

        string DoVariableSubstitutions(const string &input, const pmapstrs &variables);
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchPrintCobReport *formLaunchPrintCobReport;
//---------------------------------------------------------------------------
#endif
