//---------------------------------------------------------------------------

#ifndef launchTaskDemoReportH
#define launchTaskDemoReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "launchGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include "codeBaseDropDown.h"
#include "codeCheckListDropDown.h"
//---------------------------------------------------------------------------
class TformLaunchTaskDemoReport : public TformLaunchGeneric
{
__published:	// IDE-managed Components
        TLabel *lblDepartment;
        TComboBox *cboDepartment;
        TLabel *lblBeginDate;
        TDateTimePicker *dateBegin;
        TLabel *lblEndDate;
        TDateTimePicker *dateEnd;
        TRadioGroup *radioGroupAffiliations;
        TCheckBox *checkEnrollment;
        TLabel *lblEnrollment;
        TCheckListDropDown *cbddEnrollment;
        TLabel *lblAgeGroups;
        TComboBox *cboAgeGroups;
        TRadioButton *radioHaving;
        TRadioButton *radioNotHaving;
        TCheckBox *checkVisitsOnly;
        void __fastcall cbddEnrollmentDown(TObject *Sender);
private:	// User declarations
        TIBDataSet *dbDataset;
        bool IsValidOnScreen();
        bool BeforeRunReport();
        bool RunReport();
        bool AfterRunReport();
public:		// User declarations
        __fastcall TformLaunchTaskDemoReport(TComponent* Owner);
        __fastcall virtual ~TformLaunchTaskDemoReport();
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchTaskDemoReport *formLaunchTaskDemoReport;
//---------------------------------------------------------------------------
#endif
