//---------------------------------------------------------------------------

#ifndef launchYearlyPharmacyReportH
#define launchYearlyPharmacyReportH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <QuickRpt.hpp>
#include "reportYearlyPharmacy.h"
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
struct month_struct
{
  string month_name;
  financial amount_billed;
};

class TformLaunchYearlyPharmacyReport : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TToolButton *btnRun;
        TToolButton *btnClose;
        TLabel *Label1;
        TQRCompositeReport *compositeReport;
        TUpDown *upDownYear;
        TEdit *editYear;
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall btnRunClick(TObject *Sender);
        void __fastcall compositeReportAddReports(TObject *Sender);
        void __fastcall FormShortCut(TWMKey &Msg, bool &Handled);
private:	// User declarations
        TformReportYearlyPharmacy * report_form;
        TIBDataSet * dbWalShawneeDataSet;
        TIBDataSet * dbWalOtherDataSet;
        TIBDataSet * dbEckShawneeDataSet;
        TIBDataSet * dbEckOtherDataSet;
        TIBDataSet * dbAllWalDataSet;
        TIBDataSet * dbAllEckDataSet;
        TIBTransaction * dbTransaction;
public:		// User declarations
        __fastcall TformLaunchYearlyPharmacyReport(TComponent* Owner);
        void DrawGraph(TQRImage *image, TIBDataSet* dbDataSet, string pharmacy);
};
//---------------------------------------------------------------------------
extern PACKAGE TformLaunchYearlyPharmacyReport *formLaunchYearlyPharmacyReport;
//---------------------------------------------------------------------------
#endif
