//---------------------------------------------------------------------------

#ifndef reportAmountsByProviderServiceH
#define reportAmountsByProviderServiceH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <ToolWin.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportAmountsByProviderService : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *report;
        TQRBand *bandColumnHeader;
        TQRBand *bandDetail;
        TQRBand *bandPageFooter;
        TQRBand *bandPageHeader;
        TQRBand *bandSummary;
        TQRBand *bandTitle;
        TQRSysData *sysDateTime;
        TQRSysData *sysPage;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRLabel *QRLabel2;
        TQRLabel *QRLabel10;
        TQRGroup *bandGroup;
        TQRDBText *txtService;
        TQRLabel *QRLabel11;
        TQRLabel *QRLabel12;
        TQRLabel *QRLabel13;
        TQRDBText *txtProvider;
        TQRLabel *QRLabel14;
        TQRDBText *txtVisits;
        TQRDBText *txtMembers;
        TQRExpr *exprPaid;
        TQRExpr *exprAvgPerVisit;
        TQRExpr *exprAvgPerMember;
        TQRLabel *lblUser;
        TQRExpr *exprTotalVisits;
        TQRExpr *exprTotalMembers;
        TQRExpr *exprTotalPaid;
        TQRExpr *exprTotalAvgPerVisit;
        TQRExpr *exprTotalAvgPerMember;
        TQRShape *shapeHorLine;
        TQRBand *bandGroupFooter;
        TQRLabel *lblTotalVisits;
        TQRLabel *lblTotals;
        TQRShape *shapeHorLine2;
        TQRLabel *lblTotalMembers;
        TQRLabel *lblTotalPaid;
        TQRLabel *lblAvgPerVisit;
        TQRLabel *lblAvgPerMember;
        TQRShape *shapeHorLine3;
        void __fastcall bandGroupAfterPrint(TQRCustomBand *Sender,
          bool BandPrinted);
        void __fastcall txtVisitsPrint(TObject *sender, AnsiString &Value);
        void __fastcall bandGroupFooterBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall txtMembersPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall exprPaidPrint(TObject *sender, AnsiString &Value);
        void __fastcall reportAfterPrint(TObject *Sender);
private:	// User declarations
        int current_total_visits;
        int current_total_members;
        financial current_total_paid;
public:		// User declarations
        __fastcall TformReportAmountsByProviderService(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportAmountsByProviderService *formReportAmountsByProviderService;
//---------------------------------------------------------------------------
#endif
