//---------------------------------------------------------------------------

#ifndef reportApptOutcomeDetailsH
#define reportApptOutcomeDetailsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportApptOutcomeDetails : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *reportDetails;
        TQRBand *bandColumnHeader;
        TQRBand *bandDetail;
        TQRBand *bandPageFooter;
        TQRBand *bandPageHeader;
        TQRBand *bandSummary;
        TQRBand *bandTitle;
        TQRLabel *lblTitle;
        TQRLabel *lblTitleDept;
        TQRLabel *lblDateRange;
        TQRLabel *lblUpdates;
        TQRSysData *sysDateTime;
        TQRSysData *sysPageNo;
        TQRLabel *lblUser;
        TQRLabel *lblUpdateCount;
        TQRLabel *lblColOutcome;
        TQRLabel *lblColInsured;
        TQRLabel *lblColUnInsured;
        TQRLabel *lblColAST;
        TQRLabel *lblColNonAST;
        TQRLabel *lblColMedical;
        TQRLabel *lblColObGyn;
        TQRLabel *lblColPodiatry;
        TQRLabel *lblColEndocrinology;
        TQRLabel *lblColASTDiab;
        TQRLabel *lblColNonASTDiab;
        TQRLabel *lblTotals;
        TQRDBText *txtOutcome;
        TQRDBText *txtInsured;
        TQRDBText *txtUninsured;
        TQRDBText *txtAST;
        TQRDBText *txtNonAST;
        TQRDBText *txtMedical;
        TQRDBText *txtObGyn;
        TQRDBText *txtPodiatry;
        TQRDBText *txtEndo;
        TQRDBText *txtASTDiab;
        TQRDBText *txtNonASTDiab;
        TQRShape *QRShape1;
        TQRExpr *exprTotalInsured;
        TQRExpr *exprTotalUninsured;
        TQRExpr *exprTotalAST;
        TQRExpr *exprTotalNonAST;
        TQRExpr *exprTotalMedical;
        TQRExpr *exprTotalObGyn;
        TQRExpr *exprTotalPodiatry;
        TQRExpr *exprTotalEndo;
        TQRExpr *exprTotalASTDiab;
        TQRExpr *exprTotalNonASTDiab;
        TQRShape *QRShape2;
        TQRShape *QRShape3;
        TQRShape *QRShape4;
        TQRShape *QRShape5;
        TQRShape *QRShape6;
        TQRShape *QRShape7;
        void __fastcall reportDetailsAfterPreview(TObject *Sender);
        void __fastcall txtOutcomePrint(TObject *sender,
          AnsiString &Value);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportApptOutcomeDetails(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportApptOutcomeDetails *formReportApptOutcomeDetails;
//---------------------------------------------------------------------------
#endif
