//---------------------------------------------------------------------------

#ifndef reportAssessmentH
#define reportAssessmentH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <QRCtrls.hpp>
#include <QuickRpt.hpp>
//---------------------------------------------------------------------------
class TformReportAssessment : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TPageControl *pageReports;
        TTabSheet *tabAllergies;
        TScrollBox *scrollAllergies;
        TQuickRep *reportAllergies;
        TQRBand *bandHeaderAllergies;
        TQRBand *bandDetailAllergies;
        TQRLabel *lblAllergiesHeader;
        TQRLabel *lblAllergyCondType;
        TQRLabel *lblAllergyType;
        TQRLabel *lblAllergyStart;
        TQRLabel *lblAllergyComments;
        TQRDBText *txtAllergyCondType;
        TQRDBText *txtAllergyType;
        TQRDBText *txtAllergyDate;
        TQRDBText *txtAllergyComments;
        TQRShape *QRShape2;
        TTabSheet *sheetCardio;
        TScrollBox *scrollCardio;
        TQuickRep *reportCardio;
        TQRBand *bandHeaderCardio;
        TQRBand *bandDetailCardio;
        TQRLabel *lblCardioHeader;
        TQRShape *QRShape1;
        TQRLabel *lblCardioNPI;
        TQRDBText *txtCardioNPICheck;
        TQRDBText *txtCardioPacemaker;
        TQRLabel *lblCardioPacemaker;
        TQRDBText *txtCardioTele;
        TQRLabel *lblCardioTele;
        TQRDBText *txtCardioAICD;
        TQRLabel *lblCardioAICD;
        TQRLabel *lblCardioBPM;
        TQRLabel *lblCardioRhythm;
        TQRLabel *lblCardioCapRefill;
        TQRDBText *txtCardioEdema;
        TQRLabel *lblCardioEdema;
        TQRDBText *txtCardioBPM;
        TQRDBText *txtCardioRhythm;
        TQRDBText *txtCardioCapRefill;
        TQRLabel *lblCardioEdemaType;
        TQRLabel *lblCardioLocation;
        TQRDBText *txtCardioEdemaType;
        TQRDBText *txtCardioLocation;
        TQRLabel *lblCardioComments;
        TQRDBText *txtCardioComments;
        TQRChildBand *bandCardioChild;
        TQRLabel *lblCardioExtPulses;
        TQRLabel *lblCardioStrong;
        TQRLabel *lblCardioFaint;
        TQRLabel *lblCardioAbsent;
        TQRLabel *lblCardioExtCold;
        TQRLabel *lblCardioExtDiscol;
        TQRLabel *lblCardioUpR;
        TQRLabel *lblCardioDnR;
        TQRLabel *lblCardioUpL;
        TQRLabel *lblCardioDnL;
        TQRDBText *txtURStrong;
        TQRDBText *txtURFaint;
        TQRDBText *txtURAbsent;
        TQRDBText *txtURCold;
        TQRDBText *txtURDiscol;
        TQRDBText *txtLRStrong;
        TQRDBText *txtLRFaint;
        TQRDBText *txtLRAbsent;
        TQRDBText *txtLRCold;
        TQRDBText *txtLRDiscol;
        TQRDBText *txtULStrong;
        TQRDBText *txtULFaint;
        TQRDBText *txtULAbsent;
        TQRDBText *txtULCold;
        TQRDBText *txtULDiscol;
        TQRDBText *txtLLStrong;
        TQRDBText *txtLLFaint;
        TQRDBText *txtLLAbsent;
        TQRDBText *txtLLCold;
        TQRDBText *txtLLDiscol;
        TTabSheet *sheetVitals;
        TScrollBox *scrollVitals;
        TQuickRep *reportVitals;
        TQRBand *bandVitalsHeader;
        TQRBand *bandVitalsDetail;
        TQRLabel *lblVitalsHeader;
        TQRLabel *lblVitalsObservation;
        TQRLabel *lblVitalsData;
        TQRLabel *lblVitalsUnits;
        TQRLabel *lblVitalsDate;
        TQRDBText *txtVitalsObservation;
        TQRShape *QRShape3;
        TQRDBText *txtVitalsData;
        TQRDBText *txtVitalsUnits;
        TQRDBText *txtVitalsDate;
        TTabSheet *tabVisit;
        TScrollBox *scrollVisit;
        TQuickRep *reportVisit;
        TQRBand *bandVisitPageHeader;
        TQRBand *bandVisitTitle;
        TQRSysData *sysDateTime;
        TQRLabel *lblVisitTitle;
        TQRLabel *lblVisitUser;
        TQRLabel *lblVisitStaffName;
        TQRLabel *lblVisitClientName;
        TQRLabel *lblVisitType;
        TQRLabel *lblVisitOutcome;
        TQRLabel *lblVisitDate;
        TQRLabel *lblVisitTime;
        TQRLabel *lblVisitTotTime;
        TQRLabel *lblVisitTimePat;
        TQRLabel *lblVStaffName;
        TQRLabel *lblVPatientName;
        TQRLabel *lblVVisitType;
        TQRLabel *lblVVisitOutcome;
        TQRLabel *lblVDate;
        TQRLabel *lblVTime;
        TQRLabel *lblVTotTime;
        TQRLabel *lblVPatTime;
        TQRLabel *lblVisitBar;
        TTabSheet *sheetMeds;
        TScrollBox *scrollMeds;
        TQuickRep *reportMeds;
        TQRBand *bandMedsTitle;
        TQRBand *bandMedsDetail;
        TQRLabel *lblMedsTitle;
        TQRShape *QRShape4;
        TQRLabel *lblMedsName;
        TQRLabel *lblMedsType;
        TQRLabel *lblMedsDosage;
        TQRLabel *lblMedsDateOrd;
        TQRLabel *lblMedsStatus;
        TQRLabel *lblMedsFreq;
        TQRLabel *lblMedsRxNo;
        TQRLabel *lblMedsDateDisc;
        TQRLabel *lblMedsPurpose;
        TQRLabel *lblMedsNotes;
        TQRDBText *txtMedName;
        TQRDBText *txtMedType;
        TQRDBText *txtMedDose;
        TQRDBText *txtMedDateO;
        TQRDBText *txtMedStatus;
        TQRDBText *txtMedNotes;
        TQRDBText *txtMedFreq;
        TQRDBText *txtMedRx;
        TQRDBText *txtMedDateD;
        TQRDBText *txtMedPurpose;
        TTabSheet *sheetSkin;
        TScrollBox *scrollSkin;
        TQuickRep *reportSkin;
        TQRBand *bandSkinTitle;
        TQRBand *bandSkinDetail;
        TQRLabel *lblSkinTitle;
        TQRLabel *lblSkinCapQual;
        TQRLabel *lblSkinDesc;
        TQRDBText *txtSkinQual;
        TQRShape *QRShape5;
        TQRDBText *txtSkinDesc;
        TQRLabel *lblSkinValType;
        TQRDBText *txtSkinValType;
        TTabSheet *sheetWound;
        TScrollBox *scrollWound;
        TQuickRep *reportWound;
        TQRBand *bandWoundTitle;
        TQRBand *bandWoundDetail;
        TQRLabel *lblWoundTitle;
        TQRLabel *lblWoundLength;
        TQRShape *QRShape6;
        TQRLabel *lblWoundWidth;
        TQRLabel *lblWoundDepth;
        TQRLabel *lblTunUndPos;
        TQRLabel *lblWoundMaxDist;
        TQRLabel *lblWoundMinDist;
        TQRLabel *lblWoundPain;
        TQRLabel *lblWoundSinTrPos;
        TQRLabel *lblWoundExAmt;
        TQRLabel *lblWoundOdor;
        TQRLabel *lblWoundExType;
        TQRLabel *lblWoundMargins;
        TQRLabel *lblWoundPeriTemp;
        TQRLabel *lblWoundColPres;
        TQRLabel *lblWoundPeriSkinTex;
        TQRLabel *lblWoundBase;
        TQRLabel *lblWoundSloughPct;
        TQRLabel *lblWoundGran;
        TQRLabel *lblWoundEscharPct;
        TQRLabel *lblWoundGranCol;
        TQRLabel *lblWoundCleans;
        TQRLabel *lblWoundDress;
        TQRLabel *lblWoundLocation;
        TQRLabel *lblWoundComments;
        TQRDBText *txtWoundLen;
        TQRDBText *txtWoundWidth;
        TQRDBText *txtWoundDepth;
        TQRDBText *txtWoundTUP;
        TQRDBText *txtWoundMaxD;
        TQRDBText *txtWoundMinD;
        TQRDBText *txtWoundPain;
        TQRDBText *txtWoundSTP;
        TQRDBText *txtWoundExAmt;
        TQRDBText *txtWoundOdor;
        TQRDBText *txtWoundExType;
        TQRDBText *txtWoundMargin;
        TQRDBText *txtWoundPSTmp;
        TQRDBText *txtWoundPSTex;
        TQRDBText *txtWoundColors;
        TQRDBText *txtWoundBase;
        TQRDBText *txtWoundSlough;
        TQRDBText *txtWoundEschar;
        TQRDBText *txtWoundGran;
        TQRDBText *txtWoundGCol;
        TQRDBText *txtWoundCAU;
        TQRDBText *txtWoundDSU;
        TQRDBText *txtWoundLoc;
        TQRDBText *txtWoundComment;
        TTabSheet *sheetNeuro;
        TScrollBox *scrollNeuro;
        TQuickRep *reportNeuro;
        TQRBand *bandNeuroTitle;
        TQRBand *bandNeuroDetail;
        TQRLabel *lblNeuroTitle;
        TQRShape *QRShape7;
        TQRLabel *lblNeuroItem;
        TQRLabel *lblNeuroCategory;
        TQRLabel *lblNeuroDetails;
        TQRDBText *txtNeuroItem;
        TQRDBText *txtNeuroCat;
        TQRDBText *txtNeuroDetail;
        TTabSheet *sheetGastro;
        TScrollBox *scrollGastro;
        TQuickRep *reportGastro;
        TQRBand *bandGastroTitle;
        TQRBand *bandGastroDetail;
        TQRLabel *lblGastroTitle;
        TQRLabel *lblGastroItem;
        TQRLabel *lblGastroDetail;
        TQRDBText *txtGastroItem;
        TQRDBText *txtGastroDetail;
        TQRShape *QRShape8;
        TTabSheet *sheetGenuri;
        TScrollBox *scrollGenuri;
        TQuickRep *reportGenuri;
        TQRBand *bandGenuriTitle;
        TQRBand *bandGenuriDetail;
        TQRLabel *lblGenuriTitle;
        TQRLabel *lblGenuriItem;
        TQRLabel *lblGenuriCat;
        TQRLabel *lblGenuriDetail;
        TQRDBText *txtGenuriItem;
        TQRDBText *txtGenuriCat;
        TQRDBText *txtGenuriDetail;
        TQRShape *QRShape9;
        TTabSheet *sheetMuscle;
        TScrollBox *scrollMuscle;
        TQuickRep *reportMuscle;
        TQRBand *bandMuscleDetail;
        TQRBand *bandMuscleTitle;
        TQRLabel *lblMuscleTitle;
        TQRLabel *lblMuscleItem;
        TQRLabel *lblMuscleDetail;
        TQRDBText *txtMuscleItem;
        TQRDBText *txtMuscleDetail;
        TQRShape *QRShape10;
        TTabSheet *sheetSafety;
        TScrollBox *scrollSafety;
        TQuickRep *reportSafety;
        TQRBand *bandSafetyTitle;
        TQRBand *bandSafetyDetail;
        TQRLabel *lblSafetyTitle;
        TQRLabel *lblSafetyItem;
        TQRLabel *lblSafetyDetail;
        TQRShape *QRShape11;
        TQRDBText *txtSafetyItem;
        TQRDBText *txtSafetyDetail;
        TTabSheet *sheetSensory;
        TScrollBox *scrollSensory;
        TQuickRep *reportSensory;
        TQRBand *bandSensoryTitle;
        TQRBand *bandSensoryDetail;
        TQRLabel *lblSensoryTitle;
        TQRLabel *lblSensoryItem;
        TQRLabel *lblSensoryBS;
        TQRLabel *lblSensoryDetail;
        TQRShape *QRShape12;
        TQRDBText *txtSensoryItem;
        TQRDBText *txtSensoryBS;
        TQRDBText *txtSensoryDetail;
        TTabSheet *sheetLimits;
        TScrollBox *scrollLimits;
        TQuickRep *reportLimits;
        TQRBand *bandLimitsDetail;
        TQRBand *bandLimitsTitle;
        TQRLabel *lblLimitsTitle;
        TQRLabel *lblLimitItem;
        TQRLabel *lblLimitDetail;
        TQRShape *QRShape13;
        TQRDBText *txtLimitsItem;
        TQRDBText *txtLimitsDetail;
        TTabSheet *sheetALevels;
        TScrollBox *scrollALevel;
        TQuickRep *reportALevel;
        TQRBand *bandALevelTitle;
        TQRBand *bandALevelDetail;
        TQRLabel *lblALevelTitle;
        TQRLabel *lblALevelItem;
        TQRLabel *lblALevelDetail;
        TQRDBText *txtALevelItem;
        TQRDBText *txtALevelDetail;
        TTabSheet *sheetDiet;
        TScrollBox *scrollDiet;
        TQuickRep *reportDiet;
        TQRBand *bandDietTitle;
        TQRBand *bandDietDetail;
        TQRLabel *lblDietTitle;
        TQRLabel *lblDietItem;
        TQRLabel *lblDietDetail;
        TQRDBText *txtDietItem;
        TQRDBText *txtDietDetail;
        TQRShape *QRShape14;
        TQRShape *QRShape15;
        TTabSheet *sheetDME;
        TScrollBox *scrollDME;
        TQuickRep *reportDME;
        TQRBand *bandDMETitle;
        TQRBand *bandDMEDetail;
        TQRLabel *lblDMETitle;
        TQRLabel *lblDMEItem;
        TQRLabel *lblDMEDetail;
        TQRDBText *txtDMEItem;
        TQRDBText *txtDMEDetail;
        TQRShape *QRShape16;
        TTabSheet *sheetNotes;
        TScrollBox *scrollNotes;
        TQuickRep *reportNotes;
        TQRBand *bandNotesTitle;
        TQRBand *bandNotesDetail;
        TQRLabel *lblNotesTitle;
        TQRShape *QRShape17;
        TQRDBText *txtNotes;
        TTabSheet *sheetEdu;
        TScrollBox *scrollEdu;
        TQuickRep *reportEdu;
        TQRBand *bandEduTitle;
        TQRBand *bandEduDetail;
        TQRLabel *lblEduTitle;
        TQRLabel *lblEduTopic;
        TQRLabel *lblEduLearner;
        TQRLabel *lblEduMethod;
        TQRLabel *lblEduEval;
        TQRDBText *txtEduTopic;
        TQRDBText *txtEduLearner;
        TQRDBText *txtEduMethod;
        TQRDBText *txtEduEval;
        TQRShape *QRShape18;
        TTabSheet *sheetFallRisks;
        TScrollBox *scrollFallRisks;
        TQuickRep *reportFallRisks;
        TQRBand *bandFallRisksTitle;
        TQRBand *bandFallRisksDetail;
        TQRLabel *lblFallRisksTitle;
        TQRShape *QRShape19;
        TQRDBText *txtMorseHx;
        TQRLabel *lblFallRisksQuestion;
        TQRDBText *txtMorseDx;
        TQRDBText *txtMorseAA;
        TQRDBText *txtMorseIV;
        TQRDBText *txtMorseGT;
        TQRDBText *txtMorseMN;
        TQRDBText *txtMorseHxAns;
        TQRDBText *txtMorseDxAns;
        TQRDBText *txtMorseAAAns;
        TQRDBText *txtMorseIVAns;
        TQRDBText *txtMorseGTAns;
        TQRDBText *txtMorseMNAns;
        TQRLabel *lblFallRisksResponse;
        TQRLabel *lblFallRisksAssessment;
        TQRLabel *lblFallRisksPoints;
        TQRDBText *txtMorsePoints;
        TQRDBText *txtMorseAssmt;
        TTabSheet *sheetResp;
        TScrollBox *scrollResp;
        TQuickRep *reportResp;
        TQRBand *bandRespTitle;
        TQRBand *bandRespDetail;
        TQRLabel *lblRespTitle;
        TQRChildBand *bandRespChild;
        TQRShape *QRShape20;
        TQRDBText *txtRespNPICheck;
        TQRLabel *lblRespNPI;
        TQRDBText *txtRespIrregCheck;
        TQRLabel *lblRespIrreg;
        TQRDBText *txtRespLabCheck;
        TQRLabel *lblRespLab;
        TQRDBText *txtRespSOBCheck;
        TQRLabel *lblRespSOB;
        TQRLabel *lblRespSuction;
        TQRLabel *lblRespOxygen;
        TQRLabel *lblRespBiPap;
        TQRLabel *lblRespCough;
        TQRLabel *lblRespSmoker;
        TQRLabel *lblSmokerYrs;
        TQRLabel *lblSmokerPpd;
        TQRLabel *lblRespComments;
        TQRDBText *txtRespSuction;
        TQRDBText *txtRespOxygen;
        TQRDBText *txtRespBiPap;
        TQRDBText *txtRespCough;
        TQRDBText *txtRespPpd;
        TQRDBText *txtRespYears;
        TQRDBText *txtRespComments;
        TQRLabel *lblRespProblems;
        TQRLabel *lblRespRight;
        TQRLabel *lblRespLeft;
        TQRLabel *lblRespFricRub;
        TQRLabel *lblRespCrackles;
        TQRLabel *lblRespWheezes;
        TQRLabel *lblRespAbsent;
        TQRLabel *lblRespDim;
        TQRLabel *lblRespRhonchi;
        TQRLabel *lblRespCTube;
        TQRDBText *txtRFric;
        TQRDBText *txtRCrack;
        TQRDBText *txtRWheez;
        TQRDBText *txtRAbs;
        TQRDBText *txtRDim;
        TQRDBText *txtRRhon;
        TQRDBText *txtRTube;
        TQRDBText *txtLFric;
        TQRDBText *txtLCrack;
        TQRDBText *txtLWheez;
        TQRDBText *txtLAbs;
        TQRDBText *txtLDim;
        TQRDBText *txtLRhon;
        TQRDBText *txtLTube;
        TTabSheet *sheetIVs;
        TScrollBox *scrollIVs;
        TQuickRep *reportIVs;
        TQRBand *bandIVTitle;
        TQRBand *bandIVDetail;
        TQRLabel *lblIVTitle;
        TQRShape *QRShape21;
        TQRLabel *lblIVType;
        TQRLabel *lblIVStart;
        TQRLabel *lblIVLocation;
        TQRLabel *lblIVDevice;
        TQRLabel *lblIVDressing;
        TQRLabel *lblIVFluid;
        TQRLabel *lblIVSize;
        TQRLabel *lblIVSite;
        TQRLabel *lblIVChgDate;
        TQRLabel *lblIVSecondary;
        TQRLabel *lblIVDripRate;
        TQRDBText *txtIVCheck;
        TQRLabel *lblIVIsPrimary;
        TQRDBText *txtIVType;
        TQRDBText *txtIVStart;
        TQRDBText *txtIVLoc;
        TQRDBText *txtIVDevice;
        TQRDBText *txtIVDress;
        TQRDBText *txtIVSite;
        TQRDBText *txtIVChg;
        TQRDBText *txtIVFluid;
        TQRDBText *txtIVSize;
        TQRDBText *txtIVSecTo;
        TQRDBText *txtIVDrip;
        TQRDBText *txtIVIDNo;
        TQRLabel *lblIVID;
        TTabSheet *sheetRefs;
        TScrollBox *scrollRefs;
        TQuickRep *reportRefs;
        TQRBand *bandRefsTitle;
        TQRBand *bandRefsDetail;
        TQRLabel *lblRefsTitle;
        TQRShape *QRShape22;
        TQRLabel *lblRefDate;
        TQRLabel *lblRefStatus;
        TQRLabel *lblRefReason;
        TQRLabel *lblRefBy;
        TQRLabel *lblRefTo;
        TQRDBText *txtRefDate;
        TQRDBText *txtRefStatus;
        TQRDBText *txtRefReason;
        TQRDBText *txtRefBy;
        TQRDBText *txtRefTo;
        void __fastcall txtPrettyStringPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtVitalsDataPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtLowercasePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtSentencePrint(TObject *sender,
          AnsiString &Value);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportAssessment(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportAssessment *formReportAssessment;
//---------------------------------------------------------------------------
#endif
