//---------------------------------------------------------------------------

#ifndef reportBehLocalTreatmentH
#define reportBehLocalTreatmentH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <ToolWin.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportBehLocalTreatment : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *treatmentReport;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRBand *pageHeaderBand;
        TQRSysData *sysDateTime;
        TQRSysData *sysPageNumber;
        TQRBand *columnHeaderBand;
        TQRLabel *lblAdmitDate;
        TQRLabel *lblDischargeDate;
        TQRLabel *lblDischargeReason;
        TQRLabel *lblNote;
        TQRBand *detailBand;
        TQRDBText *txtAdmitDate;
        TQRDBText *txtDischargeDate;
        TQRDBText *txtReason;
        TQRDBText *txtNote;
        TQRBand *summaryBand;
        TQRLabel *lblTotal;
        TQRSysData *sysCount;
        TQRBand *pageFooterBand;
        TQRLabel *lblUser;
        void __fastcall txtNotePrint(TObject *sender, AnsiString &Value);
        void __fastcall treatmentReportAfterPreview(TObject *Sender);
        void __fastcall txtReasonPrint(TObject *sender, AnsiString &Value);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportBehLocalTreatment(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportBehLocalTreatment *formReportBehLocalTreatment;
//---------------------------------------------------------------------------
#endif
