//---------------------------------------------------------------------------

#ifndef reportBehTaskH
#define reportBehTaskH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportBehTask : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *taskReport;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRBand *pageHeaderBand;
        TQRSysData *sysDateTime;
        TQRSysData *sysPageNumber;
        TQRBand *columnHeaderBand;
        TQRLabel *lblDate;
        TQRLabel *lblMethod;
        TQRLabel *lblDirection;
        TQRLabel *lblLocation;
        TQRLabel *lblVisitType;
        TQRLabel *lblServiceType;
        TQRBand *detailBand;
        TQRDBText *txtDate;
        TQRDBText *txtMethod;
        TQRDBText *txtDirection;
        TQRDBText *txtVisitType;
        TQRDBText *txtLocation;
        TQRDBText *txtServiceType;
        TQRBand *summaryBand;
        TQRLabel *lblTotal;
        TQRSysData *sysCount;
        TQRBand *pageFooterBand;
        TQRLabel *lblUser;
        TQRLabel *lblOutcome;
        TQRDBText *txtOutcome;
        TQRExpr *exprNew;
        TQRLabel *lblNew;
        TQRLabel *lblComments;
        TQRDBText *txtComments;
        void __fastcall taskReportAfterPreview(TObject *Sender);
        void __fastcall txtMethodPrint(TObject *sender, AnsiString &Value);
        void __fastcall txtDirectionPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtVisitTypePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtLocationPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtServiceTypePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtOutcomePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtCommentsPrint(TObject *sender,
          AnsiString &Value);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportBehTask(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportBehTask *formReportBehTask;
//---------------------------------------------------------------------------
#endif
