//---------------------------------------------------------------------------

#ifndef reportCallLogH
#define reportCallLogH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportCallLog : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *logReport;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRBand *headerBand;
        TQRLabel *lblCallDate;
        TQRLabel *lblCallTime;
        TQRLabel *lblCaller;
        TQRLabel *lblEmployee;
        TQRLabel *lblReceptionist;
        TQRBand *detailBand;
        TQRDBText *txtDate;
        TQRDBText *txtTime;
        TQRDBText *txtCaller;
        TQRDBText *txtEmployee;
        TQRDBText *txtReceptionist;
        TQRBand *pageHeaderBand;
        TQRSysData *sysDateTimeStamp;
        TQRSysData *sysPage;
        TQRBand *summaryBand;
        TQRLabel *lblTotal;
        TQRSysData *QRSysData1;
        TQRBand *pageFooterBand;
        TQRLabel *lblUser;
        TQRLabel *lblNote;
        TQRDBText *txtNote;
        void __fastcall txtCallerPrint(TObject *sender, AnsiString &Value);
        void __fastcall txtEmployeePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtReceptionistPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall logReportAfterPreview(TObject *Sender);
        void __fastcall txtNotePrint(TObject *sender, AnsiString &Value);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportCallLog(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportCallLog *formReportCallLog;
//---------------------------------------------------------------------------
#endif
