//---------------------------------------------------------------------------

#ifndef reportClinicPatientListH
#define reportClinicPatientListH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportClinicPatientList : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *clinicPatientList;
        TQRBand *pageHeaderBand;
        TQRSysData *sysTime;
        TQRSysData *sysPage;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRBand *detailBand;
        TQRBand *columnHeaderBand;
        TQRBand *summaryBand;
        TQRLabel *lblTotal;
        TQRSysData *QRSysData1;
        TQRBand *pageFooterBand;
        TQRLabel *lblUser;
        TQRLabel *lblName;
        TQRLabel *lblDOB;
        TQRLabel *lblPhoneNumber;
        TQRDBText *txtDOB;
        TQRDBText *txtName;
        TQRLabel *lblChart;
        TQRDBText *txtChart;
        TQRDBText *txtPhone;
        TQRShape *lineColumnHeaders;
        void __fastcall txtPhonePrint(TObject *sender, AnsiString &Value);
        void __fastcall txtNamePrint(TObject *sender, AnsiString &Value);
        void __fastcall clinicPatientListAfterPreview(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportClinicPatientList(TComponent* Owner);
        enum // jhaley: enumeration for final parameter of Execute
        {
          everyone,    // print everybody
          ast_only,    // print Absentee Shawnee tribal members only
          nonast_only  // print non-AST's only
        };
        static void Execute(TformSpecialGeneric *calling_form, bool print_all, bool print_some, bool print_inactive,
                            string min_visits, string begin_date, string end_date, string clinic_id, bool all_charts,
                            bool active_charts, bool inactive_charts, int tribal = everyone);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportClinicPatientList *formReportClinicPatientList;
//---------------------------------------------------------------------------
#endif
