//---------------------------------------------------------------------------

#ifndef reportClinicSuperBillH
#define reportClinicSuperBillH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
enum vp {vp_top, vp_bottom};
enum hp {hp_left, hp_right};
enum corner_types {ct_upper_left, ct_upper_right, ct_lower_left, ct_lower_right, ct_none};
class TformReportClinicSuperBill : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TPageControl *pageReport;
        TTabSheet *tabReport;
        TQuickRep *report;
        TQRBand *DetailBand1;
        TQRDBText *txtChart;
        TQRDBText *txtSsn;
        TQRDBText *txtName;
        TQRDBText *txtDob;
        TQRDBText *txtGender;
        TQRDBText *txtCode;
        TQRLabel *lblDate;
        TQRLabel *lblChart;
        TQRLabel *lblSsn;
        TQRLabel *lblName;
        TQRLabel *lblDob;
        TQRLabel *lblGender;
        TQRLabel *lblCode;
        TQRLabel *lblDateTime;
        void __fastcall reportAfterPreview(TObject *Sender);
        void __fastcall txtNamePrint(TObject *sender, AnsiString &Value);
        void __fastcall txtSsnPrint(TObject *sender, AnsiString &Value);
        void __fastcall txtTimePrint(TObject *sender, AnsiString &Value);
        void __fastcall reportBeforePrint(TCustomQuickRep *Sender,
          bool &PrintReport);
        void __fastcall lblDateTimePrint(TObject *sender,
          AnsiString &Value);
private:	// User declarations
        int vert_ofs;
        int horiz_ofs;
        vp vert_pos;
        hp horiz_pos;
        bool keep_open_when_done;
        bool print_top_row;
public:		// User declarations
        static void Execute(TformSpecialGeneric *calling_form, TDataSet * dbDataSet, corner_types set1, corner_types set2, bool print_chart_and_code = true);
        __fastcall TformReportClinicSuperBill(TComponent* Owner, bool p_keep_open_when_done = false, bool p_print_top_row = true);
        void ToTop();
        void ToBottom();
        void ToLeft();
        void ToRight();
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportClinicSuperBill *formReportClinicSuperBill;
//---------------------------------------------------------------------------
#endif
