//---------------------------------------------------------------------------

#ifndef reportComMeasurementsH
#define reportComMeasurementsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <ToolWin.hpp>
#include <QRCtrls.hpp>


//---------------------------------------------------------------------------
class TformReportComMeasurement : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *measurementReport;
        TQRBand *pageheaderBand;
        TQRSysData *sysDateTime;
        TQRBand *titleBand;
        TQRBand *QRBand3;
        TQRBand *pageFooterBand;
        TQRBand *summaryBand;
        TQRBand *detailBand;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRLabel *QRLabel1;
        TQRDBText *txtDate;
        TQRLabel *lblUser;
        TQRSysData *sysPageNumber;
        TQRLabel *lblTotal;
        TQRSysData *sysCount;
        TQRLabel *lblWeight;
        TQRLabel *lblBloodPressure;
        TQRLabel *lblHip;
        TQRLabel *lblPulse;
        TQRLabel *lblRespiration;
        TQRExpr *exprWeight;
        TQRExpr *exprHiBlood;
        TQRExpr *exprLowBlood;
        TQRExpr *exprTemperature;
        TQRExpr *exprPulse;
        TQRExpr *exprRespiration;
        TQRExpr *exprBloodSugar;
        TQRExpr *exprFastBloodSugar;
        TQRLabel *lblBloodSugar;
        TQRLabel *lblFastBloodSugar;
        void __fastcall measurementAfterPreview(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportComMeasurement(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportComMeasurement *formReportComMeasurement;
//---------------------------------------------------------------------------
#endif
