//---------------------------------------------------------------------------

#ifndef reportDenialLetterH
#define reportDenialLetterH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <QRCtrls.hpp>
#include <QuickRpt.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TformReportDenialLetter : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *report;
        TQRBand *bandDetail;
        TQRChildBand *bandResolution;
        TQRMemo *memoResolution;
        TQRChildBand *bandSignature;
        TQRLabel *lblencl;
        TQRLabel *lblcc;
        TQRLabel *lblHealthPrograms;
        TQRMemo *memoSignature;
        TQRLabel *lblRespectfully;
        TQRGroup *bandLetterhead;
        TQRMemo *memoLetterhead1;
        TQRMemo *memoLetterhead2;
        TQRChildBand *bandAddress;
        TQRDBText *txtDateProcessed;
        TQRDBText *txtPerson;
        TQRMemo *memoAddress;
        TQRSysData *sysDate;
        TQRChildBand *bandRegarding;
        TQRChildBand *bandGreeting;
        TQRLabel *lblRegarding;
        TQRDBText *txtProvider;
        TQRDBText *txtGreeting;
        TQRMemo *memoPreamble;
        TQRBand *bandBody;
        TQRMemo *memoBody;
        TQRDBText *txtReason;
        TQRMemo *memoDOS;
        TQRMemo *memoAmount;
        TQRMemo *memoPatient;
        TQRMemo *memoPayable;
        TQRLabel *lblFor;
        TQRLabel *lblCharged;
        TQRLabel *lblPatient;
        TQRLabel *lblPayable;
        TQRShape *QRShape1;
        TQRShape *QRShape2;
        TQRShape *QRShape3;
        TQRShape *QRShape4;
        TQRDBText *txtChartNo;
        TQRLabel *lblChartNo;
        void __fastcall reportAfterPreview(TObject *Sender);
        void __fastcall sysDatePrint(TObject *sender, AnsiString &Value);
        void __fastcall txtPersonPrint(TObject *sender, AnsiString &Value);
        void __fastcall txtProviderPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtDatesOfServicePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtReasonPrint(TObject *sender, AnsiString &Value);
        void __fastcall txtGreetingPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall lblDatesOfServicePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtDateProcessedPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall bandAddressBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall bandGreetingBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall bandBodyBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall bandResolutionBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall bandRegardingBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall bandSignatureBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall bandDetailBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
private:	// User declarations
        map<string, map<string, string> > vars;
public:		// User declarations
        __fastcall TformReportDenialLetter(TComponent* Owner, map<string, map<string,string> >&p_vars);
        static void Do(vector<string> denial_letter_id, string one_date = "", bool duplicates = false);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportDenialLetter *formReportDenialLetter;
//---------------------------------------------------------------------------
#endif

