//---------------------------------------------------------------------------

#ifndef reportDiabActivityH
#define reportDiabActivityH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportDiabActivity : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *activityReport;
        TQRBand *titleBand;
        TQRBand *pageHeaderBand;
        TQRBand *columnHeaderBand;
        TQRBand *detailBand;
        TQRBand *summaryBand;
        TQRSysData *sysDateTime;
        TQRSysData *sysPageNumber;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRLabel *lblDate;
        TQRLabel *lblActivity;
        TQRLabel *lblIntensity;
        TQRLabel *lblDistance;
        TQRLabel *lblTimeSpent;
        TQRLabel *lblSteps;
        TQRDBText *txtDate;
        TQRDBText *txtActivity;
        TQRDBText *txtIntensity;
        TQRExpr *exprTime;
        TQRExpr *exprDistance;
        TQRExpr *exprSteps;
        TQRLabel *lblTotal;
        TQRSysData *sysCount;
        TQRBand *pageFooterBand;
        TQRLabel *lblUser;
        void __fastcall txtActivityPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtIntensityPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall activityReportAfterPreview(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportDiabActivity(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportDiabActivity *formReportDiabActivity;
//---------------------------------------------------------------------------
#endif
