//---------------------------------------------------------------------------

#ifndef reportDiabApptH
#define reportDiabApptH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportDiabAppt : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *reportAppts;
        TQRBand *bandPageFooter;
        TQRBand *bandPageHeader;
        TQRBand *bandGroupFooter;
        TQRBand *bandTitle;
        TQRSysData *sysTime;
        TQRSysData *sysPage;
        TQRLabel *lblUser;
        TQRLabel *lblTitle;
        TQRLabel *lblTitleDates;
        TQRGroup *bandGroupHeader;
        TQRBand *bandDetail;
        TQRDBText *txtGroupService;
        TQRLabel *lblGroupName;
        TQRLabel *lblGroupDept;
        TQRLabel *lblGroupLocation;
        TQRLabel *lblGroupReason;
        TQRLabel *lblGroupOutcome;
        TQRLabel *lblGroupDate;
        TQRLabel *lblGroupTime;
        TQRShape *QRShape1;
        TQRDBText *txtName;
        TQRDBText *txtDepartment;
        TQRDBText *txtLocation;
        TQRDBText *txtDate;
        TQRDBText *txtTime;
        TQRDBText *txtReason;
        TQRDBText *txtOutcome;
        TQRShape *QRShape2;
        TQRLabel *lblGroupFootTotal;
        TQRExpr *exprNumAppts;
        void __fastcall reportApptsAfterPreview(TObject *Sender);
        void __fastcall txtNamePrint(TObject *sender, AnsiString &Value);
        void __fastcall txtOutcomePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtDepartmentPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtReasonPrint(TObject *sender, AnsiString &Value);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportDiabAppt(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportDiabAppt *formReportDiabAppt;
//---------------------------------------------------------------------------
#endif
