//---------------------------------------------------------------------------

#ifndef reportDiabEmployeeTaskH
#define reportDiabEmployeeTaskH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <ToolWin.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportDiabEmployeeTask : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *tasksReport;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRBand *headerBand;
        TQRLabel *lblEvent;
        TQRLabel *lblClient;
        TQRLabel *lblContact;
        TQRLabel *lblMethod;
        TQRLabel *lblTaskDate;
        TQRLabel *lblMeeting;
        TQRLabel *lblDirection;
        TQRLabel *lblTime;
        TQRLabel *lblProgram;
        TQRLabel *lblTask;
        TQRLabel *lblClassification;
        TQRLabel *lblActivity;
        TQRLabel *lblMileage;
        TQRLabel *lblEducational;
        TQRLabel *lblPersonal;
        TQRLabel *lblComments;
        TQRBand *detailBand;
        TQRBand *pageHeaderBand;
        TQRSysData *sysDateTime;
        TQRSysData *sysPage;
        TQRBand *pageFooterBand;
        TQRLabel *lblUser;
        TQRDBText *txtEvent;
        TQRDBText *txtClient;
        TQRDBText *txtDate;
        TQRDBText *txtContactType;
        TQRDBText *txtMethod;
        TQRDBText *txtMeeting;
        TQRDBText *txtProgram;
        TQRExpr *exprDirection;
        TQRExpr *exprTime;
        TQRExpr *exprTaskType;
        TQRDBText *txtClass;
        TQRDBText *txtActivity;
        TQRExpr *exprMileage;
        TQRExpr *exprEducational;
        TQRExpr *exprPersonal;
        TQRDBText *txtComments;
        TQRBand *summaryBand;
        TQRLabel *lblTotal;
        TQRSysData *sysTotal;
        void __fastcall txtEventPrint(TObject *sender, AnsiString &Value);
        void __fastcall txtClientPrint(TObject *sender, AnsiString &Value);
        void __fastcall txtContactTypePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtMethodPrint(TObject *sender, AnsiString &Value);
        void __fastcall txtProgramPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtClassPrint(TObject *sender, AnsiString &Value);
        void __fastcall txtActivityPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtCommentsPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall tasksReportAfterPreview(TObject *Sender);
        void __fastcall txtMeetingPrint(TObject *sender,
          AnsiString &Value);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportDiabEmployeeTask(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportDiabEmployeeTask *formReportDiabEmployeeTask;
//---------------------------------------------------------------------------
#endif
