//---------------------------------------------------------------------------

#ifndef reportDiabMeasureLabSummaryH
#define reportDiabMeasureLabSummaryH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportDiabMeasureLabSummary : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *measureReport;
        TQRBand *pageHeaderBand;
        TQRSysData *sysTime;
        TQRSysData *sysPage;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRBand *detailBand;
        TQRDBText *txtName;
        TQRDBText *txtDate;
        TQRExpr *exprBMI;
        TQRExpr *exprBloodSugar;
        TQRExpr *exprHa1c;
        TQRBand *columnHeaderBand;
        TQRLabel *lblName;
        TQRLabel *a;
        TQRLabel *lblBMI;
        TQRLabel *lblBloodSugar;
        TQRLabel *lblHip;
        TQRBand *summaryBand;
        TQRLabel *lblTotal;
        TQRBand *pageFooterBand;
        TQRLabel *lblUser;
        TQRLabel *lblBloodPressure;
        TQRLabel *lblLastConsent;
        TQRDBText *txtBloodPressure;
        TQRDBText *txtLastConsent;
        TQRLabel *lblShownMeas;
        void __fastcall measureReportAfterPreview(TObject *Sender);
        void __fastcall txtNamePrint(TObject *sender, AnsiString &Value);
        void __fastcall detailBandBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall lblShownMeasPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall detailBandAfterPrint(TQRCustomBand *Sender,
          bool BandPrinted);
private:	// User declarations
        set<string> person_id_to_exclude;
        int shown_row_count;
public:		// User declarations
        __fastcall TformReportDiabMeasureLabSummary(TComponent* Owner, set<string> & to_exclude);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportDiabMeasureLabSummary *formReportDiabMeasureLabSummary;
//---------------------------------------------------------------------------
#endif
