//---------------------------------------------------------------------------

#ifndef reportDiabMeasureSummaryH
#define reportDiabMeasureSummaryH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportDiabMeasureSummary : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *measureReport;
        TQRBand *pageHeaderBand;
        TQRSysData *sysTime;
        TQRSysData *sysPage;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRBand *detailBand;
        TQRBand *columnHeaderBand;
        TQRBand *summaryBand;
        TQRBand *pageFooterBand;
        TQRLabel *lblName;
        TQRLabel *lblDate;
        TQRLabel *lblHeight;
        TQRLabel *lblWeight;
        TQRLabel *lblWaist;
        TQRLabel *lblHip;
        TQRLabel *lblTricep;
        TQRLabel *lblCalf;
        TQRDBText *txtName;
        TQRDBText *txtDate;
        TQRExpr *exprHeight;
        TQRExpr *exprWeight;
        TQRExpr *exprWaist;
        TQRExpr *exprHip;
        TQRExpr *exprTricep;
        TQRExpr *exprCalf;
        TQRLabel *lblTotalMeasurements;
        TQRLabel *lblUser;
        TQRLabel *lblBMI;
        TQRExpr *exprBMI;
        TQRLabel *lblTotalClients;
        TQRLabel *lblUniquePeople;
        TQRLabel *lblShownMeas;
        void __fastcall txtNamePrint(TObject *sender, AnsiString &Value);
        void __fastcall measureReportAfterPreview(TObject *Sender);
        void __fastcall detailBandAfterPrint(TQRCustomBand *Sender,
          bool BandPrinted);
        void __fastcall measureReportBeforePrint(TCustomQuickRep *Sender,
          bool &PrintReport);
        void __fastcall lblUniquePeoplePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall detailBandBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall lblShownMeasPrint(TObject *sender,
          AnsiString &Value);
private:	// User declarations
        set<int> unique_people;
        set<string> person_id_to_exclude;
        int shown_row_count;
public:		// User declarations
        __fastcall TformReportDiabMeasureSummary(TComponent* Owner, set<string> & to_exclude);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportDiabMeasureSummary *formReportDiabMeasureSummary;
//---------------------------------------------------------------------------
#endif
