//---------------------------------------------------------------------------

#ifndef reportDiabRegistryH
#define reportDiabRegistryH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportDiabRegistry : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *report;
        TQRBand *pageHeaderBand;
        TQRSysData *sysTime;
        TQRSysData *sysPage;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRBand *detailBand;
        TQRDBText *txtName;
        TQRDBText *txtApptDate;
        TQRBand *columnHeaderBand;
        TQRLabel *lblName;
        TQRBand *summaryBand;
        TQRLabel *lblTotal;
        TQRSysData *sysTotal;
        TQRBand *pageFooterBand;
        TQRLabel *lblUser;
        TQRLabel *lblApptDate;
        TQRLabel *lblVisitDate;
        TQRLabel *lblCode;
        TQRLabel *lblDiagDate;
        TQRDBText *txtVisitDate;
        TQRDBText *txtCode;
        TQRDBText *txtDiagDate;
        TQRLabel *lblChartNum;
        TQRDBText *txtChartNum;
        TQRLabel *lblClient;
        TQRExpr *exprClient;
        TQRLabel *lblDateTitle;
        TQRLabel *lblStar;
        TQRExpr *exprStar;
        TQRLabel *lblVisitCount;
        TQRDBText *txtVisitCount;
        TQRLabel *lblDOB;
        TQRDBText *txtDOB;
        TQRLabel *lblSteps;
        TQRExpr *exprSteps;
        void __fastcall txtNamePrint(TObject *sender, AnsiString &Value);
        void __fastcall reportAfterPreview(TObject *Sender);
        void __fastcall txtProviderPrint(TObject *sender,
          AnsiString &Value);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportDiabRegistry(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportDiabRegistry *formReportDiabRegistry;
//---------------------------------------------------------------------------
#endif
