//---------------------------------------------------------------------------

#ifndef reportDiabStarSessionH
#define reportDiabStarSessionH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportDiabStarSession : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *report;
        TQRBand *pageHeaderBand;
        TQRSysData *sysTime;
        TQRSysData *sysPage;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRBand *detailBand;
        TQRDBText *txtName;
        TQRDBText *txtDOB;
        TQRDBText *txtCDIB;
        TQRDBText *txtTribe;
        TQRDBText *txtPhone;
        TQRBand *columnHeaderBand;
        TQRLabel *lblTribe;
        TQRLabel *lblCDIB;
        TQRLabel *lblDOB;
        TQRLabel *lblName;
        TQRLabel *lblPhone;
        TQRBand *summaryBand;
        TQRLabel *lblTotal;
        TQRBand *pageFooterBand;
        TQRLabel *lblUser;
        TQRLabel *lblDateTitle;
        TQRLabel *lblAppointmentDate;
        TQRDBText *txtApptDate;
        TQRLabel *QRLabel1;
        TQRDBText *txtOutcome;
        TQRLabel *lblUniquePeople;
        TQRMemo *memoOutcomeTypes;
        TQRMemo *memoOutcomes;
        TQRLabel *QRLabel2;
        TQRExpr *exprTasked;
        TQRExpr *exprTasked2;
        TQRExpr *exprTasked3;
        void __fastcall txtNamePrint(TObject *sender, AnsiString &Value);
        void __fastcall txtTribePrint(TObject *sender, AnsiString &Value);
        void __fastcall txtOutcomePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtPhonePrint(TObject *sender, AnsiString &Value);
        void __fastcall detailBandAfterPrint(TQRCustomBand *Sender,
          bool BandPrinted);
        void __fastcall reportBeforePrint(TCustomQuickRep *Sender,
          bool &PrintReport);
        void __fastcall lblUniquePeoplePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall summaryBandBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall reportAfterPreview(TObject *Sender);
private:	// User declarations
        set<int> unique_people;
        map<string, int> outcome_totals;
public:		// User declarations
        __fastcall TformReportDiabStarSession(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportDiabStarSession *formReportDiabStarSession;
//---------------------------------------------------------------------------
#endif
