//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "reportDiabWarningLetter.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "codeSpecialGeneric"
#pragma resource "*.dfm"
TformReportDiabWarningLetter *formReportDiabWarningLetter;
//---------------------------------------------------------------------------
__fastcall TformReportDiabWarningLetter::TformReportDiabWarningLetter(TComponent* Owner, TIBDataSet *p_dataset)
        : TformSpecialGeneric(Owner)
{
  dbDataset = p_dataset;
}
//---------------------------------------------------------------------------
void __fastcall TformReportDiabWarningLetter::txtWarningPersonPrint(
      TObject *sender, AnsiString &Value)
{
  Value = PrettyString(Value.c_str()).c_str();        
}
//---------------------------------------------------------------------------

void __fastcall TformReportDiabWarningLetter::warning_letterAfterPreview(
      TObject *Sender)
{
  Close();        
}
//---------------------------------------------------------------------------
// i thought quick reports was stupid before, but today it has reached an all time
// stupid high. for some reason on this report it is printing the last value in the
// dataset on every row. so, i have a labels on the report that get the values
// from the dataset directly and put them on the form in the beforeprint event.
// the dbtext objects are still there just to make the bands print because
// sometimes detail bands don't print if there is no data assigned.
// their width is set to 0 so you can't see them.

void __fastcall TformReportDiabWarningLetter::groupBandBeforePrint(
      TQRCustomBand *Sender, bool &PrintBand)
{
  lblPrimary->Caption = PrettyString(dbDataset->FieldByName("primary_first_last")->AsString.c_str()).c_str();
  lblLine1->Caption = FormatAddress(dbDataset->FieldByName("line1")->AsString.c_str()).c_str();
  lblLine2->Caption = FormatAddress(dbDataset->FieldByName("line2")->AsString.c_str()).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformReportDiabWarningLetter::detailBandBeforePrint(TQRCustomBand *Sender, bool &PrintBand)
{
  lblMember->Caption = PrettyString(dbDataset->FieldByName("first_last")->AsString.c_str()).c_str();
}
//---------------------------------------------------------------------------

