//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "reportEnrollment.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "codeSpecialGeneric"
#pragma resource "*.dfm"
TformReportEnrollment *formReportEnrollment;
//---------------------------------------------------------------------------
__fastcall TformReportEnrollment::TformReportEnrollment(TComponent* Owner)
        : TformSpecialGeneric(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TformReportEnrollment::reportAfterPreview(TObject *Sender)
{
  Close();        
}
//---------------------------------------------------------------------------
void __fastcall TformReportEnrollment::txtNamePrint(TObject *sender, AnsiString &Value)
{
  Value = PrettyString(Value.c_str()).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformReportEnrollment::txtStatusPrint(TObject *sender, AnsiString &Value)
{
  Value = PrettyString(Value.c_str()).c_str();
  status_totals[Value.c_str()]++;
}
//---------------------------------------------------------------------------
void __fastcall TformReportEnrollment::reportBeforePrint(TCustomQuickRep *Sender, bool &PrintReport)
{
  status_totals.clear();
  memoStatusTypes->Lines->Clear();
  memoStatus->Lines->Clear();
}
//---------------------------------------------------------------------------
void __fastcall TformReportEnrollment::bandSummaryBeforePrint(TQRCustomBand *Sender, bool &PrintBand)
{
  for(map<string, int>::iterator itr = status_totals.begin(); itr != status_totals.end(); itr++)
  {
    memoStatusTypes->Lines->Add(itr->first.c_str());
    memoStatus->Lines->Add(IntToString(itr->second).c_str());
  }
}
//---------------------------------------------------------------------------
void __fastcall TformReportEnrollment::txtCodePrint(TObject *sender, AnsiString &Value)
{
  Value = FormatString(Value.c_str(), amountString).c_str();
}
//---------------------------------------------------------------------------

