//---------------------------------------------------------------------------

#ifndef reportEnrollmentH
#define reportEnrollmentH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <QRCtrls.hpp>
#include <QuickRpt.hpp>
//---------------------------------------------------------------------------
class TformReportEnrollment : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *report;
        TQRBand *pageHeaderBand;
        TQRSysData *sysTime;
        TQRSysData *sysPage;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRBand *detailBand;
        TQRDBText *txtName;
        TQRDBText *txtGender;
        TQRDBText *txtEnrollmentNumber;
        TQRDBText *txtCode;
        TQRDBText *txtDiagDate;
        TQRDBText *txtStatus;
        TQRDBText *txtVisitCount;
        TQRDBText *txtDOB;
        TQRBand *columnHeaderBand;
        TQRLabel *lblName;
        TQRLabel *lblApptDate;
        TQRLabel *lblVisitDate;
        TQRLabel *lblCode;
        TQRLabel *lblDiagDate;
        TQRLabel *lblStatus;
        TQRLabel *lblClient;
        TQRLabel *lblStar;
        TQRLabel *lblVisitCount;
        TQRLabel *lblDOB;
        TQRLabel *lblSteps;
        TQRBand *pageFooterBand;
        TQRLabel *lblUser;
        TQRBand *bandSummary;
        TQRLabel *lblTotal;
        TQRSysData *sysTotal;
        TQRMemo *memoStatusTypes;
        TQRMemo *memoStatus;
        TQRDBText *txtClient;
        TQRDBText *txtStar;
        TQRDBText *txtSteps;
        void __fastcall reportAfterPreview(TObject *Sender);
        void __fastcall txtNamePrint(TObject *sender, AnsiString &Value);
        void __fastcall txtStatusPrint(TObject *sender, AnsiString &Value);
        void __fastcall reportBeforePrint(TCustomQuickRep *Sender,
          bool &PrintReport);
        void __fastcall bandSummaryBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall txtCodePrint(TObject *sender, AnsiString &Value);
private:	// User declarations
        map<string, int> status_totals;
public:		// User declarations
        __fastcall TformReportEnrollment(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportEnrollment *formReportEnrollment;
//---------------------------------------------------------------------------
#endif
