//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "reportFitnessAttendance.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "codeSpecialGeneric"
#pragma resource "*.dfm"
TformReportFitnessAttendance *formReportFitnessAttendance;
//---------------------------------------------------------------------------
__fastcall TformReportFitnessAttendance::TformReportFitnessAttendance(TComponent* Owner)
        : TformSpecialGeneric(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TformReportFitnessAttendance::attendanceReportAfterPreview(TObject *Sender)
{
  Close();        
}
//---------------------------------------------------------------------------
void __fastcall TformReportFitnessAttendance::txtFacilityPrint(TObject *sender, AnsiString &Value)
{
  Value = PrettyString(Value.c_str()).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformReportFitnessAttendance::txtNamePrint(TObject *sender, AnsiString &Value)
{
  Value = PrettyString(Value.c_str()).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformReportFitnessAttendance::detailBandAfterPrint(TQRCustomBand *Sender, bool BandPrinted)
{
   // If you try to access the field and the dataset is empty you'll get an EVariantError and diabetes
   // will complain that the report doesn't run (when it should just produce a blank report).
   if (!attendanceReport->DataSet->IsEmpty())
   {
     unique_people.insert(StringToInt(AnsiString(attendanceReport->DataSet->FieldValues["person_id"]).c_str()));
   }
}
//---------------------------------------------------------------------------
void __fastcall TformReportFitnessAttendance::attendanceReportBeforePrint(
      TCustomQuickRep *Sender, bool &PrintReport)
{
   unique_people.clear();
   sign_ins = 0;
}
//---------------------------------------------------------------------------
void __fastcall TformReportFitnessAttendance::lblTotalUniquePeoplePrint(
      TObject *sender, AnsiString &Value)
{
   Value = IntToString(unique_people.size()).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformReportFitnessAttendance::txtDatePrint(TObject *sender,AnsiString &Value)
{
  if (Value != "")
    sign_ins++;
}
//---------------------------------------------------------------------------
void __fastcall TformReportFitnessAttendance::lblTotalSignInsPrint(TObject *sender, AnsiString &Value)
{
   Value = IntToString(sign_ins).c_str();
}
//---------------------------------------------------------------------------

