//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "reportFitnessMembership.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "codeSpecialGeneric"
#pragma resource "*.dfm"
TformReportFitnessMembership *formReportFitnessMembership;
//---------------------------------------------------------------------------
__fastcall TformReportFitnessMembership::TformReportFitnessMembership(TComponent* Owner, bool p_print_charges)
        : TformSpecialGeneric(Owner)
{
  print_charges = p_print_charges;
}
//---------------------------------------------------------------------------
void __fastcall TformReportFitnessMembership::txtFacilityPrint(
      TObject *sender, AnsiString &Value)
{
  Value = PrettyString(Value.c_str()).c_str();        
}
//---------------------------------------------------------------------------
void __fastcall TformReportFitnessMembership::membershipReportAfterPreview(
      TObject *Sender)
{
  Close();        
}
//---------------------------------------------------------------------------

void __fastcall TformReportFitnessMembership::summaryBandBeforePrint(
      TQRCustomBand *Sender, bool &PrintBand)
{
  lblTotalMemberships->Caption = IntToString(total_memberships).c_str();
  lblTotalPrimary->Caption = IntToString(total_primary).c_str();
  lblTotalChildren->Caption = IntToString(total_children).c_str();
  lblTotalFamily->Caption = IntToString(total_family).c_str();
  lblTotalFree->Caption = IntToString(total_free).c_str();
  lblTotalSingles->Caption = IntToString(total_singles).c_str();
  lblTotalCouples->Caption = IntToString(total_couples).c_str();
  lblTotalFamilies->Caption = IntToString(total_families).c_str();
}
//---------------------------------------------------------------------------
void __fastcall TformReportFitnessMembership::txtChargePrint(
      TObject *sender, AnsiString &Value)
{
  if(print_charges)
  {
    // TODO -c MAGIC NUMBER : several. because the price varies by age, we guess 'who' based on 'how much'.
    //              .. not like this would EVER change, right? right?
    if(Value == "13")
      total_primary++;
    else if(Value == "0")
      total_free++;
    else if(Value == "8")
      total_children++;
    else if(Value == "13.5")
      total_family++;
    else if(Value == "35")
      total_singles++;
    else if(Value == "45")
      total_couples++;
    else if(Value == "55")
      total_families++;
    Value = string("$" + StringToAmount(Value.c_str())).c_str();
  }
  else
  {
    total_primary++;
    Value = FormatPhoneNumber(Value.c_str()).c_str();
  }
}
//---------------------------------------------------------------------------
void __fastcall TformReportFitnessMembership::membershipReportBeforePrint(
      TCustomQuickRep *Sender, bool &PrintReport)
{
  total_charge = 0;
  total_primary = 0;
  total_children = 0;
  total_family = 0;
  total_free = 0;
  total_singles = 0;
  total_couples = 0;
  total_families = 0;
  total_memberships = 0;
}
//---------------------------------------------------------------------------
void __fastcall TformReportFitnessMembership::exprPrimaryPrint(
      TObject *sender, AnsiString &Value)
{
  if (print_charges && Value == "Yes")
     total_memberships++;
}
//---------------------------------------------------------------------------

