//---------------------------------------------------------------------------

#ifndef reportFitnessMembershipH
#define reportFitnessMembershipH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <ToolWin.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportFitnessMembership : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *membershipReport;
        TQRBand *pageHeaderBand;
        TQRSysData *sysTime;
        TQRSysData *sysPage;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRBand *detailBand;
        TQRBand *columnHeaderBand;
        TQRLabel *lblName;
        TQRBand *summaryBand;
        TQRLabel *lblTotal;
        TQRSysData *sysTotal;
        TQRBand *pageFooterBand;
        TQRLabel *lblUser;
        TQRLabel *lblPrimary;
        TQRLabel *QRLabel1;
        TQRLabel *lblTotalMemberships;
        TQRGroup *groupBand;
        TQRLabel *lblFacility;
        TQRLabel *lblBirthday;
        TQRLabel *lblJoinDate;
        TQRDBText *txtName;
        TQRDBText *txtBirthday;
        TQRDBText *txtJoinDate;
        TQRExpr *exprPrimary;
        TQRDBText *txtFacility;
        TQRLabel *lblCharge;
        TQRLabel *lblTotalCharge;
        TQRLabel *lblTotalPrimaryLabel;
        TQRLabel *lblTotalChildrenLabel;
        TQRLabel *lblTotalFamilyLabel;
        TQRLabel *lblTotalPrimary;
        TQRLabel *lblTotalFamily;
        TQRLabel *lblTotalChildren;
        TQRLabel *lblTotalFreeLabel;
        TQRLabel *lblTotalFree;
        TQRDBText *txtCharge;
        TQRExpr *exprTotalCharge;
        TQRLabel *lblTotalSinglesLabel;
        TQRLabel *lblTotalSingles;
        TQRLabel *lblTotalCouplesLabel;
        TQRLabel *lblTotalCouples;
        TQRLabel *lblTotalFamiliesLabel;
        TQRLabel *lblTotalFamilies;
        void __fastcall txtFacilityPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall membershipReportAfterPreview(TObject *Sender);
        void __fastcall summaryBandBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall txtChargePrint(TObject *sender, AnsiString &Value);
        void __fastcall membershipReportBeforePrint(
          TCustomQuickRep *Sender, bool &PrintReport);
        void __fastcall exprPrimaryPrint(TObject *sender,
          AnsiString &Value);
private:	// User declarations
        bool print_charges;
        float total_charge;
        int total_primary;
        int total_children;
        int total_family;
        int total_free;
        int total_singles;
        int total_couples;
        int total_families;
        int total_memberships;
public:		// User declarations
        __fastcall TformReportFitnessMembership(TComponent* Owner, bool p_print_charges);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportFitnessMembership *formReportFitnessMembership;
//---------------------------------------------------------------------------
#endif
