//---------------------------------------------------------------------------

#ifndef reportObligatedAccountsH
#define reportObligatedAccountsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <QRCtrls.hpp>
#include <QuickRpt.hpp>
#include <Qrctrls.hpp>
//---------------------------------------------------------------------------
class TformReportObligatedAccounts : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *report;
        TQRBand *pageHeaderBand;
        TQRSysData *sysDateTime;
        TQRSysData *sysPage;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRBand *detailBand;
        TQRBand *SummaryBand1;
        TQRExpr *exprTotalObligatedAmount;
        TQRExpr *exprTotalPaidAmount;
        TQRLabel *lblTotal;
        TQRGroup *groupFund;
        TQRGroup *groupDept;
        TQRGroup *groupSubDept;
        TQRGroup *groupLineItem;
        TQRBand *ColumnHeaderBand1;
        TQRLabel *lblFund;
        TQRLabel *lblBudget;
        TQRLabel *lblObligated;
        TQRLabel *lblPaid;
        TQRLabel *lblRemaining;
        TQRExpr *exprPaidAmount;
        TQRExpr *exprObligatedAmount;
        TQRExpr *exprBudgetAmount;
        TQRLabel *lblExpensed;
        TQRBand *groupFundFooter;
        TQRBand *bandPageFooter;
        TQRLabel *lblUser;
        TQRExpr *exprExpensedAmount;
        TQRExpr *exprRemainingAmount;
        TQRLabel *lblFundFooter;
        TQRExpr *exprFund;
        TQRExpr *exprDept;
        TQRExpr *exprSubDept;
        TQRExpr *exprLineItem;
        TQRLabel *lblDept;
        TQRLabel *lblSubDept;
        TQRLabel *lblLineItem;
        void __fastcall lblFundFooterPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall reportAfterPreview(TObject *Sender);
        void __fastcall exprFundPrint(TObject *sender, AnsiString &Value);
private:	// User declarations
        string last_fund;
public:		// User declarations
        __fastcall TformReportObligatedAccounts(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportObligatedAccounts *formReportObligatedAccounts;
//---------------------------------------------------------------------------
#endif
