//---------------------------------------------------------------------------

#ifndef reportObligatedProviderH
#define reportObligatedProviderH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportObligatedProvider : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *report;
        TQRBand *pageHeaderBand;
        TQRBand *titleBand;
        TQRBand *columnHeaderBand;
        TQRBand *detailBand;
        TQRBand *SummaryBand1;
        TQRBand *PageFooterBand1;
        TQRSysData *sysDateTime;
        TQRSysData *sysPage;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRLabel *lblService;
        TQRLabel *lblObligatedVisits;
        TQRLabel *lblObligatedMembers;
        TQRLabel *lblObligatedAmount;
        TQRLabel *lblAvgObligatedPerVisit;
        TQRLabel *lblAvgObligatedPerMember;
        TQRLabel *lblVisits;
        TQRLabel *lblMembersServed;
        TQRLabel *lblPaidInvoices;
        TQRLabel *lblAvgCostPerVisit;
        TQRLabel *lblAvgCostPerMember;
        TQRLabel *lblUser;
        TQRDBText *txtProvider;
        TQRDBText *txtService;
        TQRExpr *exprObligatedAmount;
        TQRExpr *exprAvgObligatedPerVisit;
        TQRExpr *exprAvgObligatedPerMember;
        TQRExpr *exprPaidInvoices;
        TQRExpr *exprAvgCostPerVisit;
        TQRExpr *exprAvgCostPerMember;
        TQRLabel *lblProvider;
        TQRShape *shapeLine;
        TQRDBText *txtVisits;
        TQRDBText *txtMembers;
        TQRDBText *txtObligatedMembers;
        TQRDBText *txtObligatedVisits;
        TQRExpr *exprTotalObligatedVisits;
        TQRExpr *exprTotalObligatedMembers;
        TQRExpr *exprTotalObligatedAmount;
        TQRExpr *exprTotalAvgObligatedPerVisit;
        TQRExpr *exprTotalAvgObligatedPerMember;
        TQRExpr *exprTotalVisits;
        TQRExpr *exprTotalMembers;
        TQRExpr *exprTotalPaidAmount;
        TQRExpr *exprTotalAvgCostPerVisit;
        TQRExpr *exprTotalAvgCostPerMember;
        TQRLabel *lblTotal;
        void __fastcall reportAfterPreview(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportObligatedProvider(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportObligatedProvider *formReportObligatedProvider;
//---------------------------------------------------------------------------
#endif
