//---------------------------------------------------------------------------

#ifndef reportObligatedServiceH
#define reportObligatedServiceH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportObligatedService : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *report;
        TQRBand *pageHeaderBand;
        TQRSysData *sysDateTime;
        TQRSysData *sysPage;
        TQRBand *titleBand;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRBand *columnHeaderBand;
        TQRLabel *lblService;
        TQRLabel *lblObligatedVisits;
        TQRLabel *lblObligatedMembers;
        TQRLabel *lblObligatedAmount;
        TQRLabel *lblAvgObligatedPerVisit;
        TQRLabel *lblAvgObligatedPerMember;
        TQRLabel *lblVisits;
        TQRLabel *lblMembersServed;
        TQRLabel *lblPaidInvoices;
        TQRLabel *lblAvgCostPerVisit;
        TQRLabel *lblAvgCostPerMember;
        TQRShape *shapeLine;
        TQRBand *detailBand;
        TQRDBText *txtService;
        TQRExpr *exprObligatedAmount;
        TQRExpr *exprAvgObligatedPerVisit;
        TQRExpr *exprAvgObligatedPerMember;
        TQRExpr *exprPaidInvoices;
        TQRExpr *exprAvgCostPerVisit;
        TQRExpr *exprAvgCostPerMember;
        TQRDBText *txtVisits;
        TQRDBText *txtMembers;
        TQRDBText *txtObligatedMembers;
        TQRDBText *txtObligatedVisits;
        TQRBand *SummaryBand1;
        TQRExpr *exprTotalObligatedVisits;
        TQRExpr *exprTotalObligatedMembers;
        TQRExpr *exprTotalObligatedAmount;
        TQRExpr *exprTotalAvgObligatedPerVisit;
        TQRExpr *exprTotalAvgObligatedPerMember;
        TQRExpr *exprTotalVisits;
        TQRExpr *exprTotalMembers;
        TQRExpr *exprTotalPaidAmount;
        TQRExpr *exprTotalAvgCostPerVisit;
        TQRExpr *exprTotalAvgCostPerMember;
        TQRLabel *lblTotal;
        TQRBand *PageFooterBand1;
        TQRLabel *lblUser;
        void __fastcall txtServicePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall reportAfterPreview(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportObligatedService(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportObligatedService *formReportObligatedService;
//---------------------------------------------------------------------------
#endif
