//---------------------------------------------------------------------------

#ifndef reportOptometryAppointmentsH
#define reportOptometryAppointmentsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <QRCtrls.hpp>
#include <QuickRpt.hpp>
//---------------------------------------------------------------------------
class TformReportOptometryAppointments : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *reportOpto;
        TQRBand *bandPageHeader;
        TQRBand *bandPageFooter;
        TQRBand *bandTitle;
        TQRBand *bandDetail;
        TQRLabel *lblUser;
        TQRSysData *sysTime;
        TQRSysData *sysPage;
        TQRLabel *lblTitle;
        TQRLabel *lblTitleDates;
        TQRDBText *txtDetailReason;
        TQRDBText *txtDetailNonDm;
        TQRDBText *txtDetailDM;
        TQRDBText *txtDetailTotal;
        TQRBand *SummaryBand1;
        TQRBand *ColumnHeaderBand1;
        TQRLabel *lblColReason;
        TQRLabel *lblColNonDM;
        TQRLabel *lblColDM;
        TQRLabel *lblColTotal;
        TQRShape *QRShape2;
        TQRLabel *lblHeaderOutcomes;
        TQRMemo *memoOutcomes;
        TQRLabel *lblHeaderNumAppts;
        TQRMemo *memoAppts;
        TQRShape *QRShape1;
        TQRShape *QRShape3;
        TQRLabel *lblSummaryTotals;
        TQRExpr *exprSummaryNonDM;
        TQRExpr *exprSummaryDM;
        TQRExpr *exprSummaryTotal;
        void __fastcall reportOptoAfterPreview(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportOptometryAppointments(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportOptometryAppointments *formReportOptometryAppointments;
//---------------------------------------------------------------------------
#endif
