//---------------------------------------------------------------------------

#ifndef reportPRH
#define reportPRH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportPR : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TPageControl *pageReports;
        TTabSheet *sheetAccounts;
        TTabSheet *sheetBills;
        TQuickRep *reportAccounts;
        TQRBand *bandHeaderAccounts;
        TQRLabel *_labelTitle;
        TQRLabel *_labelBillTo;
        TQRLabel *labelFromName;
        TQRLabel *labelFromAddress;
        TQRLabel *_labelPurchaseOrder;
        TQRLabel *labelPRNumber;
        TQRLabel *_labelCheckRequest;
        TQRShape *shapeCheckRequest;
        TQRLabel *_labelCheckToVendor;
        TQRLabel *_labelCheckReturn;
        TQRShape *shapeCheckToVendor;
        TQRShape *shapeCheckReturn;
        TQRLabel *labelType;
        TQRShape *shapeLineAccounts1;
        TQRLabel *_labelPRDate;
        TQRLabel *labelToName;
        TQRLabel *labelToAddress2;
        TQRLabel *labelToAddress1;
        TQRLabel *labelToAddress3;
        TQRLabel *_labelToTaxID;
        TQRLabel *labelToTaxID;
        TQRShape *shapeLineAccounts2;
        TQRLabel *labelPRDate;
        TQRLabel *_labelC;
        TQRLabel *_labelAccountNumber;
        TQRLabel *_labelAccountAmount;
        TQRShape *shapeAccountsUnderline;
        TQRBand *bandSummaryAccounts;
        TQRExpr *exprAccountTotal;
        TQRLabel *_labelAccountTotal;
        TQRBand *bandDetailAccounts;
        TQRDBText *textAccountName;
        TQRExpr *exprAccountAmount;
        TQuickRep *reportBills;
        TQRBand *bandSummaryBills;
        TQRExpr *exprBillTotal;
        TQRLabel *_labelBillTotal;
        TQRBand *bandFooterBills;
        TQRLabel *_labelApprovals;
        TQRLabel *_labelNameTreasurer;
        TQRLabel *_labelNameProgramDirector;
        TQRLabel *_labelNameOtherOfficial;
        TQRLabel *_labelNameController;
        TQRShape *shapeLineNameProgramDirector;
        TQRLabel *_labelDateProgramDirector;
        TQRShape *shapeLineNameTreasurer;
        TQRShape *shapeLineNameController;
        TQRShape *shapeLineNameOtherOfficial;
        TQRShape *shapeLineDateProgramDirector;
        TQRLabel *_labelDateOtherOfficial;
        TQRLabel *_labelDateController;
        TQRLabel *_labelDateTreasurer;
        TQRShape *shapeLineDateOtherOfficial;
        TQRShape *shapeLineDateController;
        TQRShape *shapeLineDateTreasurer;
        TQRShape *shapeLineBills2;
        TQRShape *shapeReason;
        TQRLabel *_labelReason;
        TQRLabel *labelSheetType;
        TQRSysData *sysPageNumber;
        TQRLabel *labelSeeModifications;
        TQRLabel *labelExpenditureReason;
        TQRBand *bandDetailBill;
        TQRDBText *textBillAccountName;
        TQRExpr *exprReceivableAmount;
        TQRDBText *textBillEntityName;
        TQRGroup *bandGroupBills;
        TQRDBText *textFacilityName;
        TQRDBText *textFacilityTaxId;
        TQRDBText *textProviderName;
        TQRDBText *textDescription;
        TQRDBText *textInvoiceNumber;
        TQRDBText *textProviderTaxId;
        TQRExpr *exprBillAmount;
        TQRDBText *textProviderBillCount;
        TQRBand *bandColumnBills;
        TQRShape *shapeLineBills1;
        TQRLabel *_labelFacilityName;
        TQRLabel *_labelFacilityTaxID;
        TQRLabel *_labelProviderName;
        TQRLabel *_labelProviderTaxID;
        TQRLabel *_labelTotalPaid;
        TQRLabel *_labelInvoiceNumber;
        TQRLabel *_labelDescription;
        TQRLabel *_labelProviderBillCount;
        TQRShape *shapeBillsUnderline;
        TQRMemo *memoBillTo;
        void __fastcall textPrettyPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall bandDetailBillBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportPR(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportPR *formReportPR;
//---------------------------------------------------------------------------
#endif
