//---------------------------------------------------------------------------

#ifndef reportPRModificationH
#define reportPRModificationH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportPRModification : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *reportChanges;
        TQRBand *bandPageHeader;
        TQRSysData *sysTime;
        TQRSysData *sysPage;
        TQRBand *bandTitle;
        TQRLabel *labelTitle;
        TQRBand *bandDetail;
        TQRBand *bandColumnHeader;
        TQRBand *bandPageFooter;
        TQRLabel *labelUser;
        TQRGroup *bandGroupBill;
        TQRDBText *textBillDate;
        TQRGroup *bandGroupTransaction;
        TQRLabel *_labelPRNumber;
        TQRLabel *_labelCheckNumber;
        TQRLabel *labelPRNumber;
        TQRLabel *labelCheckNumber;
        TQRLabel *_labelPRSent;
        TQRLabel *_labelCheckSent;
        TQRLabel *labelPRDateSent;
        TQRLabel *labelCheckDateSent;
        TQRLabel *_labelPRFor;
        TQRLabel *_labelCheckFor;
        TQRLabel *labelCheckEntityName;
        TQRLabel *labelPREntityName;
        TQRLabel *_labelPRModified;
        TQRLabel *_labelCheckModified;
        TQRLabel *labelCheckModifiedUser;
        TQRLabel *labelPRModifiedUser;
        TQRLabel *labelPRModifiedDate;
        TQRLabel *labelCheckModifiedDate;
        TQRDBText *textTransactionNumber;
        TQRDBText *textTransactionEntityName;
        TQRDBText *textTransactionAccount;
        TQRDBText *textTransactionDebit;
        TQRDBText *textTransactionCredit;
        TQRDBText *textTransactionNote;
        TQRDBText *textTransactionModifiedDate;
        TQRDBText *textTransactionModifiedUser;
        TQRDBText *textTransactionDate;
        TQRDBText *textBillModifiedDate;
        TQRDBText *textBillModifiedUser;
        TQRLabel *labelPREntityTax;
        TQRLabel *labelCheckEntityTax;
        TQRDBText *textBillInvoiceNumber;
        TQRDBText *textBillNote;
        TQRDBText *textBillCharges;
        TQRDBText *textBillInvoice;
        TQRDBText *textBillPaid;
        TQRLabel *_labelBillDate;
        TQRLabel *_labelTransactionNumber;
        TQRLabel *_labelTransactionAccount;
        TQRLabel *_labelTransactionEntityName;
        TQRLabel *_labelTransactionNote;
        TQRLabel *_labelTransactionDebit;
        TQRLabel *_labelTransactionCredit;
        TQRLabel *_labelTransactionModifiedDate;
        TQRLabel *_labelTransactionModifiedUser;
        TQRLabel *_labelBillModifiedDate;
        TQRLabel *_labelBillModifiedUser;
        TQRLabel *_labelBillPayment;
        TQRLabel *_labelBillInvoice;
        TQRLabel *_labelBillCharges;
        TQRLabel *_labelBillNote;
        TQRLabel *_labelBillInvoiceNumber;
        TQRLabel *_labelTransactionDate;
        void __fastcall qpPRModificationAfterPreview(TObject *Sender);
        void __fastcall ShowNumeric(TObject *sender,
          AnsiString &Value);
        void __fastcall ShowPretty(TObject *sender,
          AnsiString &Value);
        void __fastcall labelCheckNumberPrint(TObject *sender,
          AnsiString &Value);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportPRModification(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportPRModification *formReportPRModification;
//---------------------------------------------------------------------------
#endif
