//---------------------------------------------------------------------------

#ifndef reportPatientLoadByDepartmentH
#define reportPatientLoadByDepartmentH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <QuickRpt.hpp>
#include <ToolWin.hpp>
#include <Qrctrls.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportPatientLoadByDepartment : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TPageControl *pageReport;
        TTabSheet *sheetTop;
        TQuickRep *reportTop;
        TQRBand *bandHeader;
        TQRSysData *sysDateTime;
        TQRSysData *sysPage;
        TQRBand *bandTitle;
        TQRLabel *lblTitle;
        TQRLabel *lblDateTitle;
        TQRChildBand *bandTitleChild;
        TQRShape *QRShape1;
        TQRLabel *lblType;
        TQRLabel *lblAST;
        TQRLabel *lblInsuredAST;
        TQRLabel *lblNonAST;
        TQRLabel *lblInsuredNonAST;
        TQRShape *QRShape2;
        TQRLabel *lblDiabetics;
        TQRLabel *lblInsuredDiabetics;
        TTabSheet *tabSection;
        TQuickRep *reportSection;
        TQRBand *QRBand3;
        TQRShape *QRShape5;
        TQRLabel *QRLabel2;
        TQRBand *QRBand4;
        TQRShape *QRShape6;
        TQRShape *QRShape7;
        TQRDBText *QRDBText1;
        TQRDBText *QRDBText2;
        TQRDBText *QRDBText3;
        TQRDBText *QRDBText4;
        TQRDBText *QRDBText5;
        TQRDBText *QRDBText6;
        TQRDBText *QRDBText7;
        TQRDBText *QRDBText8;
        TTabSheet *sheetBottom;
        TQuickRep *reportBottom;
        TQRBand *bandFooter;
        TQRLabel *lblUser;
        TQRCompositeReport *compositeReport;
        TTabSheet *sheetTotalsSection;
        TQuickRep *reportTotalsSection;
        TQRBand *bandTotalsHeading;
        TQRShape *QRShape3;
        TQRLabel *lblTotalsSection;
        TQRBand *bandTotalsDetail;
        TQRShape *QRShape4;
        TQRShape *QRShape8;
        TQRDBText *txtTotalsRowTotal;
        TQRDBText *txtTotalsAST;
        TQRDBText *txtTotalsInsuredAST;
        TQRDBText *txtTotalsNonAST;
        TQRDBText *txtTotalsInsuredNonAST;
        TQRDBText *txtTotalsDiabetic;
        TQRDBText *txtTotalsInsuredDiabetic;
        TTabSheet *sheetDOWSection;
        TTabSheet *sheetMOY;
        TTabSheet *sheetWOY;
        TQuickRep *reportDOWSection;
        TQRBand *bandDOWHeading;
        TQRShape *QRShape9;
        TQRLabel *lblDOWSection;
        TQRBand *bandDOWDetail;
        TQRShape *QRShape10;
        TQRShape *QRShape11;
        TQRDBText *txtDOWRowName;
        TQRDBText *txtDOWRowTotal;
        TQRDBText *txtDOWAST;
        TQRDBText *txtDOWInsuredAST;
        TQRDBText *txtDOWNonAST;
        TQRDBText *txtDOWInsuredNonAST;
        TQRDBText *txtDOWDiabetic;
        TQRDBText *txtDOWInsuredDiabetic;
        TQuickRep *reportMOYSection;
        TQRBand *bandMOYHeading;
        TQRShape *QRShape12;
        TQRLabel *lblMOYSection;
        TQRBand *bandMOYDetail;
        TQRShape *QRShape13;
        TQRShape *QRShape14;
        TQRDBText *txtMOYRowName;
        TQRDBText *txtMOYRowTotal;
        TQRDBText *txtMOYAST;
        TQRDBText *txtMOYInsuredAST;
        TQRDBText *txtMOYNonAST;
        TQRDBText *txtMOYInsuredNonAST;
        TQRDBText *txtMOYDiabetic;
        TQRDBText *txtMOYInsuredDiabetic;
        TQuickRep *reportWOYSection;
        TQRBand *bandWOYHeading;
        TQRShape *QRShape15;
        TQRLabel *lblWOYSection;
        TQRBand *bandWOYDetail;
        TQRShape *QRShape16;
        TQRShape *QRShape17;
        TQRDBText *txtWOYRowName;
        TQRDBText *txtWOYRowTotal;
        TQRDBText *txtWOYAST;
        TQRDBText *txtWOYInsuredAST;
        TQRDBText *txtWOYNonAST;
        TQRDBText *txtWOYInsuredNonAST;
        TQRDBText *txtWOYDiabetic;
        TQRDBText *txtWOYInsuredDiabetic;
        TQRLabel *lblEntireDateRange;
        TQRLabel *lblGroupTotal;
        TQRGroup *bandDOWGroup;
        TQRDBText *txtDOWGroupName;
        TQRGroup *bandMOYGroup;
        TQRDBText *txtMOYGroupName;
        TQRGroup *bandWOYGroup;
        TQRDBText *txtWOYGroupName;
        TQRDBText *txtVisitOutcome;
        void __fastcall compositeReportAddReports(TObject *Sender);
        void __fastcall txtVisitOutcomePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtDOWRowNamePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtMOYRowNamePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtWOYRowNamePrint(TObject *sender,
          AnsiString &Value);
private:	// User declarations
        bool is_appt_outcomes;
public:		// User declarations
        __fastcall TformReportPatientLoadByDepartment(TComponent* Owner, bool p_is_appt_outcomes);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportPatientLoadByDepartment *formReportPatientLoadByDepartment;
//---------------------------------------------------------------------------
#endif
