//---------------------------------------------------------------------------

#ifndef reportPendingAccountsH
#define reportPendingAccountsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <ToolWin.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportPendingAccounts : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *reportPendingAccounts;
        TQRBand *bandPageHeader;
        TQRSysData *sysTime;
        TQRSysData *sysPage;
        TQRBand *bandTitle;
        TQRLabel *labelTitle;
        TQRBand *bandDetail;
        TQRBand *bandColumnHeader;
        TQRLabel *labelTaxEntityName;
        TQRBand *bandSummary;
        TQRBand *bandPageFooter;
        TQRLabel *labelUser;
        TQRLabel *labelTaxEntityID;
        TQRGroup *bandGroupEntity;
        TQRDBText *textTaxEntityName;
        TQRDBText *textTaxEntityID;
        TQRDBText *textItemDate;
        TQRDBText *textItemAmount;
        TQRDBText *textPerson;
        TQRDBText *textServiceProvider;
        TQRDBText *textService;
        TQRDBText *textInvoice;
        TQRDBText *textNote;
        TQRDBText *textTaskProvider;
        TQRDBText *textPurchaseReqNumber;
        TQRDBText *textCheckNumber;
        TQRDBText *textPurchaseReqDate;
        TQRDBText *textCheckDate;
        TQRGroup *bandGroupType;
        TQRLabel *labelItemType;
        TQRLabel *labelItemDate;
        TQRLabel *labelItemAmount;
        TQRLabel *labelInvoiceNumber;
        TQRLabel *labelPatientName;
        TQRLabel *labelInvoiceNote;
        TQRLabel *labelTaskProvider;
        TQRLabel *labelServiceProvider;
        TQRLabel *labelServiceName;
        TQRLabel *labelPRNumber;
        TQRLabel *labelPRDate;
        TQRLabel *labelCheckNumber;
        TQRLabel *labelCheckDate;
        TQRLabel *labelAreaName;
        TQRDBText *textArea;
        TQRLabel *labelAccountType;
        TQRLabel *labelDayCount;
        void __fastcall textItemAmountPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall bandGroupEntityBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall textPersonPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall textServiceProviderPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall textPurchaseReqNumberPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall textItemDatePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall bandGroupTypeBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
        void __fastcall bandDetailBeforePrint(TQRCustomBand *Sender,
          bool &PrintBand);
private:	// User declarations
        bool show_detail_rows;
        bool reverse_amount_field;
        vector<string> & column_names;
        map<string, vector<financial> > & entity_totals;
        vector<financial> & bottom_totals;
        vector<TQRLabel *> value_labels;
        int row_number;
        Pdate today_date;
        Pdate temp_date;
public:		// User declarations
        __fastcall TformReportPendingAccounts(TComponent* Owner, vector<string> & p_column_names, map<string, vector<financial> > & p_entity_totals, vector<financial> & p_bottom_totals, bool p_show_detail_rows, bool p_reverse_amount_field);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportPendingAccounts *formReportPendingAccounts;
//---------------------------------------------------------------------------
#endif
