//---------------------------------------------------------------------------

#ifndef reportPrintCobH
#define reportPrintCobH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <jpeg.hpp>
#include <Graphics.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportPrintCob : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TPageControl *pageCOB;
        TTabSheet *sheetTop;
        TTabSheet *sheetReferrals;
        TTabSheet *sheetLimits;
        TTabSheet *sheetBottom;
        TScrollBox *ScrollBox1;
        TScrollBox *ScrollBox2;
        TScrollBox *ScrollBox3;
        TScrollBox *ScrollBox4;
        TQuickRep *appt_report;
        TQRBand *titleBand1;
        TQRLabel *lblCobNum;
        TQRLabel *lblCob;
        TQRLabel *lblCobDate;
        TQRLabel *lblCobTitle;
        TQRLabel *lblAst1;
        TQRLabel *lblPatient;
        TQRLabel *lblCdibLabel;
        TQRLabel *lblSsnLabel;
        TQRLabel *lblDobLabel;
        TQRLabel *lblDob;
        TQRLabel *lblSsn;
        TQRLabel *lblCdib;
        TQRLabel *lblPhoneLabel;
        TQRLabel *lblPhone;
        TQRLabel *lblCity;
        TQRLabel *lblLine1;
        TQRLabel *lblName;
        TQRLabel *lblAddressLabel;
        TQRLabel *lblNameLabel;
        TQRLabel *lblAppt;
        TQRLabel *lblApptDate;
        TQRLabel *lblApptTime;
        TQRLabel *lblResult;
        TQRLabel *lblProvider;
        TQRLabel *lblProviderNameLabel;
        TQRLabel *lblProviderName;
        TQRLabel *lblService;
        TQRLabel *lblServiceLabel;
        TQRLabel *lblArea;
        TQRLabel *lblAreaLabel;
        TQRShape *line1;
        TQRShape *line2;
        TQRShape *line3;
        TQRLabel *lblTaskDate;
        TQRImage *QRImage1;
        TQRBand *detailBand1;
        TQRDBText *txtApptDate;
        TQRDBText *txtApptTime;
        TQRDBText *txtResult;
        TQuickRep *referral_report;
        TQRBand *QRBand1;
        TQRShape *line5;
        TQRLabel *QRLabel1;
        TQRLabel *lblReferralDate;
        TQRLabel *lblReferredTo;
        TQRLabel *lblReferredBy;
        TQRBand *QRBand2;
        TQRDBText *txtReferralDate;
        TQRDBText *txtReferredTo;
        TQRDBText *txtReferredBy;
        TQuickRep *limit_report;
        TQRBand *QRBand3;
        TQRShape *line9;
        TQRLabel *lblLimits;
        TQRLabel *lblAccount;
        TQRLabel *lblAmount;
        TQRBand *QRBand4;
        TQRDBText *txtAccount;
        TQRExpr *exprAmount;
        TQuickRep *ins_report;
        TQRBand *titleBand2;
        TQRShape *line4;
        TQRLabel *lblInsurance;
        TQRLabel *lblCompanyLabel;
        TQRLabel *lblPolicyLabel;
        TQRLabel *lblGroupNumber;
        TQRLabel *lblEffectiveLabel;
        TQRLabel *lblPersonCodeLabel;
        TQRBand *detailBand2;
        TQRDBText *txtCompany;
        TQRDBText *txtPolicy;
        TQRDBText *txtGroup;
        TQRDBText *txtEffectiveDate;
        TQRDBText *txtPersonCode;
        TQRBand *SummaryBand1;
        TQRLabel *lblAllergiesLabel;
        TQRLabel *lblNotes;
        TQRShape *line7;
        TQRLabel *lblAllergies;
        TQRMemo *QRMemo1;
        TQRBand *PageFooterBand1;
        TQRLabel *lblUser;
        TQRChildBand *ChildBand1;
        TQRLabel *lblReasonLabel;
        TQRLabel *lblReason;
        TQRChildBand *ChildBand2;
        TQRLabel *lblUsageLabel;
        TQRLabel *lblUsage;
        TQRChildBand *ChildBand3;
        TQRLabel *lblContact;
        TQRShape *line8;
        TQRMemo *QRMemo2;
        TQRMemo *QRMemo3;
        TQRMemo *QRMemo4;
        TQRMemo *QRMemo5;
        TQRLabel *lblAuthNote;
        TQRLabel *labelEstimateOnly;
        TQRLabel *lblLastConsent;
        TQRLabel *lblChart;
        TQRLabel *lblChartNum;
        TTabSheet *sheetLetter;
        TQuickRep *reportLetter;
        TQRBand *bandDetail;
        TQRDBText *txtReason;
        TQRChildBand *bandResolution;
        TQRMemo *memoResolution;
        TQRChildBand *bandSignature;
        TQRLabel *lblSincerely;
        TQRGroup *bandLetterhead;
        TQRChildBand *bandAddress;
        TQRMemo *memoLetterProviderAddress;
        TQRChildBand *bandGreeting;
        TQRMemo *memoPreamble;
        TQRBand *bandBody;
        TQRMemo *memoBody;
        TQRLabel *lblLetterDate;
        TQRDBText *txtItemTitle;
        TQRLabel *lblNameEntity;
        TQRLabel *lblContactPosOffc;
        TQRLabel *lblAddress;
        TQRLabel *lblPhoneNo;
        TQRLabel *lblEnclosure;
        TQRLabel *lblLetterProviderName;
        TQRLabel *lblGreeting;
        TQRLabel *lblLetterFooterName;
        TQRLabel *lblLetterFooterContact;
        TQRLabel *lblLetterFooterAddr;
        TQRLabel *lblLetterFooterPhone;
        void __fastcall txtResultPrint(TObject *sender, AnsiString &Value);
        void __fastcall txtApptTimePrint(TObject *sender, AnsiString &Value);
        void __fastcall txtPersonCodePrint(TObject *sender, AnsiString &Value);
        void __fastcall QRBand4BeforePrint(TQRCustomBand *Sender,  bool &PrintBand);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportPrintCob(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportPrintCob *formReportPrintCob;
//---------------------------------------------------------------------------
#endif
