//---------------------------------------------------------------------------

#ifndef reportSpendersH
#define reportSpendersH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Qrctrls.hpp>
#include <QuickRpt.hpp>
#include <ToolWin.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportSpenders : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *spendersReport;
        TQRBand *titleBand;
        TQRLabel *lblTitle1;
        TQRLabel *lblTitle;
        TQRGroup *groupBand;
        TQRBand *detailBand;
        TQRDBText *txtLastName;
        TQRDBText *txtFirstName;
        TQRDBText *txtDrugName;
        TQRDBText *txtCity;
        TQRDBText *txtState;
        TQRExpr *exprAmount;
        TQRDBText *txtCDIB;
        TQRBand *groupSummaryBand;
        TQRBand *columnHeaderBand;
        TQRLabel *lblCDIB;
        TQRLabel *lblLastName;
        TQRLabel *lblFirstName;
        TQRLabel *lblDrugName;
        TQRLabel *lblBilled;
        TQRLabel *lblCity;
        TQRLabel *lblState;
        TQRLabel *lblAmount;
        TQRBand *QRBand1;
        TQRExpr *exprTotal;
        TQRLabel *lblTotal2;
        TQRLabel *lblTotal3;
        TQRExpr *exprPercentage;
        TQRLabel *lblTotal1;
        TQRExpr *exprMonthTotal;
        TQRLabel *lblTotalFor;
        TQRShape *QRShape1;
        TQRLabel *lblPersonTotal;
        TQRBand *pageHeaderBand;
        TQRSysData *sysDateTimeStamp;
        TQRSysData *sysPage;
        TQRBand *pageFooterBand;
        TQRLabel *lblUser;
        void __fastcall txtLastNamePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtFirstNamePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtDrugNamePrint(TObject *sender,
          AnsiString &Value);
        void __fastcall txtCityPrint(TObject *sender, AnsiString &Value);
        void __fastcall lblPersonTotalPrint(TObject *sender,
          AnsiString &Value);
        void __fastcall spendersReportAfterPreview(TObject *Sender);
private:	// User declarations
        unsigned int times_printed;
        vector<string> totals;
public:		// User declarations
        __fastcall TformReportSpenders(TComponent* Owner, vector<string>);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportSpenders *formReportSpenders;
//---------------------------------------------------------------------------
#endif
