//---------------------------------------------------------------------------

#ifndef reportTaskDemographicsH
#define reportTaskDemographicsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "codeSpecialGeneric.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <QuickRpt.hpp>
#include <QRCtrls.hpp>
//---------------------------------------------------------------------------
class TformReportTaskDemographics : public TformSpecialGeneric
{
__published:	// IDE-managed Components
        TQuickRep *reportDemographics;
        TQRBand *bandPageHeader;
        TQRBand *bandPageFooter;
        TQRBand *bandDetail;
        TQRBand *bandSummary;
        TQRBand *bandTitle;
        TQRBand *bandColumnHeader;
        TQRSysData *sysTime;
        TQRSysData *sysPage;
        TQRLabel *lblUser;
        TQRLabel *lblTitle;
        TQRLabel *lblDepartmentTitle;
        TQRLabel *lblDateTitle;
        TQRLabel *lblAgeGroup;
        TQRLabel *lblMale;
        TQRLabel *lblFemale;
        TQRLabel *lblUnspecified;
        TQRLabel *lblTotalInRange;
        TQRDBText *txtAgeGroup;
        TQRDBText *txtMaleTasks;
        TQRDBText *txtFemaleTasks;
        TQRDBText *txtUnspecifiedTasks;
        TQRDBText *txtAgeGroupTotal;
        TQRLabel *lblSummaryTotal;
        TQRExpr *exprMaleSum;
        TQRExpr *exprFemaleSum;
        TQRExpr *exprUnspecifiedSum;
        TQRExpr *exprGrandTotal;
        TQRMemo *memoRestrictionInfo;
        void __fastcall txtAgeGroupPrint(TObject *sender,
          AnsiString &Value);
private:	// User declarations
public:		// User declarations
        __fastcall TformReportTaskDemographics(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformReportTaskDemographics *formReportTaskDemographics;
//---------------------------------------------------------------------------
#endif
